var Module = {};

Module['noInitialRun'] = true;
Module['OpenModelica_readFile'] = function(fname) {
  return intArrayToString(FS.findObject(fname).contents);
};

try { // Try to add an event listener like a webworker thread
  self.addEventListener('message', function(e) {
    var data = e.data;
    if (!data) return;
    var result = {};
    try {
        shouldRunNow = true;
        var args = ['-override','outputFormat=csv,stopTime=' +  data.stopTime +',tolerance=' + data.tolerance + ',stepSize=' + data.stepSize];
        Module.callMain(args);
        result.csv = intArrayToString(FS.findObject(data.basename + "_res.csv").contents);
        result.status = "Simulation finished";
    } catch(err) {
        result.status = "Simulation failed";
    };
    self.postMessage(result);
  }, false);
} catch (e) {
}

// Note: For maximum-speed code, see "Optimizing Code" on the Emscripten wiki, https://github.com/kripken/emscripten/wiki/Optimizing-Code
// Note: Some Emscripten settings may limit the speed of the generated code.
// The Module object: Our interface to the outside world. We import
// and export values on it, and do the work to get that through
// closure compiler if necessary. There are various ways Module can be used:
// 1. Not defined. We create it here
// 2. A function parameter, function(Module) { ..generated code.. }
// 3. pre-run appended it, var Module = {}; ..generated code..
// 4. External script tag defines var Module.
// We need to do an eval in order to handle the closure compiler
// case, where this code here is minified but Module was defined
// elsewhere (e.g. case 4 above). We also need to check if Module
// already exists (e.g. case 3 above).
// Note that if you want to run closure, and also to use Module
// after the generated code, you will need to define   var Module = {};
// before the code. Then that object will be used in the code, and you
// can continue to use Module afterwards as well.
var Module;
if (!Module) Module = eval('(function() { try { return Module || {} } catch(e) { return {} } })()');

// Sometimes an existing Module object exists with properties
// meant to overwrite the default module functionality. Here
// we collect those properties and reapply _after_ we configure
// the current environment's defaults to avoid having to be so
// defensive during initialization.
var moduleOverrides = {};
for (var key in Module) {
  if (Module.hasOwnProperty(key)) {
    moduleOverrides[key] = Module[key];
  }
}

// The environment setup code below is customized to use Module.
// *** Environment setup code ***
var ENVIRONMENT_IS_NODE = typeof process === 'object' && typeof require === 'function';
var ENVIRONMENT_IS_WEB = typeof window === 'object';
var ENVIRONMENT_IS_WORKER = typeof importScripts === 'function';
var ENVIRONMENT_IS_SHELL = !ENVIRONMENT_IS_WEB && !ENVIRONMENT_IS_NODE && !ENVIRONMENT_IS_WORKER;

if (ENVIRONMENT_IS_NODE) {
  // Expose functionality in the same simple way that the shells work
  // Note that we pollute the global namespace here, otherwise we break in node
  if (!Module['print']) Module['print'] = function print(x) {
    process['stdout'].write(x + '\n');
  };
  if (!Module['printErr']) Module['printErr'] = function printErr(x) {
    process['stderr'].write(x + '\n');
  };

  var nodeFS = require('fs');
  var nodePath = require('path');

  Module['read'] = function read(filename, binary) {
    filename = nodePath['normalize'](filename);
    var ret = nodeFS['readFileSync'](filename);
    // The path is absolute if the normalized version is the same as the resolved.
    if (!ret && filename != nodePath['resolve'](filename)) {
      filename = path.join(__dirname, '..', 'src', filename);
      ret = nodeFS['readFileSync'](filename);
    }
    if (ret && !binary) ret = ret.toString();
    return ret;
  };

  Module['readBinary'] = function readBinary(filename) { return Module['read'](filename, true) };

  Module['load'] = function load(f) {
    globalEval(read(f));
  };

  Module['arguments'] = process['argv'].slice(2);

  module['exports'] = Module;
}
else if (ENVIRONMENT_IS_SHELL) {
  if (!Module['print']) Module['print'] = print;
  if (typeof printErr != 'undefined') Module['printErr'] = printErr; // not present in v8 or older sm

  if (typeof read != 'undefined') {
    Module['read'] = read;
  } else {
    Module['read'] = function read() { throw 'no read() available (jsc?)' };
  }

  Module['readBinary'] = function readBinary(f) {
    return read(f, 'binary');
  };

  if (typeof scriptArgs != 'undefined') {
    Module['arguments'] = scriptArgs;
  } else if (typeof arguments != 'undefined') {
    Module['arguments'] = arguments;
  }

  this['Module'] = Module;

  eval("if (typeof gc === 'function' && gc.toString().indexOf('[native code]') > 0) var gc = undefined"); // wipe out the SpiderMonkey shell 'gc' function, which can confuse closure (uses it as a minified name, and it is then initted to a non-falsey value unexpectedly)
}
else if (ENVIRONMENT_IS_WEB || ENVIRONMENT_IS_WORKER) {
  Module['read'] = function read(url) {
    var xhr = new XMLHttpRequest();
    xhr.open('GET', url, false);
    xhr.send(null);
    return xhr.responseText;
  };

  if (typeof arguments != 'undefined') {
    Module['arguments'] = arguments;
  }

  if (typeof console !== 'undefined') {
    if (!Module['print']) Module['print'] = function print(x) {
      console.log(x);
    };
    if (!Module['printErr']) Module['printErr'] = function printErr(x) {
      console.log(x);
    };
  } else {
    // Probably a worker, and without console.log. We can do very little here...
    var TRY_USE_DUMP = false;
    if (!Module['print']) Module['print'] = (TRY_USE_DUMP && (typeof(dump) !== "undefined") ? (function(x) {
      dump(x);
    }) : (function(x) {
      // self.postMessage(x); // enable this if you want stdout to be sent as messages
    }));
  }

  if (ENVIRONMENT_IS_WEB) {
    this['Module'] = Module;
  } else {
    Module['load'] = importScripts;
  }
}
else {
  // Unreachable because SHELL is dependant on the others
  throw 'Unknown runtime environment. Where are we?';
}

function globalEval(x) {
  eval.call(null, x);
}
if (!Module['load'] == 'undefined' && Module['read']) {
  Module['load'] = function load(f) {
    globalEval(Module['read'](f));
  };
}
if (!Module['print']) {
  Module['print'] = function(){};
}
if (!Module['printErr']) {
  Module['printErr'] = Module['print'];
}
if (!Module['arguments']) {
  Module['arguments'] = [];
}
// *** Environment setup code ***

// Closure helpers
Module.print = Module['print'];
Module.printErr = Module['printErr'];

// Callbacks
Module['preRun'] = [];
Module['postRun'] = [];

// Merge back in the overrides
for (var key in moduleOverrides) {
  if (moduleOverrides.hasOwnProperty(key)) {
    Module[key] = moduleOverrides[key];
  }
}



// === Auto-generated preamble library stuff ===

//========================================
// Runtime code shared with compiler
//========================================

var Runtime = {
  stackSave: function () {
    return STACKTOP;
  },
  stackRestore: function (stackTop) {
    STACKTOP = stackTop;
  },
  forceAlign: function (target, quantum) {
    quantum = quantum || 4;
    if (quantum == 1) return target;
    if (isNumber(target) && isNumber(quantum)) {
      return Math.ceil(target/quantum)*quantum;
    } else if (isNumber(quantum) && isPowerOfTwo(quantum)) {
      return '(((' +target + ')+' + (quantum-1) + ')&' + -quantum + ')';
    }
    return 'Math.ceil((' + target + ')/' + quantum + ')*' + quantum;
  },
  isNumberType: function (type) {
    return type in Runtime.INT_TYPES || type in Runtime.FLOAT_TYPES;
  },
  isPointerType: function isPointerType(type) {
  return type[type.length-1] == '*';
},
  isStructType: function isStructType(type) {
  if (isPointerType(type)) return false;
  if (isArrayType(type)) return true;
  if (/<?\{ ?[^}]* ?\}>?/.test(type)) return true; // { i32, i8 } etc. - anonymous struct types
  // See comment in isStructPointerType()
  return type[0] == '%';
},
  INT_TYPES: {"i1":0,"i8":0,"i16":0,"i32":0,"i64":0},
  FLOAT_TYPES: {"float":0,"double":0},
  or64: function (x, y) {
    var l = (x | 0) | (y | 0);
    var h = (Math.round(x / 4294967296) | Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  and64: function (x, y) {
    var l = (x | 0) & (y | 0);
    var h = (Math.round(x / 4294967296) & Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  xor64: function (x, y) {
    var l = (x | 0) ^ (y | 0);
    var h = (Math.round(x / 4294967296) ^ Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  getNativeTypeSize: function (type) {
    switch (type) {
      case 'i1': case 'i8': return 1;
      case 'i16': return 2;
      case 'i32': return 4;
      case 'i64': return 8;
      case 'float': return 4;
      case 'double': return 8;
      default: {
        if (type[type.length-1] === '*') {
          return Runtime.QUANTUM_SIZE; // A pointer
        } else if (type[0] === 'i') {
          var bits = parseInt(type.substr(1));
          assert(bits % 8 === 0);
          return bits/8;
        } else {
          return 0;
        }
      }
    }
  },
  getNativeFieldSize: function (type) {
    return Math.max(Runtime.getNativeTypeSize(type), Runtime.QUANTUM_SIZE);
  },
  dedup: function dedup(items, ident) {
  var seen = {};
  if (ident) {
    return items.filter(function(item) {
      if (seen[item[ident]]) return false;
      seen[item[ident]] = true;
      return true;
    });
  } else {
    return items.filter(function(item) {
      if (seen[item]) return false;
      seen[item] = true;
      return true;
    });
  }
},
  set: function set() {
  var args = typeof arguments[0] === 'object' ? arguments[0] : arguments;
  var ret = {};
  for (var i = 0; i < args.length; i++) {
    ret[args[i]] = 0;
  }
  return ret;
},
  STACK_ALIGN: 8,
  getAlignSize: function (type, size, vararg) {
    // we align i64s and doubles on 64-bit boundaries, unlike x86
    if (vararg) return 8;
    if (!vararg && (type == 'i64' || type == 'double')) return 8;
    if (!type) return Math.min(size, 8); // align structures internally to 64 bits
    return Math.min(size || (type ? Runtime.getNativeFieldSize(type) : 0), Runtime.QUANTUM_SIZE);
  },
  calculateStructAlignment: function calculateStructAlignment(type) {
    type.flatSize = 0;
    type.alignSize = 0;
    var diffs = [];
    var prev = -1;
    var index = 0;
    type.flatIndexes = type.fields.map(function(field) {
      index++;
      var size, alignSize;
      if (Runtime.isNumberType(field) || Runtime.isPointerType(field)) {
        size = Runtime.getNativeTypeSize(field); // pack char; char; in structs, also char[X]s.
        alignSize = Runtime.getAlignSize(field, size);
      } else if (Runtime.isStructType(field)) {
        if (field[1] === '0') {
          // this is [0 x something]. When inside another structure like here, it must be at the end,
          // and it adds no size
          // XXX this happens in java-nbody for example... assert(index === type.fields.length, 'zero-length in the middle!');
          size = 0;
          if (Types.types[field]) {
            alignSize = Runtime.getAlignSize(null, Types.types[field].alignSize);
          } else {
            alignSize = type.alignSize || QUANTUM_SIZE;
          }
        } else {
          size = Types.types[field].flatSize;
          alignSize = Runtime.getAlignSize(null, Types.types[field].alignSize);
        }
      } else if (field[0] == 'b') {
        // bN, large number field, like a [N x i8]
        size = field.substr(1)|0;
        alignSize = 1;
      } else if (field[0] === '<') {
        // vector type
        size = alignSize = Types.types[field].flatSize; // fully aligned
      } else if (field[0] === 'i') {
        // illegal integer field, that could not be legalized because it is an internal structure field
        // it is ok to have such fields, if we just use them as markers of field size and nothing more complex
        size = alignSize = parseInt(field.substr(1))/8;
        assert(size % 1 === 0, 'cannot handle non-byte-size field ' + field);
      } else {
        assert(false, 'invalid type for calculateStructAlignment');
      }
      if (type.packed) alignSize = 1;
      type.alignSize = Math.max(type.alignSize, alignSize);
      var curr = Runtime.alignMemory(type.flatSize, alignSize); // if necessary, place this on aligned memory
      type.flatSize = curr + size;
      if (prev >= 0) {
        diffs.push(curr-prev);
      }
      prev = curr;
      return curr;
    });
    if (type.name_ && type.name_[0] === '[') {
      // arrays have 2 elements, so we get the proper difference. then we scale here. that way we avoid
      // allocating a potentially huge array for [999999 x i8] etc.
      type.flatSize = parseInt(type.name_.substr(1))*type.flatSize/2;
    }
    type.flatSize = Runtime.alignMemory(type.flatSize, type.alignSize);
    if (diffs.length == 0) {
      type.flatFactor = type.flatSize;
    } else if (Runtime.dedup(diffs).length == 1) {
      type.flatFactor = diffs[0];
    }
    type.needsFlattening = (type.flatFactor != 1);
    return type.flatIndexes;
  },
  generateStructInfo: function (struct, typeName, offset) {
    var type, alignment;
    if (typeName) {
      offset = offset || 0;
      type = (typeof Types === 'undefined' ? Runtime.typeInfo : Types.types)[typeName];
      if (!type) return null;
      if (type.fields.length != struct.length) {
        printErr('Number of named fields must match the type for ' + typeName + ': possibly duplicate struct names. Cannot return structInfo');
        return null;
      }
      alignment = type.flatIndexes;
    } else {
      var type = { fields: struct.map(function(item) { return item[0] }) };
      alignment = Runtime.calculateStructAlignment(type);
    }
    var ret = {
      __size__: type.flatSize
    };
    if (typeName) {
      struct.forEach(function(item, i) {
        if (typeof item === 'string') {
          ret[item] = alignment[i] + offset;
        } else {
          // embedded struct
          var key;
          for (var k in item) key = k;
          ret[key] = Runtime.generateStructInfo(item[key], type.fields[i], alignment[i]);
        }
      });
    } else {
      struct.forEach(function(item, i) {
        ret[item[1]] = alignment[i];
      });
    }
    return ret;
  },
  dynCall: function (sig, ptr, args) {
    if (args && args.length) {
      if (!args.splice) args = Array.prototype.slice.call(args);
      args.splice(0, 0, ptr);
      return Module['dynCall_' + sig].apply(null, args);
    } else {
      return Module['dynCall_' + sig].call(null, ptr);
    }
  },
  functionPointers: [],
  addFunction: function (func) {
    for (var i = 0; i < Runtime.functionPointers.length; i++) {
      if (!Runtime.functionPointers[i]) {
        Runtime.functionPointers[i] = func;
        return 2*(1 + i);
      }
    }
    throw 'Finished up all reserved function pointers. Use a higher value for RESERVED_FUNCTION_POINTERS.';
  },
  removeFunction: function (index) {
    Runtime.functionPointers[(index-2)/2] = null;
  },
  getAsmConst: function (code, numArgs) {
    // code is a constant string on the heap, so we can cache these
    if (!Runtime.asmConstCache) Runtime.asmConstCache = {};
    var func = Runtime.asmConstCache[code];
    if (func) return func;
    var args = [];
    for (var i = 0; i < numArgs; i++) {
      args.push(String.fromCharCode(36) + i); // $0, $1 etc
    }
    code = Pointer_stringify(code);
    if (code[0] === '"') {
      // tolerate EM_ASM("..code..") even though EM_ASM(..code..) is correct
      if (code.indexOf('"', 1) === code.length-1) {
        code = code.substr(1, code.length-2);
      } else {
        // something invalid happened, e.g. EM_ASM("..code($0)..", input)
        abort('invalid EM_ASM input |' + code + '|. Please use EM_ASM(..code..) (no quotes) or EM_ASM({ ..code($0).. }, input) (to input values)');
      }
    }
    return Runtime.asmConstCache[code] = eval('(function(' + args.join(',') + '){ ' + code + ' })'); // new Function does not allow upvars in node
  },
  warnOnce: function (text) {
    if (!Runtime.warnOnce.shown) Runtime.warnOnce.shown = {};
    if (!Runtime.warnOnce.shown[text]) {
      Runtime.warnOnce.shown[text] = 1;
      Module.printErr(text);
    }
  },
  funcWrappers: {},
  getFuncWrapper: function (func, sig) {
    assert(sig);
    if (!Runtime.funcWrappers[func]) {
      Runtime.funcWrappers[func] = function dynCall_wrapper() {
        return Runtime.dynCall(sig, func, arguments);
      };
    }
    return Runtime.funcWrappers[func];
  },
  UTF8Processor: function () {
    var buffer = [];
    var needed = 0;
    this.processCChar = function (code) {
      code = code & 0xFF;

      if (buffer.length == 0) {
        if ((code & 0x80) == 0x00) {        // 0xxxxxxx
          return String.fromCharCode(code);
        }
        buffer.push(code);
        if ((code & 0xE0) == 0xC0) {        // 110xxxxx
          needed = 1;
        } else if ((code & 0xF0) == 0xE0) { // 1110xxxx
          needed = 2;
        } else {                            // 11110xxx
          needed = 3;
        }
        return '';
      }

      if (needed) {
        buffer.push(code);
        needed--;
        if (needed > 0) return '';
      }

      var c1 = buffer[0];
      var c2 = buffer[1];
      var c3 = buffer[2];
      var c4 = buffer[3];
      var ret;
      if (buffer.length == 2) {
        ret = String.fromCharCode(((c1 & 0x1F) << 6)  | (c2 & 0x3F));
      } else if (buffer.length == 3) {
        ret = String.fromCharCode(((c1 & 0x0F) << 12) | ((c2 & 0x3F) << 6)  | (c3 & 0x3F));
      } else {
        // http://mathiasbynens.be/notes/javascript-encoding#surrogate-formulae
        var codePoint = ((c1 & 0x07) << 18) | ((c2 & 0x3F) << 12) |
                        ((c3 & 0x3F) << 6)  | (c4 & 0x3F);
        ret = String.fromCharCode(
          Math.floor((codePoint - 0x10000) / 0x400) + 0xD800,
          (codePoint - 0x10000) % 0x400 + 0xDC00);
      }
      buffer.length = 0;
      return ret;
    }
    this.processJSString = function processJSString(string) {
      string = unescape(encodeURIComponent(string));
      var ret = [];
      for (var i = 0; i < string.length; i++) {
        ret.push(string.charCodeAt(i));
      }
      return ret;
    }
  },
  getCompilerSetting: function (name) {
    throw 'You must build with -s RETAIN_COMPILER_SETTINGS=1 for Runtime.getCompilerSetting or emscripten_get_compiler_setting to work';
  },
  stackAlloc: function (size) { var ret = STACKTOP;STACKTOP = (STACKTOP + size)|0;STACKTOP = (((STACKTOP)+7)&-8); return ret; },
  staticAlloc: function (size) { var ret = STATICTOP;STATICTOP = (STATICTOP + size)|0;STATICTOP = (((STATICTOP)+7)&-8); return ret; },
  dynamicAlloc: function (size) { var ret = DYNAMICTOP;DYNAMICTOP = (DYNAMICTOP + size)|0;DYNAMICTOP = (((DYNAMICTOP)+7)&-8); if (DYNAMICTOP >= TOTAL_MEMORY) enlargeMemory();; return ret; },
  alignMemory: function (size,quantum) { var ret = size = Math.ceil((size)/(quantum ? quantum : 8))*(quantum ? quantum : 8); return ret; },
  makeBigInt: function (low,high,unsigned) { var ret = (unsigned ? ((+((low>>>0)))+((+((high>>>0)))*(+4294967296))) : ((+((low>>>0)))+((+((high|0)))*(+4294967296)))); return ret; },
  GLOBAL_BASE: 8,
  QUANTUM_SIZE: 4,
  __dummy__: 0
}


Module['Runtime'] = Runtime;









//========================================
// Runtime essentials
//========================================

var __THREW__ = 0; // Used in checking for thrown exceptions.

var ABORT = false; // whether we are quitting the application. no code should run after this. set in exit() and abort()
var EXITSTATUS = 0;

var undef = 0;
// tempInt is used for 32-bit signed values or smaller. tempBigInt is used
// for 32-bit unsigned values or more than 32 bits. TODO: audit all uses of tempInt
var tempValue, tempInt, tempBigInt, tempInt2, tempBigInt2, tempPair, tempBigIntI, tempBigIntR, tempBigIntS, tempBigIntP, tempBigIntD, tempDouble, tempFloat;
var tempI64, tempI64b;
var tempRet0, tempRet1, tempRet2, tempRet3, tempRet4, tempRet5, tempRet6, tempRet7, tempRet8, tempRet9;

function assert(condition, text) {
  if (!condition) {
    abort('Assertion failed: ' + text);
  }
}

var globalScope = this;

// C calling interface. A convenient way to call C functions (in C files, or
// defined with extern "C").
//
// Note: LLVM optimizations can inline and remove functions, after which you will not be
//       able to call them. Closure can also do so. To avoid that, add your function to
//       the exports using something like
//
//         -s EXPORTED_FUNCTIONS='["_main", "_myfunc"]'
//
// @param ident      The name of the C function (note that C++ functions will be name-mangled - use extern "C")
// @param returnType The return type of the function, one of the JS types 'number', 'string' or 'array' (use 'number' for any C pointer, and
//                   'array' for JavaScript arrays and typed arrays; note that arrays are 8-bit).
// @param argTypes   An array of the types of arguments for the function (if there are no arguments, this can be ommitted). Types are as in returnType,
//                   except that 'array' is not possible (there is no way for us to know the length of the array)
// @param args       An array of the arguments to the function, as native JS values (as in returnType)
//                   Note that string arguments will be stored on the stack (the JS string will become a C string on the stack).
// @return           The return value, as a native JS value (as in returnType)
function ccall(ident, returnType, argTypes, args) {
  return ccallFunc(getCFunc(ident), returnType, argTypes, args);
}
Module["ccall"] = ccall;

// Returns the C function with a specified identifier (for C++, you need to do manual name mangling)
function getCFunc(ident) {
  try {
    var func = Module['_' + ident]; // closure exported function
    if (!func) func = eval('_' + ident); // explicit lookup
  } catch(e) {
  }
  assert(func, 'Cannot call unknown function ' + ident + ' (perhaps LLVM optimizations or closure removed it?)');
  return func;
}

// Internal function that does a C call using a function, not an identifier
function ccallFunc(func, returnType, argTypes, args) {
  var stack = 0;
  function toC(value, type) {
    if (type == 'string') {
      if (value === null || value === undefined || value === 0) return 0; // null string
      value = intArrayFromString(value);
      type = 'array';
    }
    if (type == 'array') {
      if (!stack) stack = Runtime.stackSave();
      var ret = Runtime.stackAlloc(value.length);
      writeArrayToMemory(value, ret);
      return ret;
    }
    return value;
  }
  function fromC(value, type) {
    if (type == 'string') {
      return Pointer_stringify(value);
    }
    assert(type != 'array');
    return value;
  }
  var i = 0;
  var cArgs = args ? args.map(function(arg) {
    return toC(arg, argTypes[i++]);
  }) : [];
  var ret = fromC(func.apply(null, cArgs), returnType);
  if (stack) Runtime.stackRestore(stack);
  return ret;
}

// Returns a native JS wrapper for a C function. This is similar to ccall, but
// returns a function you can call repeatedly in a normal way. For example:
//
//   var my_function = cwrap('my_c_function', 'number', ['number', 'number']);
//   alert(my_function(5, 22));
//   alert(my_function(99, 12));
//
function cwrap(ident, returnType, argTypes) {
  var func = getCFunc(ident);
  return function() {
    return ccallFunc(func, returnType, argTypes, Array.prototype.slice.call(arguments));
  }
}
Module["cwrap"] = cwrap;

// Sets a value in memory in a dynamic way at run-time. Uses the
// type data. This is the same as makeSetValue, except that
// makeSetValue is done at compile-time and generates the needed
// code then, whereas this function picks the right code at
// run-time.
// Note that setValue and getValue only do *aligned* writes and reads!
// Note that ccall uses JS types as for defining types, while setValue and
// getValue need LLVM types ('i8', 'i32') - this is a lower-level operation
function setValue(ptr, value, type, noSafe) {
  type = type || 'i8';
  if (type.charAt(type.length-1) === '*') type = 'i32'; // pointers are 32-bit
    switch(type) {
      case 'i1': HEAP8[(ptr)]=value; break;
      case 'i8': HEAP8[(ptr)]=value; break;
      case 'i16': HEAP16[((ptr)>>1)]=value; break;
      case 'i32': HEAP32[((ptr)>>2)]=value; break;
      case 'i64': (tempI64 = [value>>>0,(tempDouble=value,(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)],HEAP32[((ptr)>>2)]=tempI64[0],HEAP32[(((ptr)+(4))>>2)]=tempI64[1]); break;
      case 'float': HEAPF32[((ptr)>>2)]=value; break;
      case 'double': HEAPF64[((ptr)>>3)]=value; break;
      default: abort('invalid type for setValue: ' + type);
    }
}
Module['setValue'] = setValue;

// Parallel to setValue.
function getValue(ptr, type, noSafe) {
  type = type || 'i8';
  if (type.charAt(type.length-1) === '*') type = 'i32'; // pointers are 32-bit
    switch(type) {
      case 'i1': return HEAP8[(ptr)];
      case 'i8': return HEAP8[(ptr)];
      case 'i16': return HEAP16[((ptr)>>1)];
      case 'i32': return HEAP32[((ptr)>>2)];
      case 'i64': return HEAP32[((ptr)>>2)];
      case 'float': return HEAPF32[((ptr)>>2)];
      case 'double': return HEAPF64[((ptr)>>3)];
      default: abort('invalid type for setValue: ' + type);
    }
  return null;
}
Module['getValue'] = getValue;

var ALLOC_NORMAL = 0; // Tries to use _malloc()
var ALLOC_STACK = 1; // Lives for the duration of the current function call
var ALLOC_STATIC = 2; // Cannot be freed
var ALLOC_DYNAMIC = 3; // Cannot be freed except through sbrk
var ALLOC_NONE = 4; // Do not allocate
Module['ALLOC_NORMAL'] = ALLOC_NORMAL;
Module['ALLOC_STACK'] = ALLOC_STACK;
Module['ALLOC_STATIC'] = ALLOC_STATIC;
Module['ALLOC_DYNAMIC'] = ALLOC_DYNAMIC;
Module['ALLOC_NONE'] = ALLOC_NONE;

// allocate(): This is for internal use. You can use it yourself as well, but the interface
//             is a little tricky (see docs right below). The reason is that it is optimized
//             for multiple syntaxes to save space in generated code. So you should
//             normally not use allocate(), and instead allocate memory using _malloc(),
//             initialize it with setValue(), and so forth.
// @slab: An array of data, or a number. If a number, then the size of the block to allocate,
//        in *bytes* (note that this is sometimes confusing: the next parameter does not
//        affect this!)
// @types: Either an array of types, one for each byte (or 0 if no type at that position),
//         or a single type which is used for the entire block. This only matters if there
//         is initial data - if @slab is a number, then this does not matter at all and is
//         ignored.
// @allocator: How to allocate memory, see ALLOC_*
function allocate(slab, types, allocator, ptr) {
  var zeroinit, size;
  if (typeof slab === 'number') {
    zeroinit = true;
    size = slab;
  } else {
    zeroinit = false;
    size = slab.length;
  }

  var singleType = typeof types === 'string' ? types : null;

  var ret;
  if (allocator == ALLOC_NONE) {
    ret = ptr;
  } else {
    ret = [_malloc, Runtime.stackAlloc, Runtime.staticAlloc, Runtime.dynamicAlloc][allocator === undefined ? ALLOC_STATIC : allocator](Math.max(size, singleType ? 1 : types.length));
  }

  if (zeroinit) {
    var ptr = ret, stop;
    assert((ret & 3) == 0);
    stop = ret + (size & ~3);
    for (; ptr < stop; ptr += 4) {
      HEAP32[((ptr)>>2)]=0;
    }
    stop = ret + size;
    while (ptr < stop) {
      HEAP8[((ptr++)|0)]=0;
    }
    return ret;
  }

  if (singleType === 'i8') {
    if (slab.subarray || slab.slice) {
      HEAPU8.set(slab, ret);
    } else {
      HEAPU8.set(new Uint8Array(slab), ret);
    }
    return ret;
  }

  var i = 0, type, typeSize, previousType;
  while (i < size) {
    var curr = slab[i];

    if (typeof curr === 'function') {
      curr = Runtime.getFunctionIndex(curr);
    }

    type = singleType || types[i];
    if (type === 0) {
      i++;
      continue;
    }

    if (type == 'i64') type = 'i32'; // special case: we have one i32 here, and one i32 later

    setValue(ret+i, curr, type);

    // no need to look up size unless type changes, so cache it
    if (previousType !== type) {
      typeSize = Runtime.getNativeTypeSize(type);
      previousType = type;
    }
    i += typeSize;
  }

  return ret;
}
Module['allocate'] = allocate;

function Pointer_stringify(ptr, /* optional */ length) {
  // TODO: use TextDecoder
  // Find the length, and check for UTF while doing so
  var hasUtf = false;
  var t;
  var i = 0;
  while (1) {
    t = HEAPU8[(((ptr)+(i))|0)];
    if (t >= 128) hasUtf = true;
    else if (t == 0 && !length) break;
    i++;
    if (length && i == length) break;
  }
  if (!length) length = i;

  var ret = '';

  if (!hasUtf) {
    var MAX_CHUNK = 1024; // split up into chunks, because .apply on a huge string can overflow the stack
    var curr;
    while (length > 0) {
      curr = String.fromCharCode.apply(String, HEAPU8.subarray(ptr, ptr + Math.min(length, MAX_CHUNK)));
      ret = ret ? ret + curr : curr;
      ptr += MAX_CHUNK;
      length -= MAX_CHUNK;
    }
    return ret;
  }

  var utf8 = new Runtime.UTF8Processor();
  for (i = 0; i < length; i++) {
    t = HEAPU8[(((ptr)+(i))|0)];
    ret += utf8.processCChar(t);
  }
  return ret;
}
Module['Pointer_stringify'] = Pointer_stringify;

// Given a pointer 'ptr' to a null-terminated UTF16LE-encoded string in the emscripten HEAP, returns
// a copy of that string as a Javascript String object.
function UTF16ToString(ptr) {
  var i = 0;

  var str = '';
  while (1) {
    var codeUnit = HEAP16[(((ptr)+(i*2))>>1)];
    if (codeUnit == 0)
      return str;
    ++i;
    // fromCharCode constructs a character from a UTF-16 code unit, so we can pass the UTF16 string right through.
    str += String.fromCharCode(codeUnit);
  }
}
Module['UTF16ToString'] = UTF16ToString;

// Copies the given Javascript String object 'str' to the emscripten HEAP at address 'outPtr',
// null-terminated and encoded in UTF16LE form. The copy will require at most (str.length*2+1)*2 bytes of space in the HEAP.
function stringToUTF16(str, outPtr) {
  for(var i = 0; i < str.length; ++i) {
    // charCodeAt returns a UTF-16 encoded code unit, so it can be directly written to the HEAP.
    var codeUnit = str.charCodeAt(i); // possibly a lead surrogate
    HEAP16[(((outPtr)+(i*2))>>1)]=codeUnit;
  }
  // Null-terminate the pointer to the HEAP.
  HEAP16[(((outPtr)+(str.length*2))>>1)]=0;
}
Module['stringToUTF16'] = stringToUTF16;

// Given a pointer 'ptr' to a null-terminated UTF32LE-encoded string in the emscripten HEAP, returns
// a copy of that string as a Javascript String object.
function UTF32ToString(ptr) {
  var i = 0;

  var str = '';
  while (1) {
    var utf32 = HEAP32[(((ptr)+(i*4))>>2)];
    if (utf32 == 0)
      return str;
    ++i;
    // Gotcha: fromCharCode constructs a character from a UTF-16 encoded code (pair), not from a Unicode code point! So encode the code point to UTF-16 for constructing.
    if (utf32 >= 0x10000) {
      var ch = utf32 - 0x10000;
      str += String.fromCharCode(0xD800 | (ch >> 10), 0xDC00 | (ch & 0x3FF));
    } else {
      str += String.fromCharCode(utf32);
    }
  }
}
Module['UTF32ToString'] = UTF32ToString;

// Copies the given Javascript String object 'str' to the emscripten HEAP at address 'outPtr',
// null-terminated and encoded in UTF32LE form. The copy will require at most (str.length+1)*4 bytes of space in the HEAP,
// but can use less, since str.length does not return the number of characters in the string, but the number of UTF-16 code units in the string.
function stringToUTF32(str, outPtr) {
  var iChar = 0;
  for(var iCodeUnit = 0; iCodeUnit < str.length; ++iCodeUnit) {
    // Gotcha: charCodeAt returns a 16-bit word that is a UTF-16 encoded code unit, not a Unicode code point of the character! We must decode the string to UTF-32 to the heap.
    var codeUnit = str.charCodeAt(iCodeUnit); // possibly a lead surrogate
    if (codeUnit >= 0xD800 && codeUnit <= 0xDFFF) {
      var trailSurrogate = str.charCodeAt(++iCodeUnit);
      codeUnit = 0x10000 + ((codeUnit & 0x3FF) << 10) | (trailSurrogate & 0x3FF);
    }
    HEAP32[(((outPtr)+(iChar*4))>>2)]=codeUnit;
    ++iChar;
  }
  // Null-terminate the pointer to the HEAP.
  HEAP32[(((outPtr)+(iChar*4))>>2)]=0;
}
Module['stringToUTF32'] = stringToUTF32;

function demangle(func) {
  try {
    // Special-case the entry point, since its name differs from other name mangling.
    if (func == 'Object._main' || func == '_main') {
      return 'main()';
    }
    if (typeof func === 'number') func = Pointer_stringify(func);
    if (func[0] !== '_') return func;
    if (func[1] !== '_') return func; // C function
    if (func[2] !== 'Z') return func;
    switch (func[3]) {
      case 'n': return 'operator new()';
      case 'd': return 'operator delete()';
    }
    var i = 3;
    // params, etc.
    var basicTypes = {
      'v': 'void',
      'b': 'bool',
      'c': 'char',
      's': 'short',
      'i': 'int',
      'l': 'long',
      'f': 'float',
      'd': 'double',
      'w': 'wchar_t',
      'a': 'signed char',
      'h': 'unsigned char',
      't': 'unsigned short',
      'j': 'unsigned int',
      'm': 'unsigned long',
      'x': 'long long',
      'y': 'unsigned long long',
      'z': '...'
    };
    function dump(x) {
      //return;
      if (x) Module.print(x);
      Module.print(func);
      var pre = '';
      for (var a = 0; a < i; a++) pre += ' ';
      Module.print (pre + '^');
    }
    var subs = [];
    function parseNested() {
      i++;
      if (func[i] === 'K') i++; // ignore const
      var parts = [];
      while (func[i] !== 'E') {
        if (func[i] === 'S') { // substitution
          i++;
          var next = func.indexOf('_', i);
          var num = func.substring(i, next) || 0;
          parts.push(subs[num] || '?');
          i = next+1;
          continue;
        }
        if (func[i] === 'C') { // constructor
          parts.push(parts[parts.length-1]);
          i += 2;
          continue;
        }
        var size = parseInt(func.substr(i));
        var pre = size.toString().length;
        if (!size || !pre) { i--; break; } // counter i++ below us
        var curr = func.substr(i + pre, size);
        parts.push(curr);
        subs.push(curr);
        i += pre + size;
      }
      i++; // skip E
      return parts;
    }
    var first = true;
    function parse(rawList, limit, allowVoid) { // main parser
      limit = limit || Infinity;
      var ret = '', list = [];
      function flushList() {
        return '(' + list.join(', ') + ')';
      }
      var name;
      if (func[i] === 'N') {
        // namespaced N-E
        name = parseNested().join('::');
        limit--;
        if (limit === 0) return rawList ? [name] : name;
      } else {
        // not namespaced
        if (func[i] === 'K' || (first && func[i] === 'L')) i++; // ignore const and first 'L'
        var size = parseInt(func.substr(i));
        if (size) {
          var pre = size.toString().length;
          name = func.substr(i + pre, size);
          i += pre + size;
        }
      }
      first = false;
      if (func[i] === 'I') {
        i++;
        var iList = parse(true);
        var iRet = parse(true, 1, true);
        ret += iRet[0] + ' ' + name + '<' + iList.join(', ') + '>';
      } else {
        ret = name;
      }
      paramLoop: while (i < func.length && limit-- > 0) {
        //dump('paramLoop');
        var c = func[i++];
        if (c in basicTypes) {
          list.push(basicTypes[c]);
        } else {
          switch (c) {
            case 'P': list.push(parse(true, 1, true)[0] + '*'); break; // pointer
            case 'R': list.push(parse(true, 1, true)[0] + '&'); break; // reference
            case 'L': { // literal
              i++; // skip basic type
              var end = func.indexOf('E', i);
              var size = end - i;
              list.push(func.substr(i, size));
              i += size + 2; // size + 'EE'
              break;
            }
            case 'A': { // array
              var size = parseInt(func.substr(i));
              i += size.toString().length;
              if (func[i] !== '_') throw '?';
              i++; // skip _
              list.push(parse(true, 1, true)[0] + ' [' + size + ']');
              break;
            }
            case 'E': break paramLoop;
            default: ret += '?' + c; break paramLoop;
          }
        }
      }
      if (!allowVoid && list.length === 1 && list[0] === 'void') list = []; // avoid (void)
      return rawList ? list : ret + flushList();
    }
    return parse();
  } catch(e) {
    return func;
  }
}

function demangleAll(text) {
  return text.replace(/__Z[\w\d_]+/g, function(x) { var y = demangle(x); return x === y ? x : (x + ' [' + y + ']') });
}

function stackTrace() {
  var stack = new Error().stack;
  return stack ? demangleAll(stack) : '(no stack trace available)'; // Stack trace is not available at least on IE10 and Safari 6.
}

// Memory management

var PAGE_SIZE = 4096;
function alignMemoryPage(x) {
  return (x+4095)&-4096;
}

var HEAP;
var HEAP8, HEAPU8, HEAP16, HEAPU16, HEAP32, HEAPU32, HEAPF32, HEAPF64;

var STATIC_BASE = 0, STATICTOP = 0, staticSealed = false; // static area
var STACK_BASE = 0, STACKTOP = 0, STACK_MAX = 0; // stack area
var DYNAMIC_BASE = 0, DYNAMICTOP = 0; // dynamic area handled by sbrk

function enlargeMemory() {
  abort('Cannot enlarge memory arrays. Either (1) compile with -s TOTAL_MEMORY=X with X higher than the current value ' + TOTAL_MEMORY + ', (2) compile with ALLOW_MEMORY_GROWTH which adjusts the size at runtime but prevents some optimizations, or (3) set Module.TOTAL_MEMORY before the program runs.');
}

var TOTAL_STACK = Module['TOTAL_STACK'] || 5242880;
var TOTAL_MEMORY = Module['TOTAL_MEMORY'] || 536870912;
var FAST_MEMORY = Module['FAST_MEMORY'] || 2097152;

var totalMemory = 4096;
while (totalMemory < TOTAL_MEMORY || totalMemory < 2*TOTAL_STACK) {
  if (totalMemory < 16*1024*1024) {
    totalMemory *= 2;
  } else {
    totalMemory += 16*1024*1024
  }
}
if (totalMemory !== TOTAL_MEMORY) {
  Module.printErr('increasing TOTAL_MEMORY to ' + totalMemory + ' to be more reasonable');
  TOTAL_MEMORY = totalMemory;
}

// Initialize the runtime's memory
// check for full engine support (use string 'subarray' to avoid closure compiler confusion)
assert(typeof Int32Array !== 'undefined' && typeof Float64Array !== 'undefined' && !!(new Int32Array(1)['subarray']) && !!(new Int32Array(1)['set']),
       'Cannot fallback to non-typed array case: Code is too specialized');

var buffer = new ArrayBuffer(TOTAL_MEMORY);
HEAP8 = new Int8Array(buffer);
HEAP16 = new Int16Array(buffer);
HEAP32 = new Int32Array(buffer);
HEAPU8 = new Uint8Array(buffer);
HEAPU16 = new Uint16Array(buffer);
HEAPU32 = new Uint32Array(buffer);
HEAPF32 = new Float32Array(buffer);
HEAPF64 = new Float64Array(buffer);

// Endianness check (note: assumes compiler arch was little-endian)
HEAP32[0] = 255;
assert(HEAPU8[0] === 255 && HEAPU8[3] === 0, 'Typed arrays 2 must be run on a little-endian system');

Module['HEAP'] = HEAP;
Module['HEAP8'] = HEAP8;
Module['HEAP16'] = HEAP16;
Module['HEAP32'] = HEAP32;
Module['HEAPU8'] = HEAPU8;
Module['HEAPU16'] = HEAPU16;
Module['HEAPU32'] = HEAPU32;
Module['HEAPF32'] = HEAPF32;
Module['HEAPF64'] = HEAPF64;

function callRuntimeCallbacks(callbacks) {
  while(callbacks.length > 0) {
    var callback = callbacks.shift();
    if (typeof callback == 'function') {
      callback();
      continue;
    }
    var func = callback.func;
    if (typeof func === 'number') {
      if (callback.arg === undefined) {
        Runtime.dynCall('v', func);
      } else {
        Runtime.dynCall('vi', func, [callback.arg]);
      }
    } else {
      func(callback.arg === undefined ? null : callback.arg);
    }
  }
}

var __ATPRERUN__  = []; // functions called before the runtime is initialized
var __ATINIT__    = []; // functions called during startup
var __ATMAIN__    = []; // functions called when main() is to be run
var __ATEXIT__    = []; // functions called during shutdown
var __ATPOSTRUN__ = []; // functions called after the runtime has exited

var runtimeInitialized = false;

function preRun() {
  // compatibility - merge in anything from Module['preRun'] at this time
  if (Module['preRun']) {
    if (typeof Module['preRun'] == 'function') Module['preRun'] = [Module['preRun']];
    while (Module['preRun'].length) {
      addOnPreRun(Module['preRun'].shift());
    }
  }
  callRuntimeCallbacks(__ATPRERUN__);
}

function ensureInitRuntime() {
  if (runtimeInitialized) return;
  runtimeInitialized = true;
  callRuntimeCallbacks(__ATINIT__);
}

function preMain() {
  callRuntimeCallbacks(__ATMAIN__);
}

function exitRuntime() {
  callRuntimeCallbacks(__ATEXIT__);
}

function postRun() {
  // compatibility - merge in anything from Module['postRun'] at this time
  if (Module['postRun']) {
    if (typeof Module['postRun'] == 'function') Module['postRun'] = [Module['postRun']];
    while (Module['postRun'].length) {
      addOnPostRun(Module['postRun'].shift());
    }
  }
  callRuntimeCallbacks(__ATPOSTRUN__);
}

function addOnPreRun(cb) {
  __ATPRERUN__.unshift(cb);
}
Module['addOnPreRun'] = Module.addOnPreRun = addOnPreRun;

function addOnInit(cb) {
  __ATINIT__.unshift(cb);
}
Module['addOnInit'] = Module.addOnInit = addOnInit;

function addOnPreMain(cb) {
  __ATMAIN__.unshift(cb);
}
Module['addOnPreMain'] = Module.addOnPreMain = addOnPreMain;

function addOnExit(cb) {
  __ATEXIT__.unshift(cb);
}
Module['addOnExit'] = Module.addOnExit = addOnExit;

function addOnPostRun(cb) {
  __ATPOSTRUN__.unshift(cb);
}
Module['addOnPostRun'] = Module.addOnPostRun = addOnPostRun;

// Tools

// This processes a JS string into a C-line array of numbers, 0-terminated.
// For LLVM-originating strings, see parser.js:parseLLVMString function
function intArrayFromString(stringy, dontAddNull, length /* optional */) {
  var ret = (new Runtime.UTF8Processor()).processJSString(stringy);
  if (length) {
    ret.length = length;
  }
  if (!dontAddNull) {
    ret.push(0);
  }
  return ret;
}
Module['intArrayFromString'] = intArrayFromString;

function intArrayToString(array) {
  var ret = [];
  for (var i = 0; i < array.length; i++) {
    var chr = array[i];
    if (chr > 0xFF) {
      chr &= 0xFF;
    }
    ret.push(String.fromCharCode(chr));
  }
  return ret.join('');
}
Module['intArrayToString'] = intArrayToString;

// Write a Javascript array to somewhere in the heap
function writeStringToMemory(string, buffer, dontAddNull) {
  var array = intArrayFromString(string, dontAddNull);
  var i = 0;
  while (i < array.length) {
    var chr = array[i];
    HEAP8[(((buffer)+(i))|0)]=chr;
    i = i + 1;
  }
}
Module['writeStringToMemory'] = writeStringToMemory;

function writeArrayToMemory(array, buffer) {
  for (var i = 0; i < array.length; i++) {
    HEAP8[(((buffer)+(i))|0)]=array[i];
  }
}
Module['writeArrayToMemory'] = writeArrayToMemory;

function writeAsciiToMemory(str, buffer, dontAddNull) {
  for (var i = 0; i < str.length; i++) {
    HEAP8[(((buffer)+(i))|0)]=str.charCodeAt(i);
  }
  if (!dontAddNull) HEAP8[(((buffer)+(str.length))|0)]=0;
}
Module['writeAsciiToMemory'] = writeAsciiToMemory;

function unSign(value, bits, ignore) {
  if (value >= 0) {
    return value;
  }
  return bits <= 32 ? 2*Math.abs(1 << (bits-1)) + value // Need some trickery, since if bits == 32, we are right at the limit of the bits JS uses in bitshifts
                    : Math.pow(2, bits)         + value;
}
function reSign(value, bits, ignore) {
  if (value <= 0) {
    return value;
  }
  var half = bits <= 32 ? Math.abs(1 << (bits-1)) // abs is needed if bits == 32
                        : Math.pow(2, bits-1);
  if (value >= half && (bits <= 32 || value > half)) { // for huge values, we can hit the precision limit and always get true here. so don't do that
                                                       // but, in general there is no perfect solution here. With 64-bit ints, we get rounding and errors
                                                       // TODO: In i64 mode 1, resign the two parts separately and safely
    value = -2*half + value; // Cannot bitshift half, as it may be at the limit of the bits JS uses in bitshifts
  }
  return value;
}

// check for imul support, and also for correctness ( https://bugs.webkit.org/show_bug.cgi?id=126345 )
if (!Math['imul'] || Math['imul'](0xffffffff, 5) !== -5) Math['imul'] = function imul(a, b) {
  var ah  = a >>> 16;
  var al = a & 0xffff;
  var bh  = b >>> 16;
  var bl = b & 0xffff;
  return (al*bl + ((ah*bl + al*bh) << 16))|0;
};
Math.imul = Math['imul'];


var Math_abs = Math.abs;
var Math_cos = Math.cos;
var Math_sin = Math.sin;
var Math_tan = Math.tan;
var Math_acos = Math.acos;
var Math_asin = Math.asin;
var Math_atan = Math.atan;
var Math_atan2 = Math.atan2;
var Math_exp = Math.exp;
var Math_log = Math.log;
var Math_sqrt = Math.sqrt;
var Math_ceil = Math.ceil;
var Math_floor = Math.floor;
var Math_pow = Math.pow;
var Math_imul = Math.imul;
var Math_fround = Math.fround;
var Math_min = Math.min;

// A counter of dependencies for calling run(). If we need to
// do asynchronous work before running, increment this and
// decrement it. Incrementing must happen in a place like
// PRE_RUN_ADDITIONS (used by emcc to add file preloading).
// Note that you can add dependencies in preRun, even though
// it happens right before run - run will be postponed until
// the dependencies are met.
var runDependencies = 0;
var runDependencyWatcher = null;
var dependenciesFulfilled = null; // overridden to take different actions when all run dependencies are fulfilled

function addRunDependency(id) {
  runDependencies++;
  if (Module['monitorRunDependencies']) {
    Module['monitorRunDependencies'](runDependencies);
  }
}
Module['addRunDependency'] = addRunDependency;
function removeRunDependency(id) {
  runDependencies--;
  if (Module['monitorRunDependencies']) {
    Module['monitorRunDependencies'](runDependencies);
  }
  if (runDependencies == 0) {
    if (runDependencyWatcher !== null) {
      clearInterval(runDependencyWatcher);
      runDependencyWatcher = null;
    }
    if (dependenciesFulfilled) {
      var callback = dependenciesFulfilled;
      dependenciesFulfilled = null;
      callback(); // can add another dependenciesFulfilled
    }
  }
}
Module['removeRunDependency'] = removeRunDependency;

Module["preloadedImages"] = {}; // maps url to image data
Module["preloadedAudios"] = {}; // maps url to audio data


var memoryInitializer = null;

// === Body ===



STATIC_BASE = 8;

STATICTOP = STATIC_BASE + 1733576;



















































































































































var _stdout;
var _stdout=_stdout=allocate(1, "i32*", ALLOC_STATIC);
var _stdin;
var _stdin=_stdin=allocate(1, "i32*", ALLOC_STATIC);
var _stderr;
var _stderr=_stderr=allocate(1, "i32*", ALLOC_STATIC);



























































































































































































































































































































































































/* global initializers */ __ATINIT__.push({ func: function() { runPostSets() } },{ func: function() { __GLOBAL__I_a() } });

































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































var ___dso_handle;
var ___dso_handle=___dso_handle=allocate(1, "i32*", ALLOC_STATIC);


































































































































































var __ZTVN10__cxxabiv120__si_class_type_infoE;
__ZTVN10__cxxabiv120__si_class_type_infoE=allocate([0,0,0,0,24,210,25,0,60,1,0,0,174,0,0,0,82,0,0,0,200,0,0,0,12,0,0,0,10,0,0,0,10,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_STATIC);;
var __ZTVN10__cxxabiv117__class_type_infoE;
__ZTVN10__cxxabiv117__class_type_infoE=allocate([0,0,0,0,40,210,25,0,60,1,0,0,52,1,0,0,82,0,0,0,200,0,0,0,12,0,0,0,32,0,0,0,4,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_STATIC);;


































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































var __ZNSt13runtime_errorC1EPKc;
var __ZNSt13runtime_errorD1Ev;
var __ZNSt12length_errorD1Ev;
var __ZNSt12out_of_rangeD1Ev;
var __ZNSt3__16localeC1Ev;
var __ZNSt3__16localeC1ERKS0_;
var __ZNSt3__16localeD1Ev;
var __ZNSt8bad_castC1Ev;
var __ZNSt8bad_castD1Ev;
/* memory initializer */ allocate([0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,44,32,32,82,49,32,61,2,44,101,50,49,46,49,51,44,51,120,44,2,82,50,32,61,2,44,101,50,49,46,49,51,41,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,82,49,32,61,2,44,101,50,49,46,49,51,41,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,73,49,32,61,2,44,105,49,48,44,51,120,44,2,73,50,32,61,2,44,105,49,48,41,0,0,0,0,0,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,73,49,32,61,2,44,105,49,48,41,0,0,0,0,0,0,40,49,120,44,56,48,97,49,41,0,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,0,0,0,0,0,0,0,0,97,108,110,117,109,0,97,108,112,104,97,0,98,108,97,110,107,0,99,110,116,114,108,0,100,105,103,105,116,0,103,114,97,112,104,0,108,111,119,101,114,0,112,114,105,110,116,0,112,117,110,99,116,0,115,112,97,99,101,0,117,112,112,101,114,0,120,100,105,103,105,116,0,0,0,0,0,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,34,0,0,0,22,0,0,0,74,0,0,0,20,0,0,0,16,0,0,0,54,0,0,0,70,0,0,0,20,0,0,0,58,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,44,0,0,0,6,0,0,0,8,0,0,0,44,0,0,0,2,0,0,0,42,0,0,0,38,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,34,0,0,0,22,0,0,0,74,0,0,0,20,0,0,0,16,0,0,0,54,0,0,0,70,0,0,0,20,0,0,0,58,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,44,0,0,0,6,0,0,0,8,0,0,0,44,0,0,0,2,0,0,0,42,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,128,154,0,0,110,0,0,0,160,96,25,0,114,0,0,0,16,51,25,0,102,0,0,0,208,25,25,0,97,0,0,0,72,242,24,0,101,0,0,0,24,166,0,0,119,0,0,0,112,146,0,0,87,0,0,0,80,128,0,0,115,0,0,0,72,112,0,0,83,0,0,0,64,96,0,0,100,0,0,0,16,170,25,0,68,0,0,0,168,153,25,0,0,0,0,0,0,0,0,0,112,88,26,0,0,0,0,0,187,189,215,217,223,124,219,61,0,0,0,0,48,38,25,0,176,34,25,0,240,98,26,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,120,89,26,0,0,0,0,0,18,16,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,16,16,34,35,16,36,37,38,39,40,41,42,43,16,44,45,46,17,47,48,17,17,49,17,17,17,50,51,52,53,54,55,56,57,17,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,58,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,59,16,60,61,62,63,64,65,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,66,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,67,16,16,68,16,69,70,71,16,72,16,73,16,16,16,16,74,75,76,77,16,16,78,16,79,80,16,16,16,16,81,16,16,16,16,16,16,16,16,16,16,16,16,16,82,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,83,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,84,85,86,87,16,16,88,89,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,90,16,91,92,93,94,95,96,97,98,16,16,16,16,16,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,254,255,0,252,1,0,0,248,1,0,0,120,0,0,0,0,255,251,223,251,0,0,128,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,0,252,255,224,175,255,255,255,255,255,255,255,255,255,255,223,255,255,255,255,255,32,64,176,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,0,0,0,0,0,134,254,255,255,255,0,64,73,0,0,0,0,0,24,0,223,255,0,200,0,0,0,0,0,0,0,1,0,60,0,0,0,0,0,0,0,0,0,0,0,0,16,224,1,30,0,96,255,191,0,0,0,0,0,0,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,207,3,0,0,0,3,0,32,255,127,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,0,0,0,0,0,0,0,0,0,16,0,32,30,0,48,0,1,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,252,15,0,0,0,0,0,0,0,16,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,3,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,253,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,255,7,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,255,0,0,0,0,0,0,0,16,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,63,2,0,0,0,0,0,0,0,0,0,4,0,0,0,0,16,0,0,0,0,0,0,128,0,128,192,223,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,254,255,255,255,0,252,255,255,0,0,0,0,0,0,0,0,252,0,0,0,0,0,0,192,255,223,255,7,0,0,0,0,0,0,0,0,0,0,128,6,0,252,0,0,24,62,0,0,128,191,0,204,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,96,255,255,255,31,0,0,255,3,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,56,0,0,0,0,16,0,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,0,0,254,127,47,0,0,255,3,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,255,255,255,255,0,0,0,192,0,0,0,0,0,0,0,0,1,0,224,159,0,0,0,0,127,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,16,0,0,252,255,255,255,31,0,0,0,0,0,12,0,0,0,0,0,0,64,0,12,240,0,0,0,0,0,0,192,248,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,255,0,255,255,255,33,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,127,0,0,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,3,224,0,224,0,224,0,96,128,248,255,255,255,252,255,255,255,255,255,127,31,252,241,127,255,127,0,0,255,255,255,3,0,0,255,255,255,255,1,0,123,3,208,193,175,66,0,12,31,188,255,255,0,0,0,0,0,2,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,255,255,255,127,0,0,0,255,7,0,0,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,252,255,255,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,135,3,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,127,255,15,0,0,0,0,0,0,0,0,255,255,255,251,255,255,255,255,255,255,255,255,255,255,15,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,255,15,30,255,255,255,1,252,193,224,0,0,0,0,0,0,0,0,0,0,0,30,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,255,255,255,255,15,0,0,0,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,127,0,0,0,0,0,0,192,0,224,0,0,0,0,0,0,0,0,0,0,0,128,15,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,0,255,255,127,0,3,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,8,0,0,0,15,255,3,0,0,0,0,0,0,240,0,0,0,0,0,0,0,0,0,16,192,0,0,255,255,3,7,0,0,0,0,0,248,0,0,0,0,8,128,0,0,0,0,0,0,0,0,0,0,8,0,255,63,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,0,0,128,11,0,0,0,0,0,0,0,128,2,0,0,192,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,255,255,255,3,127,0,255,255,255,255,247,255,127,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,255,0,252,1,0,0,248,1,0,0,248,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,127,0,48,135,255,255,255,255,255,143,255,0,0,0,0,0,0,224,255,255,7,255,15,0,0,0,0,0,0,255,255,255,255,255,63,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,143,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,255,0,255,1,0,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,0,0,0,255,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,63,252,255,63,0,0,0,3,0,0,0,0,0,0,254,3,0,0,0,0,0,0,0,0,0,0,0,0,0,24,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,7,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,255,255,255,255,127,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,127,0,255,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,8,0,0,0,8,0,0,32,0,0,0,32,0,0,128,0,0,0,128,0,0,0,2,0,0,0,2,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,127,254,127,254,255,254,255,0,0,0,0,255,7,255,255,255,127,255,255,255,255,255,255,255,15,255,255,255,255,255,7,0,0,0,0,0,0,0,0,192,255,255,255,7,0,255,255,255,255,255,7,255,1,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,1,0,191,255,255,255,255,255,255,255,255,31,255,255,15,0,255,255,255,255,223,7,0,0,255,255,1,0,255,255,255,255,255,255,255,127,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,30,255,255,255,255,255,255,255,63,15,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,255,255,255,255,255,255,255,255,225,255,0,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,17,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,17,34,35,36,17,37,38,39,40,41,42,43,44,17,45,46,47,16,16,48,16,16,16,16,16,16,16,49,50,51,16,52,53,16,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,54,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,55,17,17,17,17,56,17,57,58,59,60,61,62,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,63,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,64,65,17,66,67,68,69,70,71,72,73,16,16,16,74,75,76,77,78,16,16,16,79,80,16,16,16,16,81,16,16,16,16,16,16,16,16,16,17,17,17,82,83,16,16,16,16,16,16,16,16,16,16,16,17,17,17,17,84,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,17,85,16,16,16,16,86,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,87,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,88,89,90,91,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,92,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,254,255,255,7,254,255,255,7,0,0,0,0,0,4,32,4,255,255,127,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,195,255,3,0,31,80,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,223,60,64,215,255,255,251,255,255,255,255,255,255,255,255,255,191,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,3,252,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,254,255,255,255,127,2,254,255,255,255,255,0,0,0,0,0,255,191,182,0,255,255,255,7,7,0,0,0,255,7,255,255,255,255,255,255,255,254,255,195,255,255,255,255,255,255,255,255,255,255,255,255,239,31,254,225,255,159,0,0,255,255,255,255,255,255,0,224,255,255,255,255,255,255,255,255,255,255,255,255,3,0,255,255,255,255,255,7,48,4,255,255,255,252,255,31,0,0,255,255,255,1,0,0,0,0,0,0,0,0,253,31,0,0,0,0,0,0,240,3,255,127,255,255,255,255,255,255,255,239,255,223,225,255,207,255,254,254,238,159,249,255,255,253,197,227,159,89,128,176,207,255,3,0,238,135,249,255,255,253,109,195,135,25,2,94,192,255,63,0,238,191,251,255,255,253,237,227,191,27,1,0,207,255,0,0,238,159,249,255,255,253,237,227,159,25,192,176,207,255,2,0,236,199,61,214,24,199,255,195,199,29,129,0,192,255,0,0,238,223,253,255,255,253,239,227,223,29,96,3,207,255,0,0,236,223,253,255,255,253,239,227,223,29,96,64,207,255,6,0,236,223,253,255,255,255,255,231,223,93,128,0,207,255,0,252,236,255,127,252,255,255,251,47,127,128,95,255,0,0,12,0,254,255,255,255,255,127,255,7,63,32,255,3,0,0,0,0,150,37,240,254,174,236,255,59,95,32,255,243,0,0,0,0,1,0,0,0,255,3,0,0,255,254,255,255,255,31,254,255,3,255,255,254,255,255,255,31,0,0,0,0,0,0,0,0,255,255,255,255,255,255,127,249,255,3,255,255,231,193,255,255,127,64,255,51,255,255,255,255,191,32,255,255,255,255,255,247,255,255,255,255,255,255,255,255,255,61,127,61,255,255,255,255,255,61,255,255,255,255,61,127,61,255,127,255,255,255,255,255,255,255,61,255,255,255,255,255,255,255,255,135,0,0,0,0,255,255,0,0,255,255,255,255,255,255,255,255,255,255,31,0,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,159,255,255,254,255,255,7,255,255,255,255,255,255,255,255,255,199,1,0,255,223,15,0,255,255,15,0,255,255,15,0,255,223,13,0,255,255,255,255,255,255,207,255,255,1,128,16,255,3,0,0,0,0,255,3,255,255,255,255,255,255,255,255,255,255,255,0,255,255,255,255,255,7,255,255,255,255,255,255,255,255,63,0,255,255,255,31,255,15,255,1,192,255,255,255,255,63,31,0,255,255,255,255,255,15,255,255,255,3,255,3,0,0,0,0,255,255,255,15,255,255,255,255,255,255,255,127,254,255,31,0,255,3,255,3,128,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,239,255,239,15,255,3,0,0,0,0,255,255,255,255,255,243,255,255,255,255,255,255,191,255,3,0,255,255,255,255,255,255,63,0,255,227,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,222,111,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,255,255,63,63,255,255,255,255,63,63,255,170,255,255,255,63,255,255,255,255,255,255,223,95,220,31,207,15,255,31,220,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,128,0,0,255,31,0,0,0,0,0,0,0,0,0,0,0,0,132,252,47,62,80,189,255,243,224,67,0,0,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,255,255,255,255,255,255,3,0,0,255,255,255,255,255,127,255,255,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,120,12,0,255,255,255,255,191,32,255,255,255,255,255,255,255,128,0,0,255,255,127,0,127,127,127,127,127,127,127,127,255,255,255,255,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,0,0,0,254,3,62,31,254,255,255,255,255,255,255,255,255,255,127,224,254,255,255,255,255,255,255,255,255,255,255,247,224,255,255,255,255,63,254,255,255,255,255,255,255,255,255,255,255,127,0,0,255,255,255,7,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,0,0,0,0,0,0,255,255,255,255,255,63,255,31,255,255,255,15,0,0,255,255,255,255,255,127,240,143,255,255,255,128,255,255,255,255,255,255,255,255,255,255,0,0,0,0,128,255,252,255,255,255,255,255,255,255,255,255,255,255,255,121,15,0,255,7,0,0,0,0,0,0,0,0,0,255,187,247,255,255,255,0,0,0,255,255,255,255,255,255,15,0,255,255,255,255,255,255,255,255,15,0,255,3,0,0,252,8,255,255,255,255,255,7,255,255,255,255,7,0,255,255,255,31,255,255,255,255,255,255,247,255,0,128,255,3,0,0,0,0,255,255,255,255,255,255,127,0,255,63,255,3,255,255,127,4,255,255,255,255,255,255,255,127,5,0,0,56,255,255,60,0,126,126,126,0,127,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,7,255,3,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,255,127,248,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,0,127,0,248,224,255,253,127,95,219,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,248,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,255,255,255,255,255,255,255,255,252,255,255,255,255,255,255,0,0,0,0,0,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,255,3,254,255,255,7,254,255,255,7,192,255,255,255,255,255,255,255,255,255,255,127,252,252,252,28,0,0,0,0,255,239,255,255,127,255,255,183,255,63,255,63,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,7,0,0,0,0,0,0,0,0,255,255,255,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,31,255,255,255,255,255,255,1,0,0,0,0,0,255,255,255,127,0,0,255,255,255,7,0,0,0,0,0,0,255,255,255,63,255,255,255,255,15,255,62,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,3,0,0,0,0,0,0,0,0,0,0,63,253,255,255,255,255,191,145,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,63,0,255,255,255,3,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,192,0,0,0,0,0,0,0,0,111,240,239,254,255,255,15,0,0,0,0,0,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,63,0,255,255,63,0,255,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,192,255,0,0,252,255,255,255,255,255,255,1,0,0,255,255,255,1,255,3,255,255,255,255,255,255,199,255,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,30,0,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,63,0,255,3,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,31,0,255,255,255,255,255,127,0,0,248,255,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,223,255,255,255,255,255,255,255,255,223,100,222,255,235,239,255,255,255,255,255,255,255,191,231,223,223,255,255,255,123,95,252,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,255,255,253,255,255,247,255,255,255,247,255,255,223,255,255,255,223,255,255,127,255,255,255,127,255,255,255,253,255,255,255,253,255,255,247,207,255,255,255,255,255,255,239,255,255,255,150,254,247,10,132,234,150,170,150,247,247,94,255,251,255,15,238,251,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,97,108,117,99,117,108,97,116,101,32,111,110,101,32,99,111,108,58,0,0,0,0,0,60,47,115,116,97,116,117,115,62,0,0,0,0,0,0,0,34,62,0,0,0,0,0,0,60,115,116,97,116,117,115,62,0,0,0,0,0,0,0,0,10,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,0,0,0,0,0,0,0,60,112,104,97,115,101,62,85,78,75,78,79,87,78,60,47,112,104,97,115,101,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,0,0,0,28,0,0,0,28,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,240,63,128,90,26,0,0,0,0,0,8,91,26,0,0,0,0,0,144,91,26,0,0,0,0,0,24,92,26,0,0,0,0,0,1,0,0,0,98,0,0,0,1,0,0,0,247,0,0,0,73,0,49,1,83,0,127,1,48,1,105,0,120,1,255,0,129,1,83,2,130,1,131,1,132,1,133,1,134,1,84,2,135,1,136,1,137,1,86,2,138,1,87,2,139,1,140,1,142,1,221,1,143,1,89,2,144,1,91,2,145,1,146,1,147,1,96,2,148,1,99,2,150,1,105,2,151,1,104,2,152,1,153,1,156,1,111,2,157,1,114,2,159,1,117,2,166,1,128,2,167,1,168,1,169,1,131,2,172,1,173,1,174,1,136,2,175,1,176,1,177,1,138,2,178,1,139,2,183,1,146,2,184,1,185,1,188,1,189,1,196,1,198,1,196,1,197,1,197,1,198,1,199,1,201,1,199,1,200,1,200,1,201,1,202,1,204,1,202,1,203,1,203,1,204,1,241,1,243,1,241,1,242,1,242,1,243,1,244,1,245,1,246,1,149,1,247,1,191,1,32,2,158,1,134,3,172,3,136,3,173,3,137,3,174,3,138,3,175,3,140,3,204,3,142,3,205,3,143,3,206,3,153,3,69,3,153,3,190,31,163,3,194,3,247,3,248,3,250,3,251,3,96,30,155,30,223,0,223,0,158,30,223,0,89,31,81,31,91,31,83,31,93,31,85,31,95,31,87,31,188,31,179,31,204,31,195,31,236,31,229,31,252,31,243,31,58,2,101,44,59,2,60,2,61,2,154,1,62,2,102,44,65,2,66,2,67,2,128,1,68,2,137,2,69,2,140,2,244,3,184,3,249,3,242,3,253,3,123,3,254,3,124,3,255,3,125,3,192,4,207,4,38,33,201,3,42,33,107,0,43,33,229,0,50,33,78,33,131,33,132,33,96,44,97,44,98,44,107,2,99,44,125,29,100,44,125,2,109,44,81,2,110,44,113,2,111,44,80,2,112,44,82,2,114,44,115,44,117,44,118,44,126,44,63,2,127,44,64,2,242,44,243,44,125,167,121,29,139,167,140,167,141,167,101,2,170,167,102,2,199,16,39,45,205,16,45,45,118,3,119,3,156,3,181,0,146,3,208,3,152,3,209,3,166,3,213,3,160,3,214,3,154,3,240,3,161,3,241,3,149,3,245,3,207,3,215,3,0,0,0,0,0,0,0,0,90,0,0,0,0,0,0,0,51,0,0,0,51,0,0,0,51,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,32,58,25,0,160,15,25,0,192,233,24,0,192,161,0,0,184,141,0,0,64,124,0,0,2,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,8,0,0,0,86,0,0,0,86,0,0,0,34,0,0,0,92,0,0,0,4,0,0,0,6,0,0,0,82,0,0,0,208,0,0,0,208,0,0,0,20,0,0,0,12,0,0,0,152,62,25,0,22,25,0,0,7,0,0,0,23,25,0,0,58,0,0,0,0,0,0,0,152,62,25,0,11,25,0,0,7,0,0,0,11,25,0,0,71,0,0,0,0,0,0,0,152,62,25,0,48,28,0,0,7,0,0,0,49,28,0,0,58,0,0,0,0,0,0,0,152,62,25,0,91,15,0,0,9,0,0,0,96,15,0,0,44,0,0,0,0,0,0,0,152,62,25,0,87,15,0,0,9,0,0,0,90,15,0,0,37,0,0,0,0,0,0,0,152,62,25,0,255,0,0,0,9,0,0,0,2,1,0,0,41,0,0,0,0,0,0,0,152,62,25,0,222,1,0,0,9,0,0,0,225,1,0,0,41,0,0,0,0,0,0,0,152,62,25,0,80,1,0,0,9,0,0,0,83,1,0,0,41,0,0,0,0,0,0,0,152,62,25,0,238,0,0,0,9,0,0,0,241,0,0,0,41,0,0,0,0,0,0,0,152,62,25,0,160,1,0,0,9,0,0,0,163,1,0,0,41,0,0,0,0,0,0,0,152,62,25,0,54,1,0,0,9,0,0,0,57,1,0,0,41,0,0,0,0,0,0,0,152,62,25,0,222,0,0,0,9,0,0,0,225,0,0,0,41,0,0,0,0,0,0,0,152,62,25,0,19,17,0,0,9,0,0,0,22,17,0,0,41,0,0,0,0,0,0,0,152,62,25,0,122,16,0,0,9,0,0,0,125,16,0,0,41,0,0,0,0,0,0,0,152,62,25,0,221,20,0,0,9,0,0,0,221,20,0,0,81,0,0,0,0,0,0,0,152,62,25,0,246,19,0,0,9,0,0,0,247,19,0,0,65,0,0,0,0,0,0,0,152,62,25,0,214,19,0,0,11,0,0,0,215,19,0,0,91,0,0,0,0,0,0,0,152,62,25,0,178,19,0,0,9,0,0,0,178,19,0,0,81,0,0,0,0,0,0,0,152,62,25,0,123,19,0,0,9,0,0,0,125,19,0,0,66,0,0,0,0,0,0,0,152,62,25,0,120,19,0,0,9,0,0,0,122,19,0,0,73,0,0,0,0,0,0,0,152,62,25,0,117,19,0,0,9,0,0,0,119,19,0,0,76,0,0,0,0,0,0,0,152,62,25,0,82,11,0,0,9,0,0,0,85,11,0,0,41,0,0,0,0,0,0,0,152,62,25,0,37,10,0,0,9,0,0,0,40,10,0,0,41,0,0,0,0,0,0,0,152,62,25,0,204,11,0,0,9,0,0,0,206,11,0,0,62,0,0,0,0,0,0,0,0,99,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,62,25,0,195,8,0,0,9,0,0,0,196,8,0,0,77,0,0,0,0,0,0,0,152,62,25,0,193,8,0,0,9,0,0,0,194,8,0,0,67,0,0,0,0,0,0,0,152,62,25,0,190,8,0,0,9,0,0,0,192,8,0,0,40,0,0,0,0,0,0,0,152,62,25,0,13,7,0,0,9,0,0,0,15,7,0,0,55,0,0,0,0,0,0,0,152,62,25,0,11,7,0,0,9,0,0,0,12,7,0,0,53,0,0,0,0,0,0,0,152,62,25,0,9,7,0,0,9,0,0,0,10,7,0,0,56,0,0,0,0,0,0,0,152,62,25,0,6,7,0,0,9,0,0,0,8,7,0,0,40,0,0,0,0,0,0,0,152,62,25,0,109,6,0,0,9,0,0,0,110,6,0,0,53,0,0,0,0,0,0,0,152,62,25,0,107,6,0,0,9,0,0,0,108,6,0,0,56,0,0,0,0,0,0,0,152,62,25,0,103,6,0,0,9,0,0,0,106,6,0,0,41,0,0,0,0,0,0,0,176,66,25,0,177,4,0,0,5,0,0,0,179,4,0,0,51,0,0,0,0,0,0,0,128,89,25,0,26,0,0,0,7,0,0,0,33,0,0,0,3,0,0,0,0,0,0,0,128,89,25,0,18,0,0,0,5,0,0,0,23,0,0,0,3,0,0,0,0,0,0,0,88,146,25,0,27,10,0,0,11,0,0,0,28,10,0,0,96,0,0,0,0,0,0,0,88,146,25,0,225,9,0,0,11,0,0,0,226,9,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,96,25,0,119,2,0,0,7,0,0,0,121,2,0,0,43,0,0,0,0,0,0,0,67,68,65,84,65,91,0,0,2,3,4,5,6,7,8,0,0,9,10,11,12,13,14,15,16,17,0,0,0,0,0,0,0,0,0,0,0,0,18,19,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,23,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,192,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,120,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,192,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,16,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,88,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE);
/* memory initializer */ allocate([96,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,184,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,16,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,52,120,44,2,65,116,32,116,104,101,32,114,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,2,44,53,120,44,2,78,117,109,98,101,114,32,111,102,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,61,2,44,105,54,41,0,0,0,40,52,120,44,2,76,101,97,115,116,32,118,97,108,117,101,32,111,102,32,70,32,61,2,44,49,112,100,50,51,46,49,53,44,57,120,44,2,84,104,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,88,32,105,115,58,2,47,40,50,120,44,53,100,49,53,46,54,41,41,0,0,0,0,0,40,47,52,120,44,2,78,101,119,32,82,72,79,32,61,2,44,49,112,100,49,49,46,52,44,53,120,44,2,78,117,109,98,101,114,32,111,102,2,44,2,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,61,2,44,105,54,41,0,0,0,0,0,0,0,0,40,53,120,41,0,0,0,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,97,32,116,114,117,115,116,2,44,2,32,114,101,103,105,111,110,32,115,116,101,112,32,104,97,115,32,102,97,105,108,101,100,32,116,111,32,114,101,100,117,99,101,32,81,46,2,41,0,0,0,0,0,0,0,40,47,52,120,44,2,70,117,110,99,116,105,111,110,32,110,117,109,98,101,114,2,44,105,54,44,2,32,32,32,32,70,32,61,2,44,49,112,100,49,56,46,49,48,44,2,32,32,32,32,84,104,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,88,32,105,115,58,2,47,40,50,120,44,53,100,49,53,46,54,41,41,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,67,65,76,70,85,78,32,104,97,115,32,98,101,101,110,2,44,2,32,99,97,108,108,101,100,32,77,65,88,70,85,78,32,116,105,109,101,115,46,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,8,43,0,0,0,0,0,0,0,0,0,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,78,80,84,32,105,115,32,110,111,116,32,105,110,2,44,2,32,116,104,101,32,114,101,113,117,105,114,101,100,32,105,110,116,101,114,118,97,108,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,41,0,0,0,0,0,40,49,120,44,54,103,49,51,46,53,41,0,0,0,0,0,40,47,2,32,65,32,102,117,114,116,104,101,114,2,44,105,52,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,32,104,97,118,101,32,98,101,101,110,32,117,115,101,100,2,47,41,0,0,0,0,0,0,40,47,47,2,32,67,79,82,82,69,76,65,84,73,79,78,32,77,65,84,82,73,88,58,45,2,41,0,0,0,0,0,40,2,32,73,78,70,79,82,77,65,84,73,79,78,32,77,65,84,82,73,88,58,45,2,47,41,0,0,0,0,0,0,40,47,2,32,73,102,32,116,104,101,32,102,117,110,99,116,105,111,110,32,109,105,110,105,109,105,122,101,100,32,119,97,115,32,45,76,79,71,40,76,73,75,69,76,73,72,79,79,68,41,44,2,47,2,32,116,104,105,115,32,105,115,32,116,104,101,32,99,111,118,97,114,105,97,110,99,101,32,109,97,116,114,105,120,32,111,102,32,116,104,101,32,112,97,114,97,109,101,116,101,114,115,46,2,47,2,32,73,102,32,116,104,101,32,102,117,110,99,116,105,111,110,32,119,97,115,32,97,32,115,117,109,32,111,102,32,115,113,117,97,114,101,115,32,111,102,32,114,101,115,105,100,117,97,108,115,44,2,47,2,32,116,104,105,115,32,109,97,116,114,105,120,32,109,117,115,116,32,98,101,32,109,117,108,116,105,112,108,105,101,100,32,98,121,32,116,119,105,99,101,32,116,104,101,32,101,115,116,105,109,97,116,101,100,2,44,49,120,44,2,114,101,115,105,100,117,97,108,32,118,97,114,105,97,110,99,101,2,47,2,32,116,111,32,111,98,116,97,105,110,32,116,104,101,32,99,111,118,97,114,105,97,110,99,101,32,109,97,116,114,105,120,46,2,47,41,0,0,0,0,40,2,32,82,97,110,107,32,111,102,32,105,110,102,111,114,109,97,116,105,111,110,32,109,97,116,114,105,120,32,61,2,44,105,51,47,2,32,73,110,118,101,114,115,101,32,111,102,32,105,110,102,111,114,109,97,116,105,111,110,32,109,97,116,114,105,120,58,45,2,41,0,40,2,32,73,70,32,84,72,73,83,32,68,73,70,70,69,82,83,32,66,89,32,77,85,67,72,32,70,82,79,77,32,84,72,69,32,77,73,78,73,77,85,77,32,69,83,84,73,77,65,84,69,68,2,44,49,120,44,2,70,82,79,77,32,84,72,69,32,77,73,78,73,77,73,90,65,84,73,79,78,44,2,47,2,32,84,72,69,32,77,73,78,73,77,85,77,32,77,65,89,32,66,69,32,70,65,76,83,69,32,38,47,79,82,32,84,72,69,32,73,78,70,79,82,77,65,84,73,79,78,32,77,65,84,82,73,88,32,77,65,89,32,66,69,2,44,49,120,44,2,73,78,65,67,67,85,82,65,84,69,2,47,41,0,0,0,0,0,40,2,32,77,105,110,105,109,117,109,32,111,102,32,113,117,97,100,114,97,116,105,99,32,115,117,114,102,97,99,101,32,61,2,44,103,49,52,46,54,44,2,32,97,116,2,44,52,40,47,49,120,44,54,103,49,51,46,53,41,41,0,0,0,40,47,49,48,120,44,2,83,101,97,114,99,104,32,114,101,115,116,97,114,116,105,110,103,2,47,41,0,0,0,0,0,40,47,2,32,77,65,84,82,73,88,32,79,70,32,69,83,84,73,77,65,84,69,68,32,83,69,67,79,78,68,32,68,69,82,73,86,65,84,73,86,69,83,32,78,79,84,32,43,86,69,32,68,69,70,78,46,2,47,2,32,77,73,78,73,77,85,77,32,80,82,79,66,65,66,76,89,32,78,79,84,32,70,79,85,78,68,2,47,41,0,0,0,0,0,0,0,40,47,2,32,70,105,116,116,105,110,103,32,113,117,97,100,114,97,116,105,99,32,115,117,114,102,97,99,101,32,97,98,111,117,116,32,115,117,112,112,111,115,101,100,32,109,105,110,105,109,117,109,2,47,41,0,40,2,32,70,117,110,99,116,105,111,110,32,118,97,108,117,101,32,97,116,32,109,105,110,105,109,117,109,32,61,2,44,103,49,52,46,54,41,0,0,40,2,32,77,105,110,105,109,117,109,32,97,116,2,44,52,40,47,49,120,44,54,103,49,51,46,54,41,41,0,0,0,40,47,47,2,32,77,105,110,105,109,117,109,32,102,111,117,110,100,32,97,102,116,101,114,2,44,105,53,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,2,41,0,0,0,40,47,2,32,69,86,73,68,69,78,67,69,32,79,70,32,67,79,78,86,69,82,71,69,78,67,69,2,41,0,0,0,40,2,32,70,117,110,99,116,105,111,110,32,118,97,108,117,101,32,97,116,32,99,101,110,116,114,111,105,100,32,61,2,44,103,49,52,46,54,41,0,40,2,32,67,101,110,116,114,111,105,100,32,111,102,32,108,97,115,116,32,115,105,109,112,108,101,120,32,61,2,44,52,40,47,49,120,44,54,103,49,51,46,53,41,41,0,0,0,40,2,32,82,77,83,32,111,102,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,111,102,32,108,97,115,116,32,115,105,109,112,108,101,120,32,61,2,44,103,49,52,46,54,41,0,0,0,0,0,40,2,32,78,111,46,32,111,102,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,32,62,32,2,44,105,53,41,0,0,40,47,49,120,44,105,52,44,50,120,44,103,49,50,46,53,44,50,120,44,53,103,49,49,46,52,44,51,40,47,50,49,120,44,53,103,49,49,46,52,41,41,0,0,0,0,0,0,40,2,32,80,114,111,103,114,101,115,115,32,82,101,112,111,114,116,32,101,118,101,114,121,2,44,105,52,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,2,47,44,2,32,69,86,65,76,46,32,32,32,70,85,78,67,46,86,65,76,85,69,46,2,44,49,48,120,44,2,80,65,82,65,77,69,84,69,82,32,86,65,76,85,69,83,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,4,254,255,255,135,254,255,255,7,0,0,0,0,0,0,0,0,255,255,127,255,255,255,127,255,255,255,255,255,255,255,243,127,254,253,255,255,255,255,255,127,255,255,255,255,255,255,255,255,15,224,255,255,255,255,49,252,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,1,0,248,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,215,255,255,251,255,255,255,255,127,127,84,253,255,15,0,254,223,255,255,255,255,255,255,255,255,254,223,255,255,255,255,3,0,255,255,255,255,255,255,159,25,255,255,255,207,63,3,0,0,0,0,0,0,254,255,255,255,127,2,254,255,255,255,127,0,0,0,0,0,0,0,0,0,255,255,255,7,7,0,0,0,0,0,254,255,255,7,254,7,0,0,0,0,254,255,255,255,255,255,255,255,255,124,255,127,47,0,96,0,0,0,224,255,255,255,255,255,255,35,0,0,0,255,3,0,0,0,224,159,249,255,255,253,197,3,0,0,0,176,3,0,3,0,224,135,249,255,255,253,109,3,0,0,0,94,0,0,28,0,224,175,251,255,255,253,237,35,0,0,0,0,1,0,0,0,224,159,249,255,255,253,205,35,0,0,0,176,3,0,0,0,224,199,61,214,24,199,191,3,0,0,0,0,0,0,0,0,224,223,253,255,255,253,239,3,0,0,0,0,3,0,0,0,224,223,253,255,255,253,239,3,0,0,0,64,3,0,0,0,224,223,253,255,255,253,255,3,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,255,255,255,255,127,13,0,63,0,0,0,0,0,0,0,150,37,240,254,174,108,13,32,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,254,255,255,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,63,0,255,255,255,255,127,0,237,218,7,0,0,0,0,80,1,80,49,130,171,98,44,0,0,0,0,64,0,201,128,245,7,0,0,0,0,8,1,2,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,3,255,255,63,63,255,255,255,255,63,63,255,170,255,255,255,63,255,255,255,255,255,255,223,95,220,31,207,15,255,31,220,31,0,0,0,0,64,76,0,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,254,3,0,0,254,255,255,255,255,255,255,255,255,255,31,0,254,255,255,255,255,255,255,255,255,255,255,7,224,255,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,255,7,254,255,255,135,254,255,255,7,0,0,0,0,0,0,128,0,255,255,127,255,255,255,127,255,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,1,0,248,3,0,3,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,3,0,0,0,192,215,255,255,251,255,255,255,255,127,127,84,253,255,15,0,254,223,255,255,255,255,255,255,255,255,254,223,255,255,255,255,123,0,255,255,255,255,255,255,159,25,255,255,255,207,63,3,0,0,0,0,0,0,254,255,255,255,127,2,254,255,255,255,127,0,254,255,251,255,255,187,22,0,255,255,255,7,7,0,0,0,0,0,254,255,255,7,255,255,7,0,255,3,255,255,255,255,255,255,255,255,255,124,255,127,239,255,255,61,255,3,238,255,255,255,255,255,255,243,255,63,30,255,207,255,0,0,238,159,249,255,255,253,197,211,159,57,128,176,207,255,3,0,228,135,249,255,255,253,109,211,135,57,0,94,192,255,31,0,238,175,251,255,255,253,237,243,191,59,0,0,193,255,0,0,238,159,249,255,255,253,205,243,143,57,192,176,195,255,0,0,236,199,61,214,24,199,191,195,199,61,128,0,128,255,0,0,238,223,253,255,255,253,239,195,223,61,96,0,195,255,0,0,236,223,253,255,255,253,239,195,223,61,96,64,195,255,0,0,236,223,253,255,255,253,255,195,207,61,128,0,195,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,255,255,255,255,127,255,7,255,127,255,3,0,0,0,0,150,37,240,254,174,108,255,59,95,63,255,3,0,0,0,0,0,0,0,3,255,3,160,194,255,254,255,255,255,3,254,255,223,15,191,254,255,63,254,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,31,2,0,0,0,160,0,0,0,254,255,62,0,254,255,255,255,255,255,255,255,255,255,31,102,254,255,255,255,255,255,255,255,255,255,255,119,25,3,26,27,28,29,30,0,0,31,32,33,34,35,36,37,16,17,0,0,0,0,0,0,0,0,0,0,0,0,18,19,38,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,23,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,111,32,101,114,114,111,114,0,78,111,32,109,97,116,99,104,0,73,110,118,97,108,105,100,32,114,101,103,101,120,112,0,85,110,107,110,111,119,110,32,99,111,108,108,97,116,105,110,103,32,101,108,101,109,101,110,116,0,85,110,107,110,111,119,110,32,99,104,97,114,97,99,116,101,114,32,99,108,97,115,115,32,110,97,109,101,0,84,114,97,105,108,105,110,103,32,98,97,99,107,115,108,97,115,104,0,73,110,118,97,108,105,100,32,98,97,99,107,32,114,101,102,101,114,101,110,99,101,0,77,105,115,115,105,110,103,32,39,93,39,0,77,105,115,115,105,110,103,32,39,41,39,0,77,105,115,115,105,110,103,32,39,125,39,0,73,110,118,97,108,105,100,32,99,111,110,116,101,110,116,115,32,111,102,32,123,125,0,73,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,32,114,97,110,103,101,0,79,117,116,32,111,102,32,109,101,109,111,114,121,0,82,101,112,101,116,105,116,105,111,110,32,110,111,116,32,112,114,101,99,101,100,101,100,32,98,121,32,118,97,108,105,100,32,101,120,112,114,101,115,115,105,111,110,0,0,85,110,107,110,111,119,110,32,101,114,114,111,114,0,0,0,36,0,0,0,0,0,0,0,194,0,0,0,0,0,0,0,160,92,26,0,0,0,0,0,0,0,0,0,0,0,0,0,67,68,65,84,65,91,0,0,44,0,0,0,24,0,0,0,60,0,0,0,52,0,0,0,68,0,0,0,50,0,0,0,20,0,0,0,18,0,0,0,90,0,0,0,96,0,0,0,26,0,0,0,80,0,0,0,30,0,0,0,14,0,0,0,6,0,0,0,6,0,0,0,18,0,0,0,2,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,24,0,0,0,60,0,0,0,52,0,0,0,68,0,0,0,50,0,0,0,20,0,0,0,18,0,0,0,90,0,0,0,96,0,0,0,26,0,0,0,80,0,0,0,30,0,0,0,14,0,0,0,6,0,0,0,6,0,0,0,18,0,0,0,2,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,34,0,0,0,22,0,0,0,74,0,0,0,20,0,0,0,16,0,0,0,54,0,0,0,70,0,0,0,20,0,0,0,58,0,0,0,22,0,0,0,20,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,34,0,0,0,22,0,0,0,74,0,0,0,20,0,0,0,16,0,0,0,54,0,0,0,70,0,0,0,20,0,0,0,58,0,0,0,22,0,0,0,20,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,9,0,0,0,10,0,0,0,13,0,0,0,11,0,0,0,12,0,0,0,133,0,0,0,0,32,0,0,1,32,0,0,2,32,0,0,3,32,0,0,4,32,0,0,5,32,0,0,6,32,0,0,8,32,0,0,9,32,0,0,10,32,0,0,40,32,0,0,41,32,0,0,95,32,0,0,0,48,0,0,0,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,34,0,0,0,22,0,0,0,74,0,0,0,20,0,0,0,16,0,0,0,54,0,0,0,70,0,0,0,20,0,0,0,58,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,44,0,0,0,6,0,0,0,8,0,0,0,44,0,0,0,2,0,0,0,42,0,0,0,38,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,34,0,0,0,22,0,0,0,74,0,0,0,20,0,0,0,16,0,0,0,54,0,0,0,70,0,0,0,20,0,0,0,58,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,44,0,0,0,6,0,0,0,8,0,0,0,44,0,0,0,2,0,0,0,42,0,0,0,38,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,120,109,108,61,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,88,77,76,47,49,57,57,56,47,110,97,109,101,115,112,97,99,101,0,0,0,0,0,0,0,0,114,101,99,111,110,58,119,97,108,108,58,118,48,49,0,0,232,4,26,0,128,4,26,0,80,4,26,0,120,4,26,0,104,4,26,0,88,4,26,0,3,0,0,0,0,0,0,0,255,255,255,255,224,98,26,0,224,98,26,0,224,98,26,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,96,70,25,0,112,26,25,0,104,243,24,0,176,166,0,0,40,86,25,0,216,144,25,0,144,1,0,0,0,0,0,0,0,85,26,0,0,0,0,0,72,62,0,0,136,84,0,0,192,1,0,0,136,81,0,0,136,81,0,0,104,59,0,0,192,1,0,0,0,0,0,0,184,63,0,0,248,85,0,0,48,3,0,0,248,82,0,0,248,82,0,0,216,60,0,0,48,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,76,0,0,0,0,176,60,49,101,0,0,0,0,16,0,244,14,255,255,255,255,239,127,0,0,0,0,0,0,0,0,78,79,84,65,84,73,79,78,40,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,78,77,84,79,75,69,78,83,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,0,73,68,82,69,70,83,0,0,73,68,82,69,70,0,0,0,73,68,0,0,0,0,0,0,69,78,84,73,84,89,0,0,69,78,84,73,84,73,69,83,0,0,0,0,0,0,0,0,67,68,65,84,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,160,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,47,2,32,87,65,82,78,73,78,71,46,32,84,104,101,32,118,97,108,117,101,32,69,77,73,78,32,109,97,121,32,98,101,32,105,110,99,111,114,114,101,99,116,58,45,2,44,2,32,32,69,77,73,78,32,61,32,2,44,105,56,44,47,2,32,73,102,44,32,97,102,116,101,114,32,105,110,115,112,101,99,116,105,111,110,44,32,116,104,101,32,118,97,108,117,101,32,69,77,73,78,32,108,111,111,107,115,2,44,2,32,97,99,99,101,112,116,97,98,108,101,32,112,108,101,97,115,101,32,99,111,109,109,101,110,116,32,111,117,116,32,2,44,47,2,32,116,104,101,32,73,70,32,98,108,111,99,107,32,97,115,32,109,97,114,107,101,100,32,119,105,116,104,105,110,32,116,104,101,32,99,111,100,101,32,111,102,32,114,111,117,116,105,110,101,2,44,2,32,68,76,65,77,67,50,44,2,44,47,2,32,111,116,104,101,114,119,105,115,101,32,115,117,112,112,108,121,32,69,77,73,78,32,101,120,112,108,105,99,105,116,108,121,46,2,44,47,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,112,137,0,255,9,47,15,10,0,0,0,100,0,0,0,232,3,0,0,16,39,0,0,160,134,1,0,64,66,15,0,128,150,152,0,0,225,245,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,249,24,0,144,242,24,0,32,238,24,0,96,235,24,0,200,232,24,0,0,230,24,0,248,227,24,0,128,69,20,0,200,249,24,0,56,175,0,0,248,172,0,0,200,170,0,0,104,166,0,0,16,164,0,0,184,162,0,0,80,160,0,0,0,0,0,0,56,50,25,0,152,45,25,0,240,98,26,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,0,32,26,192,0,32,31,0,1,1,47,50,1,1,5,57,1,1,15,74,1,1,45,121,1,1,5,112,3,1,3,145,3,32,17,163,3,32,9,0,4,80,16,16,4,32,32,96,4,1,33,138,4,1,53,193,4,1,13,208,4,1,63,20,5,1,19,49,5,48,38,160,1,1,5,179,1,1,3,205,1,1,15,222,1,1,17,248,1,1,39,34,2,1,17,216,3,1,23,0,30,1,149,160,30,1,95,8,31,248,8,24,31,248,6,40,31,248,8,56,31,248,8,72,31,248,6,104,31,248,8,136,31,248,8,152,31,248,8,168,31,248,8,184,31,248,2,186,31,182,2,200,31,170,4,216,31,248,2,218,31,156,2,232,31,248,2,234,31,144,2,248,31,128,2,250,31,130,2,70,2,1,9,16,5,1,3,96,33,16,16,0,44,48,47,103,44,1,5,128,44,1,99,235,44,1,3,64,166,1,45,128,166,1,23,34,167,1,13,50,167,1,61,121,167,1,3,126,167,1,9,144,167,1,3,160,167,1,9,33,255,32,26,0,0,0,0,248,98,26,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,1,0,0,0,255,255,255,255,0,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,191,0,0,128,63,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,9,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,34,3,0,0,0,0,0,0,33,3,0,0,0,0,0,0,7,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,174,2,0,0,0,0,0,0,173,2,0,0,0,0,0,0,169,2,0,0,0,0,0,0,168,2,0,0,0,0,0,0,165,2,0,0,0,0,0,0,164,2,0,0,0,0,0,0,163,2,0,0,0,0,0,0,160,2,0,0,0,0,0,0,159,2,0,0,0,0,0,0,158,2,0,0,0,0,0,0,149,2,0,0,0,0,0,0,148,2,0,0,0,0,0,0,140,2,0,0,0,0,0,0,139,2,0,0,0,0,0,0,138,2,0,0,0,0,0,0,129,2,0,0,0,0,0,0,128,2,0,0,0,0,0,0,119,2,0,0,0,0,0,0,118,2,0,0,0,0,0,0,110,2,0,0,0,0,0,0,109,2,0,0,0,0,0,0,108,2,0,0,0,0,0,0,99,2,0,0,0,0,0,0,98,2,0,0,0,0,0,0,60,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,203,0,0,0,0,0,0,0,202,0,0,0,0,0,0,0,201,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,120,240,24,0,0,0,0,0,200,112,25], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+10244);
/* memory initializer */ allocate([67,68,65,84,65,91,0,0,96,0,0,0,8,0,0,0,28,0,0,0,42,0,0,0,48,0,0,0,84,0,0,0,24,0,0,0,66,0,0,0,30,0,0,0,56,0,0,0,88,0,0,0,70,0,0,0,66,0,0,0,36,0,0,0,12,0,0,0,2,0,0,0,28,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,0,0,0,8,0,0,0,28,0,0,0,42,0,0,0,48,0,0,0,84,0,0,0,24,0,0,0,66,0,0,0,30,0,0,0,56,0,0,0,88,0,0,0,70,0,0,0,66,0,0,0,36,0,0,0,12,0,0,0,2,0,0,0,28,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,5,26,0,32,5,26,0,24,5,26,0,16,5,26,0,48,5,26,0,56,5,26,0,216,4,26,0,200,4,26,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,34,0,0,0,22,0,0,0,74,0,0,0,20,0,0,0,16,0,0,0,54,0,0,0,70,0,0,0,20,0,0,0,58,0,0,0,8,0,0,0,20,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,34,0,0,0,22,0,0,0,74,0,0,0,20,0,0,0,16,0,0,0,54,0,0,0,70,0,0,0,20,0,0,0,58,0,0,0,8,0,0,0,20,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,50,48,48,48,47,120,109,108,110,115,47,0,0,0,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,88,77,76,47,49,57,57,56,47,110,97,109,101,115,112,97,99,101,0,0,0,0,168,93,26,0,0,0,0,0,91,37,108,100,93,32,37,115,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,38,108,116,59,0,0,0,0,74,117,108,0,0,0,0,0,68,101,115,105,114,101,100,32,115,116,101,112,32,116,111,32,115,109,97,108,108,32,116,114,121,32,110,101,120,116,32,111,110,101,0,0,0,0,0,0,114,97,100,97,117,49,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,79,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,110,80,97,114,97,108,108,101,108,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,114,98,0,0,0,0,0,0,114,97,100,97,117,51,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,74,117,110,0,0,0,0,0,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,37,115,115,116,97,114,116,61,37,103,37,115,44,32,102,105,120,101,100,61,37,115,44,32,37,115,110,111,109,105,110,97,108,61,37,103,37,115,44,32,109,105,110,61,37,103,44,32,109,97,120,61,37,103,41,0,0,0,0,0,0,0,100,101,114,40,0,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,84,95,115,116,97,114,116,32,62,61,32,49,46,48,32,97,110,100,32,112,117,109,112,46,84,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,60,47,102,111,114,109,97,116,62,10,0,0,0,0,0,0,114,97,100,97,117,53,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,65,112,114,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,100,117,112,108,105,99,97,116,101,32,97,116,116,114,105,98,117,116,101,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,87,84,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,104,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,117,109,112,46,104,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,32,40,99,112,117,32,116,105,109,101,41,60,47,100,111,117,98,108,101,62,10,0,0,0,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,77,97,114,0,0,0,0,0,124,32,37,115,40,115,116,97,114,116,61,37,115,41,0,0,105,110,116,101,114,97,99,116,105,118,101,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,112,95,97,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,112,95,97,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,112,95,97,95,110,111,109,105,110,97,108,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,60,100,111,117,98,108,101,62,0,0,0,0,0,0,0,0,105,110,108,105,110,101,45,101,117,108,101,114,0,0,0,0,70,101,98,0,0,0,0,0,83,116,114,105,110,103,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,41,0,105,109,112,111,114,116,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,112,95,98,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,112,95,98,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,112,95,98,95,110,111,109,105,110,97,108,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,49,41,0,0,0,0,0,0,32,40,99,97,108,108,115,41,60,47,117,105,110,116,51,50,62,10,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,44,32,119,105,116,104,32,105,110,116,101,114,118,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,74,97,110,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,32,62,61,32,48,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,32,60,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,117,109,112,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,78,111,110,45,117,110,105,116,0,0,0,0,0,0,0,0,60,117,105,110,116,51,50,62,0,0,0,0,0,0,0,0,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,68,101,99,101,109,98,101,114,0,0,0,0,0,0,0,0,124,32,37,115,40,115,116,97,114,116,61,37,108,100,41,0,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,0,112,95,115,101,116,46,100,117,114,97,116,105,111,110,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,60,100,111,117,98,108,101,62,99,112,117,32,116,105,109,101,60,47,100,111,117,98,108,101,62,10,0,0,0,0,0,0,101,117,108,101,114,0,0,0,78,111,118,101,109,98,101,114,0,0,0,0,0,0,0,0,66,111,111,108,101,97,110,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,44,32,102,105,120,101,100,61,37,115,41,0,0,0,0,0,0,105,109,112,111,114,116,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,91,94,91,58,115,112,97,99,101,58,93,93,0,0,0,0,82,101,113,117,101,115,116,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,112,114,111,102,105,108,101,114,32,105,110,100,101,120,32,37,108,100,44,32,98,117,116,32,119,101,32,111,110,108,121,32,104,97,118,101,32,37,108,100,32,115,117,99,104,32,98,108,111,99,107,115,0,0,0,0,115,0,0,0,0,0,0,0,60,33,68,79,67,84,89,80,69,32,100,111,99,32,91,32,32,60,33,69,76,69,77,69,78,84,32,115,105,109,117,108,97,116,105,111,110,32,40,109,111,100,101,108,105,110,102,111,44,32,118,97,114,105,97,98,108,101,115,44,32,102,117,110,99,116,105,111,110,115,44,32,101,113,117,97,116,105,111,110,115,41,62,32,32,60,33,65,84,84,76,73,83,84,32,118,97,114,105,97,98,108,101,32,105,100,32,73,68,32,35,82,69,81,85,73,82,69,68,62,32,32,60,33,69,76,69,77,69,78,84,32,101,113,117,97,116,105,111,110,32,40,114,101,102,115,41,62,32,32,60,33,65,84,84,76,73,83,84,32,101,113,117,97,116,105,111,110,32,105,100,32,73,68,32,35,82,69,81,85,73,82,69,68,62,32,32,60,33,69,76,69,77,69,78,84,32,112,114,111,102,105,108,101,98,108,111,99,107,115,32,40,112,114,111,102,105,108,101,98,108,111,99,107,42,41,62,32,32,60,33,69,76,69,77,69,78,84,32,112,114,111,102,105,108,101,98,108,111,99,107,32,40,114,101,102,115,44,32,110,99,97,108,108,44,32,116,105,109,101,44,32,109,97,120,84,105,109,101,41,62,32,32,60,33,69,76,69,77,69,78,84,32,114,101,102,115,32,40,114,101,102,42,41,62,32,32,60,33,65,84,84,76,73,83,84,32,114,101,102,32,114,101,102,105,100,32,73,68,82,69,70,32,35,82,69,81,85,73,82,69,68,62,32,32,93,62,10,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,65,32,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,108,115,32,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,0,0,0,37,115,44,32,37,115,32,37,108,117,10,0,0,0,0,0,88,76,97,98,101,108,58,32,116,10,10,0,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,108,111,99,97,108,101,32,102,111,114,32,115,116,97,110,100,97,114,100,32,105,110,112,117,116,0,0,0,109,97,120,40,112,117,109,112,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,67,97,110,110,111,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,0,0,37,108,100,44,0,0,0,0,76,79,71,95,73,78,73,84,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,117,109,112,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,117,110,105,116,32,110,111,116,32,99,111,110,110,101,99,116,101,100,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,112,97,114,97,109,101,116,101,114,41,0,0,80,79,0,0,0,0,0,0,60,100,111,117,98,108,101,62,116,105,109,101,60,47,100,111,117,98,108,101,62,10,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,115,121,109,98,111,108,105,99,0,0,0,0,0,0,0,0,79,99,116,111,98,101,114,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,118,97,114,121,32,115,111,108,117,116,105,111,110,32,112,111,105,110,116,32,98,121,32,49,37,37,46,0,0,0,105,109,112,111,114,116,32,114,101,97,108,32,100,105,115,99,114,101,116,101,0,0,0,0,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,32,112,111,105,110,116,101,114,32,105,115,32,105,110,118,97,108,105,100,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,112,105,118,111,116,32,33,61,32,48,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,117,109,112,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,60,117,105,110,116,51,50,62,115,116,101,112,60,47,117,105,110,116,51,50,62,10,0,0,110,117,109,101,114,105,99,0,83,101,112,116,101,109,98,101,114,0,0,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,0,0,0,68,105,115,97,98,108,101,100,32,116,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,98,101,99,97,117,115,101,32,116,104,101,32,111,117,116,112,117,116,32,102,105,108,101,32,99,111,117,108,100,32,110,111,116,32,98,101,32,103,101,110,101,114,97,116,101,100,58,32,37,115,0,0,0,91,37,108,100,93,32,115,97,109,112,108,101,40,37,103,44,32,37,103,41,0,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,97,115,115,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,117,109,112,46,109,97,115,115,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,102,111,114,109,97,116,62,10,0,0,0,0,0,0,0,110,111,110,101,0,0,0,0,65,117,103,117,115,116,0,0,73,110,116,101,103,101,114,32,37,115,40,37,115,115,116,97,114,116,61,37,108,100,37,115,44,32,102,105,120,101,100,61,37,115,44,32,109,105,110,61,37,108,100,44,32,109,97,120,61,37,108,100,41,0,0,0,105,109,112,111,114,116,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,0,76,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,114,104,111,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,114,104,111,95,110,111,109,105,110,97,108,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,60,102,105,108,101,115,105,122,101,62,37,108,100,60,47,102,105,108,101,115,105,122,101,62,10,0,0,0,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,115,121,109,98,111,108,105,99,97,108,108,121,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,0,0,0,74,117,108,121,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,114,101,97,108,32,118,97,114,105,97,98,108,101,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,88,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,88,95,115,116,97,114,116,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,60,47,102,105,108,101,110,97,109,101,62,10,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,110,117,109,101,114,105,99,97,108,108,121,0,0,0,74,117,110,101,0,0,0,0,36,112,68,69,82,46,0,0,109,105,115,109,97,116,99,104,101,100,32,116,97,103,0,0,68,65,83,83,76,45,45,32,32,87,69,82,69,32,73,78,67,82,69,65,83,69,68,32,84,79,32,65,80,80,82,79,80,82,73,65,84,69,32,86,65,76,85,69,83,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,60,102,105,108,101,110,97,109,101,62,0,0,0,0,0,0,115,101,116,115,32,97,108,108,32,118,97,114,105,97,98,108,101,115,32,116,111,32,116,104,101,105,114,32,115,116,97,114,116,32,118,97,108,117,101,115,32,97,110,100,32,115,107,105,112,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,99,101,115,115,0,0,0,77,97,121,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,0,0,0,36,90,69,82,79,46,0,0,99,97,110,39,116,32,115,116,97,116,32,102,105,108,101,0,105,108,115,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,117,109,112,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,69,0,0,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,116,111,116,97,108,32,33,61,32,48,0,0,0,0,0,0,0,37,115,95,112,114,111,102,46,100,97,116,97,0,0,0,0,105,112,111,112,116,0,0,0,65,112,114,105,108,0,0,0,124,32,37,115,40,115,116,97,114,116,61,37,103,41,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,117,109,112,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,114,98,0,0,0,0,0,0,60,47,118,97,114,105,97,98,108,101,62,10,0,0,0,0,107,105,110,115,111,108,95,115,99,97,108,101,100,0,0,0,77,97,114,99,104,0,0,0,105,109,112,111,114,116,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,0,0,0,100,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,104,101,97,100,95,111,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,104,101,97,100,95,111,112,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,85,112,112,101,114,0,0,0,34,32,99,111,109,109,101,110,116,61,34,0,0,0,0,0,107,105,110,115,111,108,0,0,70,101,98,114,117,97,114,121,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,97,116,101,68,101,114,105,118,97,116,105,118,101,115,0,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,114,101,97,100,32,105,110,112,117,116,45,102,105,108,101,32,60,37,115,62,32,91,37,115,93,0,0,0,0,0,115,105,110,107,46,109,101,100,105,117,109,46,100,0,0,0,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,112,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,112,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,112,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,60,118,97,114,105,97,98,108,101,32,105,100,61,34,118,97,114,37,100,34,32,110,97,109,101,61,34,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,112,117,109,112,46,95,109,101,100,105,117,109,46,95,112,104,97,115,101,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,110,101,108,100,101,114,95,109,101,97,100,95,101,120,0,0,74,97,110,117,97,114,121,0,105,109,112,111,114,116,32,115,116,97,114,116,32,118,97,108,117,101,115,10,102,105,108,101,58,32,37,115,10,116,105,109,101,58,32,37,103,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,115,113,114,116,40,107,50,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,61,32,48,0,91,91,58,115,112,97,99,101,58,93,93,0,0,0,0,0,120,109,108,45,62,110,70,117,110,99,116,105,111,110,115,32,61,61,32,40,108,111,110,103,41,32,117,115,101,114,68,97,116,97,91,51,93,0,0,0,110,111,32,115,112,97,99,101,0,0,0,0,0,0,0,0,99,97,108,108,111,99,32,102,97,105,108,101,100,0,0,0,108,105,115,0,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,84,105,116,108,101,84,101,120,116,58,32,79,112,101,110,77,111,100,101,108,105,99,97,32,115,105,109,117,108,97,116,105,111,110,32,112,108,111,116,10,0,0,0,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,102,105,108,101,32,37,115,0,0,0,0,0,109,97,120,40,112,117,109,112,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,0,0,0,0,76,79,71,95,69,86,69,78,84,83,95,86,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,0,91,37,108,100,93,32,114,101,115,105,100,117,97,108,32,105,115,32,105,110,101,102,102,101,99,116,105,118,101,32,40,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,32,105,115,32,115,101,116,32,116,111,32,49,46,48,41,0,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,112,97,114,97,109,101,116,101,114,41,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,0,0,0,0,0,0,0,84,82,73,0,0,0,0,0,119,114,105,116,97,98,108,101,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,112,114,101,45,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,0,0,110,101,119,117,111,97,0,0,102,97,108,115,101,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,111,108,100,32,118,97,108,117,101,115,46,0,0,0,0,0,0,0,115,121,109,98,111,108,105,99,0,0,0,0,0,0,0,0,73,116,101,114,97,116,105,111,110,32,118,97,114,105,97,98,108,101,32,118,97,108,117,101,115,32,40,115,99,97,108,101,100,41,0,0,0,0,0,0,78,101,119,116,111,110,32,82,97,112,104,115,111,110,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,100,101,108,116,97,95,104,101,97,100,95,105,110,105,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,100,101,108,116,97,95,104,101,97,100,95,105,110,105,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,115,105,109,112,108,101,120,0,68,0,0,0,101,0,0,0,99,0,0,0,0,0,0,0,116,114,117,101,0,0,0,0,110,117,109,101,114,105,99,0,115,116,97,116,101,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,34,32,115,116,97,114,116,108,105,110,101,61,34,37,100,34,32,115,116,97,114,116,99,111,108,61,34,37,100,34,32,101,110,100,108,105,110,101,61,34,37,100,34,32,101,110,100,99,111,108,61,34,37,100,34,32,114,101,97,100,111,110,108,121,61,34,37,115,34,32,47,62,10,0,0,0,0,0,0,0,73,110,116,101,114,105,111,114,32,80,111,105,110,116,32,79,80,84,105,109,105,122,101,114,0,0,0,0,0,0,0,0,78,0,0,0,111,0,0,0,118,0,0,0,0,0,0,0,125,0,0,0,0,0,0,0,99,111,117,108,100,32,110,111,116,32,112,97,115,115,101,100,32,116,111,32,68,68,65,83,82,84,0,0,0,0,0,0,110,111,110,101,0,0,0,0,100,101,98,117,103,0,0,0,85,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,60,105,110,102,111,32,102,105,108,101,110,97,109,101,61,34,0,0,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,115,121,109,98,111,108,105,99,97,108,108,121,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,0,0,0,101,114,114,111,114,0,0,0,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,100,105,97,109,101,116,101,114,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,60,47,102,117,110,99,116,105,111,110,62,10,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,83,0,0,0,101,0,0,0,112,0,0,0,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,110,117,109,101,114,105,99,97,108,108,121,0,0,0,112,97,114,116,105,97,108,32,99,104,97,114,97,99,116,101,114,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,70,79,82,32,80,82,69,67,73,83,73,79,78,32,79,70,32,77,65,67,72,73,78,69,46,32,82,84,79,76,32,65,78,68,32,65,84,79,76,0,0,0,0,0,0,0,0,119,97,114,110,105,110,103,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,0,60,102,117,110,99,116,105,111,110,32,105,100,61,34,102,117,110,37,100,34,62,10,0,0,69,120,116,101,110,100,101,100,32,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,32,40,115,101,101,32,45,105,108,115,32,102,111,114,32,103,108,111,98,97,108,32,104,111,109,111,116,111,112,121,41,32,45,32,100,101,102,97,117,108,116,0,0,0,0,65,0,0,0,117,0,0,0,103,0,0,0,0,0,0,0,82,101,97,108,32,37,115,40,37,115,115,116,97,114,116,61,37,103,37,115,44,32,102,105,120,101,100,61,37,115,44,32,37,115,110,111,109,105,110,97,108,61,37,103,37,115,44,32,109,105,110,61,37,103,44,32,109,97,120,61,37,103,41,0,115,101,116,115,32,97,108,108,32,118,97,114,105,97,98,108,101,115,32,116,111,32,116,104,101,105,114,32,115,116,97,114,116,32,118,97,108,117,101,115,32,97,110,100,32,115,107,105,112,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,99,101,115,115,0,0,0,105,105,116,0,0,0,0,0,105,110,102,111,0,0,0,0,119,105,108,108,32,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,32,119,105,116,104,32,116,104,101,32,118,97,108,117,101,115,32,102,114,111,109,32,116,104,101,32,102,105,108,101,10,32,32,110,111,116,101,32,116,104,97,116,58,32,45,111,118,101,114,114,105,100,101,70,105,108,101,32,67,65,78,78,79,84,32,98,101,32,117,115,101,100,32,119,105,116,104,32,45,111,118,101,114,114,105,100,101,10,32,32,117,115,101,32,119,104,101,110,32,118,97,114,105,97,98,108,101,115,32,102,111,114,32,45,111,118,101,114,114,105,100,101,32,97,114,101,32,116,111,111,32,109,97,110,121,32,97,110,100,32,100,111,32,110,111,116,32,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+20856);
/* memory initializer */ allocate([105,116,32,105,110,32,99,111,109,109,97,110,100,32,108,105,110,101,32,115,105,122,101,10,32,32,111,118,101,114,114,105,100,101,70,105,108,101,78,97,109,101,32,99,111,110,116,97,105,110,115,32,108,105,110,101,115,32,111,102,32,116,104,101,32,102,111,114,109,58,32,118,97,114,49,61,115,116,97,114,116,49,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,100,112,95,115,109,97,108,108,32,62,61,32,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,100,112,95,115,109,97,108,108,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,109,97,120,32,33,61,32,48,0,102,117,110,0,0,0,0,0,66,114,101,110,116,39,115,32,109,101,116,104,111,100,0,0,74,0,0,0,117,0,0,0,108,0,0,0,0,0,0,0,109,97,120,0,0,0,0,0,105,112,111,112,116,0,0,0,38,103,116,59,0,0,0,0,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,10,32,32,101,46,103,46,32,118,97,114,49,61,115,116,97,114,116,49,44,118,97,114,50,61,115,116,97,114,116,50,44,112,97,114,51,61,115,116,97,114,116,51,44,115,116,97,114,116,84,105,109,101,61,118,97,108,49,44,115,116,111,112,84,105,109,101,61,118,97,108,50,44,115,116,101,112,83,105,122,101,61,118,97,108,51,44,10,32,32,32,32,32,32,32,116,111,108,101,114,97,110,99,101,61,118,97,108,52,44,115,111,108,118,101,114,61,34,115,101,101,32,45,115,34,44,111,117,116,112,117,116,70,111,114,109,97,116,61,34,109,97,116,124,112,108,116,124,99,115,118,124,101,109,112,116,121,34,44,118,97,114,105,97,98,108,101,70,105,108,116,101,114,61,34,102,105,108,116,101,114,34,0,0,0,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,100,97,116,97,95,50,0,0,60,47,101,113,117,97,116,105,111,110,62,10,0,0,0,0,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,0,0,0,0,0,0,74,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,109,105,110,0,0,0,0,0,107,105,110,115,111,108,95,115,99,97,108,101,100,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,62,61,32,49,46,48,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,38,108,116,59,0,0,0,0,111,117,116,112,117,116,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,97,44,32,98,32,97,110,100,32,99,32,97,116,32,116,104,101,32,101,110,100,32,111,102,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,116,111,32,116,104,101,32,115,116,97,110,100,97,114,100,32,111,117,116,112,117,116,10,32,32,116,105,109,101,32,61,32,118,97,108,117,101,44,32,97,32,61,32,118,97,108,117,101,44,32,98,32,61,32,118,97,108,117,101,44,32,99,32,61,32,118,97,108,117,101,0,0,0,0,0,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,111,114,105,102,105,99,101,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,85,110,105,116,0,0,0,0,60,99,97,108,99,105,110,102,111,32,116,105,109,101,61,34,37,102,34,32,99,111,117,110,116,61,34,37,108,117,34,47,62,10,0,0,0,0,0,0,117,110,107,110,111,119,110,0,77,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,110,111,109,105,110,97,108,0,107,105,110,115,111,108,0,0,38,97,109,112,59,0,0,0,115,105,110,107,49,46,109,101,100,105,117,109,46,100,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,111,117,116,112,117,116,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,109,101,97,115,117,114,101,32,116,105,109,101,32,102,117,110,99,116,105,111,110,97,108,105,116,121,10,32,32,115,118,103,10,32,32,106,112,103,10,32,32,112,115,10,32,32,103,105,102,10,32,32,46,46,46,0,0,0,0,0,0,0,0,115,105,110,107,46,109,101,100,105,117,109,46,100,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,0,0,0,0,0,0,0,60,47,114,101,102,115,62,10,0,0,0,0,0,0,0,0,85,110,104,97,110,100,108,101,100,32,65,115,115,101,114,116,105,111,110,45,69,114,114,111,114,0,0,0,0,0,0,0,99,104,101,99,107,32,102,111,114,32,100,105,115,99,114,101,116,101,32,99,104,97,110,103,101,115,0,0,0,0,0,0,65,0,0,0,112,0,0,0,114,0,0,0,0,0,0,0,117,115,101,78,111,109,105,110,97,108,0,0,0,0,0,0,110,101,108,100,101,114,95,109,101,97,100,95,101,120,0,0,91,94,91,58,97,108,110,117,109,58,93,95,93,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,37,115,0,120,109,108,45,62,110,69,113,117,97,116,105,111,110,115,32,61,61,32,40,108,111,110,103,41,32,117,115,101,114,68,97,116,97,91,49,93,0,0,0,102,111,114,116,46,37,108,100,0,0,0,0,0,0,0,0,34,32,47,62,10,0,0,0,69,120,101,99,117,116,105,111,110,32,116,105,109,101,32,111,102,32,103,108,111,98,97,108,32,115,116,101,112,115,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,103,105,110,103,32,108,101,118,101,108,0,0,0,0,0,0,0,108,97,112,97,99,107,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,102,105,108,101,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,10,0,0,0,0,0,0,0,0,35,73,110,116,101,114,118,97,108,83,105,122,101,61,37,108,100,10,0,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,109,97,116,32,102,105,108,101,32,37,115,0,36,99,112,117,84,105,109,101,0,0,0,0,0,0,0,0,109,97,120,40,112,117,109,112,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,108,97,109,98,100,97,0,0,76,79,71,95,69,86,69,78,84,83,0,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,115,116,97,114,116,32,118,97,108,117,101,32,114,101,115,105,100,117,97,108,115,58,32,37,108,100,0,0,0,0,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,100,112,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,100,112,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,100,112,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,110,117,108,108,32,102,105,108,101,32,110,97,109,101,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,0,0,0,0,0,0,66,82,68,0,0,0,0,0,60,114,101,102,32,114,101,102,105,100,61,34,118,97,114,37,100,34,32,47,62,10,0,0,116,105,109,101,114,0,0,0,69,114,114,111,114,58,32,0,77,0,0,0,97,0,0,0,114,0,0,0,0,0,0,0,102,105,120,101,100,0,0,0,120,91,37,100,93,32,61,32,37,46,49,53,101,10,9,114,101,115,105,100,117,97,108,32,61,32,37,101,0,0,0,0,110,101,119,117,111,97,0,0,73,116,101,114,97,116,105,111,110,32,118,97,114,105,97,98,108,101,32,118,97,108,117,101,115,0,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,60,47,109,101,115,115,97,103,101,62,10,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,102,111,114,32,73,112,111,112,116,44,32,100,101,102,97,117,108,116,32,109,117,109,112,115,46,10,32,78,111,116,101,58,32,85,115,101,32,105,102,32,121,111,117,32,98,117,105,108,100,32,105,112,111,112,116,32,119,105,116,104,32,111,116,104,101,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,108,105,107,101,32,109,97,50,55,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,69,110,116,101,114,105,110,103,32,97,110,100,32,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,60,114,101,102,115,62,10,0,70,0,0,0,101,0,0,0,98,0,0,0,0,0,0,0,115,116,97,114,116,0,0,0,115,105,109,112,108,101,120,0,116,105,109,101,0,0,0,0,70,65,76,83,69,0,0,0,98,97,115,101,95,97,114,114,97,121,46,99,58,32,97,114,114,97,121,32,105,115,32,78,85,76,76,33,10,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,10,32,32,108,97,112,97,99,107,44,32,108,105,115,0,0,68,65,83,83,76,45,45,32,32,84,72,69,32,76,65,83,84,32,83,84,69,80,32,84,69,82,77,73,78,65,84,69,68,32,87,73,84,72,32,65,32,78,69,71,65,84,73,86,69,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,112,32,62,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,112,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,34,62,10,0,0,0,0,0,60,117,115,101,100,32,105,110,100,101,120,61,34,37,100,34,32,47,62,10,0,0,0,0,87,97,114,110,105,110,103,58,32,0,0,0,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,0,0,0,0,117,115,101,83,116,97,114,116,0,0,0,0,0,0,0,0,74,97,99,111,98,105,97,110,32,111,114,32,83,112,97,114,115,101,80,97,116,116,101,114,110,32,105,115,32,110,111,116,32,103,101,110,101,114,97,116,101,100,32,111,114,32,102,97,105,108,101,100,32,116,111,32,105,110,105,116,105,97,108,105,122,101,33,32,83,119,105,116,99,104,32,98,97,99,107,32,116,111,32,110,111,114,109,97,108,46,0,0,0,0,0,0,73,110,116,101,114,105,111,114,32,80,111,105,110,116,32,79,80,84,105,109,105,122,101,114,0,0,0,0,0,0,0,0,34,62,10,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,111,114,32,111,112,116,105,109,105,122,97,116,105,111,110,32,40,115,105,109,44,32,99,111,110,115,116,41,0,77,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,84,32,62,61,32,49,46,48,32,97,110,100,32,115,105,110,107,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,101,113,117,97,116,105,111,110,32,105,100,61,34,101,113,37,100,34,32,110,97,109,101,61,34,0,0,0,0,0,0,65,115,115,101,114,116,105,111,110,32,116,114,105,103,103,101,114,101,100,32,98,121,32,101,120,116,101,114,110,97,108,32,67,32,102,117,110,99,116,105,111,110,0,0,0,0,0,0,68,0,0,0,101,0,0,0,99,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,60,109,101,115,115,97,103,101,32,115,116,114,101,97,109,61,34,37,115,34,32,116,121,112,101,61,34,37,115,34,32,116,101,120,116,61,34,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,102,111,114,32,73,112,111,112,116,40,83,89,77,44,32,78,85,77,44,32,78,85,77,68,69,78,83,69,41,0,0,0,0,0,0,117,116,105,108,47,98,97,115,101,95,97,114,114,97,121,46,99,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,60,47,112,114,111,102,105,108,101,98,108,111,99,107,62,10,0,0,0,0,0,0,0,0,78,0,0,0,111,0,0,0,118,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,0,0,0,0,102,105,108,101,87,114,105,116,97,98,108,101,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,117,110,99,108,111,115,101,100,32,116,111,107,101,110,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,84,79,79,32,77,85,67,72,32,65,67,67,85,82,65,67,89,32,82,69,81,85,69,83,84,69,68,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,104,101,115,115,101,109,97,116,114,105,120,32,102,111,114,32,73,112,111,112,116,40,79,77,67,44,32,66,70,71,83,44,32,99,111,110,115,116,41,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,60,116,105,109,101,62,37,46,57,102,60,47,116,105,109,101,62,10,0,0,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,111,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,69,120,116,101,110,100,101,100,32,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,32,40,115,101,101,32,45,105,108,115,32,102,111,114,32,103,108,111,98,97,108,32,104,111,109,111,116,111,112,121,41,32,45,32,100,101,102,97,117,108,116,0,0,0,0,105,105,109,0,0,0,0,0,99,97,110,39,116,32,98,97,99,107,115,112,97,99,101,32,102,105,108,101,0,0,0,0,124,32,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,115,116,101,112,115,32,102,111,114,32,104,111,109,111,116,111,112,121,32,109,101,116,104,111,100,32,40,114,101,113,117,105,114,101,100,58,32,45,105,105,109,61,115,121,109,98,111,108,105,99,41,32,111,114,10,39,115,116,97,114,116,32,118,97,108,117,101,32,104,111,109,111,116,111,112,121,39,32,109,101,116,104,111,100,32,40,114,101,113,117,105,114,101,100,58,32,45,105,105,109,61,110,117,109,101,114,105,99,32,45,105,111,109,61,110,101,108,100,101,114,95,109,101,97,100,95,101,120,41,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,109,105,110,32,33,61,32,48,0,60,110,99,97,108,108,62,37,100,60,47,110,99,97,108,108,62,10,0,0,0,0,0,0,83,0,0,0,101,0,0,0,112,0,0,0,116,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,101,110,100,67,111,108,117,109,110,0,0,0,0,0,0,0,66,114,101,110,116,39,115,32,109,101,116,104,111,100,0,0,37,45,55,115,32,124,32,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,100,97,116,97,95,49,0,0,60,114,101,102,32,114,101,102,105,100,61,34,101,113,37,100,34,47,62,10,0,0,0,0,60,100,105,102,102,67,117,114,114,101,110,116,84,105,109,101,62,37,103,60,47,100,105,102,102,67,117,114,114,101,110,116,84,105,109,101,62,10,0,0,65,0,0,0,117,0,0,0,103,0,0,0,117,0,0,0,115,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,101,100,105,117,109,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,124,0,0,0,0,0,0,0,110,117,109,101,114,105,99,97,108,32,74,97,99,111,98,105,97,110,0,0,0,0,0,0,103,101,116,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,116,104,97,116,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,10,32,32,101,46,103,46,32,45,104,101,108,112,61,102,32,112,114,105,110,116,115,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,102,111,114,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,32,102,0,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,78,111,32,116,114,97,110,115,112,111,115,101,0,0,0,0,60,112,114,111,102,105,108,101,98,108,111,99,107,62,10,0,60,99,117,114,114,101,110,116,84,105,109,101,62,37,103,60,47,99,117,114,114,101,110,116,84,105,109,101,62,10,0,0,101,110,100,76,105,110,101,0,117,110,107,110,111,119,110,0,37,45,49,55,115,32,124,32,0,0,0,0,0,0,0,0,37,115,0,0,0,0,0,0,115,105,110,107,50,46,109,101,100,105,117,109,46,100,0,0,32,32,45,32,100,117,109,112,115,32,116,104,101,32,99,112,117,45,116,105,109,101,32,105,110,116,111,32,116,104,101,32,114,101,115,117,108,116,45,102,105,108,101,10,32,32,45,32,36,99,112,117,84,105,109,101,32,105,115,32,116,104,101,32,118,97,114,105,97,98,108,101,32,110,97,109,101,32,105,110,115,105,100,101,32,116,104,101,32,114,101,115,117,108,116,45,102,105,108,101,0,0,0,0,115,105,110,107,49,46,109,101,100,105,117,109,46,100,0,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,105,110,102,105,110,105,116,121,0,0,0,0,0,0,0,0,101,113,0,0,0,0,0,0,60,100,105,102,102,79,108,100,84,105,109,101,62,37,103,60,47,100,105,102,102,79,108,100,84,105,109,101,62,10,0,0,74,0,0,0,117,0,0,0,110,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,112,117,109,112,46,109,101,100,105,117,109,46,112,32,62,32,50,50,48,54,52,48,48,48,46,48,0,0,0,0,0,0,111,112,116,105,109,105,122,97,116,105,111,110,45,99,97,108,108,115,58,32,37,108,100,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,115,113,114,116,40,107,49,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,61,32,48,0,68,84,82,83,77,32,0,0,91,91,58,97,108,110,117,109,58,93,95,93,0,0,0,0,101,97,99,104,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,32,99,97,110,32,111,110,108,121,32,98,101,32,117,115,101,100,32,111,110,99,101,58,32,37,115,0,0,0,0,0,0,37,115,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,100,97,116,97,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,0,0,0,0,0,0,0,111,112,101,110,0,0,0,0,37,115,37,103,32,0,0,0,115,101,116,32,102,111,114,109,97,116,32,121,32,34,37,103,34,10,0,0,0,0,0,0,37,32,46,53,101,32,0,0,115,101,108,101,99,116,115,32,116,104,101,32,116,121,112,101,32,111,102,32,99,108,111,99,107,32,116,111,32,117,115,101,32,45,99,108,111,99,107,61,82,84,44,32,45,99,108,111,99,107,61,67,89,67,32,111,114,32,45,99,108,111,99,107,61,67,80,85,10,32,32,82,84,61,109,111,110,111,116,111,110,105,99,32,114,101,97,108,45,116,105,109,101,32,99,108,111,99,107,44,32,67,80,85,61,112,114,111,99,101,115,115,45,98,97,115,101,100,32,67,80,85,45,116,105,109,101,44,32,67,89,67,61,99,112,117,32,99,121,99,108,101,115,32,109,101,97,115,117,114,101,100,32,119,105,116,104,32,82,68,84,83,67,0,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,99,111,117,108,100,110,39,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,116,104,101,32,88,77,76,32,112,97,114,115,101,114,33,0,0,0,35,78,117,109,98,101,114,111,102,86,97,114,105,97,98,108,101,115,61,37,100,10,0,0,100,97,116,97,95,50,0,0,116,105,109,101,0,0,0,0,112,117,109,112,46,101,116,97,0,0,0,0,0,0,0,0,105,116,101,114,97,116,105,111,110,0,0,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,73,110,116,101,114,110,97,108,32,101,114,114,111,114,44,32,78,76,79,79,80,32,60,32,49,46,0,0,0,0,0,76,79,71,95,68,83,83,95,74,65,67,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,58,32,32,37,108,100,32,40,37,108,100,32,101,113,117,97,116,105,111,110,115,32,43,32,37,108,100,32,97,108,103,111,114,105,116,104,109,115,41,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,83,84,79,80,32,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,0,0,0,117,37,100,40,116,41,61,32,37,102,32,9,0,0,0,0,115,101,108,101,99,116,32,37,115,0,0,0,0,0,0,0,72,82,68,0,0,0,0,0,37,115,0,0,0,0,0,0,84,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,97,114,101,32,115,116,111,114,101,100,32,105,110,32,37,115,95,112,114,111,102,46,104,116,109,108,32,40,104,117,109,97,110,45,114,101,97,100,97,98,108,101,41,32,97,110,100,32,37,115,95,112,114,111,102,46,120,109,108,32,40,102,111,114,32,88,83,76,32,116,114,97,110,115,102,111,114,109,115,32,111,114,32,109,111,114,101,32,100,101,116,97,105,108,115,41,0,0,0,0,0,0,35,35,35,32,83,84,65,84,73,83,84,73,67,83,32,35,35,35,0,0,0,0,0,0,60,111,108,100,84,105,109,101,50,62,37,46,49,50,103,60,47,111,108,100,84,105,109,101,50,62,10,0,0,0,0,0,115,116,97,114,116,67,111,108,117,109,110,0,0,0,0,0,110,102,117,110,99,32,61,32,37,100,32,43,43,43,32,101,114,114,111,114,32,61,32,37,46,49,53,101,32,43,43,43,32,101,114,114,111,114,95,115,99,97,108,101,100,32,61,32,37,46,49,53,101,0,0,0,110,111,116,32,117,112,100,97,116,105,110,103,32,98,101,115,116,90,0,0,0,0,0,0,115,99,97,108,105,110,103,32,102,97,99,116,111,114,115,32,120,32,118,101,99,116,111,114,0,0,0,0,0,0,0,0,100,101,102,97,117,108,116,32,109,101,116,104,111,100,0,0,115,104,111,119,115,32,97,108,108,32,119,97,114,110,105,110,103,115,32,101,118,101,110,32,105,102,32,97,32,114,101,108,97,116,101,100,32,108,111,103,45,115,116,114,101,97,109,32,105,115,32,105,110,97,99,116,105,118,101,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,70,97,105,108,101,100,32,116,111,32,103,101,110,101,114,97,116,101,32,104,116,109,108,32,118,101,114,115,105,111,110,32,111,102,32,112,114,111,102,105,108,105,110,103,32,114,101,115,117,108,116,115,58,32,37,115,10,0,0,0,0,0,0,0,60,111,108,100,84,105,109,101,62,37,46,49,50,103,60,47,111,108,100,84,105,109,101,62,10,0,0,0,0,0,0,0,65,0,0,0,112,0,0,0,114,0,0,0,105,0,0,0,108,0,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,98,101,115,116,90,0,0,37,115,32,101,118,101,110,116,32,97,116,32,116,105,109,101,32,37,46,49,50,103,0,0,84,82,85,69,0,0,0,0,97,110,97,108,121,116,105,99,97,108,32,74,97,99,111,98,105,97,110,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,115,111,108,118,101,114,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,112,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,112,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,32,109,105,115,115,105,110,103,0,0,0,0,0,0,0,0,60,99,117,114,114,101,110,116,83,116,101,112,83,105,122,101,62,37,103,60,47,99,117,114,114,101,110,116,83,116,101,112,83,105,122,101,62,10,0,0,77,0,0,0,97,0,0,0,114,0,0,0,99,0,0,0,104,0,0,0,0,0,0,0,115,116,97,114,116,76,105,110,101,0,0,0,0,0,0,0,78,111,32,83,112,97,114,115,101,80,97,116,116,101,114,110,44,32,115,105,110,99,101,32,116,104,101,114,101,32,97,114,101,32,110,111,32,115,116,97,116,101,115,33,32,83,119,105,116,99,104,32,98,97,99,107,32,116,111,32,110,111,114,109,97,108,46,0,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,111,112,116,105,111,110,32,45,105,111,109,0,91,37,108,100,93,32,37,103,0,0,0,0,0,0,0,0,70,76,65,71,95,85,78,75,78,79,87,78,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,110,101,119,32,114,101,115,117,108,116,32,102,105,108,101,32,116,104,97,110,32,116,104,101,32,100,101,102,97,117,108,116,32,77,111,100,101,108,95,114,101,115,46,109,97,116,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,9,0,0,0,0,0,0,0,37,115,32,45,111,32,37,115,95,112,114,111,102,46,104,116,109,108,32,37,115,47,115,104,97,114,101,47,111,109,99,47,115,99,114,105,112,116,115,47,100,101,102,97,117,108,116,95,112,114,111,102,105,108,105,110,103,46,120,115,108,32,37,115,95,112,114,111,102,46,120,109,108,0,0,0,0,0,0,0,70,0,0,0,101,0,0,0,98,0,0,0,114,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,45,110,114,46,32,37,108,100,0,0,119,114,105,116,97,98,108,101,0,0,0,0,0,0,0,0,115,116,97,116,101,115,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,105,110,116,101,114,97,99,116,105,118,101,32,115,105,109,117,108,97,116,105,111,110,32,112,111,114,116,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,120,115,108,116,112,114,111,99,0,0,0,0,0,0,0,0,60,109,111,100,101,108,62,37,115,60,47,109,111,100,101,108,62,10,0,0,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,102,105,108,101,78,97,109,101,0,0,0,0,0,0,0,0,35,35,35,32,70,73,78,65,76,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,82,69,83,85,76,84,83,32,35,35,35,0,0,0,0,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,32,40,105,110,118,97,108,105,100,32,116,111,107,101,110,41,0,69,114,114,111,114,32,115,111,108,118,105,110,103,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,37,115,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,68,65,83,83,76,45,45,32,32,84,65,75,69,78,32,79,78,32,84,72,73,83,32,67,65,76,76,32,66,69,70,79,82,69,32,82,69,65,67,72,73,78,71,32,84,79,85,84,0,0,0,0,0,0,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,99,106,58,32,37,103,0,0,119,105,108,108,32,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,32,119,105,116,104,32,116,104,101,32,118,97,108,117,101,115,32,102,114,111,109,32,116,104,101,32,102,105,108,101,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,87,97,114,110,105,110,103,58,32,80,108,111,116,32,99,111,109,109,97,110,100,32,102,97,105,108,101,100,10,0,0,0,115,107,105,112,32,119,47,111,32,115,99,97,108,105,110,103,0,0,0,0,0,0,0,0,105,105,102,0,0,0,0,0,91,37,115,58,37,100,58,37,100,45,37,100,58,37,100,58,37,115,93,0,0,0,0,0,97,116,32,112,111,105,110,116,32,105,110,32,116,105,109,101,58,32,37,103,0,0,0,0,115,101,113,117,101,110,116,105,97,108,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,0,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,32,33,61,32,48,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,47,109,111,100,101,108,105,110,102,111,46,99,0,0,78,111,32,118,97,114,105,97,98,108,101,115,32,105,110,32,116,104,101,32,109,111,100,101,108,46,0,0,0,0,0,0,80,77,0,0,0,0,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,115,116,97,114,116,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,0,0,100,97,115,115,108,116,101,115,116,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,116,104,101,32,122,101,114,111,99,114,111,115,115,105,110,103,115,0,0,111,117,116,112,117,116,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,97,44,32,98,32,97,110,100,32,99,32,97,116,32,116,104,101,32,101,110,100,32,111,102,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,116,111,32,116,104,101,32,115,116,97,110,100,97,114,100,32,111,117,116,112,117,116,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+31096);
/* memory initializer */ allocate([105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,100,97,116,97,73,110,102,111,0,0,0,0,0,0,0,0,98,117,102,0,0,0,0,0,69,114,114,111,114,58,32,67,111,117,108,100,32,110,111,116,32,105,110,105,116,105,97,108,105,122,101,32,116,104,101,32,103,108,111,98,97,108,32,100,97,116,97,32,115,116,114,117,99,116,117,114,101,32,102,105,108,101,0,0,0,0,0,0,65,77,0,0,0,0,0,0,111,118,101,114,45,100,101,116,101,114,109,105,110,101,100,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,101,100,105,117,109,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,101,100,105,117,109,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,100,97,115,115,108,73,110,116,101,114,110,97,108,78,117,109,74,97,99,0,0,0,0,0,63,63,63,0,0,0,0,0,100,111,32,110,111,116,32,101,109,105,116,32,101,118,101,110,116,32,112,111,105,110,116,115,32,116,111,32,116,104,101,32,114,101,115,117,108,116,32,102,105,108,101,0,0,0,0,0,105,110,118,97,108,105,100,32,100,97,116,97,32,110,111,100,101,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,32,62,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,76,111,119,101,114,0,0,0,85,110,105,116,0,0,0,0,60,47,115,105,109,117,108,97,116,105,111,110,62,10,0,0,117,115,101,32,37,115,32,45,104,101,108,112,32,102,111,114,32,97,32,108,105,115,116,32,111,102,32,97,108,108,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,115,0,0,0,0,0,0,0,118,97,108,117,101,82,101,102,101,114,101,110,99,101,0,0,110,111,32,105,110,105,116,105,97,108,32,118,97,108,117,101,115,32,116,111,32,99,97,108,99,117,108,97,116,101,0,0,101,114,114,111,114,32,105,110,32,102,111,114,109,97,116,0,100,97,115,115,108,67,111,108,111,114,83,121,109,74,97,99,0,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,115,116,97,116,105,115,116,105,99,115,32,97,98,111,117,116,32,116,105,109,101,114,47,101,118,101,110,116,115,47,115,111,108,118,101,114,0,37,115,40,115,116,97,114,116,61,37,103,41,0,0,0,0,100,111,32,110,111,116,32,101,109,105,116,32,97,110,121,32,114,101,115,117,108,116,115,32,116,111,32,116,104,101,32,114,101,115,117,108,116,32,102,105,108,101,0,0,0,0,0,0,115,105,110,107,50,46,109,101,100,105,117,109,46,100,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,100,105,97,109,101,116,101,114,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,60,47,112,114,111,102,105,108,101,98,108,111,99,107,115,62,10,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,45,104,101,108,112,61,37,115,0,0,0,80,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,112,117,109,112,46,109,101,100,105,117,109,46,104,32,62,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,40,112,117,109,112,46,109,101,100,105,117,109,46,112,41,41,0,0,0,0,0,0,0,37,115,40,102,105,120,101,100,61,116,114,117,101,41,32,61,32,37,103,0,0,0,0,0,27,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,68,69,84,65,73,76,69,68,95,68,69,83,67,0,0,0,0,0,0,100,97,115,115,108,78,117,109,74,97,99,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,47,115,105,109,117,108,97,116,105,111,110,95,105,110,102,111,95,120,109,108,46,99,0,0,0,0,0,0,0,0,97,99,99,95,116,112,32,33,61,32,48,0,0,0,0,0,114,43,0,0,0,0,0,0,102,105,110,97,108,32,115,111,108,117,116,105,111,110,32,111,102,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,115,101,116,32,110,111,107,101,121,10,0,0,0,0,0,0,80,114,105,110,116,32,106,97,99,58,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,110,111,110,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,110,108,115,61,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,99,97,110,32,110,111,116,32,114,101,97,100,32,102,105,108,101,32,37,115,32,97,115,32,115,101,116,117,112,32,102,105,108,101,32,116,111,32,116,104,101,32,103,101,110,101,114,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,99,111,100,101,46,0,0,0,35,80,116,111,108,101,109,121,32,80,108,111,116,32,102,105,108,101,44,32,103,101,110,101,114,97,116,101,100,32,98,121,32,79,112,101,110,77,111,100,101,108,105,99,97,10,0,0,100,97,116,97,73,110,102,111,0,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,58,32,91,37,115,93,32,98,101,99,97,117,115,101,32,111,102,32,37,115,0,0,37,115,44,0,0,0,0,0,112,117,109,112,46,78,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,78,117,109,98,101,114,32,111,102,32,105,110,105,116,105,97,108,32,118,97,108,117,101,115,32,116,111,32,99,97,108,99,117,108,97,116,101,32,60,32,49,0,0,0,0,0,0,76,79,71,95,68,83,83,0,91,37,108,100,93,32,100,105,115,99,114,101,116,101,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,117,110,102,105,120,101,100,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,10,73,110,112,117,116,58,32,116,61,37,102,32,32,32,9,0,0,0,0,0,0,0,0,115,101,108,101,99,116,32,110,101,119,32,115,116,97,116,101,115,32,97,116,32,116,105,109,101,32,37,102,0,0,0,0,81,76,70,0,0,0,0,0,60,112,114,111,102,105,108,101,98,108,111,99,107,115,62,10,0,0,0,0,0,0,0,0,70,105,110,105,115,104,101,100,0,0,0,0,0,0,0,0,100,101,116,97,105,108,101,100,32,102,108,97,103,45,100,101,115,99,114,105,112,116,105,111,110,32,102,111,114,58,32,60,45,37,115,61,118,97,108,117,101,62,32,111,114,32,60,45,37,115,32,118,97,108,117,101,62,10,37,115,0,0,0,0,65,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,110,97,109,101,0,0,0,0,42,42,42,32,83,121,115,116,101,109,32,115,111,108,118,101,100,32,42,42,42,10,37,100,32,114,101,115,116,97,114,116,115,0,0,0,0,0,0,0,115,101,116,116,105,110,103,32,102,105,120,101,100,61,116,114,117,101,32,102,111,114,58,0,87,101,108,108,44,32,116,104,105,115,32,105,115,32,101,109,98,97,114,114,97,115,105,110,103,46,32,84,104,101,32,110,111,110,45,108,105,110,101,97,114,32,115,111,108,118,101,114,32,115,104,111,117,108,100,32,110,101,118,101,114,32,99,97,108,108,32,116,104,105,115,32,99,97,115,101,46,37,100,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,117,110,107,110,111,119,110,0,69,120,101,99,117,116,105,111,110,32,102,97,105,108,101,100,33,10,0,0,0,0,0,0,100,97,115,115,108,83,121,109,74,97,99,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,111,117,116,112,117,116,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,109,101,97,115,117,114,101,32,116,105,109,101,32,102,117,110,99,116,105,111,110,97,108,105,116,121,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,60,47,101,113,117,97,116,105,111,110,115,62,10,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,115,111,108,118,101,114,32,112,114,111,99,101,115,115,0,0,0,0,0,100,101,116,97,105,108,101,100,32,102,108,97,103,45,100,101,115,99,114,105,112,116,105,111,110,32,102,111,114,58,32,60,45,37,115,62,10,37,115,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,97,116,101,115,0,0,0,0,0,0,0,0,117,110,100,101,114,45,100,101,116,101,114,109,105,110,101,100,0,0,0,0,0,0,0,0,37,115,37,50,48,46,49,50,103,32,0,0,0,0,0,0,83,116,97,99,107,32,111,118,101,114,102,108,111,119,32,100,101,116,101,99,116,101,100,32,97,110,100,32,119,97,115,32,110,111,116,32,99,97,117,103,104,116,46,10,83,101,110,100,32,117,115,32,97,32,98,117,103,32,114,101,112,111,114,116,32,97,116,32,104,116,116,112,115,58,47,47,116,114,97,99,46,111,112,101,110,109,111,100,101,108,105,99,97,46,111,114,103,47,79,112,101,110,77,111,100,101,108,105,99,97,47,110,101,119,116,105,99,107,101,116,10,32,32,32,32,73,110,99,108,117,100,101,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,116,114,97,99,101,58,10,0,0,0,0,0,0,82,117,110,110,105,110,103,0,100,97,115,115,108,119,111,114,116,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,115,105,109,117,108,97,116,105,111,110,32,112,114,111,99,101,115,115,0,91,115,116,114,105,110,103,32,108,105,115,116,93,32,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,103,105,110,103,32,108,101,118,101,108,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,60,101,113,117,97,116,105,111,110,115,62,10,0,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,45,108,111,103,70,111,114,109,97,116,61,37,115,44,32,101,120,112,101,99,116,101,100,32,116,101,120,116,32,111,114,32,120,109,108,0,0,0,0,0,0,0,0,110,121,115,116,114,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,110,111,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,32,40,110,101,105,116,104,101,114,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,110,111,114,32,105,110,105,116,105,97,108,32,97,108,103,111,114,105,116,104,109,115,41,0,101,110,100,102,105,108,101,0,45,45,32,101,110,100,32,99,97,108,99,117,108,97,116,105,110,103,32,106,97,99,111,98,105,97,110,32,45,45,0,0,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,95,105,110,102,111,46,120,109,108,0,0,0,0,0,0,0,0,100,97,115,115,108,0,0,0,111,117,116,112,117,116,115,32,114,101,115,105,100,117,97,108,115,32,111,102,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,102,111,114,32,105,112,111,112,116,0,0,0,0,0,0,78,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,60,47,102,117,110,99,116,105,111,110,115,62,10,0,0,0,116,101,120,116,0,0,0,0,110,112,115,116,114,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,32,73,79,0,0,0,0,0,110,111,32,118,97,114,105,97,98,108,101,115,32,116,111,32,105,110,105,116,105,97,108,105,122,101,0,0,0,0,0,0,45,45,32,98,101,103,105,110,32,99,97,108,99,117,108,97,116,105,110,103,32,106,97,99,111,98,105,97,110,32,45,45,0,0,0,0,0,0,0,0,60,63,120,109,108,32,118,101,114,115,105,111,110,61,34,49,46,48,34,32,101,110,99,111,100,105,110,103,61,34,85,84,70,45,56,34,63,62,10,60,63,120,109,108,45,115,116,121,108,101,115,104,101,101,116,32,116,121,112,101,61,34,97,112,112,108,105,99,97,116,105,111,110,47,120,109,108,34,32,104,114,101,102,61,34,115,105,109,99,111,100,101,100,117,109,112,46,120,115,108,34,63,62,10,60,115,105,109,99,111,100,101,100,117,109,112,32,109,111,100,101,108,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,34,62,10,60,118,97,114,105,97,98,108,101,115,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,36,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,36,100,117,109,109,121,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,36,100,117,109,109,121,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,57,55,34,32,108,105,110,101,69,110,100,61,34,49,49,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,110,111,109,105,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,57,55,34,32,108,105,110,101,69,110,100,61,34,49,49,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,110,111,109,105,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,57,55,34,32,108,105,110,101,69,110,100,61,34,49,49,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,55,34,32,108,105,110,101,69,110,100,61,34,49,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,55,34,32,108,105,110,101,69,110,100,61,34,49,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,55,34,32,108,105,110,101,69,110,100,61,34,49,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+41336);
/* memory initializer */ allocate([83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,115,34,32,99,111,109,109,101,110,116,61,34,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,50,34,32,108,105,110,101,69,110,100,61,34,49,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,50,34,32,108,105,110,101,69,110,100,61,34,49,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,50,34,32,108,105,110,101,69,110,100,61,34,49,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,50,34,32,108,105,110,101,69,110,100,61,34,49,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,50,34,32,108,105,110,101,69,110,100,61,34,49,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,115,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+51576);
/* memory initializer */ allocate([116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+61816);
/* memory initializer */ allocate([108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,52,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,95,116,117,114,98,117,108,101,110,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,52,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,95,116,117,114,98,117,108,101,110,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,52,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,55,34,32,108,105,110,101,69,110,100,61,34,49,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,55,34,32,108,105,110,101,69,110,100,61,34,49,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,55,34,32,108,105,110,101,69,110,100,61,34,49,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,49,34,32,108,105,110,101,69,110,100,61,34,49,50,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+72056);
/* memory initializer */ allocate([105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,34,32,99,111,109,109,101,110,116,61,34,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,50,34,32,108,105,110,101,69,110,100,61,34,49,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,50,34,32,108,105,110,101,69,110,100,61,34,49,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,50,34,32,108,105,110,101,69,110,100,61,34,49,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,50,34,32,108,105,110,101,69,110,100,61,34,49,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,50,34,32,108,105,110,101,69,110,100,61,34,49,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,51,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,52,34,32,108,105,110,101,69,110,100,61,34,49,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+82296);
/* memory initializer */ allocate([80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,115,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,48,34,32,108,105,110,101,69,110,100,61,34,49,48,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+92536);
/* memory initializer */ allocate([99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,122,101,116,97,115,34,32,99,111,109,109,101,110,116,61,34,99,111,101,102,102,105,99,105,101,110,116,32,102,111,114,32,113,117,97,100,114,97,116,105,99,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,48,34,32,108,105,110,101,69,110,100,61,34,49,52,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,122,101,116,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,111,101,102,102,105,99,105,101,110,116,32,102,111,114,32,113,117,97,100,114,97,116,105,99,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,48,34,32,108,105,110,101,69,110,100,61,34,49,52,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,122,101,116,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,111,101,102,102,105,99,105,101,110,116,32,102,111,114,32,113,117,97,100,114,97,116,105,99,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,48,34,32,108,105,110,101,69,110,100,61,34,49,52,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,107,115,95,105,110,118,34,32,99,111,109,109,101,110,116,61,34,99,111,101,102,102,105,99,105,101,110,116,32,102,111,114,32,113,117,97,100,114,97,116,105,99,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,57,34,32,108,105,110,101,69,110,100,61,34,49,52,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,107,115,95,105,110,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,111,101,102,102,105,99,105,101,110,116,32,102,111,114,32,113,117,97,100,114,97,116,105,99,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,57,34,32,108,105,110,101,69,110,100,61,34,49,52,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,107,115,95,105,110,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,111,101,102,102,105,99,105,101,110,116,32,102,111,114,32,113,117,97,100,114,97,116,105,99,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,57,34,32,108,105,110,101,69,110,100,61,34,49,52,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+102776);
/* memory initializer */ allocate([99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+113016);
/* memory initializer */ allocate([51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,88,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+123256);
/* memory initializer */ allocate([97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,88,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,88,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+133496);
/* memory initializer */ allocate([60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,88,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+143736);
/* memory initializer */ allocate([32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+153976);
/* memory initializer */ allocate([102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+164216);
/* memory initializer */ allocate([101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,95,115,101,116,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,95,115,101,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,82,97,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,95,115,101,116,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,95,115,101,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,82,97,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,86,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,86,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,40,112,111,115,105,116,105,118,101,32,119,104,101,110,32,102,108,111,119,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,86,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,86,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,40,112,111,115,105,116,105,118,101,32,119,104,101,110,32,102,108,111,119,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,112,95,102,103,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,117,101,32,116,111,32,102,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,100,112,95,102,103,34,32,99,111,109,109,101,110,116,61,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,117,101,32,116,111,32,102,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,40,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,100,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,40,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,122,101,116,97,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,122,101,116,97,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+174456);
/* memory initializer */ allocate([114,105,102,105,99,101,46,112,111,114,116,95,98,95,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,98,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,112,111,114,116,95,98,95,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,98,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,111,114,116,95,97,95,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,97,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,34,32,108,105,110,101,69,110,100,61,34,51,53,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,112,111,114,116,95,97,95,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,97,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,34,32,108,105,110,101,69,110,100,61,34,51,53,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,70,95,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,49,34,32,108,105,110,101,69,110,100,61,34,55,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,70,95,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,49,34,32,108,105,110,101,69,110,100,61,34,55,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,52,48,34,32,108,105,110,101,69,110,100,61,34,55,52,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,52,48,34,32,108,105,110,101,69,110,100,61,34,55,52,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+184696);
/* memory initializer */ allocate([114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,78,34,32,99,111,109,109,101,110,116,61,34,83,104,97,102,116,32,114,111,116,97,116,105,111,110,97,108,32,115,112,101,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,109,105,110,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,95,114,112,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,78,34,32,99,111,109,109,101,110,116,61,34,83,104,97,102,116,32,114,111,116,97,116,105,111,110,97,108,32,115,112,101,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,109,105,110,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,95,114,112,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,100,34,32,99,111,109,109,101,110,116,61,34,80,117,109,112,32,104,101,97,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,104,101,97,100,34,32,99,111,109,109,101,110,116,61,34,80,117,109,112,32,104,101,97,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,114,104,111,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,51,34,32,108,105,110,101,69,110,100,61,34,51,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,114,104,111,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,51,34,32,108,105,110,101,69,110,100,61,34,51,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+194936);
/* memory initializer */ allocate([115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,86,95,102,108,111,119,95,115,105,110,103,108,101,34,32,99,111,109,109,101,110,116,61,34,86,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,40,115,105,110,103,108,101,32,112,117,109,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,86,95,102,108,111,119,95,115,105,110,103,108,101,34,32,99,111,109,109,101,110,116,61,34,86,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,40,115,105,110,103,108,101,32,112,117,109,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,95,115,105,110,103,108,101,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,40,115,105,110,103,108,101,32,112,117,109,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,34,32,108,105,110,101,69,110,100,61,34,51,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,95,102,108,111,119,95,115,105,110,103,108,101,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,40,115,105,110,103,108,101,32,112,117,109,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,34,32,108,105,110,101,69,110,100,61,34,51,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,100,112,95,112,117,109,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,105,110,99,114,101,97,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,52,34,32,108,105,110,101,69,110,100,61,34,51,57,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,100,112,95,112,117,109,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,105,110,99,114,101,97,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,52,34,32,108,105,110,101,69,110,100,61,34,51,57,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,40,116,111,116,97,108,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,54,34,32,108,105,110,101,69,110,100,61,34,51,57,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+205176);
/* memory initializer */ allocate([62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,40,116,111,116,97,108,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,54,34,32,108,105,110,101,69,110,100,61,34,51,57,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,101,116,97,34,32,99,111,109,109,101,110,116,61,34,71,108,111,98,97,108,32,69,102,102,105,99,105,101,110,99,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,101,116,97,34,32,99,111,109,109,101,110,116,61,34,71,108,111,98,97,108,32,69,102,102,105,99,105,101,110,99,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,87,95,115,105,110,103,108,101,34,32,99,111,109,109,101,110,116,61,34,80,111,119,101,114,32,67,111,110,115,117,109,112,116,105,111,110,32,40,115,105,110,103,108,101,32,112,117,109,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,87,95,115,105,110,103,108,101,34,32,99,111,109,109,101,110,116,61,34,80,111,119,101,114,32,67,111,110,115,117,109,112,116,105,111,110,32,40,115,105,110,103,108,101,32,112,117,109,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,86,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,86,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,40,116,111,116,97,108,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,34,32,108,105,110,101,69,110,100,61,34,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,86,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,86,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,40,116,111,116,97,108,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,34,32,108,105,110,101,69,110,100,61,34,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,72,98,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,32,111,114,32,101,110,101,114,103,121,32,115,111,117,114,99,101,47,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,57,57,34,32,108,105,110,101,69,110,100,61,34,54,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,72,98,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,32,111,114,32,101,110,101,114,103,121,32,115,111,117,114,99,101,47,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,57,57,34,32,108,105,110,101,69,110,100,61,34,54,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+215416);
/* memory initializer */ allocate([100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+225656);
/* memory initializer */ allocate([116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+235896);
/* memory initializer */ allocate([32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,115,34,32,99,111,109,109,101,110,116,61,34,67,117,114,118,105,108,105,110,101,97,114,32,97,98,115,99,105,115,115,97,32,102,111,114,32,116,104,101,32,102,108,111,119,32,99,117,114,118,101,32,105,110,32,112,97,114,97,109,101,116,114,105,99,32,102,111,114,109,32,40,101,105,116,104,101,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,111,114,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,115,34,32,99,111,109,109,101,110,116,61,34,67,117,114,118,105,108,105,110,101,97,114,32,97,98,115,99,105,115,115,97,32,102,111,114,32,116,104,101,32,102,108,111,119,32,99,117,114,118,101,32,105,110,32,112,97,114,97,109,101,116,114,105,99,32,102,111,114,109,32,40,101,105,116,104,101,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,111,114,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+246136);
/* memory initializer */ allocate([97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+256376);
/* memory initializer */ allocate([116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,85,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,53,34,32,108,105,110,101,69,110,100,61,34,53,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,85,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,53,34,32,108,105,110,101,69,110,100,61,34,53,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+266616);
/* memory initializer */ allocate([32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,73,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,53,55,34,32,108,105,110,101,69,110,100,61,34,55,53,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+276856);
/* memory initializer */ allocate([101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,73,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,53,55,34,32,108,105,110,101,69,110,100,61,34,55,53,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,54,34,32,108,105,110,101,69,110,100,61,34,53,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,102,108,117,105,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,54,34,32,108,105,110,101,69,110,100,61,34,53,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+287096);
/* memory initializer */ allocate([115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,102,108,117,105,100,86,111,108,117,109,101,34,32,99,111,109,109,101,110,116,61,34,86,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,52,48,34,32,108,105,110,101,69,110,100,61,34,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,102,108,117,105,100,86,111,108,117,109,101,34,32,99,111,109,109,101,110,116,61,34,86,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,52,48,34,32,108,105,110,101,69,110,100,61,34,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,97,116,104,76,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,51,55,34,32,108,105,110,101,69,110,100,61,34,55,51,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,112,97,116,104,76,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,51,55,34,32,108,105,110,101,69,110,100,61,34,55,51,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,65,95,109,101,97,110,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,65,95,109,101,97,110,34,32,99,111,109,109,101,110,116,61,34,109,101,97,110,32,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,98,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,115,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,57,52,34,32,108,105,110,101,69,110,100,61,34,53,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,98,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,115,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,57,52,34,32,108,105,110,101,69,110,100,61,34,53,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,73,98,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,48,34,32,108,105,110,101,69,110,100,61,34,55,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,73,98,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,48,34,32,108,105,110,101,69,110,100,61,34,55,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+297336);
/* memory initializer */ allocate([73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+307576);
/* memory initializer */ allocate([60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+317816);
/* memory initializer */ allocate([70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,112,111,114,116,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,112,111,114,116,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,112,111,114,116,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+328056);
/* memory initializer */ allocate([110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,112,111,114,116,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+338296);
/* memory initializer */ allocate([32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,112,111,114,116,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,112,111,114,116,115,91,49,93,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,112,111,114,116,115,91,49,93,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,112,111,114,116,115,91,49,93,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,112,111,114,116,115,91,49,93,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,112,111,114,116,115,91,49,93,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,112,111,114,116,115,91,49,93,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,111,114,105,102,105,99,101,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,112,111,114,116,115,91,49,93,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,111,114,105,102,105,99,101,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,34,32,108,105,110,101,69,110,100,61,34,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,117,109,112,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+348536);
/* memory initializer */ allocate([59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,117,109,112,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,114,101,115,117,108,116,105,110,103,32,102,114,111,109,32,110,111,109,105,110,97,108,32,116,117,114,98,117,108,101,110,116,32,102,108,111,119,32,97,110,100,32,103,101,111,109,101,116,114,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,55,34,32,108,105,110,101,69,110,100,61,34,49,52,51,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,110,111,109,105,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,114,101,115,117,108,116,105,110,103,32,102,114,111,109,32,110,111,109,105,110,97,108,32,116,117,114,98,117,108,101,110,116,32,102,108,111,119,32,97,110,100,32,103,101,111,109,101,116,114,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,55,34,32,108,105,110,101,69,110,100,61,34,49,52,51,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,110,111,109,105,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,95,116,117,114,98,117,108,101,110,116,32,114,101,115,117,108,116,105,110,103,32,102,114,111,109,32,110,111,109,105,110,97,108,32,116,117,114,98,117,108,101,110,116,32,102,108,111,119,32,97,110,100,32,103,101,111,109,101,116,114,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,55,34,32,108,105,110,101,69,110,100,61,34,49,52,51,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,114,101,115,117,108,116,105,110,103,32,102,114,111,109,32,110,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,97,110,100,32,103,101,111,109,101,116,114,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,53,34,32,108,105,110,101,69,110,100,61,34,49,52,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,110,111,109,105,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,114,101,115,117,108,116,105,110,103,32,102,114,111,109,32,110,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,97,110,100,32,103,101,111,109,101,116,114,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,53,34,32,108,105,110,101,69,110,100,61,34,49,52,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,110,111,109,105,110,97,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,112,97,116,104,76,101,110,103,116,104,115,32,114,101,115,117,108,116,105,110,103,32,102,114,111,109,32,110,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,97,110,100,32,103,101,111,109,101,116,114,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,53,34,32,108,105,110,101,69,110,100,61,34,49,52,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,108,101,110,103,116,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,108,101,110,103,116,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,108,101,110,103,116,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,112,111,114,116,115,91,49,93,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,112,111,114,116,115,91,49,93,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+358776);
/* memory initializer */ allocate([99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+369016);
/* memory initializer */ allocate([105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,112,111,114,116,115,91,49,93,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,112,111,114,116,115,91,49,93,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,108,101,110,103,116,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,108,101,110,103,116,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+379256);
/* memory initializer */ allocate([10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,108,101,110,103,116,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,52,34,32,108,105,110,101,69,110,100,61,34,49,48,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+389496);
/* memory initializer */ allocate([114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,54,34,32,108,105,110,101,69,110,100,61,34,49,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,112,111,114,116,115,91,49,93,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,112,111,114,116,115,91,49,93,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,114,104,111,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+399736);
/* memory initializer */ allocate([32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,114,104,111,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,53,34,32,108,105,110,101,69,110,100,61,34,49,48,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,48,34,32,108,105,110,101,69,110,100,61,34,49,48,51,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+409976);
/* memory initializer */ allocate([108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,49,34,32,108,105,110,101,69,110,100,61,34,55,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,49,34,32,108,105,110,101,69,110,100,61,34,55,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,112,95,115,101,116,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,99,114,105,98,101,100,32,111,117,116,108,101,116,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,95,115,101,116,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,112,95,115,101,116,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,99,114,105,98,101,100,32,111,117,116,108,101,116,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,95,115,101,116,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,112,95,115,101,116,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,95,115,101,116,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,34,32,108,105,110,101,69,110,100,61,34,49,56,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,112,95,115,101,116,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,95,115,101,116,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,34,32,108,105,110,101,69,110,100,61,34,49,56,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+420216);
/* memory initializer */ allocate([101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,49,34,32,108,105,110,101,69,110,100,61,34,55,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,49,34,32,108,105,110,101,69,110,100,61,34,55,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+430456);
/* memory initializer */ allocate([61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,49,34,32,108,105,110,101,69,110,100,61,34,55,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,49,34,32,108,105,110,101,69,110,100,61,34,55,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+440696);
/* memory initializer */ allocate([121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,49,34,32,108,105,110,101,69,110,100,61,34,55,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,49,34,32,108,105,110,101,69,110,100,61,34,55,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+450936);
/* memory initializer */ allocate([114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,34,32,108,105,110,101,69,110,100,61,34,49,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,49,34,32,108,105,110,101,69,110,100,61,34,55,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,49,34,32,108,105,110,101,69,110,100,61,34,55,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+461176);
/* memory initializer */ allocate([47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,111,114,105,102,105,99,101,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,111,114,105,102,105,99,101,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,111,114,105,102,105,99,101,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,111,114,105,102,105,99,101,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,81,98,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,32,111,114,32,101,110,101,114,103,121,32,115,111,117,114,99,101,47,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,48,49,34,32,108,105,110,101,69,110,100,61,34,54,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,81,98,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,32,111,114,32,101,110,101,114,103,121,32,115,111,117,114,99,101,47,115,105,110,107,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,48,49,34,32,108,105,110,101,69,110,100,61,34,54,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+471416);
/* memory initializer */ allocate([121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,109,101,100,105,117,109,46,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,109,101,100,105,117,109,46,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,109,101,100,105,117,109,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,109,101,100,105,117,109,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,109,101,100,105,117,109,46,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,109,101,100,105,117,109,46,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+481656);
/* memory initializer */ allocate([32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,109,101,100,105,117,109,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,109,101,100,105,117,109,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,109,101,100,105,117,109,46,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,109,101,100,105,117,109,46,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,109,101,100,105,117,109,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+491896);
/* memory initializer */ allocate([115,105,110,107,46,109,101,100,105,117,109,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,87,95,116,111,116,97,108,34,32,99,111,109,109,101,110,116,61,34,80,111,119,101,114,32,67,111,110,115,117,109,112,116,105,111,110,32,40,116,111,116,97,108,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,117,109,112,46,72,98,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+502136);
/* memory initializer */ allocate([108,105,110,101,83,116,97,114,116,61,34,52,48,52,34,32,108,105,110,101,69,110,100,61,34,52,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,87,95,116,111,116,97,108,34,32,99,111,109,109,101,110,116,61,34,80,111,119,101,114,32,67,111,110,115,117,109,112,116,105,111,110,32,40,116,111,116,97,108,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,117,109,112,46,72,98,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,52,34,32,108,105,110,101,69,110,100,61,34,52,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+512376);
/* memory initializer */ allocate([99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,114,104,111,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,114,104,111,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,114,104,111,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,114,104,111,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,114,104,111,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,114,104,111,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,112,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,111,114,105,102,105,99,101,46,100,112,95,115,109,97,108,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,100,112,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,111,114,105,102,105,99,101,46,100,112,95,115,109,97,108,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,34,32,99,111,108,83,116,97,114,116,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+522616);
/* memory initializer */ allocate([34,51,34,32,99,111,108,69,110,100,61,34,57,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,117,109,112,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,117,109,112,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,87,98,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,87,111,114,107,32,102,108,111,119,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,32,111,114,32,115,111,117,114,99,101,32,116,101,114,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,117,109,112,46,72,98,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,48,51,34,32,108,105,110,101,69,110,100,61,34,54,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,87,98,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,87,111,114,107,32,102,108,111,119,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,32,111,114,32,115,111,117,114,99,101,32,116,101,114,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,112,117,109,112,46,72,98,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,48,51,34,32,108,105,110,101,69,110,100,61,34,54,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,70,95,102,103,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,111,114,105,102,105,99,101,46,70,95,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,50,34,32,108,105,110,101,69,110,100,61,34,55,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,70,95,102,103,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,111,114,105,102,105,99,101,46,70,95,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,50,34,32,108,105,110,101,69,110,100,61,34,55,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,95,115,101,116,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,54,34,32,108,105,110,101,69,110,100,61,34,49,56,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,95,102,108,111,119,95,115,101,116,95,105,110,116,101,114,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,54,34,32,108,105,110,101,69,110,100,61,34,49,56,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,34,32,108,105,110,101,69,110,100,61,34,51,51,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,34,32,108,105,110,101,69,110,100,61,34,51,51,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+532856);
/* memory initializer */ allocate([111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,88,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+543096);
/* memory initializer */ allocate([101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,88,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,49,34,32,108,105,110,101,69,110,100,61,34,53,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,49,34,32,108,105,110,101,69,110,100,61,34,53,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,49,34,32,108,105,110,101,69,110,100,61,34,53,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,88,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,88,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,88,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+553336);
/* memory initializer */ allocate([115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,101,112,115,95,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,84,117,114,98,117,108,101,110,116,32,102,108,111,119,32,124,109,95,102,108,111,119,124,32,38,103,116,59,61,32,101,112,115,95,109,95,102,108,111,119,95,110,111,109,105,110,97,108,42,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,69,120,97,109,112,108,101,115,47,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,34,32,108,105,110,101,69,110,100,61,34,49,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,101,112,115,95,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,84,117,114,98,117,108,101,110,116,32,102,108,111,119,32,124,109,95,102,108,111,119,124,32,38,103,116,59,61,32,101,112,115,95,109,95,102,108,111,119,95,110,111,109,105,110,97,108,42,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,69,120,97,109,112,108,101,115,47,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,34,32,108,105,110,101,69,110,100,61,34,49,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,112,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,112,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,78,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,114,111,116,97,116,105,111,110,97,108,32,115,112,101,101,100,32,102,111,114,32,102,108,111,119,32,99,104,97,114,97,99,116,101,114,105,115,116,105,99,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,53,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,109,105,110,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,34,32,108,105,110,101,69,110,100,61,34,51,51,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,95,114,112,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,78,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,114,111,116,97,116,105,111,110,97,108,32,115,112,101,101,100,32,102,111,114,32,102,108,111,119,32,99,104,97,114,97,99,116,101,114,105,115,116,105,99,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,53,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,109,105,110,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,34,32,108,105,110,101,69,110,100,61,34,51,51,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,95,114,112,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,86,34,32,99,111,109,109,101,110,116,61,34,86,111,108,117,109,101,32,105,110,115,105,100,101,32,116,104,101,32,112,117,109,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,86,34,32,99,111,109,109,101,110,116,61,34,86,111,108,117,109,101,32,105,110,115,105,100,101,32,116,104,101,32,112,117,109,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,55,34,32,108,105,110,101,69,110,100,61,34,53,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,55,34,32,108,105,110,101,69,110,100,61,34,53,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,112,95,97,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,105,110,108,101,116,32,112,114,101,115,115,117,114,101,32,102,111,114,32,112,114,101,100,101,102,105,110,101,100,32,112,117,109,112,32,99,104,97,114,97,99,116,101,114,105,115,116,105,99,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+563576);
/* memory initializer */ allocate([97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,34,32,108,105,110,101,69,110,100,61,34,49,52,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,112,95,97,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,105,110,108,101,116,32,112,114,101,115,115,117,114,101,32,102,111,114,32,112,114,101,100,101,102,105,110,101,100,32,112,117,109,112,32,99,104,97,114,97,99,116,101,114,105,115,116,105,99,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,34,32,108,105,110,101,69,110,100,61,34,49,52,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,112,95,98,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,111,117,116,108,101,116,32,112,114,101,115,115,117,114,101,44,32,102,105,120,101,100,32,105,102,32,110,111,116,32,99,111,110,116,114,111,108,95,109,95,102,108,111,119,32,97,110,100,32,110,111,116,32,117,115,101,95,112,95,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,112,95,98,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,111,117,116,108,101,116,32,112,114,101,115,115,117,114,101,44,32,102,105,120,101,100,32,105,102,32,110,111,116,32,99,111,110,116,114,111,108,95,109,95,102,108,111,119,32,97,110,100,32,110,111,116,32,117,115,101,95,112,95,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,102,105,120,101,100,32,105,102,32,99,111,110,116,114,111,108,95,109,95,102,108,111,119,32,97,110,100,32,110,111,116,32,117,115,101,95,109,95,102,108,111,119,95,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,102,105,120,101,100,32,105,102,32,99,111,110,116,114,111,108,95,109,95,102,108,111,119,32,97,110,100,32,110,111,116,32,117,115,101,95,109,95,102,108,111,119,95,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,71,117,101,115,115,32,118,97,108,117,101,32,102,111,114,32,105,110,108,101,116,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,71,117,101,115,115,32,118,97,108,117,101,32,102,111,114,32,105,110,108,101,116,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,109,95,102,108,111,119,32,61,32,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,109,95,102,108,111,119,32,61,32,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,103,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,46,56,48,54,54,52,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,103,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,46,56,48,54,54,52,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,102,108,117,105,100,32,100,101,110,115,105,116,121,32,102,111,114,32,99,104,97,114,97,99,116,101,114,105,115,116,105,99,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,57,56,46,50,48,54,48,57,50,52,54,55,57,52,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,102,108,117,105,100,32,100,101,110,115,105,116,121,32,102,111,114,32,99,104,97,114,97,99,116,101,114,105,115,116,105,99,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,57,56,46,50,48,54,48,57,50,52,54,55,57,52,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,71,117,101,115,115,32,118,97,108,117,101,32,102,111,114,32,111,117,116,108,101,116,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+573816);
/* memory initializer */ allocate([114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,71,117,101,115,115,32,118,97,108,117,101,32,102,111,114,32,111,117,116,108,101,116,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,86,95,102,108,111,119,95,115,105,110,103,108,101,95,105,110,105,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,100,32,102,111,114,32,115,105,109,112,108,105,102,105,101,100,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,86,95,102,108,111,119,95,115,105,110,103,108,101,95,105,110,105,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,100,32,102,111,114,32,115,105,109,112,108,105,102,105,101,100,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,86,95,102,108,111,119,95,111,112,34,32,99,111,109,109,101,110,116,61,34,111,112,101,114,97,116,105,111,110,97,108,32,118,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,99,99,111,114,100,105,110,103,32,116,111,32,110,111,109,105,110,97,108,32,118,97,108,117,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,48,48,49,55,57,55,49,51,49,52,49,57,54,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,86,95,102,108,111,119,95,111,112,34,32,99,111,109,109,101,110,116,61,34,111,112,101,114,97,116,105,111,110,97,108,32,118,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,99,99,111,114,100,105,110,103,32,116,111,32,110,111,109,105,110,97,108,32,118,97,108,117,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,48,48,49,55,57,55,49,51,49,52,49,57,54,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,100,95,111,112,34,32,99,111,109,109,101,110,116,61,34,111,112,101,114,97,116,105,111,110,97,108,32,112,117,109,112,32,104,101,97,100,32,97,99,99,111,114,100,105,110,103,32,116,111,32,110,111,109,105,110,97,108,32,118,97,108,117,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,46,50,49,53,52,56,55,55,55,48,50,51,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,57,34,32,108,105,110,101,69,110,100,61,34,49,55,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,104,101,97,100,95,111,112,34,32,99,111,109,109,101,110,116,61,34,111,112,101,114,97,116,105,111,110,97,108,32,112,117,109,112,32,104,101,97,100,32,97,99,99,111,114,100,105,110,103,32,116,111,32,110,111,109,105,110,97,108,32,118,97,108,117,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,46,50,49,53,52,56,55,55,55,48,50,51,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,57,34,32,108,105,110,101,69,110,100,61,34,49,55,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,34,32,108,105,110,101,69,110,100,61,34,53,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,34,32,108,105,110,101,69,110,100,61,34,53,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,100,101,108,116,97,95,104,101,97,100,95,105,110,105,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,100,32,102,111,114,32,115,105,109,112,108,105,102,105,101,100,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,100,101,108,116,97,95,104,101,97,100,95,105,110,105,116,34,32,99,111,109,109,101,110,116,61,34,85,115,101,100,32,102,111,114,32,115,105,109,112,108,105,102,105,101,100,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,111,100,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,57,34,32,108,105,110,101,69,110,100,61,34,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,101,102,102,105,99,105,101,110,116,79,102,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+584056);
/* memory initializer */ allocate([108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,83,109,97,108,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,83,109,97,108,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,111,114,105,102,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,48,34,32,108,105,110,101,69,110,100,61,34,50,57,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,111,114,105,102,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,48,34,32,108,105,110,101,69,110,100,61,34,50,57,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,122,101,116,97,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,102,97,99,116,111,114,32,102,111,114,32,102,108,111,119,32,111,102,32,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,122,101,116,97,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,102,97,99,116,111,114,32,102,111,114,32,102,108,111,119,32,111,102,32,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,100,112,95,110,111,109,105,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,55,34,32,108,105,110,101,69,110,100,61,34,50,57,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,100,112,95,110,111,109,105,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,55,34,32,108,105,110,101,69,110,100,61,34,50,57,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,48,34,32,108,105,110,101,69,110,100,61,34,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,48,34,32,108,105,110,101,69,110,100,61,34,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,82,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,82,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,109,95,102,108,111,119,32,61,32,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,49,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+594296);
/* memory initializer */ allocate([83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,109,95,102,108,111,119,32,61,32,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,49,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,100,112,32,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,50,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,100,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,100,112,32,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,50,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,112,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,112,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,97,109,98,105,101,110,116,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,34,32,108,105,110,101,69,110,100,61,34,49,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,97,109,98,105,101,110,116,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,34,32,108,105,110,101,69,110,100,61,34,49,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,97,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,34,32,108,105,110,101,69,110,100,61,34,49,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,97,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,34,32,108,105,110,101,69,110,100,61,34,49,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,46,56,48,54,54,52,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,34,32,108,105,110,101,69,110,100,61,34,49,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,46,56,48,54,54,52,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,34,32,108,105,110,101,69,110,100,61,34,49,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,115,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,34,32,108,105,110,101,69,110,100,61,34,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,115,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,34,32,108,105,110,101,69,110,100,61,34,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+604536);
/* memory initializer */ allocate([61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,110,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,52,34,32,108,105,110,101,69,110,100,61,34,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,110,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,52,34,32,108,105,110,101,69,110,100,61,34,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,82,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,32,102,111,114,32,124,109,95,102,108,111,119,124,32,38,108,116,59,32,101,112,115,95,109,95,102,108,111,119,42,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,34,32,108,105,110,101,69,110,100,61,34,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,82,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,32,102,111,114,32,124,109,95,102,108,111,119,124,32,38,108,116,59,32,101,112,115,95,109,95,102,108,111,119,42,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,34,32,108,105,110,101,69,110,100,61,34,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,115,109,97,108,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,108,97,109,105,110,97,114,32,97,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,48,34,32,108,105,110,101,69,110,100,61,34,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,115,109,97,108,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,108,97,109,105,110,97,114,32,97,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,48,34,32,108,105,110,101,69,110,100,61,34,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,115,109,97,108,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,108,97,109,105,110,97,114,32,97,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,34,32,108,105,110,101,69,110,100,61,34,54,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,115,109,97,108,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,108,97,109,105,110,97,114,32,97,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,34,32,108,105,110,101,69,110,100,61,34,54,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,115,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,114,101,115,115,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,34,32,108,105,110,101,69,110,100,61,34,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,115,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,114,101,115,115,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,34,32,108,105,110,101,69,110,100,61,34,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,115,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,52,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,115,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,52,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+614776);
/* memory initializer */ allocate([34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,34,32,108,105,110,101,69,110,100,61,34,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,34,32,108,105,110,101,69,110,100,61,34,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,34,32,108,105,110,101,69,110,100,61,34,49,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,34,32,108,105,110,101,69,110,100,61,34,49,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+625016);
/* memory initializer */ allocate([108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,34,32,108,105,110,101,69,110,100,61,34,49,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,34,32,108,105,110,101,69,110,100,61,34,49,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+635256);
/* memory initializer */ allocate([105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,55,34,32,108,105,110,101,69,110,100,61,34,49,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,84,117,114,98,117,108,101,110,116,32,102,108,111,119,32,115,116,97,114,116,105,110,103,32,102,114,111,109,32,124,109,95,102,108,111,119,115,124,32,38,103,116,59,32,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,48,34,32,108,105,110,101,69,110,100,61,34,49,52,51,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,84,117,114,98,117,108,101,110,116,32,102,108,111,119,32,115,116,97,114,116,105,110,103,32,102,114,111,109,32,124,109,95,102,108,111,119,115,124,32,38,103,116,59,32,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,48,34,32,108,105,110,101,69,110,100,61,34,49,52,51,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,57,56,46,50,48,54,48,57,50,52,54,55,57,52,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+645496);
/* memory initializer */ allocate([114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,57,56,46,50,48,54,48,57,50,52,54,55,57,52,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,48,48,49,54,48,53,51,50,53,54,52,55,57,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,48,48,49,54,48,53,51,50,53,54,52,55,57,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,112,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,112,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,95,115,101,116,46,104,101,105,103,104,116,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,32,111,102,32,114,97,109,112,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,95,115,101,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,82,97,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,95,115,101,116,46,104,101,105,103,104,116,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,32,111,102,32,114,97,109,112,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,55,34,32,108,105,110,101,69,110,100,61,34,52,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,95,115,101,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,82,97,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,95,115,101,116,46,100,117,114,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,68,117,114,97,116,105,111,110,32,111,102,32,114,97,109,112,32,40,61,32,48,46,48,32,103,105,118,101,115,32,97,32,83,116,101,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,56,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,95,115,101,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,82,97,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,95,115,101,116,46,100,117,114,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,68,117,114,97,116,105,111,110,32,111,102,32,114,97,109,112,32,40,61,32,48,46,48,32,103,105,118,101,115,32,97,32,83,116,101,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,56,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,95,115,101,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,82,97,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,95,115,101,116,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,57,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,95,115,101,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,82,97,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,95,115,101,116,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,57,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,95,115,101,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,82,97,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,95,115,101,116,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,95,115,101,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,82,97,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,95,115,101,116,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,95,115,101,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,82,97,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+655736);
/* memory initializer */ allocate([112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,108,101,110,103,116,104,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,100,105,97,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,34,32,108,105,110,101,69,110,100,61,34,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,34,32,108,105,110,101,69,110,100,61,34,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,34,32,108,105,110,101,69,110,100,61,34,49,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,34,32,108,105,110,101,69,110,100,61,34,49,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+665976);
/* memory initializer */ allocate([32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,34,32,108,105,110,101,69,110,100,61,34,49,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,34,32,108,105,110,101,69,110,100,61,34,49,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,48,54,55,48,55,52,55,57,48,57,55,52,57,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,86,34,32,99,111,109,109,101,110,116,61,34,118,111,108,117,109,101,32,115,105,122,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,48,54,55,48,55,52,55,57,48,57,55,52,57,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+676216);
/* memory initializer */ allocate([116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,57,48,34,32,108,105,110,101,69,110,100,61,34,49,49,57,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,57,48,34,32,108,105,110,101,69,110,100,61,34,49,49,57,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,100,112,95,110,111,109,105,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,57,49,34,32,108,105,110,101,69,110,100,61,34,49,49,57,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,100,112,95,110,111,109,105,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,57,49,34,32,108,105,110,101,69,110,100,61,34,49,49,57,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,57,56,46,50,48,54,48,57,50,52,54,55,57,52,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,57,56,46,50,48,54,48,57,50,52,54,55,57,52,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,48,48,49,54,48,53,51,50,53,54,52,55,57,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,48,48,49,54,48,53,51,50,53,54,52,55,57,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,112,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,112,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+686456);
/* memory initializer */ allocate([116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,110,80,111,114,116,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,49,34,32,108,105,110,101,69,110,100,61,34,55,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,110,80,111,114,116,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,49,34,32,108,105,110,101,69,110,100,61,34,55,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,65,108,108,111,119,101,100,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,56,34,32,108,105,110,101,69,110,100,61,34,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,65,108,108,111,119,101,100,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,56,34,32,108,105,110,101,69,110,100,61,34,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,117,109,112,115,32,105,110,32,112,97,114,97,108,108,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,34,32,108,105,110,101,69,110,100,61,34,51,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,110,80,97,114,97,108,108,101,108,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,117,109,112,115,32,105,110,32,112,97,114,97,108,108,101,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,34,32,108,105,110,101,69,110,100,61,34,51,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,52,51,34,32,108,105,110,101,69,110,100,61,34,53,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,52,51,34,32,108,105,110,101,69,110,100,61,34,53,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,52,54,34,32,108,105,110,101,69,110,100,61,34,53,52,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,52,54,34,32,108,105,110,101,69,110,100,61,34,53,52,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,52,57,34,32,108,105,110,101,69,110,100,61,34,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,52,57,34,32,108,105,110,101,69,110,100,61,34,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+696696);
/* memory initializer */ allocate([109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,50,34,32,108,105,110,101,69,110,100,61,34,53,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,50,34,32,108,105,110,101,69,110,100,61,34,53,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,51,34,32,108,105,110,101,69,110,100,61,34,52,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,52,56,34,32,108,105,110,101,69,110,100,61,34,55,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,52,56,34,32,108,105,110,101,69,110,100,61,34,55,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,110,80,111,114,116,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,49,34,32,108,105,110,101,69,110,100,61,34,55,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,110,80,111,114,116,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,49,34,32,108,105,110,101,69,110,100,61,34,55,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,65,108,108,111,119,101,100,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,56,34,32,108,105,110,101,69,110,100,61,34,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,65,108,108,111,119,101,100,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,56,34,32,108,105,110,101,69,110,100,61,34,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,34,32,108,105,110,101,69,110,100,61,34,50,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,34,32,108,105,110,101,69,110,100,61,34,50,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,44,32,105,102,32,111,112,116,105,111,110,115,32,97,118,97,105,108,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,34,32,108,105,110,101,69,110,100,61,34,51,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,44,32,105,102,32,111,112,116,105,111,110,115,32,97,118,97,105,108,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,34,32,108,105,110,101,69,110,100,61,34,51,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,34,32,108,105,110,101,69,110,100,61,34,50,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+706936);
/* memory initializer */ allocate([105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,34,32,108,105,110,101,69,110,100,61,34,50,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,34,32,108,105,110,101,69,110,100,61,34,51,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,34,32,108,105,110,101,69,110,100,61,34,51,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,34,32,108,105,110,101,69,110,100,61,34,51,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,34,32,108,105,110,101,69,110,100,61,34,51,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,110,80,111,114,116,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,49,34,32,108,105,110,101,69,110,100,61,34,55,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,110,80,111,114,116,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,49,34,32,108,105,110,101,69,110,100,61,34,55,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,102,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,65,108,108,111,119,101,100,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,56,34,32,108,105,110,101,69,110,100,61,34,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,102,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,65,108,108,111,119,101,100,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,56,34,32,108,105,110,101,69,110,100,61,34,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+717176);
/* memory initializer */ allocate([80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,50,34,32,108,105,110,101,69,110,100,61,34,49,48,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,55,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,32,99,111,109,109,101,110,116,61,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,110,80,111,114,116,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,49,34,32,108,105,110,101,69,110,100,61,34,55,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,110,80,111,114,116,115,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,49,34,32,108,105,110,101,69,110,100,61,34,55,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,102,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,65,108,108,111,119,101,100,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,56,34,32,108,105,110,101,69,110,100,61,34,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,102,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,65,108,108,111,119,101,100,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,56,34,32,108,105,110,101,69,110,100,61,34,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,117,115,101,95,112,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,112,114,101,115,115,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,117,115,101,95,112,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,112,114,101,115,115,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+727416);
/* memory initializer */ allocate([32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,117,115,101,95,84,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,117,115,101,95,84,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,117,115,101,95,88,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,99,111,109,112,111,115,105,116,105,111,110,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,117,115,101,95,88,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,99,111,109,112,111,115,105,116,105,111,110,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,111,117,114,99,101,46,117,115,101,95,67,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,115,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,57,34,32,108,105,110,101,69,110,100,61,34,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,111,117,114,99,101,46,117,115,101,95,67,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,115,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,57,34,32,108,105,110,101,69,110,100,61,34,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,117,115,101,95,112,111,119,101,114,67,104,97,114,97,99,116,101,114,105,115,116,105,99,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,112,111,119,101,114,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,40,118,115,46,32,101,102,102,105,99,105,101,110,99,121,67,104,97,114,97,99,116,101,114,105,115,116,105,99,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,52,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,117,115,101,95,112,111,119,101,114,67,104,97,114,97,99,116,101,114,105,115,116,105,99,34,32,99,111,109,109,101,110,116,61,34,85,115,101,32,112,111,119,101,114,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,40,118,115,46,32,101,102,102,105,99,105,101,110,99,121,67,104,97,114,97,99,116,101,114,105,115,116,105,99,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,52,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,99,104,101,99,107,86,97,108,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,112,114,101,118,101,110,116,32,114,101,118,101,114,115,101,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,53,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,99,104,101,99,107,86,97,108,118,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,112,114,101,118,101,110,116,32,114,101,118,101,114,115,101,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,53,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,84,95,115,116,97,114,116,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,84,95,115,116,97,114,116,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+737656);
/* memory initializer */ allocate([101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,97,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,44,32,101,46,103,46,44,32,102,111,114,32,97,32,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,57,34,32,108,105,110,101,69,110,100,61,34,51,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,97,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,44,32,101,46,103,46,44,32,102,111,114,32,97,32,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,57,34,32,108,105,110,101,69,110,100,61,34,51,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,99,111,110,116,114,111,108,95,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,99,111,110,116,114,111,108,32,111,117,116,108,101,116,32,112,114,101,115,115,117,114,101,32,112,111,114,116,95,98,46,112,32,105,110,115,116,101,97,100,32,111,102,32,109,95,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,99,111,110,116,114,111,108,95,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,99,111,110,116,114,111,108,32,111,117,116,108,101,116,32,112,114,101,115,115,117,114,101,32,112,111,114,116,95,98,46,112,32,105,110,115,116,101,97,100,32,111,102,32,109,95,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,117,115,101,95,109,95,102,108,111,119,95,115,101,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,105,110,112,117,116,32,115,105,103,110,97,108,32,109,95,102,108,111,119,95,115,101,116,32,105,110,115,116,101,97,100,32,111,102,32,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,57,34,32,108,105,110,101,69,110,100,61,34,49,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,117,115,101,95,109,95,102,108,111,119,95,115,101,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,105,110,112,117,116,32,115,105,103,110,97,108,32,109,95,102,108,111,119,95,115,101,116,32,105,110,115,116,101,97,100,32,111,102,32,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,57,34,32,108,105,110,101,69,110,100,61,34,49,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,117,115,101,95,112,95,115,101,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,105,110,112,117,116,32,115,105,103,110,97,108,32,112,95,115,101,116,32,105,110,115,116,101,97,100,32,111,102,32,112,95,98,95,110,111,109,105,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,50,34,32,108,105,110,101,69,110,100,61,34,49,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,117,115,101,95,112,95,115,101,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,105,110,112,117,116,32,115,105,103,110,97,108,32,112,95,115,101,116,32,105,110,115,116,101,97,100,32,111,102,32,112,95,98,95,110,111,109,105,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,50,34,32,108,105,110,101,69,110,100,61,34,49,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,48,53,34,32,108,105,110,101,69,110,100,61,34,54,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,105,110,105,116,105,97,108,105,122,101,95,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,48,53,34,32,108,105,110,101,69,110,100,61,34,54,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+747896);
/* memory initializer */ allocate([102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,104,111,119,95,84,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,101,109,112,101,114,97,116,117,114,101,115,32,97,116,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,97,114,101,32,99,111,109,112,117,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,115,104,111,119,95,84,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,101,109,112,101,114,97,116,117,114,101,115,32,97,116,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,97,114,101,32,99,111,109,112,117,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,104,111,119,95,86,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,118,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,105,115,32,99,111,109,112,117,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,34,32,108,105,110,101,69,110,100,61,34,51,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,115,104,111,119,95,86,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,118,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,105,115,32,99,111,109,112,117,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,34,32,108,105,110,101,69,110,100,61,34,51,50,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,117,115,101,95,122,101,116,97,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,111,98,116,97,105,110,32,122,101,116,97,32,102,114,111,109,32,100,112,95,110,111,109,105,110,97,108,32,97,110,100,32,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,51,34,32,108,105,110,101,69,110,100,61,34,50,57,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+758136);
/* memory initializer */ allocate([114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,117,115,101,95,122,101,116,97,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,111,98,116,97,105,110,32,122,101,116,97,32,102,114,111,109,32,100,112,95,110,111,109,105,110,97,108,32,97,110,100,32,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,51,34,32,108,105,110,101,69,110,100,61,34,50,57,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,32,101,108,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,57,34,32,108,105,110,101,69,110,100,61,34,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,32,101,108,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,57,34,32,108,105,110,101,69,110,100,61,34,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,53,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,117,115,101,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,53,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,117,115,101,95,112,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,112,114,101,115,115,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,117,115,101,95,112,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,112,114,101,115,115,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,117,115,101,95,84,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,117,115,101,95,84,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,117,115,101,95,88,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,99,111,109,112,111,115,105,116,105,111,110,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+768376);
/* memory initializer */ allocate([105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,117,115,101,95,88,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,99,111,109,112,111,115,105,116,105,111,110,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,46,117,115,101,95,67,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,115,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,57,34,32,108,105,110,101,69,110,100,61,34,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,46,117,115,101,95,67,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,115,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,57,34,32,108,105,110,101,69,110,100,61,34,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,114,101,115,116,114,105,99,116,32,116,111,32,100,101,115,105,103,110,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,34,32,108,105,110,101,69,110,100,61,34,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,114,101,115,116,114,105,99,116,32,116,111,32,100,101,115,105,103,110,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,34,32,108,105,110,101,69,110,100,61,34,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,121,115,116,101,109,46,117,115,101,95,101,112,115,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,100,101,116,101,114,109,105,110,101,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,97,117,116,111,109,97,116,105,99,97,108,108,121,32,117,115,105,110,103,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,49,34,32,108,105,110,101,69,110,100,61,34,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,121,115,116,101,109,46,117,115,101,95,101,112,115,95,82,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,100,101,116,101,114,109,105,110,101,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,97,117,116,111,109,97,116,105,99,97,108,108,121,32,117,115,105,110,103,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,49,34,32,108,105,110,101,69,110,100,61,34,53,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+778616);
/* memory initializer */ allocate([112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,50,52,34,32,108,105,110,101,69,110,100,61,34,49,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+788856);
/* memory initializer */ allocate([32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,54,34,32,108,105,110,101,69,110,100,61,34,49,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,48,34,32,108,105,110,101,69,110,100,61,34,49,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,117,115,101,95,112,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,112,114,101,115,115,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,117,115,101,95,112,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,112,114,101,115,115,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,117,115,101,95,84,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,117,115,101,95,84,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,117,115,101,95,88,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,99,111,109,112,111,115,105,116,105,111,110,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,117,115,101,95,88,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,99,111,109,112,111,115,105,116,105,111,110,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,49,46,117,115,101,95,67,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,115,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+799096);
/* memory initializer */ allocate([102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,57,34,32,108,105,110,101,69,110,100,61,34,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,49,46,117,115,101,95,67,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,115,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,57,34,32,108,105,110,101,69,110,100,61,34,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,51,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,34,32,108,105,110,101,69,110,100,61,34,50,52,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,105,115,67,105,114,99,117,108,97,114,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,50,34,32,108,105,110,101,69,110,100,61,34,50,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,32,99,111,109,109,101,110,116,61,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,55,34,32,108,105,110,101,69,110,100,61,34,49,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,57,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+809336);
/* memory initializer */ allocate([114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,49,34,32,108,105,110,101,69,110,100,61,34,49,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,50,34,32,108,105,110,101,69,110,100,61,34,49,48,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,56,34,32,108,105,110,101,69,110,100,61,34,49,49,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,49,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,117,115,101,95,112,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,112,114,101,115,115,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,117,115,101,95,112,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,112,114,101,115,115,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,48,34,32,108,105,110,101,69,110,100,61,34,49,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,117,115,101,95,84,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+819576);
/* memory initializer */ allocate([61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,117,115,101,95,84,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,34,32,108,105,110,101,69,110,100,61,34,49,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,117,115,101,95,88,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,99,111,109,112,111,115,105,116,105,111,110,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,117,115,101,95,88,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,99,111,109,112,111,115,105,116,105,111,110,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,107,50,46,117,115,101,95,67,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,115,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,57,34,32,108,105,110,101,69,110,100,61,34,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,107,50,46,117,115,101,95,67,95,105,110,34,32,99,111,109,109,101,110,116,61,34,71,101,116,32,116,104,101,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,115,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,57,34,32,108,105,110,101,69,110,100,61,34,49,52,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,117,110,105,116,95,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,117,110,105,116,95,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,117,110,105,116,72,101,97,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,51,34,32,108,105,110,101,69,110,100,61,34,52,50,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,117,110,105,116,72,101,97,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,51,34,32,108,105,110,101,69,110,100,61,34,52,50,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,117,109,112,46,117,110,105,116,77,97,115,115,70,108,111,119,82,97,116,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,117,109,112,46,117,110,105,116,77,97,115,115,70,108,111,119,82,97,116,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,99,102,46,32,115,104,97,114,112,69,100,103,101,100,79,114,105,102,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,34,32,108,105,110,101,69,110,100,61,34,51,50,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,111,114,105,102,105,99,101,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,99,111,109,109,101,110,116,61,34,99,102,46,32,115,104,97,114,112,69,100,103,101,100,79,114,105,102,105,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,34,32,108,105,110,101,69,110,100,61,34,51,50,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,60,47,118,97,114,105,97,98,108,101,115,62,10,60,105,110,105,116,105,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,49,55,50,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,50,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+829816);
/* memory initializer */ allocate([70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,50,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,101,112,115,95,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,101,112,115,95,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,48,34,32,108,105,110,101,69,110,100,61,34,49,52,51,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,49,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,49,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,65,95,109,101,97,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,111,114,105,102,105,99,101,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,104,95,112,114,111,112,115,95,112,84,40,49,48,48,48,48,48,46,48,44,32,50,57,51,46,49,53,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,84,40,49,48,48,48,48,48,46,48,44,32,50,57,51,46,49,53,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+840056);
/* memory initializer */ allocate([115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,104,95,112,114,111,112,115,95,112,84,40,49,48,48,48,48,48,46,48,44,32,50,57,51,46,49,53,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,84,40,49,48,48,48,48,48,46,48,44,32,50,57,51,46,49,53,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,104,95,112,114,111,112,115,95,112,84,40,50,48,48,48,48,48,46,48,44,32,50,57,51,46,49,53,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,84,40,50,48,48,48,48,48,46,48,44,32,50,57,51,46,49,53,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,104,95,112,114,111,112,115,95,112,84,40,50,48,48,48,48,48,46,48,44,32,50,57,51,46,49,53,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,84,40,50,48,48,48,48,48,46,48,44,32,50,57,51,46,49,53,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,107,49,46,109,101,100,105,117,109,46,104,32,43,32,115,121,115,116,101,109,46,103,32,42,32,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,32,38,108,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,50,48,48,48,48,48,46,48,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,40,50,48,48,48,48,48,46,48,41,41,32,111,114,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,32,38,103,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,50,48,48,48,48,48,46,48,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,40,50,48,48,48,48,48,46,48,41,41,32,116,104,101,110,32,49,32,101,108,115,101,32,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,107,50,46,109,101,100,105,117,109,46,104,32,43,32,115,121,115,116,101,109,46,103,32,42,32,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,32,38,108,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,50,48,48,48,48,48,46,48,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,40,50,48,48,48,48,48,46,48,41,41,32,111,114,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,32,38,103,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,50,48,48,48,48,48,46,48,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,40,50,48,48,48,48,48,46,48,41,41,32,116,104,101,110,32,49,32,101,108,115,101,32,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+850296);
/* memory initializer */ allocate([116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,38,108,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,49,48,48,48,48,48,46,48,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,40,49,48,48,48,48,48,46,48,41,41,32,111,114,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,38,103,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,49,48,48,48,48,48,46,48,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,40,49,48,48,48,48,48,46,48,41,41,32,116,104,101,110,32,49,32,101,108,115,101,32,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,38,108,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,49,48,48,48,48,48,46,48,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,40,49,48,48,48,48,48,46,48,41,41,32,111,114,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,38,103,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,49,48,48,48,48,48,46,48,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,40,49,48,48,48,48,48,46,48,41,41,32,116,104,101,110,32,49,32,101,108,115,101,32,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,100,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,44,32,50,48,48,48,48,48,46,48,44,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,44,32,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,44,32,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,107,50,46,109,101,100,105,117,109,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,50,48,48,48,48,48,46,48,44,32,115,105,110,107,50,46,109,101,100,105,117,109,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,100,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,44,32,50,48,48,48,48,48,46,48,44,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+860536);
/* memory initializer */ allocate([32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,44,32,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,44,32,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,107,49,46,109,101,100,105,117,109,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,50,48,48,48,48,48,46,48,44,32,115,105,110,107,49,46,109,101,100,105,117,109,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,107,46,109,101,100,105,117,109,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,48,48,48,48,46,48,44,32,115,105,110,107,46,109,101,100,105,117,109,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,48,48,48,48,46,48,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,115,105,110,107,50,46,109,101,100,105,117,109,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,115,105,110,107,49,46,109,101,100,105,117,109,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,115,105,110,107,46,109,101,100,105,117,109,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+870776);
/* memory initializer */ allocate([105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,95,115,101,116,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,95,115,101,116,46,104,101,105,103,104,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,95,115,101,116,46,100,117,114,97,116,105,111,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,95,115,101,116,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,95,115,101,116,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,95,115,101,116,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,112,95,115,101,116,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,105,102,32,116,105,109,101,32,38,108,116,59,32,112,95,115,101,116,46,115,116,97,114,116,84,105,109,101,32,43,32,112,95,115,101,116,46,100,117,114,97,116,105,111,110,32,116,104,101,110,32,40,116,105,109,101,32,45,32,112,95,115,101,116,46,115,116,97,114,116,84,105,109,101,41,32,42,32,68,73,86,73,83,73,79,78,40,112,95,115,101,116,46,104,101,105,103,104,116,44,32,112,95,115,101,116,46,100,117,114,97,116,105,111,110,41,32,101,108,115,101,32,112,95,115,101,116,46,104,101,105,103,104,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,82,97,109,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,95,115,101,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,100,112,95,112,117,109,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,95,115,101,116,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,49,48,48,48,48,48,46,48,32,43,32,112,95,115,101,116,46,121,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,100,112,95,112,117,109,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,117,109,112,46,100,112,95,112,117,109,112,32,43,32,49,48,48,48,48,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,52,34,32,108,105,110,101,69,110,100,61,34,51,57,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,116,115,97,116,40,112,117,109,112,46,109,101,100,105,117,109,46,112,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,50,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,70,95,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,65,95,109,101,97,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,111,114,105,102,105,99,101,46,65,95,109,101,97,110,32,42,32,40,49,48,48,48,48,48,46,48,32,45,32,112,117,109,112,46,109,101,100,105,117,109,46,112,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,49,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,112,95,102,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,65,95,109,101,97,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,70,95,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,111,114,105,102,105,99,101,46,70,95,112,44,32,111,114,105,102,105,99,101,46,65,95,109,101,97,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,49,48,48,48,48,48,46,48,32,43,32,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,54,34,32,108,105,110,101,69,110,100,61,34,51,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,32,42,32,40,50,48,48,48,48,48,46,48,32,45,32,112,117,109,112,46,109,101,100,105,117,109,46,112,41,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,32,42,32,40,50,48,48,48,48,48,46,48,32,45,32,112,117,109,112,46,109,101,100,105,117,109,46,112,41,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,56,34,32,108,105,110,101,69,110,100,61,34,49,50,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,112,117,109,112,46,109,101,100,105,117,109,46,104,32,38,108,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,40,112,117,109,112,46,109,101,100,105,117,109,46,112,41,41,32,111,114,32,112,117,109,112,46,109,101,100,105,117,109,46,104,32,38,103,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,40,112,117,109,112,46,109,101,100,105,117,109,46,112,41,41,32,111,114,32,112,117,109,112,46,109,101,100,105,117,109,46,112,32,38,103,116,59,32,50,50,48,54,52,48,48,48,46,48,32,116,104,101,110,32,49,32,101,108,115,101,32,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,34,32,108,105,110,101,69,110,100,61,34,49,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,114,104,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,117,109,112,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,117,109,112,46,109,101,100,105,117,109,46,104,44,32,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,114,104,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,100,112,95,112,117,109,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,117,109,112,46,100,112,95,112,117,109,112,44,32,112,117,109,112,46,114,104,111,32,42,32,57,46,56,48,54,54,52,57,57,57,57,57,57,57,57,57,57,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+881016);
/* memory initializer */ allocate([32,108,105,110,101,83,116,97,114,116,61,34,51,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,86,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,114,104,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,32,42,32,68,73,86,73,83,73,79,78,40,112,117,109,112,46,109,95,102,108,111,119,44,32,112,117,109,112,46,114,104,111,41,32,43,32,40,49,46,48,32,45,32,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,41,32,42,32,68,73,86,73,83,73,79,78,40,112,117,109,112,46,109,95,102,108,111,119,44,32,112,117,109,112,46,114,104,111,95,110,111,109,105,110,97,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,34,32,99,111,108,83,116,97,114,116,61,34,54,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,86,95,102,108,111,119,95,115,105,110,103,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,86,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,117,109,112,46,86,95,102,108,111,119,44,32,47,42,82,101,97,108,42,47,40,112,117,109,112,46,110,80,97,114,97,108,108,101,108,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,48,34,32,108,105,110,101,69,110,100,61,34,52,51,48,34,32,99,111,108,83,116,97,114,116,61,34,54,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,101,116,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,78,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,86,95,102,108,111,119,95,115,105,110,103,108,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,32,42,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,101,102,102,105,99,105,101,110,99,121,67,104,97,114,97,99,116,101,114,105,115,116,105,99,40,112,117,109,112,46,86,95,102,108,111,119,95,115,105,110,103,108,101,32,42,32,68,73,86,73,83,73,79,78,40,112,117,109,112,46,78,95,110,111,109,105,110,97,108,44,32,112,117,109,112,46,78,41,44,32,48,46,56,41,32,43,32,40,49,46,48,32,45,32,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,41,32,42,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,101,102,102,105,99,105,101,110,99,121,67,104,97,114,97,99,116,101,114,105,115,116,105,99,40,48,46,48,44,32,48,46,56,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,48,34,32,108,105,110,101,69,110,100,61,34,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,87,95,115,105,110,103,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,101,116,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,86,95,102,108,111,119,95,115,105,110,103,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,100,112,95,112,117,109,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,32,42,32,112,117,109,112,46,100,112,95,112,117,109,112,32,42,32,68,73,86,73,83,73,79,78,40,112,117,109,112,46,86,95,102,108,111,119,95,115,105,110,103,108,101,44,32,112,117,109,112,46,101,116,97,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,34,32,108,105,110,101,69,110,100,61,34,52,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,72,98,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,87,95,115,105,110,103,108,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,112,117,109,112,46,87,95,115,105,110,103,108,101,41,32,42,32,47,42,82,101,97,108,42,47,40,112,117,109,112,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,52,34,32,108,105,110,101,69,110,100,61,34,52,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,117,109,112,46,109,95,102,108,111,119,32,45,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,45,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,34,32,108,105,110,101,69,110,100,61,34,55,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,109,97,120,40,112,117,109,112,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,42,32,112,117,109,112,46,109,101,100,105,117,109,46,104,32,43,32,109,97,120,40,45,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,42,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,44,32,109,97,120,40,112,117,109,112,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,54,34,32,108,105,110,101,69,110,100,61,34,49,48,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,54,34,32,108,105,110,101,69,110,100,61,34,49,48,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,109,97,120,40,112,117,109,112,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,42,32,112,117,109,112,46,109,101,100,105,117,109,46,104,32,43,32,109,97,120,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,32,43,32,109,97,120,40,45,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,44,32,109,97,120,40,112,117,109,112,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,55,49,34,32,108,105,110,101,69,110,100,61,34,51,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,32,43,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,109,97,120,40,112,117,109,112,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,42,32,112,117,109,112,46,109,101,100,105,117,109,46,104,32,43,32,109,97,120,40,45,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,42,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,43,32,109,97,120,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,44,32,109,97,120,40,112,117,109,112,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,54,34,32,108,105,110,101,69,110,100,61,34,49,48,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,54,34,32,108,105,110,101,69,110,100,61,34,49,48,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+891256);
/* memory initializer */ allocate([34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,54,34,32,108,105,110,101,69,110,100,61,34,49,48,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,100,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,44,32,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,32,43,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,51,34,32,108,105,110,101,69,110,100,61,34,49,49,50,51,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,42,32,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,48,34,32,108,105,110,101,69,110,100,61,34,49,52,54,48,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,43,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,107,115,95,105,110,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,32,94,32,50,46,48,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,42,32,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,54,34,32,108,105,110,101,69,110,100,61,34,49,52,53,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,49,49,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,122,101,116,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,107,115,95,105,110,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,40,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,32,94,32,50,46,48,41,32,94,32,50,46,48,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,107,115,95,105,110,118,91,49,93,32,42,32,56,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,122,101,116,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,122,101,116,97,115,91,49,93,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,32,42,32,40,50,46,48,32,42,32,108,111,103,49,48,40,51,46,55,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,40,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,32,43,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,41,32,42,32,48,46,53,41,41,41,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,56,34,32,108,105,110,101,69,110,100,61,34,49,52,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,49,50,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,111,114,105,102,105,99,101,46,109,95,102,108,111,119,32,43,32,40,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,32,43,32,45,49,46,48,41,32,42,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,42,32,68,73,86,73,83,73,79,78,40,111,114,105,102,105,99,101,46,100,112,95,102,103,44,32,111,114,105,102,105,99,101,46,100,112,95,110,111,109,105,110,97,108,41,32,43,32,40,45,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,41,32,42,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,82,111,111,116,50,40,111,114,105,102,105,99,101,46,100,112,95,102,103,44,32,111,114,105,102,105,99,101,46,100,112,95,115,109,97,108,108,44,32,68,73,86,73,83,73,79,78,40,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,66,97,115,101,67,108,97,115,115,101,115,46,108,111,115,115,67,111,110,115,116,97,110,116,95,68,95,122,101,116,97,40,111,114,105,102,105,99,101,46,100,105,97,109,101,116,101,114,44,32,111,114,105,102,105,99,101,46,122,101,116,97,95,110,111,109,105,110,97,108,41,41,44,32,68,73,86,73,83,73,79,78,40,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,66,97,115,101,67,108,97,115,115,101,115,46,108,111,115,115,67,111,110,115,116,97,110,116,95,68,95,122,101,116,97,40,111,114,105,102,105,99,101,46,100,105,97,109,101,116,101,114,44,32,111,114,105,102,105,99,101,46,122,101,116,97,95,110,111,109,105,110,97,108,41,41,44,32,102,97,108,115,101,44,32,49,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,117,109,112,46,104,101,97,100,32,43,32,40,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,32,43,32,45,49,46,48,41,32,42,32,112,117,109,112,46,78,32,42,32,68,73,86,73,83,73,79,78,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,102,108,111,119,67,104,97,114,97,99,116,101,114,105,115,116,105,99,40,48,46,48,44,32,123,48,46,48,44,32,48,46,48,48,49,48,48,49,55,57,55,49,51,49,52,49,57,54,52,51,44,32,48,46,48,48,49,53,48,50,54,57,53,54,57,55,49,50,57,52,54,52,125,44,32,123,50,48,46,52,51,48,57,55,53,53,52,48,52,54,55,56,44,32,49,48,46,50,49,53,52,56,55,55,55,48,50,51,51,57,44,32,48,46,48,125,41,44,32,112,117,109,112,46,78,95,110,111,109,105,110,97,108,41,32,43,32,40,45,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,41,32,42,32,68,73,86,73,83,73,79,78,40,112,117,109,112,46,78,44,32,112,117,109,112,46,78,95,110,111,109,105,110,97,108,41,32,94,32,50,46,48,32,42,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,102,108,111,119,67,104,97,114,97,99,116,101,114,105,115,116,105,99,40,112,117,109,112,46,86,95,102,108,111,119,95,115,105,110,103,108,101,32,42,32,68,73,86,73,83,73,79,78,40,112,117,109,112,46,78,95,110,111,109,105,110,97,108,44,32,112,117,109,112,46,78,41,44,32,123,48,46,48,44,32,48,46,48,48,49,48,48,49,55,57,55,49,51,49,52,49,57,54,52,51,44,32,48,46,48,48,49,53,48,50,54,57,53,54,57,55,49,50,57,52,54,52,125,44,32,123,50,48,46,52,51,48,57,55,53,53,52,48,52,54,55,56,44,32,49,48,46,50,49,53,52,56,55,55,55,48,50,51,51,57,44,32,48,46,48,125,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,51,34,32,108,105,110,101,69,110,100,61,34,52,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,43,32,40,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,32,43,32,45,49,46,48,41,32,42,32,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,41,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,32,43,32,40,45,104,111,109,111,116,111,112,121,80,97,114,97,109,101,116,101,114,40,41,41,32,42,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,32,43,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,41,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,41,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,57,57,34,32,108,105,110,101,69,110,100,61,34,49,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,111,114,105,102,105,99,101,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,66,97,115,101,67,108,97,115,115,101,115,46,108,111,115,115,67,111,110,115,116,97,110,116,95,68,95,122,101,116,97,40,111,114,105,102,105,99,101,46,100,105,97,109,101,116,101,114,44,32,111,114,105,102,105,99,101,46,122,101,116,97,95,110,111,109,105,110,97,108,41,41,32,42,32,68,73,86,73,83,73,79,78,40,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,94,32,50,46,48,44,32,111,114,105,102,105,99,101,46,100,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,55,34,32,108,105,110,101,69,110,100,61,34,51,51,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,117,109,112,46,72,98,95,102,108,111,119,32,43,32,112,117,109,112,46,109,95,102,108,111,119,32,42,32,115,109,111,111,116,104,40,48,44,32,105,102,32,40,45,112,117,109,112,46,109,95,102,108,111,119,41,32,38,103,116,59,32,48,46,48,32,116,104,101,110,32,68,73,86,73,83,73,79,78,40,109,97,120,40,45,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,42,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,43,32,109,97,120,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,32,43,32,109,97,120,40,45,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,44,32,109,97,120,40,45,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,32,101,108,115,101,32,112,117,109,112,46,109,101,100,105,117,109,46,104,41,32,43,32,40,45,112,117,109,112,46,109,95,102,108,111,119,41,32,42,32,115,109,111,111,116,104,40,48,44,32,105,102,32,112,117,109,112,46,109,95,102,108,111,119,32,38,103,116,59,32,48,46,48,32,116,104,101,110,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,101,108,115,101,32,112,117,109,112,46,109,101,100,105,117,109,46,104,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,57,34,32,108,105,110,101,69,110,100,61,34,52,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,43,32,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,41,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,41,32,43,32,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,32,42,32,40,105,102,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,32,116,104,101,110,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+901496);
/* memory initializer */ allocate([51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,48,54,34,32,108,105,110,101,69,110,100,61,34,49,50,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,48,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,122,101,116,97,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,57,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,57,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,57,50,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,32,45,32,115,121,115,116,101,109,46,103,32,42,32,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,34,32,108,105,110,101,69,110,100,61,34,53,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,86,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,44,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,44,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,111,114,116,95,97,95,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,84,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,48,44,32,48,41,41,44,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,34,32,108,105,110,101,69,110,100,61,34,51,53,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,111,114,116,95,98,95,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,45,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,84,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,49,48,48,48,48,48,46,48,44,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,49,48,48,48,48,48,46,48,44,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,44,32,48,44,32,48,41,41,44,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,95,115,105,110,103,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,117,109,112,46,109,95,102,108,111,119,44,32,47,42,82,101,97,108,42,47,40,112,117,109,112,46,110,80,97,114,97,108,108,101,108,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,34,32,108,105,110,101,69,110,100,61,34,51,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,32,45,32,115,121,115,116,101,109,46,103,32,42,32,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,34,32,108,105,110,101,69,110,100,61,34,53,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,54,34,32,108,105,110,101,69,110,100,61,34,49,48,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,100,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,44,32,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,50,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,32,101,108,115,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,51,57,50,54,57,57,48,56,49,54,57,56,55,50,52,49,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,55,34,32,108,105,110,101,69,110,100,61,34,49,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+911736);
/* memory initializer */ allocate([112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,110,111,109,105,110,97,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,50,52,53,52,51,54,57,50,54,48,54,49,55,48,50,54,32,42,32,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,41,32,42,32,40,48,46,53,32,42,32,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,41,32,94,32,52,46,48,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,57,55,34,32,108,105,110,101,69,110,100,61,34,49,49,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,66,97,115,101,67,108,97,115,115,101,115,46,67,104,97,114,97,99,116,101,114,105,115,116,105,99,78,117,109,98,101,114,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,50,34,32,108,105,110,101,69,110,100,61,34,49,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,66,97,115,101,67,108,97,115,115,101,115,46,67,104,97,114,97,99,116,101,114,105,115,116,105,99,78,117,109,98,101,114,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,50,34,32,108,105,110,101,69,110,100,61,34,49,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,49,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,66,97,115,101,67,108,97,115,115,101,115,46,67,104,97,114,97,99,116,101,114,105,115,116,105,99,78,117,109,98,101,114,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,50,34,32,108,105,110,101,69,110,100,61,34,49,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,114,104,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,117,109,112,46,109,101,100,105,117,109,46,104,32,45,32,68,73,86,73,83,73,79,78,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,117,109,112,46,114,104,111,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,117,109,112,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,117,109,112,46,109,101,100,105,117,109,46,104,44,32,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,34,32,108,105,110,101,69,110,100,61,34,50,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,66,97,115,101,67,108,97,115,115,101,115,46,67,104,97,114,97,99,116,101,114,105,115,116,105,99,78,117,109,98,101,114,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+921976);
/* memory initializer */ allocate([46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,50,34,32,108,105,110,101,69,110,100,61,34,49,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,95,116,117,114,98,117,108,101,110,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,107,115,95,105,110,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,54,49,54,56,53,48,50,55,53,48,54,56,48,56,52,57,32,42,32,68,73,86,73,83,73,79,78,40,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,94,32,50,46,48,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,107,115,95,105,110,118,91,49,93,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,52,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,51,57,50,54,57,57,48,56,49,54,57,56,55,50,52,49,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,55,34,32,108,105,110,101,69,110,100,61,34,49,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,32,43,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,52,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,34,32,108,105,110,101,69,110,100,61,34,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,34,32,108,105,110,101,69,110,100,61,34,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,34,32,108,105,110,101,69,110,100,61,34,49,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,34,32,108,105,110,101,69,110,100,61,34,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,34,32,108,105,110,101,69,110,100,61,34,49,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+932216);
/* memory initializer */ allocate([101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,117,109,112,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,117,109,112,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,34,32,108,105,110,101,69,110,100,61,34,53,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,112,117,109,112,46,112,95,115,116,97,114,116,44,32,112,117,109,112,46,84,95,115,116,97,114,116,44,32,123,112,117,109,112,46,88,95,115,116,97,114,116,91,49,93,125,44,32,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,55,34,32,108,105,110,101,69,110,100,61,34,53,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,48,48,46,48,32,42,32,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,52,34,32,108,105,110,101,69,110,100,61,34,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,111,114,105,102,105,99,101,46,100,112,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,50,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,49,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,117,109,112,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,48,48,48,48,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,48,48,48,48,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,48,48,48,48,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,48,48,48,48,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+942456);
/* memory initializer */ allocate([111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,73,98,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,48,34,32,108,105,110,101,69,110,100,61,34,55,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,98,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,57,52,34,32,108,105,110,101,69,110,100,61,34,53,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,97,116,104,76,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,51,55,34,32,108,105,110,101,69,110,100,61,34,55,51,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,102,108,117,105,100,86,111,108,117,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,52,48,34,32,108,105,110,101,69,110,100,61,34,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+952696);
/* memory initializer */ allocate([10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,116,115,97,116,40,49,48,48,48,48,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,54,34,32,108,105,110,101,69,110,100,61,34,53,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,73,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,53,55,34,32,108,105,110,101,69,110,100,61,34,55,53,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,116,115,97,116,40,49,48,48,48,48,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,116,115,97,116,40,50,48,48,48,48,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,116,115,97,116,40,50,48,48,48,48,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,85,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,53,34,32,108,105,110,101,69,110,100,61,34,53,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,54,49,46,53,50,51,54,51,54,53,48,54,53,52,53,52,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,49,56,48,49,53,50,54,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,54,49,46,53,50,51,54,51,54,53,48,54,53,52,53,52,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+962936);
/* memory initializer */ allocate([104,115,62,48,46,48,49,56,48,49,53,50,54,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,54,49,46,53,50,51,54,51,54,53,48,54,53,52,53,52,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,49,56,48,49,53,50,54,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,54,49,46,53,50,51,54,51,54,53,48,54,53,52,53,52,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,49,56,48,49,53,50,54,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,54,49,46,53,50,51,54,51,54,53,48,54,53,52,53,52,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+973176);
/* memory initializer */ allocate([60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,49,56,48,49,53,50,54,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,105,110,105,116,105,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,114,101,115,105,100,117,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,49,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,45,32,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,56,56,34,32,108,105,110,101,69,110,100,61,34,49,50,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,114,101,115,105,100,117,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,53,48,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,36,100,117,109,109,121,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,95,115,101,116,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,95,115,101,116,46,104,101,105,103,104,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,95,115,101,116,46,100,117,114,97,116,105,111,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,95,115,101,116,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,95,115,101,116,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,95,115,101,116,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,112,95,115,101,116,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,105,102,32,116,105,109,101,32,38,108,116,59,32,112,95,115,101,116,46,115,116,97,114,116,84,105,109,101,32,43,32,112,95,115,101,116,46,100,117,114,97,116,105,111,110,32,116,104,101,110,32,40,116,105,109,101,32,45,32,112,95,115,101,116,46,115,116,97,114,116,84,105,109,101,41,32,42,32,68,73,86,73,83,73,79,78,40,112,95,115,101,116,46,104,101,105,103,104,116,44,32,112,95,115,101,116,46,100,117,114,97,116,105,111,110,41,32,101,108,115,101,32,112,95,115,101,116,46,104,101,105,103,104,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,82,97,109,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,95,115,101,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,100,112,95,112,117,109,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,95,115,101,116,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,49,48,48,48,48,48,46,48,32,43,32,112,95,115,101,116,46,121,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,100,112,95,112,117,109,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,117,109,112,46,100,112,95,112,117,109,112,32,43,32,49,48,48,48,48,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,52,34,32,108,105,110,101,69,110,100,61,34,51,57,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,116,115,97,116,40,112,117,109,112,46,109,101,100,105,117,109,46,112,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,50,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,70,95,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,65,95,109,101,97,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,111,114,105,102,105,99,101,46,65,95,109,101,97,110,32,42,32,40,49,48,48,48,48,48,46,48,32,45,32,112,117,109,112,46,109,101,100,105,117,109,46,112,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,49,34,32,108,105,110,101,69,110,100,61,34,51,52,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,112,95,102,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,65,95,109,101,97,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,70,95,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,111,114,105,102,105,99,101,46,70,95,112,44,32,111,114,105,102,105,99,101,46,65,95,109,101,97,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,49,48,48,48,48,48,46,48,32,43,32,112,117,109,112,46,109,101,100,105,117,109,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,54,34,32,108,105,110,101,69,110,100,61,34,51,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,32,42,32,40,50,48,48,48,48,48,46,48,32,45,32,112,117,109,112,46,109,101,100,105,117,109,46,112,41,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,32,42,32,40,50,48,48,48,48,48,46,48,32,45,32,112,117,109,112,46,109,101,100,105,117,109,46,112,41,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,44,32,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,112,117,109,112,46,109,101,100,105,117,109,46,104,32,38,108,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,40,112,117,109,112,46,109,101,100,105,117,109,46,112,41,41,32,111,114,32,112,117,109,112,46,109,101,100,105,117,109,46,104,32,38,103,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,40,112,117,109,112,46,109,101,100,105,117,109,46,112,41,41,32,111,114,32,112,117,109,112,46,109,101,100,105,117,109,46,112,32,38,103,116,59,32,50,50,48,54,52,48,48,48,46,48,32,116,104,101,110,32,49,32,101,108,115,101,32,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,34,32,108,105,110,101,69,110,100,61,34,49,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,109,97,120,40,112,117,109,112,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,42,32,112,117,109,112,46,109,101,100,105,117,109,46,104,32,43,32,109,97,120,40,45,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,42,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,43,32,109,97,120,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,44,32,109,97,120,40,112,117,109,112,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+983416);
/* memory initializer */ allocate([62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,54,34,32,108,105,110,101,69,110,100,61,34,49,48,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,54,34,32,108,105,110,101,69,110,100,61,34,49,48,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,43,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,107,115,95,105,110,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,32,94,32,50,46,48,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,42,32,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,54,34,32,108,105,110,101,69,110,100,61,34,49,52,53,54,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,49,49,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,122,101,116,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,107,115,95,105,110,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,40,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,32,94,32,50,46,48,41,32,94,32,50,46,48,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,107,115,95,105,110,118,91,49,93,32,42,32,56,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,122,101,116,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,122,101,116,97,115,91,49,93,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,32,42,32,40,50,46,48,32,42,32,108,111,103,49,48,40,51,46,55,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,40,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,32,43,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,41,32,42,32,48,46,53,41,41,41,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,56,34,32,108,105,110,101,69,110,100,61,34,49,52,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,49,50,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,54,34,32,108,105,110,101,69,110,100,61,34,49,48,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,100,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,44,32,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,32,43,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,51,34,32,108,105,110,101,69,110,100,61,34,49,49,50,51,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,42,32,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,48,34,32,108,105,110,101,69,110,100,61,34,49,52,54,48,34,32,99,111,108,83,116,97,114,116,61,34,49,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,117,109,112,46,109,95,102,108,111,119,32,45,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,45,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,34,32,108,105,110,101,69,110,100,61,34,55,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,109,97,120,40,112,117,109,112,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,42,32,112,117,109,112,46,109,101,100,105,117,109,46,104,32,43,32,109,97,120,40,45,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,42,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,43,32,109,97,120,40,45,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,44,32,109,97,120,40,112,117,109,112,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,54,34,32,108,105,110,101,69,110,100,61,34,49,48,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,54,34,32,108,105,110,101,69,110,100,61,34,49,48,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,109,97,120,40,112,117,109,112,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,42,32,112,117,109,112,46,109,101,100,105,117,109,46,104,32,43,32,109,97,120,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,32,43,32,109,97,120,40,45,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,44,32,109,97,120,40,112,117,109,112,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,55,49,34,32,108,105,110,101,69,110,100,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+993656);
/* memory initializer */ allocate([34,51,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,32,43,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,114,104,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,117,109,112,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,117,109,112,46,109,101,100,105,117,109,46,104,44,32,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,86,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,114,104,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,111,109,111,116,111,112,121,40,68,73,86,73,83,73,79,78,40,112,117,109,112,46,109,95,102,108,111,119,44,32,112,117,109,112,46,114,104,111,41,44,32,68,73,86,73,83,73,79,78,40,112,117,109,112,46,109,95,102,108,111,119,44,32,112,117,109,112,46,114,104,111,95,110,111,109,105,110,97,108,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,34,32,99,111,108,83,116,97,114,116,61,34,54,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,86,95,102,108,111,119,95,115,105,110,103,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,86,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,117,109,112,46,86,95,102,108,111,119,44,32,47,42,82,101,97,108,42,47,40,112,117,109,112,46,110,80,97,114,97,108,108,101,108,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,48,34,32,108,105,110,101,69,110,100,61,34,52,51,48,34,32,99,111,108,83,116,97,114,116,61,34,54,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,101,116,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,78,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,86,95,102,108,111,119,95,115,105,110,103,108,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,111,109,111,116,111,112,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,101,102,102,105,99,105,101,110,99,121,67,104,97,114,97,99,116,101,114,105,115,116,105,99,40,112,117,109,112,46,86,95,102,108,111,119,95,115,105,110,103,108,101,32,42,32,68,73,86,73,83,73,79,78,40,112,117,109,112,46,78,95,110,111,109,105,110,97,108,44,32,112,117,109,112,46,78,41,44,32,48,46,56,41,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,101,102,102,105,99,105,101,110,99,121,67,104,97,114,97,99,116,101,114,105,115,116,105,99,40,48,46,48,44,32,48,46,56,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,48,34,32,108,105,110,101,69,110,100,61,34,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,87,95,115,105,110,103,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,101,116,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,86,95,102,108,111,119,95,115,105,110,103,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,100,112,95,112,117,109,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,111,109,111,116,111,112,121,40,112,117,109,112,46,100,112,95,112,117,109,112,32,42,32,68,73,86,73,83,73,79,78,40,112,117,109,112,46,86,95,102,108,111,119,95,115,105,110,103,108,101,44,32,112,117,109,112,46,101,116,97,41,44,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,34,32,108,105,110,101,69,110,100,61,34,52,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,72,98,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,87,95,115,105,110,103,108,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,112,117,109,112,46,87,95,115,105,110,103,108,101,41,32,42,32,47,42,82,101,97,108,42,47,40,112,117,109,112,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,52,34,32,108,105,110,101,69,110,100,61,34,52,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,114,104,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,100,112,95,112,117,109,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,117,109,112,46,100,112,95,112,117,109,112,44,32,112,117,109,112,46,114,104,111,32,42,32,57,46,56,48,54,54,52,57,57,57,57,57,57,57,57,57,57,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,49,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,45,32,104,111,109,111,116,111,112,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,32,43,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,41,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,41,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,44,32,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,45,32,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,41,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,41,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,57,57,34,32,108,105,110,101,69,110,100,61,34,49,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,50,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,32,43,32,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,41,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,41,32,43,32,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,41,32,42,32,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,32,42,32,40,105,102,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,32,116,104,101,110,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,48,54,34,32,108,105,110,101,69,110,100,61,34,49,50,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,49,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,111,114,105,102,105,99,101,46,109,95,102,108,111,119,32,45,32,104,111,109,111,116,111,112,121,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,82,111,111,116,50,40,111,114,105,102,105,99,101,46,100,112,95,102,103,44,32,111,114,105,102,105,99,101,46,100,112,95,115,109,97,108,108,44,32,68,73,86,73,83,73,79,78,40,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,66,97,115,101,67,108,97,115,115,101,115,46,108,111,115,115,67,111,110,115,116,97,110,116,95,68,95,122,101,116,97,40,111,114,105,102,105,99,101,46,100,105,97,109,101,116,101,114,44,32,111,114,105,102,105,99,101,46,122,101,116,97,95,110,111,109,105,110,97,108,41,41,44,32,68,73,86,73,83,73,79,78,40,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,66,97,115,101,67,108,97,115,115,101,115,46,108,111,115,115,67,111,110,115,116,97,110,116,95,68,95,122,101,116,97,40,111,114,105,102,105,99,101,46,100,105,97,109,101,116,101,114,44,32,111,114,105,102,105,99,101,46,122,101,116,97,95,110,111,109,105,110,97,108,41,41,44,32,102,97,108,115,101,44,32,49,46,48,41,44,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,42,32,68,73,86,73,83,73,79,78,40,111,114,105,102,105,99,101,46,100,112,95,102,103,44,32,111,114,105,102,105,99,101,46,100,112,95,110,111,109,105,110,97,108,41,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,52,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,52,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,111,114,105,102,105,99,101,46,100,112,95,110,111,109,105,110,97,108,32,43,32,40,45,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,66,97,115,101,67,108,97,115,115,101,115,46,108,111,115,115,67,111,110,115,116,97,110,116,95,68,95,122,101,116,97,40,111,114,105,102,105,99,101,46,100,105,97,109,101,116,101,114,44,32,111,114,105,102,105,99,101,46,122,101,116,97,95,110,111,109,105,110,97,108,41,41,32,42,32,68,73,86,73,83,73,79,78,40,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,94,32,50,46,48,44,32,111,114,105,102,105,99,101,46,100,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,55,34,32,108,105,110,101,69,110,100,61,34,51,51,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,53,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,117,109,112,46,72,98,95,102,108,111,119,32,43,32,112,117,109,112,46,109,95,102,108,111,119,32,42,32,115,109,111,111,116,104,40,48,44,32,105,102,32,40,45,112,117,109,112,46,109,95,102,108,111,119,41,32,38,103,116,59,32,48,46,48,32,116,104,101,110,32,68,73,86,73,83,73,79,78,40,109,97,120,40,45,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,42,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,43,32,109,97,120,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,32,43,32,109,97,120,40,45,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,42,32,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,44,32,109,97,120,40,45,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,41,32,101,108,115,101,32,112,117,109,112,46,109,101,100,105,117,109,46,104,41,32,43,32,40,45,112,117,109,112,46,109,95,102,108,111,119,41,32,42,32,115,109,111,111,116,104,40,48,44,32,105,102,32,112,117,109,112,46,109,95,102,108,111,119,32,38,103,116,59,32,48,46,48,32,116,104,101,110,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,101,108,115,101,32,112,117,109,112,46,109,101,100,105,117,109,46,104,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,57,34,32,108,105,110,101,69,110,100,61,34,52,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,112,117,109,112,46,104,101,97,100,32,45,32,104,111,109,111,116,111,112,121,40,68,73,86,73,83,73,79,78,40,112,117,109,112,46,78,44,32,112,117,109,112,46,78,95,110,111,109,105,110,97,108,41,32,94,32,50,46,48,32,42,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,102,108,111,119,67,104,97,114,97,99,116,101,114,105,115,116,105,99,40,112,117,109,112,46,86,95,102,108,111,119,95,115,105,110,103,108,101,32,42,32,68,73,86,73,83,73,79,78,40,112,117,109,112,46,78,95,110,111,109,105,110,97,108,44,32,112,117,109,112,46,78,41,44,32,123,48,46,48,44,32,48,46,48,48,49,48,48,49,55,57,55,49,51,49,52,49,57,54,52,51,44,32,48,46,48,48,49,53,48,50,54,57,53,54,57,55,49,50,57,52,54,52,125,44,32,123,50,48,46,52,51,48,57,55,53,53,52,48,52,54,55,56,44,32,49,48,46,50,49,53,52,56,55,55,55,48,50,51,51,57,44,32,48,46,48,125,41,44,32,112,117,109,112,46,78,32,42,32,68,73,86,73,83,73,79,78,40,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1003896);
/* memory initializer */ allocate([112,46,102,108,111,119,67,104,97,114,97,99,116,101,114,105,115,116,105,99,40,48,46,48,44,32,123,48,46,48,44,32,48,46,48,48,49,48,48,49,55,57,55,49,51,49,52,49,57,54,52,51,44,32,48,46,48,48,49,53,48,50,54,57,53,54,57,55,49,50,57,52,54,52,125,44,32,123,50,48,46,52,51,48,57,55,53,53,52,48,52,54,55,56,44,32,49,48,46,50,49,53,52,56,55,55,55,48,50,51,51,57,44,32,48,46,48,125,41,44,32,112,117,109,112,46,78,95,110,111,109,105,110,97,108,41,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,51,34,32,108,105,110,101,69,110,100,61,34,52,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,55,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,49,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,122,101,116,97,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,78,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,49,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,49,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,49,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,50,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,50,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,50,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,50,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,50,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,50,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,50,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,50,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,50,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,50,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,51,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,51,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,51,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,51,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,51,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,51,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,51,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,51,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,51,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,51,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,52,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,52,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,52,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,52,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,52,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,52,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,52,49,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,51,57,50,54,57,57,48,56,49,54,57,56,55,50,52,49,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,55,34,32,108,105,110,101,69,110,100,61,34,49,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,32,45,32,115,121,115,116,101,109,46,103,32,42,32,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,34,32,108,105,110,101,69,110,100,61,34,53,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,95,116,117,114,98,117,108,101,110,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,107,115,95,105,110,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,54,49,54,56,53,48,50,55,53,48,54,56,48,56,52,57,32,42,32,68,73,86,73,83,73,79,78,40,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,41,32,94,32,50,46,48,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,107,115,95,105,110,118,91,49,93,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,52,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,40,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,48,46,53,32,42,32,40,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,32,43,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,41,44,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,41,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,54,34,32,108,105,110,101,69,110,100,61,34,49,48,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,32,45,32,115,121,115,116,101,109,46,103,32,42,32,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,34,32,108,105,110,101,69,110,100,61,34,53,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,100,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,44,32,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,66,97,115,101,67,108,97,115,115,101,115,46,67,104,97,114,97,99,116,101,114,105,115,116,105,99,78,117,109,98,101,114,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,50,34,32,108,105,110,101,69,110,100,61,34,49,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,66,97,115,101,67,108,97,115,115,101,115,46,67,104,97,114,97,99,116,101,114,105,115,116,105,99,78,117,109,98,101,114,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,50,34,32,108,105,110,101,69,110,100,61,34,49,48,57,54,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1014136);
/* memory initializer */ allocate([32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,101,108,115,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,32,48,46,48,41,32,116,104,101,110,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,32,101,108,115,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,51,57,50,54,57,57,48,56,49,54,57,56,55,50,52,49,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,55,34,32,108,105,110,101,69,110,100,61,34,49,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,110,111,109,105,110,97,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,50,52,53,52,51,54,57,50,54,48,54,49,55,48,50,54,32,42,32,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,41,32,42,32,40,48,46,53,32,42,32,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,41,32,94,32,52,46,48,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,57,55,34,32,108,105,110,101,69,110,100,61,34,49,49,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,50,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,86,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,44,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,44,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,52,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,111,114,116,95,98,95,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,45,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,84,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,49,48,48,48,48,48,46,48,44,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,49,48,48,48,48,48,46,48,44,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,44,32,48,44,32,48,41,41,44,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,111,114,116,95,97,95,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,84,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,48,44,32,48,41,41,44,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,34,32,108,105,110,101,69,110,100,61,34,51,53,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,95,115,105,110,103,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,117,109,112,46,109,95,102,108,111,119,44,32,47,42,82,101,97,108,42,47,40,112,117,109,112,46,110,80,97,114,97,108,108,101,108,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,34,32,108,105,110,101,69,110,100,61,34,51,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,66,97,115,101,67,108,97,115,115,101,115,46,67,104,97,114,97,99,116,101,114,105,115,116,105,99,78,117,109,98,101,114,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,50,34,32,108,105,110,101,69,110,100,61,34,49,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1024376);
/* memory initializer */ allocate([32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,49,56,34,32,108,105,110,101,69,110,100,61,34,49,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,66,97,115,101,67,108,97,115,115,101,115,46,67,104,97,114,97,99,116,101,114,105,115,116,105,99,78,117,109,98,101,114,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,50,34,32,108,105,110,101,69,110,100,61,34,49,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,42,32,112,105,112,101,49,46,108,101,110,103,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,117,109,112,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,117,109,112,46,109,101,100,105,117,109,46,104,44,32,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,34,32,108,105,110,101,69,110,100,61,34,50,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,114,104,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,117,109,112,46,109,101,100,105,117,109,46,104,32,45,32,68,73,86,73,83,73,79,78,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,112,117,109,112,46,114,104,111,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,108,101,110,103,116,104,32,38,103,116,59,61,32,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,44,32,38,113,117,111,116,59,80,97,114,97,109,101,116,101,114,32,108,101,110,103,116,104,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,111,114,32,101,113,117,97,108,32,104,101,105,103,104,116,95,97,98,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,34,32,108,105,110,101,69,110,100,61,34,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,99,104,101,99,107,66,111,117,110,100,97,114,121,40,38,113,117,111,116,59,87,97,116,101,114,73,70,57,55,38,113,117,111,116,59,44,32,123,38,113,117,111,116,59,119,97,116,101,114,38,113,117,111,116,59,125,44,32,102,97,108,115,101,44,32,116,114,117,101,44,32,123,49,46,48,125,44,32,38,113,117,111,116,59,66,111,117,110,100,97,114,121,95,112,84,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,53,34,32,108,105,110,101,69,110,100,61,34,49,56,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,108,101,110,103,116,104,32,38,103,116,59,61,32,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,44,32,38,113,117,111,116,59,80,97,114,97,109,101,116,101,114,32,108,101,110,103,116,104,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,111,114,32,101,113,117,97,108,32,104,101,105,103,104,116,95,97,98,46,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,34,32,108,105,110,101,69,110,100,61,34,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,99,104,101,99,107,66,111,117,110,100,97,114,121,40,38,113,117,111,116,59,87,97,116,101,114,73,70,57,55,38,113,117,111,116,59,44,32,123,38,113,117,111,116,59,119,97,116,101,114,38,113,117,111,116,59,125,44,32,102,97,108,115,101,44,32,116,114,117,101,44,32,123,49,46,48,125,44,32,38,113,117,111,116,59,66,111,117,110,100,97,114,121,95,112,84,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,53,34,32,108,105,110,101,69,110,100,61,34,49,56,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,99,104,101,99,107,66,111,117,110,100,97,114,121,40,38,113,117,111,116,59,87,97,116,101,114,73,70,57,55,38,113,117,111,116,59,44,32,123,38,113,117,111,116,59,119,97,116,101,114,38,113,117,111,116,59,125,44,32,102,97,108,115,101,44,32,116,114,117,101,44,32,123,49,46,48,125,44,32,38,113,117,111,116,59,66,111,117,110,100,97,114,121,95,112,84,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,53,34,32,108,105,110,101,69,110,100,61,34,49,56,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,109,101,100,105,117,109,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,87,97,116,101,114,73,70,57,55,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,99,104,101,99,107,66,111,117,110,100,97,114,121,40,38,113,117,111,116,59,87,97,116,101,114,73,70,57,55,38,113,117,111,116,59,44,32,123,38,113,117,111,116,59,119,97,116,101,114,38,113,117,111,116,59,125,44,32,102,97,108,115,101,44,32,116,114,117,101,44,32,123,49,46,48,125,44,32,38,113,117,111,116,59,66,111,117,110,100,97,114,121,95,112,84,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,53,34,32,108,105,110,101,69,110,100,61,34,49,56,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,101,113,117,97,116,105,111,110,115,62,10,60,115,116,97,114,116,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,49,50,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,45,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,45,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,51,34,32,108,105,110,101,69,110,100,61,34,49,48,56,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,112,95,102,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,111,114,105,102,105,99,101,46,100,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,111,114,105,102,105,99,101,46,100,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,122,101,116,97,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1034616);
/* memory initializer */ allocate([61,34,111,114,105,102,105,99,101,46,122,101,116,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,111,114,105,102,105,99,101,46,122,101,116,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,34,32,108,105,110,101,69,110,100,61,34,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,52,48,34,32,108,105,110,101,69,110,100,61,34,55,52,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,78,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,117,109,112,46,78,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,95,114,112,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,117,109,112,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,117,109,112,46,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,117,109,112,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,86,95,102,108,111,119,95,115,105,110,103,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,114,104,111,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,112,117,109,112,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,47,42,82,101,97,108,42,47,40,112,117,109,112,46,110,80,97,114,97,108,108,101,108,41,32,42,32,112,117,109,112,46,114,104,111,95,110,111,109,105,110,97,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,48,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,117,109,112,46,109,95,102,108,111,119,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,54,34,32,108,105,110,101,69,110,100,61,34,51,57,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,115,116,97,114,116,45,101,113,117,97,116,105,111,110,115,62,10,60,110,111,109,105,110,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,110,111,109,105,110,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,109,105,110,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,109,105,110,45,101,113,117,97,116,105,111,110,115,62,10,60,109,97,120,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,109,97,120,45,101,113,117,97,116,105,111,110,115,62,10,60,112,97,114,97,109,101,116,101,114,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,50,55,48,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,49,56,48,49,53,50,54,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,54,49,46,53,50,51,54,51,54,53,48,54,53,52,53,52,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,49,56,48,49,53,50,54,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,54,49,46,53,50,51,54,51,54,53,48,54,53,52,53,52,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1044856);
/* memory initializer */ allocate([102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,34,32,108,105,110,101,69,110,100,61,34,52,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,49,56,48,49,53,50,54,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,54,49,46,53,50,51,54,51,54,53,48,54,53,52,53,52,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,49,56,48,49,53,50,54,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,54,49,46,53,50,51,54,51,54,53,48,54,53,52,53,52,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,49,56,48,49,53,50,54,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,54,49,46,53,50,51,54,51,54,53,48,54,53,52,53,52,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1055096);
/* memory initializer */ allocate([115,105,110,107,50,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,85,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,53,34,32,108,105,110,101,69,110,100,61,34,53,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,104,95,112,114,111,112,115,95,112,84,40,50,48,48,48,48,48,46,48,44,32,50,57,51,46,49,53,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,84,40,50,48,48,48,48,48,46,48,44,32,50,57,51,46,49,53,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,32,38,108,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,50,48,48,48,48,48,46,48,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,40,50,48,48,48,48,48,46,48,41,41,32,111,114,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,32,38,103,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,50,48,48,48,48,48,46,48,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,40,50,48,48,48,48,48,46,48,41,41,32,116,104,101,110,32,49,32,101,108,115,101,32,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,107,50,46,109,101,100,105,117,109,46,104,32,43,32,115,121,115,116,101,109,46,103,32,42,32,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,100,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,44,32,50,48,48,48,48,48,46,48,44,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,44,32,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,115,105,110,107,50,46,109,101,100,105,117,109,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,44,32,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,107,50,46,109,101,100,105,117,109,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,50,48,48,48,48,48,46,48,44,32,115,105,110,107,50,46,109,101,100,105,117,109,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,116,115,97,116,40,50,48,48,48,48,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1065336);
/* memory initializer */ allocate([105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,104,95,112,114,111,112,115,95,112,84,40,50,48,48,48,48,48,46,48,44,32,50,57,51,46,49,53,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,84,40,50,48,48,48,48,48,46,48,44,32,50,57,51,46,49,53,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,107,49,46,109,101,100,105,117,109,46,104,32,43,32,115,121,115,116,101,109,46,103,32,42,32,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,100,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,44,32,50,48,48,48,48,48,46,48,44,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,32,38,108,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,50,48,48,48,48,48,46,48,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,40,50,48,48,48,48,48,46,48,41,41,32,111,114,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,32,38,103,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,50,48,48,48,48,48,46,48,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,40,50,48,48,48,48,48,46,48,41,41,32,116,104,101,110,32,49,32,101,108,115,101,32,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,44,32,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,115,105,110,107,49,46,109,101,100,105,117,109,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,50,48,48,48,48,48,46,48,44,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,44,32,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,107,49,46,109,101,100,105,117,109,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,50,48,48,48,48,48,46,48,44,32,115,105,110,107,49,46,109,101,100,105,117,109,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,116,115,97,116,40,50,48,48,48,48,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,104,95,112,114,111,112,115,95,112,84,40,49,48,48,48,48,48,46,48,44,32,50,57,51,46,49,53,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,84,40,49,48,48,48,48,48,46,48,44,32,50,57,51,46,49,53,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1075576);
/* memory initializer */ allocate([60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,38,108,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,49,48,48,48,48,48,46,48,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,40,49,48,48,48,48,48,46,48,41,41,32,111,114,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,38,103,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,49,48,48,48,48,48,46,48,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,40,49,48,48,48,48,48,46,48,41,41,32,116,104,101,110,32,49,32,101,108,115,101,32,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,115,105,110,107,46,109,101,100,105,117,109,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,107,46,109,101,100,105,117,109,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,48,48,48,48,46,48,44,32,115,105,110,107,46,109,101,100,105,117,109,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,116,115,97,116,40,49,48,48,48,48,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,73,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,53,55,34,32,108,105,110,101,69,110,100,61,34,55,53,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,111,109,101,110,116,117,109,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,54,34,32,108,105,110,101,69,110,100,61,34,53,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,104,95,112,114,111,112,115,95,112,84,40,49,48,48,48,48,48,46,48,44,32,50,57,51,46,49,53,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,84,40,49,48,48,48,48,48,46,48,44,32,50,57,51,46,49,53,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1085816);
/* memory initializer */ allocate([44,32,48,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,38,108,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,49,48,48,48,48,48,46,48,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,40,49,48,48,48,48,48,46,48,41,41,32,111,114,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,38,103,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,49,48,48,48,48,48,46,48,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,40,49,48,48,48,48,48,46,48,41,41,32,116,104,101,110,32,49,32,101,108,115,101,32,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,49,48,48,48,48,48,46,48,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,43,32,68,73,86,73,83,73,79,78,40,45,49,48,48,48,48,48,46,48,44,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,116,115,97,116,40,49,48,48,48,48,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,102,108,117,105,100,86,111,108,117,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,52,48,34,32,108,105,110,101,69,110,100,61,34,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,112,97,116,104,76,101,110,103,116,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,51,55,34,32,108,105,110,101,69,110,100,61,34,55,51,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,65,95,109,101,97,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,111,114,105,102,105,99,101,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1096056);
/* memory initializer */ allocate([32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,98,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,57,52,34,32,108,105,110,101,69,110,100,61,34,53,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,73,98,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,48,34,32,108,105,110,101,69,110,100,61,34,55,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,51,34,32,108,105,110,101,69,110,100,61,34,49,48,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,115,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,48,48,48,48,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,48,48,48,48,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,49,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,48,48,48,48,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,107,50,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,48,48,48,48,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1106296);
/* memory initializer */ allocate([34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,117,109,112,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,54,34,32,108,105,110,101,69,110,100,61,34,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,49,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,111,114,105,102,105,99,101,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,111,114,105,102,105,99,101,46,100,112,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,50,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,48,48,46,48,32,42,32,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,52,34,32,108,105,110,101,69,110,100,61,34,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,34,32,108,105,110,101,69,110,100,61,34,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,117,109,112,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,117,109,112,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,34,32,108,105,110,101,69,110,100,61,34,53,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,52,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,117,109,112,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,117,109,112,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,40,112,117,109,112,46,112,95,115,116,97,114,116,44,32,112,117,109,112,46,84,95,115,116,97,114,116,44,32,123,112,117,109,112,46,88,95,115,116,97,114,116,91,49,93,125,44,32,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,55,34,32,108,105,110,101,69,110,100,61,34,53,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1116536);
/* memory initializer */ allocate([116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,34,32,108,105,110,101,69,110,100,61,34,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,49,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,49,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,32,43,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,55,34,32,108,105,110,101,69,110,100,61,34,49,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,34,32,108,105,110,101,69,110,100,61,34,49,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,56,34,32,108,105,110,101,69,110,100,61,34,49,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,101,112,115,95,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,101,112,115,95,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,48,34,32,108,105,110,101,69,110,100,61,34,49,52,51,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,34,32,108,105,110,101,69,110,100,61,34,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,32,42,32,112,105,112,101,50,46,100,105,97,109,101,116,101,114,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,100,105,97,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,112,105,112,101,50,46,100,105,97,109,101,116,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1126776);
/* memory initializer */ allocate([110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,48,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,44,32,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,56,34,32,108,105,110,101,69,110,100,61,34,49,48,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,34,32,108,105,110,101,69,110,100,61,34,49,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,50,34,32,108,105,110,101,69,110,100,61,34,49,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,121,115,116,101,109,46,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,121,115,116,101,109,46,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,51,55,34,32,108,105,110,101,69,110,100,61,34,49,48,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,50,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,50,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,50,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,50,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,50,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,105,110,107,50,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,105,110,107,50,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,50,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,50,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,50,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,50,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,50,46,112,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,50,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,69,110,116,101,114,105,110,103,32,97,110,100,32,115,105,110,107,50,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,69,110,116,101,114,105,110,103,32,97,110,100,32,115,105,110,107,50,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,50,46,102,108,111,119,68,105,114,101,99,116,105,111,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,56,34,32,108,105,110,101,69,110,100,61,34,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1137016);
/* memory initializer */ allocate([110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,57,48,34,32,108,105,110,101,69,110,100,61,34,49,49,57,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,34,32,108,105,110,101,69,110,100,61,34,49,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,34,32,108,105,110,101,69,110,100,61,34,49,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,34,32,108,105,110,101,69,110,100,61,34,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,100,105,97,109,101,116,101,114,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,95,115,101,116,46,100,117,114,97,116,105,111,110,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,95,115,101,116,46,100,117,114,97,116,105,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,95,115,101,116,46,100,117,114,97,116,105,111,110,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,95,115,101,116,46,100,117,114,97,116,105,111,110,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,56,34,32,108,105,110,101,69,110,100,61,34,52,49,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,95,115,101,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,82,97,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,49,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,49,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,49,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,49,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,49,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,105,110,107,49,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,105,110,107,49,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,49,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1147256);
/* memory initializer */ allocate([99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,49,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,49,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,49,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,49,46,112,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,49,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,69,110,116,101,114,105,110,103,32,97,110,100,32,115,105,110,107,49,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,69,110,116,101,114,105,110,103,32,97,110,100,32,115,105,110,107,49,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,49,46,102,108,111,119,68,105,114,101,99,116,105,111,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,56,34,32,108,105,110,101,69,110,100,61,34,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,49,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,49,48,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,48,34,32,108,105,110,101,69,110,100,61,34,49,48,53,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,53,34,32,108,105,110,101,69,110,100,61,34,49,48,52,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,48,34,32,108,105,110,101,69,110,100,61,34,49,52,51,50,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,51,34,32,108,105,110,101,69,110,100,61,34,49,50,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,52,53,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,54,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1157496);
/* memory initializer */ allocate([47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,34,32,108,105,110,101,69,110,100,61,34,49,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,34,32,108,105,110,101,69,110,100,61,34,49,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,34,32,108,105,110,101,69,110,100,61,34,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,100,105,97,109,101,116,101,114,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,53,34,32,108,105,110,101,69,110,100,61,34,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,34,32,108,105,110,101,69,110,100,61,34,51,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,34,32,108,105,110,101,69,110,100,61,34,51,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,34,32,108,105,110,101,69,110,100,61,34,50,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,52,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,112,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,112,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,112,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,112,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,34,32,108,105,110,101,69,110,100,61,34,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,34,32,108,105,110,101,69,110,100,61,34,54,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,48,34,32,108,105,110,101,69,110,100,61,34,54,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,34,32,108,105,110,101,69,110,100,61,34,53,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1167736);
/* memory initializer */ allocate([97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,34,32,108,105,110,101,69,110,100,61,34,51,56,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,34,32,108,105,110,101,69,110,100,61,34,50,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,34,32,108,105,110,101,69,110,100,61,34,49,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,34,32,108,105,110,101,69,110,100,61,34,49,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,121,115,116,101,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,121,115,116,101,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,105,110,107,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,105,110,107,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,112,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,69,110,116,101,114,105,110,103,32,97,110,100,32,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,69,110,116,101,114,105,110,103,32,97,110,100,32,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,56,34,32,108,105,110,101,69,110,100,61,34,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,111,114,105,102,105,99,101,46,100,112,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,100,112,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,100,112,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,100,112,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,100,112,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,111,114,105,102,105,99,101,46,100,112,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,50,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,111,114,105,102,105,99,101,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,111,114,105,102,105,99,101,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,111,114,105,102,105,99,101,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,111,114,105,102,105,99,101,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,52,56,34,32,108,105,110,101,69,110,100,61,34,55,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,49,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,111,114,105,102,105,99,101,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,100,112,95,115,109,97,108,108,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,100,112,95,115,109,97,108,108,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,100,112,95,115,109,97,108,108,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,111,114,105,102,105,99,101,46,100,112,95,115,109,97,108,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,111,114,105,102,105,99,101,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,100,105,97,109,101,116,101,114,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,111,114,105,102,105,99,101,46,100,105,97,109,101,116,101,114,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,48,34,32,108,105,110,101,69,110,100,61,34,50,57,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1177976);
/* memory initializer */ allocate([110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,97,109,101,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,50,34,32,108,105,110,101,69,110,100,61,34,52,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,100,101,108,116,97,95,104,101,97,100,95,105,110,105,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,100,101,108,116,97,95,104,101,97,100,95,105,110,105,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,100,101,108,116,97,95,104,101,97,100,95,105,110,105,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,100,101,108,116,97,95,104,101,97,100,95,105,110,105,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,34,32,108,105,110,101,69,110,100,61,34,51,50,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,112,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,112,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,112,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,112,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,112,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,112,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,34,32,108,105,110,101,69,110,100,61,34,53,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,104,101,97,100,95,111,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,104,101,97,100,95,111,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,104,101,97,100,95,111,112,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,104,101,97,100,95,111,112,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,57,34,32,108,105,110,101,69,110,100,61,34,49,55,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,117,109,112,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,117,109,112,46,116,114,97,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,116,114,97,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,50,34,32,108,105,110,101,69,110,100,61,34,53,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,117,109,112,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,117,109,112,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,52,57,34,32,108,105,110,101,69,110,100,61,34,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,112,95,98,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,112,95,98,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,112,95,98,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,88,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,49,34,32,108,105,110,101,69,110,100,61,34,53,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,114,104,111,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,114,104,111,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,114,104,111,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,114,104,111,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,117,109,112,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,97,115,115,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,117,109,112,46,109,97,115,115,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,109,97,115,115,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,52,54,34,32,108,105,110,101,69,110,100,61,34,53,52,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,117,109,112,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,117,109,112,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,52,51,34,32,108,105,110,101,69,110,100,61,34,53,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,117,109,112,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1188216);
/* memory initializer */ allocate([112,117,109,112,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,117,109,112,46,109,95,102,108,111,119,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,109,95,102,108,111,119,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,34,32,108,105,110,101,69,110,100,61,34,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,112,95,97,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,112,95,97,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,112,95,97,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,117,109,112,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,117,109,112,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,112,95,98,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,112,95,98,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,112,95,98,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,112,95,98,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,112,95,98,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,112,95,98,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,112,95,97,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,112,95,97,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,112,95,97,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,112,95,97,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,112,95,97,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,112,95,97,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,34,32,108,105,110,101,69,110,100,61,34,49,52,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,117,109,112,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,117,109,112,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,104,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,55,34,32,108,105,110,101,69,110,100,61,34,53,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,117,109,112,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,117,109,112,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,110,80,97,114,97,108,108,101,108,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,110,80,97,114,97,108,108,101,108,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,34,32,108,105,110,101,69,110,100,61,34,51,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,48,34,32,108,105,110,101,69,110,100,61,34,49,53,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,111,117,114,99,101,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,111,117,114,99,101,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,112,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,69,110,116,101,114,105,110,103,32,97,110,100,32,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,69,110,116,101,114,105,110,103,32,97,110,100,32,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,56,34,32,108,105,110,101,69,110,100,61,34,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,32,38,108,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,32,38,108,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1198456);
/* memory initializer */ allocate([121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,32,38,108,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,32,38,108,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,32,38,108,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,32,38,108,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,32,38,108,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,32,38,108,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,109,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,109,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,54,34,32,108,105,110,101,69,110,100,61,34,53,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,109,101,100,105,117,109,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,109,101,100,105,117,109,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,49,46,109,101,100,105,117,109,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,49,46,109,101,100,105,117,109,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1208696);
/* memory initializer */ allocate([116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,50,46,109,101,100,105,117,109,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,50,46,109,101,100,105,117,109,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,108,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,108,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,108,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,108,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,108,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,108,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,84,32,38,108,116,59,61,32,49,48,48], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1218936);
/* memory initializer */ allocate([48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,108,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,108,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,50,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,50,46,109,101,100,105,117,109,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,50,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,50,46,109,101,100,105,117,109,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,50,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,50,46,109,101,100,105,117,109,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,49,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,49,46,109,101,100,105,117,109,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,49,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,49,46,109,101,100,105,117,109,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,49,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,49,46,109,101,100,105,117,109,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,109,101,100,105,117,109,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1229176);
/* memory initializer */ allocate([105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,109,101,100,105,117,109,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,112,104,97,115,101,32,38,108,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,112,104,97,115,101,32,38,108,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,112,104,97,115,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,112,104,97,115,101,32,38,108,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,112,104,97,115,101,32,38,108,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,112,104,97,115,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,112,104,97,115,101,32,38,108,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,112,104,97,115,101,32,38,108,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,112,104,97,115,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,109,101,100,105,117,109,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,109,101,100,105,117,109,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,109,101,100,105,117,109,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,50,46,109,101,100,105,117,109,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,109,101,100,105,117,109,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,109,101,100,105,117,109,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,50,46,109,101,100,105,117,109,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1239416);
/* memory initializer */ allocate([116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,50,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,50,46,109,101,100,105,117,109,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,50,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,50,46,109,101,100,105,117,109,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,50,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,49,46,109,101,100,105,117,109,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,109,101,100,105,117,109,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,109,101,100,105,117,109,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,49,46,109,101,100,105,117,109,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,49,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,49,46,109,101,100,105,117,109,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,49,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,49,46,109,101,100,105,117,109,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,49,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,109,101,100,105,117,109,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,109,101,100,105,117,109,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,109,101,100,105,117,109,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,107,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,107,46,109,101,100,105,117,109,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,107,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1249656);
/* memory initializer */ allocate([100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,111,117,114,99,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,112,97,114,97,109,101,116,101,114,45,101,113,117,97,116,105,111,110,115,62,10,60,97,115,115,101,114,116,105,111,110,115,32,115,105,122,101,61,34,51,54,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,109,95,102,108,111,119,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,117,109,112,46,109,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,95,102,108,111,119,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,117,109,112,46,109,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,109,95,102,108,111,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,54,34,32,108,105,110,101,69,110,100,61,34,51,57,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,109,101,100,105,117,109,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,101,100,105,117,109,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,101,100,105,117,109,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,109,101,100,105,117,109,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,101,100,105,117,109,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,101,100,105,117,109,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,109,101,100,105,117,109,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,109,101,100,105,117,109,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,108,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,108,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,51,34,32,108,105,110,101,69,110,100,61,34,53,48,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,114,104,111,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,114,104,111,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,114,104,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,114,104,111,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,114,104,111,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,114,104,111,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,51,34,32,108,105,110,101,69,110,100,61,34,51,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,117,109,112,46,104,101,97,100,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,117,109,112,46,104,101,97,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,104,101,97,100,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,117,109,112,46,104,101,97,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,117,109,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,105,103,104,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,115,116,97,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1259896);
/* memory initializer */ allocate([101,95,97,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,111,114,105,102,105,99,101,46,109,95,102,108,111,119,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,52,48,34,32,108,105,110,101,69,110,100,61,34,55,52,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,111,114,105,102,105,99,101,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,111,114,105,102,105,99,101,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,111,114,105,102,105,99,101,46,112,111,114,116,95,97,95,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,112,111,114,116,95,97,95,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,112,111,114,116,95,97,95,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,112,111,114,116,95,97,95,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,112,111,114,116,95,97,95,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,111,114,105,102,105,99,101,46,112,111,114,116,95,97,95,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,34,32,108,105,110,101,69,110,100,61,34,51,53,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,111,114,105,102,105,99,101,46,112,111,114,116,95,98,95,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,95,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,95,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,95,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,95,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,111,114,105,102,105,99,101,46,112,111,114,116,95,98,95,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,49,34,32,108,105,110,101,69,110,100,61,34,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,111,114,105,102,105,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1270136);
/* memory initializer */ allocate([32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,54,57,34,32,108,105,110,101,69,110,100,61,34,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,55,34,32,108,105,110,101,69,110,100,61,34,49,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,95,116,117,114,98,117,108,101,110,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,95,116,117,114,98,117,108,101,110,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,95,116,117,114,98,117,108,101,110,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,95,116,117,114,98,117,108,101,110,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,95,116,117,114,98,117,108,101,110,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,95,116,117,114,98,117,108,101,110,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,52,53,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,34,32,108,105,110,101,69,110,100,61,34,49,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,54,34,32,108,105,110,101,69,110,100,61,34,49,48,55,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,55,34,32,108,105,110,101,69,110,100,61,34,49,48,55,55,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,55,57,34,32,108,105,110,101,69,110,100,61,34,49,48,55,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1280376);
/* memory initializer */ allocate([108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,38,103,116,59,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,53,51,34,32,108,105,110,101,69,110,100,61,34,49,48,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,55,34,32,108,105,110,101,69,110,100,61,34,49,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,97,115,115,101,114,116,105,111,110,115,62,10,60,106,97,99,111,98,105,97,110,45,101,113,117,97,116,105,111,110,115,62,10,60,47,106,97,99,111,98,105,97,110,45,101,113,117,97,116,105,111,110,115,62,10,60,108,105,116,101,114,97,108,115,32,115,105,122,101,61,34,49,50,50,34,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,76,101,110,103,116,104,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,109,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,80,114,101,115,115,117,114,101,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,80,97,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,98,97,114,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,84,104,101,114,109,111,100,121,110,97,109,105,99,84,101,109,112,101,114,97,116,117,114,101,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,75,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,100,101,103,67,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,83,112,101,99,105,102,105,99,69,110,101,114,103,121,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,74,47,107,103,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,49,46,48,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,77,97,115,115,70,114,97,99,116,105,111,110,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,107,103,47,107,103,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,68,101,110,115,105,116,121,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,107,103,47,109,51,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,103,47,99,109,51,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,86,111,108,117,109,101,70,108,111,119,82,97,116,101,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,109,51,47,115,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,87,114,111,110,103,32,112,117,109,112,32,99,117,114,118,101,32,45,45,32,104,101,97,100,95,110,111,109,105,110,97,108,32,109,117,115,116,32,98,101,32,109,111,110,111,116,111,110,105,99,97,108,108,121,32,100,101,99,114,101,97,115,105,110,103,32,119,105,116,104,32,105,110,99,114,101,97,115,105,110,103,32,86,95,102,108,111,119,95,110,111,109,105,110,97,108,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,86,101,108,111,99,105,116,121,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,109,47,115,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,68,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,80,97,46,115,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,82,101,121,110,111,108,100,115,78,117,109,98,101,114,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,49,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,77,97,115,115,70,108,111,119,82,97,116,101,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,107,103,47,115,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,114,111,117,103,104,110,101,115,115,32,38,103,116,59,32,48,32,114,101,113,117,105,114,101,100,32,102,111,114,32,113,117,97,100,114,97,116,105,99,32,116,117,114,98,117,108,101,110,116,32,119,97,108,108,32,102,114,105,99,116,105,111,110,32,99,104,97,114,97,99,116,101,114,105,115,116,105,99,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,63,63,63,32,98,111,117,110,100,97,114,121,32,63,63,63,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,10,32,32,87,114,111,110,103,32,118,97,108,117,101,32,111,102,32,112,97,114,97,109,101,116,101,114,32,100,101,102,105,110,101,95,112,32,40,61,32,102,97,108,115,101,41,32,105,110,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,92,38,113,117,111,116,59,58,10,32,32,84,104,101,32,115,101,108,101,99,116,101,100,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,92,38,113,117,111,116,59,32,104,97,115,32,77,101,100,105,117,109,46,115,105,110,103,108,101,83,116,97,116,101,61,116,114,117,101,46,10,32,32,84,104,101,114,101,102,111,114,101,44,32,97,110,32,98,111,117,110,100,97,114,121,32,100,101,110,115,105,116,121,32,99,97,110,110,111,116,32,98,101,32,100,101,102,105,110,101,100,32,97,110,100,10,32,32,100,101,102,105,110,101,95,112,32,61,32,116,114,117,101,32,105,115,32,114,101,113,117,105,114,101,100,46,10,32,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,10,32,32,87,114,111,110,103,32,98,111,117,110,100,97,114,121,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,105,110,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,110,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,92,38,113,117,111,116,59,58,10,32,32,84,104,101,32,98,111,117,110,100,97,114,121,32,118,97,108,117,101,32,88,95,98,111,117,110,100,97,114,121,40,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,41,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,10,32,32,105,115,32,110,101,103,97,116,105,118,101,46,32,73,116,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,46,10,32,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,32,32,88,95,98,111,117,110,100,97,114,121,91,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,93,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,92,38,113,117,111,116,59,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,92,38,113,117,111,116,59,10,32,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,84,104,101,32,98,111,117,110,100,97,114,121,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,105,110,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,100,111,32,110,111,116,32,115,117,109,32,117,112,32,116,111,32,49,46,32,73,110,115,116,101,97,100,44,32,115,117,109,40,88,95,98,111,117,110,100,97,114,121,41,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,58,10,32,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,83,111,108,118,105,110,103,32,97,32,108,105,110,101,97,114,32,115,121,115,116,101,109,32,111,102,32,101,113,117,97,116,105,111,110,115,32,119,105,116,104,32,102,117,110,99,116,105,111,110,10,32,32,92,38,113,117,111,116,59,77,97,116,114,105,99,101,115,46,115,111,108,118,101,92,38,113,117,111,116,59,32,105,115,32,110,111,116,32,112,111,115,115,105,98,108,101,44,32,98,101,99,97,117,115,101,32,116,104,101,32,115,121,115,116,101,109,32,104,97,115,32,101,105,116,104,101,114,10,32,32,110,111,32,111,114,32,105,110,102,105,110,105,116,101,108,121,32,109,97,110,121,32,115,111,108,117,116,105,111,110,115,32,40,65,32,105,115,32,115,105,110,103,117,108,97,114,41,46,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,74,47,40,107,103,46,75,41,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,116,115,97,116,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,80,97,32,38,108,116,59,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,80,97,32,40,116,114,105,112,108,101,32,112,111,105,110,116,32,112,114,101,115,115,117,114,101,41,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,50,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,80,97,32,38,108,116,59,61,32,32,48,46,48,32,80,97,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,50,58,32,116,104,101,32,105,110,112,117,116,32,112,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,80,97,41,32,105,115,32,104,105,103,104,101,114,32,116,104,97,110,32,49,48,48,32,77,112,97,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,50,58,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,40,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,75,41,32,105,115,32,108,111,119,101,114,32,116,104,97,110,32,50,55,51,46,49,53,32,75,33,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,50,58,32,116,104,101,32,105,110,112,117,116,32,116,101,109,112,101,114,97,116,117,114,101,32,40,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,75,41,32,105,115,32,104,105,103,104,101,114,32,116,104,97,110,32,116,104,101,32,108,105,109,105,116,32,111,102,32,49,48,55,51,46,49,53,32,75,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,51,46,50,51,50,53,52,53,55,51,54,52,52,57,50,101,45,48,53,44,32,45,48,46,48,48,48,49,50,55,53,55,53,53,53,54,53,56,55,49,56,49,44,32,45,48,46,48,48,48,52,55,53,56,53,49,56,55,55,51,53,54,48,54,56,44,32,48,46,48,48,49,53,54,49,56,51,48,49,52,49,56,49,54,48,50,44,32,48,46,49,48,53,55,50,52,56,54,48,49,49,51,55,56,49,44,32,45,56,53,46,56,53,49,52,50,50,49,49,51,50,53,51,52,49,44,32,55,50,52,46,49,52,48,48,57,53,52,56,48,57,49,49,44,32,48,46,48,48,50,57,54,52,55,53,56,49,48,50,55,51,50,53,55,44,32,45,48,46,48,48,53,57,50,55,50,49,57,56,51,51,54,53,57,56,56,44,32,45,48,46,48,49,50,54,51,48,53,52,50,50,56,49,56,54,54,54,44,32,45,48,46,49,49,53,55,49,54,49,57,54,51,54,52,56,53,51,44,32,56,52,46,57,48,48,48,57,54,57,55,51,57,53,57,53,49,44,32,45,48,46,48,49,48,56,54,48,50,50,54,48,48,56,54,54,49,53,44,32,48,46,48,49,53,52,51,48,52,52,55,53,51,50,56,56,53,49,44,32,48,46,48,55,53,48,52,53,53,52,52,49,53,50,52,52,54,54,44,32,48,46,48,50,53,50,53,50,48,57,55,51,54,49,50,57,56,50,44,32,45,48,46,48,54,48,50,53,48,55,57,48,49,50,51,50,57,57,54,44,32,45,51,46,48,55,54,50,50,50,50,49,51,53,48,53,48,49,44,32,45,48,46,48,53,55,52,48,49,49,57,53,57,56,54,52,56,55,57,44,32,53,46,48,51,52,55,49,51,54,48,57,51,57,56,52,57,44,32,45,48,46,57,50,53,48,56,49,56,56,56,53,56,52,56,51,52,44,32,51,46,57,49,55,51,51,56,56,50,57,49,55,53,52,54,44,32,45,55,55,46,51,49,52,54,48,48,55,49,51,48,49,57,44,32,57,52,57,51,46,48,56,55,54,50,48,57,56,53,56,55,49,44,32,45,49,52,49,48,52,51,55,46,49,57,54,55,57,52,48,57,44,32,56,52,57,49,54,54,50,46,51,48,56,49,57,48,50,54,44,32,48,46,56,54,49,48,57,53,55,50,57,52,52,54,55,48,52,44,32,48,46,51,50,51,51,52,54,52,52,50,56,49,49,55,50,44,32,48,46,56,55,51,50,56,49,57,51,54,48,50,48,52,51,57,44,32,45,48,46,52,51,54,54,53,51,48,52,56,53,50,54,54,56,51,44,32,48,46,50,56,54,53,57,54,55,49,52,53,50,57,52,55,57,44,32,45,48,46,49,51,49,55,55,56,51,51,49,50,55,54,50,50,56,44,32,48,46,48,48,54,55,54,54,56,50,48,54,52,51,51,48,50,55,53,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,49,48,46,48,44,32,45,49,48,46,48,44,32,45,49,48,46,48,44,32,45,49,48,46,48,44,32,45,49,48,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,54,46,48,44,32,45,54,46,48,44,32,45,54,46,48,44,32,45,52,46,48,44,32,45,52,46,48,44,32,45,51,46,48,44,32,45,50,46,48,44,32,45,50,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,48,46,48,44,32,48,46,48,44,32,49,46,48,44,32,51,46,48,44,32,53,46,48,44,32,54,46,48,44,32,56,46,48,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,48,46,48,44,32,49,46,48,44,32,48,46,48,44,32,49,46,48,44,32,53,46,48,44,32,49,48,46,48,44,32,49,50,46,48,44,32,48,46,48,44,32,49,46,48,44,32,50,46,48,44,32,52,46,48,44,32,49,48,46,48,44,32,48,46,48,44,32,49,46,48,44,32,50,46,48,44,32,48,46,48,44,32,49,46,48,44,32,53,46,48,44,32,48,46,48,44,32,52,46,48,44,32,50,46,48,44,32,52,46,48,44,32,54,46,48,44,32,49,48,46,48,44,32,49,52,46,48,44,32,49,54,46,48,44,32,48,46,48,44,32,50,46,48,44,32,49,46,48,44,32,49,46,48,44,32,49,46,48,44,32,49,46,48,44,32,49,46,48,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,45,49,46,51,51,54,52,53,54,54,55,56,49,49,50,49,53,101,45,48,55,44,32,52,46,53,53,57,49,50,54,53,54,56,48,50,57,55,56,101,45,48,54,44,32,45,49,46,52,54,50,57,52,54,52,48,55,48,48,57,55,57,101,45,48,53,44,32,48,46,48,48,54,51,57,51,52,49,51,49,50,57,55,48,48,56,44,32,51,55,50,46,55,56,51,57,50,55,50,54,56,56,52,55,44,32,45,55,49,56,54,46,53,52,51,55,55,52,54,48,52,52,55,44,32,53,55,51,52,57,52,46,55,53,50,49,48,51,52,44,32,45,50,54,55,53,54,57,51,46,50,57,49,49,49,52,51,57,44,32,45,51,46,51,52,48,54,54,50,56,51,51,48,50,54,49,52,101,45,48,53,44,32,45,48,46,48,50,52,53,52,55,57,50,49,52,48,54,57,53,57,55,44,32,52,55,46,56,48,56,55,56,52,55,55,54,52,57,57,54,44,32,55,46,54,52,54,54,52,49,51,49,56,49,56,57,48,52,49,101,45,48,54,44,32,48,46,48,48,49,50,56,51,53,48,54,50,55,54,55,54,57,55,50,44,32,48,46,48,49,55,49,50,49,57,48,56,49,51,55,55,51,51,49,44,32,45,56,46,53,49,48,48,55,51,48,52,53,56,51,50,49,50,57,44,32,45,48,46,48,49,51,54,53,49,51,52,54,49,54,50,57,55,56,49,44,32,45,51,46,56,52,52,54,48,57,57,55,53,57,54,54,53,55,101,45,48,54,44,32,48,46,48,48,51,51,55,52,50,51,56,48,55,57,49,49,54,53,53,44,32,45,48,46,53,53,49,54,50,52,56,55,51,48,54,54,55,57,49,44,32,48,46,55,50,57,50,48,50,50,55,55,49,48,55,52,55,44,32,45,48,46,48,48,57,57,50,53,50,50,55,53,55,51,55,54,48,52,49,49,44,32,45,48,46,49,49,57,51,48,56,56,51,49,52,48,55,50,56,56,44,32,48,46,55,57,51,57,50,57,49,57,48,54,49,53,52,50,49,44,32,48,46,52,53,52,50,55,48,55,51,49,55,57,57,51,56,54,44,32,48,46,50,48,57,57,57,56,53,57,49,50,53,57,57,49,44,32,45,48,46,48,48,54,52,50,49,48,57,56,50,51,57,48,52,55,51,56,44,32,45,48,46,48,50,51,53,49,53,53,56,54,56,54,48,52,53,52,44,32,48,46,48,48,50,53,50,50,51,51,49,48,56,51,52,49,54,49,50,44,32,45,48,46,48,48,55,54,52,56,56,53,49,51,51,51,54,56,49,49,57,44,32,48,46,48,49,51,54,49,55,54,52,50,55,53,55,52,50,57,49,44,32,45,48,46,48,49,51,51,48,50,55,56,56,51,53,55,53,54,54,57,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,49,48,46,48,44,32,45,49,48,46,48,44,32,45,49,48,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,53,46,48,44,32,45,51,46,48,44,32,45,50,46,48,44,32,45,50,46,48,44,32,45,50,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,48,46,48,44,32,48,46,48,44,32,49,46,48,44,32,51,46,48,44,32,51,46,48,44,32,52,46,48,44,32,52,46,48,44,32,49,48,46,48,44,32,49,50,46,48,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,48,46,48,44,32,49,46,48,44,32,50,46,48,44,32,54,46,48,44,32,49,52,46,48,44,32,49,54,46,48,44,32,50,48,46,48,44,32,50,50,46,48,44,32,49,46,48,44,32,53,46,48,44,32,49,50,46,48,44,32,48,46,48,44,32,50,46,48,44,32,52,46,48,44,32,49,48,46,48,44,32,50,46,48,44,32,48,46,48,44,32,49,46,48,44,32,51,46,48,44,32,52,46,48,44,32,48,46,48,44,32,50,46,48,44,32,48,46,48,44,32,49,46,48,44,32,49,46,48,44,32,48,46,48,44,32,49,46,48,44,32,48,46,48,44,32,51,46,48,44,32,52,46,48,44,32,53,46,48,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,80,97,47,75,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,49,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,49,58,32,116,104,101,32,105,110,112,117,116,32,112,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,49,58,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,40,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,112,115,97,116,58,32,105,110,112,117,116,32,116,101,109,112,101,114,97,116,117,114,101,32,40,61,32,54,49,49,46,54,53,55,32,75,41,46,10,32,32,108,111,119,101,114,32,116,104,97,110,32,116,104,101,32,116,114,105,112,108,101,32,112,111,105,110,116,32,116,101,109,112,101,114,97,116,117,114,101,32,50,55,51,46,49,54,32,75,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,53,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,53,58,32,105,110,112,117,116,32,112,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,80,97,41,32,105,115,32,104,105,103,104,101,114,32,116,104,97,110,32,49,48,32,77,112,97,32,105,110,32,114,101,103,105,111,110,32,53,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,53,58,32,105,110,112,117,116,32,116,101,109,112,101,114,97,116,117,114,101,32,40,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,75,41,32,105,115,32,104,105,103,104,101,114,32,116,104,97,110,32,108,105,109,105,116,32,111,102,32,50,50,55,51,46,49,53,75,32,105,110,32,114,101,103,105,111,110,32,53,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,50,48,49,52,46,54,52,48,48,52,50,48,54,56,55,53,44,32,51,46,55,52,54,57,54,53,53,48,49,51,54,57,56,51,44,32,45,48,46,48,50,49,57,57,50,49,57,48,49,48,53,52,49,56,55,44,32,56,46,55,53,49,51,49,54,56,54,48,48,57,57,53,101,45,48,53,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,116,112,104,49,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,111,102,112,84,50,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,111,102,112,84,49,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,110,118,101,114,115,101,32,105,116,101,114,97,116,105,111,110,32,111,102,32,100,116,32,102,114,111,109,32,112,104,32,99,97,108,108,101,100,32,105,110,32,50,32,112,104,97,115,101,32,114,101,103,105,111,110,58,32,116,104,105,115,32,99,97,110,32,110,111,116,32,119,111,114,107,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,69,114,114,111,114,32,105,110,32,105,110,118,101,114,115,101,32,102,117,110,99,116,105,111,110,32,100,116,111,102,112,104,51,58,32,105,116,101,114,97,116,105,111,110,32,102,97,105,108,101,100,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,83,112,101,99,105,102,105,99,86,111,108,117,109,101,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,109,51,47,107,103,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,45,50,46,50,53,49,57,54,57,51,52,51,51,54,51,49,56,101,45,48,57,44,32,49,46,52,48,54,55,52,51,54,51,51,49,51,52,56,54,101,45,48,56,44,32,50,46,51,51,55,56,52,48,56,53,50,56,48,53,54,101,45,48,54,44,32,45,51,46,51,49,56,51,51,55,49,53,50,50,57,48,48,49,101,45,48,53,44,32,48,46,48,48,49,48,55,57,53,54,55,55,56,53,49,52,51,49,56,44,32,45,48,46,50,55,49,51,56,50,48,54,55,51,55,56,56,54,51,44,32,49,46,48,55,50,48,50,50,54,50,52,57,48,51,51,51,44,32,45,48,46,56,53,51,56,50,49,51,50,57,48,55,53,51,56,50,44,32,45,50,46,49,53,50,49,52,49,57,52,51,52,48,53,50,54,101,45,48,53,44,32,48,46,48,48,48,55,54,57,54,53,54,48,56,56,50,50,50,55,51,44,32,45,48,46,48,48,52,51,49,49,51,54,53,56,48,52,51,51,56,54,52,44,32,48,46,52,53,51,51,52,50,49,54,55,51,48,57,51,51,49,44,32,45,48,46,53,48,55,55,52,57,53,51,53,56,55,51,54,53,50,44,32,45,49,48,48,46,52,55,53,49,53,52,53,50,56,51,56,57,44,32,45,48,46,50,49,57,50,48,49,57,50,52,54,52,56,55,57,51,44,32,45,51,46,50,49,48,56,55,57,54,53,54,54,56,57,49,55,44,32,54,48,55,46,53,54,55,56,49,53,54,51,55,55,55,49,44,32,48,46,48,48,48,53,53,55,54,56,54,52,53,48,54,56,53,57,51,50,44,32,48,46,49,56,55,52,57,57,48,52,48,48,50,57,53,53,44,32,48,46,48,48,57,48,53,51,54,56,48,51,48,52,52,56,49,48,55,44,32,48,46,50,56,53,52,49,55,49,55,51,48,52,56,54,56,53,44,32,48,46,48,51,50,57,57,50,52,48,51,48,57,57,54,48,57,56,44,32,48,46,50,51,57,56,57,55,52,49,57,54,56,53,52,56,51,44,32,52,46,56,50,55,53,52,57,57,53,57,53,49,51,57,52,44,32,45,49,49,46,56,48,51,53,55,53,51,55,48,50,50,51,49,44,32,48,46,49,54,57,52,57,48,48,52,52,48,57,49,55,57,49,44,32,45,48,46,48,49,55,57,57,54,55,50,50,50,53,48,55,55,56,55,44,32,48,46,48,51,55,49,56,49,48,49,49,54,51,51,50,54,55,52,44,32,45,48,46,48,53,51,54,50,56,56,51,51,53,48,54,53,48,57,54,44,32,49,46,54,48,54,57,55,49,48,49,48,57,50,53,50,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,54,46,48,44,32,45,54,46,48,44,32,45,54,46,48,44,32,45,54,46,48,44,32,45,54,46,48,44,32,45,54,46,48,44,32,45,52,46,48,44,32,45,52,46,48,44,32,45,52,46,48,44,32,45,51,46,48,44,32,45,51,46,48,44,32,45,50,46,48,44,32,45,50,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,48,46,48,44,32,49,46,48,44,32,49,46,48,44,32,50,46,48,44,32,50,46,48,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,48,46,48,44,32,49,46,48,44,32,48,46,48,44,32,49,46,48,44,32,51,46,48,44,32,54,46,48,44,32,55,46,48,44,32,56,46,48,44,32,48,46,48,44,32,49,46,48,44,32,50,46,48,44,32,53,46,48,44,32,54,46,48,44,32,49,48,46,48,44,32,51,46,48,44,32,54,46,48,44,32,49,48,46,48,44,32,48,46,48,44,32,50,46,48,44,32,49,46,48,44,32,50,46,48,44,32,48,46,48,44,32,49,46,48,44,32,52,46,48,44,32,53,46,48,44,32,48,46,48,44,32,48,46,48,44,32,49,46,48,44,32,50,46,48,44,32,54,46,48,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,86,111,108,117,109,101,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,109,51,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,48,46,48,48,53,50,57,57,52,52,48,54,50,57,54,54,48,50,56,44,32,45,48,46,49,55,48,48,57,57,54,57,48,50,51,52,52,54,49,44,32,49,49,46,49,51,50,51,56,49,52,51,49,50,57,50,55,44,32,45,50,49,55,56,46,57,56,49,50,51,49,52,53,49,50,53,44,32,45,48,46,48,48,48,53,48,54,48,54,49,56,50,55,57,56,48,56,55,53,44,32,48,46,53,53,54,52,57,53,50,51,57,54,56,53,51,50,52,44,32,45,57,46,52,51,54,55,50,55,50,54,48,57,52,48,49,54,44,32,45,48,46,50,57,55,56,53,54,56,48,55,53,54,49,53,50,55,44,32,57,51,46,57,51,53,51,57,52,51,55,49,55,49,56,54,44,32,48,46,48,49,57,50,57,52,52,57,51,57,52,54,53,57,56,49,44,32,48,46,52,50,49,55,52,48,54,54,52,55,48,52,55,54,51,44,32,45,51,54,56,57,49,52,49,46,50,54,50,56,50,51,51,44,32,45,48,46,48,48,55,51,55,53,54,54,56,52,55,54,48,48,54,51,57,44,32,45,48,46,51,53,52,55,53,51,50,52,50,52,50,52,51,54,54,44,32,45,49,46,57,57,55,54,56,49,54,57,51,51,56,55,50,55,44,32,49,46,49,53,52,53,54,50,57,55,48,53,57,48,52,57,44,32,53,54,56,51,46,54,54,56,55,53,56,49,53,57,54,44,32,48,46,48,48,56,48,56,49,54,57], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1290616);
/* memory initializer */ allocate([53,52,48,49,50,52,54,54,56,44,32,48,46,49,55,50,52,49,54,51,52,49,53,49,57,51,48,55,44,32,49,46,48,52,50,55,48,49,55,53,50,57,50,57,50,55,44,32,45,48,46,50,57,55,54,57,49,51,55,50,55,57,50,56,52,55,44,32,48,46,53,54,48,51,57,52,52,54,53,49,54,51,53,57,51,44,32,48,46,50,55,53,50,51,52,54,54,49,49,55,54,57,49,52,44,32,45,48,46,49,52,56,51,52,55,56,57,52,56,54,54,48,49,50,44,32,45,48,46,48,54,53,49,49,52,50,53,49,51,52,55,56,53,49,53,44,32,45,50,46,57,50,52,54,56,55,49,53,51,56,54,51,48,50,44,32,48,46,48,54,54,52,56,55,54,48,57,54,57,53,50,54,54,53,44,32,51,46,53,50,51,51,53,48,49,52,50,54,51,56,52,52,44,32,45,48,46,48,49,52,54,51,52,48,55,57,50,51,49,51,51,51,50,44,32,45,50,46,50,52,53,48,51,52,56,54,54,54,56,49,56,52,44,32,49,46,49,48,53,51,51,52,54,52,55,48,54,49,52,50,44,32,45,48,46,48,52,48,56,55,53,55,51,52,52,52,57,53,54,49,50,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,49,48,46,48,44,32,45,49,48,46,48,44,32,45,49,48,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,54,46,48,44,32,45,54,46,48,44,32,45,54,46,48,44,32,45,52,46,48,44,32,45,52,46,48,44,32,45,51,46,48,44,32,45,50,46,48,44,32,45,50,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,48,46,48,44,32,48,46,48,44,32,49,46,48,44,32,49,46,48,44,32,49,46,48,44,32,50,46,48,44,32,50,46,48,44,32,51,46,48,44,32,52,46,48,44,32,53,46,48,44,32,56,46,48,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,54,46,48,44,32,56,46,48,44,32,49,50,46,48,44,32,49,56,46,48,44,32,52,46,48,44,32,55,46,48,44,32,49,48,46,48,44,32,53,46,48,44,32,49,50,46,48,44,32,51,46,48,44,32,52,46,48,44,32,50,50,46,48,44,32,50,46,48,44,32,51,46,48,44,32,55,46,48,44,32,51,46,48,44,32,49,54,46,48,44,32,48,46,48,44,32,49,46,48,44,32,50,46,48,44,32,51,46,48,44,32,48,46,48,44,32,49,46,48,44,32,48,46,48,44,32,49,46,48,44,32,50,46,48,44,32,48,46,48,44,32,50,46,48,44,32,48,46,48,44,32,50,46,48,44,32,50,46,48,44,32,50,46,48,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,66,97,115,101,73,70,57,55,46,100,111,102,112,116,51,58,32,102,117,110,99,116,105,111,110,32,99,97,108,108,101,100,32,111,117,116,115,105,100,101,32,111,102,32,114,101,103,105,111,110,32,51,33,32,112,32,116,111,111,32,108,111,119,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,80,97,32,38,108,116,59,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,80,97,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,66,97,115,101,73,70,57,55,46,100,111,102,112,116,51,58,32,102,117,110,99,116,105,111,110,32,99,97,108,108,101,100,32,111,117,116,115,105,100,101,32,111,102,32,114,101,103,105,111,110,32,51,33,32,84,32,116,111,111,32,108,111,119,10,32,32,84,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,75,32,38,108,116,59,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,75,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,66,97,115,101,73,70,57,55,46,100,111,102,112,116,51,58,32,102,117,110,99,116,105,111,110,32,99,97,108,108,101,100,32,111,117,116,115,105,100,101,32,111,102,32,114,101,103,105,111,110,32,51,33,32,84,32,116,111,111,32,104,105,103,104,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,80,97,44,32,84,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,69,114,114,111,114,32,105,110,32,105,110,118,101,114,115,101,32,102,117,110,99,116,105,111,110,32,100,111,102,112,116,51,58,32,105,116,101,114,97,116,105,111,110,32,102,97,105,108,101,100,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,69,114,114,111,114,32,105,110,32,105,110,118,101,114,115,101,32,102,117,110,99,116,105,111,110,32,116,111,102,112,104,53,58,32,105,116,101,114,97,116,105,111,110,32,102,97,105,108,101,100,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,51,52,56,46,48,53,49,56,53,54,50,56,57,54,57,44,32,45,49,46,49,54,55,49,56,53,57,56,55,57,57,55,53,44,32,48,46,48,48,49,48,49,57,50,57,55,48,48,51,57,51,50,54,44,32,53,55,50,46,53,52,52,53,57,56,54,50,55,52,54,44,32,49,51,46,57,49,56,56,51,57,55,55,56,56,55,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,98,111,117,110,100,97,114,121,50,51,111,102,112,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,117,112,112,101,114,111,102,112,49,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,108,111,119,101,114,111,102,112,50,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,108,111,119,101,114,111,102,112,49,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,108,111,119,101,114,111,102,112,53,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,117,112,112,101,114,111,102,112,53,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,117,112,112,101,114,111,102,112,50,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,69,114,114,111,114,32,105,110,32,114,101,103,105,111,110,32,99,111,109,112,117,116,97,116,105,111,110,32,111,102,32,73,70,57,55,32,115,116,101,97,109,32,116,97,98,108,101,115,40,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,44,32,104,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,41,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,69,114,114,111,114,32,105,110,32,105,110,118,101,114,115,101,32,105,116,101,114,97,116,105,111,110,32,111,102,32,115,116,101,97,109,32,116,97,98,108,101,115,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,48,46,53,49,51,50,48,52,55,44,32,48,46,51,50,48,53,54,53,54,44,32,48,46,48,44,32,48,46,48,44,32,45,48,46,55,55,56,50,53,54,55,44,32,48,46,49,56,56,53,52,52,55,44,32,48,46,50,49,53,49,55,55,56,44,32,48,46,55,51,49,55,56,56,50,57,57,57,57,57,57,57,57,57,44,32,49,46,50,52,49,48,52,52,44,32,49,46,52,55,54,55,56,51,44,32,48,46,48,44,32,48,46,48,44,32,45,48,46,50,56,49,56,49,48,55,44,32,45,49,46,48,55,48,55,56,54,44,32,45,49,46,50,54,51,49,56,52,44,32,48,46,48,44,32,48,46,48,44,32,48,46,48,44,32,48,46,49,55,55,56,48,54,52,44,32,48,46,52,54,48,53,48,52,44,32,48,46,50,51,52,48,51,55,57,44,32,45,48,46,52,57,50,52,49,55,57,44,32,48,46,48,44,32,48,46,48,44,32,45,48,46,48,52,49,55,54,54,49,44,32,48,46,48,44,32,48,46,48,44,32,48,46,49,54,48,48,52,51,53,44,32,48,46,48,44,32,48,46,48,44,32,48,46,48,44,32,45,48,46,48,49,53,55,56,51,56,54,44,32,48,46,48,44,32,48,46,48,44,32,48,46,48,44,32,48,46,48,44,32,48,46,48,44,32,48,46,48,44,32,48,46,48,44,32,45,48,46,48,48,51,54,50,57,52,56,49,44,32,48,46,48,44,32,48,46,48,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,118,105,115,99,95,100,84,112,32,102,111,114,32,118,105,115,99,111,115,105,116,121,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,100,101,110,115,105,116,121,10,32,32,100,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,38,108,116,59,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,40,116,114,105,112,108,101,32,112,111,105,110,116,32,100,101,110,115,105,116,121,41,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,118,105,115,99,95,100,84,112,58,32,118,105,115,99,111,115,105,116,121,32,99,111,109,112,117,116,101,100,32,111,117,116,115,105,100,101,32,116,104,101,32,114,97,110,103,101,10,32,32,111,102,32,118,97,108,105,100,105,116,121,32,111,102,32,116,104,101,32,73,70,57,55,32,102,111,114,109,117,108,97,116,105,111,110,58,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,80,97,44,32,84,99,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,44,32,84,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,39,112,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,39,112,40,49,47,50,41,38,113,117,111,116,59,60,47,101,120,112,62,10,60,47,108,105,116,101,114,97,108,115,62,10,60,102,117,110,99,116,105,111,110,115,32,115,105,122,101,61,34,49,49,52,34,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,67,111,109,109,111,110,46,73,70,57,55,66,97,115,101,84,119,111,80,104,97,115,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,83,105,109,112,108,101,71,101,110,101,114,105,99,79,114,105,102,105,99,101,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,66,97,115,101,67,108,97,115,115,101,115,46,108,111,115,115,67,111,110,115,116,97,110,116,95,68,95,122,101,116,97,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,48,34,32,108,105,110,101,69,110,100,61,34,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,73,110,116,101,114,102,97,99,101,115,46,70,108,117,105,100,80,111,114,116,115,95,98,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,72,101,97,116,84,114,97,110,115,102,101,114,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,111,110,105,116,111,114,105,110,103,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,34,32,108,105,110,101,69,110,100,61,34,51,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,115,101,116,83,116,97,116,101,95,112,84,88,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,51,52,34,32,108,105,110,101,69,110,100,61,34,55,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,100,101,110,115,105,116,121,95,112,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,54,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,34,32,108,105,110,101,69,110,100,61,34,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,77,101,100,105,117,109,46,115,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,95,112,84,88,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,57,49,50,34,32,108,105,110,101,69,110,100,61,34,53,57,50,55,34,32,99,111,108,83,116,97,114,116,61,34,50,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,102,108,111,119,67,104,97,114,97,99,116,101,114,105,115,116,105,99,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,50,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,77,97,99,104,105,110,101,115,46,67,111,110,116,114,111,108,108,101,100,80,117,109,112,46,101,102,102,105,99,105,101,110,99,121,67,104,97,114,97,99,116,101,114,105,115,116,105,99,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,66,97,115,101,67,108,97,115,115,101,115,46,67,104,97,114,97,99,116,101,114,105,115,116,105,99,78,117,109,98,101,114,115,46,82,101,121,110,111,108,100,115,78,117,109,98,101,114,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,54,51,34,32,108,105,110,101,69,110,100,61,34,49,56,48,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,109,97,115,115,70,108,111,119,82,97,116,101,95,100,112,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,53,34,32,108,105,110,101,69,110,100,61,34,50,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,49,57,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,80,105,112,101,115,46,83,116,97,116,105,99,80,105,112,101,46,70,108,111,119,77,111,100,101,108,46,87,97,108,108,70,114,105,99,116,105,111,110,46,112,114,101,115,115,117,114,101,76,111,115,115,95,109,95,102,108,111,119,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,52,51,34,32,108,105,110,101,69,110,100,61,34,50,53,57,57,34,32,99,111,108,83,116,97,114,116,61,34,49,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,82,111,111,116,50,46,114,101,103,82,111,111,116,50,95,117,116,105,108,105,116,121,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,53,34,32,108,105,110,101,69,110,100,61,34,50,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,83,111,117,114,99,101,115,46,66,111,117,110,100,97,114,121,95,112,84,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,82,111,111,116,50,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,50,34,32,108,105,110,101,69,110,100,61,34,51,53,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,101,118,97,108,117,97,116,101,80,111,108,121,51,95,100,101,114,105,118,97,116,105,118,101,65,116,90,101,114,111,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,52,51,34,32,108,105,110,101,69,110,100,61,34,53,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,99,104,101,99,107,66,111,117,110,100,97,114,121,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,34,32,108,105,110,101,69,110,100,61,34,52,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,60,47,102,117,110,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1300856);
/* memory initializer */ allocate([116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,67,111,109,109,111,110,46,72,101,108,109,104,111,108,116,122,68,101,114,105,118,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,67,111,109,109,111,110,46,71,105,98,98,115,68,101,114,105,118,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,97,116,104,46,77,97,116,114,105,99,101,115,46,76,65,80,65,67,75,46,100,103,101,115,118,95,118,101,99,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,116,104,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,57,57,51,34,32,108,105,110,101,69,110,100,61,34,54,48,49,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,113,117,97,114,101,50,46,114,101,103,83,113,117,97,114,101,50,95,117,116,105,108,105,116,121,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,56,34,32,108,105,110,101,69,110,100,61,34,52,50,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,113,117,97,114,101,50,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,54,34,32,108,105,110,101,69,110,100,61,34,52,57,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,55,34,32,108,105,110,101,69,110,100,61,34,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,52,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,97,116,104,46,77,97,116,114,105,99,101,115,46,115,111,108,118,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,116,104,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,56,57,34,32,108,105,110,101,69,110,100,61,34,49,50,52,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,50,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,67,111,109,109,111,110,46,72,101,108,109,104,111,108,116,122,95,112,104,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,52,52,34,32,108,105,110,101,69,110,100,61,34,56,54,54,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,67,111,109,109,111,110,46,72,101,108,109,104,111,108,116,122,95,112,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,54,50,34,32,108,105,110,101,69,110,100,61,34,56,54,55,50,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,116,115,97,116,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,57,34,32,108,105,110,101,69,110,100,61,34,50,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,73,110,116,101,114,102,97,99,101,115,46,84,121,112,101,115,46,84,119,111,80,104,97,115,101,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,67,111,109,109,111,110,46,80,104,97,115,101,66,111,117,110,100,97,114,121,80,114,111,112,101,114,116,105,101,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,67,111,109,109,111,110,46,78,101,119,116,111,110,68,101,114,105,118,97,116,105,118,101,115,95,112,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,67,111,109,109,111,110,46,73,70,57,55,80,104,97,115,101,66,111,117,110,100,97,114,121,80,114,111,112,101,114,116,105,101,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,67,111,109,109,111,110,46,78,101,119,116,111,110,68,101,114,105,118,97,116,105,118,101,115,95,112,104,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,67,111,109,109,111,110,46,104,101,108,109,104,111,108,116,122,84,111,66,111,117,110,100,97,114,121,80,114,111,112,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,48,55,34,32,108,105,110,101,69,110,100,61,34,56,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,67,111,109,109,111,110,46,103,105,98,98,115,84,111,66,111,117,110,100,97,114,121,80,114,111,112,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,51,34,32,108,105,110,101,69,110,100,61,34,56,53,48,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,67,111,109,109,111,110,46,99,118,50,80,104,97,115,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,50,56,34,32,108,105,110,101,69,110,100,61,34,56,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,103,50,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,53,34,32,108,105,110,101,69,110,100,61,34,49,57,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,51,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,102,51,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,50,34,32,108,105,110,101,69,110,100,61,34,50,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,51,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,84,51,98,95,112,104,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,84,51,97,95,112,104,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,54,34,32,108,105,110,101,69,110,100,61,34,51,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,100,112,116,111,102,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,51,56,34,32,108,105,110,101,69,110,100,61,34,51,48,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,103,49,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,50,54,34,32,108,105,110,101,69,110,100,61,34,49,55,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,51,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,112,115,97,116,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,49,49,34,32,108,105,110,101,69,110,100,61,34,51,48,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,103,53,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,50,57,34,32,108,105,110,101,69,110,100,61,34,50,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,51,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,104,51,97,98,95,112,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,55,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,116,112,104,49,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,55,34,32,108,105,110,101,69,110,100,61,34,50,54,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,116,112,104,50,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,53,51,34,32,108,105,110,101,69,110,100,61,34,50,55,52,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,114,104,111,108,95,112,95,82,52,98,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,54,34,32,108,105,110,101,69,110,100,61,34,56,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,108,95,112,95,82,52,98,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,57,34,32,108,105,110,101,69,110,100,61,34,56,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,49,110,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,54,34,32,108,105,110,101,69,110,100,61,34,54,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,52,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,52,34,32,108,105,110,101,69,110,100,61,34,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,73,115,101,110,116,114,111,112,105,99,46,104,111,102,112,84,50,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,53,56,34,32,108,105,110,101,69,110,100,61,34,52,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,73,115,101,110,116,114,111,112,105,99,46,104,111,102,112,84,49,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,51,34,32,108,105,110,101,69,110,100,61,34,52,50,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,73,110,118,101,114,115,101,115,46,100,116,111,102,112,104,51,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,57,34,32,108,105,110,101,69,110,100,61,34,53,49,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,118,51,98,95,112,104,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,118,51,97,95,112,104,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,48,49,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,73,110,118,101,114,115,101,115,46,100,111,102,112,116,51,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,53,52,34,32,108,105,110,101,69,110,100,61,34,53,48,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,73,110,118,101,114,115,101,115,46,100,111,102,112,50,51,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,57,48,48,34,32,108,105,110,101,69,110,100,61,34,52,57,53,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,73,110,118,101,114,115,101,115,46,100,111,102,112,49,51,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,55,57,34,32,108,105,110,101,69,110,100,61,34,52,56,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,73,110,118,101,114,115,101,115,46,116,111,102,112,104,53,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,48,50,34,32,108,105,110,101,69,110,100,61,34,53,51,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,73,110,118,101,114,115,101,115,46,102,105,120,100,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,52,48,34,32,108,105,110,101,69,110,100,61,34,52,56,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,117,110,100,97,114,121,50,51,111,102,112,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,50,34,32,108,105,110,101,69,110,100,61,34,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,117,110,100,97,114,121,50,51,111,102,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,34,32,108,105,110,101,69,110,100,61,34,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,49,34,32,108,105,110,101,69,110,100,61,34,57,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1311096);
/* memory initializer */ allocate([97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,50,110,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,56,49,34,32,108,105,110,101,69,110,100,61,34,55,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,52,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,108,95,112,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,56,49,34,32,108,105,110,101,69,110,100,61,34,57,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,56,34,32,108,105,110,101,69,110,100,61,34,57,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,95,112,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,57,50,34,32,108,105,110,101,69,110,100,61,34,49,48,48,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,117,112,112,101,114,111,102,112,49,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,108,111,119,101,114,111,102,112,50,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,108,111,119,101,114,111,102,112,49,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,34,32,108,105,110,101,69,110,100,61,34,51,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,108,111,119,101,114,111,102,112,53,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,57,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,117,112,112,101,114,111,102,112,53,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,54,34,32,108,105,110,101,69,110,100,61,34,50,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,117,112,112,101,114,111,102,112,50,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,55,34,32,108,105,110,101,69,110,100,61,34,52,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,95,112,95,82,52,98,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,48,53,34,32,108,105,110,101,69,110,100,61,34,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,114,101,103,105,111,110,95,112,104,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,50,34,32,108,105,110,101,69,110,100,61,34,49,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,114,101,103,105,111,110,95,112,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,34,32,108,105,110,101,69,110,100,61,34,49,52,48,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,114,104,111,108,95,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,48,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,56,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,104,118,95,112,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,56,54,34,32,108,105,110,101,69,110,100,61,34,56,49,56,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,100,121,110,97,109,105,99,86,105,115,99,111,115,105,116,121,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,48,48,34,32,108,105,110,101,69,110,100,61,34,56,50,48,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,114,104,111,118,95,112,95,82,52,98,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,53,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,114,104,111,118,95,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,51,34,32,108,105,110,101,69,110,100,61,34,49,49,52,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,53,50,34,32,108,105,110,101,69,110,100,61,34,54,55,54,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,104,95,112,114,111,112,115,95,112,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,50,53,51,34,32,108,105,110,101,69,110,100,61,34,55,50,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,104,95,112,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,50,54,56,34,32,108,105,110,101,69,110,100,61,34,55,50,56,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,104,108,95,112,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,56,52,34,32,108,105,110,101,69,110,100,61,34,56,49,56,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,108,95,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,57,52,34,32,108,105,110,101,69,110,100,61,34,56,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,50,50,49,34,32,108,105,110,101,69,110,100,61,34,55,50,51,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,50,51,53,34,32,108,105,110,101,69,110,100,61,34,55,50,53,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,51,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,57,53,34,32,108,105,110,101,69,110,100,61,34,54,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,118,95,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,57,53,34,32,108,105,110,101,69,110,100,61,34,56,49,57,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,49,52,52,34,32,108,105,110,101,69,110,100,61,34,55,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,85,116,105,108,105,116,105,101,115,46,83,116,114,101,97,109,115,46,101,114,114,111,114,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,85,116,105,108,105,116,105,101,115,47,83,116,114,101,97,109,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,53,34,32,108,105,110,101,69,110,100,61,34,49,53,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,50,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,60,47,102,117,110,99,116,105,111,110,115,62,10,60,47,115,105,109,99,111,100,101,100,117,109,112,62,10,0,100,97,115,115,108,32,102,111,114,32,100,101,98,117,103,32,112,114,111,112,111,115,101,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,60,102,117,110,99,116,105,111,110,115,62,10,0,0,0,0,111,117,116,112,117,116,115,32,101,118,101,114,121,32,101,118,97,108,117,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,0,0,0,0,0,0,0,120,109,108,0,0,0,0,0,110,121,98,111,111,108,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,105,110,116,101,114,110,97,108,0,0,0,0,0,0,0,0,67,97,110,110,111,116,32,105,110,105,116,105,97,108,105,122,101,32,117,110,105,113,117,101,32,116,104,101,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,46,32,85,115,101,32,45,108,118,32,76,79,71,95,68,83,83,32,116,111,32,115,101,101,32,116,104,101,32,115,119,105,116,99,104,105,110,103,32,115,116,97,116,101,32,115,101,116,46,0,0,0,45,45,32,101,110,100,32,111,102,32,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,32,99,97,108,108,32,37,100,32,45,45,0,0,109,111,100,101,108,32,108,105,110,101,97,114,95,77,111,100,101,108,105,99,97,95,70,108,117,105,100,95,69,120,97,109,112,108,101,115,95,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,110,32,61,32,49,59,32,47,47,32,115,116,97,116,101,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,107,32,61,32,48,59,32,47,47,32,116,111,112,45,108,101,118,101,108,32,105,110,112,117,116,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,108,32,61,32,48,59,32,47,47,32,116,111,112,45,108,101,118,101,108,32,111,117,116,112,117,116,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,120,48,91,49,93,32,61,32,123,37,115,125,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,117,48,91,48,93,32,61,32,123,37,115,125,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,65,91,49,44,49,93,32,61,32,91,37,115,93,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,66,91,49,44,48,93,32,61,32,122,101,114,111,115,40,49,44,48,41,59,37,115,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,67,91,48,44,49,93,32,61,32,122,101,114,111,115,40,48,44,49,41,59,37,115,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,68,91,48,44,48,93,32,61,32,122,101,114,111,115,40,48,44,48,41,59,37,115,10,32,32,82,101,97,108,32,120,91,49,93,40,115,116,97,114,116,61,120,48,41,59,10,32,32,105,110,112,117,116,32,82,101,97,108,32,117,91,48,93,59,10,32,32,111,117,116,112,117,116,32,82,101,97,108,32,121,91,48,93,59,10,10,32,32,82,101,97,108,32,120,95,80,36,100,117,109,109,121,32,61,32,120,91,49,93,59,10,32,32,32,32,32,32,10,101,113,117,97,116,105,111,110,10,32,32,100,101,114,40,120,41,32,61,32,65,32,42,32,120,32,43,32,66,32,42,32,117,59,10,32,32,121,32,61,32,67,32,42,32,120,32,43,32,68,32,42,32,117,59,10,101,110,100,32,108,105,110,101,97,114,95,77,111,100,101,108,105,99,97,95,70,108,117,105,100,95,69,120,97,109,112,108,101,115,95,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,59,10,0,0,0,110,111,32,101,108,101,109,101,110,116,32,102,111,117,110,100,0,0,0,0,0,0,0,0,60,63,120,109,108,32,118,101,114,115,105,111,110,32,61,32,34,49,46,48,34,32,101,110,99,111,100,105,110,103,61,34,85,84,70,45,56,34,63,62,10,10,60,33,45,45,32,100,101,115,99,114,105,112,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,32,105,110,116,101,114,102,97,99,101,32,117,115,105,110,103,32,97,110,32,101,120,116,101,110,116,105,111,110,32,111,102,32,116,104,101,32,70,77,73,32,115,116,97,110,100,97,114,100,32,45,45,62,10,60,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,10,32,32,102,109,105,86,101,114,115,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,46,48,34,10,10,32,32,109,111,100,101,108,78,97,109,101,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,34,10,32,32,109,111,100,101,108,73,100,101,110,116,105,102,105,101,114,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,77,111,100,101,108,105,99,97,95,70,108,117,105,100,95,69,120,97,109,112,108,101,115,95,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,34,10,32,32,10,32,32,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,34,10,32,32,10,32,32,103,117,105,100,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,123,56,99,52,101,56,49,48,102,45,51,100,102,51,45,52,97,48,48,45,56,50,55,54,45,49,55,54,102,97,51,99,57,102,57,101,48,125,34,10,32,32,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,68,101,109,111,110,115,116,114,97,116,101,115,32,116,104,101,32,112,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,32,111,102,32,97,32,112,117,109,112,32,97,110,100,32,97,32,112,105,112,101,32,102,111,114,32,103,105,118,101,110,32,110,111,109,105,110,97,108,32,118,97,108,117,101,115,34,10,32,32,103,101,110,101,114,97,116,105,111,110,84,111,111,108,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,79,112,101,110,77,111,100,101,108,105,99,97,32,67,111,109,112,105,108,101,114,32,49,46,57,46,49,43,100,101,118,32,40,114,49,57,50,52,53,41,32,40,66,111,111,116,115,116,114,97,112,112,105,110,103,32,118,101,114,115,105,111,110,41,34,10,32,32,103,101,110,101,114,97,116,105,111,110,68,97,116,101,65,110,100,84,105,109,101,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,48,49,52,45,48,50,45,50,53,84,49,51,58,48,49,58,48,48,90,34,10,32,32,10,32,32,118,97,114,105,97,98,108,101,78,97,109,105,110,103,67,111,110,118,101,110,116,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,115,116,114,117,99,116,117,114,101,100,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,69,118,101,110,116,73,110,100,105,99,97,116,111,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,52,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,69,118,101,110,116,73,110,100,105,99,97,116,111,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,71,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,122,101,114,111,32,99,114,111,115,115,105,110,103,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,70,77,73,34,10,32,32,110,117,109,98,101,114,79,102,84,105,109,101,69,118,101,110,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,84,105,109,101,69,118,101,110,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,71,95,83,65,77,58,32,32,32,110,117,109,98,101,114,32,111,102,32,122,101,114,111,32,99,114,111,115,115,105,110,103,115,32,116,104,97,116,32,97,114,101,32,115,97,109,112,108,101,115,44,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,73,110,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,73,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,105,110,112,117,116,118,97,114,32,111,110,32,116,111,112,109,111,100,101,108,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,79,117,116,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,79,117,116,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,79,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,118,97,114,32,111,110,32,116,111,112,109,111,100,101,108,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,82,101,115,105,100,117,97,108,115,70,111,114,73,110,105,116,105,97,108,105,122,97,116,105,111,110,32,32,61,32,34,49,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,115,105,100,117,97,108,115,70,111,114,73,110,105,116,105,97,108,105,122,97,116,105,111,110,32,32,61,32,34,78,82,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,114,101,115,105,100,117,97,108,115,32,102,111,114,32,105,110,105,116,105,97,108,105,97,108,105,122,97,116,105,111,110,32,102,117,110,99,116,105,111,110,44,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,69,120,116,101,114,110,97,108,79,98,106,101,99,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,69,120,116,101,114,110,97,108,79,98,106,101,99,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,69,88,84,58,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,101,120,116,101,114,110,97,108,32,111,98,106,101,99,116,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,70,117,110,99,116,105,111,110,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,49,52,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,70,117,110,99,116,105,111,110,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1321336);
/* memory initializer */ allocate([61,32,34,78,70,85,78,67,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,102,117,110,99,116,105,111,110,115,32,117,115,101,100,32,98,121,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,44,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,88,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,115,116,97,116,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,70,77,73,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,61,32,34,49,53,53,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,61,32,34,78,89,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,61,32,34,49,49,51,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,61,32,34,78,65,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,48,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,49,50,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,78,89,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,105,110,116,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,55,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,78,65,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,105,110,116,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,54,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,105,110,116,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,61,32,34,78,89,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,61,32,34,78,65,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,78,89,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,98,111,111,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,78,65,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,98,111,111,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,55,53,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,98,111,111,108,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,32,62,10,32,32,10,32,32,10,32,32,60,33,45,45,32,115,116,97,114,116,84,105,109,101,44,32,115,116,111,112,84,105,109,101,44,32,116,111,108,101,114,97,110,99,101,32,97,114,101,32,70,77,73,32,115,112,101,99,105,102,105,99,44,32,97,108,108,32,111,116,104,101,114,115,32,97,114,101,32,79,77,67,32,115,112,101,99,105,102,105,99,32,45,45,62,10,32,32,60,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,10,32,32,32,32,115,116,97,114,116,84,105,109,101,32,32,32,32,32,32,61,32,34,48,46,48,34,10,32,32,32,32,115,116,111,112,84,105,109,101,32,32,32,32,32,32,32,61,32,34,49,48,46,48,34,10,32,32,32,32,115,116,101,112,83,105,122,101,32,32,32,32,32,32,32,61,32,34,48,46,48,48,48,53,34,10,32,32,32,32,116,111,108,101,114,97,110,99,101,32,32,32,32,32,32,61,32,34,49,101,45,48,54,34,10,32,32,32,32,115,111,108,118,101,114,32,32,32,32,32,32,32,32,32,61,32,34,100,97,115,115,108,34,10,32,32,32,32,111,117,116,112,117,116,70,111,114,109,97,116,32,32,32,61,32,34,99,115,118,34,10,32,32,32,32,118,97,114,105,97,98,108,101,70,105,108,116,101,114,32,61,32,34,46,42,34,32,47,62,10,32,32,32,32,10,32,32,60,33,45,45,32,118,97,114,105,97,98,108,101,115,32,105,110,32,116,104,101,32,109,111,100,101,108,32,45,45,62,10,32,32,60,77,111,100,101,108,86,97,114,105,97,98,108,101,115,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,36,100,117,109,109,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,48,34,32,101,110,100,76,105,110,101,32,61,32,34,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,36,100,117,109,109,121,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,48,34,32,101,110,100,76,105,110,101,32,61,32,34,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,110,111,109,105,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1331576);
/* memory initializer */ allocate([46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,95,116,117,114,98,117,108,101,110,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,95,116,117,114,98,117,108,101,110,116,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,97,116,104,76,101,110,103,116,104,115,32,117,115,101,100,32,105,110,116,101,114,110,97,108,108,121,59,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,98,121,32,101,120,116,101,110,100,105,110,103,32,99,108,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,97,110,32,118,101,108,111,99,105,116,105,101,115,32,111,102,32,102,108,117,105,100,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,122,101,116,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,111,101,102,102,105,99,105,101,110,116,32,102,111,114,32,113,117,97,100,114,97,116,105,99,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,52,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1341816);
/* memory initializer */ allocate([34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,107,115,95,105,110,118,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,111,101,102,102,105,99,105,101,110,116,32,102,111,114,32,113,117,97,100,114,97,116,105,99,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,118,105,115,99,111,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,100,101,110,115,105,116,121,32,112,101,114,32,115,101,103,109,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,115,32,100,101,102,105,110,101,100,32,98,121,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,48,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,101,100,105,117,109,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,117,114,102,97,99,101,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,97,114,101,97,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,109,101,100,105,117,109,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,109,101,100,105,117,109,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1352056);
/* memory initializer */ allocate([115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,88,95,105,110,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,100,105,97,109,101,116,101,114,115,32,98,101,116,119,101,101,110,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,109,101,110,115,105,111,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,102,108,117,105,100,32,102,108,111,119,32,40,100,105,97,109,101,116,101,114,115,32,102,111,114,32,112,105,112,101,32,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,73,98,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,95,115,101,116,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1362296);
/* memory initializer */ allocate([101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,102,111,114,32,110,111,109,105,110,97,108,32,99,111,110,100,105,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,86,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,40,112,111,115,105,116,105,118,101,32,119,104,101,110,32,102,108,111,119,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,100,112,95,102,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,117,101,32,116,111,32,102,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,100,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,40,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,122,101,116,97,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,112,111,114,116,95,98,95,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,98,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,112,111,114,116,95,97,95,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,108,111,115,101,32,116,111,32,112,111,114,116,95,97,44,32,105,102,32,115,104,111,119,95,84,32,61,32,116,114,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,70,95,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,102,111,114,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,55,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,32,98,101,116,119,101,101,110,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,52,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,55,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,78,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,104,97,102,116,32,114,111,116,97,116,105,111,110,97,108,32,115,112,101,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,109,105,110,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,104,101,97,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,117,109,112,32,104,101,97,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,114,104,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1372536);
/* memory initializer */ allocate([97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,101,100,105,117,109,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,101,100,105,117,109,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,86,95,102,108,111,119,95,115,105,110,103,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,40,115,105,110,103,108,101,32,112,117,109,112,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,95,102,108,111,119,95,115,105,110,103,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,40,115,105,110,103,108,101,32,112,117,109,112,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,100,112,95,112,117,109,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,105,110,99,114,101,97,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,40,116,111,116,97,108,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,101,116,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,108,111,98,97,108,32,69,102,102,105,99,105,101,110,99,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,87,95,115,105,110,103,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,119,101,114,32,67,111,110,115,117,109,112,116,105,111,110,32,40,115,105,110,103,108,101,32,112,117,109,112,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,86,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,40,116,111,116,97,108,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,72,98,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,32,111,114,32,101,110,101,114,103,121,32,115,111,117,114,99,101,47,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,57,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,48,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,34,32,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1382776);
/* memory initializer */ allocate([108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,109,101,100,105,117,109,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,109,101,100,105,117,109,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,109,101,100,105,117,109,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,109,101,100,105,117,109,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,109,101,100,105,117,109,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,109,101,100,105,117,109,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,101,100,105,117,109,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,101,100,105,117,109,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1393016);
/* memory initializer */ allocate([74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,118,105,108,105,110,101,97,114,32,97,98,115,99,105,115,115,97,32,102,111,114,32,116,104,101,32,102,108,111,119,32,99,117,114,118,101,32,105,110,32,112,97,114,97,109,101,116,114,105,99,32,102,111,114,109,32,40,101,105,116,104,101,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,111,114,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,109,101,100,105,117,109,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,109,101,100,105,117,109,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,109,101,100,105,117,109,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,109,101,100,105,117,109,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,85,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,109,101,100,105,117,109,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,109,101,100,105,117,109,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1403256);
/* memory initializer */ allocate([110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,73,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,109,101,110,116,97,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,55,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,111,102,32,102,108,117,105,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,109,101,100,105,117,109,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,109,101,100,105,117,109,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,102,108,117,105,100,86,111,108,117,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,52,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,112,97,116,104,76,101,110,103,116,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,55,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,65,95,109,101,97,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,109,101,97,110,32,99,114,111,115,115,32,102,108,111,119,32,97,114,101,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,98,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,115,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,57,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,73,98,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1413496);
/* memory initializer */ allocate([32,61,32,34,55,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,55,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,84,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,88,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,99,111,109,112,111,115,105,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,101,112,115,95,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,117,114,98,117,108,101,110,116,32,102,108,111,119,32,124,109,95,102,108,111,119,124,32,38,103,116,59,61,32,101,112,115,95,109,95,102,108,111,119,95,110,111,109,105,110,97,108,42,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,69,120,97,109,112,108,101,115,47,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,78,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,114,111,116,97,116,105,111,110,97,108,32,115,112,101,101,100,32,102,111,114,32,102,108,111,119,32,99,104,97,114,97,99,116,101,114,105,115,116,105,99,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,53,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,109,105,110,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,117,109,101,32,105,110,115,105,100,101,32,116,104,101,32,112,117,109,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1423736);
/* memory initializer */ allocate([61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,104,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,112,95,97,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,105,110,108,101,116,32,112,114,101,115,115,117,114,101,32,102,111,114,32,112,114,101,100,101,102,105,110,101,100,32,112,117,109,112,32,99,104,97,114,97,99,116,101,114,105,115,116,105,99,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,112,95,98,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,111,117,116,108,101,116,32,112,114,101,115,115,117,114,101,44,32,102,105,120,101,100,32,105,102,32,110,111,116,32,99,111,110,116,114,111,108,95,109,95,102,108,111,119,32,97,110,100,32,110,111,116,32,117,115,101,95,112,95,115,101,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,44,32,102,105,120,101,100,32,105,102,32,99,111,110,116,114,111,108,95,109,95,102,108,111,119,32,97,110,100,32,110,111,116,32,117,115,101,95,109,95,102,108,111,119,95,115,101,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,117,101,115,115,32,118,97,108,117,101,32,102,111,114,32,105,110,108,101,116,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,109,95,102,108,111,119,32,61,32,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,46,56,48,54,54,52,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,102,108,117,105,100,32,100,101,110,115,105,116,121,32,102,111,114,32,99,104,97,114,97,99,116,101,114,105,115,116,105,99,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,57,56,46,50,48,54,48,57,50,52,54,55,57,52,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,117,101,115,115,32,118,97,108,117,101,32,102,111,114,32,111,117,116,108,101,116,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,86,95,102,108,111,119,95,115,105,110,103,108,101,95,105,110,105,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,85,115,101,100,32,102,111,114,32,115,105,109,112,108,105,102,105,101,100,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,86,95,102,108,111,119,95,111,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,111,112,101,114,97,116,105,111,110,97,108,32,118,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,99,99,111,114,100,105,110,103,32,116,111,32,110,111,109,105,110,97,108,32,118,97,108,117,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,48,48,49,55,57,55,49,51,49,52,49,57,54,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,104,101,97,100,95,111,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,111,112,101,114,97,116,105,111,110,97,108,32,112,117,109,112,32,104,101,97,100,32,97,99,99,111,114,100,105,110,103,32,116,111,32,110,111,109,105,110,97,108,32,118,97,108,117,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,46,50,49,53,52,56,55,55,55,48,50,51,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,112,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,100,101,108,116,97,95,104,101,97,100,95,105,110,105,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,85,115,101,100,32,102,111,114,32,115,105,109,112,108,105,102,105,101,100,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,111,100,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,116,114,97,110,115,102,101,114,32,99,111,101,102,102,105,99,105,101,110,116,32,116,111,32,97,109,98,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,47,40,109,50,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1433976);
/* memory initializer */ allocate([52,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,109,97,108,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,100,105,97,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,97,109,101,116,101,114,32,111,102,32,111,114,105,102,105,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,122,101,116,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,102,97,99,116,111,114,32,102,111,114,32,102,108,111,119,32,111,102,32,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,100,112,95,110,111,109,105,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,100,112,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,100,112,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,109,95,102,108,111,119,32,61,32,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,100,112,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,117,101,115,115,32,118,97,108,117,101,32,111,102,32,100,112,32,61,32,112,111,114,116,95,97,46,112,32,45,32,112,111,114,116,95,98,46,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,112,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,97,109,98,105,101,110,116,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,84,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,97,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,46,56,48,54,54,52,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,115,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,110,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,101,112,115,95,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,122,101,114,111,32,102,108,111,119,32,102,111,114,32,124,109,95,102,108,111,119,124,32,38,108,116,59,32,101,112,115,95,109,95,102,108,111,119,42,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,115,109,97,108,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,108,97,109,105,110,97,114,32,97,110,100,32,122,101,114,111,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1444216);
/* memory initializer */ allocate([51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,115,109,97,108,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,111,102,32,108,97,109,105,110,97,114,32,97,110,100,32,122,101,114,111,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,112,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,115,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,114,101,115,115,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,115,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,108,101,110,103,116,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,100,105,97,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,111,108,117,109,101,32,115,105,122,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1454456);
/* memory initializer */ allocate([48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,40,111,110,108,121,32,102,111,114,32,110,111,109,105,110,97,108,32,109,111,100,101,108,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,109,95,102,108,111,119,115,124,32,38,108,116,59,32,109,95,102,108,111,119,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,116,104,105,110,32,114,101,103,117,108,97,114,105,122,97,116,105,111,110,32,105,102,32,124,100,112,124,32,38,108,116,59,32,100,112,95,115,109,97,108,108,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,117,114,98,117,108,101,110,116,32,102,108,111,119,32,115,116,97,114,116,105,110,103,32,102,114,111,109,32,124,109,95,102,108,111,119,115,124,32,38,103,116,59,32,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,32,40,109,97,121,32,98,101,32,119,105,100,101,114,32,102,111,114,32,108,97,114,103,101,32,100,105,115,99,111,110,116,105,110,117,105,116,105,101,115,32,105,110,32,115,116,97,116,105,99,32,104,101,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,57,56,46,50,48,54,48,57,50,52,54,55,57,52,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,48,48,49,54,48,53,51,50,53,54,52,55,57,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,95,115,101,116,46,104,101,105,103,104,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,32,111,102,32,114,97,109,112,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,95,115,101,116,46,100,117,114,97,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,117,114,97,116,105,111,110,32,111,102,32,114,97,109,112,32,40,61,32,48,46,48,32,103,105,118,101,115,32,97,32,83,116,101,112,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,56,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,95,115,101,116,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,57,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,95,115,101,116,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,112,105,112,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1464696);
/* memory initializer */ allocate([117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,108,101,110,103,116,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,100,105,97,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,97,109,101,116,101,114,32,111,102,32,99,105,114,99,117,108,97,114,32,112,105,112,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,32,40,100,101,102,97,117,108,116,58,32,115,109,111,111,116,104,32,115,116,101,101,108,32,112,105,112,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,112,111,114,116,95,98,41,32,45,32,72,101,105,103,104,116,40,112,111,114,116,95,97,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,99,114,111,115,115,32,115,101,99,116,105,111,110,32,97,114,101,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,112,101,114,105,109,101,116,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,32,97,116,32,112,111,114,116,32,98,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,111,108,117,109,101,32,115,105,122,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,48,54,55,48,55,52,55,57,48,57,55,52,57,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,117,109,98,101,114,32,111,102,32,105,100,101,110,116,105,99,97,108,32,112,97,114,97,108,108,101,108,32,102,108,111,119,32,100,101,118,105,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,49,93,32,97,116,32,100,101,115,105,103,110,32,105,110,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,102,111,114,32,112,91,110,43,49,93,32,97,116,32,100,101,115,105,103,110,32,111,117,116,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,82,101,95,116,117,114,98,117,108,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,111,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,109,101,44,32,100,101,112,101,110,100,105,110,103,32,111,110,32,116,121,112,101,32,111,102,32,102,108,111,119,32,100,101,118,105,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,111,114,32,100,112,95,110,111,109,105,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,103,114,97,118,105,116,121,32,97,99,99,101,108,101,114,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1474936);
/* memory initializer */ allocate([101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,101,110,115,105,116,121,32,40,101,46,103,46,44,32,114,104,111,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,57,57,53,44,32,114,104,111,95,97,105,114,32,61,32,49,46,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,57,56,46,50,48,54,48,57,50,52,54,55,57,52,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,100,121,110,97,109,105,99,32,118,105,115,99,111,115,105,116,121,32,40,101,46,103,46,44,32,109,117,95,108,105,113,117,105,100,87,97,116,101,114,32,61,32,49,101,45,51,44,32,109,117,95,97,105,114,32,61,32,49,46,56,101,45,53,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,48,48,49,54,48,53,51,50,53,54,52,55,57,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,46,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,80,97,46,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,112,111,114,116,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,50,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,50,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,112,111,114,116,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,49,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,49,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,112,111,114,116,115,91,49,93,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,112,111,114,116,115,91,49,93,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,112,111,114,116,115,91,49,93,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1485176);
/* memory initializer */ allocate([109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,112,111,114,116,115,91,49,93,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,81,95,102,108,111,119,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,109,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,110,111,109,105,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,95,116,117,114,98,117,108,101,110,116,32,114,101,115,117,108,116,105,110,103,32,102,114,111,109,32,110,111,109,105,110,97,108,32,116,117,114,98,117,108,101,110,116,32,102,108,111,119,32,97,110,100,32,103,101,111,109,101,116,114,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,82,101,115,95,116,117,114,98,117,108,101,110,116,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,110,111,109,105,110,97,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,112,97,116,104,76,101,110,103,116,104,115,32,114,101,115,117,108,116,105,110,103,32,102,114,111,109,32,110,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,97,110,100,32,103,101,111,109,101,116,114,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,95,105,110,116,101,114,110,97,108,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,108,101,110,103,116,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,112,111,114,116,115,91,49,93,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,112,111,114,116,115,91,49,93,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1495416);
/* memory initializer */ allocate([108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,97,116,104,76,101,110,103,116,104,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,115,32,97,108,111,110,103,32,102,108,111,119,32,112,97,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,108,101,110,103,116,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,104,101,105,103,104,116,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,40,115,116,97,116,101,115,91,50,58,110,93,41,32,45,32,72,101,105,103,104,116,40,115,116,97,116,101,115,91,49,58,110,45,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,104,101,105,103,104,116,95,97,98,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,99,114,111,115,115,65,114,101,97,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,32,102,108,111,119,32,97,114,101,97,115,32,97,116,32,115,101,103,109,101,110,116,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,112,111,114,116,115,91,49,93,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,112,111,114,116,115,91,49,93,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,114,104,111,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,102,103,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,70,115,95,112,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1505656);
/* memory initializer */ allocate([99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,111,117,103,104,110,101,115,115,101,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,118,101,114,97,103,101,32,104,101,105,103,104,116,32,111,102,32,115,117,114,102,97,99,101,32,97,115,112,101,114,105,116,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,109,101,100,105,117,109,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,50,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,111,114,116,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,50,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,50,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,50,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,112,95,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,99,114,105,98,101,100,32,111,117,116,108,101,116,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,95,115,101,116,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,112,95,115,101,116,95,105,110,116,101,114,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,95,115,101,116,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,109,101,100,105,117,109,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,49,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,111,114,116,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,49,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,49,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,49,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,112,111,114,116,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,112,111,114,116,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,111,114,116,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,111,114,116,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1515896);
/* memory initializer */ allocate([117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,112,111,114,116,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,104,101,114,109,111,100,121,110,97,109,105,99,32,112,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,46,112,95,105,110,95,105,110,116,101,114,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1526136);
/* memory initializer */ allocate([73,110,100,101,120,32,61,32,34,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,81,98,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,32,111,114,32,101,110,101,114,103,121,32,115,111,117,114,99,101,47,115,105,110,107,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,104,101,97,116,80,111,114,116,115,91,49,93,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,109,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1536376);
/* memory initializer */ allocate([99,101,32,61,32,34,49,51,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,116,104,101,114,109,111,100,121,110,97,109,105,99,32,101,110,116,104,97,108,112,121,32,99,108,111,115,101,32,116,111,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,102,32,109,95,102,108,111,119,32,38,108,116,59,32,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,87,95,116,111,116,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,119,101,114,32,67,111,110,115,117,109,112,116,105,111,110,32,40,116,111,116,97,108,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,72,98,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,101,100,105,117,109,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,101,100,105,117,109,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,114,104,111,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,114,104,111,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,114,104,111,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1546616);
/* memory initializer */ allocate([108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,100,112,95,116,117,114,98,117,108,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,111,114,105,102,105,99,101,46,100,112,95,115,109,97,108,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,109,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,87,98,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,111,114,107,32,102,108,111,119,32,97,99,114,111,115,115,32,98,111,117,110,100,97,114,105,101,115,32,111,114,32,115,111,117,114,99,101,32,116,101,114,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,72,98,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,70,95,102,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,105,99,116,105,111,110,32,97,110,100,32,103,114,97,118,105,116,121,32,102,111,114,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,111,114,105,102,105,99,101,46,70,95,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,55,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,95,102,108,111,119,95,115,101,116,95,105,110,116,101,114,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,101,101,100,101,100,32,116,111,32,99,111,110,110,101,99,116,32,116,111,32,99,111,110,100,105,116,105,111,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1556856);
/* memory initializer */ allocate([55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,110,80,111,114,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,55,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,108,108,111,119,101,100,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,55,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,110,80,97,114,97,108,108,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,117,109,112,115,32,105,110,32,112,97,114,97,108,108,101,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,97,115,115,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,52,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,32,116,114,97,110,115,102,101,114,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,55,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,110,80,111,114,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,55,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,102,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,108,108,111,119,101,100,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,55,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,101,110,101,114,103,121,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,101,110,101,114,103,121,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,115,44,32,105,102,32,111,112,116,105,111,110,115,32,97,118,97,105,108,97,98,108,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,109,97,115,115,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,97,115,115,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,115,117,98,115,116,97,110,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,34,32,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1567096);
/* memory initializer */ allocate([110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,116,114,97,99,101,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,102,97,117,108,116,32,102,111,114,109,117,108,97,116,105,111,110,32,111,102,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,32,98,97,108,97,110,99,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,110,80,111,114,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,55,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,102,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,108,108,111,119,101,100,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,55,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,100,105,115,99,114,101,116,101,32,102,108,111,119,32,118,111,108,117,109,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,49,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,109,117,108,97,116,105,111,110,32,111,102,32,109,111,109,101,110,116,117,109,32,98,97,108,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,110,80,111,114,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,55,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,102,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,108,108,111,119,101,100,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,55,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,112,117,109,112,46,109,101,100,105,117,109,46,112,104,97,115,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1577336);
/* memory initializer */ allocate([111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,117,115,101,95,112,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,112,114,101,115,115,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,117,115,101,95,84,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,117,115,101,95,88,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,99,111,109,112,111,115,105,116,105,111,110,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,111,117,114,99,101,46,117,115,101,95,67,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,115,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,117,115,101,95,112,111,119,101,114,67,104,97,114,97,99,116,101,114,105,115,116,105,99,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,85,115,101,32,112,111,119,101,114,67,104,97,114,97,99,116,101,114,105,115,116,105,99,32,40,118,115,46,32,101,102,102,105,99,105,101,110,99,121,67,104,97,114,97,99,116,101,114,105,115,116,105,99,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,99,104,101,99,107,86,97,108,118,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,112,114,101,118,101,110,116,32,114,101,118,101,114,115,101,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,117,115,101,95,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,117,115,101,32,84,95,115,116,97,114,116,44,32,111,116,104,101,114,119,105,115,101,32,104,95,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,117,115,101,95,72,101,97,116,84,114,97,110,115,102,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,97,32,72,101,97,116,84,114,97,110,115,102,101,114,32,109,111,100,101,108,44,32,101,46,103,46,44,32,102,111,114,32,97,32,104,111,117,115,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,99,111,110,116,114,111,108,95,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,99,111,110,116,114,111,108,32,111,117,116,108,101,116,32,112,114,101,115,115,117,114,101,32,112,111,114,116,95,98,46,112,32,105,110,115,116,101,97,100,32,111,102,32,109,95,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,117,115,101,95,109,95,102,108,111,119,95,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,105,110,112,117,116,32,115,105,103,110,97,108,32,109,95,102,108,111,119,95,115,101,116,32,105,110,115,116,101,97,100,32,111,102,32,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,117,115,101,95,112,95,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,105,110,112,117,116,32,115,105,103,110,97,108,32,112,95,115,101,116,32,105,110,115,116,101,97,100,32,111,102,32,112,95,98,95,110,111,109,105,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,105,110,105,116,105,97,108,105,122,101,95,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,115,101,116,32,117,112,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,102,111,114,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1587576);
/* memory initializer */ allocate([102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,117,115,101,95,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,117,115,101,32,107,32,118,97,108,117,101,32,102,111,114,32,116,104,101,114,109,97,108,32,105,115,111,108,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,115,104,111,119,95,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,101,109,112,101,114,97,116,117,114,101,115,32,97,116,32,112,111,114,116,95,97,32,97,110,100,32,112,111,114,116,95,98,32,97,114,101,32,99,111,109,112,117,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,115,104,111,119,95,86,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,118,111,108,117,109,101,32,102,108,111,119,32,114,97,116,101,32,97,116,32,105,110,102,108,111,119,105,110,103,32,112,111,114,116,32,105,115,32,99,111,109,112,117,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,117,115,101,95,122,101,116,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,111,98,116,97,105,110,32,122,101,116,97,32,102,114,111,109,32,100,112,95,110,111,109,105,110,97,108,32,97,110,100,32,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,102,114,111,109,95,100,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,32,101,108,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,111,114,105,102,105,99,101,46,117,115,101,95,82,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,105,115,32,100,101,102,105,110,101,100,32,98,121,32,82,101,44,32,111,116,104,101,114,119,105,115,101,32,98,121,32,109,95,102,108,111,119,95,115,109,97,108,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,117,115,101,95,112,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,112,114,101,115,115,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,117,115,101,95,84,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,46,117,115,101,95,88,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,99,111,109,112,111,115,105,116,105,111,110,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1597816);
/* memory initializer */ allocate([32,34,115,105,110,107,46,117,115,101,95,67,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,115,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,114,101,115,116,114,105,99,116,32,116,111,32,100,101,115,105,103,110,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,121,115,116,101,109,46,117,115,101,95,101,112,115,95,82,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,100,101,116,101,114,109,105,110,101,32,116,117,114,98,117,108,101,110,116,32,114,101,103,105,111,110,32,97,117,116,111,109,97,116,105,99,97,108,108,121,32,117,115,105,110,103,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,121,115,116,101,109,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,105,115,67,105,114,99,117,108,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,102,114,111,109,95,100,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,117,115,101,32,109,95,102,108,111,119,32,61,32,102,40,100,112,41,44,32,111,116,104,101,114,119,105,115,101,32,100,112,32,61,32,102,40,109,95,102,108,111,119,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,111,110,115,116,97,110,116,80,114,101,115,115,117,114,101,76,111,115,115,67,111,101,102,102,105,99,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,100,111,101,115,32,110,111,116,32,100,101,112,101,110,100,32,111,110,32,102,108,117,105,100,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,99,111,110,116,105,110,117,111,117,115,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,116,104,101,32,112,114,101,115,115,117,114,101,32,108,111,115,115,32,105,115,32,99,111,110,116,105,110,117,111,117,115,32,97,114,111,117,110,100,32,122,101,114,111,32,102,108,111,119,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1608056);
/* memory initializer */ allocate([32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,117,115,101,95,112,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,112,114,101,115,115,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,117,115,101,95,84,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,117,115,101,95,88,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,99,111,109,112,111,115,105,116,105,111,110,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,49,46,117,115,101,95,67,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,115,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,111,114,116,95,97,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,97,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,112,111,114,116,95,98,95,101,120,112,111,115,101,115,83,116,97,116,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,112,111,114,116,95,98,46,112,32,101,120,112,111,115,101,115,32,116,104,101,32,115,116,97,116,101,32,111,102,32,97,32,102,108,117,105,100,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,115,104,111,119,68,101,115,105,103,110,70,108,111,119,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,104,105,100,101,32,116,104,101,32,97,114,114,111,119,32,105,110,32,116,104,101,32,109,111,100,101,108,32,105,99,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,105,115,67,105,114,99,117,108,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,99,114,111,115,115,32,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,105,115,32,99,105,114,99,117,108,97,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,112,111,114,116,95,97,32,45,38,103,116,59,32,112,111,114,116,95,98,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,85,112,115,116,114,101,97,109,83,99,104,101,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,102,97,108,115,101,32,116,111,32,97,118,101,114,97,103,101,32,117,112,115,116,114,101,97,109,32,97,110,100,32,100,111,119,110,115,116,114,101,97,109,32,112,114,111,112,101,114,116,105,101,115,32,97,99,114,111,115,115,32,102,108,111,119,32,115,101,103,109,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,104,111,119,95,82,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,82,101,121,110,111,108,100,115,32,110,117,109,98,101,114,115,32,97,114,101,32,105,110,99,108,117,100,101,100,32,102,111,114,32,112,108,111,116,116,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,114,104,111,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,114,104,111,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,97,108,108,111,119,70,108,111,119,82,101,118,101,114,115,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,97,108,108,111,119,32,102,108,111,119,32,114,101,118,101,114,115,97,108,44,32,102,97,108,115,101,32,114,101,115,116,114,105,99,116,115,32,116,111,32,100,101,115,105,103,110,32,100,105,114,101,99,116,105,111,110,32,40,115,116,97,116,101,115,91,49,93,32,45,38,103,116,59,32,115,116,97,116,101,115,91,110,43,49,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,109,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,109,117,95,110,111,109,105,110,97,108,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,117,115,101,95,73,98,95,102,108,111,119,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,116,111,32,99,111,110,115,105,100,101,114,32,100,105,102,102,101,114,101,110,99,101,115,32,105,110,32,102,108,111,119,32,111,102,32,109,111,109,101,110,116,117,109,32,116,104,114,111,117,103,104,32,98,111,117,110,100,97,114,105,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1618296);
/* memory initializer */ allocate([105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,117,115,101,95,112,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,112,114,101,115,115,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,117,115,101,95,84,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,117,115,101,95,88,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,99,111,109,112,111,115,105,116,105,111,110,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,107,50,46,117,115,101,95,67,95,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,101,116,32,116,104,101,32,116,114,97,99,101,32,115,117,98,115,116,97,110,99,101,115,32,102,114,111,109,32,116,104,101,32,105,110,112,117,116,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,47,77,111,100,101,108,86,97,114,105,97,98,108,101,115,62,10,32,32,10,32,32,10,60,47,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,62,10,10,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,67,85,82,82,69,78,84,32,84,32,40,61,82,49,41,32,32,53,48,48,32,83,84,69,80,83,0,0,100,97,115,115,108,32,119,105,116,104,32,105,110,116,101,114,110,97,108,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,46,32,45,108,111,103,70,111,114,109,97,116,61,116,101,120,116,32,40,100,101,102,97,117,108,116,41,32,111,114,32,45,108,111,103,70,111,114,109,97,116,61,120,109,108,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,60,47,118,97,114,105,97,98,108,101,115,62,10,0,0,0,111,117,116,112,117,116,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,111,102,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,0,91,117,110,107,110,111,119,110,32,102,108,97,103,45,116,121,112,101,93,32,60,45,37,115,62,0,0,0,0,0,0,0,110,112,98,111,111,108,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,101,120,116,101,114,110,97,108,0,0,0,0,0,0,0,0,37,46,49,54,103,44,0,0,114,101,115,105,100,117,97,108,115,0,0,0,0,0,0,0,123,56,99,52,101,56,49,48,102,45,51,100,102,51,45,52,97,48,48,45,56,50,55,54,45,49,55,54,102,97,51,99,57,102,57,101,48,125,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,104,101,108,112,0,0,0,0,85,110,107,110,111,119,110,32,101,113,117,97,116,105,111,110,32,115,121,115,116,101,109,32,101,114,114,111,114,58,32,37,100,32,37,115,32,37,103,0,68,65,83,83,76,45,45,32,32,82,85,78,32,84,69,82,77,73,78,65,84,69,68,46,32,65,80,80,65,82,69,78,84,32,73,78,70,73,78,73,84,69,32,76,79,79,80,0,100,105,114,101,99,116,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,98,97,115,101,95,97,114,114,97,121,95,111,107,40,115,111,117,114,99,101,41,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,119,104,101,114,101,32,116,104,101,32,108,105,110,101,97,114,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,32,115,104,111,117,108,100,32,98,101,32,112,101,114,102,111,114,109,101,100,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,100,101,115,116,45,62,100,105,109,95,115,105,122,101,91,48,93,32,61,61,32,109,32,38,38,32,100,101,115,116,45,62,100,105,109,95,115,105,122,101,91,49,93,32,61,61,32,110,0,0,0,0,0,0,0,0,116,105,99,107,95,116,112,32,33,61,32,48,0,0,0,0,60,118,97,114,105,97,98,108,101,115,62,10,0,0,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,60,45,37,115,61,118,97,108,117,101,62,32,111,114,32,60,45,37,115,32,118,97,108,117,101,62,10,32,32,37,115,0,110,121,105,110,116,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,117,110,102,111,114,109,97,116,116,101,100,0,0,0,0,0,108,97,109,98,100,97,32,61,32,37,103,32,100,111,110,101,0,0,0,0,0,0,0,0,120,32,118,101,99,116,111,114,0,0,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,69,120,97,109,112,108,101,115,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,0,68,65,83,83,76,45,45,32,32,82,69,80,69,65,84,69,68,32,79,67,67,85,82,82,69,78,67,69,83,32,79,70,32,73,76,76,69,71,65,76,32,73,78,80,85,84,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,111,114,32,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,97,45,62,110,100,105,109,115,61,61,50,32,38,38,32,100,101,115,116,45,62,110,100,105,109,115,61,61,50,0,0,0,60,47,112,114,111,102,105,108,105,110,103,100,97,116,97,104,101,97,100,101,114,62,10,0,108,111,103,103,105,110,103,32,102,111,114,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,60,45,37,115,62,10,32,32,37,115,0,0,0,0,0,0,110,112,105,110,116,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,102,111,114,109,97,116,116,101,100,0,0,0,0,0,0,0,104,111,109,111,116,111,112,121,32,112,114,111,99,101,115,115,0,0,0,0,0,0,0,0,45,45,32,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,32,99,97,108,108,32,37,100,32,45,45,0,83,101,116,32,116,111,108,101,114,97,110,99,101,32,102,111,114,32,122,101,114,111,45,99,114,111,115,115,105,110,103,32,104,121,115,116,101,114,101,115,105,115,32,116,111,58,32,37,101,0,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,0,0,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,69,120,97,109,112,108,101,115,46,73,110,118,101,114,115,101,80,97,114,97,109,101,116,101,114,105,122,97,116,105,111,110,0,100,97,115,115,108,32,119,105,116,104,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,100,105,114,101,99,116,0,0,32,32,32,32,32,32,32,32,32,84,79,79,32,78,69,65,82,32,84,79,32,84,72,69,32,73,78,73,84,73,65,76,32,80,79,73,78,84,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,102,111,114,32,73,112,111,112,116,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,105,110,118,97,108,105,100,32,108,105,115,116,45,110,111,100,101,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,116,117,114,98,117,108,101,110,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,76,101,102,116,0,0,0,0,78,111,32,116,114,97,110,115,112,111,115,101,0,0,0,0,60,112,114,111,102,105,108,105,110,103,100,97,116,97,104,101,97,100,101,114,62,10,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,0,117,115,97,103,101,58,32,37,115,0,0,0,0,0,0,0,110,112,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,0,0,0,91,37,50,100,93,32,37,50,48,46,49,50,103,0,0,0,101,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,101,120,116,101,114,110,97,108,32,111,98,106,101,99,116,115,0,0,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,105,110,105,116,105,97,108,105,122,101,32,68,97,116,97,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,111,117,116,32,105,110,116,101,114,110,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,68,65,83,83,76,45,45,32,32,79,78,69,32,79,82,32,77,79,82,69,32,67,79,77,80,79,78,69,78,84,83,32,79,70,32,71,32,72,65,83,32,65,32,82,79,79,84,0,117,112,100,97,116,105,110,103,32,115,116,97,114,116,45,118,97,108,117,101,115,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,104,101,115,115,105,97,110,32,102,111,114,32,73,112,111,112,116,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,62,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,98,105,110,84,114,97,110,115,0,0,0,0,0,0,0,0,60,47,109,111,100,101,108,105,110,102,111,95,101,120,116,62,10,0,0,0,0,0,0,0,108,111,103,103,105,110,103,32,102,111,114,32,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,114,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,37,115,0,0,0,110,121,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,0,0,0,115,101,113,117,101,110,116,105,97,108,0,0,0,0,0,0,112,117,109,112,46,109,101,100,105,117,109,46,104,32,60,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,40,112,117,109,112,46,109,101,100,105,117,109,46,112,41,41,0,0,0,108,97,109,98,100,97,0,0,110,102,117,110,99,32,61,32,37,100,10,101,114,114,111,114,32,61,32,37,46,50,48,101,10,101,114,114,111,114,95,115,99,97,108,101,100,32,61,32,37,46,50,48,101,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,80,97,114,97,109,101,116,101,114,32,108,101,110,103,116,104,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,111,114,32,101,113,117,97,108,32,104,101,105,103,104,116,95,97,98,46,0,0,0,0,7,0,0,0,0,0,0,0,84,0,0,0,0,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,68,69,83,67,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,44,32,119,105,116,104,32,105,110,116,101,114,118,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,0,0,37,115,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,102,105,108,101,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,0,0,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,49,48,40,51,46,55,32,42,32,100,105,97,109,101,116,101,114,32,47,32,114,111,117,103,104,110,101,115,115,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,114,43,98,0,0,0,0,0,115,101,116,32,116,101,114,109,105,110,97,108,32,115,118,103,10,0,0,0,0,0,0,0,112,114,101,102,105,120,32,109,117,115,116,32,110,111,116,32,98,101,32,98,111,117,110,100,32,116,111,32,111,110,101,32,111,102,32,116,104,101,32,114,101,115,101,114,118,101,100,32,110,97,109,101,115,112,97,99,101,32,110,97,109,101,115,0,68,65,83,83,76,45,45,32,32,78,71,32,40,61,73,49,41,32,46,76,84,46,32,48,0,0,0,0,0,0,0,0,119,114,105,116,101,32,105,110,32,106,97,99,91,37,100,93,45,91,37,100,44,37,100,93,61,37,103,32,102,114,111,109,32,114,111,119,91,37,100,93,61,37,103,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,112,116,105,109,105,122,97,116,105,111,110,32,109,101,116,104,111,100,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,108,118,32,37,115,0,0,0,0,0,0,114,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,58,32,91,37,115,93,32,98,101,99,97,117,115,101,32,111,102,32,37,115,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,119,0,0,0,0,0,0,0,119,116,0,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,73,110,99,111,110,115,105,115,116,101,110,116,32,105,110,105,116,105,97,108,32,99,111,110,100,105,116,105,111,110,115,46,0,0,0,0,0,0,0,47,42,82,101,97,108,42,47,40,112,117,109,112,46,110,80,97,114,97,108,108,101,108,41,0,0,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,76,79,71,95,68,69,66,85,71,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,102,111,114,109,97,116,32,116,111,111,32,99,111,109,112,108,105,99,97,116,101,100,58,10,0,0,0,0,0,0,0,0,108,101,97,115,116,32,115,113,117,97,114,101,32,118,97,108,117,101,58,32,37,103,0,0,69,114,114,111,114,44,32,115,105,110,103,117,108,97,114,32,74,97,99,111,98,105,97,110,32,102,111,114,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,32,97,116,32,116,105,109,101,32,37,102,10,85,115,101,32,45,108,118,32,76,79,71,95,68,83,83,95,74,65,67,32,116,111,32,103,101,116,32,116,104,101,32,74,97,99,111,98,105,97,110,0,76,81,70,0,0,0,0,0,82,101,102,101,114,101,110,99,101,100,32,39,37,115,39,32,116,104,97,116,32,119,97,115,32,110,111,116,32,100,101,99,108,97,114,101,100,32,97,115,32,60,118,97,114,105,97,98,108,101,62,0,0,0,0,0,60,111,100,101,84,105,109,101,84,105,99,107,115,62,37,108,117,60,47,111,100,101,84,105,109,101,84,105,99,107,115,62,10,0,0,0,0,0,0,0,116,101,114,109,105,110,97,108,32,101,118,101,110,116,32,97,116,32,115,116,111,112,32,116,105,109,101,32,37,103,0,0,111,117,116,112,117,116,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,117,115,101,100,32,98,121,32,100,97,115,115,108,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,115,32,37,115,0,0,0,0,0,0,0,110,120,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,100,0,0,0,0,0,0,0,115,99,97,108,105,110,103,32,61,32,37,102,32,43,43,43,32,111,108,100,32,61,32,37,101,32,43,43,43,32,101,120,116,114,97,112,111,108,97,116,101,100,32,61,32,37,101,0,119,114,105,116,105,110,103,0,37,115,44,0,0,0,0,0,44,37,115,61,34,37,115,34,0,0,0,0,0,0,0,0,115,116,97,116,105,115,116,105,99,115,0,0,0,0,0,0,89,111,117,114,32,109,101,109,111,114,121,32,105,115,32,110,111,116,32,115,116,114,111,110,103,32,101,110,111,117,103,104,32,102,111,114,32,111,117,114,32,82,105,110,103,98,117,102,102,101,114,33,0,0,0,0,115,99,97,108,105,110,103,32,61,32,37,102,10,111,108,100,32,61,32,37,102,10,101,120,116,114,97,112,111,108,97,116,101,100,32,61,32,37,102,0,78,76,83,95,77,65,88,0,69,82,82,79,82,58,32,84,111,111,32,109,97,110,121,32,101,118,101,110,116,32,105,116,101,114,97,116,105,111,110,115,46,32,83,121,115,116,101,109,32,105,115,32,105,110,99,111,110,115,105,115,116,101,110,116,46,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,46,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,0,0,0,0,117,110,107,110,111,119,110,0,114,101,115,101,114,118,101,100,32,112,114,101,102,105,120,32,40,120,109,108,110,115,41,32,109,117,115,116,32,110,111,116,32,98,101,32,100,101,99,108,97,114,101,100,32,111,114,32,117,110,100,101,99,108,97,114,101,100,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,84,79,85,84,32,40,61,82,49,41,32,73,83,32,69,81,85,65,76,32,84,79,32,84,32,40,61,82,50,41,0,115,112,101,99,105,102,121,32,105,110,116,101,114,97,99,116,105,118,101,32,115,105,109,117,108,97,116,105,111,110,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,60,111,100,101,84,105,109,101,62,37,102,60,47,111,100,101,84,105,109,101,62,10,0,0,99,104,101,99,107,32,104,101,115,115,105,97,110,32,109,97,116,114,105,120,32,119,105,116,104,32,73,112,111,112,116,0,65,108,108,111,99,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,115,116,111,114,97,103,101,32,102,111,114,32,109,101,116,104,111,100,32,39,37,115,39,32,97,110,100,32,102,105,108,101,61,39,37,115,39,0,0,69,114,114,111,114,44,32,105,110,112,117,116,32,100,97,116,97,32,102,105,108,101,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,109,111,100,101,108,46,0,0,0,0,114,101,97,100,105,110,103,0,119,116,0,0,0,0,0,0,44,37,115,61,37,105,0,0,114,101,115,91,37,100,93,32,61,32,37,46,50,48,101,32,91,115,99,97,108,105,110,103,32,102,97,99,116,111,114,32,61,32,37,49,54,101,93,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,0,0,99,97,108,108,32,115,111,108,118,101,114,32,102,114,111,109,32,37,103,32,116,111,32,37,103,32,40,115,116,101,112,83,105,122,101,58,32,37,103,41,0,0,0,0,0,0,0,0,84,104,101,32,99,111,100,101,32,104,97,115,32,101,110,99,111,117,110,116,101,114,101,100,32,116,114,111,117,98,108,101,32,102,114,111,109,32,119,104,105,99,104,32,105,116,32,99,97,110,110,111,116,32,114,101,99,111,118,101,114,46,0,0,103,0,0,0,0,0,0,0,114,101,115,101,114,118,101,100,32,112,114,101,102,105,120,32,40,120,109,108,41,32,109,117,115,116,32,110,111,116,32,98,101,32,117,110,100,101,99,108,97,114,101,100,32,111,114,32,98,111,117,110,100,32,116,111,32,97,110,111,116,104,101,114,32,110,97,109,101,115,112,97,99,101,32,110,97,109,101,0,68,65,83,83,76,45,45,32,32,77,85,32,40,61,73,49,41,32,73,76,76,69,71,65,76,46,32,69,73,84,72,69,82,32,46,76,84,46,32,48,32,79,82,32,46,71,84,46,32,78,69,81,0,0,0,0,91,105,110,116,93,32,100,101,102,97,117,108,116,58,32,49,0,0,0,0,0,0,0,0,100,101,115,116,45,62,100,105,109,95,115,105,122,101,91,48,93,32,61,61,32,109,32,38,38,32,100,101,115,116,45,62,100,105,109,95,115,105,122,101,91,49,93,32,61,61,32,110,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,100,117,109,109,121,86,97,114,83,116,97,116,101,83,101,116,74,97,99,0,0,0,0,0,60,109,111,100,101,108,105,110,102,111,95,101,120,116,62,10,0,0,0,0,0,0,0,0,99,104,101,99,107,32,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,119,105,116,104,32,73,112,111,112,116,0,0,0,0,0,0,0,0,85,110,107,110,111,119,110,32,111,117,116,112,117,116,32,102,111,114,109,97,116,58,32,0,108,111,99,97,108,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,0,0,0,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,108,97,116,101,108,121,32,37,115,32,37,115,32,37,115,32,37,115,0,0,0,0,0,0,37,115,95,104,111,109,111,116,111,112,121,46,99,115,118,0,44,37,115,61,37,108,105,0,124,32,115,111,108,118,101,114,32,124,32,85,115,101,32,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,9,37,115,0,0,0,0,0,102,117,110,99,116,105,111,110,115,0,0,0,0,0,0,0,32,75,41,0,0,0,0,0,68,68,65,83,83,76,32,102,97,105,108,101,100,32,116,111,32,99,111,109,112,117,116,101,32,116,104,101,32,105,110,105,116,105,97,108,32,89,80,82,73,77,69,46,0,0,0,0,108,97,115,116,32,102,111,114,109,97,116,58,32,37,115,10,0,0,0,0,0,0,0,0,99,97,110,110,111,116,32,115,117,115,112,101,110,100,32,105,110,32,101,120,116,101,114,110,97,108,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,0,0,68,65,83,83,76,45,45,32,32,77,76,32,40,61,73,49,41,32,73,76,76,69,71,65,76,46,32,69,73,84,72,69,82,32,46,76,84,46,32,48,32,79,82,32,46,71,84,46,32,78,69,81,0,0,0,0,91,100,111,117,98,108,101,93,32,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,0,80,0,0,0,0,0,0,0,97,45,62,110,100,105,109,115,61,61,50,32,38,38,32,100,101,115,116,45,62,110,100,105,109,115,61,61,50,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1628536);
/* memory initializer */ allocate([93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,69,110,116,101,114,105,110,103,32,97,110,100,32,115,105,110,107,49,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,84,79,68,79,58,32,83,101,116,32,109,101,32,117,112,33,33,33,0,0,0,0,0,0,60,47,109,111,100,101,108,105,110,102,111,62,10,0,0,0,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,102,114,111,109,32,73,112,111,112,116,0,0,0,0,0,112,108,116,0,0,0,0,0,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,44,37,115,61,37,46,50,48,103,0,0,0,0,0,0,0,120,91,37,100,93,32,61,32,37,46,50,48,101,32,91,115,99,97,108,105,110,103,32,102,97,99,116,111,114,32,61,32,37,49,54,101,93,0,0,0,34,32,105,115,32,110,101,103,97,116,105,118,101,10,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,0,0,0,73,82,69,83,32,101,113,117,97,108,32,116,111,32,45,50,32,119,97,115,32,101,110,99,111,117,110,116,101,114,101,100,32,97,110,100,32,99,111,110,116,114,111,108,32,105,115,32,98,101,105,110,103,32,114,101,116,117,114,110,101,100,32,116,111,32,116,104,101,32,99,97,108,108,105,110,103,32,112,114,111,103,114,97,109,46,0,0,112,97,114,115,105,110,103,32,102,105,110,105,115,104,101,100,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,52,41,61,49,32,65,78,68,32,84,83,84,79,80,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,32,40,61,82,50,41,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,101,116,104,111,100,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,112,32,62,61,32,48,46,48,32,97,110,100,32,115,105,110,107,49,46,112,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,98,97,115,101,95,97,114,114,97,121,46,99,58,32,97,114,114,97,121,32,100,105,109,101,110,115,105,111,110,32,115,105,122,101,32,102,111,114,32,100,105,109,101,110,115,105,111,110,32,37,100,32,105,115,32,37,100,32,60,32,48,33,10,0,35,70,73,88,77,69,35,0,60,109,97,120,84,105,109,101,62,37,46,57,102,60,47,109,97,120,84,105,109,101,62,10,0,0,0,0,0,0,0,0,105,110,102,111,114,109,97,116,105,111,110,32,102,114,111,109,32,73,112,111,112,116,0,0,119,97,108,108,0,0,0,0,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,105,110,118,0,0,0,0,0,97,112,112,97,114,101,110,116,32,115,116,97,116,101,58,32,105,110,116,101,114,110,97,108,32,73,47,79,10,0,0,0,35,35,35,32,69,78,68,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,0,0,0,0,116,105,109,101,61,37,46,50,48,103,0,0,0,0,0,0,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,34,0,0,0,0,0,0,0,0,115,121,110,116,97,120,32,101,114,114,111,114,0,0,0,0,80,0,0,0,0,0,0,0,65,32,77,111,100,101,108,105,99,97,32,97,115,115,101,114,116,32,112,114,101,118,101,110,116,115,32,116,104,101,32,105,110,116,101,103,114,97,116,111,114,32,116,111,32,99,111,110,116,105,110,117,101,46,32,70,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,117,115,101,32,45,108,118,32,76,79,71,95,68,68,65,83,82,84,0,0,112,97,114,115,105,110,103,32,97,98,111,114,116,101,100,0,68,65,83,83,76,45,45,32,84,79,85,84,32,40,61,82,49,41,32,84,79,79,32,67,76,79,83,69,32,84,79,32,84,32,40,61,82,50,41,32,84,79,32,83,84,65,82,84,32,73,78,84,69,71,82,65,84,73,79,78,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,110,32,101,120,116,101,114,110,97,108,32,102,105,108,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,84,32,62,61,32,49,46,48,32,97,110,100,32,115,105,110,107,49,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,60,118,97,114,62,45,116,97,103,32,100,105,100,32,110,111,116,32,115,101,116,32,110,97,109,101,32,97,110,100,32,99,111,109,109,101,110,116,0,0,60,110,117,109,83,116,101,112,62,37,100,60,47,110,117,109,83,116,101,112,62,10,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,100,117,114,105,110,103,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,109,97,116,0,0,0,0,0,37,73,58,37,77,58,37,83,32,37,112,0,0,0,0,0,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,40,117,110,110,97,109,101,100,41,10,0,0,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,111,112,116,105,111,110,32,45,105,105,109,0,44,0,0,0,0,0,0,0,110,108,115,32,115,116,97,116,117,115,0,0,0,0,0,0,80,114,101,115,115,117,114,101,32,40,61,32,0,0,0,0,84,104,101,32,99,111,114,114,101,99,116,111,114,32,99,111,117,108,100,32,110,111,116,32,99,111,110,118,101,114,103,101,46,32,84,104,101,114,101,32,119,101,114,101,32,114,101,112,101,97,116,101,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,32,105,110,32,116,104,105,115,32,115,116,101,112,46,0,102,0,0,0,0,0,0,0,110,97,109,101,100,32,37,115,10,0,0,0,0,0,0,0,112,97,114,115,101,114,32,110,111,116,32,115,117,115,112,101,110,100,101,100,0,0,0,0,105,109,112,114,111,112,101,114,32,105,110,112,117,116,32,112,97,114,97,109,101,116,101,114,115,32,116,111,32,110,111,110,108,105,110,101,97,114,32,101,113,46,32,115,121,115,116,58,32,37,115,32,97,116,32,116,105,109,101,32,37,103,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,87,84,32,73,83,32,46,76,69,46,32,48,46,48,0,103,101,116,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,116,104,97,116,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,0,0,0,117,110,102,111,114,109,97,116,116,101,100,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,98,97,115,101,95,97,114,114,97,121,95,111,107,40,97,41,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,45,37,100,100,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,115,105,110,107,49,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,116,111,116,97,108,95,116,112,32,33,61,32,48,0,0,0,99,111,109,109,101,110,116,0,60,116,111,116,97,108,83,116,101,112,115,84,105,109,101,62,37,102,60,47,116,111,116,97,108,83,116,101,112,115,84,105,109,101,62,10,0,0,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,101,118,101,110,116,32,115,121,115,116,101,109,0,99,115,118,0,0,0,0,0,37,0,0,0,97,0,0,0,32,0,0,0,37,0,0,0,98,0,0,0,32,0,0,0,37,0,0,0,100,0,0,0,32,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,115,0,0,0,0,0,0,0,111,112,116,105,109,105,122,97,116,105,111,110,32,109,101,116,104,111,100,58,32,32,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,0,0,0,83,116,97,114,116,32,110,117,109,101,114,105,99,97,108,32,115,111,108,118,101,114,32,102,114,111,109,32,37,103,32,116,111,32,37,103,0,0,0,0,35,35,35,32,78,111,32,83,111,108,117,116,105,111,110,33,32,35,35,35,10,32,97,102,116,101,114,32,37,100,32,114,101,115,116,97,114,116,115,0,66,111,117,110,100,97,114,121,95,112,84,0,0,0,0,0,84,104,101,32,109,97,116,114,105,120,32,111,102,32,112,97,114,116,105,97,108,32,100,101,114,105,118,97,116,105,118,101,115,32,105,115,32,115,105,110,103,117,108,97,114,46,0,0,112,97,114,115,101,114,32,115,117,115,112,101,110,100,101,100,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,56,41,61,49,32,65,78,68,32,72,48,61,48,46,48,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,110,101,119,32,115,101,116,117,112,32,88,77,76,32,102,105,108,101,32,116,111,32,116,104,101,32,103,101,110,101,114,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,99,111,100,101,0,0,0,98,97,115,101,95,97,114,114,97,121,95,115,104,97,112,101,95,101,113,40,115,111,117,114,99,101,44,32,100,101,115,116,41,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,95,116,117,114,98,117,108,101,110,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,95,116,117,114,98,117,108,101,110,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,115,95,102,103,95,116,117,114,98,117,108,101,110,116,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,0,110,97,109,101,0,0,0,0,83,79,77,69,32,78,73,67,69,32,69,81,85,65,84,73,79,78,32,78,65,77,69,32,40,116,111,32,98,101,32,115,101,116,32,97,32,108,105,116,116,108,101,32,108,97,116,101,114,41,0,0,0,0,0,0,60,116,111,116,97,108,84,105,109,101,62,37,102,60,47,116,111,116,97,108,84,105,109,101,62,10,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,100,117,114,105,110,103,32,101,118,101,110,116,32,105,116,101,114,97,116,105,111,110,0,0,0,101,109,112,116,121,0,0,0,37,97,32,37,98,32,37,100,32,37,72,58,37,77,58,37,83,32,37,89,0,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,97,108,115,0,0,0,0,0,97,112,112,97,114,101,110,116,32,115,116,97,116,101,58,32,117,110,105,116,32,37,100,32,0,0,0,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,101,116,104,111,100,58,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,0,0,0,82,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,44,32,98,117,116,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,32,119,97,115,32,110,111,116,32,99,111,109,112,105,108,101,100,32,119,105,116,104,32,115,117,112,112,111,114,116,32,102,111,114,32,105,116,46,32,67,111,109,112,105,108,101,32,119,105,116,104,32,45,68,95,79,77,67,95,73,78,76,73,78,69,95,82,75,46,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,114,101,100,117,99,101,32,116,104,101,32,116,111,108,101,114,97,110,99,101,32,115,108,105,103,104,116,108,121,32,116,111,32,37,101,46,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,101,100,105,117,109,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,101,100,105,117,109,46,112,32,62,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,112,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,37,112,0,0,0,0,0,0,87,97,116,101,114,73,70,57,55,0,0,0,0,0,0,0,84,104,101,32,99,111,114,114,101,99,116,111,114,32,99,111,117,108,100,32,110,111,116,32,99,111,110,118,101,114,103,101,46,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,105,108,108,101,103,97,108,32,99,104,97,114,97,99,116,101,114,40,115,41,32,105,110,32,112,117,98,108,105,99,32,105,100,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,84,79,85,84,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,32,40,61,82,50,41,0,0,0,0,0,0,100,117,109,112,115,32,116,104,101,32,99,112,117,45,116,105,109,101,32,105,110,116,111,32,116,104,101,32,114,101,115,117,108,116,115,45,102,105,108,101,0,0,0,0,0,0,0,0,37,100,46,37,100,103,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,95,116,117,114,98,117,108,101,110,116,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,105,110,118,97,108,105,100,32,102,105,115,116,32,108,105,115,116,45,112,111,105,110,116,101,114,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,95,115,101,116,46,100,117,114,97,116,105,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,95,115,101,116,46,100,117,114,97,116,105,111,110,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,68,71,69,84,82,83,0,0,76,111,119,101,114,0,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,103,111,116,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,105,110,100,101,120,32,37,108,100,44,32,101,120,112,101,99,116,101,100,32,37,108,100,0,0,0,0,0,0,0,60,108,105,110,101,97,114,105,122,101,84,105,109,101,62,37,102,60,47,108,105,110,101,97,114,105,122,101,84,105,109,101,62,10,0,0,0,0,0,0,115,118,103,0,0,0,0,0,111,117,116,112,117,116,115,32,106,97,99,111,98,105,97,110,32,111,102,32,116,104,101,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,37,115,58,32,37,115,10,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,105,111,109,32,37,115,0,0,0,0,0,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,100,105,115,97,98,108,101,32,115,111,108,118,101,114,32,105,110,116,101,114,110,97,108,32,115,99,97,108,105,110,103,46,0,0,0,0,0,0,119,97,116,101,114,0,0,0,68,68,65,83,83,76,32,104,97,100,32,114,101,112,101,97,116,101,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,32,111,110,32,116,104,101,32,108,97,115,116,32,97,116,116,101,109,112,116,101,100,32,115,116,101,112,46,0,0,0,0,0,116,101,120,116,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,72,77,65,88,32,40,61,82,49,41,32,46,76,84,46,32,48,46,48,0,0,0,0,117,112,100,97,116,105,110,103,32,110,111,109,105,110,97,108,45,118,97,108,117,101,115,0,115,101,108,101,99,116,115,32,116,104,101,32,116,121,112,101,32,111,102,32,99,108,111,99,107,32,116,111,32,117,115,101,32,45,99,108,111,99,107,61,82,84,44,32,45,99,108,111,99,107,61,67,89,67,32,111,114,32,45,99,108,111,99,107,61,67,80,85,0,0,0,0,78,0,0,0,0,0,0,0,114,101,99,101,110,100,0,0,37,35,46,42,102,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,102,114,105,99,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,68,71,69,84,82,70,0,0,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,0,68,71,69,84,70,50,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,32,62,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,115,116,100,58,58,98,97,100,95,97,108,108,111,99,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,99,111,110,116,97,105,110,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,111,117,116,32,105,110,100,101,120,0,0,0,0,0,0,0,0,60,111,117,116,112,117,116,84,105,109,101,62,37,102,60,47,111,117,116,112,117,116,84,105,109,101,62,10,0,0,0,0,95,112,114,111,102,46,112,108,116,0,0,0,0,0,0,0,111,117,116,112,117,116,115,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,0,0,0,0,0,0,37,72,58,37,77,58,37,83,0,0,0,0,0,0,0,0,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,84,105,109,101,0,0,0,0,37,115,58,32,101,110,100,32,111,102,32,102,105,108,101,10,0,0,0,0,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,82,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,105,110,108,105,110,101,45,101,117,108,101,114,44,32,98,117,116,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,32,119,97,115,32,110,111,116,32,99,111,109,112,105,108,101,100,32,119,105,116,104,32,115,117,112,112,111,114,116,32,102,111,114,32,105,116,46,32,67,111,109,112,105,108,101,32,119,105,116,104,32,45,68,95,79,77,67,95,73,78,76,73,78,69,95,69,85,76,69,82,46,0,0,0,0,0,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,62,32,48,46,48,0,0,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,119,105,116,104,32,111,119,110,32,115,99,97,108,105,110,103,32,102,97,99,116,111,114,115,46,0,98,97,115,101,95,97,114,114,97,121,95,115,104,97,112,101,95,101,113,40,115,111,117,114,99,101,44,32,100,101,115,116,41,0,0,0,0,0,0,0,112,117,109,112,46,114,104,111,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,78,65,77,69,0,0,0,0,0,0,0,84,104,101,32,101,114,114,111,114,32,116,111,108,101,114,97,110,99,101,115,32,97,114,101,32,116,111,111,32,115,116,114,105,110,103,101,110,116,0,0,68,117,109,109,121,32,101,113,117,97,116,105,111,110,32,115,111,32,119,101,32,99,97,110,32,105,110,100,101,120,32,102,114,111,109,32,49,0,0,0,68,71,69,83,86,32,0,0,119,0,0,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,111,112,101,110,32,37,115,58,32,37,115,10,0,0,115,101,101,100,58,32,100,97,116,97,45,62,115,105,109,117,108,97,116,105,111,110,73,110,102,111,46,97,110,97,108,121,116,105,99,74,97,99,111,98,105,97,110,115,91,105,110,100,101,120,93,46,115,101,101,100,86,97,114,115,91,37,100,93,61,32,37,102,0,0,0,0,88,77,76,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,52,41,32,61,32,49,32,65,78,68,32,84,83,84,79,80,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,79,85,84,32,40,61,82,50,41,0,0,68,71,69,77,77,32,0,0,117,110,107,110,111,119,110,0,37,45,49,56,115,32,91,37,115,93,0,0,0,0,0,0,101,108,116,115,91,48,93,45,62,100,105,109,95,115,105,122,101,91,106,93,32,61,61,32,101,108,116,115,91,105,93,45,62,100,105,109,95,115,105,122,101,91,106,93,0,0,0,0,117,116,105,108,47,114,101,97,100,95,109,97,116,108,97,98,52,46,99,0,0,0,0,0,99,111,110,116,105,110,117,111,117,115,0,0,0,0,0,0,119,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,62,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,110,97,109,101,0,0,0,0,37,115,95,105,110,105,116,80,97,116,104,46,99,115,118,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,111,108,118,101,114,32,105,116,101,114,97,116,101,100,32,37,100,32,116,105,109,101,115,32,119,105,116,104,111,117,116,32,102,105,110,100,105,110,103,32,97,32,115,111,108,117,116,105,111,110,0,0,0,0,112,117,109,112,46,114,104,111,95,110,111,109,105,110,97,108,0,0,0,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,0,0,76,79,71,95,68,68,65,83,82,84,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,100,105,97,109,101,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,100,105,97,109,101,116,101,114,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,98,97,100,32,115,116,114,105,110,103,0,0,0,0,0,0,108,101,97,115,116,32,115,113,117,97,114,101,32,118,97,108,117,101,58,32,37,103,32,91,115,99,97,108,101,100,58,32,37,103,93,0,0,0,0,0,10,69,120,116,101,114,110,97,108,32,73,110,112,117,116,0,82,81,70,0,0,0,0,0,37,115,0,0,0,0,0,0,105,110,100,101,120,0,0,0,60,101,118,101,110,116,84,105,109,101,62,37,102,60,47,101,118,101,110,116,84,105,109,101,62,10,0,0,0,0,0,0,87,114,111,116,101,32,112,97,114,97,109,101,116,101,114,115,32,116,111,32,116,104,101,32,102,105,108,101,32,97,102,116,101,114,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,40,102,111,114,32,111,117,116,112,117,116,32,102,111,114,109,97,116,115,32,116,104,97,116,32,115,117,112,112,111,114,116,32,116,104,105,115,41,0,0,0,0,0,0,0,0,95,112,114,111,102,46,120,109,108,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,100,101,98,117,103,32,105,110,102,111,114,109,97,116,105,111,110,0,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,0,0,0,0,0,0,0,0,118,109,101,116,97,0,0,0,120,91,37,100,93,32,61,32,37,46,49,53,101,0,0,0,37,115,58,32,105,108,108,101,103,97,108,32,101,114,114,111,114,32,110,117,109,98,101,114,32,37,100,10,0,0,0,0,124,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,105,110,108,105,110,101,45,101,117,108,101,114,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,115,99,97,108,105,110,103,32,102,97,99,116,111,114,32,97,115,32,105,110,105,116,105,97,108,32,112,111,105,110,116,46,0,0,120,91,37,100,93,32,61,32,37,102,0,0,0,0,0,0,110,101,119,116,111,110,0,0,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,105,110,99,111,109,112,108,101,116,101,32,109,97,114,107,117,112,32,105,110,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,68,65,83,83,76,45,45,32,32,65,76,76,32,69,76,69,77,69,78,84,83,32,79,70,32,82,84,79,76,32,65,78,68,32,65,84,79,76,32,65,82,69,32,90,69,82,79,0,110,109,76,98,117,102,32,111,118,101,114,102,108,111,119,0,70,76,65,71,95,77,65,88,0,0,0,0,0,0,0,0,101,108,116,115,91,48,93,45,62,110,100,105,109,115,32,61,61,32,101,108,116,115,91,105,93,45,62,110,100,105,109,115,0,0,0,0,0,0,0,0,97,98,115,86,97,114,73,110,100,101,120,32,62,32,48,32,38,38,32,97,98,115,86,97,114,73,110,100,101,120,32,60,61,32,114,101,97,100,101,114,45,62,110,118,97,114,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,115,113,114,116,40,111,91,50,53,93,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,61,32,48,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,114,111,117,103,104,110,101,115,115,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,99,111,110,116,97,105,110,101,100,32,109,111,114,101,32,101,113,117,97,116,105,111,110,115,32,116,104,97,110,32,101,120,112,101,99,116,101,100,32,40,37,108,100,41,0,0,0,0,60,105,110,105,116,84,105,109,101,62,37,102,60,47,105,110,105,116,84,105,109,101,62,10,0,0,0,0,0,0,0,0,76,105,110,101,97,114,32,109,111,100,101,108,32,105,115,32,99,114,101,97,116,101,100,33,0,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,100,97,115,115,108,32,115,111,108,118,101,114,0,0,0,0,0,0,0,37,109,47,37,100,47,37,121,0,0,0,0,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,58,32,37,115,0,0,0,0,116,105,109,101,0,0,0,0,83,105,109,117,108,97,116,105,111,110,32,116,105,109,101,32,91,115,93,0,0,0,0,0,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,73,112,111,112,116,32,105,115,32,110,101,101,100,101,100,32,98,117,116,32,110,111,116,32,97,118,97,105,108,97,98,108,101,46,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,118,97,114,121,32,105,110,105,116,105,97,108,32,112,111,105,110,116,32,98,121,32,45,49,37,37,46,0,0,0,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,111,102,102,115,101,116,32,118,97,108,117,101,32,102,111,114,32,116,104,101,32,110,101,120,116,32,115,116,101,112,58,32,37,46,49,48,102,0,0,0,70,105,110,105,115,104,101,100,32,68,68,65,83,82,84,32,115,116,101,112,46,0,0,0,109,117,115,116,32,110,111,116,32,117,110,100,101,99,108,97,114,101,32,112,114,101,102,105,120,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,65,84,79,76,32,73,83,32,46,76,84,46,32,48,0,119,0,0,0,0,0,0,0,73,109,112,108,101,109,101,110,116,97,116,105,111,110,32,101,114,114,111,114,58,32,85,110,107,110,111,119,110,32,99,97,115,101,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,102,46,100,101,108,116,97,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,0,0,0,37,115,58,32,85,110,107,110,111,119,110,32,97,116,116,114,105,98,117,116,101,32,105,110,32,60,105,110,102,111,62,0,60,112,114,101,105,110,105,116,84,105,109,101,62,37,102,60,47,112,114,101,105,110,105,116,84,105,109,101,62,10,0,0,116,104,105,115,32,115,116,114,101,97,109,32,105,115,32,97,108,119,97,121,115,32,97,99,116,105,118,101,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,0,0,0,0,0,0,0,0,115,105,103,115,0,0,0,0,116,105,109,101,0,0,0,0,110,111,110,45,112,111,115,105,116,105,118,101,32,114,101,99,111,114,100,32,110,117,109,98,101,114,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,105,105,109,32,37,115,0,0,0,0,0,83,117,110,100,105,97,108,47,107,105,110,115,111,108,32,105,115,32,110,101,101,100,101,100,32,98,117,116,32,110,111,116,32,97,118,97,105,108,97,98,108,101,46,32,80,108,101,97,115,101,32,99,104,111,111,115,101,32,111,116,104,101,114,32,115,111,108,118,101,114,46,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,118,97,114,121,32,105,110,105,116,105,97,108,32,112,111,105,110,116,32,98,121,32,97,100,100,105,110,103,32,49,37,37,46,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,100,97,115,115,108,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,37,115,0,0,0,0,0,47,42,82,101,97,108,42,47,40,112,117,109,112,46,110,80,97,114,97,108,108,101,108,41,0,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,47,115,111,108,118,101,114,47,100,97,115,115,108,46,99,0,0,0,0,0,0,0,117,110,98,111,117,110,100,32,112,114,101,102,105,120,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,82,84,79,76,32,73,83,32,46,76,84,46,32,48,0,115,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,95,50,32,109,97,116,114,105,120,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,103,46,112,105,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,116,114,117,101,0,0,0,0,60,111,118,101,114,104,101,97,100,84,105,109,101,62,37,102,60,47,111,118,101,114,104,101,97,100,84,105,109,101,62,10,0,0,0,0,0,0,0,0,95,114,101,115,46,0,0,0,117,110,107,110,111,119,110,0,102,0,0,0,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1638776);
/* memory initializer */ allocate([108,0,0,0,115,0,0,0,101,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,32,102,105,108,116,101,114,58,32,37,115,0,0,0,0,0,116,109,101,116,97,0,0,0,99,97,110,39,116,32,97,112,112,101,110,100,32,116,111,32,102,105,108,101,0,0,0,0,69,66,90,0,0,0,0,0,35,35,35,32,69,78,68,32,83,84,65,84,73,83,84,73,67,83,32,35,35,35,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,117,115,101,32,111,108,100,32,118,97,108,117,101,115,32,105,110,115,116,101,97,100,32,101,120,116,114,97,112,111,108,97,116,101,100,46,0,0,91,37,108,100,93,32,37,115,32,61,32,37,99,32,124,32,112,114,101,40,37,115,41,32,61,32,37,99,0,0,0,0,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,44,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,44,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,41,0,0,0,0,115,97,118,101,32,97,108,108,32,122,101,114,111,99,114,111,115,115,105,110,103,115,32,97,102,116,101,114,32,97,110,32,101,118,101,110,116,0,0,0,49,48,32,43,32,117,105,32,60,32,100,97,115,115,108,68,97,116,97,45,62,108,105,119,0,0,0,0,0,0,0,0,99,97,110,110,111,116,32,99,104,97,110,103,101,32,115,101,116,116,105,110,103,32,111,110,99,101,32,112,97,114,115,105,110,103,32,104,97,115,32,98,101,103,117,110,0,0,0,0,68,65,83,83,76,45,45,32,32,73,87,79,82,75,32,76,69,78,71,84,72,32,78,69,69,68,69,68,44,32,76,69,78,73,87,32,40,61,73,49,41,44,32,69,88,67,69,69,68,83,32,76,73,87,32,40,61,73,50,41,0,0,0,0,39,110,101,119,39,32,102,105,108,101,32,101,120,105,115,116,115,0,0,0,0,0,0,0,114,0,0,0,0,0,0,0,84,111,111,32,102,101,119,32,114,111,119,115,32,105,110,32,100,97,116,97,95,50,32,109,97,116,114,105,120,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,49,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,102,97,108,115,101,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,98,97,115,101,95,97,114,114,97,121,46,99,58,32,97,114,114,97,121,32,100,105,109,101,110,115,105,111,110,115,32,115,105,122,101,115,32,97,114,101,32,78,85,76,76,33,10,0,60,111,117,116,112,117,116,70,105,108,101,115,105,122,101,62,37,108,100,60,47,111,117,116,112,117,116,70,105,108,101,115,105,122,101,62,10,0,0,0,111,118,101,114,119,114,105,116,101,32,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,32,91,102,114,111,109,32,99,111,109,109,97,110,100,32,108,105,110,101,93,0,76,79,71,95,90,69,82,79,67,82,79,83,83,73,78,71,83,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,70,105,108,116,101,114,0,0,111,98,106,115,0,0,0,0,99,112,117,32,116,105,109,101,32,91,115,93,0,0,0,0,35,35,35,32,83,84,65,82,84,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,0,0,83,84,0,0,0,0,0,0,115,111,114,114,121,32,45,32,110,111,32,115,111,108,118,101,114,32,115,116,97,116,105,115,116,105,99,115,32,97,118,97,105,108,97,98,108,101,46,32,91,110,111,116,32,121,101,116,32,105,109,112,108,101,109,101,110,116,101,100,93,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,116,111,32,115,111,108,118,101,32,97,32,100,105,115,99,111,110,116,105,110,117,111,117,115,32,115,121,115,116,101,109,46,0,0,115,116,97,116,117,115,32,111,102,32,114,101,108,97,116,105,111,110,115,0,0,0,0,0,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,0,0,0,0,0,37,108,100,32,99,104,97,110,103,101,100,32,102,114,111,109,32,37,115,32,116,111,32,99,117,114,114,101,110,116,32,37,115,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,68,65,83,83,76,45,45,32,32,65,67,84,73,79,78,32,87,65,83,32,84,65,75,69,78,46,32,82,85,78,32,84,69,82,77,73,78,65,84,69,68,0,0,0,0,0,0,0,116,111,116,97,108,32,110,117,109,98,101,114,32,111,102,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,58,32,37,100,0,40,105,32,62,32,48,41,32,38,38,32,40,105,32,60,61,32,97,45,62,110,100,105,109,115,41,0,0,0,0,0,0,114,101,113,117,101,115,116,101,100,32,102,101,97,116,117,114,101,32,114,101,113,117,105,114,101,115,32,88,77,76,95,68,84,68,32,115,117,112,112,111,114,116,32,105,110,32,69,120,112,97,116,0,0,0,0,0,68,65,83,83,76,45,45,32,32,82,87,79,82,75,32,76,69,78,71,84,72,32,78,69,69,68,69,68,44,32,76,69,78,82,87,32,40,61,73,49,41,44,32,69,88,67,69,69,68,83,32,76,82,87,32,40,61,73,50,41,0,0,0,0,112,111,114,116,0,0,0,0,58,32,0,0,0,0,0,0,101,108,116,115,91,48,93,45,62,110,100,105,109,115,32,62,61,32,107,0,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,32,111,114,32,50,32,114,111,119,115,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,116,0,0,0,114,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,47,42,82,101,97,108,42,47,40,112,117,109,112,46,110,80,97,114,97,108,108,101,108,41,32,42,32,112,117,109,112,46,114,104,111,95,110,111,109,105,110,97,108,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,97,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,99,111,108,69,110,100,0,0,60,47,111,117,116,112,117,116,70,105,108,101,110,97,109,101,62,10,0,0,0,0,0,0,76,105,110,101,97,114,105,122,97,116,105,111,110,32,119,105,108,108,32,112,101,114,102,111,114,109,101,100,32,97,116,32,112,111,105,110,116,32,111,102,32,116,105,109,101,58,32,37,102,0,0,0,0,0,0,0,76,79,71,95,85,84,73,76,0,0,0,0,0,0,0,0,111,117,116,112,117,116,32,102,111,114,109,97,116,58,32,37,115,0,0,0,0,0,0,0,116,97,98,115,0,0,0,0,36,99,112,117,84,105,109,101,0,0,0,0,0,0,0,0,99,97,110,39,116,32,119,114,105,116,101,32,102,105,108,101,0,0,0,0,0,0,0,0,91,37,108,100,93,32,83,116,114,105,110,103,32,37,115,40,115,116,97,114,116,61,34,37,115,34,41,32,61,32,34,37,115,34,32,40,112,114,101,58,32,34,37,115,34,41,0,0,85,85,77,0,0,0,0,0,115,111,108,118,101,114,0,0,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,119,105,116,104,111,117,116,32,115,99,97,108,105,110,103,32,97,116,32,97,108,108,46,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,83,116,114,105,110,103,32,37,115,40,115,116,97,114,116,61,34,37,115,34,41,32,61,32,34,37,115,34,0,0,0,0,13,0,0,0,0,0,0,0,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,98,105,115,101,99,116,105,111,110,32,99,104,101,99,107,115,32,102,111,114,32,99,111,110,100,105,116,105,111,110,32,99,104,97,110,103,101,115,0,0,116,111,116,97,108,32,110,117,109,98,101,114,32,111,102,32,99,111,110,118,101,114,103,101,110,99,101,32,116,101,115,116,32,102,97,105,108,117,114,101,115,58,32,37,100,0,0,0,98,97,115,101,95,97,114,114,97,121,95,111,107,40,97,41,0,0,0,0,0,0,0,0,99,112,117,0,0,0,0,0,101,110,116,105,116,121,32,100,101,99,108,97,114,101,100,32,105,110,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,0,0,83,111,108,118,105,110,103,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,37,115,58,32,105,116,101,114,97,116,105,111,110,32,110,111,116,32,109,97,107,105,110,103,32,112,114,111,103,114,101,115,115,44,32,116,114,121,105,110,103,32,116,111,32,100,101,99,114,101,97,115,101,32,102,97,99,116,111,114,32,116,111,32,37,103,0,0,0,0,0,68,65,83,83,76,45,45,32,32,77,65,88,79,82,68,32,40,61,73,49,41,32,78,79,84,32,73,78,32,82,65,78,71,69,0,0,0,0,0,0,115,116,97,114,116,105,111,0,111,118,101,114,114,105,100,101,70,105,108,101,0,0,0,0,102,111,114,109,97,116,116,101,100,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,99,111,110,116,97,105,110,101,100,32,112,97,114,97,109,101,116,101,114,32,116,104,97,116,32,99,104,97,110,103,101,100,32,98,101,116,119,101,101,110,32,115,116,97,114,116,32,97,110,100,32,115,116,111,112,45,116,105,109,101,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,0,0,0,0,116,114,117,101,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,112,95,98,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,109,97,120,95,116,112,32,33,61,32,48,0,0,0,0,0,99,111,108,83,116,97,114,116,0,0,0,0,0,0,0,0,60,111,117,116,112,117,116,70,105,108,101,110,97,109,101,62,0,0,0,0,0,0,0,0,67,104,111,115,101,110,32,99,108,111,99,107,45,116,121,112,101,58,32,37,115,32,110,111,116,32,97,118,97,105,108,97,98,108,101,32,102,111,114,32,116,104,101,32,99,117,114,114,101,110,116,32,112,108,97,116,102,111,114,109,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,114,101,97,108,45,116,105,109,101,46,0,0,76,79,71,95,83,84,65,84,83,0,0,0,0,0,0,0,111,117,116,112,117,116,70,111,114,109,97,116,0,0,0,0,102,109,101,116,97,0,0,0,100,101,114,40,0,0,0,0,105,110,100,101,120,32,91,37,100,93,32,111,117,116,32,111,102,32,114,97,110,103,101,32,91,37,100,58,37,100,93,0,99,97,110,39,116,32,114,101,97,100,32,102,105,108,101,0,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,76,65,0,0,0,0,0,0,37,53,100,32,99,111,110,118,101,114,103,101,110,99,101,32,116,101,115,116,32,102,97,105,108,117,114,101,115,0,0,0,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,111,108,100,32,118,97,108,117,101,115,32,97,115,32,115,99,97,108,105,110,103,32,102,97,99,116,111,114,115,46,0,0,0,0,0,0,0,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,84,84,79,76,32,105,115,32,115,101,116,32,116,111,58,32,37,101,0,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,99,97,108,99,117,108,97,116,105,111,110,32,111,102,32,106,97,99,111,98,105,97,110,32,58,32,37,100,0,0,68,105,109,101,110,115,105,111,110,32,37,100,32,104,97,115,32,98,111,117,110,100,115,32,49,46,46,37,100,44,32,103,111,116,32,97,114,114,97,121,32,115,117,98,115,99,114,105,112,116,32,37,100,0,0,0,117,110,101,120,112,101,99,116,101,100,32,112,97,114,115,101,114,32,115,116,97,116,101,32,45,32,112,108,101,97,115,101,32,115,101,110,100,32,97,32,98,117,103,32,114,101,112,111,114,116,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,78,69,81,32,40,61,73,49,41,32,46,76,69,46,32,48,0,0,0,0,0,0,0,119,95,101,100,44,32,117,110,101,120,112,101,99,116,101,100,32,99,111,100,101,58,32,37,100,10,0,0,0,0,0,0,115,117,98,115,99,114,105,112,116,32,111,117,116,32,111,102,32,98,111,117,110,100,115,0,111,118,101,114,114,105,100,101,0,0,0,0,0,0,0,0,98,97,115,101,95,97,114,114,97,121,95,111,107,40,100,101,115,116,41,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,95,49,32,109,97,116,114,105,120,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,37,35,46,42,69,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,65,99,108,97,115,115,0,0,108,105,110,101,69,110,100,0,60,47,111,117,116,112,117,116,70,111,114,109,97,116,62,10,0,0,0,0,0,0,0,0,91,117,110,107,110,111,119,110,32,99,108,111,99,107,45,116,121,112,101,93,32,103,111,116,32,37,115,44,32,101,120,112,101,99,116,101,100,32,67,80,85,124,82,84,124,67,89,67,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,82,84,46,0,0,0,0,0,76,79,71,95,83,79,84,73,0,0,0,0,0,0,0,0,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,0,0,0,0,0,0,0,97,43,98,0,0,0,0,0,102,97,108,115,101,0,0,0,80,66,0,0,0,0,0,0,37,53,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,0,105,108,108,101,103,97,108,32,32,105,110,112,117,116,32,105,110,32,97,114,103,117,109,101,110,116,32,37,100,0,0,0,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,118,97,114,121,32,115,111,108,117,116,105,111,110,32,112,111,105,110,116,32,98,121,32,49,37,37,46,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,66,111,111,108,101,97,110,32,37,115,40,115,116,97,114,116,61,37,115,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,115,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,0,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,98,105,115,101,99,116,105,111,110,32,109,101,116,104,111,100,32,115,116,97,114,116,115,32,105,110,32,105,110,116,101,114,118,97,108,32,91,37,101,44,32,37,101,93,0,0,0,0,110,117,109,98,101,114,32,111,102,32,99,97,108,108,115,32,111,102,32,102,117,110,99,116,105,111,110,79,68,69,40,41,32,58,32,37,100,0,0,0,100,111,99,117,109,101,110,116,32,105,115,32,110,111,116,32,115,116,97,110,100,97,108,111,110,101,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,73,78,70,79,32,86,69,67,84,79,82,32,73,83,32,78,79,84,32,90,69,82,79,32,79,82,32,79,78,69,0,115,117,98,115,116,114,105,110,103,32,111,117,116,32,111,102,32,98,111,117,110,100,115,0,111,117,116,112,117,116,0,0,45,37,100,46,37,100,103,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,32,111,114,32,50,32,99,111,108,115,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,101,109,112,116,121,32,108,105,115,116,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,68,121,110,97,109,105,99,70,114,101,101,73,110,105,116,105,97,108,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,111,109,101,110,116,117,109,68,121,110,97,109,105,99,115,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,68,121,110,97,109,105,99,115,46,83,116,101,97,100,121,83,116,97,116,101,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,0,0,0,0,0,67,0,0,0,0,0,0,0,76,101,102,116,0,0,0,0,108,105,110,101,83,116,97,114,116,0,0,0,0,0,0,0,60,111,117,116,112,117,116,70,111,114,109,97,116,62,0,0,67,89,67,0,0,0,0,0,76,79,71,95,83,79,76,86,69,82,0,0,0,0,0,0,115,111,108,118,101,114,0,0,119,43,98,0,0,0,0,0,116,114,117,101,0,0,0,0,71,66,0,0,0,0,0,0,37,53,100,32,101,118,97,108,117,97,116,105,111,110,115,32,111,102,32,106,97,99,111,98,105,97,110,0,0,0,0,0,74,97,99,111,98,105,97,110,32,77,97,116,114,105,120,32,115,105,110,103,117,108,97,114,33,0,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,100,101,99,114,101,97,115,105,110,103,32,105,110,105,116,105,97,108,32,115,116,101,112,32,98,111,117,110,100,32,116,111,32,37,102,46,0,0,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,115,109,97,108,108,32,45,32,115,121,115,116,101,109,46,100,112,95,115,109,97,108,108,0,0,0,0,0,0,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,107,115,95,105,110,118,91,49,93,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,0,98,97,99,107,117,112,95,103,111,117,116,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,115,116,101,112,115,32,116,97,107,101,110,32,115,111,32,102,97,114,58,32,37,100,0,0,0,0,0,0,0,0,101,114,114,111,114,32,105,110,32,112,114,111,99,101,115,115,105,110,103,32,101,120,116,101,114,110,97,108,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,68,65,83,83,76,45,45,32,32,73,78,73,84,73,65,76,32,89,80,82,73,77,69,32,67,79,85,76,68,32,78,79,84,32,66,69,32,67,79,77,80,85,84,69,68,0,0,0,117,112,100,97,116,105,110,103,32,109,97,120,45,118,97,108,117,101,115,0,0,0,0,0,110,111,69,118,101,110,116,69,109,105,116,0,0,0,0,0,108,101,102,116,32,111,102,102,0,0,0,0,0,0,0,0,101,108,116,115,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,99,111,110,116,97,105,110,32,97,116,32,108,101,97,115,116,32,49,32,118,97,114,105,97,98,108,101,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,95,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,95,84,32,62,61,32,49,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,95,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,91,37,100,93,58,32,37,115,32,61,32,37,103,0,0,0,115,116,97,114,116,105,111,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,116,104,47,112,97,99,107,97,103,101,46,109,111,0,0,0,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,102,105,108,101,0,0,0,0,60,47,109,101,116,104,111,100,62,10,0,0,0,0,0,0,82,84,0,0,0,0,0,0,111,114,105,102,105,99,101,46,100,112,95,110,111,109,105,110,97,108,0,0,0,0,0,0,76,79,71,95,83,73,77,85,76,65,84,73,79,78,0,0,116,111,108,101,114,97,110,99,101,32,61,32,37,103,0,0,114,43,98,0,0,0,0,0,105,110,118,97,108,105,100,32,97,114,114,97,121,32,115,101,99,116,105,111,110,0,0,0,91,37,108,100,93,32,66,111,111,108,101,97,110,32,37,115,40,115,116,97,114,116,61,37,115,41,32,61,32,37,115,32,40,112,114,101,58,32,37,115,41,0,0,0,0,0,0,0,85,78,0,0,0,0,0,0,37,53,100,32,99,97,108,108,115,32,111,102,32,102,117,110,99,116,105,111,110,79,68,69,0,0,0,0,0,0,0,0,112,117,109,112,46,109,101,100,105,117,109,46,104,32,60,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,40,112,117,109,112,46,109,101,100,105,117,109,46,112,41,41,32,111,114,32,112,117,109,112,46,109,101,100,105,117,109,46,104,32,62,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,112,117,109,112,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,40,112,117,109,112,46,109,101,100,105,117,109,46,112,41,41,32,111,114,32,112,117,109,112,46,109,101,100,105,117,109,46,112,32,62,32,50,50,48,54,52,48,48,48,46,48,0,0,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,37,115,40,115,116,97,114,116,61,37,108,100,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,108,100,0,0,0,98,97,115,101,95,97,114,114,97,121,95,111,107,40,100,101,115,116,41,0,0,0,0,0,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,70,76,65,71,95,77,65,88,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,115,116,101,112,32,115,105,122,101,32,117,115,101,100,32,111,110,32,108,97,115,116,32,115,117,99,99,101,115,115,102,117,108,32,115,116,101,112,58,32,37,48,46,52,103,0,0,0,70,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,101,120,112,97,116,32,111,98,106,101,99,116,0,0,0,105,111,115,95,98,97,115,101,58,58,99,108,101,97,114,0,119,98,0,0,0,0,0,0,80,108,111,116,115,32,111,102,32,112,114,111,102,105,108,105,110,103,32,100,97,116,97,32,119,101,114,101,32,100,105,115,97,98,108,101,100,58,32,37,115,10,0,0,0,0,0,0,117,110,99,108,111,115,101,100,32,67,68,65,84,65,32,115,101,99,116,105,111,110,0,0,68,65,83,83,76,45,45,32,32,73,82,69,83,32,87,65,83,32,69,81,85,65,76,32,84,79,32,77,73,78,85,83,32,84,87,79,0,0,0,0,84,0,0,0,0,0,0,0,110,111,101,109,105,116,0,0,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,112,97,114,97,109,115,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,73,110,102,111,32,109,97,116,114,105,120,0,69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,111,102,32,115,105,122,101,32,37,108,100,32,102,97,105,108,101,100,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,112,111,114,116,95,97,95,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,112,111,114,116,95,97,95,84,32,62,61,32,49,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,112,111,114,116,95,97,95,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,65,99,108,97,115,115,0,0,34,37,115,34,44,0,0,0,116,114,121,32,45,105,108,115,32,116,111,32,97,99,116,105,118,97,116,101,32,115,116,97,114,116,32,118,97,108,117,101,32,104,111,109,111,116,111,112,121,0,0,0,0,0,0,0,108,101,97,115,116,83,113,117,97,114,101,61,37,103,0,0,112,117,109,112,46,114,104,111,0,0,0,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,117,110,102,105,120,101,100,32,118,97,114,105,97,98,108,101,115,58,32,32,37,108,100,32,40,37,108,100,32,115,116,97,116,101,115,32,43,32,37,108,100,32,112,97,114,97,109,101,116,101,114,115,32,43,32,37,108,100,32,100,105,115,99,114,101,116,101,32,114,101,97,108,115,41,0,0,0,0,97,115,115,101,114,116,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,107,115,95,105,110,118,91,49,93,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,0,102,109,116,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,115,116,97,116,117,115,0,0,0,37,108,102,0,0,0,0,0,81,82,70,0,0,0,0,0,37,115,37,46,53,101,32,0,105,110,102,111,0,0,0,0,60,109,101,116,104,111,100,62,0,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,98,121,32,97,110,32,97,115,115,101,114,116,105,111,110,32,97,116,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,67,80,85,0,0,0,0,0,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,70,105,116,116,105,110,103,115,46,66,97,115,101,67,108,97,115,115,101,115,46,108,111,115,115,67,111,110,115,116,97,110,116,95,68,95,122,101,116,97,40,111,114,105,102,105,99,101,46,100,105,97,109,101,116,101,114,44,32,111,114,105,102,105,99,101,46,122,101,116,97,95,110,111,109,105,110,97,108,41,0,116,111,108,101,114,97,110,99,101,0,0,0,0,0,0,0,76,79,71,95,82,69,83,95,73,78,73,84,0,0,0,0,83,116,97,114,116,32,115,111,108,118,105,110,103,32,78,111,110,45,76,105,110,101,97,114,32,83,121,115,116,101,109,32,37,115,32,97,116,32,116,105,109,101,32,37,103,32,119,105,116,104,32,78,101,119,116,111,110,32,83,111,108,118,101,114,0,0,0,0,0,0,0,0,114,98,0,0,0,0,0,0,115,117,98,115,99,114,105,112,116,32,102,111,114,32,115,99,97,108,97,114,32,118,97,114,105,97,98,108,101,0,0,0,98,111,111,108,101,97,110,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,66,82,0,0,0,0,0,0,37,53,100,32,115,116,101,112,115,32,116,97,107,101,110,0,37,100,32,114,101,116,114,105,101,115,10,37,100,32,114,101,115,116,97,114,116,115,0,0,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,115,116,97,114,116,32,115,111,108,118,105,110,103,32,110,111,110,45,108,105,110,101,97,114,32,115,121,115,116,101,109,32,62,62,37,115,60,60,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,0,0,107,105,110,115,111,108,0,0,91,37,100,93,32,37,115,0,91,37,100,93,32,37,115,0,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,37,108,100,32,0,0,0,0,115,116,100,58,58,98,97,100,95,99,97,115,116,0,0,0,115,116,101,112,32,115,105,122,101,32,72,32,116,111,32,98,101,32,97,116,116,101,109,112,116,101,100,32,111,110,32,110,101,120,116,32,115,116,101,112,58,32,37,48,46,52,103,0,116,105,109,101,32,60,32,112,95,115,101,116,46,115,116,97,114,116,84,105,109,101,0,0,101,110,99,111,100,105,110,103,32,115,112,101,99,105,102,105,101,100,32,105,110,32,88,77,76,32,100,101,99,108,97,114,97,116,105,111,110,32,105,115,32,105,110,99,111,114,114,101,99,116,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,65,78,68,32,83,84,69,80,83,73,90,69,32,72,32,40,61,82,50,41,0,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,32,99,111,117,110,116,32,105,110,99,111,114,114,101,99,116,0,0,0,0,0,0,0,0,110,108,115,0,0,0,0,0,98,97,115,101,95,97,114,114,97,121,95,111,107,40,115,111,117,114,99,101,41,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,110,97,109,101,115,32,109,97,116,114,105,120,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,70,105,116,116,105,110,103,115,46,109,111,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,0,0,0,0,112,117,109,112,46,114,104,111,0,0,0,0,0,0,0,0,60,100,101,102,105,110,101,115,62,32,110,101,101,100,115,32,116,111,32,104,97,118,101,32,101,120,97,99,116,108,121,32,111,110,101,32,97,116,116,114,105,98,117,116,101,58,32,110,97,109,101,0,0,0,0,0,60,47,100,97,116,101,62,10,0,0,0,0,0,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,114,118,97,108,115,32,61,32,37,108,100,0,112,117,109,112,46,78,95,110,111,109,105,110,97,108,0,0,115,116,101,112,83,105,122,101,32,61,32,37,103,0,0,0,76,79,71,95,78,76,83,95,82,69,83,0,0,0,0,0,97,98,0,0,0,0,0,0,91,37,108,100,93,32,73,110,116,101,103,101,114,32,37,115,40,115,116,97,114,116,61,37,108,100,41,32,61,32,37,108,100,32,40,112,114,101,58,32,37,108,100,41,0,0,0,0,84,82,0,0,0,0,0,0,115,111,108,118,101,114,58,32,68,65,83,83,76,0,0,0,115,121,115,116,101,109,32,115,111,108,118,101,100,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,103,0,0,0,0,0,0,0,0,111,114,105,102,105,99,101,46,65,95,109,101,97,110,0,0,84,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,111,117,116,112,117,116,32,102,105,108,101,32,37,115,32,99,111,117,108,100,32,110,111,116,32,98,101,32,111,112,101,110,101,100,58,32,37,115,0,0,0,0,0,0,0,0,99,117,114,114,101,110,116,32,105,110,116,101,103,114,97,116,105,111,110,32,116,105,109,101,32,118,97,108,117,101,58,32,37,48,46,52,103,0,0,0,117,110,107,110,111,119,110,32,101,110,99,111,100,105,110,103,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,82,69,83,32,87,65,83,32,69,81,85,65,76,32,84,79,32,77,73,78,85,83,32,79,78,69,0,0,0,0,110,111,32,101,110,100,32,114,101,99,111,114,100,0,0,0,109,101,97,115,117,114,101,84,105,109,101,80,108,111,116,70,111,114,109,97,116,0,0,0,63,0,0,0,0,0,0,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,98,105,110,84,114,97,110,115,32,111,114,32,98,105,110,78,111,114,109,97,108,32,102,111,114,109,97,116,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,100,32,62,61,32,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,76,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,110,97,109,101,0,0,0,0,60,100,97,116,101,62,0,0,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,111,117,116,112,117,116,116,105,110,103,32,97,108,108,32,118,97,114,105,97,98,108,101,115,46,0,0,0,0,0,0,0,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,0,0,0,0,0,0,115,116,101,112,83,105,122,101,0,0,0,0,0,0,0,0,76,79,71,95,78,76,83,95,74,65,67,0,0,0,0,0,119,98,0,0,0,0,0,0,105,110,116,101,103,101,114,32,118,97,114,105,97,98,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1649016);
/* memory initializer */ allocate([115,0,0,0,0,0,0,0,72,82,0,0,0,0,0,0,37,53,108,100,32,116,105,109,101,32,101,118,101,110,116,115,0,0,0,0,0,0,0,0,37,115,0,0,0,0,0,0,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,32,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,109,97,116,104,45,115,117,112,112,111,114,116,47,112,105,118,111,116,46,99,0,0,0,0,112,95,115,101,116,46,100,117,114,97,116,105,111,110,0,0,114,0,0,0,0,0,0,0,99,117,114,114,101,110,116,32,116,105,109,101,32,118,97,108,117,101,58,32,37,48,46,52,103,0,0,0,0,0,0,0,88,77,76,32,111,114,32,116,101,120,116,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,97,116,32,115,116,97,114,116,32,111,102,32,101,110,116,105,116,121,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,67,79,85,76,68,32,78,79,84,32,67,79,78,86,69,82,71,69,32,66,69,67,65,85,83,69,0,0,0,105,111,115,116,114,101,97,109,0,0,0,0,0,0,0,0,108,118,0,0,0,0,0,0,83,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,65,99,108,97,115,115,32,109,97,116,114,105,120,0,0,0,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,32,62,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,69,110,116,101,114,105,110,103,32,97,110,100,32,115,105,110,107,50,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,42,32,112,105,112,101,49,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,100,101,102,105,110,101,115,0,60,47,112,114,101,102,105,120,62,10,0,0,0,0,0,0,32,119,105,116,104,32,101,114,114,111,114,58,32,0,0,0,115,116,111,112,84,105,109,101,32,61,32,37,103,0,0,0,111,114,105,102,105,99,101,46,100,0,0,0,0,0,0,0,76,79,71,95,78,76,83,95,86,0,0,0,0,0,0,0,97,43,0,0,0,0,0,0,118,97,114,105,97,98,108,101,32,110,111,116,32,105,110,32,110,97,109,101,108,105,115,116,0,0,0,0,0,0,0,0,111,116,104,101,114,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,0,0,0,0,81,76,0,0,0,0,0,0,37,53,108,100,32,115,116,97,116,101,32,101,118,101,110,116,115,0,0,0,0,0,0,0,37,115,0,0,0,0,0,0,37,115,37,49,48,103,32,0,112,97,114,97,109,101,116,101,114,32,118,97,108,117,101,115,0,0,0,0,0,0,0,0,115,111,108,118,101,114,32,119,105,108,108,32,116,114,121,32,116,111,32,104,97,110,100,108,101,32,100,105,118,105,115,105,111,110,32,98,121,32,122,101,114,111,32,97,116,32,116,105,109,101,32,37,46,49,54,103,58,32,37,115,0,0,0,0,97,100,100,101,100,32,116,109,112,32,101,118,101,110,116,32,58,32,37,108,100,0,0,0,118,97,108,117,101,32,111,102,32,105,100,105,100,58,32,37,100,0,0,0,0,0,0,0,100,101,115,116,45,62,100,105,109,95,115,105,122,101,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,101,120,116,101,114,110,97,108,32,101,110,116,105,116,121,32,105,110,32,97,116,116,114,105,98,117,116,101,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,69,82,82,79,82,32,84,69,83,84,32,70,65,73,76,69,68,32,82,69,80,69,65,84,69,68,76,89,46,0,0,119,0,0,0,0,0,0,0,114,98,0,0,0,0,0,0,98,97,100,32,110,97,109,101,108,105,115,116,32,110,97,109,101,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,84,121,112,101,0,0,0,0,108,115,95,105,112,111,112,116,0,0,0,0,0,0,0,0,83,116,114,105,110,103,0,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,49,32,99,111,108,115,0,0,0,0,0,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,84,32,62,61,32,49,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,66,111,111,108,101,97,110,0,67,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,73,110,116,101,103,101,114,0,100,0,0,0,0,0,0,0,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,82,101,97,108,0,0,0,0,102,117,110,99,116,105,111,110,0,0,0,0,0,0,0,0,60,112,114,101,102,105,120,62,0,0,0,0,0,0,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,99,111,109,112,105,108,101,32,114,101,103,117,108,97,114,32,101,120,112,114,101,115,115,105,111,110,58,32,0,0,115,116,111,112,84,105,109,101,0,0,0,0,0,0,0,0,109,97,120,40,45,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,32,43,32,109,97,120,40,45,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,115,91,49,93,44,32,49,101,45,49,53,41,0,76,79,71,95,78,76,83,0,119,43,0,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,32,61,32,37,103,32,40,112,114,101,58,32,37,103,41,0,0,0,0,32,115,116,97,116,101,109,101,110,116,32,101,120,101,99,117,116,101,100,10,0,0,0,0,76,81,0,0,0,0,0,0,101,118,101,110,116,115,0,0,37,115,37,49,48,103,32,0,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,91,37,100,120,37,100,93,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,101,114,114,111,114,32,114,101,97,100,105,110,103,32,116,104,101,32,120,109,108,32,102,105,108,101,44,32,102,111,117,110,100,32,117,110,107,110,111,119,110,32,99,108,97,115,115,58,32,37,115,32,32,102,111,114,32,118,97,114,105,97,98,108,101,58,32,37,115,0,98,97,115,101,95,97,114,114,97,121,46,99,58,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,97,114,114,97,121,32,100,105,109,101,110,115,105,111,110,115,32,97,114,101,32,60,32,48,33,10,0,0,115,65,108,105,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,85,116,105,108,105,116,105,101,115,46,109,111,0,0,0,0,0,0,0,0,77,105,110,105,109,117,109,32,118,97,108,117,101,58,32,37,101,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,86,65,76,85,69,32,40,61,73,49,41,32,79,70,32,73,68,73,68,32,65,78,68,32,78,79,32,65,80,80,82,79,80,82,73,65,84,69,0,100,97,115,115,108,32,99,97,108,108,32,115,116,97,105,115,116,105,99,115,58,32,0,0,115,80,97,114,0,0,0,0,98,97,115,101,95,97,114,114,97,121,95,111,107,40,115,111,117,114,99,101,41,0,0,0,115,65,108,103,0,0,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,98,105,110,97,114,121,32,101,110,116,105,116,121,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,67,79,85,76,68,32,78,79,84,32,67,79,78,86,69,82,71,69,46,32,32,65,76,83,79,44,32,84,72,69,0,0,0,0,0,0,0,98,65,108,105,0,0,0,0,98,97,100,32,118,97,114,105,97,98,108,101,32,116,121,112,101,0,0,0,0,0,0,0,98,80,97,114,0,0,0,0,108,115,0,0,0,0,0,0,98,65,108,103,0,0,0,0,78,0,0,0,0,0,0,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,52,32,114,111,119,115,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,32,62,61,32,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,105,65,108,105,0,0,0,0,118,101,99,116,111,114,0,0,105,80,97,114,0,0,0,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,112,32,62,61,32,48,46,48,32,97,110,100,32,115,105,110,107,50,46,112,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,115,113,114,116,40,107,50,32,42,32,97,98,115,40,120,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,61,32,48,0,0,0,0,0,0,0,0,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,49,93,32,42,32,112,105,112,101,50,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,105,65,108,103,0,0,0,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,32,62,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,78,111,110,108,105,110,101,97,114,32,102,117,110,99,116,105,111,110,32,40,114,101,115,105,100,117,97,108,70,117,110,99,37,108,100,44,32,115,105,122,101,32,37,100,41,0,0,0,60,47,110,97,109,101,62,10,0,0,0,0,0,0,0,0,119,98,0,0,0,0,0,0,46,42,0,0,0,0,0,0,115,116,97,114,116,84,105,109,101,32,61,32,37,103,0,0,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,0,0,76,79,71,95,76,83,95,86,0,0,0,0,0,0,0,0,114,43,0,0,0,0,0,0,117,110,100,101,102,105,110,101,100,32,101,114,114,111,114,32,105,110,32,78,101,108,100,101,114,77,101,97,100,79,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,0,0,0,37,115,10,0,0,0,0,0,100,101,114,105,118,97,116,105,118,101,115,32,118,97,114,105,97,98,108,101,115,0,0,0,82,81,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,116,111,116,97,108,0,0,0,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,91,37,100,120,37,100,93,0,114,65,108,105,0,0,0,0,115,99,97,108,105,110,103,32,102,97,99,116,111,114,32,91,37,100,93,32,58,32,37,46,50,48,101,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,0,0,0,102,97,108,115,101,0,0,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,32,62,61,32,49,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,114,80,97,114,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,77,97,99,104,105,110,101,115,46,109,111,0,115,101,97,114,99,104,32,102,111,114,32,99,117,114,114,101,110,116,32,101,118,101,110,116,46,32,69,118,101,110,116,115,32,105,110,32,108,105,115,116,58,32,37,108,100,0,0,0,99,97,110,39,116,32,99,111,110,116,105,110,117,101,46,32,116,105,109,101,32,61,32,37,102,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,114,65,108,103,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,100,32,62,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,99,108,111,99,107,0,0,0,76,79,71,95,65,76,76,0,114,68,101,114,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,84,32,62,61,32,49,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,105,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,32,110,117,109,98,101,114,0,0,0,114,83,116,97,0,0,0,0,83,111,108,118,105,110,103,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,37,115,58,32,105,116,101,114,97,116,105,111,110,32,110,111,116,32,109,97,107,105,110,103,32,112,114,111,103,114,101,115,115,44,32,116,114,121,105,110,103,32,119,105,116,104,32,100,105,102,102,101,114,101,110,116,32,115,116,97,114,116,105,110,103,32,112,111,105,110,116,115,32,40,43,37,103,41,0,68,65,83,83,76,45,45,32,32,73,84,69,82,65,84,73,79,78,32,77,65,84,82,73,88,32,73,83,32,83,73,78,71,85,76,65,82,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,109,101,100,105,117,109,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,99,108,97,115,115,84,121,112,101,0,0,0,0,0,0,0,98,97,100,32,108,111,103,105,99,97,108,32,105,110,112,117,116,32,102,105,101,108,100,0,108,111,103,70,111,114,109,97,116,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,109,101,100,105,117,109,46,100,32,62,61,32,48,46,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,99,108,97,115,115,73,110,100,101,120,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,109,101,100,105,117,109,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,109,101,100,105,117,109,46,84,32,62,61,32,49,46,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,77,97,116,114,105,120,32,110,97,109,101,32,109,105,115,109,97,116,99,104,0,0,0,0,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,112,111,114,116,95,98,46,104,95,111,117,116,102,108,111,119,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,105,108,108,101,103,97,108,32,117,110,105,116,32,110,117,109,98,101,114,0,0,0,0,0,83,99,97,108,97,114,86,97,114,105,97,98,108,101,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,37,46,48,76,102,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,109,101,100,105,117,109,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,84,32,62,61,32,49,46,48,32,97,110,100,32,115,105,110,107,50,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,68,71,69,82,32,32,0,0,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,0,0,0,0,0,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,117,116,105,108,47,114,116,99,108,111,99,107,46,99,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,109,101,100,105,117,109,46,100,32,62,61,32,48,46,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,110,111,110,108,105,110,101,97,114,0,0,0,0,0,0,0,60,110,97,109,101,62,0,0,46,109,111,0,0,0,0,0,36,100,117,109,109,121,0,0,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,49,48,40,51,46,55,32,42,32,68,73,86,73,83,73,79,78,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,44,32,40,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,32,43,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,41,32,42,32,48,46,53,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,0,37,46,49,54,103,44,32,37,46,49,54,103,10,0,0,0,76,79,71,95,76,83,0,0,114,0,0,0,0,0,0,0,102,120,107,32,61,32,37,103,0,0,0,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,32,40,112,114,101,58,32,37,103,41,0,0,0,0,0,0,81,82,0,0,0,0,0,0,101,109,112,116,121,32,82,105,110,103,66,117,102,102,101,114,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,101,114,114,111,114,32,114,101,97,100,95,118,97,108,117,101,44,32,110,111,32,100,97,116,97,32,97,108,108,111,99,97,116,101,100,32,102,111,114,32,115,116,111,114,105,110,103,32,115,116,114,105,110,103,0,0,115,99,97,108,101,100,32,114,101,115,105,100,117,97,108,32,91,37,100,93,32,58,32,37,46,50,48,101,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,63,44,32,110,111,109,105,110,97,108,61,63,41,0,0,0,0,0,0,0,116,114,117,101,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,109,101,100,105,117,109,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,109,101,100,105,117,109,46,84,32,62,61,32,49,46,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,91,50,93,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,112,114,111,98,97,98,108,121,32,97,32,115,116,114,111,110,103,32,99,111,109,112,111,110,101,110,116,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,70,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,117,115,101,32,102,108,97,103,115,32,45,108,118,32,76,79,71,95,78,76,83,44,32,76,79,71,95,76,83,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,115,116,97,116,101,115,95,108,101,102,116,0,0,0,0,0,68,65,83,83,76,32,119,105,108,108,32,116,114,121,32,97,103,97,105,110,46,46,46,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,95,105,110,105,116,46,120,109,108,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,32,62,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,97,115,121,110,99,104,114,111,110,111,117,115,32,101,110,116,105,116,121,0,0,0,0,0,68,65,83,83,76,45,45,32,32,79,82,32,87,73,84,72,32,65,66,83,40,72,41,61,72,77,73,78,0,0,0,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,108,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,101,100,105,117,109,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,117,116,105,108,47,114,101,97,108,95,97,114,114,97,121,46,99,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,101,100,105,117,109,46,82,32,62,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,32,102,111,114,32,119,114,105,116,105,110,103,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,51,41,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,104,101,97,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,104,101,97,100,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,101,100,105,117,109,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,109,101,100,105,117,109,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,109,111,110,101,121,95,103,101,116,32,101,114,114,111,114,0,69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,111,102,32,115,105,122,101,32,37,108,100,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,112,104,97,115,101,32,62,61,32,48,32,97,110,100,32,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,112,104,97,115,101,32,60,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,83,111,117,114,99,101,115,46,109,111,0,0,47,42,82,101,97,108,42,47,40,112,117,109,112,46,110,80,97,114,97,108,108,101,108,41,0,0,0,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,115,113,114,116,40,107,49,32,42,32,120,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,61,32,48,0,0,0,0,0,98,105,110,78,111,114,109,97,108,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,112,104,97,115,101,32,62,61,32,48,32,97,110,100,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,112,104,97,115,101,32,60,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,76,105,110,101,97,114,32,102,117,110,99,116,105,111,110,32,40,105,110,100,101,120,32,37,108,100,44,32,115,105,122,101,32,37,100,41,0,0,0,0,60,109,111,100,101,108,105,110,102,111,62,10,0,0,0,0,108,105,110,101,97,114,95,0,41,36,0,0,0,0,0,0,114,101,97,100,32,97,108,108,32,116,104,101,32,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,32,118,97,108,117,101,115,58,0,0,40,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,32,43,32,112,105,112,101,49,46,114,111,117,103,104,110,101,115,115,41,32,42,32,48,46,53,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,119,114,105,116,101,32,116,111,32,111,117,116,112,117,116,32,102,105,108,101,32,37,115,10,0,0,0,0,0,0,0,0,76,79,71,95,74,65,67,0,97,0,0,0,0,0,0,0,102,120,114,32,61,32,37,103,0,0,0,0,0,0,0,0,114,101,97,100,32,117,110,101,120,112,101,99,116,101,100,32,99,104,97,114,97,99,116,101,114,0,0,0,0,0,0,0,115,116,97,116,101,115,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,79,82,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,115,105,109,117,108,97,116,105,111,110,0,0,0,0,0,0,115,99,97,108,105,110,103,32,102,97,99,116,111,114,115,32,102,111,114,32,114,101,115,105,100,117,97,108,32,118,101,99,116,111,114,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,0,0,0,0,0,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,112,104,97,115,101,32,62,61,32,48,32,97,110,100,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,112,104,97,115,101,32,60,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,95,102,108,111,119,32,62,61,32,45,57,46,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,101,43,53,57,32,97,110,100,32,112,117,109,112,46,109,95,102,108,111,119,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,109,105,120,101,100,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,0,0,0,100,97,116,97,95,49,0,0,115,105,109,117,108,97,116,105,111,110,47,115,111,108,118,101,114,47,101,118,101,110,116,115,46,99,0,0,0,0,0,0,65,32,108,97,114,103,101,32,97,109,111,117,110,116,32,111,102,32,119,111,114,107,32,104,97,115,32,98,101,101,110,32,101,120,112,101,110,100,101,100,46,40,65,98,111,117,116,32,53,48,48,32,115,116,101,112,115,41,46,32,84,114,121,105,110,103,32,116,111,32,99,111,110,116,105,110,117,101,32,46,46,46,0,0,0,0,0,0,37,46,49,54,103,44,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,82,32,62,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,78,79,32,111,118,101,114,114,105,100,101,32,103,105,118,101,110,32,111,110,32,116,104,101,32,99,111,109,109,97,110,100,32,108,105,110,101,46,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,78,101,108,100,101,114,77,101,97,100,79,112,116,105,109,105,122,97,116,105,111,110,0,0,111,118,101,114,114,105,100,101,32,100,111,110,101,33,0,0,114,101,99,117,114,115,105,118,101,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,70,65,73,76,69,68,32,84,79,32,67,79,78,86,69,82,71,69,32,82,69,80,69,65,84,69,68,76,89,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,109,101,100,105,117,109,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,111,118,101,114,114,105,100,101,32,37,115,32,61,32,37,115,0,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,105,112,111,112,116,95,105,110,105,116,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,109,101,100,105,117,109,46,82,32,62,61,32,48,46,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,37,100,100,0,0,0,0,0,110,111,32,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,61,0,0,0,0,0,0,0,110,111,32,105,112,111,112,116,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,109,101,100,105,117,109,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,50,41,0,0,0,0,0,0,83,97,116,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,114,104,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,114,104,111,32,62,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,114,104,111,32,60,61,32,49,48,48,48,48,48,46,48,32,104], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1659256);
/* memory initializer */ allocate([97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,114,101,97,100,32,111,118,101,114,114,105,100,101,32,118,97,108,117,101,115,58,32,37,115,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,109,101,100,105,117,109,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,105,110,118,97,108,105,100,32,108,105,115,116,45,112,111,105,110,116,101,114,0,0,0,0,37,76,102,0,0,0,0,0,70,114,105,0,0,0,0,0,44,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,109,101,100,105,117,109,46,82,32,62,61,32,48,46,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,115,105,110,107,50,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,84,0,0,0,0,0,0,0,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,85,116,105,108,105,116,105,101,115,46,114,101,103,83,116,101,112,40,111,114,105,102,105,99,101,46,109,95,102,108,111,119,44,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,97,46,100,44,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,44,32,111,114,105,102,105,99,101,46,109,95,102,108,111,119,95,115,109,97,108,108,41,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,109,101,100,105,117,109,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,115,113,114,116,40,56,46,55,53,32,47,32,120,49,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,61,32,48,0,0,84,104,117,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,99,111,117,108,100,32,110,111,116,32,111,112,101,110,32,116,104,101,32,102,105,108,101,32,103,105,118,101,110,32,116,111,32,45,111,118,101,114,114,105,100,101,70,105,108,101,61,37,115,0,0,0,0,0,109,97,108,108,111,99,32,102,97,105,108,117,114,101,0,0,108,105,110,101,97,114,0,0,78,111,32,116,114,97,110,115,112,111,115,101,0,0,0,0,60,115,105,109,117,108,97,116,105,111,110,62,10,0,0,0,105,32,102,111,114,32,105,32,105,110,32,49,58,48,0,0,94,40,0,0,0,0,0,0,69,114,114,111,114,44,32,116,104,101,32,71,85,73,68,58,32,37,115,32,102,114,111,109,32,105,110,112,117,116,32,100,97,116,97,32,102,105,108,101,58,32,37,115,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,116,104,101,32,71,85,73,68,32,99,111,109,112,105,108,101,100,32,105,110,32,116,104,101,32,109,111,100,101,108,58,32,37,115,0,0,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,107,115,95,105,110,118,91,49,93,32,42,32,56,46,48,0,68,97,116,97,83,101,116,58,32,37,115,10,0,0,0,0,76,79,71,95,73,80,79,80,84,95,72,69,83,83,69,0,119,0,0,0,0,0,0,0,105,110,99,114,101,97,115,105,110,103,32,108,97,109,98,100,97,32,116,111,32,37,45,51,103,32,105,110,32,115,116,101,112,32,37,54,100,32,97,116,32,102,61,37,103,0,0,0,111,117,116,32,111,102,32,102,114,101,101,32,115,112,97,99,101,0,0,0,0,0,0,0,35,35,35,32,83,79,76,85,84,73,79,78,32,79,70,32,84,72,69,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,72,69,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,111,118,101,114,104,101,97,100,0,0,0,0,0,0,0,0,87,101,100,0,0,0,0,0,120,91,37,100,93,58,32,37,101,32,0,0,0,0,0,0,114,101,97,100,32,111,118,101,114,114,105,100,101,32,118,97,108,117,101,115,32,102,114,111,109,32,102,105,108,101,58,32,37,115,0,0,0,0,0,0,112,114,111,112,101,114,32,115,116,97,114,116,45,118,97,108,117,101,115,32,102,111,114,32,115,111,109,101,32,111,102,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,105,116,101,114,97,116,105,111,110,32,118,97,114,105,97,98,108,101,115,32,109,105,103,104,116,32,104,101,108,112,0,0,0,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,62,61,32,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,60,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,84,117,101,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,117,115,97,103,101,32,101,114,114,111,114,32,121,111,117,32,99,97,110,110,111,116,32,104,97,118,101,32,98,111,116,104,32,45,111,118,101,114,114,105,100,101,32,97,110,100,32,45,111,118,101,114,114,105,100,101,70,105,108,101,32,97,99,116,105,118,101,32,97,116,32,116,104,101,32,115,97,109,101,32,116,105,109,101,46,32,115,101,101,32,77,111,100,101,108,32,45,63,32,102,111,114,32,109,111,114,101,32,105,110,102,111,33,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,108,105,110,101,97,114,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,0,0,115,116,97,116,101,115,95,114,105,103,104,116,0,0,0,0,76,79,71,95,85,78,75,78,79,87,78,0,0,0,0,0,83,116,97,114,116,32,115,116,101,112,32,37,46,49,53,103,32,116,111,32,37,46,49,53,103,0,0,0,0,0,0,0,77,111,110,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,100,32,62,61,32,48,46,48,32,97,110,100,32,112,117,109,112,46,109,111,110,105,116,111,114,105,110,103,46,115,116,97,116,101,95,105,110,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,83,117,110,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,95,99,111,117,110,116,46,37,115,34,10,0,0,0,0,0,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,84,32,62,61,32,49,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,97,45,62,100,105,109,95,115,105,122,101,91,37,100,93,32,33,61,32,98,45,62,100,105,109,95,115,105,122,101,91,37,100,93,44,32,37,100,32,33,61,32,37,100,10,0,0,0,115,101,116,32,121,108,97,98,101,108,32,34,69,120,101,99,117,116,105,111,110,32,99,111,117,110,116,34,10,0,0,0,83,97,116,117,114,100,97,121,0,0,0,0,0,0,0,0,83,116,114,105,110,103,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,0,117,110,100,101,102,105,110,101,100,32,101,110,116,105,116,121,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,69,82,82,79,82,32,84,69,83,84,32,70,65,73,76,69,68,32,82,69,80,69,65,84,69,68,76,89,32,79,82,32,87,73,84,72,32,65,66,83,40,72,41,61,72,77,73,78,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,32,62,61,32,48,46,48,32,97,110,100,32,111,114,105,102,105,99,101,46,115,116,97,116,101,95,98,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,117,112,100,97,116,105,110,103,32,109,105,110,45,118,97,108,117,101,115,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,32,62,61,32,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,112,104,97,115,101,32,60,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,70,114,105,100,97,121,0,0,115,101,116,32,120,108,97,98,101,108,32,34,71,108,111,98,97,108,32,115,116,101,112,32,110,117,109,98,101,114,34,10,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,0,99,97,108,108,32,101,120,116,101,114,110,97,108,32,79,98,106,101,99,116,32,67,111,110,115,116,114,117,99,116,111,114,115,0,0,0,0,0,0,0,105,112,111,112,116,95,106,97,99,0,0,0,0,0,0,0,119,114,105,116,101,32,115,116,97,114,116,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,32,62,61,32,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,112,104,97,115,101,32,60,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,84,104,117,114,115,100,97,121,0,0,0,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,46,37,115,34,10,0,0,0,119,95,110,101,100,44,32,117,110,101,120,112,101,99,116,101,100,32,99,111,100,101,58,32,37,100,10,0,0,0,0,0,37,43,46,50,100,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,67,111,117,108,100,32,110,111,116,32,100,101,116,101,114,109,105,110,101,32,115,105,122,101,32,111,102,32,109,97,116,114,105,120,32,101,108,101,109,101,110,116,115,0,0,0,0,0,87,101,100,110,101,115,100,97,121,0,0,0,0,0,0,0,115,101,116,32,121,108,97,98,101,108,32,34,69,120,101,99,117,116,105,111,110,32,116,105,109,101,32,91,115,93,34,10,0,0,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,73,110,116,101,114,102,97,99,101,115,46,109,111,0,0,0,0,0,0,0,101,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,121,115,116,101,109,32,111,102,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,97,114,101,32,110,111,116,32,99,111,110,115,105,115,116,101,110,116,10,40,108,101,97,115,116,32,115,113,117,97,114,101,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,32,105,115,32,37,103,41,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,84,117,101,115,100,97,121,0,115,101,116,32,120,108,97,98,101,108,32,34,71,108,111,98,97,108,32,115,116,101,112,32,97,116,32,116,105,109,101,34,10,0,0,0,0,0,0,0,100,97,115,115,108,73,110,116,101,114,110,97,108,78,117,109,74,97,99,0,0,0,0,0,98,97,115,105,99,95,115,116,114,105,110,103,0,0,0,0,117,110,107,110,111,119,110,32,99,111,100,101,32,105,110,32,100,111,95,102,105,111,58,32,37,100,10,37,115,10,0,0,66,111,111,108,101,97,110,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,117,112,100,97,116,105,110,103,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,0,0,0,0,0,0,103,0,0,0,0,0,0,0,112,105,112,101,49,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,115,102,101,0,0,0,0,0,101,120,116,101,114,110,97,108,73,110,112,117,116,46,99,115,118,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,50,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,115,101,116,32,116,105,116,108,101,32,34,37,115,34,10,0,100,97,115,115,108,67,111,108,111,114,83,121,109,74,97,99,0,0,0,0,0,0,0,0,77,111,110,100,97,121,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,117,0,0,0,0,0,0,0,101,113,117,97,116,105,111,110,0,0,0,0,0,0,0,0,115,116,114,102,116,105,109,101,40,41,32,102,97,105,108,101,100,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,68,32,0,0,0,0,84,104,101,32,77,111,100,101,108,32,71,85,73,68,58,32,37,115,32,105,115,32,110,111,116,32,115,101,116,32,105,110,32,102,105,108,101,58,32,37,115,0,0,0,0,0,0,0,68,97,116,97,83,101,116,58,32,36,99,112,117,84,105,109,101,10,0,0,0,0,0,0,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,32,42,32,40,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,112,95,110,111,109,105,110,97,108,32,45,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,103,32,42,32,112,105,112,101,49,46,104,101,105,103,104,116,95,97,98,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,95,97,99,116,91,49,93,41,0,0,77,97,108,108,111,99,32,102,97,105,108,101,100,0,0,0,76,79,71,95,73,80,79,80,84,95,74,65,67,0,0,0,71,69,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,32,62,61,32,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,112,104,97,115,101,32,60,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,108,97,109,98,100,97,32,105,115,32,37,45,51,103,32,105,110,32,115,116,101,112,61,37,54,100,32,97,116,32,102,61,37,103,32,91,37,103,93,0,105,110,99,111,109,112,114,101,104,101,110,115,105,98,108,101,32,108,105,115,116,32,105,110,112,117,116,0,0,0,0,0,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,0,0,0,0,0,0,0,71,83,84,0,0,0,0,0,115,101,116,32,116,101,114,109,105,110,97,108,32,37,115,10,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,101,118,101,110,116,45,104,97,110,100,108,105,110,103,0,0,83,117,110,100,97,121,0,0,35,35,35,35,35,35,35,35,35,32,83,116,97,114,116,32,78,101,119,116,111,110,32,109,97,120,102,101,118,58,32,37,100,32,35,35,35,35,35,35,35,35,35,0,0,0,0,0,100,97,115,115,108,78,117,109,74,97,99,0,0,0,0,0,99,97,110,32,110,111,116,32,105,110,105,116,105,97,108,122,101,32,74,97,99,111,98,105,97,110,115,32,102,111,114,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,0,0,0,0,0,116,105,109,101,32,60,32,112,95,115,101,116,46,115,116,97,114,116,84,105,109,101,32,43,32,112,95,115,101,116,46,100,117,114,97,116,105,111,110,0,117,116,105,108,47,105,110,116,101,103,101,114,95,97,114,114,97,121,46,99,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,0,0,0,0,115,101,116,32,98,111,114,100,101,114,10,0,0,0,0,0,100,97,115,115,108,83,121,109,74,97,99,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,110,111,110,45,108,105,110,101,97,114,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,104,101,108,112,0,0,0,0,78,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,32,62,61,32,49,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,115,101,116,32,120,116,105,99,115,10,0,0,0,0,0,0,67,97,108,108,105,110,103,32,68,68,65,83,82,84,32,102,114,111,109,32,37,46,49,53,103,32,116,111,32,37,46,49,53,103,0,0,0,0,0,0,100,97,115,115,108,116,101,115,116,0,0,0,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,0,0,0,0,73,110,116,101,103,101,114,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,70,97,105,108,101,100,32,116,111,32,111,112,101,110,32,102,105,108,101,32,37,115,58,32,37,115,10,0,0,0,0,0,117,110,115,112,101,99,105,102,105,101,100,32,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,32,101,114,114,111,114,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,62,61,32,48,46,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,114,104,111,115,91,50,93,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,100,105,118,105,115,105,111,110,32,98,121,32,122,101,114,111,32,97,116,32,116,105,109,101,32,37,46,49,54,103,44,32,100,105,118,105,115,111,114,58,32,37,115,0,0,0,0,0,115,101,116,32,121,116,105,99,115,10,0,0,0,0,0,0,100,97,115,115,108,119,111,114,116,0,0,0,0,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,114,0,0,0,0,0,0,0,97,45,62,110,100,105,109,115,32,33,61,32,98,45,62,110,100,105,109,115,44,32,37,100,32,33,61,32,37,100,10,0,103,110,117,112,108,111,116,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,112,105,112,101,49,46,112,111,114,116,95,97,46,104,95,111,117,116,102,108,111,119,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,59,0,0,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,95,99,111,117,110,116,46,116,104,117,109,98,46,115,118,103,34,10,0,0,0,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,0,0,0,0,108,111,98,97,116,116,111,54,0,0,0,0,0,0,0,0,105,108,108,101,103,97,108,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,65,78,68,32,83,84,69,80,83,73,90,69,32,72,32,40,61,82,50,41,32,84,72,69,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,70,108,117,105,100,47,80,105,112,101,115,46,109,111,0,0,0,0,73,110,105,116,105,97,108,105,122,105,110,103,32,68,65,83,83,76,0,0,0,0,0,0,67,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,37,103,58,37,103,93,10,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,0,0,0,0,108,111,98,97,116,116,111,52,0,0,0,0,0,0,0,0,105,112,111,112,116,95,104,101,115,115,101,0,0,0,0,0,44,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,62,61,32,49,46,48,32,97,110,100,32,115,105,110,107,50,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,115,101,116,32,110,111,108,111,103,32,120,121,10,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,108,111,98,97,116,116,111,50,0,0,0,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,109,97,116,32,102,105,108,101,32,37,115,0,97,108,108,111,99,97,116,105,111,110,78,101,119,116,111,110,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,77,97,116,114,105,120,32,117,115,101,115,32,105,109,97,103,105,110,97,114,121,32,110,117,109,98,101,114,115,0,0,0,65,117,116,111,109,97,116,105,99,32,111,117,116,112,117,116,32,115,116,101,112,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,79,112,101,110,77,111,100,101,108,105,99,97,32,121,101,116,46,32,83,101,116,32,110,117,109,112,111,105,110,116,115,32,62,61,32,48,46,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,42,58,42,93,10,0,0,0,0,0,0,0,114,97,100,97,117,49,0,0,77,0,0,0,111,0,0,0,110,0,0,0,0,0,0,0,37,115,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,32,62,61,32,49,46,48,32,97,110,100,32,112,117,109,112,46,104,101,97,116,84,114,97,110,115,102,101,114,46,84,115,91,49,93,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,32,102,111,114,32,119,114,105,116,105,110,103,0,37,105,44,0,0,0,0,0,105,116,101,114,97,116,105,111,110,115,58,32,37,108,100,0,115,105,109,112,108,101,120,95,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,124,32,82,101,115,117,108,116,32,111,102,32,108,101,97,115,116,83,113,117,97,114,101,32,109,101,116,104,111,100,32,61,32,37,103,46,32,84,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,105,116,115,32,116,111,32,116,104,101,32,115,121,115,116,101,109,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,62,61,32,49,46,48,32,97,110,100,32,115,105,110,107,49,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,105,110,105,116,105,97,108,32,112,114,111,98,108,101,109,58,0,0,0,0,0,0,0,0,112,117,109,112,46,114,104,111,32,42,32,57,46,56,48,54,54,52,57,57,57,57,57,57,57,57,57,57,0,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,42,58,37,103,93,10,0,0,0,0,0,0,114,97,100,97,117,51,0,0,83,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,32,110,111,116,32,102,111,117,110,100,46,0,0,0,0,0,115,116,100,111,117,116,0,0,112,105,112,101,50,46,112,101,114,105,109,101,116,101,114,0,99,97,108,108,32,101,120,116,101,114,110,97,108,32,79,98,106,101,99,116,32,67,111,110,115,116,114,117,99,116,111,114,115,32,102,105,110,105,115,104,101,100,0,0,0,0,0,0,112,105,112,101,50,46,99,114,111,115,115,65,114,101,97,32,42,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,100,111,95,102,105,111,0,0,114,101,115,105,100,117,97,108,91,37,108,100,93,32,61,32,37,103,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,114,0,0,0,0,0,0,0,115,101,116,32,108,111,103,32,121,10,0,0,0,0,0,0,114,97,100,97,117,53,0,0,83,0,0,0,97,0,0,0,116,0,0,0,117,0,0,0,114,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,84,82,70,0,0,0,0,0,106,97,99,111,98,105,97,110,32,37,100,120,37,100,32,91,105,100,58,32,37,108,100,93,0,0,0,0,0,0,0,0,82,101,97,108,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,0,0,0,91,94,91,58,100,105,103,105,116,58,93,93,0,0,0,0,102,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,0,0,0,0,0,0,0,0,37,89,45,37,109,45,37,100,32,37,72,58,37,77,58,37,83,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,67,32,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,116,111,114,105,110,103,32,114,101,115,117,108,116,115,32,97,110,100,32,101,120,105,116,105,110,103,46,10,85,115,101,32,45,108,118,61,76,79,71,95,73,78,73,84,32,45,119,32,102,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,46,0,76,105,115,0,0,0,0,0,103,117,105,100,0,0,0,0,97,108,108,111,99,97,116,105,111,110,78,101,119,116,111,110,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,0,0,0,0,0,0,0,67,97,110,110,111,116,32,97,108,108,111,99,32,109,101,109,111,114,121,0,0,0,0,0,76,79,71,95,73,80,79,80,84,95,70,85,76,76,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,62,61,32,49,46,48,32,97,110,100,32,115,105,110,107,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,116,114,117,110,99,97,116,105,111,110,32,102,97,105,108,101,100,32,105,110,32,101,110,100,102,105,108,101,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,100,105,115,99,114,101,116,101,41,0,0,0,84,82,68,0,0,0,0,0,115,101,116,32,121,108,97,98,101,108,10,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,99,114,101,97,116,105,110,103,32,111,117,116,112,117,116,45,102,105,108,101,0,0,0,0,100,97,115,115,108,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,35,35,35,32,78,111,32,83,111,108,117,116,105,111,110,33,32,35,35,35,10,32,97,102,116,101,114,32,37,100,32,114,101,115,116,97,114,116,115,0,116,105,109,101,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,110,111,110,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,0,104,121,98,114,105,100,0,0,45,105,32,102,103,109,114,101,115,32,0,0,0,0,0,0,108,105,110,101,97,114,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,97,108,108,111,99,97,116,101,77,105,120,101,100,83,101,97,114,99,104,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,0,0,0,0,0,109,105,120,101,100,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,0,86,97,114,105,97,98,108,101,32,112,117,109,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,117,109,112,46,109,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,115,101,116,32,120,108,97,98,101,108,10,0,0,0,0,0,113,115,115,0,0,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,114,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,97,108,105,97,115,86,97,114,105,97,98,108,101,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,73,110,116,101,103,114,97,116,111,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,67,104,97,116,116,101,114,105,110,103,32,100,101,116,101,99,116,101,100,32,97,114,111,117,110,100,32,116,105,109,101,32,37,46,49,50,103,46,46,37,46,49,50,103,32,40,37,100,32,115,116,97,116,101,32,101,118,101,110,116,115,32,105,110,32,97,32,114,111,119,32,119,105,116,104,32,97,32,116,111,116,97,108,32,116,105,109,101,32,100,101,108,116,97,32,108,101,115,115,32,116,104,97,110,32,116,104,101,32,115,116,101,112,32,115,105,122,101,32,37,46,49,50,103,41,46,32,84,104,105,115,32,99,97,110,32,98,101,32,97,32,112,101,114,102,111,114,109,97,110,99,101,32,98,111,116,116,108,101,110,101,99,107,46,32,85,115,101,32,45,108,118,32,76,79,71,95,69,86,69,78,84,83,32,102,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,46,32,84,104,101,32,122,101,114,111,45,99,114,111,115,115,105,110,103,32,119,97,115,58,32,37,115,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,0,115,101,116,32,116,105,116,108,101,10,0,0,0,0,0,0,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,0,73,110,116,101,114,112,111,108,97,116,101,32,108,105,110,101,97,114,0,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,110,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,114,101,97,100,32,102,111,114,32,37,115,32,110,101,103,97,116,101,100,32,37,100,32,102,114,111,109,32,115,101,116,117,112,32,102,105,108,101,0,0,84,0,0,0,117,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,62,61,32,49,46,48,32,97,110,100,32,115,111,117,114,99,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,46,116,104,117,109,98,46,115,118,103,34,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,105,110,116,101,114,110,97,108,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,110,101,103,97,116,101,100,65,108,105,97,115,0,0,0,0,78,76,83,95,85,78,75,78,79,87,78,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1669496);
/* memory initializer */ allocate([120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,32,62,61,32,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,32,60,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,0,117,110,115,101,116,32,98,111,114,100,101,114,10,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,77,0,0,0,111,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,97,108,105,97,115,0,0,0,106,117,110,107,32,97,102,116,101,114,32,100,111,99,117,109,101,110,116,32,101,108,101,109,101,110,116,0,0,0,0,0,68,65,83,83,76,45,45,32,32,72,65,83,32,66,69,67,79,77,69,32,46,76,69,46,32,48,46,48,0,0,0,0,67,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,100,97,116,97,32,102,111,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,76,105,115,46,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,32,62,61,32,48,32,97,110,100,32,112,105,112,101,50,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,32,60,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,0,117,110,115,101,116,32,121,116,105,99,115,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,0,83,0,0,0,117,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,0,0,0,105,111,109,0,0,0,0,0,67,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,100,97,116,97,32,102,111,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,108,97,112,97,99,107,46,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,32,62,61,32,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,49,93,46,112,104,97,115,101,32,60,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,0,117,110,115,101,116,32,120,116,105,99,115,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,112,97,114,97,109,101,116,101,114,32,83,116,114,105,110,103,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,41,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,0,0,0,110,111,32,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,0,0,77,97,116,114,105,120,32,116,121,112,101,32,109,105,115,109,97,116,99,104,0,0,0,0,112,108,111,116,32,34,37,115,95,112,114,111,102,46,100,97,116,97,34,32,98,105,110,97,114,121,32,102,111,114,109,97,116,61,34,37,37,42,117,105,110,116,51,50,37,37,42,50,100,111,117,98,108,101,37,37,37,100,117,105,110,116,51,50,37,37,42,37,100,100,111,117,98,108,101,34,32,117,115,105,110,103,32,37,100,32,119,32,108,32,108,119,32,37,100,10,0,0,0,0,0,0,0,0,100,97,115,115,108,32,102,111,114,32,100,101,98,117,103,32,112,114,111,112,111,115,101,0,68,101,99,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,109,105,120,101,100,32,115,111,108,118,101,114,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,32,62,61,32,48,32,97,110,100,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,115,116,97,116,101,115,91,50,93,46,112,104,97,115,101,32,60,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,0,84,114,97,110,115,112,111,115,101,0,0,0,0,0,0,0,112,108,111,116,32,34,37,115,95,112,114,111,102,46,100,97,116,97,34,32,98,105,110,97,114,121,32,102,111,114,109,97,116,61,34,37,37,42,117,105,110,116,51,50,37,37,50,100,111,117,98,108,101,37,37,42,37,100,117,105,110,116,51,50,37,37,37,100,100,111,117,98,108,101,34,32,117,115,105,110,103,32,49,58,40,36,37,100,62,49,101,45,57,32,63,32,36,37,100,32,58,32,49,101,45,51,48,41,32,119,32,108,32,108,119,32,37,100,10,0,100,97,115,115,108,32,119,105,116,104,111,117,116,32,105,110,116,101,114,110,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,78,111,118,0,0,0,0,0,112,97,114,97,109,101,116,101,114,32,66,111,111,108,101,97,110,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,44,32,102,105,120,101,100,61,37,115,41,0,0,0,0,112,105,112,101,49,46,112,101,114,105,109,101,116,101,114,0,111,114,105,102,105,99,101,46,65,95,109,101,97,110,0,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,62,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,69,110,116,101,114,105,110,103,32,97,110,100,32,115,111,117,114,99,101,46,102,108,111,119,68,105,114,101,99,116,105,111,110,32,60,61,32,77,111,100,101,108,105,99,97,46,70,108,117,105,100,46,84,121,112,101,115,46,80,111,114,116,70,108,111,119,68,105,114,101,99,116,105,111,110,46,66,105,100,105,114,101,99,116,105,111,110,97,108,32,104,97,115,32,118,97,108,117,101,58,32,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,115,113,114,116,40,120,49,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,61,32,48,0,38,113,117,111,116,59,0,0,108,111,98,97,116,116,111,54,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,79,99,116,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,91,91,58,100,105,103,105,116,58,93,93,0,0,0,0,0,100,0,0,0,0,0,0,0,82,101,113,117,101,115,116,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,112,114,111,102,105,108,101,114,32,105,110,100,101,120,32,37,108,100,44,32,98,117,116,32,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,105,116,33,0,0,0,0,0,0,116,105,109,101,40,41,32,102,97,105,108,101,100,58,32,37,115,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,66,32,0,0,0,0,100,101,102,97,117,108,116,32,109,101,116,104,111,100,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,100,97,116,97,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,10,0,0,0,0,0,0,0,0,68,97,116,97,83,101,116,58,32,116,105,109,101,10,0,0,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,110,80,97,114,97,108,108,101,108,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,100,105,97,109,101,116,101,114,115,91,49,93,32,42,32,112,105,112,101,49,46,102,108,111,119,77,111,100,101,108,46,109,117,115,95,97,99,116,91,49,93,32,42,32,48,46,55,56,53,51,57,56,49,54,51,51,57,55,52,52,56,51,0,0,0,0,0,0,67,97,110,110,111,116,32,119,114,105,116,101,32,116,111,32,102,105,108,101,32,37,115,0,76,79,71,95,73,80,79,80,84,0,0,0,0,0,0,0,37,46,49,54,103,44,0,0,83,101,112,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,112,32,62,61,32,48,46,48,32,97,110,100,32,115,111,117,114,99,101,46,112,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,111,102,102,32,101,110,100,32,111,102,32,114,101,99,111,114,100,0,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,100,105,115,99,114,101,116,101,41,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,83,89,0,0,0,0,0,0,38,97,112,111,115,59,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,115,116,101,112,115,0,0,0,108,111,98,97,116,116,111,52,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,110,111,109,105,110,97,108,32,118,97,108,117,101,115,32,97,115,32,105,110,105,116,105,97,108,32,115,111,108,117,116,105,111,110,46,0,0,0,0,0,0,0,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,37,115,40,37,115,115,116,97,114,116,61,37,108,100,37,115,44,32,102,105,120,101,100,61,37,115,44,32,109,105,110,61,37,108,100,44,32,109,97,120,61,37,108,100,41,0,106,97,99,111,98,105,97,110,32,102,117,110,99,116,105,111,110,32,112,111,105,110,116,101,114,32,105,115,32,105,110,118,97,108,105,100,0,0,0,0,86,97,114,105,97,98,108,101,32,115,111,117,114,99,101,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,111,117,114,99,101,46,84,32,62,61,32,49,46,48,32,97,110,100,32,115,111,117,114,99,101,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,38,103,116,59,0,0,0,0,108,111,98,97,116,116,111,50,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,65,117,103,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,83,105,109,117,108,97,116,105,111,110,32,99,97,108,108,32,116,101,114,109,105,110,97,116,101,40,41,32,97,116,32,116,105,109,101,32,37,102,10,77,101,115,115,97,103,101,32,58,32,37,115,0,0,0,0,0,119,98,0,0,0,0,0,0,95,112,114,111,102,46,100,97,116,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,114,97,110,115,112,111,115,101,95,114,101,97,108,95,97,114,114,97,121,0,0,0,0,116,114,97,110,115,112,111,115,101,95,105,110,116,101,103,101,114,95,97,114,114,97,121,0,115,117,109,95,114,101,97,108,95,97,114,114,97,121,0,0,115,105,122,101,95,111,102,95,100,105,109,101,110,115,105,111,110,95,98,97,115,101,95,97,114,114,97,121,0,0,0,0,114,116,95,105,110,105,116,0,112,114,105,110,116,77,111,100,101,108,73,110,102,111,0,0,112,105,118,111,116,0,0,0,111,109,99,95,109,97,116,108,97,98,52,95,114,101,97,100,95,118,97,108,115,0,0,0,111,109,99,95,109,97,116,108,97,98,52,95,114,101,97,100,95,115,105,110,103,108,101,95,118,97,108,0,0,0,0,0,109,111,100,101,108,73,110,102,111,88,109,108,73,110,105,116,0,0,0,0,0,0,0,0,109,105,110,95,114,101,97,108,95,97,114,114,97,121,0,0,109,97,120,95,114,101,97,108,95,97,114,114,97,121,0,0,102,105,110,100,82,111,111,116,0,0,0,0,0,0,0,0,100,97,115,114,116,95,115,116,101,112,0,0,0,0,0,0,99,111,112,121,95,114,101,97,108,95,97,114,114,97,121,95,100,97,116,97,0,0,0,0,99,111,112,121,95,105,110,116,101,103,101,114,95,97,114,114,97,121,95,100,97,116,97,0,99,108,111,110,101,95,114,101,118,101,114,115,101,95,98,97,115,101,95,97,114,114,97,121,95,115,112,101,99,0,0,0,99,108,111,110,101,95,98,97,115,101,95,97,114,114,97,121,95,115,112,101,99,0,0,0,99,97,116,95,97,108,108,111,99,95,114,101,97,108,95,97,114,114,97,121,0,0,0,0,98,105,115,101,99,116,105,111,110,0,0,0,0,0,0,0,2,0,0,192,3,0,0,192,4,0,0,192,5,0,0,192,6,0,0,192,7,0,0,192,8,0,0,192,9,0,0,192,10,0,0,192,11,0,0,192,12,0,0,192,13,0,0,192,14,0,0,192,15,0,0,192,16,0,0,192,17,0,0,192,18,0,0,192,19,0,0,192,20,0,0,192,21,0,0,192,22,0,0,192,23,0,0,192,24,0,0,192,25,0,0,192,26,0,0,192,27,0,0,192,28,0,0,192,29,0,0,192,30,0,0,192,31,0,0,192,0,0,0,179,1,0,0,195,2,0,0,195,3,0,0,195,4,0,0,195,5,0,0,195,6,0,0,195,7,0,0,195,8,0,0,195,9,0,0,195,10,0,0,195,11,0,0,195,12,0,0,195,13,0,0,211,14,0,0,195,15,0,0,195,0,0,12,187,1,0,12,195,2,0,12,195,3,0,12,195,4,0,12,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,0,0,0,0,0,0,37,0,0,0,89,0,0,0,45,0,0,0,37,0,0,0,109,0,0,0,45,0,0,0,37,0,0,0,100,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,0,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,0,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,37,72,58,37,77,58,37,83,37,72,58,37,77,0,0,0,37,73,58,37,77,58,37,83,32,37,112,0,0,0,0,0,37,89,45,37,109,45,37,100,37,109,47,37,100,47,37,121,37,72,58,37,77,58,37,83,37,0,0,0,0,0,0,0,37,112,0,0,0,0,0,0,0,0,0,0,208,203,25,0,198,0,0,0,154,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,203,25,0,252,0,0,0,210,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,203,25,0,92,0,0,0,72,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,204,25,0,124,0,0,0,38,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,204,25,0,124,0,0,0,12,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,204,25,0,124,0,0,0,30,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,204,25,0,216,0,0,0,106,0,0,0,68,0,0,0,2,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,204,25,0,64,1,0,0,240,0,0,0,68,0,0,0,4,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,204,25,0,208,0,0,0,242,0,0,0,68,0,0,0,8,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,204,25,0,66,1,0,0,186,0,0,0,68,0,0,0,6,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,204,25,0,14,1,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,205,25,0,62,1,0,0,120,0,0,0,68,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,205,25,0,206,0,0,0,148,0,0,0,68,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,205,25,0,58,0,0,0,150,0,0,0,68,0,0,0,178,0,0,0,4,0,0,0,34,0,0,0,6,0,0,0,20,0,0,0,58,0,0,0,2,0,0,0,248,255,255,255,120,205,25,0,24,0,0,0,10,0,0,0,50,0,0,0,16,0,0,0,4,0,0,0,46,0,0,0,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,205,25,0,246,0,0,0,38,1,0,0,68,0,0,0,22,0,0,0,16,0,0,0,62,0,0,0,28,0,0,0,18,0,0,0,2,0,0,0,4,0,0,0,248,255,255,255,160,205,25,0,100,0,0,0,156,0,0,0,172,0,0,0,188,0,0,0,146,0,0,0,62,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,205,25,0,100,0,0,0,244,0,0,0,68,0,0,0,68,0,0,0,180,0,0,0,16,0,0,0,72,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,205,25,0,130,0,0,0,86,0,0,0,68,0,0,0,58,0,0,0,130,0,0,0,34,0,0,0,94,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,205,25,0,54,1,0,0,2,0,0,0,68,0,0,0,46,0,0,0,38,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,206,25,0,66,0,0,0,6,0,0,0,68,0,0,0,28,0,0,0,18,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,206,25,0,26,1,0,0,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,206,25,0,44,0,0,0,184,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,206,25,0,10,0,0,0,222,0,0,0,68,0,0,0,8,0,0,0,6,0,0,0,12,0,0,0,4,0,0,0,10,0,0,0,4,0,0,0,2,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,206,25,0,128,0,0,0,26,0,0,0,68,0,0,0,24,0,0,0,28,0,0,0,38,0,0,0,26,0,0,0,36,0,0,0,8,0,0,0,6,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,206,25,0,60,0,0,0,36,0,0,0,68,0,0,0,52,0,0,0,50,0,0,0,42,0,0,0,44,0,0,0,30,0,0,0,48,0,0,0,40,0,0,0,22,0,0,0,56,0,0,0,54,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,206,25,0,74,0,0,0,4,0,0,0,68,0,0,0,76,0,0,0,68,0,0,0,26,0,0,0,66,0,0,0,60,0,0,0,32,0,0,0,64,0,0,0,74,0,0,0,72,0,0,0,70,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,206,25,0,96,0,0,0,118,0,0,0,68,0,0,0,54,0,0,0,26,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,206,25,0,42,0,0,0,224,0,0,0,68,0,0,0,98,0,0,0,32,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,206,25,0,16,0,0,0,238,0,0,0,68,0,0,0,2,0,0,0,10,0,0,0,108,0,0,0,176,0,0,0,94,0,0,0,116,0,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,25,0,232,0,0,0,176,0,0,0,68,0,0,0,16,0,0,0,18,0,0,0,102,0,0,0,74,0,0,0,8,0,0,0,104,0,0,0,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,207,25,0,232,0,0,0,32,0,0,0,68,0,0,0,6,0,0,0,4,0,0,0,32,0,0,0,150,0,0,0,88,0,0,0,60,0,0,0,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,207,25,0,232,0,0,0,132,0,0,0,68,0,0,0,12,0,0,0,8,0,0,0,114,0,0,0,42,0,0,0,14,0,0,0,56,0,0,0,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,207,25,0,232,0,0,0,54,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,207,25,0,78,0,0,0,204,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,207,25,0,232,0,0,0,102,0,0,0,68,0,0,0,42,0,0,0,30,0,0,0,46,0,0,0,94,0,0,0,28,0,0,0,56,0,0,0,66,0,0,0,6,0,0,0,12,0,0,0,86,0,0,0,18,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,207,25,0,70,1,0,0,56,0,0,0,68,0,0,0,22,0,0,0,16,0,0,0,52,0,0,0,64,0,0,0,18,0,0,0,56,0,0,0,50,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,208,207,25,0,10,1,0,0,250,0,0,0,200,255,255,255,200,255,255,255,208,207,25,0,50,0,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,207,25,0,166,0,0,0,110,0,0,0,108,0,0,0,10,0,0,0,32,0,0,0,62,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,207,25,0,232,0,0,0,108,0,0,0,68,0,0,0,12,0,0,0,8,0,0,0,114,0,0,0,42,0,0,0,14,0,0,0,56,0,0,0,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,25,0,232,0,0,0,212,0,0,0,68,0,0,0,12,0,0,0,8,0,0,0,114,0,0,0,42,0,0,0,14,0,0,0,56,0,0,0,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,208,25,0,70,0,0,0,24,1,0,0,100,0,0,0,68,0,0,0,30,0,0,0,6,0,0,0,72,0,0,0,132,0,0,0,40,0,0,0,184,0,0,0,12,0,0,0,78,0,0,0,36,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,208,25,0,172,0,0,0,46,1,0,0,44,0,0,0,44,0,0,0,20,0,0,0,28,0,0,0,136,0,0,0,122,0,0,0,60,0,0,0,38,0,0,0,32,0,0,0,14,0,0,0,76,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,208,25,0,14,0,0,0,158,0,0,0,100,0,0,0,68,0,0,0,34,0,0,0,24,0,0,0,72,0,0,0,132,0,0,0,40,0,0,0,6,0,0,0,12,0,0,0,84,0,0,0,36,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,56,208,25,0,156,0,0,0,136,0,0,0,152,255,255,255,152,255,255,255,56,208,25,0,112,0,0,0,228,0,0,0,0,0,0,0,0,0,0,0,108,0,0,0,0,0,0,0,72,208,25,0,168,0,0,0,226,0,0,0,148,255,255,255,148,255,255,255,72,208,25,0,138,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,120,208,25,0,62,0,0,0,18,1,0,0,252,255,255,255,252,255,255,255,120,208,25,0,192,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,144,208,25,0,28,1,0,0,48,1,0,0,252,255,255,255,252,255,255,255,144,208,25,0,146,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,168,208,25,0,114,0,0,0,74,1,0,0,248,255,255,255,248,255,255,255,168,208,25,0,234,0,0,0,44,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,192,208,25,0,144,0,0,0,8,1,0,0,248,255,255,255,248,255,255,255,192,208,25,0,182,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,208,25,0,20,1,0,0,84,0,0,0,74,0,0,0,54,0,0,0,16,0,0,0,22,0,0,0,66,0,0,0,132,0,0,0,40,0,0,0,140,0,0,0,12,0,0,0,46,0,0,0,36,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,208,25,0,4,1,0,0,30,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,209,25,0,58,1,0,0,42,1,0,0,38,0,0,0,44,0,0,0,20,0,0,0,28,0,0,0,80,0,0,0,122,0,0,0,60,0,0,0,38,0,0,0,32,0,0,0,14,0,0,0,58,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,209,25,0,202,0,0,0,12,1,0,0,64,0,0,0,68,0,0,0,34,0,0,0,24,0,0,0,138,0,0,0,132,0,0,0,40,0,0,0,6,0,0,0,12,0,0,0,84,0,0,0,72,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,209,25,0,36,1,0,0,190,0,0,0,68,0,0,0,96,0,0,0,174,0,0,0,80,0,0,0,120,0,0,0,8,0,0,0,58,0,0,0,76,0,0,0,48,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,209,25,0,142,0,0,0,76,0,0,0,68,0,0,0,164,0,0,0,170,0,0,0,106,0,0,0,116,0,0,0,118,0,0,0,52,0,0,0,168,0,0,0,88,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,209,25,0,40,1,0,0,152,0,0,0,68,0,0,0,18,0,0,0,84,0,0,0,12,0,0,0,76,0,0,0,122,0,0,0,90,0,0,0,144,0,0,0,96,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,209,25,0,98,0,0,0,220,0,0,0,68,0,0,0,154,0,0,0,158,0,0,0,56,0,0,0,112,0,0,0,54,0,0,0,46,0,0,0,110,0,0,0,110,0,0,0,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,209,25,0,116,0,0,0,22,0,0,0,98,0,0,0,44,0,0,0,20,0,0,0,28,0,0,0,136,0,0,0,122,0,0,0,60,0,0,0,102,0,0,0,124,0,0,0,24,0,0,0,76,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,209,25,0,20,0,0,0,32,1,0,0,104,0,0,0,68,0,0,0,34,0,0,0,24,0,0,0,72,0,0,0,132,0,0,0,40,0,0,0,148,0,0,0,28,0,0,0,4,0,0,0,36,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,210,25,0,60,1,0,0,254,0,0,0,82,0,0,0,200,0,0,0,12,0,0,0,2,0,0,0,26,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,60,185,25,0,84,210,25,0,104,210,25,0,80,185,25,0,228,186,25,0,124,210,25,0,144,210,25,0,248,186,25,0,20,187,25,0,164,210,25,0,184,210,25,0,40,187,25,0,83,116,57,116,121,112,101,95,105,110,102,111,0,0,0,0,83,116,57,101,120,99,101,112,116,105,111,110,0,0,0,0,83,116,57,98,97,100,95,97,108,108,111,99,0,0,0,0,83,116,56,98,97,100,95,99,97,115,116,0,0,0,0,0,83,116,49,51,114,117,110,116,105,109,101,95,101,114,114,111,114,0,0,0,0,0,0,0,83,116,49,50,111,117,116,95,111,102,95,114,97,110,103,101,0,0,0,0,0,0,0,0,83,116,49,50,108,101,110,103,116,104,95,101,114,114,111,114,0,0,0,0,0,0,0,0,83,116,49,49,108,111,103,105,99,95,101,114,114,111,114,0,78,83,116,51,95,95,49,57,116,105,109,101,95,98,97,115,101,69,0,0,0,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,98,97,115,105,99,95,105,111,115,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,57,98,97,115,105,99,95,105,111,115,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,112,117,116,73,119,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,112,117,116,73,99,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,103,101,116,73,119,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,103,101,116,73,99,69,69,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,110,117,109,112,117,110,99,116,73,119,69,69,0,0,0,0,78,83,116,51,95,95,49,56,110,117,109,112,117,110,99,116,73,99,69,69,0,0,0,0,78,83,116,51,95,95,49,56,109,101,115,115,97,103,101,115,73,119,69,69,0,0,0,0,78,83,116,51,95,95,49,56,109,101,115,115,97,103,101,115,73,99,69,69,0,0,0,0,78,83,116,51,95,95,49,56,105,111,115,95,98,97,115,101,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,56,105,111,115,95,98,97,115,101,55,102,97,105,108,117,114,101,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,108,108,97,116,101,73,119,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,108,108,97,116,101,73,99,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,119,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,99,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,68,115,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,68,105,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,54,108,111,99,97,108,101,53,102,97,99,101,116,69,0,0,0,78,83,116,51,95,95,49,54,108,111,99,97,108,101,53,95,95,105,109,112,69,0,0,0,78,83,116,51,95,95,49,53,99,116,121,112,101,73,119,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,53,99,116,121,112,101,73,99,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,119,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,99,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,57,98,97,115,105,99,95,111,115,116,114,105,110,103,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,0,0,78,83,116,51,95,95,49,49,57,95,95,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,69,0,0,0,78,83,116,51,95,95,49,49,55,95,95,119,105,100,101,110,95,102,114,111,109,95,117,116,102,56,73,76,106,51,50,69,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,49,54,95,95,110,97,114,114,111,119,95,116,111,95,117,116,102,56,73,76,106,51,50,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,105,110,103,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,101,114,114,111,114,95,99,97,116,101,103,111,114,121,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,98,97,115,105,99,95,111,102,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,49,49,52,98,97,115,105,99,95,105,102,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,49,49,52,95,95,115,104,97,114,101,100,95,99,111,117,110,116,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,95,95,110,117,109,95,112,117,116,95,98,97,115,101,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,95,95,110,117,109,95,103,101,116,95,98,97,115,101,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,51,109,101,115,115,97,103,101,115,95,98,97,115,101,69,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,102,105,108,101,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,50,115,121,115,116,101,109,95,101,114,114,111,114,69,0,0,78,83,116,51,95,95,49,49,50,99,111,100,101,99,118,116,95,98,97,115,101,69,0,0,78,83,116,51,95,95,49,49,50,95,95,100,111,95,109,101,115,115,97,103,101,69,0,0,78,83,116,51,95,95,49,49,49,95,95,115,116,100,111,117,116,98,117,102,73,119,69,69], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1679736);
/* memory initializer */ allocate([0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,115,116,100,111,117,116,98,117,102,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,112,117,116,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,112,117,116,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,103,101,116,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,103,101,116,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,49,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,48,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,49,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,48,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,95,98,97,115,101,69,0,0,0,0,78,83,116,51,95,95,49,49,48,99,116,121,112,101,95,98,97,115,101,69,0,0,0,0,78,83,116,51,95,95,49,49,48,95,95,116,105,109,101,95,112,117,116,69,0,0,0,0,78,83,116,51,95,95,49,49,48,95,95,115,116,100,105,110,98,117,102,73,119,69,69,0,78,83,116,51,95,95,49,49,48,95,95,115,116,100,105,110,98,117,102,73,99,69,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,49,95,95,118,109,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,48,95,95,115,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,55,95,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,54,95,95,115,104,105,109,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,0,0,0,0,0,0,0,0,224,190,25,0,0,0,0,0,240,190,25,0,0,0,0,0,0,191,25,0,200,203,25,0,0,0,0,0,0,0,0,0,16,191,25,0,200,203,25,0,0,0,0,0,0,0,0,0,32,191,25,0,200,203,25,0,0,0,0,0,0,0,0,0,56,191,25,0,32,204,25,0,0,0,0,0,0,0,0,0,80,191,25,0,32,204,25,0,0,0,0,0,0,0,0,0,104,191,25,0,200,203,25,0,0,0,0,0,0,0,0,0,120,191,25,0,136,190,25,0,144,191,25,0,0,0,0,0,2,0,0,0,96,207,25,0,2,0,0,0,48,209,25,0,0,0,0,0,136,190,25,0,216,191,25,0,0,0,0,0,2,0,0,0,96,207,25,0,2,0,0,0,56,209,25,0,0,0,0,0,136,190,25,0,32,192,25,0,0,0,0,0,2,0,0,0,96,207,25,0,2,0,0,0,64,209,25,0,0,0,0,0,136,190,25,0,104,192,25,0,0,0,0,0,2,0,0,0,96,207,25,0,2,0,0,0,72,209,25,0,0,0,0,0,0,0,0,0,176,192,25,0,40,206,25,0,0,0,0,0,0,0,0,0,224,192,25,0,40,206,25,0,0,0,0,0,136,190,25,0,16,193,25,0,0,0,0,0,1,0,0,0,96,208,25,0,0,0,0,0,136,190,25,0,40,193,25,0,0,0,0,0,1,0,0,0,96,208,25,0,0,0,0,0,136,190,25,0,64,193,25,0,0,0,0,0,1,0,0,0,104,208,25,0,0,0,0,0,136,190,25,0,88,193,25,0,0,0,0,0,1,0,0,0,104,208,25,0,0,0,0,0,136,190,25,0,112,193,25,0,0,0,0,0,2,0,0,0,96,207,25,0,2,0,0,0,224,209,25,0,0,8,0,0,136,190,25,0,184,193,25,0,0,0,0,0,2,0,0,0,96,207,25,0,2,0,0,0,224,209,25,0,0,8,0,0,136,190,25,0,0,194,25,0,0,0,0,0,3,0,0,0,96,207,25,0,2,0,0,0,48,204,25,0,2,0,0,0,192,207,25,0,0,8,0,0,136,190,25,0,72,194,25,0,0,0,0,0,3,0,0,0,96,207,25,0,2,0,0,0,48,204,25,0,2,0,0,0,200,207,25,0,0,8,0,0,0,0,0,0,144,194,25,0,96,207,25,0,0,0,0,0,0,0,0,0,168,194,25,0,96,207,25,0,0,0,0,0,136,190,25,0,192,194,25,0,0,0,0,0,2,0,0,0,96,207,25,0,2,0,0,0,112,208,25,0,2,0,0,0,136,190,25,0,216,194,25,0,0,0,0,0,2,0,0,0,96,207,25,0,2,0,0,0,112,208,25,0,2,0,0,0,0,0,0,0,240,194,25,0,0,0,0,0,8,195,25,0,232,208,25,0,0,0,0,0,136,190,25,0,40,195,25,0,0,0,0,0,2,0,0,0,96,207,25,0,2,0,0,0,216,204,25,0,0,0,0,0,136,190,25,0,112,195,25,0,0,0,0,0,2,0,0,0,96,207,25,0,2,0,0,0,240,204,25,0,0,0,0,0,136,190,25,0,184,195,25,0,0,0,0,0,2,0,0,0,96,207,25,0,2,0,0,0,8,205,25,0,0,0,0,0,136,190,25,0,0,196,25,0,0,0,0,0,2,0,0,0,96,207,25,0,2,0,0,0,32,205,25,0,0,0,0,0,0,0,0,0,72,196,25,0,96,207,25,0,0,0,0,0,0,0,0,0,96,196,25,0,96,207,25,0,0,0,0,0,136,190,25,0,120,196,25,0,0,0,0,0,2,0,0,0,96,207,25,0,2,0,0,0,248,208,25,0,2,0,0,0,136,190,25,0,160,196,25,0,0,0,0,0,2,0,0,0,96,207,25,0,2,0,0,0,248,208,25,0,2,0,0,0,136,190,25,0,200,196,25,0,0,0,0,0,2,0,0,0,96,207,25,0,2,0,0,0,248,208,25,0,2,0,0,0,136,190,25,0,240,196,25,0,0,0,0,0,2,0,0,0,96,207,25,0,2,0,0,0,248,208,25,0,2,0,0,0,0,0,0,0,24,197,25,0,88,208,25,0,0,0,0,0,0,0,0,0,48,197,25,0,96,207,25,0,0,0,0,0,136,190,25,0,72,197,25,0,0,0,0,0,2,0,0,0,96,207,25,0,2,0,0,0,216,209,25,0,2,0,0,0,136,190,25,0,96,197,25,0,0,0,0,0,2,0,0,0,96,207,25,0,2,0,0,0,216,209,25,0,2,0,0,0,0,0,0,0,120,197,25,0,0,0,0,0,160,197,25,0,0,0,0,0,200,197,25,0,144,208,25,0,0,0,0,0,0,0,0,0,16,198,25,0,0,209,25,0,0,0,0,0,0,0,0,0,48,198,25,0,64,207,25,0,0,0,0,0,0,0,0,0,88,198,25,0,64,207,25,0,0,0,0,0,0,0,0,0,128,198,25,0,40,208,25,0,0,0,0,0,0,0,0,0,200,198,25,0,0,0,0,0,0,199,25,0,0,0,0,0,56,199,25,0,0,0,0,0,88,199,25,0,144,208,25,0,0,0,0,0,0,0,0,0,136,199,25,0,192,208,25,0,0,0,0,0,0,0,0,0,184,199,25,0,0,0,0,0,216,199,25,0,0,0,0,0,248,199,25,0,0,0,0,0,24,200,25,0,136,190,25,0,48,200,25,0,0,0,0,0,1,0,0,0,184,204,25,0,3,244,255,255,136,190,25,0,96,200,25,0,0,0,0,0,1,0,0,0,200,204,25,0,3,244,255,255,136,190,25,0,144,200,25,0,0,0,0,0,1,0,0,0,184,204,25,0,3,244,255,255,136,190,25,0,192,200,25,0,0,0,0,0,1,0,0,0,200,204,25,0,3,244,255,255,0,0,0,0,240,200,25,0,40,208,25,0,0,0,0,0,0,0,0,0,32,201,25,0,240,203,25,0,0,0,0,0,0,0,0,0,56,201,25,0,0,0,0,0,80,201,25,0,48,208,25,0,0,0,0,0,0,0,0,0,104,201,25,0,32,208,25,0,0,0,0,0,0,0,0,0,136,201,25,0,40,208,25,0,0,0,0,0,0,0,0,0,168,201,25,0,0,0,0,0,200,201,25,0,0,0,0,0,232,201,25,0,0,0,0,0,8,202,25,0,136,190,25,0,40,202,25,0,0,0,0,0,2,0,0,0,96,207,25,0,2,0,0,0,208,209,25,0,2,0,0,0,136,190,25,0,72,202,25,0,0,0,0,0,2,0,0,0,96,207,25,0,2,0,0,0,208,209,25,0,2,0,0,0,136,190,25,0,104,202,25,0,0,0,0,0,2,0,0,0,96,207,25,0,2,0,0,0,208,209,25,0,2,0,0,0,136,190,25,0,136,202,25,0,0,0,0,0,2,0,0,0,96,207,25,0,2,0,0,0,208,209,25,0,2,0,0,0,0,0,0,0,168,202,25,0,0,0,0,0,192,202,25,0,0,0,0,0,216,202,25,0,0,0,0,0,240,202,25,0,32,208,25,0,0,0,0,0,0,0,0,0,8,203,25,0,40,208,25,0,0,0,0,0,0,0,0,0,32,203,25,0,40,210,25,0,0,0,0,0,0,0,0,0,72,203,25,0,40,210,25,0,0,0,0,0,0,0,0,0,112,203,25,0,56,210,25,0,0,0,0,0,0,0,0,0,152,203,25,0,192,203,25,0,0,0,0,0,56,0,0,0,0,0,0,0,144,208,25,0,28,1,0,0,48,1,0,0,200,255,255,255,200,255,255,255,144,208,25,0,146,0,0,0,0,1,0,0,104,0,0,0,0,0,0,0,144,208,25,0,28,1,0,0,48,1,0,0,152,255,255,255,152,255,255,255,144,208,25,0,146,0,0,0,0,1,0,0,108,0,0,0,0,0,0,0,192,208,25,0,144,0,0,0,8,1,0,0,148,255,255,255,148,255,255,255,192,208,25,0,182,0,0,0,72,0,0,0,48,49,50,51,52,53,54,55,56,57,97,98,99,100,101,102,65,66,67,68,69,70,120,88,43,45,112,80,105,73,110,78,0,0,0,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,118,101,114,115,101,32,102,117,110,99,116,105,111,110,32,100,111,102,112,116,51,58,32,105,116,101,114,97,116,105,111,110,32,102,97,105,108,101,100,0,0,0,0,0,0,32,80,97,44,32,84,32,61,32,0,0,0,0,0,0,0,66,97,115,101,73,70,57,55,46,100,111,102,112,116,51,58,32,102,117,110,99,116,105,111,110,32,99,97,108,108,101,100,32,111,117,116,115,105,100,101,32,111,102,32,114,101,103,105,111,110,32,51,33,32,84,32,116,111,111,32,104,105,103,104,10,112,32,61,32,0,0,0,32,75,0,0,0,0,0,0,32,75,32,60,32,0,0,0,66,97,115,101,73,70,57,55,46,100,111,102,112,116,51,58,32,102,117,110,99,116,105,111,110,32,99,97,108,108,101,100,32,111,117,116,115,105,100,101,32,111,102,32,114,101,103,105,111,110,32,51,33,32,84,32,116,111,111,32,108,111,119,10,84,32,61,32,0,0,0,0,32,80,97,0,0,0,0,0,32,80,97,32,60,32,0,0,66,97,115,101,73,70,57,55,46,100,111,102,112,116,51,58,32,102,117,110,99,116,105,111,110,32,99,97,108,108,101,100,32,111,117,116,115,105,100,101,32,111,102,32,114,101,103,105,111,110,32,51,33,32,112,32,116,111,111,32,108,111,119,10,112,32,61,32,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,24,64,0,0,0,0,0,0,32,64,0,0,0,0,0,0,40,64,0,0,0,0,0,0,50,64,0,0,0,0,0,0,16,64,0,0,0,0,0,0,28,64,0,0,0,0,0,0,36,64,0,0,0,0,0,0,20,64,0,0,0,0,0,0,40,64,0,0,0,0,0,0,8,64,0,0,0,0,0,0,16,64,0,0,0,0,0,0,54,64,0,0,0,0,0,0,0,64,0,0,0,0,0,0,8,64,0,0,0,0,0,0,28,64,0,0,0,0,0,0,8,64,0,0,0,0,0,0,48,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,64,0,0,0,0,0,0,8,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,64,1,0,0,0,40,212,25,0,48,212,25,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,36,192,0,0,0,0,0,0,36,192,0,0,0,0,0,0,36,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,16,192,0,0,0,0,0,0,16,192,0,0,0,0,0,0,8,192,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,192,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,64,0,0,0,0,0,0,8,64,0,0,0,0,0,0,16,64,0,0,0,0,0,0,20,64,0,0,0,0,0,0,32,64,1,0,0,0,64,213,25,0,72,213,25,0,0,0,0,0,32,0,0,0,0,0,0,0,27,82,16,195,221,180,117,63,91,241,78,159,211,197,197,191,232,255,187,127,199,67,38,64,218,1,248,99,246,5,161,192,206,136,30,128,39,149,64,191,48,128,218,26,207,206,225,63,240,4,46,183,154,223,34,192,202,136,215,255,21,16,211,191,53,217,90,128,221,123,87,64,96,90,249,145,239,193,147,63,112,55,147,142,204,253,218,63,163,49,164,161,90,37,76,193,177,214,63,238,242,53,126,191,8,53,151,241,70,180,214,191,219,168,78,20,129,246,255,191,128,189,125,5,23,121,242,63,106,24,188,51,171,51,182,64,51,132,142,203,34,141,128,63,185,137,15,26,189,17,198,63,103,2,133,8,232,174,240,63,117,149,156,29,96,13,211,191,220,149,151,95,192,238,225,63,74,192,30,215,113,157,209,63,201,162,112,86,16,253,194,191,77,228,10,220,83,171,176,191,227,251,230,96,194,101,7,192,83,250,58,253,84,5,177,63,139,233,23,51,210,47,12,64,66,43,165,221,120,248,141,191,205,57,22,215,212,245,1,192,102,59,4,98,115,175,241,63,101,90,82,13,170,237,164,191,1,0,0,0,88,214,25,0,96,214,25,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,8,64,0,0,0,0,0,0,24,64,0,0,0,0,0,0,28,64,0,0,0,0,0,0,32,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,64,0,0,0,0,0,0,20,64,0,0,0,0,0,0,24,64,0,0,0,0,0,0,36,64,0,0,0,0,0,0,8,64,0,0,0,0,0,0,24,64,0,0,0,0,0,0,36,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,16,64,0,0,0,0,0,0,20,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,64,0,0,0,0,0,0,24,64,1,0,0,0,112,215,25,0,120,215,25,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,16,192,0,0,0,0,0,0,16,192,0,0,0,0,0,0,16,192,0,0,0,0,0,0,8,192,0,0,0,0,0,0,8,192,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,192,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,64,1,0,0,0,120,216,25,0,128,216,25,0,0,0,0,0,30,0,0,0,0,0,0,0,125,184,117,9,34,88,35,190,173,203,40,168,167,53,78,62,229,95,204,153,121,156,195,62,254,182,180,246,203,101,1,191,18,48,47,21,9,176,81,63,201,60,7,228,82,94,209,191,146,130,40,50,1,39,241,63,80,49,160,27,129,82,235,191,246,174,159,174,28,145,246,190,144,218,49,221,87,56,73,63,102,117,23,114,203,168,113,191,17,114,159,221,142,3,221,63,83,94,100,244,123,63,224,191,136,254,137,238,104,30,89,192,254,28,203,4,207,14,204,191,58,249,102,172,225,175,9,192,18,211,236,226,138,252,130,64,231,85,151,136,54,70,66,63,249,169,122,242,247,255,199,63,70,140,135,102,188,138,130,63,249,126,253,99,70,68,210,63,125,150,168,88,97,228,160,63,230,210,248,105,245,180,206,63,138,172,175,65,105,79,19,64,104,245,29,59,110,155,39,192,119,152,47,138,217,177,197,63,81,88,2,150,187,109,146,191,36,129,254,185,99,9,163,63,224,240,16,12,61,117,171,191,96,179,24,60,39,182,249,63,1,0,0,0,128,217,25,0,136,217,25,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,118,101,114,115,101,32,102,117,110,99,116,105,111,110,32,100,116,111,102,112,104,51,58,32,105,116,101,114,97,116,105,111,110,32,102,97,105,108,101,100,0,0,0,0,0,73,110,118,101,114,115,101,32,105,116,101,114,97,116,105,111,110,32,111,102,32,100,116,32,102,114,111,109,32,112,104,32,99,97,108,108,101,100,32,105,110,32,50,32,112,104,97,115,101,32,114,101,103,105,111,110,58,32,116,104,105,115,32,99,97,110,32,110,111,116,32,119,111,114,107,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,111,102,112,84,49,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,111,102,112,84,50,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,116,112,104,49,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,0,0,32,75,41,32,105,115,32,104,105,103,104,101,114,32,116,104,97,110,32,108,105,109,105,116,32,111,102,32,50,50,55,51,46,49,53,75,32,105,110,32,114,101,103,105,111,110,32,53,0,0,0,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,53,58,32,105,110,112,117,116,32,116,101,109,112,101,114,97,116,117,114,101,32,40,61,32,0,0,32,80,97,41,32,105,115,32,104,105,103,104,101,114,32,116,104,97,110,32,49,48,32,77,112,97,32,105,110,32,114,101,103,105,111,110,32,53,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,53,58,32,105,110,112,117,116,32,112,114,101,115,115,117,114,101,32,40,61,32,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,53,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,112,115,97,116,58,32,105,110,112,117,116,32,116,101,109,112,101,114,97,116,117,114,101,32,40,61,32,54,49,49,46,54,53,55,32,75,41,46,10,108,111,119,101,114,32,116,104,97,110,32,116,104,101,32,116,114,105,112,108,101,32,112,111,105,110,116,32,116,101,109,112,101,114,97,116,117,114,101,32,50,55,51,46,49,54,32,75,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,49,58,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,40,61,32,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,49,58,32,116,104,101,32,105,110,112,117,116,32,112,114,101,115,115,117,114,101,32,40,61,32,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,49,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,64,0,0,0,0,0,0,24,64,0,0,0,0,0,0,44,64,0,0,0,0,0,0,48,64,0,0,0,0,0,0,52,64,0,0,0,0,0,0,54,64,0,0,0,0,0,0,240,63,0,0,0,0,0,0,20,64,0,0,0,0,0,0,40,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,16,64,0,0,0,0,0,0,36,64,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,8,64,0,0,0,0,0,0,16,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,64,0,0,0,0,0,0,16,64,0,0,0,0,0,0,20,64,1,0,0,0,224,221,25,0,232,221,25,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,36,192,0,0,0,0,0,0,36,192,0,0,0,0,0,0,36,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,20,192,0,0,0,0,0,0,8,192,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,192,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,8,64,0,0,0,0,0,0,8,64,0,0,0,0,0,0,16,64,0,0,0,0,0,0,16,64,0,0,0,0,0,0,36,64,0,0,0,0,0,0,40,64,1,0,0,0,240,222,25,0,248,222,25,0,0,0,0,0,31,0,0,0,0,0,0,0,227,139,224,185,7,240,129,190,199,167,35,43,83,31,211,62,40,114,77,59,34,174,238,190,41,130,212,196,250,47,122,63,63,226,81,247,138,76,119,64,152,254,207,52,139,18,188,192,100,178,19,129,109,128,33,65,128,60,67,165,246,105,68,193,89,239,89,2,195,131,1,191,251,187,130,30,23,35,153,191,195,72,114,66,134,231,71,64,201,118,94,97,66,9,224,62,55,111,232,94,106,7,85,63,170,153,252,205,103,136,145,63,24,215,84,75,40,5,33,192,233,234,135,170,60,245,139,191,125,151,220,87,30,32,208,190,68,241,91,70,74,164,107,63,178,108,175,52,233,166,225,191,206,12,139,3,160,85,231,63,97,97,173,126,173,83,132,191,249,173,4,9,6,139,190,191,51,14,161,48,222,103,233,63,53,239,38,140,197,18,221,63,222,108,213,220,59,225,202,63,33,203,14,111,2,77,122,191,203,46,12,82,120,20,152,191,183,35,106,48,182,169,100,63,238,50,72,229,102,84,127,191,29,139,85,18,145,227,139,63,111,231,135,7,126,62,139,191,1,0,0,0,0,224,25,0,8,224,25,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,20,64,0,0,0,0,0,0,36,64,0,0,0,0,0,0,40,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,64,0,0,0,0,0,0,16,64,0,0,0,0,0,0,36,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,20,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,64,0,0,0,0,0,0,0,64,0,0,0,0,0,0,16,64,0,0,0,0,0,0,24,64,0,0,0,0,0,0,36,64,0,0,0,0,0,0,44,64,0,0,0,0,0,0,48,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,1,0,0,0,16,225,25,0,24,225,25,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,36,192,0,0,0,0,0,0,36,192,0,0,0,0,0,0,36,192,0,0,0,0,0,0,36,192,0,0,0,0,0,0,36,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,16,192,0,0,0,0,0,0,16,192,0,0,0,0,0,0,8,192,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,192,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,8,64,0,0,0,0,0,0,20,64,0,0,0,0,0,0,24,64,0,0,0,0,0,0,32,64,1,0,0,0,48,226,25,0,56,226,25,0,0,0,0,0,33,0,0,0,0,0,0,0,77,167,246,65,166,242,0,63,149,115,198,175,185,184,32,191,108,133,64,64,120,47,63,191,140,106,98,88,202,150,89,63,223,23,144,208,200,16,187,63,239,224,44,179,125,118,85,192,164,38,97,234,30,161,134,64,31,236,239,98,140,73,104,63,166,229,119,245,35,71,120,191,219,58,64,176,10,222,137,191,178,42,1,159,147,159,189,191,158,152,86,48,155,57,85,64,166,99,70,220,226,61,134,191,170,142,33,156,255,153,143,63,106,100,216,77,47,54,179,63,132,234,73,145,175,219,153,63,193,132,70,10,49,217,174,191,171,220,81,100,26,156,8,192,247,200,6,135,176,99,173,191,219,94,228,246,139,35,20,64,58,0,51,85,69,154,237,191,184,70,117,189,181,86,15,64,193,109,7,107,34,84,83,192,97,26,42,55,139,138,194,64,245,24,97,50,133,133,53,193,210,177,220,201,81,50,96,65,11,93,150,161,24,142,235,63,150,223,73,71,181,177,212,63,181,166,108,245,236,241,235,63,67,187,199,160,31,242,219,191,232,227,2,191,153,87,210,63,178,144,147,195,28,222,192,191,63,45,198,149,134,183,123,63,1,0,0,0,80,227,25,0,88,227,25,0,0,0,0,0,32,75,41,32,105,115,32,104,105,103,104,101,114,32,116,104,97,110,32,116,104,101,32,108,105,109,105,116,32,111,102,32,49,48,55,51,46,49,53,32,75,0,0,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,50,58,32,116,104,101,32,105,110,112,117,116,32,116,101,109,112,101,114,97,116,117,114,101,32,40,61,32,0,0,0,0,0,0,32,75,41,32,105,115,32,108,111,119,101,114,32,116,104,97,110,32,50,55,51,46,49,53,32,75,33,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,50,58,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,40,61,32,0,0,0,0,32,80,97,41,32,105,115,32,104,105,103,104,101,114,32,116,104,97,110,32,49,48,48,32,77,112,97,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,50,58,32,116,104,101,32,105,110,112,117,116,32,112,114,101,115,115,117,114,101,32,40,61,32,0,32,80,97,32,60,61,32,32,48,46,48,32,80,97,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,50,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,0,0,0,0,32,80,97,32,40,116,114,105,112,108,101,32,112,111,105,110,116,32,112,114,101,115,115,117,114,101,41,0,0,0,0,0,32,80,97,32,60,61,32,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,116,115,97,116,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,0,0,83,111,108,118,105,110,103,32,97,32,108,105,110,101,97,114,32,115,121,115,116,101,109,32,111,102,32,101,113,117,97,116,105,111,110,115,32,119,105,116,104,32,102,117,110,99,116,105,111,110,10,34,77,97,116,114,105,99,101,115,46,115,111,108,118,101,34,32,105,115,32,110,111,116,32,112,111,115,115,105,98,108,101,44,32,98,101,99,97,117,115,101,32,116,104,101,32,115,121,115,116,101,109,32,104,97,115,32,101,105,116,104,101,114,10,110,111,32,111,114,32,105,110,102,105,110,105,116,101,108,121,32,109,97,110,121,32,115,111,108,117,116,105,111,110,115,32,40,65,32,105,115,32,115,105,110,103,117,108,97,114,41,46,0,0,0,0,0,58,10,0,0,0,0,0,0,100,111,32,110,111,116,32,115,117,109,32,117,112,32,116,111,32,49,46,32,73,110,115,116,101,97,100,44,32,115,117,109,40,88,95,98,111,117,110,100,97,114,121,41,32,61,32,0,84,104,101,32,98,111,117,110,100,97,114,121,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,105,110,32,109,101,100,105,117,109,32,34,0,34,10,0,0,0,0,0,0,32,34,0,0,0,0,0,0,93,32,61,32,0,0,0,0,32,32,32,88,95,98,111,117,110,100,97,114,121,91,0,0,10,105,115,32,110,101,103,97,116,105,118,101,46,32,73,116,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,46,10,0,0,0,0,0,41,32,61,32,0,0,0,0,34,58,10,84,104,101,32,98,111,117,110,100,97,114,121,32,118,97,108,117,101,32,88,95,98,111,117,110,100,97,114,121,40,0,0,0,0,0,0,0,34,32,105,110,32,109,111,100,101,108,32,34,0,0,0,0,10,87,114,111,110,103,32,98,111,117,110,100,97,114,121,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,105,110,32,109,101,100,105,117,109,32,34,0,0,0,0,0,0,34,32,104,97,115,32,77,101,100,105,117,109,46,115,105,110,103,108,101,83,116,97,116,101,61,116,114,117,101,46,10,84,104,101,114,101,102,111,114,101,44,32,97,110,32,98,111,117,110,100,97,114,121,32,100,101,110,115,105,116,121,32,99,97,110,110,111,116,32,98,101,32,100,101,102,105,110,101,100,32,97,110,100,10,100,101,102,105,110,101,95,112,32,61,32,116,114,117,101,32,105,115,32,114,101,113,117,105,114,101,100,46,10,0,0,0,0,0,0,0,34,58,10,84,104,101,32,115,101,108,101,99,116,101,100,32,109,101,100,105,117,109,32,34,0,0,0,0,0,0,0,0,10,87,114,111,110,103,32,118,97,108,117,101,32,111,102,32,112,97,114,97,109,101,116,101,114,32,100,101,102,105,110,101,95,112,32,40,61,32,102,97,108,115,101,41,32,105,110,32,109,111,100,101,108,32,34,0,114,111,117,103,104,110,101,115,115,32,62,32,48,32,114,101,113,117,105,114,101,100,32,102,111,114,32,113,117,97,100,114,97,116,105,99,32,116,117,114,98,117,108,101,110,116,32,119,97,108,108,32,102,114,105,99,116,105,111,110,32,99,104,97,114,97,99,116,101,114,105,115,116,105,99,0,0,0,0,0,87,114,111,110,103,32,112,117,109,112,32,99,117,114,118,101,32,45,45,32,104,101,97,100,95,110,111,109,105,110,97,108,32,109,117,115,116,32,98,101,32,109,111,110,111,116,111,110,105,99,97,108,108,121,32,100,101,99,114,101,97,115,105,110,103,32,119,105,116,104,32,105,110,99,114,101,97,115,105,110,103,32,86,95,102,108,111,119,95,110,111,109,105,110,97,108,0,0,0,0,0,0,0,0,44,32,84,32,61,32,0,0,32,80,97,44,32,84,99,32,61,32,0,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,118,105,115,99,95,100,84,112,58,32,118,105,115,99,111,115,105,116,121,32,99,111,109,112,117,116,101,100,32,111,117,116,115,105,100,101,32,116,104,101,32,114,97,110,103,101,10,111,102,32,118,97,108,105,100,105,116,121,32,111,102,32,116,104,101,32,73,70,57,55,32,102,111,114,109,117,108,97,116,105,111,110,58,32,112,32,61,32,0,0,0,32,40,116,114,105,112,108,101,32,112,111,105,110,116,32,100,101,110,115,105,116,121,41,0,32,60,61,32,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,118,105,115,99,95,100,84,112,32,102,111,114,32,118,105,115,99,111,115,105,116,121,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,100,101,110,115,105,116,121,10,100,32,61,32,0,0,0,0,42,0,0,0,0,0,0,0,102,233,84,67,44,108,224,63,94,63,14,148,37,132,212,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,146,76,152,122,231,232,191,208,196,42,148,59,34,200,63,25,161,233,54,242,138,203,63,209,13,3,76,207,106,231,63,54,90,14,244,80,219,243,63,203,158,4,54,231,160,247,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,108,10,191,47,9,210,191,8,60,48,128,240,33,241,191,149,73,13,109,0,54,244,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,126,130,48,92,194,198,63,252,86,235,196,229,120,221,63,107,35,67,51,244,244,205,63,137,194,29,94,198,131,223,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,220,181,41,195,93,98,165,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,251,55,47,78,124,196,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,193,4,234,164,41,144,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,88,73,198,146,187,109,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,120,234,25,0,128,234,25,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,118,101,114,115,101,32,105,116,101,114,97,116,105,111,110,32,111,102,32,115,116,101,97,109,32,116,97,98,108,101,115,0,0,0,0,0,0,41,0,0,0,0,0,0,0,44,32,104,32,61,32,0,0,69,114,114,111,114,32,105,110,32,114,101,103,105,111,110,32,99,111,109,112,117,116,97,116,105,111,110,32,111,102,32,73,70,57,55,32,115,116,101,97,109,32,116,97,98,108,101,115,40,112,32,61,32,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,117,112,112,101,114,111,102,112,50,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,117,112,112,101,114,111,102,112,53,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,108,111,119,101,114,111,102,112,53,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,108,111,119,101,114,111,102,112,49,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,108,111,119,101,114,111,102,112,50,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,117,112,112,101,114,111,102,112,49,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,98,111,117,110,100,97,114,121,50,51,111,102,112,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,0,5,0,0,0,0,0,0,0,248,196,66,103,212,192,117,64,133,199,236,54,203,172,242,191,226,202,254,210,61,179,80,63,25,115,134,86,91,228,129,64,99,5,225,42,114,214,43,64,1,0,0,0,80,238,25,0,88,238,25,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,118,101,114,115,101,32,102,117,110,99,116,105,111,110,32,116,111,102,112,104,53,58,32,105,116,101,114,97,116,105,111,110,32,102,97,105,108,101,100,0,0,0,0,0,0,0,0,0,0,216,46,25,0,216,6,25,0,248,73,20,0,184,156,0,0,152,137,0,0,240,118,0,0,64,106,0,0,120,90,0,0,72,162,25,0,0,146,25,0,32,131,25,0,160,118,25,0,112,108,25,0,184,97,25,0,88,90,25,0,200,85,25,0,32,82,25,0,24,79,25,0,16,76,25,0,152,70,25,0,152,64,25,0,64,60,25,0,64,56,25,0,208,51,25,0,96,47,25,0,8,43,25,0,112,39,25,0,200,35,25,0,200,31,25,0,216,26,25,0,232,21,25,0,80,18,25,0,248,13,25,0,72,10,25,0,80,7,25,0,240,3,25,0,120,0,25,0,40,253,24,0,208,249,24,0,136,243,24,0,0,0,0,0,200,126,0,0,224,95,0,0,248,94,0,0,0,156,25,0,24,92,0,0,80,91,0,0,56,153,25,0,216,151,25,0,168,149,25,0,72,148,25,0,112,147,25,0,240,145,25,0,144,144,25,0,64,143,25,0,240,141,25,0,224,140,25,0,8,138,25,0,128,136,25,0,168,159,25,0,128,157,25,0,200,126,0,0,224,95,0,0,248,94,0,0,24,93,0,0,24,92,0,0,80,91,0,0,240,89,0,0,240,88,0,0,104,88,0,0,248,173,25,0,168,172,25,0,184,169,25,0,24,168,25,0,24,166,25,0,192,164,25,0,104,163,25,0,248,161,25,0,0,161,25,0,168,159,25,0,128,157,25,0,200,126,0,0,168,115,0,0,160,114,0,0,208,111,0,0,112,110,0,0,200,109,0,0,192,108,0,0,0,0,0,0,160,144,0,0,48,133,0,0,96,131,0,0,64,128,0,0,232,126,0,0,136,124,0,0,160,122,0,0,0,0,0,0,200,126,0,0,88,124,0,0,120,122,0,0,168,119,0,0,160,118,0,0,176,117,0,0,152,116,0,0,0,0,0,0,160,144,0,0,32,142,0,0,136,140,0,0,176,138,0,0,136,137,0,0,48,136,0,0,232,134,0,0,0,0,0,0,56,161,25,0,160,156,25,0,104,75,25,0,128,31,25,0,40,249,24,0,0,0,0,0,168,170,0,0,0,151,0,0,136,131,0,0,32,115,0,0,40,249,24,0,0,0,0,0,248,75,25,0,80,141,25,0,232,67,25,0,48,25,25,0,1,0,0,0,255,255,255,255,1,0,0,0,255,255,255,255,1,0,0,0,204,0,0,0,1,0,0,0,204,0,0,0,232,240,25,0,224,240,25,0,216,240,25,0,208,240,25,0,248,75,25,0,80,141,25,0,24,241,24,0,80,165,0,0,248,145,0,0,48,25,25,0,248,63,25,0,0,0,0,0,1,0,0,0,91,0,0,0,1,0,0,0,90,0,0,0,1,0,0,0,89,0,0,0,1,0,0,0,87,0,0,0,1,0,0,0,82,0,0,0,1,0,0,0,79,0,0,0,1,0,0,0,77,0,0,0,1,0,0,0,74,0,0,0,1,0,0,0,73,0,0,0,1,0,0,0,72,0,0,0,1,0,0,0,71,0,0,0,1,0,0,0,70], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1689976);
/* memory initializer */ allocate([1,0,0,0,66,0,0,0,1,0,0,0,64,0,0,0,1,0,0,0,61,0,0,0,0,0,0,0,0,0,0,0,8,53,25,0,73,4,0,0,13,0,0,0,75,4,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,25,0,29,4,0,0,9,0,0,0,34,4,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,166,25,0,145,0,0,0,5,0,0,0,145,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,166,25,0,143,0,0,0,5,0,0,0,143,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,53,25,0,56,4,0,0,13,0,0,0,56,4,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,53,25,0,55,4,0,0,13,0,0,0,55,4,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,53,25,0,53,4,0,0,13,0,0,0,53,4,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,53,25,0,52,4,0,0,13,0,0,0,52,4,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,25,0,16,0,0,0,5,0,0,0,17,0,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,53,25,0,163,5,0,0,13,0,0,0,165,5,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,53,25,0,245,4,0,0,13,0,0,0,1,5,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,25,0,95,1,0,0,3,0,0,0,100,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,25,0,89,1,0,0,3,0,0,0,94,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,76,25,0,65,1,0,0,3,0,0,0,65,1,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,25,0,228,2,0,0,9,0,0,0,233,2,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,166,25,0,144,0,0,0,5,0,0,0,144,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,59,25,0,139,1,0,0,5,0,0,0,139,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,59,25,0,137,1,0,0,5,0,0,0,137,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,25,0,247,1,0,0,5,0,0,0,248,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,166,25,0,164,0,0,0,5,0,0,0,168,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,234,24,0,150,27,0,0,7,0,0,0,150,27,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,234,24,0,38,17,0,0,7,0,0,0,38,17,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,234,24,0,33,17,0,0,7,0,0,0,33,17,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,234,24,0,30,17,0,0,7,0,0,0,30,17,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,59,25,0,140,1,0,0,5,0,0,0,140,1,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,165,25,0,38,17,0,0,7,0,0,0,38,17,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,165,25,0,34,17,0,0,7,0,0,0,34,17,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,165,25,0,35,17,0,0,7,0,0,0,35,17,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,77,25,0,55,4,0,0,13,0,0,0,55,4,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,165,25,0,40,17,0,0,7,0,0,0,40,17,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,165,25,0,39,17,0,0,7,0,0,0,39,17,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,165,25,0,36,17,0,0,7,0,0,0,37,17,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,165,25,0,74,22,0,0,7,0,0,0,75,22,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,141,25,0,164,0,0,0,5,0,0,0,168,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,141,25,0,145,0,0,0,5,0,0,0,145,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,141,25,0,144,0,0,0,5,0,0,0,144,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,77,25,0,52,4,0,0,13,0,0,0,52,4,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,127,0,0,16,0,0,0,5,0,0,0,17,0,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,165,25,0,33,17,0,0,7,0,0,0,33,17,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,165,25,0,150,27,0,0,7,0,0,0,150,27,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,127,0,0,74,2,0,0,7,0,0,0,74,2,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,112,25,0,20,3,0,0,5,0,0,0,22,3,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,112,25,0,142,0,0,0,5,0,0,0,145,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,112,25,0,146,0,0,0,5,0,0,0,149,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,112,25,0,150,0,0,0,5,0,0,0,153,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,113,0,0,70,1,0,0,5,0,0,0,71,1,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,127,0,0,51,2,0,0,7,0,0,0,54,2,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,127,0,0,55,2,0,0,7,0,0,0,58,2,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,113,0,0,148,0,0,0,5,0,0,0,149,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,113,0,0,150,0,0,0,5,0,0,0,151,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,113,0,0,152,0,0,0,5,0,0,0,153,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,113,0,0,55,1,0,0,5,0,0,0,57,1,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,113,0,0,61,1,0,0,5,0,0,0,63,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,127,0,0,31,2,0,0,7,0,0,0,33,2,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,127,0,0,34,2,0,0,7,0,0,0,36,2,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,113,0,0,79,1,0,0,5,0,0,0,81,1,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,127,0,0,59,2,0,0,7,0,0,0,61,2,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,113,0,0,58,1,0,0,5,0,0,0,60,1,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,127,0,0,37,2,0,0,7,0,0,0,39,2,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,127,0,0,40,2,0,0,7,0,0,0,42,2,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,113,0,0,169,0,0,0,5,0,0,0,170,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,127,0,0,45,2,0,0,7,0,0,0,47,2,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,113,0,0,66,1,0,0,5,0,0,0,67,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,127,0,0,236,1,0,0,5,0,0,0,237,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,127,0,0,63,1,0,0,3,0,0,0,65,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,119,0,0,34,1,0,0,3,0,0,0,34,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,119,0,0,58,1,0,0,3,0,0,0,60,1,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,127,0,0,59,1,0,0,3,0,0,0,61,1,0,0,61,0,0,0,0,0,0,0,1,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,128,127,0,0,236,2,0,0,9,0,0,0,238,2,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,127,0,0,56,1,0,0,3,0,0,0,58,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,159,0,0,8,0,0,0,3,0,0,0,10,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,159,0,0,11,0,0,0,3,0,0,0,13,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,159,0,0,22,0,0,0,3,0,0,0,25,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,159,0,0,35,0,0,0,3,0,0,0,38,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,159,0,0,57,0,0,0,3,0,0,0,59,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,159,0,0,60,0,0,0,3,0,0,0,62,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,159,0,0,63,0,0,0,3,0,0,0,65,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,159,0,0,44,0,0,0,3,0,0,0,46,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,159,0,0,47,0,0,0,3,0,0,0,49,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,159,0,0,26,0,0,0,3,0,0,0,28,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,159,0,0,29,0,0,0,3,0,0,0,31,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,159,0,0,32,0,0,0,3,0,0,0,34,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,77,25,0,248,0,0,0,7,0,0,0,249,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,77,25,0,255,0,0,0,7,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,77,25,0,7,1,0,0,7,0,0,0,9,1,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,77,25,0,11,0,0,0,5,0,0,0,13,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,77,25,0,17,0,0,0,5,0,0,0,19,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,77,25,0,14,0,0,0,5,0,0,0,16,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,77,25,0,29,4,0,0,13,0,0,0,31,4,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,77,25,0,32,4,0,0,13,0,0,0,34,4,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,77,25,0,221,4,0,0,13,0,0,0,222,4,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,77,25,0,229,4,0,0,13,0,0,0,231,4,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,77,25,0,150,5,0,0,13,0,0,0,152,5,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,77,25,0,21,4,0,0,13,0,0,0,23,4,0,0,109,0,0,0,0,0,0,0,1,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,32,77,25,0,26,4,0,0,13,0,0,0,28,4,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,77,25,0,80,4,0,0,13,0,0,0,82,4,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,77,25,0,87,4,0,0,13,0,0,0,91,4,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,15,25,0,162,1,0,0,5,0,0,0,163,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,77,25,0,166,4,0,0,9,0,0,0,166,4,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,163,1,0,0,1,0,0,0,162,1,0,0,1,0,0,0,40,0,0,0,1,0,0,0,150,1,0,0,1,0,0,0,149,1,0,0,1,0,0,0,105,1,0,0,1,0,0,0,94,1,0,0,1,0,0,0,85,1,0,0,1,0,0,0,74,1,0,0,1,0,0,0,38,1,0,0,104,252,24,0,82,17,0,0,7,0,0,0,83,17,0,0,76,0,0,0,0,0,0,0,128,249,24,0,25,1,0,0,7,0,0,0,25,1,0,0,90,0,0,0,0,0,0,0,1,0,0,0,20,1,0,0,1,0,0,0,15,1,0,0,1,0,0,0,13,1,0,0,1,0,0,0,12,1,0,0,1,0,0,0,9,1,0,0,1,0,0,0,6,1,0,0,1,0,0,0,1,1,0,0,1,0,0,0,255,0,0,0,1,0,0,0,251,0,0,0,1,0,0,0,250,0,0,0,1,0,0,0,240,0,0,0,1,0,0,0,238,0,0,0,1,0,0,0,237,0,0,0,1,0,0,0,236,0,0,0,1,0,0,0,235,0,0,0,1,0,0,0,231,0,0,0,1,0,0,0,229,0,0,0,1,0,0,0,227,0,0,0,8,99,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,223,0,0,0,1,0,0,0,222,0,0,0,1,0,0,0,221,0,0,0,1,0,0,0,218,0,0,0,1,0,0,0,216,0,0,0,1,0,0,0,214,0,0,0,1,0,0,0,211,0,0,0,1,0,0,0,205,0,0,0,1,0,0,0,16,0,0,0,1,0,0,0,15,0,0,0,1,0,0,0,14,0,0,0,1,0,0,0,13,0,0,0,1,0,0,0,127,0,0,0,1,0,0,0,125,0,0,0,1,0,0,0,121,0,0,0,1,0,0,0,120,0,0,0,1,0,0,0,118,0,0,0,1,0,0,0,115,0,0,0,1,0,0,0,113,0,0,0,1,0,0,0,112,0,0,0,1,0,0,0,104,0,0,0,1,0,0,0,100,0,0,0,40,0,0,0,6,1,0,0,94,0,0,0,178,0,0,0,48,0,0,0,16,1,0,0,32,0,0,0,106,0,0,0,134,0,0,0,206,0,0,0,60,0,0,0,162,0,0,0,26,0,0,0,36,0,0,0,2,0,0,0,196,0,0,0,186,0,0,0,32,0,0,0,1,0,0,0,1,0,0,0,54,0,0,0,192,0,0,0,200,0,0,0,38,0,0,0,50,0,0,0,64,0,0,0,16,0,0,0,98,0,0,0,40,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,116,0,0,0,114,0,0,0,120,0,0,0,112,0,0,0,118,0,0,0,182,0,0,0,44,0,0,0,70,0,0,0,48,0,0,0,128,0,0,0,6,0,0,0,76,0,0,0,88,0,0,0,2,0,0,0,112,41,25,0,152,120,0,0,64,119,0,0,40,118,0,0,160,72,25,0,248,116,0,0,32,129,25,0,0,152,25,0,160,72,25,0,16,29,25,0,8,246,24,0,152,168,0,0,184,148,0,0,24,130,0,0,128,113,0,0,40,99,0,0,168,171,25,0,216,154,25,0,120,139,25,0,200,125,25,0,48,114,25,0,120,104,25,0,40,94,25,0,104,88,25,0,176,84,25,0,88,81,25,0,248,77,25,0,80,74,25,0,80,67,25,0,40,63,25,0,144,58,25,0,136,54,25,0,8,50,25,0,104,45,25,0,112,41,25,0,240,37,25,0,240,37,25,0,80,34,25,0,104,30,25,0,16,24,25,0,144,20,25,0,0,16,25,0,144,12,25,0,24,9,25,0,16,6,25,0,232,2,25,0,64,255,24,0,144,251,24,0,232,247,24,0,160,240,24,0,96,237,24,0,8,234,24,0,208,231,24,0,48,229,24,0,120,70,20,0,64,175,0,0,8,173,0,0,176,171,0,0,184,166,0,0,40,164,0,0,208,162,0,0,96,160,0,0,121,101,115,0,0,0,0,0,118,101,114,115,105,111,110,0,115,116,97,110,100,97,108,111,110,101,0,0,0,0,0,0,110,111,0,0,0,0,0,0,101,110,99,111,100,105,110,103,0,0,0,0,0,0,0,0,85,84,70,45,56,0,0,0,85,84,70,45,49,54,76,69,0,0,0,0,0,0,0,0,85,84,70,45,49,54,66,69,0,0,0,0,0,0,0,0,85,84,70,45,49,54,0,0,85,83,45,65,83,67,73,73,0,0,0,0,0,0,0,0,83,89,83,84,69,77,0,0,82,69,81,85,73,82,69,68,0,0,0,0,0,0,0,0,80,85,66,76,73,67,0,0,80,67,68,65,84,65,0,0,78,79,84,65,84,73,79,78,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,83,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,0,78,68,65,84,65,0,0,0,73,83,79,45,56,56,53,57,45,49,0,0,0,0,0,0,73,78,67,76,85,68,69,0,73,77,80,76,73,69,68,0,73,71,78,79,82,69,0,0,73,68,82,69,70,83,0,0,73,68,82,69,70,0,0,0,73,68,0,0,0,0,0,0,70,73,88,69,68,0,0,0,69,78,84,73,84,89,0,0,69,78,84,73,84,73,69,83,0,0,0,0,0,0,0,0,69,77,80,84,89,0,0,0,69,76,69,77,69,78,84,0,68,79,67,84,89,80,69,0,67,68,65,84,65,0,0,0,65,84,84,76,73,83,84,0,65,78,89,0,0,0,0,0,160,144,0,0,240,116,0,0,200,115,0,0,232,114,0,0,160,144,0,0,64,120,0,0,192,118,0,0,232,117,0,0,0,164,0,0,248,100,25,0,152,52,25,0,8,11,25,0,136,230,24,0,32,159,0,0,0,139,0,0,208,130,0,0,144,107,0,0,192,99,0,0,48,172,25,0,128,155,25,0,48,140,25,0,16,126,25,0,192,99,0,0,80,114,25,0,16,99,25,0,184,90,25,0,48,86,25,0,200,84,25,0,88,79,25,0,120,76,25,0,176,74,25,0,120,67,25,0,152,60,25,0,184,56,25,0,216,54,25,0,72,50,25,0,120,43,25,0,176,41,25,0,56,38,25,0,32,32,25,0,0,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,200,153,0,0,40,97,25,0,200,51,25,0,48,10,25,0,40,230,24,0,232,158,0,0,248,138,0,0,144,120,0,0,160,107,0,0,120,91,0,0,208,163,25,0,128,147,25,0,8,133,25,0,152,119,25,0,40,109,25,0,40,99,25,0,216,90,25,0,88,86,25,0,144,82,25,0,104,79,25,0,152,76,25,0,224,70,25,0,16,65,25,0,176,60,25,0,208,56,25,0,136,52,25,0,216,47,25,0,144,43,25,0,168,39,25,0,16,36,25,0,48,32,25,0,0,0,0,0,56,27,25,0,40,147,0,0,208,144,0,0,48,14,25,0,216,142,0,0,160,7,25,0,64,4,25,0,160,140,0,0,32,139,0,0,56,250,24,0,24,244,24,0,216,137,0,0,120,136,0,0,16,135,0,0,184,230,24,0,32,228,24,0,104,133,0,0,168,131,0,0,224,128,0,0,8,127,0,0,0,167,0,0,104,164,0,0,216,162,0,0,40,125,0,0,176,122,0,0,160,120,0,0,48,155,0,0,216,153,0,0,112,152,0,0,16,151,0,0,48,32,25,0,0,0,0,0,56,27,25,0,72,22,25,0,160,18,25,0,48,14,25,0,200,10,25,0,160,7,25,0,64,4,25,0,224,0,25,0,176,253,24,0,56,250,24,0,24,244,24,0,144,238,24,0,176,235,24,0,24,233,24,0,184,230,24,0,32,228,24,0,152,69,20,0,104,175,0,0,56,173,0,0,216,170,0,0,0,167,0,0,104,164,0,0,216,162,0,0,144,160,0,0,64,159,0,0,88,157,0,0,48,155,0,0,216,153,0,0,112,152,0,0,16,151,0,0,48,32,25,0,0,0,0,0,65,49,32,98,116,46,32,105,114,49,32,110,97,32,32,84,106,32,32,114,101,32,32,97,99,32,32,110,116,32,32,115,111,32,32,32,114,32,32,32,121,32,32,32,0,0,0,0], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1700216);



var tempDoublePtr = Runtime.alignMemory(allocate(12, "i8", ALLOC_STATIC), 8);

assert(tempDoublePtr % 8 == 0);

function copyTempFloat(ptr) { // functions, because inlining this code increases code size too much

  HEAP8[tempDoublePtr] = HEAP8[ptr];

  HEAP8[tempDoublePtr+1] = HEAP8[ptr+1];

  HEAP8[tempDoublePtr+2] = HEAP8[ptr+2];

  HEAP8[tempDoublePtr+3] = HEAP8[ptr+3];

}

function copyTempDouble(ptr) {

  HEAP8[tempDoublePtr] = HEAP8[ptr];

  HEAP8[tempDoublePtr+1] = HEAP8[ptr+1];

  HEAP8[tempDoublePtr+2] = HEAP8[ptr+2];

  HEAP8[tempDoublePtr+3] = HEAP8[ptr+3];

  HEAP8[tempDoublePtr+4] = HEAP8[ptr+4];

  HEAP8[tempDoublePtr+5] = HEAP8[ptr+5];

  HEAP8[tempDoublePtr+6] = HEAP8[ptr+6];

  HEAP8[tempDoublePtr+7] = HEAP8[ptr+7];

}


   
  Module["_strlen"] = _strlen;

   
  Module["_strncpy"] = _strncpy;

  
  
  var ERRNO_CODES={EPERM:1,ENOENT:2,ESRCH:3,EINTR:4,EIO:5,ENXIO:6,E2BIG:7,ENOEXEC:8,EBADF:9,ECHILD:10,EAGAIN:11,EWOULDBLOCK:11,ENOMEM:12,EACCES:13,EFAULT:14,ENOTBLK:15,EBUSY:16,EEXIST:17,EXDEV:18,ENODEV:19,ENOTDIR:20,EISDIR:21,EINVAL:22,ENFILE:23,EMFILE:24,ENOTTY:25,ETXTBSY:26,EFBIG:27,ENOSPC:28,ESPIPE:29,EROFS:30,EMLINK:31,EPIPE:32,EDOM:33,ERANGE:34,ENOMSG:42,EIDRM:43,ECHRNG:44,EL2NSYNC:45,EL3HLT:46,EL3RST:47,ELNRNG:48,EUNATCH:49,ENOCSI:50,EL2HLT:51,EDEADLK:35,ENOLCK:37,EBADE:52,EBADR:53,EXFULL:54,ENOANO:55,EBADRQC:56,EBADSLT:57,EDEADLOCK:35,EBFONT:59,ENOSTR:60,ENODATA:61,ETIME:62,ENOSR:63,ENONET:64,ENOPKG:65,EREMOTE:66,ENOLINK:67,EADV:68,ESRMNT:69,ECOMM:70,EPROTO:71,EMULTIHOP:72,EDOTDOT:73,EBADMSG:74,ENOTUNIQ:76,EBADFD:77,EREMCHG:78,ELIBACC:79,ELIBBAD:80,ELIBSCN:81,ELIBMAX:82,ELIBEXEC:83,ENOSYS:38,ENOTEMPTY:39,ENAMETOOLONG:36,ELOOP:40,EOPNOTSUPP:95,EPFNOSUPPORT:96,ECONNRESET:104,ENOBUFS:105,EAFNOSUPPORT:97,EPROTOTYPE:91,ENOTSOCK:88,ENOPROTOOPT:92,ESHUTDOWN:108,ECONNREFUSED:111,EADDRINUSE:98,ECONNABORTED:103,ENETUNREACH:101,ENETDOWN:100,ETIMEDOUT:110,EHOSTDOWN:112,EHOSTUNREACH:113,EINPROGRESS:115,EALREADY:114,EDESTADDRREQ:89,EMSGSIZE:90,EPROTONOSUPPORT:93,ESOCKTNOSUPPORT:94,EADDRNOTAVAIL:99,ENETRESET:102,EISCONN:106,ENOTCONN:107,ETOOMANYREFS:109,EUSERS:87,EDQUOT:122,ESTALE:116,ENOTSUP:95,ENOMEDIUM:123,EILSEQ:84,EOVERFLOW:75,ECANCELED:125,ENOTRECOVERABLE:131,EOWNERDEAD:130,ESTRPIPE:86};
  
  var ERRNO_MESSAGES={0:"Success",1:"Not super-user",2:"No such file or directory",3:"No such process",4:"Interrupted system call",5:"I/O error",6:"No such device or address",7:"Arg list too long",8:"Exec format error",9:"Bad file number",10:"No children",11:"No more processes",12:"Not enough core",13:"Permission denied",14:"Bad address",15:"Block device required",16:"Mount device busy",17:"File exists",18:"Cross-device link",19:"No such device",20:"Not a directory",21:"Is a directory",22:"Invalid argument",23:"Too many open files in system",24:"Too many open files",25:"Not a typewriter",26:"Text file busy",27:"File too large",28:"No space left on device",29:"Illegal seek",30:"Read only file system",31:"Too many links",32:"Broken pipe",33:"Math arg out of domain of func",34:"Math result not representable",35:"File locking deadlock error",36:"File or path name too long",37:"No record locks available",38:"Function not implemented",39:"Directory not empty",40:"Too many symbolic links",42:"No message of desired type",43:"Identifier removed",44:"Channel number out of range",45:"Level 2 not synchronized",46:"Level 3 halted",47:"Level 3 reset",48:"Link number out of range",49:"Protocol driver not attached",50:"No CSI structure available",51:"Level 2 halted",52:"Invalid exchange",53:"Invalid request descriptor",54:"Exchange full",55:"No anode",56:"Invalid request code",57:"Invalid slot",59:"Bad font file fmt",60:"Device not a stream",61:"No data (for no delay io)",62:"Timer expired",63:"Out of streams resources",64:"Machine is not on the network",65:"Package not installed",66:"The object is remote",67:"The link has been severed",68:"Advertise error",69:"Srmount error",70:"Communication error on send",71:"Protocol error",72:"Multihop attempted",73:"Cross mount point (not really error)",74:"Trying to read unreadable message",75:"Value too large for defined data type",76:"Given log. name not unique",77:"f.d. invalid for this operation",78:"Remote address changed",79:"Can   access a needed shared lib",80:"Accessing a corrupted shared lib",81:".lib section in a.out corrupted",82:"Attempting to link in too many libs",83:"Attempting to exec a shared library",84:"Illegal byte sequence",86:"Streams pipe error",87:"Too many users",88:"Socket operation on non-socket",89:"Destination address required",90:"Message too long",91:"Protocol wrong type for socket",92:"Protocol not available",93:"Unknown protocol",94:"Socket type not supported",95:"Not supported",96:"Protocol family not supported",97:"Address family not supported by protocol family",98:"Address already in use",99:"Address not available",100:"Network interface is not configured",101:"Network is unreachable",102:"Connection reset by network",103:"Connection aborted",104:"Connection reset by peer",105:"No buffer space available",106:"Socket is already connected",107:"Socket is not connected",108:"Can't send after socket shutdown",109:"Too many references",110:"Connection timed out",111:"Connection refused",112:"Host is down",113:"Host is unreachable",114:"Socket already connected",115:"Connection already in progress",116:"Stale file handle",122:"Quota exceeded",123:"No medium (in tape drive)",125:"Operation canceled",130:"Previous owner died",131:"State not recoverable"};
  
  
  var ___errno_state=0;function ___setErrNo(value) {
      // For convenient setting and returning of errno.
      HEAP32[((___errno_state)>>2)]=value;
      return value;
    }
  
  var PATH={splitPath:function (filename) {
        var splitPathRe = /^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/;
        return splitPathRe.exec(filename).slice(1);
      },normalizeArray:function (parts, allowAboveRoot) {
        // if the path tries to go above the root, `up` ends up > 0
        var up = 0;
        for (var i = parts.length - 1; i >= 0; i--) {
          var last = parts[i];
          if (last === '.') {
            parts.splice(i, 1);
          } else if (last === '..') {
            parts.splice(i, 1);
            up++;
          } else if (up) {
            parts.splice(i, 1);
            up--;
          }
        }
        // if the path is allowed to go above the root, restore leading ..s
        if (allowAboveRoot) {
          for (; up--; up) {
            parts.unshift('..');
          }
        }
        return parts;
      },normalize:function (path) {
        var isAbsolute = path.charAt(0) === '/',
            trailingSlash = path.substr(-1) === '/';
        // Normalize the path
        path = PATH.normalizeArray(path.split('/').filter(function(p) {
          return !!p;
        }), !isAbsolute).join('/');
        if (!path && !isAbsolute) {
          path = '.';
        }
        if (path && trailingSlash) {
          path += '/';
        }
        return (isAbsolute ? '/' : '') + path;
      },dirname:function (path) {
        var result = PATH.splitPath(path),
            root = result[0],
            dir = result[1];
        if (!root && !dir) {
          // No dirname whatsoever
          return '.';
        }
        if (dir) {
          // It has a dirname, strip trailing slash
          dir = dir.substr(0, dir.length - 1);
        }
        return root + dir;
      },basename:function (path) {
        // EMSCRIPTEN return '/'' for '/', not an empty string
        if (path === '/') return '/';
        var lastSlash = path.lastIndexOf('/');
        if (lastSlash === -1) return path;
        return path.substr(lastSlash+1);
      },extname:function (path) {
        return PATH.splitPath(path)[3];
      },join:function () {
        var paths = Array.prototype.slice.call(arguments, 0);
        return PATH.normalize(paths.join('/'));
      },join2:function (l, r) {
        return PATH.normalize(l + '/' + r);
      },resolve:function () {
        var resolvedPath = '',
          resolvedAbsolute = false;
        for (var i = arguments.length - 1; i >= -1 && !resolvedAbsolute; i--) {
          var path = (i >= 0) ? arguments[i] : FS.cwd();
          // Skip empty and invalid entries
          if (typeof path !== 'string') {
            throw new TypeError('Arguments to path.resolve must be strings');
          } else if (!path) {
            continue;
          }
          resolvedPath = path + '/' + resolvedPath;
          resolvedAbsolute = path.charAt(0) === '/';
        }
        // At this point the path should be resolved to a full absolute path, but
        // handle relative paths to be safe (might happen when process.cwd() fails)
        resolvedPath = PATH.normalizeArray(resolvedPath.split('/').filter(function(p) {
          return !!p;
        }), !resolvedAbsolute).join('/');
        return ((resolvedAbsolute ? '/' : '') + resolvedPath) || '.';
      },relative:function (from, to) {
        from = PATH.resolve(from).substr(1);
        to = PATH.resolve(to).substr(1);
        function trim(arr) {
          var start = 0;
          for (; start < arr.length; start++) {
            if (arr[start] !== '') break;
          }
          var end = arr.length - 1;
          for (; end >= 0; end--) {
            if (arr[end] !== '') break;
          }
          if (start > end) return [];
          return arr.slice(start, end - start + 1);
        }
        var fromParts = trim(from.split('/'));
        var toParts = trim(to.split('/'));
        var length = Math.min(fromParts.length, toParts.length);
        var samePartsLength = length;
        for (var i = 0; i < length; i++) {
          if (fromParts[i] !== toParts[i]) {
            samePartsLength = i;
            break;
          }
        }
        var outputParts = [];
        for (var i = samePartsLength; i < fromParts.length; i++) {
          outputParts.push('..');
        }
        outputParts = outputParts.concat(toParts.slice(samePartsLength));
        return outputParts.join('/');
      }};
  
  var TTY={ttys:[],init:function () {
        // https://github.com/kripken/emscripten/pull/1555
        // if (ENVIRONMENT_IS_NODE) {
        //   // currently, FS.init does not distinguish if process.stdin is a file or TTY
        //   // device, it always assumes it's a TTY device. because of this, we're forcing
        //   // process.stdin to UTF8 encoding to at least make stdin reading compatible
        //   // with text files until FS.init can be refactored.
        //   process['stdin']['setEncoding']('utf8');
        // }
      },shutdown:function () {
        // https://github.com/kripken/emscripten/pull/1555
        // if (ENVIRONMENT_IS_NODE) {
        //   // inolen: any idea as to why node -e 'process.stdin.read()' wouldn't exit immediately (with process.stdin being a tty)?
        //   // isaacs: because now it's reading from the stream, you've expressed interest in it, so that read() kicks off a _read() which creates a ReadReq operation
        //   // inolen: I thought read() in that case was a synchronous operation that just grabbed some amount of buffered data if it exists?
        //   // isaacs: it is. but it also triggers a _read() call, which calls readStart() on the handle
        //   // isaacs: do process.stdin.pause() and i'd think it'd probably close the pending call
        //   process['stdin']['pause']();
        // }
      },register:function (dev, ops) {
        TTY.ttys[dev] = { input: [], output: [], ops: ops };
        FS.registerDevice(dev, TTY.stream_ops);
      },stream_ops:{open:function (stream) {
          var tty = TTY.ttys[stream.node.rdev];
          if (!tty) {
            throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
          }
          stream.tty = tty;
          stream.seekable = false;
        },close:function (stream) {
          // flush any pending line data
          if (stream.tty.output.length) {
            stream.tty.ops.put_char(stream.tty, 10);
          }
        },read:function (stream, buffer, offset, length, pos /* ignored */) {
          if (!stream.tty || !stream.tty.ops.get_char) {
            throw new FS.ErrnoError(ERRNO_CODES.ENXIO);
          }
          var bytesRead = 0;
          for (var i = 0; i < length; i++) {
            var result;
            try {
              result = stream.tty.ops.get_char(stream.tty);
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
            if (result === undefined && bytesRead === 0) {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
            if (result === null || result === undefined) break;
            bytesRead++;
            buffer[offset+i] = result;
          }
          if (bytesRead) {
            stream.node.timestamp = Date.now();
          }
          return bytesRead;
        },write:function (stream, buffer, offset, length, pos) {
          if (!stream.tty || !stream.tty.ops.put_char) {
            throw new FS.ErrnoError(ERRNO_CODES.ENXIO);
          }
          for (var i = 0; i < length; i++) {
            try {
              stream.tty.ops.put_char(stream.tty, buffer[offset+i]);
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
          }
          if (length) {
            stream.node.timestamp = Date.now();
          }
          return i;
        }},default_tty_ops:{get_char:function (tty) {
          if (!tty.input.length) {
            var result = null;
            if (ENVIRONMENT_IS_NODE) {
              result = process['stdin']['read']();
              if (!result) {
                if (process['stdin']['_readableState'] && process['stdin']['_readableState']['ended']) {
                  return null;  // EOF
                }
                return undefined;  // no data available
              }
            } else if (typeof window != 'undefined' &&
              typeof window.prompt == 'function') {
              // Browser.
              result = window.prompt('Input: ');  // returns null on cancel
              if (result !== null) {
                result += '\n';
              }
            } else if (typeof readline == 'function') {
              // Command line.
              result = readline();
              if (result !== null) {
                result += '\n';
              }
            }
            if (!result) {
              return null;
            }
            tty.input = intArrayFromString(result, true);
          }
          return tty.input.shift();
        },put_char:function (tty, val) {
          if (val === null || val === 10) {
            Module['print'](tty.output.join(''));
            tty.output = [];
          } else {
            tty.output.push(TTY.utf8.processCChar(val));
          }
        }},default_tty1_ops:{put_char:function (tty, val) {
          if (val === null || val === 10) {
            Module['printErr'](tty.output.join(''));
            tty.output = [];
          } else {
            tty.output.push(TTY.utf8.processCChar(val));
          }
        }}};
  
  var MEMFS={ops_table:null,CONTENT_OWNING:1,CONTENT_FLEXIBLE:2,CONTENT_FIXED:3,mount:function (mount) {
        return MEMFS.createNode(null, '/', 16384 | 0777, 0);
      },createNode:function (parent, name, mode, dev) {
        if (FS.isBlkdev(mode) || FS.isFIFO(mode)) {
          // no supported
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (!MEMFS.ops_table) {
          MEMFS.ops_table = {
            dir: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr,
                lookup: MEMFS.node_ops.lookup,
                mknod: MEMFS.node_ops.mknod,
                mknod: MEMFS.node_ops.mknod,
                rename: MEMFS.node_ops.rename,
                unlink: MEMFS.node_ops.unlink,
                rmdir: MEMFS.node_ops.rmdir,
                readdir: MEMFS.node_ops.readdir,
                symlink: MEMFS.node_ops.symlink
              },
              stream: {
                llseek: MEMFS.stream_ops.llseek
              }
            },
            file: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr
              },
              stream: {
                llseek: MEMFS.stream_ops.llseek,
                read: MEMFS.stream_ops.read,
                write: MEMFS.stream_ops.write,
                allocate: MEMFS.stream_ops.allocate,
                mmap: MEMFS.stream_ops.mmap
              }
            },
            link: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr,
                readlink: MEMFS.node_ops.readlink
              },
              stream: {}
            },
            chrdev: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr
              },
              stream: FS.chrdev_stream_ops
            },
          };
        }
        var node = FS.createNode(parent, name, mode, dev);
        if (FS.isDir(node.mode)) {
          node.node_ops = MEMFS.ops_table.dir.node;
          node.stream_ops = MEMFS.ops_table.dir.stream;
          node.contents = {};
        } else if (FS.isFile(node.mode)) {
          node.node_ops = MEMFS.ops_table.file.node;
          node.stream_ops = MEMFS.ops_table.file.stream;
          node.contents = [];
          node.contentMode = MEMFS.CONTENT_FLEXIBLE;
        } else if (FS.isLink(node.mode)) {
          node.node_ops = MEMFS.ops_table.link.node;
          node.stream_ops = MEMFS.ops_table.link.stream;
        } else if (FS.isChrdev(node.mode)) {
          node.node_ops = MEMFS.ops_table.chrdev.node;
          node.stream_ops = MEMFS.ops_table.chrdev.stream;
        }
        node.timestamp = Date.now();
        // add the new node to the parent
        if (parent) {
          parent.contents[name] = node;
        }
        return node;
      },ensureFlexible:function (node) {
        if (node.contentMode !== MEMFS.CONTENT_FLEXIBLE) {
          var contents = node.contents;
          node.contents = Array.prototype.slice.call(contents);
          node.contentMode = MEMFS.CONTENT_FLEXIBLE;
        }
      },node_ops:{getattr:function (node) {
          var attr = {};
          // device numbers reuse inode numbers.
          attr.dev = FS.isChrdev(node.mode) ? node.id : 1;
          attr.ino = node.id;
          attr.mode = node.mode;
          attr.nlink = 1;
          attr.uid = 0;
          attr.gid = 0;
          attr.rdev = node.rdev;
          if (FS.isDir(node.mode)) {
            attr.size = 4096;
          } else if (FS.isFile(node.mode)) {
            attr.size = node.contents.length;
          } else if (FS.isLink(node.mode)) {
            attr.size = node.link.length;
          } else {
            attr.size = 0;
          }
          attr.atime = new Date(node.timestamp);
          attr.mtime = new Date(node.timestamp);
          attr.ctime = new Date(node.timestamp);
          // NOTE: In our implementation, st_blocks = Math.ceil(st_size/st_blksize),
          //       but this is not required by the standard.
          attr.blksize = 4096;
          attr.blocks = Math.ceil(attr.size / attr.blksize);
          return attr;
        },setattr:function (node, attr) {
          if (attr.mode !== undefined) {
            node.mode = attr.mode;
          }
          if (attr.timestamp !== undefined) {
            node.timestamp = attr.timestamp;
          }
          if (attr.size !== undefined) {
            MEMFS.ensureFlexible(node);
            var contents = node.contents;
            if (attr.size < contents.length) contents.length = attr.size;
            else while (attr.size > contents.length) contents.push(0);
          }
        },lookup:function (parent, name) {
          throw FS.genericErrors[ERRNO_CODES.ENOENT];
        },mknod:function (parent, name, mode, dev) {
          return MEMFS.createNode(parent, name, mode, dev);
        },rename:function (old_node, new_dir, new_name) {
          // if we're overwriting a directory at new_name, make sure it's empty.
          if (FS.isDir(old_node.mode)) {
            var new_node;
            try {
              new_node = FS.lookupNode(new_dir, new_name);
            } catch (e) {
            }
            if (new_node) {
              for (var i in new_node.contents) {
                throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
              }
            }
          }
          // do the internal rewiring
          delete old_node.parent.contents[old_node.name];
          old_node.name = new_name;
          new_dir.contents[new_name] = old_node;
          old_node.parent = new_dir;
        },unlink:function (parent, name) {
          delete parent.contents[name];
        },rmdir:function (parent, name) {
          var node = FS.lookupNode(parent, name);
          for (var i in node.contents) {
            throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
          }
          delete parent.contents[name];
        },readdir:function (node) {
          var entries = ['.', '..']
          for (var key in node.contents) {
            if (!node.contents.hasOwnProperty(key)) {
              continue;
            }
            entries.push(key);
          }
          return entries;
        },symlink:function (parent, newname, oldpath) {
          var node = MEMFS.createNode(parent, newname, 0777 | 40960, 0);
          node.link = oldpath;
          return node;
        },readlink:function (node) {
          if (!FS.isLink(node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          return node.link;
        }},stream_ops:{read:function (stream, buffer, offset, length, position) {
          var contents = stream.node.contents;
          if (position >= contents.length)
            return 0;
          var size = Math.min(contents.length - position, length);
          assert(size >= 0);
          if (size > 8 && contents.subarray) { // non-trivial, and typed array
            buffer.set(contents.subarray(position, position + size), offset);
          } else
          {
            for (var i = 0; i < size; i++) {
              buffer[offset + i] = contents[position + i];
            }
          }
          return size;
        },write:function (stream, buffer, offset, length, position, canOwn) {
          var node = stream.node;
          node.timestamp = Date.now();
          var contents = node.contents;
          if (length && contents.length === 0 && position === 0 && buffer.subarray) {
            // just replace it with the new data
            if (canOwn && offset === 0) {
              node.contents = buffer; // this could be a subarray of Emscripten HEAP, or allocated from some other source.
              node.contentMode = (buffer.buffer === HEAP8.buffer) ? MEMFS.CONTENT_OWNING : MEMFS.CONTENT_FIXED;
            } else {
              node.contents = new Uint8Array(buffer.subarray(offset, offset+length));
              node.contentMode = MEMFS.CONTENT_FIXED;
            }
            return length;
          }
          MEMFS.ensureFlexible(node);
          var contents = node.contents;
          while (contents.length < position) contents.push(0);
          for (var i = 0; i < length; i++) {
            contents[position + i] = buffer[offset + i];
          }
          return length;
        },llseek:function (stream, offset, whence) {
          var position = offset;
          if (whence === 1) {  // SEEK_CUR.
            position += stream.position;
          } else if (whence === 2) {  // SEEK_END.
            if (FS.isFile(stream.node.mode)) {
              position += stream.node.contents.length;
            }
          }
          if (position < 0) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          stream.ungotten = [];
          stream.position = position;
          return position;
        },allocate:function (stream, offset, length) {
          MEMFS.ensureFlexible(stream.node);
          var contents = stream.node.contents;
          var limit = offset + length;
          while (limit > contents.length) contents.push(0);
        },mmap:function (stream, buffer, offset, length, position, prot, flags) {
          if (!FS.isFile(stream.node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
          }
          var ptr;
          var allocated;
          var contents = stream.node.contents;
          // Only make a new copy when MAP_PRIVATE is specified.
          if ( !(flags & 2) &&
                (contents.buffer === buffer || contents.buffer === buffer.buffer) ) {
            // We can't emulate MAP_SHARED when the file is not backed by the buffer
            // we're mapping to (e.g. the HEAP buffer).
            allocated = false;
            ptr = contents.byteOffset;
          } else {
            // Try to avoid unnecessary slices.
            if (position > 0 || position + length < contents.length) {
              if (contents.subarray) {
                contents = contents.subarray(position, position + length);
              } else {
                contents = Array.prototype.slice.call(contents, position, position + length);
              }
            }
            allocated = true;
            ptr = _malloc(length);
            if (!ptr) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOMEM);
            }
            buffer.set(contents, ptr);
          }
          return { ptr: ptr, allocated: allocated };
        }}};
  
  var IDBFS={dbs:{},indexedDB:function () {
        return window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB;
      },DB_VERSION:21,DB_STORE_NAME:"FILE_DATA",mount:function (mount) {
        // reuse all of the core MEMFS functionality
        return MEMFS.mount.apply(null, arguments);
      },syncfs:function (mount, populate, callback) {
        IDBFS.getLocalSet(mount, function(err, local) {
          if (err) return callback(err);
  
          IDBFS.getRemoteSet(mount, function(err, remote) {
            if (err) return callback(err);
  
            var src = populate ? remote : local;
            var dst = populate ? local : remote;
  
            IDBFS.reconcile(src, dst, callback);
          });
        });
      },getDB:function (name, callback) {
        // check the cache first
        var db = IDBFS.dbs[name];
        if (db) {
          return callback(null, db);
        }
  
        var req;
        try {
          req = IDBFS.indexedDB().open(name, IDBFS.DB_VERSION);
        } catch (e) {
          return callback(e);
        }
        req.onupgradeneeded = function(e) {
          var db = e.target.result;
          var transaction = e.target.transaction;
  
          var fileStore;
  
          if (db.objectStoreNames.contains(IDBFS.DB_STORE_NAME)) {
            fileStore = transaction.objectStore(IDBFS.DB_STORE_NAME);
          } else {
            fileStore = db.createObjectStore(IDBFS.DB_STORE_NAME);
          }
  
          fileStore.createIndex('timestamp', 'timestamp', { unique: false });
        };
        req.onsuccess = function() {
          db = req.result;
  
          // add to the cache
          IDBFS.dbs[name] = db;
          callback(null, db);
        };
        req.onerror = function() {
          callback(this.error);
        };
      },getLocalSet:function (mount, callback) {
        var entries = {};
  
        function isRealDir(p) {
          return p !== '.' && p !== '..';
        };
        function toAbsolute(root) {
          return function(p) {
            return PATH.join2(root, p);
          }
        };
  
        var check = FS.readdir(mount.mountpoint).filter(isRealDir).map(toAbsolute(mount.mountpoint));
  
        while (check.length) {
          var path = check.pop();
          var stat;
  
          try {
            stat = FS.stat(path);
          } catch (e) {
            return callback(e);
          }
  
          if (FS.isDir(stat.mode)) {
            check.push.apply(check, FS.readdir(path).filter(isRealDir).map(toAbsolute(path)));
          }
  
          entries[path] = { timestamp: stat.mtime };
        }
  
        return callback(null, { type: 'local', entries: entries });
      },getRemoteSet:function (mount, callback) {
        var entries = {};
  
        IDBFS.getDB(mount.mountpoint, function(err, db) {
          if (err) return callback(err);
  
          var transaction = db.transaction([IDBFS.DB_STORE_NAME], 'readonly');
          transaction.onerror = function() { callback(this.error); };
  
          var store = transaction.objectStore(IDBFS.DB_STORE_NAME);
          var index = store.index('timestamp');
  
          index.openKeyCursor().onsuccess = function(event) {
            var cursor = event.target.result;
  
            if (!cursor) {
              return callback(null, { type: 'remote', db: db, entries: entries });
            }
  
            entries[cursor.primaryKey] = { timestamp: cursor.key };
  
            cursor.continue();
          };
        });
      },loadLocalEntry:function (path, callback) {
        var stat, node;
  
        try {
          var lookup = FS.lookupPath(path);
          node = lookup.node;
          stat = FS.stat(path);
        } catch (e) {
          return callback(e);
        }
  
        if (FS.isDir(stat.mode)) {
          return callback(null, { timestamp: stat.mtime, mode: stat.mode });
        } else if (FS.isFile(stat.mode)) {
          return callback(null, { timestamp: stat.mtime, mode: stat.mode, contents: node.contents });
        } else {
          return callback(new Error('node type not supported'));
        }
      },storeLocalEntry:function (path, entry, callback) {
        try {
          if (FS.isDir(entry.mode)) {
            FS.mkdir(path, entry.mode);
          } else if (FS.isFile(entry.mode)) {
            FS.writeFile(path, entry.contents, { encoding: 'binary', canOwn: true });
          } else {
            return callback(new Error('node type not supported'));
          }
  
          FS.utime(path, entry.timestamp, entry.timestamp);
        } catch (e) {
          return callback(e);
        }
  
        callback(null);
      },removeLocalEntry:function (path, callback) {
        try {
          var lookup = FS.lookupPath(path);
          var stat = FS.stat(path);
  
          if (FS.isDir(stat.mode)) {
            FS.rmdir(path);
          } else if (FS.isFile(stat.mode)) {
            FS.unlink(path);
          }
        } catch (e) {
          return callback(e);
        }
  
        callback(null);
      },loadRemoteEntry:function (store, path, callback) {
        var req = store.get(path);
        req.onsuccess = function(event) { callback(null, event.target.result); };
        req.onerror = function() { callback(this.error); };
      },storeRemoteEntry:function (store, path, entry, callback) {
        var req = store.put(entry, path);
        req.onsuccess = function() { callback(null); };
        req.onerror = function() { callback(this.error); };
      },removeRemoteEntry:function (store, path, callback) {
        var req = store.delete(path);
        req.onsuccess = function() { callback(null); };
        req.onerror = function() { callback(this.error); };
      },reconcile:function (src, dst, callback) {
        var total = 0;
  
        var create = [];
        Object.keys(src.entries).forEach(function (key) {
          var e = src.entries[key];
          var e2 = dst.entries[key];
          if (!e2 || e.timestamp > e2.timestamp) {
            create.push(key);
            total++;
          }
        });
  
        var remove = [];
        Object.keys(dst.entries).forEach(function (key) {
          var e = dst.entries[key];
          var e2 = src.entries[key];
          if (!e2) {
            remove.push(key);
            total++;
          }
        });
  
        if (!total) {
          return callback(null);
        }
  
        var errored = false;
        var completed = 0;
        var db = src.type === 'remote' ? src.db : dst.db;
        var transaction = db.transaction([IDBFS.DB_STORE_NAME], 'readwrite');
        var store = transaction.objectStore(IDBFS.DB_STORE_NAME);
  
        function done(err) {
          if (err) {
            if (!done.errored) {
              done.errored = true;
              return callback(err);
            }
            return;
          }
          if (++completed >= total) {
            return callback(null);
          }
        };
  
        transaction.onerror = function() { done(this.error); };
  
        // sort paths in ascending order so directory entries are created
        // before the files inside them
        create.sort().forEach(function (path) {
          if (dst.type === 'local') {
            IDBFS.loadRemoteEntry(store, path, function (err, entry) {
              if (err) return done(err);
              IDBFS.storeLocalEntry(path, entry, done);
            });
          } else {
            IDBFS.loadLocalEntry(path, function (err, entry) {
              if (err) return done(err);
              IDBFS.storeRemoteEntry(store, path, entry, done);
            });
          }
        });
  
        // sort paths in descending order so files are deleted before their
        // parent directories
        remove.sort().reverse().forEach(function(path) {
          if (dst.type === 'local') {
            IDBFS.removeLocalEntry(path, done);
          } else {
            IDBFS.removeRemoteEntry(store, path, done);
          }
        });
      }};
  
  var NODEFS={isWindows:false,staticInit:function () {
        NODEFS.isWindows = !!process.platform.match(/^win/);
      },mount:function (mount) {
        assert(ENVIRONMENT_IS_NODE);
        return NODEFS.createNode(null, '/', NODEFS.getMode(mount.opts.root), 0);
      },createNode:function (parent, name, mode, dev) {
        if (!FS.isDir(mode) && !FS.isFile(mode) && !FS.isLink(mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var node = FS.createNode(parent, name, mode);
        node.node_ops = NODEFS.node_ops;
        node.stream_ops = NODEFS.stream_ops;
        return node;
      },getMode:function (path) {
        var stat;
        try {
          stat = fs.lstatSync(path);
          if (NODEFS.isWindows) {
            // On Windows, directories return permission bits 'rw-rw-rw-', even though they have 'rwxrwxrwx', so 
            // propagate write bits to execute bits.
            stat.mode = stat.mode | ((stat.mode & 146) >> 1);
          }
        } catch (e) {
          if (!e.code) throw e;
          throw new FS.ErrnoError(ERRNO_CODES[e.code]);
        }
        return stat.mode;
      },realPath:function (node) {
        var parts = [];
        while (node.parent !== node) {
          parts.push(node.name);
          node = node.parent;
        }
        parts.push(node.mount.opts.root);
        parts.reverse();
        return PATH.join.apply(null, parts);
      },flagsToPermissionStringMap:{0:"r",1:"r+",2:"r+",64:"r",65:"r+",66:"r+",129:"rx+",193:"rx+",514:"w+",577:"w",578:"w+",705:"wx",706:"wx+",1024:"a",1025:"a",1026:"a+",1089:"a",1090:"a+",1153:"ax",1154:"ax+",1217:"ax",1218:"ax+",4096:"rs",4098:"rs+"},flagsToPermissionString:function (flags) {
        if (flags in NODEFS.flagsToPermissionStringMap) {
          return NODEFS.flagsToPermissionStringMap[flags];
        } else {
          return flags;
        }
      },node_ops:{getattr:function (node) {
          var path = NODEFS.realPath(node);
          var stat;
          try {
            stat = fs.lstatSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          // node.js v0.10.20 doesn't report blksize and blocks on Windows. Fake them with default blksize of 4096.
          // See http://support.microsoft.com/kb/140365
          if (NODEFS.isWindows && !stat.blksize) {
            stat.blksize = 4096;
          }
          if (NODEFS.isWindows && !stat.blocks) {
            stat.blocks = (stat.size+stat.blksize-1)/stat.blksize|0;
          }
          return {
            dev: stat.dev,
            ino: stat.ino,
            mode: stat.mode,
            nlink: stat.nlink,
            uid: stat.uid,
            gid: stat.gid,
            rdev: stat.rdev,
            size: stat.size,
            atime: stat.atime,
            mtime: stat.mtime,
            ctime: stat.ctime,
            blksize: stat.blksize,
            blocks: stat.blocks
          };
        },setattr:function (node, attr) {
          var path = NODEFS.realPath(node);
          try {
            if (attr.mode !== undefined) {
              fs.chmodSync(path, attr.mode);
              // update the common node structure mode as well
              node.mode = attr.mode;
            }
            if (attr.timestamp !== undefined) {
              var date = new Date(attr.timestamp);
              fs.utimesSync(path, date, date);
            }
            if (attr.size !== undefined) {
              fs.truncateSync(path, attr.size);
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },lookup:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          var mode = NODEFS.getMode(path);
          return NODEFS.createNode(parent, name, mode);
        },mknod:function (parent, name, mode, dev) {
          var node = NODEFS.createNode(parent, name, mode, dev);
          // create the backing node for this in the fs root as well
          var path = NODEFS.realPath(node);
          try {
            if (FS.isDir(node.mode)) {
              fs.mkdirSync(path, node.mode);
            } else {
              fs.writeFileSync(path, '', { mode: node.mode });
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          return node;
        },rename:function (oldNode, newDir, newName) {
          var oldPath = NODEFS.realPath(oldNode);
          var newPath = PATH.join2(NODEFS.realPath(newDir), newName);
          try {
            fs.renameSync(oldPath, newPath);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },unlink:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          try {
            fs.unlinkSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },rmdir:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          try {
            fs.rmdirSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },readdir:function (node) {
          var path = NODEFS.realPath(node);
          try {
            return fs.readdirSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },symlink:function (parent, newName, oldPath) {
          var newPath = PATH.join2(NODEFS.realPath(parent), newName);
          try {
            fs.symlinkSync(oldPath, newPath);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },readlink:function (node) {
          var path = NODEFS.realPath(node);
          try {
            return fs.readlinkSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        }},stream_ops:{open:function (stream) {
          var path = NODEFS.realPath(stream.node);
          try {
            if (FS.isFile(stream.node.mode)) {
              stream.nfd = fs.openSync(path, NODEFS.flagsToPermissionString(stream.flags));
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },close:function (stream) {
          try {
            if (FS.isFile(stream.node.mode) && stream.nfd) {
              fs.closeSync(stream.nfd);
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },read:function (stream, buffer, offset, length, position) {
          // FIXME this is terrible.
          var nbuffer = new Buffer(length);
          var res;
          try {
            res = fs.readSync(stream.nfd, nbuffer, 0, length, position);
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          if (res > 0) {
            for (var i = 0; i < res; i++) {
              buffer[offset + i] = nbuffer[i];
            }
          }
          return res;
        },write:function (stream, buffer, offset, length, position) {
          // FIXME this is terrible.
          var nbuffer = new Buffer(buffer.subarray(offset, offset + length));
          var res;
          try {
            res = fs.writeSync(stream.nfd, nbuffer, 0, length, position);
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          return res;
        },llseek:function (stream, offset, whence) {
          var position = offset;
          if (whence === 1) {  // SEEK_CUR.
            position += stream.position;
          } else if (whence === 2) {  // SEEK_END.
            if (FS.isFile(stream.node.mode)) {
              try {
                var stat = fs.fstatSync(stream.nfd);
                position += stat.size;
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES[e.code]);
              }
            }
          }
  
          if (position < 0) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
  
          stream.position = position;
          return position;
        }}};
  
  var _stdin=allocate(1, "i32*", ALLOC_STATIC);
  
  var _stdout=allocate(1, "i32*", ALLOC_STATIC);
  
  var _stderr=allocate(1, "i32*", ALLOC_STATIC);
  
  function _fflush(stream) {
      // int fflush(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fflush.html
      // we don't currently perform any user-space buffering of data
    }var FS={root:null,mounts:[],devices:[null],streams:[],nextInode:1,nameTable:null,currentPath:"/",initialized:false,ignorePermissions:true,ErrnoError:null,genericErrors:{},handleFSError:function (e) {
        if (!(e instanceof FS.ErrnoError)) throw e + ' : ' + stackTrace();
        return ___setErrNo(e.errno);
      },lookupPath:function (path, opts) {
        path = PATH.resolve(FS.cwd(), path);
        opts = opts || {};
  
        var defaults = {
          follow_mount: true,
          recurse_count: 0
        };
        for (var key in defaults) {
          if (opts[key] === undefined) {
            opts[key] = defaults[key];
          }
        }
  
        if (opts.recurse_count > 8) {  // max recursive lookup of 8
          throw new FS.ErrnoError(ERRNO_CODES.ELOOP);
        }
  
        // split the path
        var parts = PATH.normalizeArray(path.split('/').filter(function(p) {
          return !!p;
        }), false);
  
        // start at the root
        var current = FS.root;
        var current_path = '/';
  
        for (var i = 0; i < parts.length; i++) {
          var islast = (i === parts.length-1);
          if (islast && opts.parent) {
            // stop resolving
            break;
          }
  
          current = FS.lookupNode(current, parts[i]);
          current_path = PATH.join2(current_path, parts[i]);
  
          // jump to the mount's root node if this is a mountpoint
          if (FS.isMountpoint(current)) {
            if (!islast || (islast && opts.follow_mount)) {
              current = current.mounted.root;
            }
          }
  
          // by default, lookupPath will not follow a symlink if it is the final path component.
          // setting opts.follow = true will override this behavior.
          if (!islast || opts.follow) {
            var count = 0;
            while (FS.isLink(current.mode)) {
              var link = FS.readlink(current_path);
              current_path = PATH.resolve(PATH.dirname(current_path), link);
              
              var lookup = FS.lookupPath(current_path, { recurse_count: opts.recurse_count });
              current = lookup.node;
  
              if (count++ > 40) {  // limit max consecutive symlinks to 40 (SYMLOOP_MAX).
                throw new FS.ErrnoError(ERRNO_CODES.ELOOP);
              }
            }
          }
        }
  
        return { path: current_path, node: current };
      },getPath:function (node) {
        var path;
        while (true) {
          if (FS.isRoot(node)) {
            var mount = node.mount.mountpoint;
            if (!path) return mount;
            return mount[mount.length-1] !== '/' ? mount + '/' + path : mount + path;
          }
          path = path ? node.name + '/' + path : node.name;
          node = node.parent;
        }
      },hashName:function (parentid, name) {
        var hash = 0;
  
  
        for (var i = 0; i < name.length; i++) {
          hash = ((hash << 5) - hash + name.charCodeAt(i)) | 0;
        }
        return ((parentid + hash) >>> 0) % FS.nameTable.length;
      },hashAddNode:function (node) {
        var hash = FS.hashName(node.parent.id, node.name);
        node.name_next = FS.nameTable[hash];
        FS.nameTable[hash] = node;
      },hashRemoveNode:function (node) {
        var hash = FS.hashName(node.parent.id, node.name);
        if (FS.nameTable[hash] === node) {
          FS.nameTable[hash] = node.name_next;
        } else {
          var current = FS.nameTable[hash];
          while (current) {
            if (current.name_next === node) {
              current.name_next = node.name_next;
              break;
            }
            current = current.name_next;
          }
        }
      },lookupNode:function (parent, name) {
        var err = FS.mayLookup(parent);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        var hash = FS.hashName(parent.id, name);
        for (var node = FS.nameTable[hash]; node; node = node.name_next) {
          var nodeName = node.name;
          if (node.parent.id === parent.id && nodeName === name) {
            return node;
          }
        }
        // if we failed to find it in the cache, call into the VFS
        return FS.lookup(parent, name);
      },createNode:function (parent, name, mode, rdev) {
        if (!FS.FSNode) {
          FS.FSNode = function(parent, name, mode, rdev) {
            if (!parent) {
              parent = this;  // root node sets parent to itself
            }
            this.parent = parent;
            this.mount = parent.mount;
            this.mounted = null;
            this.id = FS.nextInode++;
            this.name = name;
            this.mode = mode;
            this.node_ops = {};
            this.stream_ops = {};
            this.rdev = rdev;
          };
  
          FS.FSNode.prototype = {};
  
          // compatibility
          var readMode = 292 | 73;
          var writeMode = 146;
  
          // NOTE we must use Object.defineProperties instead of individual calls to
          // Object.defineProperty in order to make closure compiler happy
          Object.defineProperties(FS.FSNode.prototype, {
            read: {
              get: function() { return (this.mode & readMode) === readMode; },
              set: function(val) { val ? this.mode |= readMode : this.mode &= ~readMode; }
            },
            write: {
              get: function() { return (this.mode & writeMode) === writeMode; },
              set: function(val) { val ? this.mode |= writeMode : this.mode &= ~writeMode; }
            },
            isFolder: {
              get: function() { return FS.isDir(this.mode); },
            },
            isDevice: {
              get: function() { return FS.isChrdev(this.mode); },
            },
          });
        }
  
        var node = new FS.FSNode(parent, name, mode, rdev);
  
        FS.hashAddNode(node);
  
        return node;
      },destroyNode:function (node) {
        FS.hashRemoveNode(node);
      },isRoot:function (node) {
        return node === node.parent;
      },isMountpoint:function (node) {
        return !!node.mounted;
      },isFile:function (mode) {
        return (mode & 61440) === 32768;
      },isDir:function (mode) {
        return (mode & 61440) === 16384;
      },isLink:function (mode) {
        return (mode & 61440) === 40960;
      },isChrdev:function (mode) {
        return (mode & 61440) === 8192;
      },isBlkdev:function (mode) {
        return (mode & 61440) === 24576;
      },isFIFO:function (mode) {
        return (mode & 61440) === 4096;
      },isSocket:function (mode) {
        return (mode & 49152) === 49152;
      },flagModes:{"r":0,"rs":1052672,"r+":2,"w":577,"wx":705,"xw":705,"w+":578,"wx+":706,"xw+":706,"a":1089,"ax":1217,"xa":1217,"a+":1090,"ax+":1218,"xa+":1218},modeStringToFlags:function (str) {
        var flags = FS.flagModes[str];
        if (typeof flags === 'undefined') {
          throw new Error('Unknown file open mode: ' + str);
        }
        return flags;
      },flagsToPermissionString:function (flag) {
        var accmode = flag & 2097155;
        var perms = ['r', 'w', 'rw'][accmode];
        if ((flag & 512)) {
          perms += 'w';
        }
        return perms;
      },nodePermissions:function (node, perms) {
        if (FS.ignorePermissions) {
          return 0;
        }
        // return 0 if any user, group or owner bits are set.
        if (perms.indexOf('r') !== -1 && !(node.mode & 292)) {
          return ERRNO_CODES.EACCES;
        } else if (perms.indexOf('w') !== -1 && !(node.mode & 146)) {
          return ERRNO_CODES.EACCES;
        } else if (perms.indexOf('x') !== -1 && !(node.mode & 73)) {
          return ERRNO_CODES.EACCES;
        }
        return 0;
      },mayLookup:function (dir) {
        return FS.nodePermissions(dir, 'x');
      },mayCreate:function (dir, name) {
        try {
          var node = FS.lookupNode(dir, name);
          return ERRNO_CODES.EEXIST;
        } catch (e) {
        }
        return FS.nodePermissions(dir, 'wx');
      },mayDelete:function (dir, name, isdir) {
        var node;
        try {
          node = FS.lookupNode(dir, name);
        } catch (e) {
          return e.errno;
        }
        var err = FS.nodePermissions(dir, 'wx');
        if (err) {
          return err;
        }
        if (isdir) {
          if (!FS.isDir(node.mode)) {
            return ERRNO_CODES.ENOTDIR;
          }
          if (FS.isRoot(node) || FS.getPath(node) === FS.cwd()) {
            return ERRNO_CODES.EBUSY;
          }
        } else {
          if (FS.isDir(node.mode)) {
            return ERRNO_CODES.EISDIR;
          }
        }
        return 0;
      },mayOpen:function (node, flags) {
        if (!node) {
          return ERRNO_CODES.ENOENT;
        }
        if (FS.isLink(node.mode)) {
          return ERRNO_CODES.ELOOP;
        } else if (FS.isDir(node.mode)) {
          if ((flags & 2097155) !== 0 ||  // opening for write
              (flags & 512)) {
            return ERRNO_CODES.EISDIR;
          }
        }
        return FS.nodePermissions(node, FS.flagsToPermissionString(flags));
      },MAX_OPEN_FDS:4096,nextfd:function (fd_start, fd_end) {
        fd_start = fd_start || 0;
        fd_end = fd_end || FS.MAX_OPEN_FDS;
        for (var fd = fd_start; fd <= fd_end; fd++) {
          if (!FS.streams[fd]) {
            return fd;
          }
        }
        throw new FS.ErrnoError(ERRNO_CODES.EMFILE);
      },getStream:function (fd) {
        return FS.streams[fd];
      },createStream:function (stream, fd_start, fd_end) {
        if (!FS.FSStream) {
          FS.FSStream = function(){};
          FS.FSStream.prototype = {};
          // compatibility
          Object.defineProperties(FS.FSStream.prototype, {
            object: {
              get: function() { return this.node; },
              set: function(val) { this.node = val; }
            },
            isRead: {
              get: function() { return (this.flags & 2097155) !== 1; }
            },
            isWrite: {
              get: function() { return (this.flags & 2097155) !== 0; }
            },
            isAppend: {
              get: function() { return (this.flags & 1024); }
            }
          });
        }
        if (stream.__proto__) {
          // reuse the object
          stream.__proto__ = FS.FSStream.prototype;
        } else {
          var newStream = new FS.FSStream();
          for (var p in stream) {
            newStream[p] = stream[p];
          }
          stream = newStream;
        }
        var fd = FS.nextfd(fd_start, fd_end);
        stream.fd = fd;
        FS.streams[fd] = stream;
        return stream;
      },closeStream:function (fd) {
        FS.streams[fd] = null;
      },getStreamFromPtr:function (ptr) {
        return FS.streams[ptr - 1];
      },getPtrForStream:function (stream) {
        return stream ? stream.fd + 1 : 0;
      },chrdev_stream_ops:{open:function (stream) {
          var device = FS.getDevice(stream.node.rdev);
          // override node's stream ops with the device's
          stream.stream_ops = device.stream_ops;
          // forward the open call
          if (stream.stream_ops.open) {
            stream.stream_ops.open(stream);
          }
        },llseek:function () {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }},major:function (dev) {
        return ((dev) >> 8);
      },minor:function (dev) {
        return ((dev) & 0xff);
      },makedev:function (ma, mi) {
        return ((ma) << 8 | (mi));
      },registerDevice:function (dev, ops) {
        FS.devices[dev] = { stream_ops: ops };
      },getDevice:function (dev) {
        return FS.devices[dev];
      },getMounts:function (mount) {
        var mounts = [];
        var check = [mount];
  
        while (check.length) {
          var m = check.pop();
  
          mounts.push(m);
  
          check.push.apply(check, m.mounts);
        }
  
        return mounts;
      },syncfs:function (populate, callback) {
        if (typeof(populate) === 'function') {
          callback = populate;
          populate = false;
        }
  
        var mounts = FS.getMounts(FS.root.mount);
        var completed = 0;
  
        function done(err) {
          if (err) {
            if (!done.errored) {
              done.errored = true;
              return callback(err);
            }
            return;
          }
          if (++completed >= mounts.length) {
            callback(null);
          }
        };
  
        // sync all mounts
        mounts.forEach(function (mount) {
          if (!mount.type.syncfs) {
            return done(null);
          }
          mount.type.syncfs(mount, populate, done);
        });
      },mount:function (type, opts, mountpoint) {
        var root = mountpoint === '/';
        var pseudo = !mountpoint;
        var node;
  
        if (root && FS.root) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        } else if (!root && !pseudo) {
          var lookup = FS.lookupPath(mountpoint, { follow_mount: false });
  
          mountpoint = lookup.path;  // use the absolute path
          node = lookup.node;
  
          if (FS.isMountpoint(node)) {
            throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
          }
  
          if (!FS.isDir(node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
          }
        }
  
        var mount = {
          type: type,
          opts: opts,
          mountpoint: mountpoint,
          mounts: []
        };
  
        // create a root node for the fs
        var mountRoot = type.mount(mount);
        mountRoot.mount = mount;
        mount.root = mountRoot;
  
        if (root) {
          FS.root = mountRoot;
        } else if (node) {
          // set as a mountpoint
          node.mounted = mount;
  
          // add the new mount to the current mount's children
          if (node.mount) {
            node.mount.mounts.push(mount);
          }
        }
  
        return mountRoot;
      },unmount:function (mountpoint) {
        var lookup = FS.lookupPath(mountpoint, { follow_mount: false });
  
        if (!FS.isMountpoint(lookup.node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
  
        // destroy the nodes for this mount, and all its child mounts
        var node = lookup.node;
        var mount = node.mounted;
        var mounts = FS.getMounts(mount);
  
        Object.keys(FS.nameTable).forEach(function (hash) {
          var current = FS.nameTable[hash];
  
          while (current) {
            var next = current.name_next;
  
            if (mounts.indexOf(current.mount) !== -1) {
              FS.destroyNode(current);
            }
  
            current = next;
          }
        });
  
        // no longer a mountpoint
        node.mounted = null;
  
        // remove this mount from the child mounts
        var idx = node.mount.mounts.indexOf(mount);
        assert(idx !== -1);
        node.mount.mounts.splice(idx, 1);
      },lookup:function (parent, name) {
        return parent.node_ops.lookup(parent, name);
      },mknod:function (path, mode, dev) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var err = FS.mayCreate(parent, name);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.mknod) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return parent.node_ops.mknod(parent, name, mode, dev);
      },create:function (path, mode) {
        mode = mode !== undefined ? mode : 0666;
        mode &= 4095;
        mode |= 32768;
        return FS.mknod(path, mode, 0);
      },mkdir:function (path, mode) {
        mode = mode !== undefined ? mode : 0777;
        mode &= 511 | 512;
        mode |= 16384;
        return FS.mknod(path, mode, 0);
      },mkdev:function (path, mode, dev) {
        if (typeof(dev) === 'undefined') {
          dev = mode;
          mode = 0666;
        }
        mode |= 8192;
        return FS.mknod(path, mode, dev);
      },symlink:function (oldpath, newpath) {
        var lookup = FS.lookupPath(newpath, { parent: true });
        var parent = lookup.node;
        var newname = PATH.basename(newpath);
        var err = FS.mayCreate(parent, newname);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.symlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return parent.node_ops.symlink(parent, newname, oldpath);
      },rename:function (old_path, new_path) {
        var old_dirname = PATH.dirname(old_path);
        var new_dirname = PATH.dirname(new_path);
        var old_name = PATH.basename(old_path);
        var new_name = PATH.basename(new_path);
        // parents must exist
        var lookup, old_dir, new_dir;
        try {
          lookup = FS.lookupPath(old_path, { parent: true });
          old_dir = lookup.node;
          lookup = FS.lookupPath(new_path, { parent: true });
          new_dir = lookup.node;
        } catch (e) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        // need to be part of the same mount
        if (old_dir.mount !== new_dir.mount) {
          throw new FS.ErrnoError(ERRNO_CODES.EXDEV);
        }
        // source must exist
        var old_node = FS.lookupNode(old_dir, old_name);
        // old path should not be an ancestor of the new path
        var relative = PATH.relative(old_path, new_dirname);
        if (relative.charAt(0) !== '.') {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        // new path should not be an ancestor of the old path
        relative = PATH.relative(new_path, old_dirname);
        if (relative.charAt(0) !== '.') {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
        }
        // see if the new path already exists
        var new_node;
        try {
          new_node = FS.lookupNode(new_dir, new_name);
        } catch (e) {
          // not fatal
        }
        // early out if nothing needs to change
        if (old_node === new_node) {
          return;
        }
        // we'll need to delete the old entry
        var isdir = FS.isDir(old_node.mode);
        var err = FS.mayDelete(old_dir, old_name, isdir);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        // need delete permissions if we'll be overwriting.
        // need create permissions if new doesn't already exist.
        err = new_node ?
          FS.mayDelete(new_dir, new_name, isdir) :
          FS.mayCreate(new_dir, new_name);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!old_dir.node_ops.rename) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(old_node) || (new_node && FS.isMountpoint(new_node))) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        // if we are going to change the parent, check write permissions
        if (new_dir !== old_dir) {
          err = FS.nodePermissions(old_dir, 'w');
          if (err) {
            throw new FS.ErrnoError(err);
          }
        }
        // remove the node from the lookup hash
        FS.hashRemoveNode(old_node);
        // do the underlying fs rename
        try {
          old_dir.node_ops.rename(old_node, new_dir, new_name);
        } catch (e) {
          throw e;
        } finally {
          // add the node back to the hash (in case node_ops.rename
          // changed its name)
          FS.hashAddNode(old_node);
        }
      },rmdir:function (path) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var node = FS.lookupNode(parent, name);
        var err = FS.mayDelete(parent, name, true);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.rmdir) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        parent.node_ops.rmdir(parent, name);
        FS.destroyNode(node);
      },readdir:function (path) {
        var lookup = FS.lookupPath(path, { follow: true });
        var node = lookup.node;
        if (!node.node_ops.readdir) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
        }
        return node.node_ops.readdir(node);
      },unlink:function (path) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var node = FS.lookupNode(parent, name);
        var err = FS.mayDelete(parent, name, false);
        if (err) {
          // POSIX says unlink should set EPERM, not EISDIR
          if (err === ERRNO_CODES.EISDIR) err = ERRNO_CODES.EPERM;
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.unlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        parent.node_ops.unlink(parent, name);
        FS.destroyNode(node);
      },readlink:function (path) {
        var lookup = FS.lookupPath(path);
        var link = lookup.node;
        if (!link.node_ops.readlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        return link.node_ops.readlink(link);
      },stat:function (path, dontFollow) {
        var lookup = FS.lookupPath(path, { follow: !dontFollow });
        var node = lookup.node;
        if (!node.node_ops.getattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return node.node_ops.getattr(node);
      },lstat:function (path) {
        return FS.stat(path, true);
      },chmod:function (path, mode, dontFollow) {
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: !dontFollow });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        node.node_ops.setattr(node, {
          mode: (mode & 4095) | (node.mode & ~4095),
          timestamp: Date.now()
        });
      },lchmod:function (path, mode) {
        FS.chmod(path, mode, true);
      },fchmod:function (fd, mode) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        FS.chmod(stream.node, mode);
      },chown:function (path, uid, gid, dontFollow) {
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: !dontFollow });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        node.node_ops.setattr(node, {
          timestamp: Date.now()
          // we ignore the uid / gid for now
        });
      },lchown:function (path, uid, gid) {
        FS.chown(path, uid, gid, true);
      },fchown:function (fd, uid, gid) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        FS.chown(stream.node, uid, gid);
      },truncate:function (path, len) {
        if (len < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: true });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isDir(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!FS.isFile(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var err = FS.nodePermissions(node, 'w');
        if (err) {
          throw new FS.ErrnoError(err);
        }
        node.node_ops.setattr(node, {
          size: len,
          timestamp: Date.now()
        });
      },ftruncate:function (fd, len) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        FS.truncate(stream.node, len);
      },utime:function (path, atime, mtime) {
        var lookup = FS.lookupPath(path, { follow: true });
        var node = lookup.node;
        node.node_ops.setattr(node, {
          timestamp: Math.max(atime, mtime)
        });
      },open:function (path, flags, mode, fd_start, fd_end) {
        flags = typeof flags === 'string' ? FS.modeStringToFlags(flags) : flags;
        mode = typeof mode === 'undefined' ? 0666 : mode;
        if ((flags & 64)) {
          mode = (mode & 4095) | 32768;
        } else {
          mode = 0;
        }
        var node;
        if (typeof path === 'object') {
          node = path;
        } else {
          path = PATH.normalize(path);
          try {
            var lookup = FS.lookupPath(path, {
              follow: !(flags & 131072)
            });
            node = lookup.node;
          } catch (e) {
            // ignore
          }
        }
        // perhaps we need to create the node
        if ((flags & 64)) {
          if (node) {
            // if O_CREAT and O_EXCL are set, error out if the node already exists
            if ((flags & 128)) {
              throw new FS.ErrnoError(ERRNO_CODES.EEXIST);
            }
          } else {
            // node doesn't exist, try to create it
            node = FS.mknod(path, mode, 0);
          }
        }
        if (!node) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOENT);
        }
        // can't truncate a device
        if (FS.isChrdev(node.mode)) {
          flags &= ~512;
        }
        // check permissions
        var err = FS.mayOpen(node, flags);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        // do truncation if necessary
        if ((flags & 512)) {
          FS.truncate(node, 0);
        }
        // we've already handled these, don't pass down to the underlying vfs
        flags &= ~(128 | 512);
  
        // register the stream with the filesystem
        var stream = FS.createStream({
          node: node,
          path: FS.getPath(node),  // we want the absolute path to the node
          flags: flags,
          seekable: true,
          position: 0,
          stream_ops: node.stream_ops,
          // used by the file family libc calls (fopen, fwrite, ferror, etc.)
          ungotten: [],
          error: false
        }, fd_start, fd_end);
        // call the new stream's open function
        if (stream.stream_ops.open) {
          stream.stream_ops.open(stream);
        }
        if (Module['logReadFiles'] && !(flags & 1)) {
          if (!FS.readFiles) FS.readFiles = {};
          if (!(path in FS.readFiles)) {
            FS.readFiles[path] = 1;
            Module['printErr']('read file: ' + path);
          }
        }
        return stream;
      },close:function (stream) {
        try {
          if (stream.stream_ops.close) {
            stream.stream_ops.close(stream);
          }
        } catch (e) {
          throw e;
        } finally {
          FS.closeStream(stream.fd);
        }
      },llseek:function (stream, offset, whence) {
        if (!stream.seekable || !stream.stream_ops.llseek) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        return stream.stream_ops.llseek(stream, offset, whence);
      },read:function (stream, buffer, offset, length, position) {
        if (length < 0 || position < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 1) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (FS.isDir(stream.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!stream.stream_ops.read) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var seeking = true;
        if (typeof position === 'undefined') {
          position = stream.position;
          seeking = false;
        } else if (!stream.seekable) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        var bytesRead = stream.stream_ops.read(stream, buffer, offset, length, position);
        if (!seeking) stream.position += bytesRead;
        return bytesRead;
      },write:function (stream, buffer, offset, length, position, canOwn) {
        if (length < 0 || position < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (FS.isDir(stream.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!stream.stream_ops.write) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var seeking = true;
        if (typeof position === 'undefined') {
          position = stream.position;
          seeking = false;
        } else if (!stream.seekable) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        if (stream.flags & 1024) {
          // seek to the end before writing in append mode
          FS.llseek(stream, 0, 2);
        }
        var bytesWritten = stream.stream_ops.write(stream, buffer, offset, length, position, canOwn);
        if (!seeking) stream.position += bytesWritten;
        return bytesWritten;
      },allocate:function (stream, offset, length) {
        if (offset < 0 || length <= 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (!FS.isFile(stream.node.mode) && !FS.isDir(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
        }
        if (!stream.stream_ops.allocate) {
          throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP);
        }
        stream.stream_ops.allocate(stream, offset, length);
      },mmap:function (stream, buffer, offset, length, position, prot, flags) {
        // TODO if PROT is PROT_WRITE, make sure we have write access
        if ((stream.flags & 2097155) === 1) {
          throw new FS.ErrnoError(ERRNO_CODES.EACCES);
        }
        if (!stream.stream_ops.mmap) {
          throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
        }
        return stream.stream_ops.mmap(stream, buffer, offset, length, position, prot, flags);
      },ioctl:function (stream, cmd, arg) {
        if (!stream.stream_ops.ioctl) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTTY);
        }
        return stream.stream_ops.ioctl(stream, cmd, arg);
      },readFile:function (path, opts) {
        opts = opts || {};
        opts.flags = opts.flags || 'r';
        opts.encoding = opts.encoding || 'binary';
        if (opts.encoding !== 'utf8' && opts.encoding !== 'binary') {
          throw new Error('Invalid encoding type "' + opts.encoding + '"');
        }
        var ret;
        var stream = FS.open(path, opts.flags);
        var stat = FS.stat(path);
        var length = stat.size;
        var buf = new Uint8Array(length);
        FS.read(stream, buf, 0, length, 0);
        if (opts.encoding === 'utf8') {
          ret = '';
          var utf8 = new Runtime.UTF8Processor();
          for (var i = 0; i < length; i++) {
            ret += utf8.processCChar(buf[i]);
          }
        } else if (opts.encoding === 'binary') {
          ret = buf;
        }
        FS.close(stream);
        return ret;
      },writeFile:function (path, data, opts) {
        opts = opts || {};
        opts.flags = opts.flags || 'w';
        opts.encoding = opts.encoding || 'utf8';
        if (opts.encoding !== 'utf8' && opts.encoding !== 'binary') {
          throw new Error('Invalid encoding type "' + opts.encoding + '"');
        }
        var stream = FS.open(path, opts.flags, opts.mode);
        if (opts.encoding === 'utf8') {
          var utf8 = new Runtime.UTF8Processor();
          var buf = new Uint8Array(utf8.processJSString(data));
          FS.write(stream, buf, 0, buf.length, 0, opts.canOwn);
        } else if (opts.encoding === 'binary') {
          FS.write(stream, data, 0, data.length, 0, opts.canOwn);
        }
        FS.close(stream);
      },cwd:function () {
        return FS.currentPath;
      },chdir:function (path) {
        var lookup = FS.lookupPath(path, { follow: true });
        if (!FS.isDir(lookup.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
        }
        var err = FS.nodePermissions(lookup.node, 'x');
        if (err) {
          throw new FS.ErrnoError(err);
        }
        FS.currentPath = lookup.path;
      },createDefaultDirectories:function () {
        FS.mkdir('/tmp');
      },createDefaultDevices:function () {
        // create /dev
        FS.mkdir('/dev');
        // setup /dev/null
        FS.registerDevice(FS.makedev(1, 3), {
          read: function() { return 0; },
          write: function() { return 0; }
        });
        FS.mkdev('/dev/null', FS.makedev(1, 3));
        // setup /dev/tty and /dev/tty1
        // stderr needs to print output using Module['printErr']
        // so we register a second tty just for it.
        TTY.register(FS.makedev(5, 0), TTY.default_tty_ops);
        TTY.register(FS.makedev(6, 0), TTY.default_tty1_ops);
        FS.mkdev('/dev/tty', FS.makedev(5, 0));
        FS.mkdev('/dev/tty1', FS.makedev(6, 0));
        // we're not going to emulate the actual shm device,
        // just create the tmp dirs that reside in it commonly
        FS.mkdir('/dev/shm');
        FS.mkdir('/dev/shm/tmp');
      },createStandardStreams:function () {
        // TODO deprecate the old functionality of a single
        // input / output callback and that utilizes FS.createDevice
        // and instead require a unique set of stream ops
  
        // by default, we symlink the standard streams to the
        // default tty devices. however, if the standard streams
        // have been overwritten we create a unique device for
        // them instead.
        if (Module['stdin']) {
          FS.createDevice('/dev', 'stdin', Module['stdin']);
        } else {
          FS.symlink('/dev/tty', '/dev/stdin');
        }
        if (Module['stdout']) {
          FS.createDevice('/dev', 'stdout', null, Module['stdout']);
        } else {
          FS.symlink('/dev/tty', '/dev/stdout');
        }
        if (Module['stderr']) {
          FS.createDevice('/dev', 'stderr', null, Module['stderr']);
        } else {
          FS.symlink('/dev/tty1', '/dev/stderr');
        }
  
        // open default streams for the stdin, stdout and stderr devices
        var stdin = FS.open('/dev/stdin', 'r');
        HEAP32[((_stdin)>>2)]=FS.getPtrForStream(stdin);
        assert(stdin.fd === 0, 'invalid handle for stdin (' + stdin.fd + ')');
  
        var stdout = FS.open('/dev/stdout', 'w');
        HEAP32[((_stdout)>>2)]=FS.getPtrForStream(stdout);
        assert(stdout.fd === 1, 'invalid handle for stdout (' + stdout.fd + ')');
  
        var stderr = FS.open('/dev/stderr', 'w');
        HEAP32[((_stderr)>>2)]=FS.getPtrForStream(stderr);
        assert(stderr.fd === 2, 'invalid handle for stderr (' + stderr.fd + ')');
      },ensureErrnoError:function () {
        if (FS.ErrnoError) return;
        FS.ErrnoError = function ErrnoError(errno) {
          this.errno = errno;
          for (var key in ERRNO_CODES) {
            if (ERRNO_CODES[key] === errno) {
              this.code = key;
              break;
            }
          }
          this.message = ERRNO_MESSAGES[errno];
        };
        FS.ErrnoError.prototype = new Error();
        FS.ErrnoError.prototype.constructor = FS.ErrnoError;
        // Some errors may happen quite a bit, to avoid overhead we reuse them (and suffer a lack of stack info)
        [ERRNO_CODES.ENOENT].forEach(function(code) {
          FS.genericErrors[code] = new FS.ErrnoError(code);
          FS.genericErrors[code].stack = '<generic error, no stack>';
        });
      },staticInit:function () {
        FS.ensureErrnoError();
  
        FS.nameTable = new Array(4096);
  
        FS.mount(MEMFS, {}, '/');
  
        FS.createDefaultDirectories();
        FS.createDefaultDevices();
      },init:function (input, output, error) {
        assert(!FS.init.initialized, 'FS.init was previously called. If you want to initialize later with custom parameters, remove any earlier calls (note that one is automatically added to the generated code)');
        FS.init.initialized = true;
  
        FS.ensureErrnoError();
  
        // Allow Module.stdin etc. to provide defaults, if none explicitly passed to us here
        Module['stdin'] = input || Module['stdin'];
        Module['stdout'] = output || Module['stdout'];
        Module['stderr'] = error || Module['stderr'];
  
        FS.createStandardStreams();
      },quit:function () {
        FS.init.initialized = false;
        for (var i = 0; i < FS.streams.length; i++) {
          var stream = FS.streams[i];
          if (!stream) {
            continue;
          }
          FS.close(stream);
        }
      },getMode:function (canRead, canWrite) {
        var mode = 0;
        if (canRead) mode |= 292 | 73;
        if (canWrite) mode |= 146;
        return mode;
      },joinPath:function (parts, forceRelative) {
        var path = PATH.join.apply(null, parts);
        if (forceRelative && path[0] == '/') path = path.substr(1);
        return path;
      },absolutePath:function (relative, base) {
        return PATH.resolve(base, relative);
      },standardizePath:function (path) {
        return PATH.normalize(path);
      },findObject:function (path, dontResolveLastLink) {
        var ret = FS.analyzePath(path, dontResolveLastLink);
        if (ret.exists) {
          return ret.object;
        } else {
          ___setErrNo(ret.error);
          return null;
        }
      },analyzePath:function (path, dontResolveLastLink) {
        // operate from within the context of the symlink's target
        try {
          var lookup = FS.lookupPath(path, { follow: !dontResolveLastLink });
          path = lookup.path;
        } catch (e) {
        }
        var ret = {
          isRoot: false, exists: false, error: 0, name: null, path: null, object: null,
          parentExists: false, parentPath: null, parentObject: null
        };
        try {
          var lookup = FS.lookupPath(path, { parent: true });
          ret.parentExists = true;
          ret.parentPath = lookup.path;
          ret.parentObject = lookup.node;
          ret.name = PATH.basename(path);
          lookup = FS.lookupPath(path, { follow: !dontResolveLastLink });
          ret.exists = true;
          ret.path = lookup.path;
          ret.object = lookup.node;
          ret.name = lookup.node.name;
          ret.isRoot = lookup.path === '/';
        } catch (e) {
          ret.error = e.errno;
        };
        return ret;
      },createFolder:function (parent, name, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(canRead, canWrite);
        return FS.mkdir(path, mode);
      },createPath:function (parent, path, canRead, canWrite) {
        parent = typeof parent === 'string' ? parent : FS.getPath(parent);
        var parts = path.split('/').reverse();
        while (parts.length) {
          var part = parts.pop();
          if (!part) continue;
          var current = PATH.join2(parent, part);
          try {
            FS.mkdir(current);
          } catch (e) {
            // ignore EEXIST
          }
          parent = current;
        }
        return current;
      },createFile:function (parent, name, properties, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(canRead, canWrite);
        return FS.create(path, mode);
      },createDataFile:function (parent, name, data, canRead, canWrite, canOwn) {
        var path = name ? PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name) : parent;
        var mode = FS.getMode(canRead, canWrite);
        var node = FS.create(path, mode);
        if (data) {
          if (typeof data === 'string') {
            var arr = new Array(data.length);
            for (var i = 0, len = data.length; i < len; ++i) arr[i] = data.charCodeAt(i);
            data = arr;
          }
          // make sure we can write to the file
          FS.chmod(node, mode | 146);
          var stream = FS.open(node, 'w');
          FS.write(stream, data, 0, data.length, 0, canOwn);
          FS.close(stream);
          FS.chmod(node, mode);
        }
        return node;
      },createDevice:function (parent, name, input, output) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(!!input, !!output);
        if (!FS.createDevice.major) FS.createDevice.major = 64;
        var dev = FS.makedev(FS.createDevice.major++, 0);
        // Create a fake device that a set of stream ops to emulate
        // the old behavior.
        FS.registerDevice(dev, {
          open: function(stream) {
            stream.seekable = false;
          },
          close: function(stream) {
            // flush any pending line data
            if (output && output.buffer && output.buffer.length) {
              output(10);
            }
          },
          read: function(stream, buffer, offset, length, pos /* ignored */) {
            var bytesRead = 0;
            for (var i = 0; i < length; i++) {
              var result;
              try {
                result = input();
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES.EIO);
              }
              if (result === undefined && bytesRead === 0) {
                throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
              }
              if (result === null || result === undefined) break;
              bytesRead++;
              buffer[offset+i] = result;
            }
            if (bytesRead) {
              stream.node.timestamp = Date.now();
            }
            return bytesRead;
          },
          write: function(stream, buffer, offset, length, pos) {
            for (var i = 0; i < length; i++) {
              try {
                output(buffer[offset+i]);
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES.EIO);
              }
            }
            if (length) {
              stream.node.timestamp = Date.now();
            }
            return i;
          }
        });
        return FS.mkdev(path, mode, dev);
      },createLink:function (parent, name, target, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        return FS.symlink(target, path);
      },forceLoadFile:function (obj) {
        if (obj.isDevice || obj.isFolder || obj.link || obj.contents) return true;
        var success = true;
        if (typeof XMLHttpRequest !== 'undefined') {
          throw new Error("Lazy loading should have been performed (contents set) in createLazyFile, but it was not. Lazy loading only works in web workers. Use --embed-file or --preload-file in emcc on the main thread.");
        } else if (Module['read']) {
          // Command-line.
          try {
            // WARNING: Can't read binary files in V8's d8 or tracemonkey's js, as
            //          read() will try to parse UTF8.
            obj.contents = intArrayFromString(Module['read'](obj.url), true);
          } catch (e) {
            success = false;
          }
        } else {
          throw new Error('Cannot load without read() or XMLHttpRequest.');
        }
        if (!success) ___setErrNo(ERRNO_CODES.EIO);
        return success;
      },createLazyFile:function (parent, name, url, canRead, canWrite) {
        if (typeof XMLHttpRequest !== 'undefined') {
          if (!ENVIRONMENT_IS_WORKER) throw 'Cannot do synchronous binary XHRs outside webworkers in modern browsers. Use --embed-file or --preload-file in emcc';
          // Lazy chunked Uint8Array (implements get and length from Uint8Array). Actual getting is abstracted away for eventual reuse.
          function LazyUint8Array() {
            this.lengthKnown = false;
            this.chunks = []; // Loaded chunks. Index is the chunk number
          }
          LazyUint8Array.prototype.get = function LazyUint8Array_get(idx) {
            if (idx > this.length-1 || idx < 0) {
              return undefined;
            }
            var chunkOffset = idx % this.chunkSize;
            var chunkNum = Math.floor(idx / this.chunkSize);
            return this.getter(chunkNum)[chunkOffset];
          }
          LazyUint8Array.prototype.setDataGetter = function LazyUint8Array_setDataGetter(getter) {
            this.getter = getter;
          }
          LazyUint8Array.prototype.cacheLength = function LazyUint8Array_cacheLength() {
              // Find length
              var xhr = new XMLHttpRequest();
              xhr.open('HEAD', url, false);
              xhr.send(null);
              if (!(xhr.status >= 200 && xhr.status < 300 || xhr.status === 304)) throw new Error("Couldn't load " + url + ". Status: " + xhr.status);
              var datalength = Number(xhr.getResponseHeader("Content-length"));
              var header;
              var hasByteServing = (header = xhr.getResponseHeader("Accept-Ranges")) && header === "bytes";
              var chunkSize = 1024*1024; // Chunk size in bytes
  
              if (!hasByteServing) chunkSize = datalength;
  
              // Function to get a range from the remote URL.
              var doXHR = (function(from, to) {
                if (from > to) throw new Error("invalid range (" + from + ", " + to + ") or no bytes requested!");
                if (to > datalength-1) throw new Error("only " + datalength + " bytes available! programmer error!");
  
                // TODO: Use mozResponseArrayBuffer, responseStream, etc. if available.
                var xhr = new XMLHttpRequest();
                xhr.open('GET', url, false);
                if (datalength !== chunkSize) xhr.setRequestHeader("Range", "bytes=" + from + "-" + to);
  
                // Some hints to the browser that we want binary data.
                if (typeof Uint8Array != 'undefined') xhr.responseType = 'arraybuffer';
                if (xhr.overrideMimeType) {
                  xhr.overrideMimeType('text/plain; charset=x-user-defined');
                }
  
                xhr.send(null);
                if (!(xhr.status >= 200 && xhr.status < 300 || xhr.status === 304)) throw new Error("Couldn't load " + url + ". Status: " + xhr.status);
                if (xhr.response !== undefined) {
                  return new Uint8Array(xhr.response || []);
                } else {
                  return intArrayFromString(xhr.responseText || '', true);
                }
              });
              var lazyArray = this;
              lazyArray.setDataGetter(function(chunkNum) {
                var start = chunkNum * chunkSize;
                var end = (chunkNum+1) * chunkSize - 1; // including this byte
                end = Math.min(end, datalength-1); // if datalength-1 is selected, this is the last block
                if (typeof(lazyArray.chunks[chunkNum]) === "undefined") {
                  lazyArray.chunks[chunkNum] = doXHR(start, end);
                }
                if (typeof(lazyArray.chunks[chunkNum]) === "undefined") throw new Error("doXHR failed!");
                return lazyArray.chunks[chunkNum];
              });
  
              this._length = datalength;
              this._chunkSize = chunkSize;
              this.lengthKnown = true;
          }
  
          var lazyArray = new LazyUint8Array();
          Object.defineProperty(lazyArray, "length", {
              get: function() {
                  if(!this.lengthKnown) {
                      this.cacheLength();
                  }
                  return this._length;
              }
          });
          Object.defineProperty(lazyArray, "chunkSize", {
              get: function() {
                  if(!this.lengthKnown) {
                      this.cacheLength();
                  }
                  return this._chunkSize;
              }
          });
  
          var properties = { isDevice: false, contents: lazyArray };
        } else {
          var properties = { isDevice: false, url: url };
        }
  
        var node = FS.createFile(parent, name, properties, canRead, canWrite);
        // This is a total hack, but I want to get this lazy file code out of the
        // core of MEMFS. If we want to keep this lazy file concept I feel it should
        // be its own thin LAZYFS proxying calls to MEMFS.
        if (properties.contents) {
          node.contents = properties.contents;
        } else if (properties.url) {
          node.contents = null;
          node.url = properties.url;
        }
        // override each stream op with one that tries to force load the lazy file first
        var stream_ops = {};
        var keys = Object.keys(node.stream_ops);
        keys.forEach(function(key) {
          var fn = node.stream_ops[key];
          stream_ops[key] = function forceLoadLazyFile() {
            if (!FS.forceLoadFile(node)) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
            return fn.apply(null, arguments);
          };
        });
        // use a custom read function
        stream_ops.read = function stream_ops_read(stream, buffer, offset, length, position) {
          if (!FS.forceLoadFile(node)) {
            throw new FS.ErrnoError(ERRNO_CODES.EIO);
          }
          var contents = stream.node.contents;
          if (position >= contents.length)
            return 0;
          var size = Math.min(contents.length - position, length);
          assert(size >= 0);
          if (contents.slice) { // normal array
            for (var i = 0; i < size; i++) {
              buffer[offset + i] = contents[position + i];
            }
          } else {
            for (var i = 0; i < size; i++) { // LazyUint8Array from sync binary XHR
              buffer[offset + i] = contents.get(position + i);
            }
          }
          return size;
        };
        node.stream_ops = stream_ops;
        return node;
      },createPreloadedFile:function (parent, name, url, canRead, canWrite, onload, onerror, dontCreateFile, canOwn) {
        Browser.init();
        // TODO we should allow people to just pass in a complete filename instead
        // of parent and name being that we just join them anyways
        var fullname = name ? PATH.resolve(PATH.join2(parent, name)) : parent;
        function processData(byteArray) {
          function finish(byteArray) {
            if (!dontCreateFile) {
              FS.createDataFile(parent, name, byteArray, canRead, canWrite, canOwn);
            }
            if (onload) onload();
            removeRunDependency('cp ' + fullname);
          }
          var handled = false;
          Module['preloadPlugins'].forEach(function(plugin) {
            if (handled) return;
            if (plugin['canHandle'](fullname)) {
              plugin['handle'](byteArray, fullname, finish, function() {
                if (onerror) onerror();
                removeRunDependency('cp ' + fullname);
              });
              handled = true;
            }
          });
          if (!handled) finish(byteArray);
        }
        addRunDependency('cp ' + fullname);
        if (typeof url == 'string') {
          Browser.asyncLoad(url, function(byteArray) {
            processData(byteArray);
          }, onerror);
        } else {
          processData(url);
        }
      },indexedDB:function () {
        return window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB;
      },DB_NAME:function () {
        return 'EM_FS_' + window.location.pathname;
      },DB_VERSION:20,DB_STORE_NAME:"FILE_DATA",saveFilesToDB:function (paths, onload, onerror) {
        onload = onload || function(){};
        onerror = onerror || function(){};
        var indexedDB = FS.indexedDB();
        try {
          var openRequest = indexedDB.open(FS.DB_NAME(), FS.DB_VERSION);
        } catch (e) {
          return onerror(e);
        }
        openRequest.onupgradeneeded = function openRequest_onupgradeneeded() {
          console.log('creating db');
          var db = openRequest.result;
          db.createObjectStore(FS.DB_STORE_NAME);
        };
        openRequest.onsuccess = function openRequest_onsuccess() {
          var db = openRequest.result;
          var transaction = db.transaction([FS.DB_STORE_NAME], 'readwrite');
          var files = transaction.objectStore(FS.DB_STORE_NAME);
          var ok = 0, fail = 0, total = paths.length;
          function finish() {
            if (fail == 0) onload(); else onerror();
          }
          paths.forEach(function(path) {
            var putRequest = files.put(FS.analyzePath(path).object.contents, path);
            putRequest.onsuccess = function putRequest_onsuccess() { ok++; if (ok + fail == total) finish() };
            putRequest.onerror = function putRequest_onerror() { fail++; if (ok + fail == total) finish() };
          });
          transaction.onerror = onerror;
        };
        openRequest.onerror = onerror;
      },loadFilesFromDB:function (paths, onload, onerror) {
        onload = onload || function(){};
        onerror = onerror || function(){};
        var indexedDB = FS.indexedDB();
        try {
          var openRequest = indexedDB.open(FS.DB_NAME(), FS.DB_VERSION);
        } catch (e) {
          return onerror(e);
        }
        openRequest.onupgradeneeded = onerror; // no database to load from
        openRequest.onsuccess = function openRequest_onsuccess() {
          var db = openRequest.result;
          try {
            var transaction = db.transaction([FS.DB_STORE_NAME], 'readonly');
          } catch(e) {
            onerror(e);
            return;
          }
          var files = transaction.objectStore(FS.DB_STORE_NAME);
          var ok = 0, fail = 0, total = paths.length;
          function finish() {
            if (fail == 0) onload(); else onerror();
          }
          paths.forEach(function(path) {
            var getRequest = files.get(path);
            getRequest.onsuccess = function getRequest_onsuccess() {
              if (FS.analyzePath(path).exists) {
                FS.unlink(path);
              }
              FS.createDataFile(PATH.dirname(path), PATH.basename(path), getRequest.result, true, true, true);
              ok++;
              if (ok + fail == total) finish();
            };
            getRequest.onerror = function getRequest_onerror() { fail++; if (ok + fail == total) finish() };
          });
          transaction.onerror = onerror;
        };
        openRequest.onerror = onerror;
      }};
  
  function _open(path, oflag, varargs) {
      // int open(const char *path, int oflag, ...);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/open.html
      var mode = HEAP32[((varargs)>>2)];
      path = Pointer_stringify(path);
      try {
        var stream = FS.open(path, oflag, mode);
        return stream.fd;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fopen(filename, mode) {
      // FILE *fopen(const char *restrict filename, const char *restrict mode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fopen.html
      var flags;
      mode = Pointer_stringify(mode);
      if (mode[0] == 'r') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 0;
        }
      } else if (mode[0] == 'w') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 1;
        }
        flags |= 64;
        flags |= 512;
      } else if (mode[0] == 'a') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 1;
        }
        flags |= 64;
        flags |= 1024;
      } else {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return 0;
      }
      var fd = _open(filename, flags, allocate([0x1FF, 0, 0, 0], 'i32', ALLOC_STACK));  // All creation permissions.
      return fd === -1 ? 0 : FS.getPtrForStream(FS.getStream(fd));
    }

  
  function _strerror_r(errnum, strerrbuf, buflen) {
      if (errnum in ERRNO_MESSAGES) {
        if (ERRNO_MESSAGES[errnum].length > buflen - 1) {
          return ___setErrNo(ERRNO_CODES.ERANGE);
        } else {
          var msg = ERRNO_MESSAGES[errnum];
          writeAsciiToMemory(msg, strerrbuf);
          return 0;
        }
      } else {
        return ___setErrNo(ERRNO_CODES.EINVAL);
      }
    }function _strerror(errnum) {
      if (!_strerror.buffer) _strerror.buffer = _malloc(256);
      _strerror_r(errnum, _strerror.buffer, 256);
      return _strerror.buffer;
    }

  function ___errno_location() {
      return ___errno_state;
    }

  
  function _close(fildes) {
      // int close(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/close.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        FS.close(stream);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }
  
  function _fsync(fildes) {
      // int fsync(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fsync.html
      var stream = FS.getStream(fildes);
      if (stream) {
        // We write directly to the file system, so there's nothing to do here.
        return 0;
      } else {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
    }
  
  function _fileno(stream) {
      // int fileno(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fileno.html
      return FS.getStreamFromPtr(stream).fd;
    }function _fclose(stream) {
      // int fclose(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fclose.html
      var fd = _fileno(stream);
      _fsync(fd);
      return _close(fd);
    }

  
  
  
  
  function _mkport() { throw 'TODO' }var SOCKFS={mount:function (mount) {
        return FS.createNode(null, '/', 16384 | 0777, 0);
      },createSocket:function (family, type, protocol) {
        var streaming = type == 1;
        if (protocol) {
          assert(streaming == (protocol == 6)); // if SOCK_STREAM, must be tcp
        }
  
        // create our internal socket structure
        var sock = {
          family: family,
          type: type,
          protocol: protocol,
          server: null,
          peers: {},
          pending: [],
          recv_queue: [],
          sock_ops: SOCKFS.websocket_sock_ops
        };
  
        // create the filesystem node to store the socket structure
        var name = SOCKFS.nextname();
        var node = FS.createNode(SOCKFS.root, name, 49152, 0);
        node.sock = sock;
  
        // and the wrapping stream that enables library functions such
        // as read and write to indirectly interact with the socket
        var stream = FS.createStream({
          path: name,
          node: node,
          flags: FS.modeStringToFlags('r+'),
          seekable: false,
          stream_ops: SOCKFS.stream_ops
        });
  
        // map the new stream to the socket structure (sockets have a 1:1
        // relationship with a stream)
        sock.stream = stream;
  
        return sock;
      },getSocket:function (fd) {
        var stream = FS.getStream(fd);
        if (!stream || !FS.isSocket(stream.node.mode)) {
          return null;
        }
        return stream.node.sock;
      },stream_ops:{poll:function (stream) {
          var sock = stream.node.sock;
          return sock.sock_ops.poll(sock);
        },ioctl:function (stream, request, varargs) {
          var sock = stream.node.sock;
          return sock.sock_ops.ioctl(sock, request, varargs);
        },read:function (stream, buffer, offset, length, position /* ignored */) {
          var sock = stream.node.sock;
          var msg = sock.sock_ops.recvmsg(sock, length);
          if (!msg) {
            // socket is closed
            return 0;
          }
          buffer.set(msg.buffer, offset);
          return msg.buffer.length;
        },write:function (stream, buffer, offset, length, position /* ignored */) {
          var sock = stream.node.sock;
          return sock.sock_ops.sendmsg(sock, buffer, offset, length);
        },close:function (stream) {
          var sock = stream.node.sock;
          sock.sock_ops.close(sock);
        }},nextname:function () {
        if (!SOCKFS.nextname.current) {
          SOCKFS.nextname.current = 0;
        }
        return 'socket[' + (SOCKFS.nextname.current++) + ']';
      },websocket_sock_ops:{createPeer:function (sock, addr, port) {
          var ws;
  
          if (typeof addr === 'object') {
            ws = addr;
            addr = null;
            port = null;
          }
  
          if (ws) {
            // for sockets that've already connected (e.g. we're the server)
            // we can inspect the _socket property for the address
            if (ws._socket) {
              addr = ws._socket.remoteAddress;
              port = ws._socket.remotePort;
            }
            // if we're just now initializing a connection to the remote,
            // inspect the url property
            else {
              var result = /ws[s]?:\/\/([^:]+):(\d+)/.exec(ws.url);
              if (!result) {
                throw new Error('WebSocket URL must be in the format ws(s)://address:port');
              }
              addr = result[1];
              port = parseInt(result[2], 10);
            }
          } else {
            // create the actual websocket object and connect
            try {
              var url = 'ws://' + addr + ':' + port;
              // the node ws library API is slightly different than the browser's
              var opts = ENVIRONMENT_IS_NODE ? {headers: {'websocket-protocol': ['binary']}} : ['binary'];
              // If node we use the ws library.
              var WebSocket = ENVIRONMENT_IS_NODE ? require('ws') : window['WebSocket'];
              ws = new WebSocket(url, opts);
              ws.binaryType = 'arraybuffer';
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EHOSTUNREACH);
            }
          }
  
  
          var peer = {
            addr: addr,
            port: port,
            socket: ws,
            dgram_send_queue: []
          };
  
          SOCKFS.websocket_sock_ops.addPeer(sock, peer);
          SOCKFS.websocket_sock_ops.handlePeerEvents(sock, peer);
  
          // if this is a bound dgram socket, send the port number first to allow
          // us to override the ephemeral port reported to us by remotePort on the
          // remote end.
          if (sock.type === 2 && typeof sock.sport !== 'undefined') {
            peer.dgram_send_queue.push(new Uint8Array([
                255, 255, 255, 255,
                'p'.charCodeAt(0), 'o'.charCodeAt(0), 'r'.charCodeAt(0), 't'.charCodeAt(0),
                ((sock.sport & 0xff00) >> 8) , (sock.sport & 0xff)
            ]));
          }
  
          return peer;
        },getPeer:function (sock, addr, port) {
          return sock.peers[addr + ':' + port];
        },addPeer:function (sock, peer) {
          sock.peers[peer.addr + ':' + peer.port] = peer;
        },removePeer:function (sock, peer) {
          delete sock.peers[peer.addr + ':' + peer.port];
        },handlePeerEvents:function (sock, peer) {
          var first = true;
  
          var handleOpen = function () {
            try {
              var queued = peer.dgram_send_queue.shift();
              while (queued) {
                peer.socket.send(queued);
                queued = peer.dgram_send_queue.shift();
              }
            } catch (e) {
              // not much we can do here in the way of proper error handling as we've already
              // lied and said this data was sent. shut it down.
              peer.socket.close();
            }
          };
  
          function handleMessage(data) {
            assert(typeof data !== 'string' && data.byteLength !== undefined);  // must receive an ArrayBuffer
            data = new Uint8Array(data);  // make a typed array view on the array buffer
  
  
            // if this is the port message, override the peer's port with it
            var wasfirst = first;
            first = false;
            if (wasfirst &&
                data.length === 10 &&
                data[0] === 255 && data[1] === 255 && data[2] === 255 && data[3] === 255 &&
                data[4] === 'p'.charCodeAt(0) && data[5] === 'o'.charCodeAt(0) && data[6] === 'r'.charCodeAt(0) && data[7] === 't'.charCodeAt(0)) {
              // update the peer's port and it's key in the peer map
              var newport = ((data[8] << 8) | data[9]);
              SOCKFS.websocket_sock_ops.removePeer(sock, peer);
              peer.port = newport;
              SOCKFS.websocket_sock_ops.addPeer(sock, peer);
              return;
            }
  
            sock.recv_queue.push({ addr: peer.addr, port: peer.port, data: data });
          };
  
          if (ENVIRONMENT_IS_NODE) {
            peer.socket.on('open', handleOpen);
            peer.socket.on('message', function(data, flags) {
              if (!flags.binary) {
                return;
              }
              handleMessage((new Uint8Array(data)).buffer);  // copy from node Buffer -> ArrayBuffer
            });
            peer.socket.on('error', function() {
              // don't throw
            });
          } else {
            peer.socket.onopen = handleOpen;
            peer.socket.onmessage = function peer_socket_onmessage(event) {
              handleMessage(event.data);
            };
          }
        },poll:function (sock) {
          if (sock.type === 1 && sock.server) {
            // listen sockets should only say they're available for reading
            // if there are pending clients.
            return sock.pending.length ? (64 | 1) : 0;
          }
  
          var mask = 0;
          var dest = sock.type === 1 ?  // we only care about the socket state for connection-based sockets
            SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport) :
            null;
  
          if (sock.recv_queue.length ||
              !dest ||  // connection-less sockets are always ready to read
              (dest && dest.socket.readyState === dest.socket.CLOSING) ||
              (dest && dest.socket.readyState === dest.socket.CLOSED)) {  // let recv return 0 once closed
            mask |= (64 | 1);
          }
  
          if (!dest ||  // connection-less sockets are always ready to write
              (dest && dest.socket.readyState === dest.socket.OPEN)) {
            mask |= 4;
          }
  
          if ((dest && dest.socket.readyState === dest.socket.CLOSING) ||
              (dest && dest.socket.readyState === dest.socket.CLOSED)) {
            mask |= 16;
          }
  
          return mask;
        },ioctl:function (sock, request, arg) {
          switch (request) {
            case 21531:
              var bytes = 0;
              if (sock.recv_queue.length) {
                bytes = sock.recv_queue[0].data.length;
              }
              HEAP32[((arg)>>2)]=bytes;
              return 0;
            default:
              return ERRNO_CODES.EINVAL;
          }
        },close:function (sock) {
          // if we've spawned a listen server, close it
          if (sock.server) {
            try {
              sock.server.close();
            } catch (e) {
            }
            sock.server = null;
          }
          // close any peer connections
          var peers = Object.keys(sock.peers);
          for (var i = 0; i < peers.length; i++) {
            var peer = sock.peers[peers[i]];
            try {
              peer.socket.close();
            } catch (e) {
            }
            SOCKFS.websocket_sock_ops.removePeer(sock, peer);
          }
          return 0;
        },bind:function (sock, addr, port) {
          if (typeof sock.saddr !== 'undefined' || typeof sock.sport !== 'undefined') {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);  // already bound
          }
          sock.saddr = addr;
          sock.sport = port || _mkport();
          // in order to emulate dgram sockets, we need to launch a listen server when
          // binding on a connection-less socket
          // note: this is only required on the server side
          if (sock.type === 2) {
            // close the existing server if it exists
            if (sock.server) {
              sock.server.close();
              sock.server = null;
            }
            // swallow error operation not supported error that occurs when binding in the
            // browser where this isn't supported
            try {
              sock.sock_ops.listen(sock, 0);
            } catch (e) {
              if (!(e instanceof FS.ErrnoError)) throw e;
              if (e.errno !== ERRNO_CODES.EOPNOTSUPP) throw e;
            }
          }
        },connect:function (sock, addr, port) {
          if (sock.server) {
            throw new FS.ErrnoError(ERRNO_CODS.EOPNOTSUPP);
          }
  
          // TODO autobind
          // if (!sock.addr && sock.type == 2) {
          // }
  
          // early out if we're already connected / in the middle of connecting
          if (typeof sock.daddr !== 'undefined' && typeof sock.dport !== 'undefined') {
            var dest = SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport);
            if (dest) {
              if (dest.socket.readyState === dest.socket.CONNECTING) {
                throw new FS.ErrnoError(ERRNO_CODES.EALREADY);
              } else {
                throw new FS.ErrnoError(ERRNO_CODES.EISCONN);
              }
            }
          }
  
          // add the socket to our peer list and set our
          // destination address / port to match
          var peer = SOCKFS.websocket_sock_ops.createPeer(sock, addr, port);
          sock.daddr = peer.addr;
          sock.dport = peer.port;
  
          // always "fail" in non-blocking mode
          throw new FS.ErrnoError(ERRNO_CODES.EINPROGRESS);
        },listen:function (sock, backlog) {
          if (!ENVIRONMENT_IS_NODE) {
            throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP);
          }
          if (sock.server) {
             throw new FS.ErrnoError(ERRNO_CODES.EINVAL);  // already listening
          }
          var WebSocketServer = require('ws').Server;
          var host = sock.saddr;
          sock.server = new WebSocketServer({
            host: host,
            port: sock.sport
            // TODO support backlog
          });
  
          sock.server.on('connection', function(ws) {
            if (sock.type === 1) {
              var newsock = SOCKFS.createSocket(sock.family, sock.type, sock.protocol);
  
              // create a peer on the new socket
              var peer = SOCKFS.websocket_sock_ops.createPeer(newsock, ws);
              newsock.daddr = peer.addr;
              newsock.dport = peer.port;
  
              // push to queue for accept to pick up
              sock.pending.push(newsock);
            } else {
              // create a peer on the listen socket so calling sendto
              // with the listen socket and an address will resolve
              // to the correct client
              SOCKFS.websocket_sock_ops.createPeer(sock, ws);
            }
          });
          sock.server.on('closed', function() {
            sock.server = null;
          });
          sock.server.on('error', function() {
            // don't throw
          });
        },accept:function (listensock) {
          if (!listensock.server) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          var newsock = listensock.pending.shift();
          newsock.stream.flags = listensock.stream.flags;
          return newsock;
        },getname:function (sock, peer) {
          var addr, port;
          if (peer) {
            if (sock.daddr === undefined || sock.dport === undefined) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
            }
            addr = sock.daddr;
            port = sock.dport;
          } else {
            // TODO saddr and sport will be set for bind()'d UDP sockets, but what
            // should we be returning for TCP sockets that've been connect()'d?
            addr = sock.saddr || 0;
            port = sock.sport || 0;
          }
          return { addr: addr, port: port };
        },sendmsg:function (sock, buffer, offset, length, addr, port) {
          if (sock.type === 2) {
            // connection-less sockets will honor the message address,
            // and otherwise fall back to the bound destination address
            if (addr === undefined || port === undefined) {
              addr = sock.daddr;
              port = sock.dport;
            }
            // if there was no address to fall back to, error out
            if (addr === undefined || port === undefined) {
              throw new FS.ErrnoError(ERRNO_CODES.EDESTADDRREQ);
            }
          } else {
            // connection-based sockets will only use the bound
            addr = sock.daddr;
            port = sock.dport;
          }
  
          // find the peer for the destination address
          var dest = SOCKFS.websocket_sock_ops.getPeer(sock, addr, port);
  
          // early out if not connected with a connection-based socket
          if (sock.type === 1) {
            if (!dest || dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
            } else if (dest.socket.readyState === dest.socket.CONNECTING) {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
          }
  
          // create a copy of the incoming data to send, as the WebSocket API
          // doesn't work entirely with an ArrayBufferView, it'll just send
          // the entire underlying buffer
          var data;
          if (buffer instanceof Array || buffer instanceof ArrayBuffer) {
            data = buffer.slice(offset, offset + length);
          } else {  // ArrayBufferView
            data = buffer.buffer.slice(buffer.byteOffset + offset, buffer.byteOffset + offset + length);
          }
  
          // if we're emulating a connection-less dgram socket and don't have
          // a cached connection, queue the buffer to send upon connect and
          // lie, saying the data was sent now.
          if (sock.type === 2) {
            if (!dest || dest.socket.readyState !== dest.socket.OPEN) {
              // if we're not connected, open a new connection
              if (!dest || dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
                dest = SOCKFS.websocket_sock_ops.createPeer(sock, addr, port);
              }
              dest.dgram_send_queue.push(data);
              return length;
            }
          }
  
          try {
            // send the actual data
            dest.socket.send(data);
            return length;
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
        },recvmsg:function (sock, length) {
          // http://pubs.opengroup.org/onlinepubs/7908799/xns/recvmsg.html
          if (sock.type === 1 && sock.server) {
            // tcp servers should not be recv()'ing on the listen socket
            throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
          }
  
          var queued = sock.recv_queue.shift();
          if (!queued) {
            if (sock.type === 1) {
              var dest = SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport);
  
              if (!dest) {
                // if we have a destination address but are not connected, error out
                throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
              }
              else if (dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
                // return null if the socket has closed
                return null;
              }
              else {
                // else, our socket is in a valid state but truly has nothing available
                throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
              }
            } else {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
          }
  
          // queued.data will be an ArrayBuffer if it's unadulterated, but if it's
          // requeued TCP data it'll be an ArrayBufferView
          var queuedLength = queued.data.byteLength || queued.data.length;
          var queuedOffset = queued.data.byteOffset || 0;
          var queuedBuffer = queued.data.buffer || queued.data;
          var bytesRead = Math.min(length, queuedLength);
          var res = {
            buffer: new Uint8Array(queuedBuffer, queuedOffset, bytesRead),
            addr: queued.addr,
            port: queued.port
          };
  
  
          // push back any unread data for TCP connections
          if (sock.type === 1 && bytesRead < queuedLength) {
            var bytesRemaining = queuedLength - bytesRead;
            queued.data = new Uint8Array(queuedBuffer, queuedOffset + bytesRead, bytesRemaining);
            sock.recv_queue.unshift(queued);
          }
  
          return res;
        }}};function _send(fd, buf, len, flags) {
      var sock = SOCKFS.getSocket(fd);
      if (!sock) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      // TODO honor flags
      return _write(fd, buf, len);
    }
  
  function _pwrite(fildes, buf, nbyte, offset) {
      // ssize_t pwrite(int fildes, const void *buf, size_t nbyte, off_t offset);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/write.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        var slab = HEAP8;
        return FS.write(stream, slab, buf, nbyte, offset);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _write(fildes, buf, nbyte) {
      // ssize_t write(int fildes, const void *buf, size_t nbyte);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/write.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
  
  
      try {
        var slab = HEAP8;
        return FS.write(stream, slab, buf, nbyte);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fwrite(ptr, size, nitems, stream) {
      // size_t fwrite(const void *restrict ptr, size_t size, size_t nitems, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fwrite.html
      var bytesToWrite = nitems * size;
      if (bytesToWrite == 0) return 0;
      var fd = _fileno(stream);
      var bytesWritten = _write(fd, ptr, bytesToWrite);
      if (bytesWritten == -1) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (streamObj) streamObj.error = true;
        return 0;
      } else {
        return Math.floor(bytesWritten / size);
      }
    }

  function _fputc(c, stream) {
      // int fputc(int c, FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fputc.html
      var chr = unSign(c & 0xFF);
      HEAP8[((_fputc.ret)|0)]=chr;
      var fd = _fileno(stream);
      var ret = _write(fd, _fputc.ret, 1);
      if (ret == -1) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (streamObj) streamObj.error = true;
        return -1;
      } else {
        return chr;
      }
    }

  
  
  function _emscripten_memcpy_big(dest, src, num) {
      HEAPU8.set(HEAPU8.subarray(src, src+num), dest);
      return dest;
    } 
  Module["_memcpy"] = _memcpy;var _llvm_memcpy_p0i8_p0i8_i32=_memcpy;

  
   
  Module["_memset"] = _memset;var _llvm_memset_p0i8_i32=_memset;

  
  var PTHREAD_SPECIFIC={};function _pthread_getspecific(key) {
      return PTHREAD_SPECIFIC[key] || 0;
    }

  function _pthread_setspecific(key, value) {
      if (!(key in PTHREAD_SPECIFIC)) {
        return ERRNO_CODES.EINVAL;
      }
      PTHREAD_SPECIFIC[key] = value;
      return 0;
    }

  
  
  function _putchar(c) {
      // int putchar(int c);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/putchar.html
      return _fputc(c, HEAP32[((_stdout)>>2)]);
    } 
  Module["_saveSetjmp"] = _saveSetjmp;
  
   
  Module["_testSetjmp"] = _testSetjmp;var _setjmp=undefined;


  function __exit(status) {
      // void _exit(int status);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/exit.html
      Module['exit'](status);
    }

  var _fabs=Math_abs;

  function _log10(x) {
      return Math.log(x) / Math.LN10;
    }

  function _fmax(x, y) {
      return isNaN(x) ? y : isNaN(y) ? x : Math.max(x, y);
    }

  var _sqrt=Math_sqrt;

  function _fmin(x, y) {
      return isNaN(x) ? y : isNaN(y) ? x : Math.min(x, y);
    }

  var _llvm_pow_f64=Math_pow;

  var _log=Math_log;

  var _acos=Math_acos;

  var _exp=Math_exp;

  function _xerbla_() {
  Module['printErr']('missing function: xerbla_'); abort(-1);
  }

  var _llvm_memset_p0i8_i64=_memset;

  var _cos=Math_cos;

  
   
  Module["_memmove"] = _memmove;var _llvm_memmove_p0i8_p0i8_i32=_memmove;

  function _time(ptr) {
      var ret = Math.floor(Date.now()/1000);
      if (ptr) {
        HEAP32[((ptr)>>2)]=ret;
      }
      return ret;
    }

  
  var ___rand_seed=allocate([0x0273459b, 0, 0, 0], "i32", ALLOC_STATIC);function _srand(seed) {
      HEAP32[((___rand_seed)>>2)]=seed
    }

  
   
  Module["_rand_r"] = _rand_r; 
  Module["_rand"] = _rand;

  
  
  
  function __reallyNegative(x) {
      return x < 0 || (x === 0 && (1/x) === -Infinity);
    }function __formatString(format, varargs) {
      var textIndex = format;
      var argIndex = 0;
      function getNextArg(type) {
        // NOTE: Explicitly ignoring type safety. Otherwise this fails:
        //       int x = 4; printf("%c\n", (char)x);
        var ret;
        if (type === 'double') {
          ret = HEAPF64[(((varargs)+(argIndex))>>3)];
        } else if (type == 'i64') {
          ret = [HEAP32[(((varargs)+(argIndex))>>2)],
                 HEAP32[(((varargs)+(argIndex+8))>>2)]];
          argIndex += 8; // each 32-bit chunk is in a 64-bit block
  
        } else {
          type = 'i32'; // varargs are always i32, i64, or double
          ret = HEAP32[(((varargs)+(argIndex))>>2)];
        }
        argIndex += Math.max(Runtime.getNativeFieldSize(type), Runtime.getAlignSize(type, null, true));
        return ret;
      }
  
      var ret = [];
      var curr, next, currArg;
      while(1) {
        var startTextIndex = textIndex;
        curr = HEAP8[(textIndex)];
        if (curr === 0) break;
        next = HEAP8[((textIndex+1)|0)];
        if (curr == 37) {
          // Handle flags.
          var flagAlwaysSigned = false;
          var flagLeftAlign = false;
          var flagAlternative = false;
          var flagZeroPad = false;
          var flagPadSign = false;
          flagsLoop: while (1) {
            switch (next) {
              case 43:
                flagAlwaysSigned = true;
                break;
              case 45:
                flagLeftAlign = true;
                break;
              case 35:
                flagAlternative = true;
                break;
              case 48:
                if (flagZeroPad) {
                  break flagsLoop;
                } else {
                  flagZeroPad = true;
                  break;
                }
              case 32:
                flagPadSign = true;
                break;
              default:
                break flagsLoop;
            }
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
          }
  
          // Handle width.
          var width = 0;
          if (next == 42) {
            width = getNextArg('i32');
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
          } else {
            while (next >= 48 && next <= 57) {
              width = width * 10 + (next - 48);
              textIndex++;
              next = HEAP8[((textIndex+1)|0)];
            }
          }
  
          // Handle precision.
          var precisionSet = false, precision = -1;
          if (next == 46) {
            precision = 0;
            precisionSet = true;
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
            if (next == 42) {
              precision = getNextArg('i32');
              textIndex++;
            } else {
              while(1) {
                var precisionChr = HEAP8[((textIndex+1)|0)];
                if (precisionChr < 48 ||
                    precisionChr > 57) break;
                precision = precision * 10 + (precisionChr - 48);
                textIndex++;
              }
            }
            next = HEAP8[((textIndex+1)|0)];
          }
          if (precision === -1) {
            precision = 6; // Standard default.
            precisionSet = false;
          }
  
          // Handle integer sizes. WARNING: These assume a 32-bit architecture!
          var argSize;
          switch (String.fromCharCode(next)) {
            case 'h':
              var nextNext = HEAP8[((textIndex+2)|0)];
              if (nextNext == 104) {
                textIndex++;
                argSize = 1; // char (actually i32 in varargs)
              } else {
                argSize = 2; // short (actually i32 in varargs)
              }
              break;
            case 'l':
              var nextNext = HEAP8[((textIndex+2)|0)];
              if (nextNext == 108) {
                textIndex++;
                argSize = 8; // long long
              } else {
                argSize = 4; // long
              }
              break;
            case 'L': // long long
            case 'q': // int64_t
            case 'j': // intmax_t
              argSize = 8;
              break;
            case 'z': // size_t
            case 't': // ptrdiff_t
            case 'I': // signed ptrdiff_t or unsigned size_t
              argSize = 4;
              break;
            default:
              argSize = null;
          }
          if (argSize) textIndex++;
          next = HEAP8[((textIndex+1)|0)];
  
          // Handle type specifier.
          switch (String.fromCharCode(next)) {
            case 'd': case 'i': case 'u': case 'o': case 'x': case 'X': case 'p': {
              // Integer.
              var signed = next == 100 || next == 105;
              argSize = argSize || 4;
              var currArg = getNextArg('i' + (argSize * 8));
              var origArg = currArg;
              var argText;
              // Flatten i64-1 [low, high] into a (slightly rounded) double
              if (argSize == 8) {
                currArg = Runtime.makeBigInt(currArg[0], currArg[1], next == 117);
              }
              // Truncate to requested size.
              if (argSize <= 4) {
                var limit = Math.pow(256, argSize) - 1;
                currArg = (signed ? reSign : unSign)(currArg & limit, argSize * 8);
              }
              // Format the number.
              var currAbsArg = Math.abs(currArg);
              var prefix = '';
              if (next == 100 || next == 105) {
                if (argSize == 8 && i64Math) argText = i64Math.stringify(origArg[0], origArg[1], null); else
                argText = reSign(currArg, 8 * argSize, 1).toString(10);
              } else if (next == 117) {
                if (argSize == 8 && i64Math) argText = i64Math.stringify(origArg[0], origArg[1], true); else
                argText = unSign(currArg, 8 * argSize, 1).toString(10);
                currArg = Math.abs(currArg);
              } else if (next == 111) {
                argText = (flagAlternative ? '0' : '') + currAbsArg.toString(8);
              } else if (next == 120 || next == 88) {
                prefix = (flagAlternative && currArg != 0) ? '0x' : '';
                if (argSize == 8 && i64Math) {
                  if (origArg[1]) {
                    argText = (origArg[1]>>>0).toString(16);
                    var lower = (origArg[0]>>>0).toString(16);
                    while (lower.length < 8) lower = '0' + lower;
                    argText += lower;
                  } else {
                    argText = (origArg[0]>>>0).toString(16);
                  }
                } else
                if (currArg < 0) {
                  // Represent negative numbers in hex as 2's complement.
                  currArg = -currArg;
                  argText = (currAbsArg - 1).toString(16);
                  var buffer = [];
                  for (var i = 0; i < argText.length; i++) {
                    buffer.push((0xF - parseInt(argText[i], 16)).toString(16));
                  }
                  argText = buffer.join('');
                  while (argText.length < argSize * 2) argText = 'f' + argText;
                } else {
                  argText = currAbsArg.toString(16);
                }
                if (next == 88) {
                  prefix = prefix.toUpperCase();
                  argText = argText.toUpperCase();
                }
              } else if (next == 112) {
                if (currAbsArg === 0) {
                  argText = '(nil)';
                } else {
                  prefix = '0x';
                  argText = currAbsArg.toString(16);
                }
              }
              if (precisionSet) {
                while (argText.length < precision) {
                  argText = '0' + argText;
                }
              }
  
              // Add sign if needed
              if (currArg >= 0) {
                if (flagAlwaysSigned) {
                  prefix = '+' + prefix;
                } else if (flagPadSign) {
                  prefix = ' ' + prefix;
                }
              }
  
              // Move sign to prefix so we zero-pad after the sign
              if (argText.charAt(0) == '-') {
                prefix = '-' + prefix;
                argText = argText.substr(1);
              }
  
              // Add padding.
              while (prefix.length + argText.length < width) {
                if (flagLeftAlign) {
                  argText += ' ';
                } else {
                  if (flagZeroPad) {
                    argText = '0' + argText;
                  } else {
                    prefix = ' ' + prefix;
                  }
                }
              }
  
              // Insert the result into the buffer.
              argText = prefix + argText;
              argText.split('').forEach(function(chr) {
                ret.push(chr.charCodeAt(0));
              });
              break;
            }
            case 'f': case 'F': case 'e': case 'E': case 'g': case 'G': {
              // Float.
              var currArg = getNextArg('double');
              var argText;
              if (isNaN(currArg)) {
                argText = 'nan';
                flagZeroPad = false;
              } else if (!isFinite(currArg)) {
                argText = (currArg < 0 ? '-' : '') + 'inf';
                flagZeroPad = false;
              } else {
                var isGeneral = false;
                var effectivePrecision = Math.min(precision, 20);
  
                // Convert g/G to f/F or e/E, as per:
                // http://pubs.opengroup.org/onlinepubs/9699919799/functions/printf.html
                if (next == 103 || next == 71) {
                  isGeneral = true;
                  precision = precision || 1;
                  var exponent = parseInt(currArg.toExponential(effectivePrecision).split('e')[1], 10);
                  if (precision > exponent && exponent >= -4) {
                    next = ((next == 103) ? 'f' : 'F').charCodeAt(0);
                    precision -= exponent + 1;
                  } else {
                    next = ((next == 103) ? 'e' : 'E').charCodeAt(0);
                    precision--;
                  }
                  effectivePrecision = Math.min(precision, 20);
                }
  
                if (next == 101 || next == 69) {
                  argText = currArg.toExponential(effectivePrecision);
                  // Make sure the exponent has at least 2 digits.
                  if (/[eE][-+]\d$/.test(argText)) {
                    argText = argText.slice(0, -1) + '0' + argText.slice(-1);
                  }
                } else if (next == 102 || next == 70) {
                  argText = currArg.toFixed(effectivePrecision);
                  if (currArg === 0 && __reallyNegative(currArg)) {
                    argText = '-' + argText;
                  }
                }
  
                var parts = argText.split('e');
                if (isGeneral && !flagAlternative) {
                  // Discard trailing zeros and periods.
                  while (parts[0].length > 1 && parts[0].indexOf('.') != -1 &&
                         (parts[0].slice(-1) == '0' || parts[0].slice(-1) == '.')) {
                    parts[0] = parts[0].slice(0, -1);
                  }
                } else {
                  // Make sure we have a period in alternative mode.
                  if (flagAlternative && argText.indexOf('.') == -1) parts[0] += '.';
                  // Zero pad until required precision.
                  while (precision > effectivePrecision++) parts[0] += '0';
                }
                argText = parts[0] + (parts.length > 1 ? 'e' + parts[1] : '');
  
                // Capitalize 'E' if needed.
                if (next == 69) argText = argText.toUpperCase();
  
                // Add sign.
                if (currArg >= 0) {
                  if (flagAlwaysSigned) {
                    argText = '+' + argText;
                  } else if (flagPadSign) {
                    argText = ' ' + argText;
                  }
                }
              }
  
              // Add padding.
              while (argText.length < width) {
                if (flagLeftAlign) {
                  argText += ' ';
                } else {
                  if (flagZeroPad && (argText[0] == '-' || argText[0] == '+')) {
                    argText = argText[0] + '0' + argText.slice(1);
                  } else {
                    argText = (flagZeroPad ? '0' : ' ') + argText;
                  }
                }
              }
  
              // Adjust case.
              if (next < 97) argText = argText.toUpperCase();
  
              // Insert the result into the buffer.
              argText.split('').forEach(function(chr) {
                ret.push(chr.charCodeAt(0));
              });
              break;
            }
            case 's': {
              // String.
              var arg = getNextArg('i8*');
              var argLength = arg ? _strlen(arg) : '(null)'.length;
              if (precisionSet) argLength = Math.min(argLength, precision);
              if (!flagLeftAlign) {
                while (argLength < width--) {
                  ret.push(32);
                }
              }
              if (arg) {
                for (var i = 0; i < argLength; i++) {
                  ret.push(HEAPU8[((arg++)|0)]);
                }
              } else {
                ret = ret.concat(intArrayFromString('(null)'.substr(0, argLength), true));
              }
              if (flagLeftAlign) {
                while (argLength < width--) {
                  ret.push(32);
                }
              }
              break;
            }
            case 'c': {
              // Character.
              if (flagLeftAlign) ret.push(getNextArg('i8'));
              while (--width > 0) {
                ret.push(32);
              }
              if (!flagLeftAlign) ret.push(getNextArg('i8'));
              break;
            }
            case 'n': {
              // Write the length written so far to the next parameter.
              var ptr = getNextArg('i32*');
              HEAP32[((ptr)>>2)]=ret.length;
              break;
            }
            case '%': {
              // Literal percent sign.
              ret.push(curr);
              break;
            }
            default: {
              // Unknown specifiers remain untouched.
              for (var i = startTextIndex; i < textIndex + 2; i++) {
                ret.push(HEAP8[(i)]);
              }
            }
          }
          textIndex += 2;
          // TODO: Support a/A (hex float) and m (last error) specifiers.
          // TODO: Support %1${specifier} for arg selection.
        } else {
          ret.push(curr);
          textIndex += 1;
        }
      }
      return ret;
    }function _snprintf(s, n, format, varargs) {
      // int snprintf(char *restrict s, size_t n, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var result = __formatString(format, varargs);
      var limit = (n === undefined) ? result.length
                                    : Math.min(result.length, Math.max(n - 1, 0));
      if (s < 0) {
        s = -s;
        var buf = _malloc(limit+1);
        HEAP32[((s)>>2)]=buf;
        s = buf;
      }
      for (var i = 0; i < limit; i++) {
        HEAP8[(((s)+(i))|0)]=result[i];
      }
      if (limit < n || (n === undefined)) HEAP8[(((s)+(i))|0)]=0;
      return result.length;
    }function _sprintf(s, format, varargs) {
      // int sprintf(char *restrict s, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      return _snprintf(s, undefined, format, varargs);
    }

  function _longjmp(env, value) {
      asm['setThrew'](env, value || 1);
      throw 'longjmp';
    }

  
  
  function _isspace(chr) {
      return (chr == 32) || (chr >= 9 && chr <= 13);
    }function __parseInt(str, endptr, base, min, max, bits, unsign) {
      // Skip space.
      while (_isspace(HEAP8[(str)])) str++;
  
      // Check for a plus/minus sign.
      var multiplier = 1;
      if (HEAP8[(str)] == 45) {
        multiplier = -1;
        str++;
      } else if (HEAP8[(str)] == 43) {
        str++;
      }
  
      // Find base.
      var finalBase = base;
      if (!finalBase) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            finalBase = 16;
            str += 2;
          } else {
            finalBase = 8;
            str++;
          }
        }
      } else if (finalBase==16) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            str += 2;
          }
        }
      }
      if (!finalBase) finalBase = 10;
  
      // Get digits.
      var chr;
      var ret = 0;
      while ((chr = HEAP8[(str)]) != 0) {
        var digit = parseInt(String.fromCharCode(chr), finalBase);
        if (isNaN(digit)) {
          break;
        } else {
          ret = ret * finalBase + digit;
          str++;
        }
      }
  
      // Apply sign.
      ret *= multiplier;
  
      // Set end pointer.
      if (endptr) {
        HEAP32[((endptr)>>2)]=str;
      }
  
      // Unsign if needed.
      if (unsign) {
        if (Math.abs(ret) > max) {
          ret = max;
          ___setErrNo(ERRNO_CODES.ERANGE);
        } else {
          ret = unSign(ret, bits);
        }
      }
  
      // Validate range.
      if (ret > max || ret < min) {
        ret = ret > max ? max : min;
        ___setErrNo(ERRNO_CODES.ERANGE);
      }
  
      if (bits == 64) {
        return ((asm["setTempRet0"]((tempDouble=ret,(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)),ret>>>0)|0);
      }
  
      return ret;
    }function _strtol(str, endptr, base) {
      return __parseInt(str, endptr, base, -2147483648, 2147483647, 32);  // LONG_MIN, LONG_MAX.
    }

  function _fprintf(stream, format, varargs) {
      // int fprintf(FILE *restrict stream, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var result = __formatString(format, varargs);
      var stack = Runtime.stackSave();
      var ret = _fwrite(allocate(result, 'i8', ALLOC_STACK), 1, result.length, stream);
      Runtime.stackRestore(stack);
      return ret;
    }

  var _floor=Math_floor;

  function _fputs(s, stream) {
      // int fputs(const char *restrict s, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fputs.html
      var fd = _fileno(stream);
      return _write(fd, s, _strlen(s));
    }


  
  var PTHREAD_SPECIFIC_NEXT_KEY=1;function _pthread_key_create(key, destructor) {
      if (key == 0) {
        return ERRNO_CODES.EINVAL;
      }
      HEAP32[((key)>>2)]=PTHREAD_SPECIFIC_NEXT_KEY;
      // values start at 0
      PTHREAD_SPECIFIC[PTHREAD_SPECIFIC_NEXT_KEY] = 0;
      PTHREAD_SPECIFIC_NEXT_KEY++;
      return 0;
    }

  function _GC_init() {
  Module['printErr']('missing function: GC_init'); abort(-1);
  }

  function ___assert_fail(condition, filename, line, func) {
      ABORT = true;
      throw 'Assertion failed: ' + Pointer_stringify(condition) + ', at: ' + [filename ? Pointer_stringify(filename) : 'unknown filename', line, func ? Pointer_stringify(func) : 'unknown function'] + ' at ' + stackTrace();
    }

  function _GC_malloc() {
  Module['printErr']('missing function: GC_malloc'); abort(-1);
  }

  var _llvm_va_start=undefined;

  function _llvm_va_end() {}

  function _printf(format, varargs) {
      // int printf(const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var stdout = HEAP32[((_stdout)>>2)];
      return _fprintf(stdout, format, varargs);
    }


  function _puts(s) {
      // int puts(const char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/puts.html
      // NOTE: puts() always writes an extra newline.
      var stdout = HEAP32[((_stdout)>>2)];
      var ret = _fputs(s, stdout);
      if (ret < 0) {
        return ret;
      } else {
        var newlineRet = _fputc(10, stdout);
        return (newlineRet < 0) ? -1 : ret + 1;
      }
    }

  function _vfprintf(s, f, va_arg) {
      return _fprintf(s, f, HEAP32[((va_arg)>>2)]);
    }

  function _vsnprintf(s, n, format, va_arg) {
      return _snprintf(s, n, format, HEAP32[((va_arg)>>2)]);
    }

  function _GC_malloc_atomic() {
  Module['printErr']('missing function: GC_malloc_atomic'); abort(-1);
  }

  function _GC_strdup() {
  Module['printErr']('missing function: GC_strdup'); abort(-1);
  }

  function _GC_collect_a_little() {
  Module['printErr']('missing function: GC_collect_a_little'); abort(-1);
  }

  function _strdup(ptr) {
      var len = _strlen(ptr);
      var newStr = _malloc(len + 1);
      (_memcpy(newStr, ptr, len)|0);
      HEAP8[(((newStr)+(len))|0)]=0;
      return newStr;
    }

  function _pthread_mutex_lock() {}

  function _pthread_mutex_unlock() {}

   
  Module["_strcpy"] = _strcpy;

  
  
  function _recv(fd, buf, len, flags) {
      var sock = SOCKFS.getSocket(fd);
      if (!sock) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      // TODO honor flags
      return _read(fd, buf, len);
    }
  
  function _pread(fildes, buf, nbyte, offset) {
      // ssize_t pread(int fildes, void *buf, size_t nbyte, off_t offset);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/read.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        var slab = HEAP8;
        return FS.read(stream, slab, buf, nbyte, offset);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _read(fildes, buf, nbyte) {
      // ssize_t read(int fildes, void *buf, size_t nbyte);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/read.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
  
  
      try {
        var slab = HEAP8;
        return FS.read(stream, slab, buf, nbyte);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fread(ptr, size, nitems, stream) {
      // size_t fread(void *restrict ptr, size_t size, size_t nitems, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fread.html
      var bytesToRead = nitems * size;
      if (bytesToRead == 0) {
        return 0;
      }
      var bytesRead = 0;
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return 0;
      }
      while (streamObj.ungotten.length && bytesToRead > 0) {
        HEAP8[((ptr++)|0)]=streamObj.ungotten.pop();
        bytesToRead--;
        bytesRead++;
      }
      var err = _read(streamObj.fd, ptr, bytesToRead);
      if (err == -1) {
        if (streamObj) streamObj.error = true;
        return 0;
      }
      bytesRead += err;
      if (bytesRead < bytesToRead) streamObj.eof = true;
      return Math.floor(bytesRead / size);
    }

  function _qsort(base, num, size, cmp) {
      if (num == 0 || size == 0) return;
      // forward calls to the JavaScript sort method
      // first, sort the items logically
      var keys = [];
      for (var i = 0; i < num; i++) keys.push(i);
      keys.sort(function(a, b) {
        return Module['dynCall_iii'](cmp, base+a*size, base+b*size);
      });
      // apply the sort
      var temp = _malloc(num*size);
      _memcpy(temp, base, num*size);
      for (var i = 0; i < num; i++) {
        if (keys[i] == i) continue; // already in place
        _memcpy(base+i*size, temp+keys[i]*size, size);
      }
      _free(temp);
    }

  function _ftell(stream) {
      // long ftell(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ftell.html
      stream = FS.getStreamFromPtr(stream);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      if (FS.isChrdev(stream.node.mode)) {
        ___setErrNo(ERRNO_CODES.ESPIPE);
        return -1;
      } else {
        return stream.position;
      }
    }

  
  function _lseek(fildes, offset, whence) {
      // off_t lseek(int fildes, off_t offset, int whence);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/lseek.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        return FS.llseek(stream, offset, whence);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fseek(stream, offset, whence) {
      // int fseek(FILE *stream, long offset, int whence);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fseek.html
      var fd = _fileno(stream);
      var ret = _lseek(fd, offset, whence);
      if (ret == -1) {
        return -1;
      }
      stream = FS.getStreamFromPtr(stream);
      stream.eof = false;
      return 0;
    }

  function _bsearch(key, base, num, size, compar) {
      function cmp(x, y) {
        return Module['dynCall_iii'](compar, x, y);
      };
      var left = 0;
      var right = num;
      var mid, test, addr;
  
      while (left < right) {
        mid = (left + right) >>> 1;
        addr = base + (mid * size);
        test = cmp(key, addr);
        if (test < 0) {
          right = mid;
        } else if (test > 0) {
          left = mid + 1;
        } else {
          return addr;
        }
      }
  
      return 0;
    }

  
  function _emscripten_get_now() {
      if (!_emscripten_get_now.actual) {
        if (ENVIRONMENT_IS_NODE) {
          _emscripten_get_now.actual = function _emscripten_get_now_actual() {
            var t = process['hrtime']();
            return t[0] * 1e3 + t[1] / 1e6;
          }
        } else if (typeof dateNow !== 'undefined') {
          _emscripten_get_now.actual = dateNow;
        } else if (ENVIRONMENT_IS_WEB && window['performance'] && window['performance']['now']) {
          _emscripten_get_now.actual = function _emscripten_get_now_actual() { return window['performance']['now'](); };
        } else {
          _emscripten_get_now.actual = Date.now;
        }
      }
      return _emscripten_get_now.actual();
    }function _clock_gettime(clk_id, tp) {
      // int clock_gettime(clockid_t clk_id, struct timespec *tp);
      var now;
      if (clk_id === 0) {
        now = Date.now();
      } else {
        now = _emscripten_get_now();
      }
      HEAP32[((tp)>>2)]=Math.floor(now/1000); // seconds
      HEAP32[(((tp)+(4))>>2)]=Math.floor((now % 1000)*1000*1000); // nanoseconds
      return 0;
    }

  function _fgetc(stream) {
      // int fgetc(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fgetc.html
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) return -1;
      if (streamObj.eof || streamObj.error) return -1;
      var ret = _fread(_fgetc.ret, 1, 1, stream);
      if (ret == 0) {
        return -1;
      } else if (ret == -1) {
        streamObj.error = true;
        return -1;
      } else {
        return HEAPU8[((_fgetc.ret)|0)];
      }
    }


  function _perror(s) {
      // void perror(const char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/perror.html
      var stdout = HEAP32[((_stdout)>>2)];
      if (s) {
        _fputs(s, stdout);
        _fputc(58, stdout);
        _fputc(32, stdout);
      }
      var errnum = HEAP32[((___errno_location())>>2)];
      _puts(_strerror(errnum));
    }

  var _sin=Math_sin;

  var _ceil=Math_ceil;

  function _lis_matrix_set_value() {
  Module['printErr']('missing function: lis_matrix_set_value'); abort(-1);
  }

  function _lis_vector_create() {
  Module['printErr']('missing function: lis_vector_create'); abort(-1);
  }

  function _lis_vector_set_size() {
  Module['printErr']('missing function: lis_vector_set_size'); abort(-1);
  }

  function _lis_solver_create() {
  Module['printErr']('missing function: lis_solver_create'); abort(-1);
  }

  function _lis_solver_set_option() {
  Module['printErr']('missing function: lis_solver_set_option'); abort(-1);
  }

  function _lis_solver_destroy() {
  Module['printErr']('missing function: lis_solver_destroy'); abort(-1);
  }

  function _lis_vector_destroy() {
  Module['printErr']('missing function: lis_vector_destroy'); abort(-1);
  }

  
  var ___strtok_state=0;
  
  function _strtok_r(s, delim, lasts) {
      var skip_leading_delim = 1;
      var spanp;
      var c, sc;
      var tok;
  
  
      if (s == 0 && (s = getValue(lasts, 'i8*')) == 0) {
        return 0;
      }
  
      cont: while (1) {
        c = getValue(s++, 'i8');
        for (spanp = delim; (sc = getValue(spanp++, 'i8')) != 0;) {
          if (c == sc) {
            if (skip_leading_delim) {
              continue cont;
            } else {
              setValue(lasts, s, 'i8*');
              setValue(s - 1, 0, 'i8');
              return s - 1;
            }
          }
        }
        break;
      }
  
      if (c == 0) {
        setValue(lasts, 0, 'i8*');
        return 0;
      }
      tok = s - 1;
  
      for (;;) {
        c = getValue(s++, 'i8');
        spanp = delim;
        do {
          if ((sc = getValue(spanp++, 'i8')) == c) {
            if (c == 0) {
              s = 0;
            } else {
              setValue(s - 1, 0, 'i8');
            }
            setValue(lasts, s, 'i8*');
            return tok;
          }
        } while (sc != 0);
      }
      abort('strtok_r error!');
    }function _strtok(s, delim) {
      return _strtok_r(s, delim, ___strtok_state);
    }

  function _rewind(stream) {
      // void rewind(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/rewind.html
      _fseek(stream, 0, 0);  // SEEK_SET.
      var streamObj = FS.getStreamFromPtr(stream);
      if (streamObj) streamObj.error = false;
    }

  
  
  function __getFloat(text) {
      return /^[+-]?[0-9]*\.?[0-9]+([eE][+-]?[0-9]+)?/.exec(text);
    }function __scanString(format, get, unget, varargs) {
      if (!__scanString.whiteSpace) {
        __scanString.whiteSpace = {};
        __scanString.whiteSpace[32] = 1;
        __scanString.whiteSpace[9] = 1;
        __scanString.whiteSpace[10] = 1;
        __scanString.whiteSpace[11] = 1;
        __scanString.whiteSpace[12] = 1;
        __scanString.whiteSpace[13] = 1;
      }
      // Supports %x, %4x, %d.%d, %lld, %s, %f, %lf.
      // TODO: Support all format specifiers.
      format = Pointer_stringify(format);
      var soFar = 0;
      if (format.indexOf('%n') >= 0) {
        // need to track soFar
        var _get = get;
        get = function get() {
          soFar++;
          return _get();
        }
        var _unget = unget;
        unget = function unget() {
          soFar--;
          return _unget();
        }
      }
      var formatIndex = 0;
      var argsi = 0;
      var fields = 0;
      var argIndex = 0;
      var next;
  
      mainLoop:
      for (var formatIndex = 0; formatIndex < format.length;) {
        if (format[formatIndex] === '%' && format[formatIndex+1] == 'n') {
          var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
          argIndex += Runtime.getAlignSize('void*', null, true);
          HEAP32[((argPtr)>>2)]=soFar;
          formatIndex += 2;
          continue;
        }
  
        if (format[formatIndex] === '%') {
          var nextC = format.indexOf('c', formatIndex+1);
          if (nextC > 0) {
            var maxx = 1;
            if (nextC > formatIndex+1) {
              var sub = format.substring(formatIndex+1, nextC);
              maxx = parseInt(sub);
              if (maxx != sub) maxx = 0;
            }
            if (maxx) {
              var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
              argIndex += Runtime.getAlignSize('void*', null, true);
              fields++;
              for (var i = 0; i < maxx; i++) {
                next = get();
                HEAP8[((argPtr++)|0)]=next;
                if (next === 0) return i > 0 ? fields : fields-1; // we failed to read the full length of this field
              }
              formatIndex += nextC - formatIndex + 1;
              continue;
            }
          }
        }
  
        // handle %[...]
        if (format[formatIndex] === '%' && format.indexOf('[', formatIndex+1) > 0) {
          var match = /\%([0-9]*)\[(\^)?(\]?[^\]]*)\]/.exec(format.substring(formatIndex));
          if (match) {
            var maxNumCharacters = parseInt(match[1]) || Infinity;
            var negateScanList = (match[2] === '^');
            var scanList = match[3];
  
            // expand "middle" dashs into character sets
            var middleDashMatch;
            while ((middleDashMatch = /([^\-])\-([^\-])/.exec(scanList))) {
              var rangeStartCharCode = middleDashMatch[1].charCodeAt(0);
              var rangeEndCharCode = middleDashMatch[2].charCodeAt(0);
              for (var expanded = ''; rangeStartCharCode <= rangeEndCharCode; expanded += String.fromCharCode(rangeStartCharCode++));
              scanList = scanList.replace(middleDashMatch[1] + '-' + middleDashMatch[2], expanded);
            }
  
            var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
            argIndex += Runtime.getAlignSize('void*', null, true);
            fields++;
  
            for (var i = 0; i < maxNumCharacters; i++) {
              next = get();
              if (negateScanList) {
                if (scanList.indexOf(String.fromCharCode(next)) < 0) {
                  HEAP8[((argPtr++)|0)]=next;
                } else {
                  unget();
                  break;
                }
              } else {
                if (scanList.indexOf(String.fromCharCode(next)) >= 0) {
                  HEAP8[((argPtr++)|0)]=next;
                } else {
                  unget();
                  break;
                }
              }
            }
  
            // write out null-terminating character
            HEAP8[((argPtr++)|0)]=0;
            formatIndex += match[0].length;
            
            continue;
          }
        }      
        // remove whitespace
        while (1) {
          next = get();
          if (next == 0) return fields;
          if (!(next in __scanString.whiteSpace)) break;
        }
        unget();
  
        if (format[formatIndex] === '%') {
          formatIndex++;
          var suppressAssignment = false;
          if (format[formatIndex] == '*') {
            suppressAssignment = true;
            formatIndex++;
          }
          var maxSpecifierStart = formatIndex;
          while (format[formatIndex].charCodeAt(0) >= 48 &&
                 format[formatIndex].charCodeAt(0) <= 57) {
            formatIndex++;
          }
          var max_;
          if (formatIndex != maxSpecifierStart) {
            max_ = parseInt(format.slice(maxSpecifierStart, formatIndex), 10);
          }
          var long_ = false;
          var half = false;
          var longLong = false;
          if (format[formatIndex] == 'l') {
            long_ = true;
            formatIndex++;
            if (format[formatIndex] == 'l') {
              longLong = true;
              formatIndex++;
            }
          } else if (format[formatIndex] == 'h') {
            half = true;
            formatIndex++;
          }
          var type = format[formatIndex];
          formatIndex++;
          var curr = 0;
          var buffer = [];
          // Read characters according to the format. floats are trickier, they may be in an unfloat state in the middle, then be a valid float later
          if (type == 'f' || type == 'e' || type == 'g' ||
              type == 'F' || type == 'E' || type == 'G') {
            next = get();
            while (next > 0 && (!(next in __scanString.whiteSpace)))  {
              buffer.push(String.fromCharCode(next));
              next = get();
            }
            var m = __getFloat(buffer.join(''));
            var last = m ? m[0].length : 0;
            for (var i = 0; i < buffer.length - last + 1; i++) {
              unget();
            }
            buffer.length = last;
          } else {
            next = get();
            var first = true;
            
            // Strip the optional 0x prefix for %x.
            if ((type == 'x' || type == 'X') && (next == 48)) {
              var peek = get();
              if (peek == 120 || peek == 88) {
                next = get();
              } else {
                unget();
              }
            }
            
            while ((curr < max_ || isNaN(max_)) && next > 0) {
              if (!(next in __scanString.whiteSpace) && // stop on whitespace
                  (type == 's' ||
                   ((type === 'd' || type == 'u' || type == 'i') && ((next >= 48 && next <= 57) ||
                                                                     (first && next == 45))) ||
                   ((type === 'x' || type === 'X') && (next >= 48 && next <= 57 ||
                                     next >= 97 && next <= 102 ||
                                     next >= 65 && next <= 70))) &&
                  (formatIndex >= format.length || next !== format[formatIndex].charCodeAt(0))) { // Stop when we read something that is coming up
                buffer.push(String.fromCharCode(next));
                next = get();
                curr++;
                first = false;
              } else {
                break;
              }
            }
            unget();
          }
          if (buffer.length === 0) return 0;  // Failure.
          if (suppressAssignment) continue;
  
          var text = buffer.join('');
          var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
          argIndex += Runtime.getAlignSize('void*', null, true);
          switch (type) {
            case 'd': case 'u': case 'i':
              if (half) {
                HEAP16[((argPtr)>>1)]=parseInt(text, 10);
              } else if (longLong) {
                (tempI64 = [parseInt(text, 10)>>>0,(tempDouble=parseInt(text, 10),(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)],HEAP32[((argPtr)>>2)]=tempI64[0],HEAP32[(((argPtr)+(4))>>2)]=tempI64[1]);
              } else {
                HEAP32[((argPtr)>>2)]=parseInt(text, 10);
              }
              break;
            case 'X':
            case 'x':
              HEAP32[((argPtr)>>2)]=parseInt(text, 16);
              break;
            case 'F':
            case 'f':
            case 'E':
            case 'e':
            case 'G':
            case 'g':
            case 'E':
              // fallthrough intended
              if (long_) {
                HEAPF64[((argPtr)>>3)]=parseFloat(text);
              } else {
                HEAPF32[((argPtr)>>2)]=parseFloat(text);
              }
              break;
            case 's':
              var array = intArrayFromString(text);
              for (var j = 0; j < array.length; j++) {
                HEAP8[(((argPtr)+(j))|0)]=array[j];
              }
              break;
          }
          fields++;
        } else if (format[formatIndex].charCodeAt(0) in __scanString.whiteSpace) {
          next = get();
          while (next in __scanString.whiteSpace) {
            if (next <= 0) break mainLoop;  // End of input.
            next = get();
          }
          unget(next);
          formatIndex++;
        } else {
          // Not a specifier.
          next = get();
          if (format[formatIndex].charCodeAt(0) !== next) {
            unget(next);
            break mainLoop;
          }
          formatIndex++;
        }
      }
      return fields;
    }
  
  function _ungetc(c, stream) {
      // int ungetc(int c, FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ungetc.html
      stream = FS.getStreamFromPtr(stream);
      if (!stream) {
        return -1;
      }
      if (c === -1) {
        // do nothing for EOF character
        return c;
      }
      c = unSign(c & 0xFF);
      stream.ungotten.push(c);
      stream.eof = false;
      return c;
    }function _fscanf(stream, format, varargs) {
      // int fscanf(FILE *restrict stream, const char *restrict format, ... );
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/scanf.html
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) {
        return -1;
      }
      var buffer = [];
      function get() {
        var c = _fgetc(stream);
        buffer.push(c);
        return c;
      };
      function unget() {
        _ungetc(buffer.pop(), stream);
      };
      return __scanString(format, get, unget, varargs);
    }

  
  function __ZSt18uncaught_exceptionv() { // std::uncaught_exception()
      return !!__ZSt18uncaught_exceptionv.uncaught_exception;
    }
  
  
  
  function ___cxa_is_number_type(type) {
      var isNumber = false;
      try { if (type == __ZTIi) isNumber = true } catch(e){}
      try { if (type == __ZTIj) isNumber = true } catch(e){}
      try { if (type == __ZTIl) isNumber = true } catch(e){}
      try { if (type == __ZTIm) isNumber = true } catch(e){}
      try { if (type == __ZTIx) isNumber = true } catch(e){}
      try { if (type == __ZTIy) isNumber = true } catch(e){}
      try { if (type == __ZTIf) isNumber = true } catch(e){}
      try { if (type == __ZTId) isNumber = true } catch(e){}
      try { if (type == __ZTIe) isNumber = true } catch(e){}
      try { if (type == __ZTIc) isNumber = true } catch(e){}
      try { if (type == __ZTIa) isNumber = true } catch(e){}
      try { if (type == __ZTIh) isNumber = true } catch(e){}
      try { if (type == __ZTIs) isNumber = true } catch(e){}
      try { if (type == __ZTIt) isNumber = true } catch(e){}
      return isNumber;
    }function ___cxa_does_inherit(definiteType, possibilityType, possibility) {
      if (possibility == 0) return false;
      if (possibilityType == 0 || possibilityType == definiteType)
        return true;
      var possibility_type_info;
      if (___cxa_is_number_type(possibilityType)) {
        possibility_type_info = possibilityType;
      } else {
        var possibility_type_infoAddr = HEAP32[((possibilityType)>>2)] - 8;
        possibility_type_info = HEAP32[((possibility_type_infoAddr)>>2)];
      }
      switch (possibility_type_info) {
      case 0: // possibility is a pointer
        // See if definite type is a pointer
        var definite_type_infoAddr = HEAP32[((definiteType)>>2)] - 8;
        var definite_type_info = HEAP32[((definite_type_infoAddr)>>2)];
        if (definite_type_info == 0) {
          // Also a pointer; compare base types of pointers
          var defPointerBaseAddr = definiteType+8;
          var defPointerBaseType = HEAP32[((defPointerBaseAddr)>>2)];
          var possPointerBaseAddr = possibilityType+8;
          var possPointerBaseType = HEAP32[((possPointerBaseAddr)>>2)];
          return ___cxa_does_inherit(defPointerBaseType, possPointerBaseType, possibility);
        } else
          return false; // one pointer and one non-pointer
      case 1: // class with no base class
        return false;
      case 2: // class with base class
        var parentTypeAddr = possibilityType + 8;
        var parentType = HEAP32[((parentTypeAddr)>>2)];
        return ___cxa_does_inherit(definiteType, parentType, possibility);
      default:
        return false; // some unencountered type
      }
    }
  
  function ___resumeException(ptr) {
      if (!___cxa_last_thrown_exception) { ___cxa_last_thrown_exception = ptr; }
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }
  
  var ___cxa_last_thrown_exception=0;
  
  var ___cxa_exception_header_size=8;function ___cxa_find_matching_catch(thrown, throwntype) {
      if (thrown == -1) thrown = ___cxa_last_thrown_exception;
      header = thrown - ___cxa_exception_header_size;
      if (throwntype == -1) throwntype = HEAP32[((header)>>2)];
      var typeArray = Array.prototype.slice.call(arguments, 2);
  
      // If throwntype is a pointer, this means a pointer has been
      // thrown. When a pointer is thrown, actually what's thrown
      // is a pointer to the pointer. We'll dereference it.
      if (throwntype != 0 && !___cxa_is_number_type(throwntype)) {
        var throwntypeInfoAddr= HEAP32[((throwntype)>>2)] - 8;
        var throwntypeInfo= HEAP32[((throwntypeInfoAddr)>>2)];
        if (throwntypeInfo == 0)
          thrown = HEAP32[((thrown)>>2)];
      }
      // The different catch blocks are denoted by different types.
      // Due to inheritance, those types may not precisely match the
      // type of the thrown object. Find one which matches, and
      // return the type of the catch block which should be called.
      for (var i = 0; i < typeArray.length; i++) {
        if (___cxa_does_inherit(typeArray[i], throwntype, thrown))
          return ((asm["setTempRet0"](typeArray[i]),thrown)|0);
      }
      // Shouldn't happen unless we have bogus data in typeArray
      // or encounter a type for which emscripten doesn't have suitable
      // typeinfo defined. Best-efforts match just in case.
      return ((asm["setTempRet0"](throwntype),thrown)|0);
    }function ___gxx_personality_v0() {
    }

  
  var ___cxa_caught_exceptions=[];function ___cxa_begin_catch(ptr) {
      __ZSt18uncaught_exceptionv.uncaught_exception--;
      ___cxa_caught_exceptions.push(___cxa_last_thrown_exception);
      return ptr;
    }

  
  
  function ___cxa_free_exception(ptr) {
      try {
        return _free(ptr - ___cxa_exception_header_size);
      } catch(e) { // XXX FIXME
      }
    }function ___cxa_end_catch() {
      if (___cxa_end_catch.rethrown) {
        ___cxa_end_catch.rethrown = false;
        return;
      }
      // Clear state flag.
      asm['setThrew'](0);
      // Call destructor if one is registered then clear it.
      var ptr = ___cxa_caught_exceptions.pop();
      if (ptr) {
        header = ptr - ___cxa_exception_header_size;
        var destructor = HEAP32[(((header)+(4))>>2)];
        if (destructor) {
          Runtime.dynCall('vi', destructor, [ptr]);
          HEAP32[(((header)+(4))>>2)]=0;
        }
        ___cxa_free_exception(ptr);
        ___cxa_last_thrown_exception = 0;
      }
    }function ___cxa_rethrow() {
      ___cxa_end_catch.rethrown = true;
      var ptr = ___cxa_caught_exceptions.pop();
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }


  
  function _exit(status) {
      __exit(status);
    }function __ZSt9terminatev() {
      _exit(-1234);
    }


  function ___cxa_call_unexpected(exception) {
      Module.printErr('Unexpected exception thrown, this is not properly supported - aborting');
      ABORT = true;
      throw exception;
    }

  function _strrchr(ptr, chr) {
      var ptr2 = ptr + _strlen(ptr);
      do {
        if (HEAP8[(ptr2)] == chr) return ptr2;
        ptr2--;
      } while (ptr2 >= ptr);
      return 0;
    }

  function ___cxa_allocate_exception(size) {
      var ptr = _malloc(size + ___cxa_exception_header_size);
      return ptr + ___cxa_exception_header_size;
    }

  function ___cxa_throw(ptr, type, destructor) {
      if (!___cxa_throw.initialized) {
        try {
          HEAP32[((__ZTVN10__cxxabiv119__pointer_type_infoE)>>2)]=0; // Workaround for libcxxabi integration bug
        } catch(e){}
        try {
          HEAP32[((__ZTVN10__cxxabiv117__class_type_infoE)>>2)]=1; // Workaround for libcxxabi integration bug
        } catch(e){}
        try {
          HEAP32[((__ZTVN10__cxxabiv120__si_class_type_infoE)>>2)]=2; // Workaround for libcxxabi integration bug
        } catch(e){}
        ___cxa_throw.initialized = true;
      }
      var header = ptr - ___cxa_exception_header_size;
      HEAP32[((header)>>2)]=type;
      HEAP32[(((header)+(4))>>2)]=destructor;
      ___cxa_last_thrown_exception = ptr;
      if (!("uncaught_exception" in __ZSt18uncaught_exceptionv)) {
        __ZSt18uncaught_exceptionv.uncaught_exception = 1;
      } else {
        __ZSt18uncaught_exceptionv.uncaught_exception++;
      }
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }

  var _fseeko=_fseek;

  var _ftello=_ftell;

  function _htonl(value) {
      return ((value & 0xff) << 24) + ((value & 0xff00) << 8) +
             ((value & 0xff0000) >>> 8) + ((value & 0xff000000) >>> 24);
    }


  function _atoi(ptr) {
      return _strtol(ptr, null, 10);
    }

  var _atol=_atoi;

  function _round(x) {
      return (x < 0) ? -Math.round(-x) : Math.round(x);
    }

  function _signal(sig, func) {
      // TODO
      return 0;
    }

  function _popen(command, mode) {
      // FILE *popen(const char *command, const char *mode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/popen.html
      // We allow only one process, so no pipes.
      ___setErrNo(ERRNO_CODES.EMFILE);
      return 0;
    }

  function _pclose(stream) {
      // int pclose(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/pclose.html
      // We allow only one process, so no pipes.
      ___setErrNo(ERRNO_CODES.ECHILD);
      return -1;
    }

  
  function __isLeapYear(year) {
        return year%4 === 0 && (year%100 !== 0 || year%400 === 0);
    }
  
  function __arraySum(array, index) {
      var sum = 0;
      for (var i = 0; i <= index; sum += array[i++]);
      return sum;
    }
  
  
  var __MONTH_DAYS_LEAP=[31,29,31,30,31,30,31,31,30,31,30,31];
  
  var __MONTH_DAYS_REGULAR=[31,28,31,30,31,30,31,31,30,31,30,31];function __addDays(date, days) {
      var newDate = new Date(date.getTime());
      while(days > 0) {
        var leap = __isLeapYear(newDate.getFullYear());
        var currentMonth = newDate.getMonth();
        var daysInCurrentMonth = (leap ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR)[currentMonth];
  
        if (days > daysInCurrentMonth-newDate.getDate()) {
          // we spill over to next month
          days -= (daysInCurrentMonth-newDate.getDate()+1);
          newDate.setDate(1);
          if (currentMonth < 11) {
            newDate.setMonth(currentMonth+1)
          } else {
            newDate.setMonth(0);
            newDate.setFullYear(newDate.getFullYear()+1);
          }
        } else {
          // we stay in current month 
          newDate.setDate(newDate.getDate()+days);
          return newDate;
        }
      }
  
      return newDate;
    }function _strftime(s, maxsize, format, tm) {
      // size_t strftime(char *restrict s, size_t maxsize, const char *restrict format, const struct tm *restrict timeptr);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/strftime.html
      
      var date = {
        tm_sec: HEAP32[((tm)>>2)],
        tm_min: HEAP32[(((tm)+(4))>>2)],
        tm_hour: HEAP32[(((tm)+(8))>>2)],
        tm_mday: HEAP32[(((tm)+(12))>>2)],
        tm_mon: HEAP32[(((tm)+(16))>>2)],
        tm_year: HEAP32[(((tm)+(20))>>2)],
        tm_wday: HEAP32[(((tm)+(24))>>2)],
        tm_yday: HEAP32[(((tm)+(28))>>2)],
        tm_isdst: HEAP32[(((tm)+(32))>>2)]
      };
  
      var pattern = Pointer_stringify(format);
  
      // expand format
      var EXPANSION_RULES_1 = {
        '%c': '%a %b %d %H:%M:%S %Y',     // Replaced by the locale's appropriate date and time representation - e.g., Mon Aug  3 14:02:01 2013
        '%D': '%m/%d/%y',                 // Equivalent to %m / %d / %y
        '%F': '%Y-%m-%d',                 // Equivalent to %Y - %m - %d
        '%h': '%b',                       // Equivalent to %b
        '%r': '%I:%M:%S %p',              // Replaced by the time in a.m. and p.m. notation
        '%R': '%H:%M',                    // Replaced by the time in 24-hour notation
        '%T': '%H:%M:%S',                 // Replaced by the time
        '%x': '%m/%d/%y',                 // Replaced by the locale's appropriate date representation
        '%X': '%H:%M:%S',                 // Replaced by the locale's appropriate date representation
      };
      for (var rule in EXPANSION_RULES_1) {
        pattern = pattern.replace(new RegExp(rule, 'g'), EXPANSION_RULES_1[rule]);
      }
  
      var WEEKDAYS = ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'];
      var MONTHS = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'];
  
      function leadingSomething(value, digits, character) {
        var str = typeof value === 'number' ? value.toString() : (value || '');
        while (str.length < digits) {
          str = character[0]+str;
        }
        return str;
      };
  
      function leadingNulls(value, digits) {
        return leadingSomething(value, digits, '0');
      };
  
      function compareByDay(date1, date2) {
        function sgn(value) {
          return value < 0 ? -1 : (value > 0 ? 1 : 0);
        };
  
        var compare;
        if ((compare = sgn(date1.getFullYear()-date2.getFullYear())) === 0) {
          if ((compare = sgn(date1.getMonth()-date2.getMonth())) === 0) {
            compare = sgn(date1.getDate()-date2.getDate());
          }
        }
        return compare;
      };
  
      function getFirstWeekStartDate(janFourth) {
          switch (janFourth.getDay()) {
            case 0: // Sunday
              return new Date(janFourth.getFullYear()-1, 11, 29);
            case 1: // Monday
              return janFourth;
            case 2: // Tuesday
              return new Date(janFourth.getFullYear(), 0, 3);
            case 3: // Wednesday
              return new Date(janFourth.getFullYear(), 0, 2);
            case 4: // Thursday
              return new Date(janFourth.getFullYear(), 0, 1);
            case 5: // Friday
              return new Date(janFourth.getFullYear()-1, 11, 31);
            case 6: // Saturday
              return new Date(janFourth.getFullYear()-1, 11, 30);
          }
      };
  
      function getWeekBasedYear(date) {
          var thisDate = __addDays(new Date(date.tm_year+1900, 0, 1), date.tm_yday);
  
          var janFourthThisYear = new Date(thisDate.getFullYear(), 0, 4);
          var janFourthNextYear = new Date(thisDate.getFullYear()+1, 0, 4);
  
          var firstWeekStartThisYear = getFirstWeekStartDate(janFourthThisYear);
          var firstWeekStartNextYear = getFirstWeekStartDate(janFourthNextYear);
  
          if (compareByDay(firstWeekStartThisYear, thisDate) <= 0) {
            // this date is after the start of the first week of this year
            if (compareByDay(firstWeekStartNextYear, thisDate) <= 0) {
              return thisDate.getFullYear()+1;
            } else {
              return thisDate.getFullYear();
            }
          } else { 
            return thisDate.getFullYear()-1;
          }
      };
  
      var EXPANSION_RULES_2 = {
        '%a': function(date) {
          return WEEKDAYS[date.tm_wday].substring(0,3);
        },
        '%A': function(date) {
          return WEEKDAYS[date.tm_wday];
        },
        '%b': function(date) {
          return MONTHS[date.tm_mon].substring(0,3);
        },
        '%B': function(date) {
          return MONTHS[date.tm_mon];
        },
        '%C': function(date) {
          var year = date.tm_year+1900;
          return leadingNulls(Math.floor(year/100),2);
        },
        '%d': function(date) {
          return leadingNulls(date.tm_mday, 2);
        },
        '%e': function(date) {
          return leadingSomething(date.tm_mday, 2, ' ');
        },
        '%g': function(date) {
          // %g, %G, and %V give values according to the ISO 8601:2000 standard week-based year. 
          // In this system, weeks begin on a Monday and week 1 of the year is the week that includes 
          // January 4th, which is also the week that includes the first Thursday of the year, and 
          // is also the first week that contains at least four days in the year. 
          // If the first Monday of January is the 2nd, 3rd, or 4th, the preceding days are part of 
          // the last week of the preceding year; thus, for Saturday 2nd January 1999, 
          // %G is replaced by 1998 and %V is replaced by 53. If December 29th, 30th, 
          // or 31st is a Monday, it and any following days are part of week 1 of the following year. 
          // Thus, for Tuesday 30th December 1997, %G is replaced by 1998 and %V is replaced by 01.
          
          return getWeekBasedYear(date).toString().substring(2);
        },
        '%G': function(date) {
          return getWeekBasedYear(date);
        },
        '%H': function(date) {
          return leadingNulls(date.tm_hour, 2);
        },
        '%I': function(date) {
          return leadingNulls(date.tm_hour < 13 ? date.tm_hour : date.tm_hour-12, 2);
        },
        '%j': function(date) {
          // Day of the year (001-366)
          return leadingNulls(date.tm_mday+__arraySum(__isLeapYear(date.tm_year+1900) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, date.tm_mon-1), 3);
        },
        '%m': function(date) {
          return leadingNulls(date.tm_mon+1, 2);
        },
        '%M': function(date) {
          return leadingNulls(date.tm_min, 2);
        },
        '%n': function() {
          return '\n';
        },
        '%p': function(date) {
          if (date.tm_hour > 0 && date.tm_hour < 13) {
            return 'AM';
          } else {
            return 'PM';
          }
        },
        '%S': function(date) {
          return leadingNulls(date.tm_sec, 2);
        },
        '%t': function() {
          return '\t';
        },
        '%u': function(date) {
          var day = new Date(date.tm_year+1900, date.tm_mon+1, date.tm_mday, 0, 0, 0, 0);
          return day.getDay() || 7;
        },
        '%U': function(date) {
          // Replaced by the week number of the year as a decimal number [00,53]. 
          // The first Sunday of January is the first day of week 1; 
          // days in the new year before this are in week 0. [ tm_year, tm_wday, tm_yday]
          var janFirst = new Date(date.tm_year+1900, 0, 1);
          var firstSunday = janFirst.getDay() === 0 ? janFirst : __addDays(janFirst, 7-janFirst.getDay());
          var endDate = new Date(date.tm_year+1900, date.tm_mon, date.tm_mday);
          
          // is target date after the first Sunday?
          if (compareByDay(firstSunday, endDate) < 0) {
            // calculate difference in days between first Sunday and endDate
            var februaryFirstUntilEndMonth = __arraySum(__isLeapYear(endDate.getFullYear()) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, endDate.getMonth()-1)-31;
            var firstSundayUntilEndJanuary = 31-firstSunday.getDate();
            var days = firstSundayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();
            return leadingNulls(Math.ceil(days/7), 2);
          }
  
          return compareByDay(firstSunday, janFirst) === 0 ? '01': '00';
        },
        '%V': function(date) {
          // Replaced by the week number of the year (Monday as the first day of the week) 
          // as a decimal number [01,53]. If the week containing 1 January has four 
          // or more days in the new year, then it is considered week 1. 
          // Otherwise, it is the last week of the previous year, and the next week is week 1. 
          // Both January 4th and the first Thursday of January are always in week 1. [ tm_year, tm_wday, tm_yday]
          var janFourthThisYear = new Date(date.tm_year+1900, 0, 4);
          var janFourthNextYear = new Date(date.tm_year+1901, 0, 4);
  
          var firstWeekStartThisYear = getFirstWeekStartDate(janFourthThisYear);
          var firstWeekStartNextYear = getFirstWeekStartDate(janFourthNextYear);
  
          var endDate = __addDays(new Date(date.tm_year+1900, 0, 1), date.tm_yday);
  
          if (compareByDay(endDate, firstWeekStartThisYear) < 0) {
            // if given date is before this years first week, then it belongs to the 53rd week of last year
            return '53';
          } 
  
          if (compareByDay(firstWeekStartNextYear, endDate) <= 0) {
            // if given date is after next years first week, then it belongs to the 01th week of next year
            return '01';
          }
  
          // given date is in between CW 01..53 of this calendar year
          var daysDifference;
          if (firstWeekStartThisYear.getFullYear() < date.tm_year+1900) {
            // first CW of this year starts last year
            daysDifference = date.tm_yday+32-firstWeekStartThisYear.getDate()
          } else {
            // first CW of this year starts this year
            daysDifference = date.tm_yday+1-firstWeekStartThisYear.getDate();
          }
          return leadingNulls(Math.ceil(daysDifference/7), 2);
        },
        '%w': function(date) {
          var day = new Date(date.tm_year+1900, date.tm_mon+1, date.tm_mday, 0, 0, 0, 0);
          return day.getDay();
        },
        '%W': function(date) {
          // Replaced by the week number of the year as a decimal number [00,53]. 
          // The first Monday of January is the first day of week 1; 
          // days in the new year before this are in week 0. [ tm_year, tm_wday, tm_yday]
          var janFirst = new Date(date.tm_year, 0, 1);
          var firstMonday = janFirst.getDay() === 1 ? janFirst : __addDays(janFirst, janFirst.getDay() === 0 ? 1 : 7-janFirst.getDay()+1);
          var endDate = new Date(date.tm_year+1900, date.tm_mon, date.tm_mday);
  
          // is target date after the first Monday?
          if (compareByDay(firstMonday, endDate) < 0) {
            var februaryFirstUntilEndMonth = __arraySum(__isLeapYear(endDate.getFullYear()) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, endDate.getMonth()-1)-31;
            var firstMondayUntilEndJanuary = 31-firstMonday.getDate();
            var days = firstMondayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();
            return leadingNulls(Math.ceil(days/7), 2);
          }
          return compareByDay(firstMonday, janFirst) === 0 ? '01': '00';
        },
        '%y': function(date) {
          // Replaced by the last two digits of the year as a decimal number [00,99]. [ tm_year]
          return (date.tm_year+1900).toString().substring(2);
        },
        '%Y': function(date) {
          // Replaced by the year as a decimal number (for example, 1997). [ tm_year]
          return date.tm_year+1900;
        },
        '%z': function(date) {
          // Replaced by the offset from UTC in the ISO 8601:2000 standard format ( +hhmm or -hhmm ),
          // or by no characters if no timezone is determinable. 
          // For example, "-0430" means 4 hours 30 minutes behind UTC (west of Greenwich). 
          // If tm_isdst is zero, the standard time offset is used. 
          // If tm_isdst is greater than zero, the daylight savings time offset is used. 
          // If tm_isdst is negative, no characters are returned. 
          // FIXME: we cannot determine time zone (or can we?)
          return '';
        },
        '%Z': function(date) {
          // Replaced by the timezone name or abbreviation, or by no bytes if no timezone information exists. [ tm_isdst]
          // FIXME: we cannot determine time zone (or can we?)
          return '';
        },
        '%%': function() {
          return '%';
        }
      };
      for (var rule in EXPANSION_RULES_2) {
        if (pattern.indexOf(rule) >= 0) {
          pattern = pattern.replace(new RegExp(rule, 'g'), EXPANSION_RULES_2[rule](date));
        }
      }
  
      var bytes = intArrayFromString(pattern, false);
      if (bytes.length > maxsize) {
        return 0;
      } 
  
      writeArrayToMemory(bytes, s);
      return bytes.length-1;
    }

  
  var ___tm_current=allocate(44, "i8", ALLOC_STATIC);
  
  
  var ___tm_timezone=allocate(intArrayFromString("GMT"), "i8", ALLOC_STATIC);
  
  
  var _tzname=allocate(8, "i32*", ALLOC_STATIC);
  
  var _daylight=allocate(1, "i32*", ALLOC_STATIC);
  
  var _timezone=allocate(1, "i32*", ALLOC_STATIC);function _tzset() {
      // TODO: Use (malleable) environment variables instead of system settings.
      if (_tzset.called) return;
      _tzset.called = true;
  
      HEAP32[((_timezone)>>2)]=-(new Date()).getTimezoneOffset() * 60;
  
      var winter = new Date(2000, 0, 1);
      var summer = new Date(2000, 6, 1);
      HEAP32[((_daylight)>>2)]=Number(winter.getTimezoneOffset() != summer.getTimezoneOffset());
  
      var winterName = 'GMT'; // XXX do not rely on browser timezone info, it is very unpredictable | winter.toString().match(/\(([A-Z]+)\)/)[1];
      var summerName = 'GMT'; // XXX do not rely on browser timezone info, it is very unpredictable | summer.toString().match(/\(([A-Z]+)\)/)[1];
      var winterNamePtr = allocate(intArrayFromString(winterName), 'i8', ALLOC_NORMAL);
      var summerNamePtr = allocate(intArrayFromString(summerName), 'i8', ALLOC_NORMAL);
      HEAP32[((_tzname)>>2)]=winterNamePtr;
      HEAP32[(((_tzname)+(4))>>2)]=summerNamePtr;
    }function _localtime_r(time, tmPtr) {
      _tzset();
      var date = new Date(HEAP32[((time)>>2)]*1000);
      HEAP32[((tmPtr)>>2)]=date.getSeconds();
      HEAP32[(((tmPtr)+(4))>>2)]=date.getMinutes();
      HEAP32[(((tmPtr)+(8))>>2)]=date.getHours();
      HEAP32[(((tmPtr)+(12))>>2)]=date.getDate();
      HEAP32[(((tmPtr)+(16))>>2)]=date.getMonth();
      HEAP32[(((tmPtr)+(20))>>2)]=date.getFullYear()-1900;
      HEAP32[(((tmPtr)+(24))>>2)]=date.getDay();
  
      var start = new Date(date.getFullYear(), 0, 1);
      var yday = Math.floor((date.getTime() - start.getTime()) / (1000 * 60 * 60 * 24));
      HEAP32[(((tmPtr)+(28))>>2)]=yday;
      HEAP32[(((tmPtr)+(36))>>2)]=start.getTimezoneOffset() * 60;
  
      var dst = Number(start.getTimezoneOffset() != date.getTimezoneOffset());
      HEAP32[(((tmPtr)+(32))>>2)]=dst;
  
      HEAP32[(((tmPtr)+(40))>>2)]=___tm_timezone;
  
      return tmPtr;
    }function _localtime(time) {
      return _localtime_r(time, ___tm_current);
    }

  function _system(command) {
      // int system(const char *command);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/system.html
      // Can't call external programs.
      ___setErrNo(ERRNO_CODES.EAGAIN);
      return -1;
    }

  function _asprintf(s, format, varargs) {
      return _sprintf(-s, format, varargs);
    }


  function _strstr(ptr1, ptr2) {
      var check = 0, start;
      do {
        if (!check) {
          start = ptr1;
          check = ptr2;
        }
        var curr1 = HEAP8[((ptr1++)|0)];
        var curr2 = HEAP8[((check++)|0)];
        if (curr2 == 0) return start;
        if (curr2 != curr1) {
          // rewind to one character after start, to find ez in eeez
          ptr1 = start + 1;
          check = 0;
        }
      } while (curr1);
      return 0;
    }

  var _putc=_fputc;

  function _isatty(fildes) {
      // int isatty(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/isatty.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return 0;
      }
      // HACK - implement tcgetattr
      if (!stream.tty) {
        ___setErrNo(ERRNO_CODES.ENOTTY);
        return 0;
      }
      return 1;
    }


  var _getc=_fgetc;

  function _abort() {
      Module['abort']();
    }

  function _unlink(path) {
      // int unlink(const char *path);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/unlink.html
      path = Pointer_stringify(path);
      try {
        FS.unlink(path);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }

  
  function _truncate(path, length) {
      // int truncate(const char *path, off_t length);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/truncate.html
      // NOTE: The path argument may be a string, to simplify ftruncate().
      if (typeof path !== 'string') path = Pointer_stringify(path);
      try {
        FS.truncate(path, length);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _ftruncate(fildes, length) {
      // int ftruncate(int fildes, off_t length);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ftruncate.html
      try {
        FS.ftruncate(fildes, length);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }

  
  function _stat(path, buf, dontResolveLastLink) {
      // http://pubs.opengroup.org/onlinepubs/7908799/xsh/stat.html
      // int stat(const char *path, struct stat *buf);
      // NOTE: dontResolveLastLink is a shortcut for lstat(). It should never be
      //       used in client code.
      path = typeof path !== 'string' ? Pointer_stringify(path) : path;
      try {
        var stat = dontResolveLastLink ? FS.lstat(path) : FS.stat(path);
        HEAP32[((buf)>>2)]=stat.dev;
        HEAP32[(((buf)+(4))>>2)]=0;
        HEAP32[(((buf)+(8))>>2)]=stat.ino;
        HEAP32[(((buf)+(12))>>2)]=stat.mode;
        HEAP32[(((buf)+(16))>>2)]=stat.nlink;
        HEAP32[(((buf)+(20))>>2)]=stat.uid;
        HEAP32[(((buf)+(24))>>2)]=stat.gid;
        HEAP32[(((buf)+(28))>>2)]=stat.rdev;
        HEAP32[(((buf)+(32))>>2)]=0;
        HEAP32[(((buf)+(36))>>2)]=stat.size;
        HEAP32[(((buf)+(40))>>2)]=4096;
        HEAP32[(((buf)+(44))>>2)]=stat.blocks;
        HEAP32[(((buf)+(48))>>2)]=Math.floor(stat.atime.getTime() / 1000);
        HEAP32[(((buf)+(52))>>2)]=0;
        HEAP32[(((buf)+(56))>>2)]=Math.floor(stat.mtime.getTime() / 1000);
        HEAP32[(((buf)+(60))>>2)]=0;
        HEAP32[(((buf)+(64))>>2)]=Math.floor(stat.ctime.getTime() / 1000);
        HEAP32[(((buf)+(68))>>2)]=0;
        HEAP32[(((buf)+(72))>>2)]=stat.ino;
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fstat(fildes, buf) {
      // int fstat(int fildes, struct stat *buf);
      // http://pubs.opengroup.org/onlinepubs/7908799/xsh/fstat.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      return _stat(stream.path, buf);
    }

  function _freopen(filename, mode, stream) {
      // FILE *freopen(const char *restrict filename, const char *restrict mode, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/freopen.html
      if (!filename) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (!streamObj) {
          ___setErrNo(ERRNO_CODES.EBADF);
          return 0;
        }
        if (_freopen.buffer) _free(_freopen.buffer);
        filename = intArrayFromString(streamObj.path);
        filename = allocate(filename, 'i8', ALLOC_NORMAL);
      }
      _fclose(stream);
      return _fopen(filename, mode);
    }


  function _access(path, amode) {
      // int access(const char *path, int amode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/access.html
      path = Pointer_stringify(path);
      if (amode & ~7) {
        // need a valid mode
        ___setErrNo(ERRNO_CODES.EINVAL);
        return -1;
      }
      var node;
      try {
        var lookup = FS.lookupPath(path, { follow: true });
        node = lookup.node;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
      var perms = '';
      if (amode & 4) perms += 'r';
      if (amode & 2) perms += 'w';
      if (amode & 1) perms += 'x';
      if (perms /* otherwise, they've just passed F_OK */ && FS.nodePermissions(node, perms)) {
        ___setErrNo(ERRNO_CODES.EACCES);
        return -1;
      }
      return 0;
    }

  
  function _tmpnam(s, dir, prefix) {
      // char *tmpnam(char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/tmpnam.html
      // NOTE: The dir and prefix arguments are for internal use only.
      var folder = FS.findObject(dir || '/tmp');
      if (!folder || !folder.isFolder) {
        dir = '/tmp';
        folder = FS.findObject(dir);
        if (!folder || !folder.isFolder) return 0;
      }
      var name = prefix || 'file';
      do {
        name += String.fromCharCode(65 + Math.floor(Math.random() * 25));
      } while (name in folder.contents);
      var result = dir + '/' + name;
      if (!_tmpnam.buffer) _tmpnam.buffer = _malloc(256);
      if (!s) s = _tmpnam.buffer;
      writeAsciiToMemory(result, s);
      return s;
    }function _tmpfile() {
      // FILE *tmpfile(void);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/tmpfile.html
      // TODO: Delete the created file on closing.
      if (_tmpfile.mode) {
        _tmpfile.mode = allocate(intArrayFromString('w+'), 'i8', ALLOC_NORMAL);
      }
      return _fopen(_tmpnam(0), _tmpfile.mode);
    }


  function ___cxa_guard_acquire(variable) {
      if (!HEAP8[(variable)]) { // ignore SAFE_HEAP stuff because llvm mixes i64 and i8 here
        HEAP8[(variable)]=1;
        return 1;
      }
      return 0;
    }

  function ___cxa_guard_release() {}

  function _pthread_cond_broadcast() {
      return 0;
    }

  function _pthread_cond_wait() {
      return 0;
    }

  
  function _atexit(func, arg) {
      __ATEXIT__.unshift({ func: func, arg: arg });
    }var ___cxa_atexit=_atexit;

  function _llvm_lifetime_start() {}

  function _llvm_lifetime_end() {}

  function __ZNSt9exceptionD2Ev() {}

  function _sysconf(name) {
      // long sysconf(int name);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/sysconf.html
      switch(name) {
        case 30: return PAGE_SIZE;
        case 132:
        case 133:
        case 12:
        case 137:
        case 138:
        case 15:
        case 235:
        case 16:
        case 17:
        case 18:
        case 19:
        case 20:
        case 149:
        case 13:
        case 10:
        case 236:
        case 153:
        case 9:
        case 21:
        case 22:
        case 159:
        case 154:
        case 14:
        case 77:
        case 78:
        case 139:
        case 80:
        case 81:
        case 79:
        case 82:
        case 68:
        case 67:
        case 164:
        case 11:
        case 29:
        case 47:
        case 48:
        case 95:
        case 52:
        case 51:
        case 46:
          return 200809;
        case 27:
        case 246:
        case 127:
        case 128:
        case 23:
        case 24:
        case 160:
        case 161:
        case 181:
        case 182:
        case 242:
        case 183:
        case 184:
        case 243:
        case 244:
        case 245:
        case 165:
        case 178:
        case 179:
        case 49:
        case 50:
        case 168:
        case 169:
        case 175:
        case 170:
        case 171:
        case 172:
        case 97:
        case 76:
        case 32:
        case 173:
        case 35:
          return -1;
        case 176:
        case 177:
        case 7:
        case 155:
        case 8:
        case 157:
        case 125:
        case 126:
        case 92:
        case 93:
        case 129:
        case 130:
        case 131:
        case 94:
        case 91:
          return 1;
        case 74:
        case 60:
        case 69:
        case 70:
        case 4:
          return 1024;
        case 31:
        case 42:
        case 72:
          return 32;
        case 87:
        case 26:
        case 33:
          return 2147483647;
        case 34:
        case 1:
          return 47839;
        case 38:
        case 36:
          return 99;
        case 43:
        case 37:
          return 2048;
        case 0: return 2097152;
        case 3: return 65536;
        case 28: return 32768;
        case 44: return 32767;
        case 75: return 16384;
        case 39: return 1000;
        case 89: return 700;
        case 71: return 256;
        case 40: return 255;
        case 2: return 100;
        case 180: return 64;
        case 25: return 20;
        case 5: return 16;
        case 6: return 6;
        case 73: return 4;
        case 84: return 1;
      }
      ___setErrNo(ERRNO_CODES.EINVAL);
      return -1;
    }

  function ___cxa_guard_abort() {}

  
  function _isxdigit(chr) {
      return (chr >= 48 && chr <= 57) ||
             (chr >= 97 && chr <= 102) ||
             (chr >= 65 && chr <= 70);
    }function _isxdigit_l(chr) {
      return _isxdigit(chr); // no locale support yet
    }

  
  function _isdigit(chr) {
      return chr >= 48 && chr <= 57;
    }function _isdigit_l(chr) {
      return _isdigit(chr); // no locale support yet
    }

  function _sscanf(s, format, varargs) {
      // int sscanf(const char *restrict s, const char *restrict format, ... );
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/scanf.html
      var index = 0;
      function get() { return HEAP8[(((s)+(index++))|0)]; };
      function unget() { index--; };
      return __scanString(format, get, unget, varargs);
    }

  function _catopen(name, oflag) {
      // nl_catd catopen (const char *name, int oflag)
      return -1;
    }

  function _catgets(catd, set_id, msg_id, s) {
      // char *catgets (nl_catd catd, int set_id, int msg_id, const char *s)
      return s;
    }

  function _catclose(catd) {
      // int catclose (nl_catd catd)
      return 0;
    }

  function _newlocale(mask, locale, base) {
      return _malloc(4);
    }

  function _freelocale(locale) {
      _free(locale);
    }

  function ___ctype_b_loc() {
      // http://refspecs.freestandards.org/LSB_3.0.0/LSB-Core-generic/LSB-Core-generic/baselib---ctype-b-loc.html
      var me = ___ctype_b_loc;
      if (!me.ret) {
        var values = [
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,8195,8194,8194,8194,8194,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,24577,49156,49156,49156,
          49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,55304,55304,55304,55304,55304,55304,55304,55304,
          55304,55304,49156,49156,49156,49156,49156,49156,49156,54536,54536,54536,54536,54536,54536,50440,50440,50440,50440,50440,
          50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,49156,49156,49156,49156,49156,
          49156,54792,54792,54792,54792,54792,54792,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,
          50696,50696,50696,50696,50696,50696,50696,49156,49156,49156,49156,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
        ];
        var i16size = 2;
        var arr = _malloc(values.length * i16size);
        for (var i = 0; i < values.length; i++) {
          HEAP16[(((arr)+(i * i16size))>>1)]=values[i];
        }
        me.ret = allocate([arr + 128 * i16size], 'i16*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function ___ctype_tolower_loc() {
      // http://refspecs.freestandards.org/LSB_3.1.1/LSB-Core-generic/LSB-Core-generic/libutil---ctype-tolower-loc.html
      var me = ___ctype_tolower_loc;
      if (!me.ret) {
        var values = [
          128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,
          158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,
          188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,
          218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,
          248,249,250,251,252,253,254,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,
          33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,97,98,99,100,101,102,103,
          104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,91,92,93,94,95,96,97,98,99,100,101,102,103,
          104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,
          134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,
          164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,
          194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,
          224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,
          254,255
        ];
        var i32size = 4;
        var arr = _malloc(values.length * i32size);
        for (var i = 0; i < values.length; i++) {
          HEAP32[(((arr)+(i * i32size))>>2)]=values[i];
        }
        me.ret = allocate([arr + 128 * i32size], 'i32*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function ___ctype_toupper_loc() {
      // http://refspecs.freestandards.org/LSB_3.1.1/LSB-Core-generic/LSB-Core-generic/libutil---ctype-toupper-loc.html
      var me = ___ctype_toupper_loc;
      if (!me.ret) {
        var values = [
          128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,
          158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,
          188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,
          218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,
          248,249,250,251,252,253,254,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,
          33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,
          73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,
          81,82,83,84,85,86,87,88,89,90,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,
          145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,
          175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,
          205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,
          235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255
        ];
        var i32size = 4;
        var arr = _malloc(values.length * i32size);
        for (var i = 0; i < values.length; i++) {
          HEAP32[(((arr)+(i * i32size))>>2)]=values[i];
        }
        me.ret = allocate([arr + 128 * i32size], 'i32*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function _strftime_l(s, maxsize, format, tm) {
      return _strftime(s, maxsize, format, tm); // no locale support yet
    }

  
  
  function __parseInt64(str, endptr, base, min, max, unsign) {
      var isNegative = false;
      // Skip space.
      while (_isspace(HEAP8[(str)])) str++;
  
      // Check for a plus/minus sign.
      if (HEAP8[(str)] == 45) {
        str++;
        isNegative = true;
      } else if (HEAP8[(str)] == 43) {
        str++;
      }
  
      // Find base.
      var ok = false;
      var finalBase = base;
      if (!finalBase) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            finalBase = 16;
            str += 2;
          } else {
            finalBase = 8;
            ok = true; // we saw an initial zero, perhaps the entire thing is just "0"
          }
        }
      } else if (finalBase==16) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            str += 2;
          }
        }
      }
      if (!finalBase) finalBase = 10;
      var start = str;
  
      // Get digits.
      var chr;
      while ((chr = HEAP8[(str)]) != 0) {
        var digit = parseInt(String.fromCharCode(chr), finalBase);
        if (isNaN(digit)) {
          break;
        } else {
          str++;
          ok = true;
        }
      }
  
      if (!ok) {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return ((asm["setTempRet0"](0),0)|0);
      }
  
      // Set end pointer.
      if (endptr) {
        HEAP32[((endptr)>>2)]=str;
      }
  
      try {
        var numberString = isNegative ? '-'+Pointer_stringify(start, str - start) : Pointer_stringify(start, str - start);
        i64Math.fromString(numberString, finalBase, min, max, unsign);
      } catch(e) {
        ___setErrNo(ERRNO_CODES.ERANGE); // not quite correct
      }
  
      return ((asm["setTempRet0"](((HEAP32[(((tempDoublePtr)+(4))>>2)])|0)),((HEAP32[((tempDoublePtr)>>2)])|0))|0);
    }function _strtoull(str, endptr, base) {
      return __parseInt64(str, endptr, base, 0, '18446744073709551615', true);  // ULONG_MAX.
    }function _strtoull_l(str, endptr, base) {
      return _strtoull(str, endptr, base); // no locale support yet
    }

  
  function _strtoll(str, endptr, base) {
      return __parseInt64(str, endptr, base, '-9223372036854775808', '9223372036854775807');  // LLONG_MIN, LLONG_MAX.
    }function _strtoll_l(str, endptr, base) {
      return _strtoll(str, endptr, base); // no locale support yet
    }

  function _uselocale(locale) {
      return 0;
    }

  function _vasprintf(s, format, va_arg) {
      return _asprintf(s, format, HEAP32[((va_arg)>>2)]);
    }

  function _vsscanf(s, format, va_arg) {
      return _sscanf(s, format, HEAP32[((va_arg)>>2)]);
    }

  function _isblank(chr) {
      return chr == 32 || chr == 9;
    }

  function _sbrk(bytes) {
      // Implement a Linux-like 'memory area' for our 'process'.
      // Changes the size of the memory area by |bytes|; returns the
      // address of the previous top ('break') of the memory area
      // We control the "dynamic" memory - DYNAMIC_BASE to DYNAMICTOP
      var self = _sbrk;
      if (!self.called) {
        DYNAMICTOP = alignMemoryPage(DYNAMICTOP); // make sure we start out aligned
        self.called = true;
        assert(Runtime.dynamicAlloc);
        self.alloc = Runtime.dynamicAlloc;
        Runtime.dynamicAlloc = function() { abort('cannot dynamically allocate, sbrk now has control') };
      }
      var ret = DYNAMICTOP;
      if (bytes != 0) self.alloc(bytes);
      return ret;  // Previous break location.
    }

  
  function _copysign(a, b) {
      return __reallyNegative(a) === __reallyNegative(b) ? a : -a;
    }var _copysignl=_copysign;

  
  function _fmod(x, y) {
      return x % y;
    }var _fmodl=_fmod;






  var Browser={mainLoop:{scheduler:null,method:"",shouldPause:false,paused:false,queue:[],pause:function () {
          Browser.mainLoop.shouldPause = true;
        },resume:function () {
          if (Browser.mainLoop.paused) {
            Browser.mainLoop.paused = false;
            Browser.mainLoop.scheduler();
          }
          Browser.mainLoop.shouldPause = false;
        },updateStatus:function () {
          if (Module['setStatus']) {
            var message = Module['statusMessage'] || 'Please wait...';
            var remaining = Browser.mainLoop.remainingBlockers;
            var expected = Browser.mainLoop.expectedBlockers;
            if (remaining) {
              if (remaining < expected) {
                Module['setStatus'](message + ' (' + (expected - remaining) + '/' + expected + ')');
              } else {
                Module['setStatus'](message);
              }
            } else {
              Module['setStatus']('');
            }
          }
        }},isFullScreen:false,pointerLock:false,moduleContextCreatedCallbacks:[],workers:[],init:function () {
        if (!Module["preloadPlugins"]) Module["preloadPlugins"] = []; // needs to exist even in workers
  
        if (Browser.initted || ENVIRONMENT_IS_WORKER) return;
        Browser.initted = true;
  
        try {
          new Blob();
          Browser.hasBlobConstructor = true;
        } catch(e) {
          Browser.hasBlobConstructor = false;
          console.log("warning: no blob constructor, cannot create blobs with mimetypes");
        }
        Browser.BlobBuilder = typeof MozBlobBuilder != "undefined" ? MozBlobBuilder : (typeof WebKitBlobBuilder != "undefined" ? WebKitBlobBuilder : (!Browser.hasBlobConstructor ? console.log("warning: no BlobBuilder") : null));
        Browser.URLObject = typeof window != "undefined" ? (window.URL ? window.URL : window.webkitURL) : undefined;
        if (!Module.noImageDecoding && typeof Browser.URLObject === 'undefined') {
          console.log("warning: Browser does not support creating object URLs. Built-in browser image decoding will not be available.");
          Module.noImageDecoding = true;
        }
  
        // Support for plugins that can process preloaded files. You can add more of these to
        // your app by creating and appending to Module.preloadPlugins.
        //
        // Each plugin is asked if it can handle a file based on the file's name. If it can,
        // it is given the file's raw data. When it is done, it calls a callback with the file's
        // (possibly modified) data. For example, a plugin might decompress a file, or it
        // might create some side data structure for use later (like an Image element, etc.).
  
        var imagePlugin = {};
        imagePlugin['canHandle'] = function imagePlugin_canHandle(name) {
          return !Module.noImageDecoding && /\.(jpg|jpeg|png|bmp)$/i.test(name);
        };
        imagePlugin['handle'] = function imagePlugin_handle(byteArray, name, onload, onerror) {
          var b = null;
          if (Browser.hasBlobConstructor) {
            try {
              b = new Blob([byteArray], { type: Browser.getMimetype(name) });
              if (b.size !== byteArray.length) { // Safari bug #118630
                // Safari's Blob can only take an ArrayBuffer
                b = new Blob([(new Uint8Array(byteArray)).buffer], { type: Browser.getMimetype(name) });
              }
            } catch(e) {
              Runtime.warnOnce('Blob constructor present but fails: ' + e + '; falling back to blob builder');
            }
          }
          if (!b) {
            var bb = new Browser.BlobBuilder();
            bb.append((new Uint8Array(byteArray)).buffer); // we need to pass a buffer, and must copy the array to get the right data range
            b = bb.getBlob();
          }
          var url = Browser.URLObject.createObjectURL(b);
          var img = new Image();
          img.onload = function img_onload() {
            assert(img.complete, 'Image ' + name + ' could not be decoded');
            var canvas = document.createElement('canvas');
            canvas.width = img.width;
            canvas.height = img.height;
            var ctx = canvas.getContext('2d');
            ctx.drawImage(img, 0, 0);
            Module["preloadedImages"][name] = canvas;
            Browser.URLObject.revokeObjectURL(url);
            if (onload) onload(byteArray);
          };
          img.onerror = function img_onerror(event) {
            console.log('Image ' + url + ' could not be decoded');
            if (onerror) onerror();
          };
          img.src = url;
        };
        Module['preloadPlugins'].push(imagePlugin);
  
        var audioPlugin = {};
        audioPlugin['canHandle'] = function audioPlugin_canHandle(name) {
          return !Module.noAudioDecoding && name.substr(-4) in { '.ogg': 1, '.wav': 1, '.mp3': 1 };
        };
        audioPlugin['handle'] = function audioPlugin_handle(byteArray, name, onload, onerror) {
          var done = false;
          function finish(audio) {
            if (done) return;
            done = true;
            Module["preloadedAudios"][name] = audio;
            if (onload) onload(byteArray);
          }
          function fail() {
            if (done) return;
            done = true;
            Module["preloadedAudios"][name] = new Audio(); // empty shim
            if (onerror) onerror();
          }
          if (Browser.hasBlobConstructor) {
            try {
              var b = new Blob([byteArray], { type: Browser.getMimetype(name) });
            } catch(e) {
              return fail();
            }
            var url = Browser.URLObject.createObjectURL(b); // XXX we never revoke this!
            var audio = new Audio();
            audio.addEventListener('canplaythrough', function() { finish(audio) }, false); // use addEventListener due to chromium bug 124926
            audio.onerror = function audio_onerror(event) {
              if (done) return;
              console.log('warning: browser could not fully decode audio ' + name + ', trying slower base64 approach');
              function encode64(data) {
                var BASE = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/';
                var PAD = '=';
                var ret = '';
                var leftchar = 0;
                var leftbits = 0;
                for (var i = 0; i < data.length; i++) {
                  leftchar = (leftchar << 8) | data[i];
                  leftbits += 8;
                  while (leftbits >= 6) {
                    var curr = (leftchar >> (leftbits-6)) & 0x3f;
                    leftbits -= 6;
                    ret += BASE[curr];
                  }
                }
                if (leftbits == 2) {
                  ret += BASE[(leftchar&3) << 4];
                  ret += PAD + PAD;
                } else if (leftbits == 4) {
                  ret += BASE[(leftchar&0xf) << 2];
                  ret += PAD;
                }
                return ret;
              }
              audio.src = 'data:audio/x-' + name.substr(-3) + ';base64,' + encode64(byteArray);
              finish(audio); // we don't wait for confirmation this worked - but it's worth trying
            };
            audio.src = url;
            // workaround for chrome bug 124926 - we do not always get oncanplaythrough or onerror
            Browser.safeSetTimeout(function() {
              finish(audio); // try to use it even though it is not necessarily ready to play
            }, 10000);
          } else {
            return fail();
          }
        };
        Module['preloadPlugins'].push(audioPlugin);
  
        // Canvas event setup
  
        var canvas = Module['canvas'];
        canvas.requestPointerLock = canvas['requestPointerLock'] ||
                                    canvas['mozRequestPointerLock'] ||
                                    canvas['webkitRequestPointerLock'];
        canvas.exitPointerLock = document['exitPointerLock'] ||
                                 document['mozExitPointerLock'] ||
                                 document['webkitExitPointerLock'] ||
                                 function(){}; // no-op if function does not exist
        canvas.exitPointerLock = canvas.exitPointerLock.bind(document);
  
        function pointerLockChange() {
          Browser.pointerLock = document['pointerLockElement'] === canvas ||
                                document['mozPointerLockElement'] === canvas ||
                                document['webkitPointerLockElement'] === canvas;
        }
  
        document.addEventListener('pointerlockchange', pointerLockChange, false);
        document.addEventListener('mozpointerlockchange', pointerLockChange, false);
        document.addEventListener('webkitpointerlockchange', pointerLockChange, false);
  
        if (Module['elementPointerLock']) {
          canvas.addEventListener("click", function(ev) {
            if (!Browser.pointerLock && canvas.requestPointerLock) {
              canvas.requestPointerLock();
              ev.preventDefault();
            }
          }, false);
        }
      },createContext:function (canvas, useWebGL, setInModule, webGLContextAttributes) {
        var ctx;
        try {
          if (useWebGL) {
            var contextAttributes = {
              antialias: false,
              alpha: false
            };
  
            if (webGLContextAttributes) {
              for (var attribute in webGLContextAttributes) {
                contextAttributes[attribute] = webGLContextAttributes[attribute];
              }
            }
  
  
            var errorInfo = '?';
            function onContextCreationError(event) {
              errorInfo = event.statusMessage || errorInfo;
            }
            canvas.addEventListener('webglcontextcreationerror', onContextCreationError, false);
            try {
              ['experimental-webgl', 'webgl'].some(function(webglId) {
                return ctx = canvas.getContext(webglId, contextAttributes);
              });
            } finally {
              canvas.removeEventListener('webglcontextcreationerror', onContextCreationError, false);
            }
          } else {
            ctx = canvas.getContext('2d');
          }
          if (!ctx) throw ':(';
        } catch (e) {
          Module.print('Could not create canvas: ' + [errorInfo, e]);
          return null;
        }
        if (useWebGL) {
          // Set the background of the WebGL canvas to black
          canvas.style.backgroundColor = "black";
  
          // Warn on context loss
          canvas.addEventListener('webglcontextlost', function(event) {
            alert('WebGL context lost. You will need to reload the page.');
          }, false);
        }
        if (setInModule) {
          GLctx = Module.ctx = ctx;
          Module.useWebGL = useWebGL;
          Browser.moduleContextCreatedCallbacks.forEach(function(callback) { callback() });
          Browser.init();
        }
        return ctx;
      },destroyContext:function (canvas, useWebGL, setInModule) {},fullScreenHandlersInstalled:false,lockPointer:undefined,resizeCanvas:undefined,requestFullScreen:function (lockPointer, resizeCanvas) {
        Browser.lockPointer = lockPointer;
        Browser.resizeCanvas = resizeCanvas;
        if (typeof Browser.lockPointer === 'undefined') Browser.lockPointer = true;
        if (typeof Browser.resizeCanvas === 'undefined') Browser.resizeCanvas = false;
  
        var canvas = Module['canvas'];
        function fullScreenChange() {
          Browser.isFullScreen = false;
          if ((document['webkitFullScreenElement'] || document['webkitFullscreenElement'] ||
               document['mozFullScreenElement'] || document['mozFullscreenElement'] ||
               document['fullScreenElement'] || document['fullscreenElement']) === canvas) {
            canvas.cancelFullScreen = document['cancelFullScreen'] ||
                                      document['mozCancelFullScreen'] ||
                                      document['webkitCancelFullScreen'];
            canvas.cancelFullScreen = canvas.cancelFullScreen.bind(document);
            if (Browser.lockPointer) canvas.requestPointerLock();
            Browser.isFullScreen = true;
            if (Browser.resizeCanvas) Browser.setFullScreenCanvasSize();
          } else if (Browser.resizeCanvas){
            Browser.setWindowedCanvasSize();
          }
          if (Module['onFullScreen']) Module['onFullScreen'](Browser.isFullScreen);
        }
  
        if (!Browser.fullScreenHandlersInstalled) {
          Browser.fullScreenHandlersInstalled = true;
          document.addEventListener('fullscreenchange', fullScreenChange, false);
          document.addEventListener('mozfullscreenchange', fullScreenChange, false);
          document.addEventListener('webkitfullscreenchange', fullScreenChange, false);
        }
  
        canvas.requestFullScreen = canvas['requestFullScreen'] ||
                                   canvas['mozRequestFullScreen'] ||
                                   (canvas['webkitRequestFullScreen'] ? function() { canvas['webkitRequestFullScreen'](Element['ALLOW_KEYBOARD_INPUT']) } : null);
        canvas.requestFullScreen();
      },requestAnimationFrame:function requestAnimationFrame(func) {
        if (typeof window === 'undefined') { // Provide fallback to setTimeout if window is undefined (e.g. in Node.js)
          setTimeout(func, 1000/60);
        } else {
          if (!window.requestAnimationFrame) {
            window.requestAnimationFrame = window['requestAnimationFrame'] ||
                                           window['mozRequestAnimationFrame'] ||
                                           window['webkitRequestAnimationFrame'] ||
                                           window['msRequestAnimationFrame'] ||
                                           window['oRequestAnimationFrame'] ||
                                           window['setTimeout'];
          }
          window.requestAnimationFrame(func);
        }
      },safeCallback:function (func) {
        return function() {
          if (!ABORT) return func.apply(null, arguments);
        };
      },safeRequestAnimationFrame:function (func) {
        return Browser.requestAnimationFrame(function() {
          if (!ABORT) func();
        });
      },safeSetTimeout:function (func, timeout) {
        return setTimeout(function() {
          if (!ABORT) func();
        }, timeout);
      },safeSetInterval:function (func, timeout) {
        return setInterval(function() {
          if (!ABORT) func();
        }, timeout);
      },getMimetype:function (name) {
        return {
          'jpg': 'image/jpeg',
          'jpeg': 'image/jpeg',
          'png': 'image/png',
          'bmp': 'image/bmp',
          'ogg': 'audio/ogg',
          'wav': 'audio/wav',
          'mp3': 'audio/mpeg'
        }[name.substr(name.lastIndexOf('.')+1)];
      },getUserMedia:function (func) {
        if(!window.getUserMedia) {
          window.getUserMedia = navigator['getUserMedia'] ||
                                navigator['mozGetUserMedia'];
        }
        window.getUserMedia(func);
      },getMovementX:function (event) {
        return event['movementX'] ||
               event['mozMovementX'] ||
               event['webkitMovementX'] ||
               0;
      },getMovementY:function (event) {
        return event['movementY'] ||
               event['mozMovementY'] ||
               event['webkitMovementY'] ||
               0;
      },getMouseWheelDelta:function (event) {
        return Math.max(-1, Math.min(1, event.type === 'DOMMouseScroll' ? event.detail : -event.wheelDelta));
      },mouseX:0,mouseY:0,mouseMovementX:0,mouseMovementY:0,calculateMouseEvent:function (event) { // event should be mousemove, mousedown or mouseup
        if (Browser.pointerLock) {
          // When the pointer is locked, calculate the coordinates
          // based on the movement of the mouse.
          // Workaround for Firefox bug 764498
          if (event.type != 'mousemove' &&
              ('mozMovementX' in event)) {
            Browser.mouseMovementX = Browser.mouseMovementY = 0;
          } else {
            Browser.mouseMovementX = Browser.getMovementX(event);
            Browser.mouseMovementY = Browser.getMovementY(event);
          }
          
          // check if SDL is available
          if (typeof SDL != "undefined") {
          	Browser.mouseX = SDL.mouseX + Browser.mouseMovementX;
          	Browser.mouseY = SDL.mouseY + Browser.mouseMovementY;
          } else {
          	// just add the mouse delta to the current absolut mouse position
          	// FIXME: ideally this should be clamped against the canvas size and zero
          	Browser.mouseX += Browser.mouseMovementX;
          	Browser.mouseY += Browser.mouseMovementY;
          }        
        } else {
          // Otherwise, calculate the movement based on the changes
          // in the coordinates.
          var rect = Module["canvas"].getBoundingClientRect();
          var x, y;
          
          // Neither .scrollX or .pageXOffset are defined in a spec, but
          // we prefer .scrollX because it is currently in a spec draft.
          // (see: http://www.w3.org/TR/2013/WD-cssom-view-20131217/)
          var scrollX = ((typeof window.scrollX !== 'undefined') ? window.scrollX : window.pageXOffset);
          var scrollY = ((typeof window.scrollY !== 'undefined') ? window.scrollY : window.pageYOffset);
          if (event.type == 'touchstart' ||
              event.type == 'touchend' ||
              event.type == 'touchmove') {
            var t = event.touches.item(0);
            if (t) {
              x = t.pageX - (scrollX + rect.left);
              y = t.pageY - (scrollY + rect.top);
            } else {
              return;
            }
          } else {
            x = event.pageX - (scrollX + rect.left);
            y = event.pageY - (scrollY + rect.top);
          }
  
          // the canvas might be CSS-scaled compared to its backbuffer;
          // SDL-using content will want mouse coordinates in terms
          // of backbuffer units.
          var cw = Module["canvas"].width;
          var ch = Module["canvas"].height;
          x = x * (cw / rect.width);
          y = y * (ch / rect.height);
  
          Browser.mouseMovementX = x - Browser.mouseX;
          Browser.mouseMovementY = y - Browser.mouseY;
          Browser.mouseX = x;
          Browser.mouseY = y;
        }
      },xhrLoad:function (url, onload, onerror) {
        var xhr = new XMLHttpRequest();
        xhr.open('GET', url, true);
        xhr.responseType = 'arraybuffer';
        xhr.onload = function xhr_onload() {
          if (xhr.status == 200 || (xhr.status == 0 && xhr.response)) { // file URLs can return 0
            onload(xhr.response);
          } else {
            onerror();
          }
        };
        xhr.onerror = onerror;
        xhr.send(null);
      },asyncLoad:function (url, onload, onerror, noRunDep) {
        Browser.xhrLoad(url, function(arrayBuffer) {
          assert(arrayBuffer, 'Loading data file "' + url + '" failed (no arrayBuffer).');
          onload(new Uint8Array(arrayBuffer));
          if (!noRunDep) removeRunDependency('al ' + url);
        }, function(event) {
          if (onerror) {
            onerror();
          } else {
            throw 'Loading data file "' + url + '" failed.';
          }
        });
        if (!noRunDep) addRunDependency('al ' + url);
      },resizeListeners:[],updateResizeListeners:function () {
        var canvas = Module['canvas'];
        Browser.resizeListeners.forEach(function(listener) {
          listener(canvas.width, canvas.height);
        });
      },setCanvasSize:function (width, height, noUpdates) {
        var canvas = Module['canvas'];
        canvas.width = width;
        canvas.height = height;
        if (!noUpdates) Browser.updateResizeListeners();
      },windowedWidth:0,windowedHeight:0,setFullScreenCanvasSize:function () {
        var canvas = Module['canvas'];
        this.windowedWidth = canvas.width;
        this.windowedHeight = canvas.height;
        canvas.width = screen.width;
        canvas.height = screen.height;
        // check if SDL is available   
        if (typeof SDL != "undefined") {
        	var flags = HEAPU32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)];
        	flags = flags | 0x00800000; // set SDL_FULLSCREEN flag
        	HEAP32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)]=flags
        }
        Browser.updateResizeListeners();
      },setWindowedCanvasSize:function () {
        var canvas = Module['canvas'];
        canvas.width = this.windowedWidth;
        canvas.height = this.windowedHeight;
        // check if SDL is available       
        if (typeof SDL != "undefined") {
        	var flags = HEAPU32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)];
        	flags = flags & ~0x00800000; // clear SDL_FULLSCREEN flag
        	HEAP32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)]=flags
        }
        Browser.updateResizeListeners();
      }};
FS.staticInit();__ATINIT__.unshift({ func: function() { if (!Module["noFSInit"] && !FS.init.initialized) FS.init() } });__ATMAIN__.push({ func: function() { FS.ignorePermissions = false } });__ATEXIT__.push({ func: function() { FS.quit() } });Module["FS_createFolder"] = FS.createFolder;Module["FS_createPath"] = FS.createPath;Module["FS_createDataFile"] = FS.createDataFile;Module["FS_createPreloadedFile"] = FS.createPreloadedFile;Module["FS_createLazyFile"] = FS.createLazyFile;Module["FS_createLink"] = FS.createLink;Module["FS_createDevice"] = FS.createDevice;
___errno_state = Runtime.staticAlloc(4); HEAP32[((___errno_state)>>2)]=0;
__ATINIT__.unshift({ func: function() { TTY.init() } });__ATEXIT__.push({ func: function() { TTY.shutdown() } });TTY.utf8 = new Runtime.UTF8Processor();
if (ENVIRONMENT_IS_NODE) { var fs = require("fs"); NODEFS.staticInit(); }
__ATINIT__.push({ func: function() { SOCKFS.root = FS.mount(SOCKFS, {}, null); } });
_fputc.ret = allocate([0], "i8", ALLOC_STATIC);
_fgetc.ret = allocate([0], "i8", ALLOC_STATIC);
___strtok_state = Runtime.staticAlloc(4);
Module["requestFullScreen"] = function Module_requestFullScreen(lockPointer, resizeCanvas) { Browser.requestFullScreen(lockPointer, resizeCanvas) };
  Module["requestAnimationFrame"] = function Module_requestAnimationFrame(func) { Browser.requestAnimationFrame(func) };
  Module["setCanvasSize"] = function Module_setCanvasSize(width, height, noUpdates) { Browser.setCanvasSize(width, height, noUpdates) };
  Module["pauseMainLoop"] = function Module_pauseMainLoop() { Browser.mainLoop.pause() };
  Module["resumeMainLoop"] = function Module_resumeMainLoop() { Browser.mainLoop.resume() };
  Module["getUserMedia"] = function Module_getUserMedia() { Browser.getUserMedia() }
STACK_BASE = STACKTOP = Runtime.alignMemory(STATICTOP);

staticSealed = true; // seal the static portion of memory

STACK_MAX = STACK_BASE + 5242880;

DYNAMIC_BASE = DYNAMICTOP = Runtime.alignMemory(STACK_MAX);

assert(DYNAMIC_BASE < TOTAL_MEMORY, "TOTAL_MEMORY not big enough for stack");

 var ctlz_i8 = allocate([8,7,6,6,5,5,5,5,4,4,4,4,4,4,4,4,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_DYNAMIC);
 var cttz_i8 = allocate([8,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,7,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0], "i8", ALLOC_DYNAMIC);

var Math_min = Math.min;
function invoke_iiiiiiii(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    return Module["dynCall_iiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vd(index,a1) {
  try {
    Module["dynCall_vd"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiii(index,a1,a2,a3,a4,a5) {
  try {
    Module["dynCall_viiiii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vi(index,a1) {
  try {
    Module["dynCall_vi"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vii(index,a1,a2) {
  try {
    Module["dynCall_vii"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10) {
  try {
    return Module["dynCall_iiiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_ii(index,a1) {
  try {
    return Module["dynCall_ii"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiii(index,a1,a2,a3,a4,a5) {
  try {
    return Module["dynCall_iiiiii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiii(index,a1,a2,a3) {
  try {
    return Module["dynCall_iiii"](index,a1,a2,a3);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiid(index,a1,a2,a3,a4,a5,a6) {
  try {
    Module["dynCall_viiiiid"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8) {
  try {
    Module["dynCall_viiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiii(index,a1,a2,a3,a4,a5,a6) {
  try {
    Module["dynCall_viiiiii"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viidii(index,a1,a2,a3,a4,a5) {
  try {
    Module["dynCall_viidii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iid(index,a1,a2) {
  try {
    return Module["dynCall_iid"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiii(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    Module["dynCall_viiiiiii"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiid(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    Module["dynCall_viiiiiid"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9) {
  try {
    Module["dynCall_viiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iii(index,a1,a2) {
  try {
    return Module["dynCall_iii"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiidi(index,a1,a2,a3,a4,a5,a6) {
  try {
    return Module["dynCall_iiiiidi"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_i(index) {
  try {
    return Module["dynCall_i"](index);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiii(index,a1,a2,a3,a4) {
  try {
    return Module["dynCall_iiiii"](index,a1,a2,a3,a4);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viii(index,a1,a2,a3) {
  try {
    Module["dynCall_viii"](index,a1,a2,a3);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_v(index) {
  try {
    Module["dynCall_v"](index);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8) {
  try {
    return Module["dynCall_iiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiii(index,a1,a2,a3,a4) {
  try {
    Module["dynCall_viiii"](index,a1,a2,a3,a4);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function asmPrintInt(x, y) {
  Module.print('int ' + x + ',' + y);// + ' ' + new Error().stack);
}
function asmPrintFloat(x, y) {
  Module.print('float ' + x + ',' + y);// + ' ' + new Error().stack);
}
// EMSCRIPTEN_START_ASM
var asm=(function(global,env,buffer){"use asm";var a=new global.Int8Array(buffer);var b=new global.Int16Array(buffer);var c=new global.Int32Array(buffer);var d=new global.Uint8Array(buffer);var e=new global.Uint16Array(buffer);var f=new global.Uint32Array(buffer);var g=new global.Float32Array(buffer);var h=new global.Float64Array(buffer);var i=env.STACKTOP|0;var j=env.STACK_MAX|0;var k=env.tempDoublePtr|0;var l=env.ABORT|0;var m=env.cttz_i8|0;var n=env.ctlz_i8|0;var o=env.___rand_seed|0;var p=env._stdin|0;var q=env.__ZTVN10__cxxabiv117__class_type_infoE|0;var r=env._stdout|0;var s=env.___dso_handle|0;var t=env._stderr|0;var u=env.__ZTVN10__cxxabiv120__si_class_type_infoE|0;var v=+env.NaN;var w=+env.Infinity;var x=0;var y=0;var z=0;var A=0;var B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0.0;var K=0;var L=0;var M=0;var N=0;var O=0;var P=0;var Q=0;var R=0;var S=0;var T=0;var U=global.Math.floor;var V=global.Math.abs;var W=global.Math.sqrt;var X=global.Math.pow;var Y=global.Math.cos;var Z=global.Math.sin;var _=global.Math.tan;var $=global.Math.acos;var aa=global.Math.asin;var ba=global.Math.atan;var ca=global.Math.atan2;var da=global.Math.exp;var ea=global.Math.log;var fa=global.Math.ceil;var ga=global.Math.imul;var ha=env.abort;var ia=env.assert;var ja=env.asmPrintInt;var ka=env.asmPrintFloat;var la=env.min;var ma=env.invoke_iiiiiiii;var na=env.invoke_vd;var oa=env.invoke_viiiii;var pa=env.invoke_vi;var qa=env.invoke_vii;var ra=env.invoke_iiiiiiiiiii;var sa=env.invoke_ii;var ta=env.invoke_iiiiii;var ua=env.invoke_iiii;var va=env.invoke_viiiiid;var wa=env.invoke_viiiiiiii;var xa=env.invoke_viiiiii;var ya=env.invoke_viidii;var za=env.invoke_iid;var Aa=env.invoke_viiiiiii;var Ba=env.invoke_viiiiiid;var Ca=env.invoke_viiiiiiiii;var Da=env.invoke_iii;var Ea=env.invoke_iiiiidi;var Fa=env.invoke_i;var Ga=env.invoke_iiiii;var Ha=env.invoke_viii;var Ia=env.invoke_v;var Ja=env.invoke_iiiiiiiii;var Ka=env.invoke_viiii;var La=env._llvm_lifetime_end;var Ma=env._lseek;var Na=env._sysconf;var Oa=env.__scanString;var Pa=env._fclose;var Qa=env._pthread_mutex_lock;var Ra=env.___cxa_end_catch;var Sa=env._strtoull;var Ta=env._fflush;var Ua=env._lis_solver_create;var Va=env._strtol;var Wa=env._fputc;var Xa=env._strtok;var Ya=env._fwrite;var Za=env._send;var _a=env._fputs;var $a=env._emscripten_get_now;var ab=env._tmpnam;var bb=env._isspace;var cb=env._localtime;var db=env._read;var eb=env._GC_init;var fb=env._ceil;var gb=env.___ctype_b_loc;var hb=env._GC_malloc_atomic;var ib=env._isxdigit_l;var jb=env._strstr;var kb=env._fileno;var lb=env._perror;var mb=env._fsync;var nb=env.___cxa_guard_abort;var ob=env._newlocale;var pb=env._signal;var qb=env.___gxx_personality_v0;var rb=env._pthread_cond_wait;var sb=env.___cxa_rethrow;var tb=env._freopen;var ub=env.___resumeException;var vb=env._sscanf;var wb=env._round;var xb=env._llvm_va_end;var yb=env._clock_gettime;var zb=env._tmpfile;var Ab=env._vsscanf;var Bb=env._snprintf;var Cb=env._fgetc;var Db=env._pclose;var Eb=env.__getFloat;var Fb=env._atexit;var Gb=env.___cxa_free_exception;var Hb=env._close;var Ib=env._isdigit_l;var Jb=env._vasprintf;var Kb=env.___setErrNo;var Lb=env._isxdigit;var Mb=env._access;var Nb=env._ftell;var Ob=env._exit;var Pb=env._sprintf;var Qb=env._pthread_setspecific;var Rb=env._asprintf;var Sb=env._GC_strdup;var Tb=env._strrchr;var Ub=env._freelocale;var Vb=env._catgets;var Wb=env._fmod;var Xb=env.__isLeapYear;var Yb=env._fmax;var Zb=env.___cxa_is_number_type;var _b=env._GC_malloc;var $b=env.___cxa_does_inherit;var ac=env.___cxa_guard_acquire;var bc=env._lis_vector_destroy;var cc=env._localtime_r;var dc=env.___cxa_begin_catch;var ec=env._emscripten_memcpy_big;var fc=env.__ZNSt9exceptionD2Ev;var gc=env._recv;var hc=env.__parseInt64;var ic=env.__ZSt18uncaught_exceptionv;var jc=env._cos;var kc=env._lis_matrix_set_value;var lc=env._putchar;var mc=env.___cxa_call_unexpected;var nc=env._popen;var oc=env._isblank;var pc=env._copysign;var qc=env._bsearch;var rc=env._fmin;var sc=env._acos;var tc=env._strftime;var uc=env._tzset;var vc=env.___cxa_throw;var wc=env._lis_vector_create;var xc=env._printf;var yc=env._pread;var zc=env._fopen;var Ac=env._open;var Bc=env._strtoull_l;var Cc=env.__arraySum;var Dc=env._log;var Ec=env._puts;var Fc=env._xerbla_;var Gc=env._pthread_key_create;var Hc=env._strtoll_l;var Ic=env._qsort;var Jc=env._system;var Kc=env.___cxa_find_matching_catch;var Lc=env._strdup;var Mc=env._log10;var Nc=env._srand;var Oc=env._isatty;var Pc=env.__formatString;var Qc=env._pthread_cond_broadcast;var Rc=env.__ZSt9terminatev;var Sc=env._atoi;var Tc=env._vfprintf;var Uc=env._pthread_mutex_unlock;var Vc=env._llvm_pow_f64;var Wc=env._sbrk;var Xc=env._fscanf;var Yc=env._lis_solver_destroy;var Zc=env.___errno_location;var _c=env._strerror;var $c=env._fstat;var ad=env._catclose;var bd=env._llvm_lifetime_start;var cd=env.__parseInt;var dd=env.___cxa_guard_release;var ed=env._ungetc;var fd=env._ftruncate;var gd=env._uselocale;var hd=env._vsnprintf;var id=env._htonl;var jd=env.___assert_fail;var kd=env._fread;var ld=env._strtok_r;var md=env._strftime_l;var nd=env._abort;var od=env._fprintf;var pd=env._isdigit;var qd=env._strtoll;var rd=env.__addDays;var sd=env._pthread_getspecific;var td=env._fabs;var ud=env._GC_collect_a_little;var vd=env.__reallyNegative;var wd=env._fseek;var xd=env._sqrt;var yd=env._write;var zd=env._mkport;var Ad=env._rewind;var Bd=env.___cxa_allocate_exception;var Cd=env._sin;var Dd=env._stat;var Ed=env._longjmp;var Fd=env._truncate;var Gd=env._catopen;var Hd=env.___ctype_toupper_loc;var Id=env.___ctype_tolower_loc;var Jd=env._lis_vector_set_size;var Kd=env._unlink;var Ld=env.__exit;var Md=env._pwrite;var Nd=env._strerror_r;var Od=env._floor;var Pd=env._lis_solver_set_option;var Qd=env._exp;var Rd=env._time;var Sd=0.0;
// EMSCRIPTEN_START_FUNCS
function dB(b){b=b|0;var d=0,e=0,f=0,g=0;d=c[b+136>>2]|0;if((d|0)>0){e=c[b+24>>2]|0;f=c[b+416>>2]|0;g=0;do{h[f+(g<<3)>>3]=+h[e+(g*112|0)+96>>3];g=g+1|0;}while((g|0)<(d|0))}d=b+140|0;if((c[d>>2]|0)>0){g=c[b+28>>2]|0;e=c[b+420>>2]|0;f=0;do{c[e+(f<<2)>>2]=c[g+(f*60|0)+52>>2];f=f+1|0;}while((f|0)<(c[d>>2]|0))}d=b+144|0;if((c[d>>2]|0)>0){f=b+32|0;g=b+424|0;e=0;do{a[(c[g>>2]|0)+e|0]=a[(c[f>>2]|0)+(e*48|0)+42|0]|0;e=e+1|0;}while((e|0)<(c[d>>2]|0))}d=c[b+148>>2]|0;if((d|0)<=0){return}e=b+36|0;f=b+428|0;b=0;do{c[(c[f>>2]|0)+(b<<2)>>2]=c[(c[e>>2]|0)+(b*52|0)+44>>2];b=b+1|0;}while((b|0)<(d|0));return}function eB(b){b=b|0;var d=0,e=0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;e=c[b+116>>2]|0;if((e|0)>0){f=c[b+8>>2]|0;g=c[d+8>>2]|0;i=0;do{h[g+(i<<3)>>3]=+h[f+(i*112|0)+96>>3];i=i+1|0;}while((i|0)<(e|0))}e=b+124|0;if((c[e>>2]|0)>0){i=c[b+12>>2]|0;f=c[d+12>>2]|0;g=0;do{c[f+(g<<2)>>2]=c[i+(g*60|0)+52>>2];g=g+1|0;}while((g|0)<(c[e>>2]|0))}e=b+128|0;if((c[e>>2]|0)>0){g=b+16|0;i=d+16|0;f=0;do{a[(c[i>>2]|0)+f|0]=a[(c[g>>2]|0)+(f*48|0)+42|0]|0;f=f+1|0;}while((f|0)<(c[e>>2]|0))}e=c[b+132>>2]|0;if((e|0)<=0){return}f=b+20|0;b=d+20|0;d=0;do{c[(c[b>>2]|0)+(d<<2)>>2]=c[(c[f>>2]|0)+(d*52|0)+44>>2];d=d+1|0;}while((d|0)<(e|0));return}function fB(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;b=a|0;if((dz(c[b>>2]|0)|0)<=1){return}d=a+4|0;e=a+116|0;f=a+124|0;g=a+128|0;i=a+132|0;a=1;do{j=a-1|0;k=c[d>>2]|0;l=c[k+(j<<2)>>2]|0;m=c[k+(a<<2)>>2]|0;h[m>>3]=+h[l>>3];d1(c[m+8>>2]|0,c[l+8>>2]|0,c[e>>2]<<3)|0;l=c[d>>2]|0;d1(c[(c[l+(a<<2)>>2]|0)+12>>2]|0,c[(c[l+(j<<2)>>2]|0)+12>>2]|0,c[f>>2]<<2)|0;l=c[d>>2]|0;d1(c[(c[l+(a<<2)>>2]|0)+16>>2]|0,c[(c[l+(j<<2)>>2]|0)+16>>2]|0,c[g>>2]|0)|0;l=c[d>>2]|0;d1(c[(c[l+(a<<2)>>2]|0)+20>>2]|0,c[(c[l+(j<<2)>>2]|0)+20>>2]|0,c[i>>2]<<2)|0;a=a+1|0;}while((a|0)<(dz(c[b>>2]|0)|0));return}function gB(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0.0,s=0;e=i;if((c[1706120+(d<<2)>>2]|0)==0){i=e;return}Fx(d,1,1660208,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+136|0;if((c[g>>2]|0)>0){Fx(d,1,1659312,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){j=b+24|0;k=b+416|0;l=0;while(1){m=l+1|0;n=c[j>>2]|0;o=c[n+(l*112|0)+4>>2]|0;p=+h[n+(l*112|0)+96>>3];q=(a[n+(l*112|0)+72|0]|0)!=0?1665424:1662720;r=+h[(c[k>>2]|0)+(l<<3)>>3];Fx(d,0,1658472,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=o,h[f+16>>3]=p,c[f+24>>2]=q,h[f+32>>3]=r,f)|0);i=f;if((m|0)<(c[g>>2]|0)){l=m}else{break}}}Wd[c[3794]&511](d)}l=b+140|0;if((c[l>>2]|0)>0){Fx(d,1,1657624,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[l>>2]|0)>0){g=b+28|0;k=b+420|0;j=0;while(1){m=j+1|0;q=c[g>>2]|0;o=c[q+(j*60|0)+4>>2]|0;n=c[q+(j*60|0)+52>>2]|0;s=(a[q+(j*60|0)+48|0]|0)!=0?1665424:1662720;q=c[(c[k>>2]|0)+(j<<2)>>2]|0;Fx(d,0,1656168,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=o,c[f+16>>2]=n,c[f+24>>2]=s,c[f+32>>2]=q,f)|0);i=f;if((m|0)<(c[l>>2]|0)){j=m}else{break}}}Wd[c[3794]&511](d)}j=b+144|0;if((c[j>>2]|0)>0){Fx(d,1,1654752,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[j>>2]|0)>0){l=b+32|0;k=b+424|0;g=0;while(1){m=g+1|0;q=c[l>>2]|0;s=c[q+(g*48|0)+4>>2]|0;n=(a[q+(g*48|0)+42|0]|0)!=0?1665424:1662720;o=(a[q+(g*48|0)+40|0]|0)!=0?1665424:1662720;q=(a[(c[k>>2]|0)+g|0]|0)!=0?1665424:1662720;Fx(d,0,1653576,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=s,c[f+16>>2]=n,c[f+24>>2]=o,c[f+32>>2]=q,f)|0);i=f;if((m|0)<(c[j>>2]|0)){g=m}else{break}}}Wd[c[3794]&511](d)}g=b+148|0;if((c[g>>2]|0)>0){Fx(d,1,1652592,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){j=b+36|0;k=b+428|0;b=0;while(1){l=b+1|0;m=c[j>>2]|0;q=c[m+(b*52|0)+4>>2]|0;o=c[m+(b*52|0)+44>>2]|0;m=c[(c[k>>2]|0)+(b<<2)>>2]|0;Fx(d,0,1651424,(f=i,i=i+32|0,c[f>>2]=l,c[f+8>>2]=q,c[f+16>>2]=o,c[f+24>>2]=m,f)|0);i=f;if((l|0)<(c[g>>2]|0)){b=l}else{break}}}Wd[c[3794]&511](d)}Wd[c[3794]&511](d);i=e;return}function hB(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;b=a|0;if((dz(c[b>>2]|0)|0)<=1){return}d=a+4|0;e=a+116|0;f=a+124|0;g=a+128|0;i=a+132|0;a=1;do{j=c[d>>2]|0;k=c[j+(a<<2)>>2]|0;l=a-1|0;m=c[j+(l<<2)>>2]|0;h[m>>3]=+h[k>>3];d1(c[m+8>>2]|0,c[k+8>>2]|0,c[e>>2]<<3)|0;k=c[d>>2]|0;d1(c[(c[k+(l<<2)>>2]|0)+12>>2]|0,c[(c[k+(a<<2)>>2]|0)+12>>2]|0,c[f>>2]<<2)|0;k=c[d>>2]|0;d1(c[(c[k+(l<<2)>>2]|0)+16>>2]|0,c[(c[k+(a<<2)>>2]|0)+16>>2]|0,c[g>>2]|0)|0;k=c[d>>2]|0;d1(c[(c[k+(l<<2)>>2]|0)+20>>2]|0,c[(c[k+(a<<2)>>2]|0)+20>>2]|0,c[i>>2]<<2)|0;a=a+1|0;}while((a|0)<(dz(c[b>>2]|0)|0));return}function iB(b){b=b|0;var d=0,e=0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;e=c[b+116>>2]|0;if((e|0)>0){f=c[d+8>>2]|0;g=c[b+8>>2]|0;i=0;do{h[g+(i*112|0)+96>>3]=+h[f+(i<<3)>>3];i=i+1|0;}while((i|0)<(e|0))}e=b+124|0;if((c[e>>2]|0)>0){i=c[d+12>>2]|0;f=c[b+12>>2]|0;g=0;do{c[f+(g*60|0)+52>>2]=c[i+(g<<2)>>2];g=g+1|0;}while((g|0)<(c[e>>2]|0))}e=b+128|0;if((c[e>>2]|0)>0){g=d+16|0;i=b+16|0;f=0;do{a[(c[i>>2]|0)+(f*48|0)+42|0]=a[(c[g>>2]|0)+f|0]|0;f=f+1|0;}while((f|0)<(c[e>>2]|0))}e=c[b+132>>2]|0;if((e|0)<=0){return}f=d+20|0;d=b+20|0;b=0;do{c[(c[d>>2]|0)+(b*52|0)+44>>2]=c[(c[f>>2]|0)+(b<<2)>>2];b=b+1|0;}while((b|0)<(e|0));return}function jB(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;h[a+376>>3]=+h[b>>3];d1(c[a+384>>2]|0,c[b+8>>2]|0,c[a+116>>2]<<3)|0;d1(c[a+388>>2]|0,c[b+12>>2]|0,c[a+124>>2]<<2)|0;d1(c[a+392>>2]|0,c[b+16>>2]|0,c[a+128>>2]|0)|0;d1(c[a+396>>2]|0,c[b+20>>2]|0,c[a+132>>2]<<2)|0;return}function kB(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=i;i=i+32|0;e=d|0;f=b|0;c[f>>2]=0;g=_y(3,32)|0;c[f>>2]=g;if((g|0)==0){Jx(c[b+536>>2]|0,1636552,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}g=e|0;k=b+116|0;l=e+8|0;m=b+536|0;n=b+124|0;o=e+12|0;p=b+128|0;q=e+16|0;r=b+132|0;s=e+20|0;t=e;e=0;do{h[g>>3]=0.0;u=D0(c[k>>2]|0,8)|0;c[l>>2]=u;Ix(c[m>>2]|0,(u|0)!=0|0,1634816,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=D0(c[n>>2]|0,4)|0;c[o>>2]=u;Ix(c[m>>2]|0,(u|0)!=0|0,1634816,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=D0(c[p>>2]|0,1)|0;c[q>>2]=u;Ix(c[m>>2]|0,(u|0)!=0|0,1634816,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=D0(c[r>>2]|0,4)|0;c[s>>2]=u;Ix(c[m>>2]|0,(u|0)!=0|0,1634816,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;cz(c[f>>2]|0,t);e=e+1|0;}while(e>>>0<3>>>0);e=D0(3,4)|0;c[b+4>>2]=e;ez(c[f>>2]|0,0,e);e=c[k>>2]|0;c[b+8>>2]=D0(e,112)|0;k=c[n>>2]|0;c[b+12>>2]=D0(k,60)|0;n=c[p>>2]|0;c[b+16>>2]=D0(n,48)|0;p=c[r>>2]|0;c[b+20>>2]=D0(p,52)|0;r=c[b+136>>2]|0;c[b+24>>2]=D0(r,112)|0;f=c[b+140>>2]|0;c[b+28>>2]=D0(f,60)|0;t=c[b+144>>2]|0;c[b+32>>2]=D0(t,48)|0;s=c[b+148>>2]|0;c[b+36>>2]=D0(s,52)|0;c[b+40>>2]=D0(c[b+216>>2]|0,52)|0;c[b+44>>2]=D0(c[b+220>>2]|0,52)|0;c[b+48>>2]=D0(c[b+224>>2]|0,52)|0;c[b+52>>2]=D0(c[b+228>>2]|0,52)|0;q=c[b+104>>2]|0;c[b+108>>2]=D0(q,24)|0;h[b+328>>3]=+h[b+240>>3];c[b+336>>2]=D0(q,8)|0;c[b+340>>2]=D0(q,1)|0;c[b+300>>2]=1;c[b+292>>2]=1;c[b+296>>2]=1;q=c[b+160>>2]|0;c[b+344>>2]=D0(q,8)|0;c[b+348>>2]=D0(q,8)|0;o=c[b+164>>2]|0;c[b+352>>2]=D0(o,1)|0;c[b+356>>2]=D0(o,1)|0;c[b+360>>2]=D0(o,1)|0;o=B0(q<<2)|0;c[b+368>>2]=o;c[b+364>>2]=B0(c[b+168>>2]<<3)|0;if((q|0)!=0){l=0;do{c[o+(l<<2)>>2]=l;l=l+1|0;}while(l>>>0<q>>>0)}c[b+384>>2]=D0(e,8)|0;c[b+388>>2]=D0(k,4)|0;c[b+392>>2]=D0(n,1)|0;c[b+396>>2]=D0(p,4)|0;c[b+400>>2]=D0(e,8)|0;c[b+404>>2]=D0(k,4)|0;c[b+408>>2]=D0(n,1)|0;c[b+412>>2]=D0(p,4)|0;c[b+416>>2]=D0(r,8)|0;c[b+420>>2]=D0(f,4)|0;c[b+424>>2]=D0(t,1)|0;c[b+428>>2]=D0(s,4)|0;c[b+432>>2]=D0(c[b+152>>2]|0,8)|0;c[b+436>>2]=D0(c[b+156>>2]|0,8)|0;s=B0((c[b+192>>2]|0)*40|0)|0;c[b+484>>2]=s;t=b+540|0;Wd[c[(c[t>>2]|0)+20>>2]&511](s);s=B0((c[b+196>>2]|0)*80|0)|0;c[b+476>>2]=s;Wd[c[(c[t>>2]|0)+16>>2]&511](s);s=B0((c[b+200>>2]|0)*80|0)|0;c[b+468>>2]=s;Wd[c[(c[t>>2]|0)+12>>2]&511](s);s=B0((c[b+204>>2]|0)*48|0)|0;c[b+488>>2]=s;Xd[c[(c[t>>2]|0)+24>>2]&127](s,b);c[b+464>>2]=B0((c[b+232>>2]|0)*44|0)|0;c[b+76>>2]=0;c[b+80>>2]=0;s=D0(c[b+188>>2]|0,4)|0;c[b+320>>2]=s;Ix(c[m>>2]|0,(s|0)!=0|0,1633752,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;c[b+512>>2]=100;c[b+516>>2]=D0(100,4)|0;c[b+520>>2]=D0(100,8)|0;c[b+524>>2]=0;c[b+528>>2]=0;c[b+532>>2]=0;h[b+304>>3]=1.0;a[b+313|0]=0;a[b+312|0]=0;a[b+314|0]=0;s=b+172|0;t=b+316|0;C=0;a[t]=C;C=C>>8;a[t+1|0]=C;C=C>>8;a[t+2|0]=C;C=C>>8;a[t+3|0]=C;t=B0(c[s>>2]<<2)|0;f=b+504|0;c[f>>2]=t;Ix(c[m>>2]|0,(t|0)!=0|0,1634816,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;if((c[s>>2]|0)==0){i=d;return}else{v=0}do{j=_y(1024,16)|0;c[(c[f>>2]|0)+(v<<2)>>2]=j;v=v+1|0;}while(v>>>0<(c[s>>2]|0)>>>0);i=d;return}function lB(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;b=a+4|0;d=0;e=c[b>>2]|0;do{f=c[e+(d<<2)>>2]|0;C0(c[f+8>>2]|0);C0(c[f+12>>2]|0);C0(c[f+16>>2]|0);C0(c[f+20>>2]|0);d=d+1|0;e=c[b>>2]|0}while(d>>>0<3>>>0);C0(e);$y(c[a>>2]|0);e=a+116|0;d=a+8|0;b=c[d>>2]|0;if((c[e>>2]|0)==0){g=b}else{f=0;h=b;while(1){Dz(h+(f*112|0)|0);b=f+1|0;i=c[d>>2]|0;if(b>>>0<(c[e>>2]|0)>>>0){f=b;h=i}else{g=i;break}}}C0(g);g=a+124|0;h=a+12|0;f=c[h>>2]|0;if((c[g>>2]|0)==0){j=f}else{e=0;d=f;while(1){Dz(d+(e*60|0)|0);f=e+1|0;i=c[h>>2]|0;if(f>>>0<(c[g>>2]|0)>>>0){e=f;d=i}else{j=i;break}}}C0(j);j=a+128|0;d=a+16|0;e=c[d>>2]|0;if((c[j>>2]|0)==0){k=e}else{g=0;h=e;while(1){Dz(h+(g*48|0)|0);e=g+1|0;i=c[d>>2]|0;if(e>>>0<(c[j>>2]|0)>>>0){g=e;h=i}else{k=i;break}}}C0(k);k=a+132|0;h=a+20|0;g=c[h>>2]|0;if((c[k>>2]|0)==0){l=g}else{j=0;d=g;while(1){Dz(d+(j*52|0)|0);g=j+1|0;i=c[h>>2]|0;if(g>>>0<(c[k>>2]|0)>>>0){j=g;d=i}else{l=i;break}}}C0(l);l=a+136|0;d=a+24|0;j=c[d>>2]|0;if((c[l>>2]|0)==0){m=j}else{k=0;h=j;while(1){Dz(h+(k*112|0)|0);j=k+1|0;i=c[d>>2]|0;if(j>>>0<(c[l>>2]|0)>>>0){k=j;h=i}else{m=i;break}}}C0(m);m=a+140|0;h=a+28|0;k=c[h>>2]|0;if((c[m>>2]|0)==0){n=k}else{l=0;d=k;while(1){Dz(d+(l*60|0)|0);k=l+1|0;i=c[h>>2]|0;if(k>>>0<(c[m>>2]|0)>>>0){l=k;d=i}else{n=i;break}}}C0(n);n=a+144|0;d=a+32|0;l=c[d>>2]|0;if((c[n>>2]|0)==0){o=l}else{m=0;h=l;while(1){Dz(h+(m*48|0)|0);l=m+1|0;i=c[d>>2]|0;if(l>>>0<(c[n>>2]|0)>>>0){m=l;h=i}else{o=i;break}}}C0(o);o=a+148|0;h=a+36|0;m=c[h>>2]|0;if((c[o>>2]|0)==0){p=m}else{n=0;d=m;while(1){Dz(d+(n*52|0)|0);m=n+1|0;i=c[h>>2]|0;if(m>>>0<(c[o>>2]|0)>>>0){n=m;d=i}else{p=i;break}}}C0(p);p=a+216|0;d=a+40|0;n=c[d>>2]|0;if((c[p>>2]|0)==0){q=n}else{o=0;h=n;while(1){Dz(h+(o*52|0)+12|0);n=o+1|0;i=c[d>>2]|0;if(n>>>0<(c[p>>2]|0)>>>0){o=n;h=i}else{q=i;break}}}C0(q);q=a+220|0;h=a+44|0;o=c[h>>2]|0;if((c[q>>2]|0)==0){r=o}else{p=0;d=o;while(1){Dz(d+(p*52|0)+12|0);o=p+1|0;i=c[h>>2]|0;if(o>>>0<(c[q>>2]|0)>>>0){p=o;d=i}else{r=i;break}}}C0(r);r=a+224|0;d=a+48|0;p=c[d>>2]|0;if((c[r>>2]|0)==0){s=p}else{q=0;h=p;while(1){Dz(h+(q*52|0)+12|0);p=q+1|0;i=c[d>>2]|0;if(p>>>0<(c[r>>2]|0)>>>0){q=p;h=i}else{s=i;break}}}C0(s);s=a+228|0;h=a+52|0;q=c[h>>2]|0;if((c[s>>2]|0)==0){t=q}else{r=0;d=q;while(1){Dz(d+(r*52|0)+12|0);q=r+1|0;i=c[h>>2]|0;if(q>>>0<(c[s>>2]|0)>>>0){r=q;d=i}else{t=i;break}}}C0(t);C0(c[a+108>>2]|0);C0(c[a+336>>2]|0);C0(c[a+340>>2]|0);C0(c[a+344>>2]|0);C0(c[a+348>>2]|0);C0(c[a+352>>2]|0);C0(c[a+356>>2]|0);C0(c[a+360>>2]|0);C0(c[a+368>>2]|0);C0(c[a+384>>2]|0);C0(c[a+388>>2]|0);C0(c[a+392>>2]|0);C0(c[a+396>>2]|0);C0(c[a+400>>2]|0);C0(c[a+404>>2]|0);C0(c[a+408>>2]|0);C0(c[a+412>>2]|0);C0(c[a+416>>2]|0);C0(c[a+420>>2]|0);C0(c[a+424>>2]|0);C0(c[a+428>>2]|0);C0(c[a+488>>2]|0);C0(c[a+484>>2]|0);C0(c[a+476>>2]|0);C0(c[a+468>>2]|0);C0(c[a+464>>2]|0);C0(c[a+432>>2]|0);C0(c[a+436>>2]|0);C0(c[a+320>>2]|0);C0(c[a+516>>2]|0);C0(c[a+520>>2]|0);VP(a+56|0);t=a+172|0;d=a+504|0;a=c[d>>2]|0;if((c[t>>2]|0)==0){u=a;v=u;C0(v);return}else{w=0;x=a}while(1){$y(c[x+(w<<2)>>2]|0);a=w+1|0;r=c[d>>2]|0;if(a>>>0<(c[t>>2]|0)>>>0){w=a;x=r}else{u=r;break}}v=u;C0(v);return}function mB(a){a=+a;var b=0,c=0.0,d=0;b=i;c=a*1.0e-4;h[205]=c;Fx(8,0,1632944,(d=i,i=i+8|0,h[d>>3]=c,d)|0);i=d;i=b;return}function nB(a,b,c){a=+a;b=+b;c=c|0;var d=0,e=0.0,f=0.0,g=0.0;d=c<<24>>24!=0;e=+h[205];f=e+e*+V(+(d?b:a));if(d){g=f}else{g=-0.0-f}return a-b<=g|0}function oB(a,b,c){a=+a;b=+b;c=c|0;var d=0,e=0.0,f=0.0,g=0.0;d=c<<24>>24!=0;e=+h[205];f=e+e*+V(+(d?a:b));if(d){g=-0.0-f}else{g=f}return a-b>=g|0}function pB(a,b){a=+a;b=+b;return a<b|0}function qB(a,b){a=+a;b=+b;return a<=b|0}function rB(a,b){a=+a;b=+b;return a>b|0}function sB(a,b){a=+a;b=+b;return a>=b|0}function tB(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0;b=i;d=c[a+484>>2]|0;e=a+192|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+296|0;g=0;while(1){h=c[d+(g*40|0)>>2]|0;j=h<<2;c[d+(g*40|0)+20>>2]=B0(j)|0;c[d+(g*40|0)+24>>2]=B0(j)|0;if((c[f>>2]|0)!=1){k=5;break}wB(h,d+(g*40|0)+28|0)|0;h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{k=6;break}}if((k|0)==5){Jx(c[a+536>>2]|0,1681104,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((k|0)==6){i=b;return 0}return 0}function uB(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=c[a+484>>2]|0;e=a+192|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+296|0;g=0;while(1){C0(c[d+(g*40|0)+20>>2]|0);C0(c[d+(g*40|0)+24>>2]|0);if((c[f>>2]|0)!=1){h=5;break}j=d+(g*40|0)+28|0;xB(j)|0;C0(c[j>>2]|0);j=g+1|0;if((j|0)<(c[e>>2]|0)){g=j}else{h=6;break}}if((h|0)==5){Jx(c[a+536>>2]|0,1681104,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((h|0)==6){i=b;return 0}return 0}function vB(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0;e=i;i=i+72|0;f=e|0;g=e+24|0;j=e+48|0;k=c[b+484>>2]|0;l=b+192|0;m=c[l>>2]|0;if((m|0)<=0){n=0;i=e;return n|0}o=(d|0)==0;d=b+56|0;p=k+4|0;q=f+8|0;r=b+4|0;b=g+12|0;s=j+16|0;t=0;u=0;v=m;while(1){m=(a[k+(t*40|0)+36|0]|0)!=0;do{if(m|o){w=m?u:1;x=v}else{if((c[426547]|c[426616]|0)==0){w=1;x=v;break}TP(f,d,c[p>>2]|0);y=+h[c[c[r>>2]>>2]>>3];Hx(17,1,1678600,(z=i,i=i+16|0,c[z>>2]=c[q>>2],h[z+8>>3]=y,z)|0);i=z;TP(g,d,c[p>>2]|0);if((c[b>>2]|0)>0){A=0;while(1){B=A+1|0;TP(j,d,c[p>>2]|0);C=c[(c[(c[s>>2]|0)+(A<<2)>>2]|0)+4>>2]|0;Hx(17,0,1657720,(z=i,i=i+16|0,c[z>>2]=B,c[z+8>>2]=C,z)|0);i=z;TP(g,d,c[p>>2]|0);if((B|0)<(c[b>>2]|0)){A=B}else{break}}}Wd[c[3794]&511](17);w=1;x=c[l>>2]|0}}while(0);m=t+1|0;if((m|0)<(x|0)){t=m;u=w;v=x}else{n=w;break}}i=e;return n|0}function wB(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;e=B0(20)|0;c[b>>2]=e;Ix(0,(e|0)!=0|0,1680992,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=B0(a)|0;c[e+4>>2]=B0(a)|0;c[e+8>>2]=B0(a)|0;c[e+16>>2]=B0(a)|0;Ix(0,(c[b>>2]|0)!=0|0,1678552,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function xB(a){a=a|0;var b=0;b=c[a>>2]|0;C0(c[b>>2]|0);C0(c[b+4>>2]|0);C0(c[b+8>>2]|0);C0(c[b+16>>2]|0);return 0}function yB(a,b){a=a|0;b=b|0;Jx(c[a+536>>2]|0,1680680,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function zB(a){a=a|0;Jx(0,1680680,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function AB(a,b){a=a|0;b=b|0;Jx(c[a+536>>2]|0,1680680,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function BB(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c[a+476>>2]|0;e=a+196|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+292|0;g=0;while(1){h=c[d+(g<<6)+16>>2]|0;j=c[d+(g<<6)+12>>2]|0;k=h<<3;c[d+(g<<6)+28>>2]=B0(k)|0;c[d+(g<<6)+36>>2]=B0(k)|0;l=c[f>>2]|0;if((l|0)==1){c[d+(g<<6)+32>>2]=B0(ga(k,h)|0)|0;c[d+(g<<6)+8>>2]=2;GB(h,d+(g<<6)+24|0)|0}else if((l|0)==2){c[d+(g<<6)+8>>2]=4;IB(h,h,j,d+(g<<6)+24|0)|0}else{m=6;break}j=g+1|0;if((j|0)<(c[e>>2]|0)){g=j}else{m=8;break}}if((m|0)==6){Jx(c[a+536>>2]|0,1680648,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((m|0)==8){i=b;return 0}return 0}function CB(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=e|0;f=f|0;e=(ga(c[f+16>>2]|0,b)|0)+a|0;h[(c[f+32>>2]|0)+(e<<3)>>3]=d;return}function DB(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=e|0;f=f|0;kc(0,a|0,b|0,+d,c[c[f+24>>2]>>2]|0)|0;return}function EB(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=c[a+476>>2]|0;e=a+196|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+292|0;g=0;while(1){C0(c[d+(g<<6)+28>>2]|0);C0(c[d+(g<<6)+36>>2]|0);h=c[f>>2]|0;if((h|0)==2){JB(d+(g<<6)+24|0)|0}else if((h|0)==1){HB(d+(g<<6)+24|0)|0;C0(c[d+(g<<6)+32>>2]|0)}else{j=6;break}C0(c[d+(g<<6)+24>>2]|0);h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{j=8;break}}if((j|0)==6){Jx(c[a+536>>2]|0,1680648,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((j|0)==8){i=b;return 0}return 0}function FB(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0;e=i;i=i+72|0;f=e|0;g=e+24|0;j=e+48|0;k=c[b+476>>2]|0;l=b+196|0;m=c[l>>2]|0;if((m|0)<=0){n=0;i=e;return n|0}o=(d|0)==0;d=b+56|0;p=k+20|0;q=f+8|0;r=b+4|0;b=g+12|0;s=j+16|0;t=0;u=0;v=m;while(1){m=(a[k+(t<<6)+56|0]|0)!=0;do{if(m|o){w=m?u:1;x=v}else{if((c[426545]|c[426616]|0)==0){w=1;x=v;break}TP(f,d,c[p>>2]|0);y=+h[c[c[r>>2]>>2]>>3];Hx(15,1,1678520,(z=i,i=i+16|0,c[z>>2]=c[q>>2],h[z+8>>3]=y,z)|0);i=z;TP(g,d,c[p>>2]|0);if((c[b>>2]|0)>0){A=0;while(1){B=A+1|0;TP(j,d,c[p>>2]|0);C=c[(c[(c[s>>2]|0)+(A<<2)>>2]|0)+4>>2]|0;Hx(15,0,1657712,(z=i,i=i+16|0,c[z>>2]=B,c[z+8>>2]=C,z)|0);i=z;TP(g,d,c[p>>2]|0);if((B|0)<(c[b>>2]|0)){A=B}else{break}}}Wd[c[3794]&511](15);w=1;x=c[l>>2]|0}}while(0);m=t+1|0;if((m|0)<(x|0)){t=m;u=w;v=x}else{n=w;break}}i=e;return n|0}function GB(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;e=B0(12)|0;f=B0(a<<2)|0;c[e>>2]=f;Ix(0,(f|0)!=0|0,1680344,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e+4>>2]=1;c[e+8>>2]=0;c[b>>2]=e;i=d;return 0}function HB(a){a=a|0;C0(c[c[a>>2]>>2]|0);return 0}function IB(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=B0(32)|0;Ix(0,(g|0)!=0|0,1680008,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h;c[g+20>>2]=b;b=g+24|0;c[b>>2]=a;c[g+28>>2]=d;d=g+8|0;wc(0,d|0)|0;Jd(c[d>>2]|0,c[b>>2]|0,0)|0;wc(0,g+4|0)|0;Jd(c[d>>2]|0,c[b>>2]|0,0)|0;b=g+12|0;Ua(b|0)|0;Pd(1678504,c[b>>2]|0)|0;c[e>>2]=g;i=f;return 0}function JB(a){a=a|0;var b=0;b=c[a>>2]|0;Yc(c[b+12>>2]|0)|0;bc(c[b+8>>2]|0)|0;bc(c[b+4>>2]|0)|0;return 0}function KB(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;b=i;d=c[a+468>>2]|0;e=a+200|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+536|0;g=a;h=a+300|0;j=0;a:while(1){k=d+(j*80|0)|0;l=c[k>>2]|0;Ix(c[f>>2]|0,(c[d+(j*80|0)+32>>2]|0)!=0|0,25808,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;n=d+(j*80|0)+28|0;do{if(!((c[n>>2]|0)==-1)){Ix(c[f>>2]|0,(c[d+(j*80|0)+20>>2]|0)!=0|0,1682784,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;if((Zd[c[d+(j*80|0)+24>>2]&255](g)|0)==0){break}c[n>>2]=-1}}while(0);n=l<<3;c[d+(j*80|0)+44>>2]=B0(n)|0;c[d+(j*80|0)+52>>2]=B0(n)|0;c[d+(j*80|0)+48>>2]=B0(n)|0;c[d+(j*80|0)+16>>2]=B0(n)|0;c[d+(j*80|0)+8>>2]=B0(n)|0;c[d+(j*80|0)+12>>2]=B0(n)|0;Xd[c[d+(j*80|0)+36>>2]&127](g,k);do{if((c[d+(j*80|0)+56>>2]|0)==1){XB(l,d+(j*80|0)+40|0)|0}else{n=c[h>>2]|0;if((n|0)==2){yB(a,k)|0;break}else if((n|0)==3){XB(l,d+(j*80|0)+40|0)|0;break}else if((n|0)==1){PB(l,d+(j*80|0)+40|0)|0;break}else{o=12;break a}}}while(0);l=j+1|0;if((l|0)<(c[e>>2]|0)){j=l}else{o=14;break}}if((o|0)==12){Jx(c[f>>2]|0,1678424,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;return 0}else if((o|0)==14){i=b;return 0}return 0}function LB(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c[a+468>>2]|0;e=a+200|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+300|0;g=0;a:while(1){h=d+(g*80|0)|0;C0(c[d+(g*80|0)+44>>2]|0);C0(c[d+(g*80|0)+52>>2]|0);C0(c[d+(g*80|0)+48>>2]|0);C0(c[d+(g*80|0)+16>>2]|0);C0(c[d+(g*80|0)+8>>2]|0);C0(c[d+(g*80|0)+12>>2]|0);do{if((c[d+(g*80|0)+56>>2]|0)==1){j=d+(g*80|0)+40|0;YB(j)|0;k=j}else{j=c[f>>2]|0;if((j|0)==2){zB(h)|0;k=d+(g*80|0)+40|0;break}else if((j|0)==1){l=d+(g*80|0)+40|0;QB(l)|0;k=l;break}else if((j|0)==3){j=d+(g*80|0)+40|0;YB(j)|0;k=j;break}else{m=9;break a}}}while(0);C0(c[k>>2]|0);h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{m=11;break}}if((m|0)==9){Jx(c[a+536>>2]|0,1678424,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((m|0)==11){i=b;return 0}return 0}function MB(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;e=i;f=c[b+468>>2]|0;c[b+472>>2]=d;g=b+319|0;a[g]=1;do{if((c[f+(d*80|0)+56>>2]|0)==1){h=(_B(b,d)|0)&255}else{j=c[b+300>>2]|0;if((j|0)==1){k=b+536|0;l=(c[k>>2]|0)+84|0;m=c[l>>2]|0;c[l>>2]=3;l=RB(b,d)|0;c[(c[k>>2]|0)+84>>2]=m;h=l&255;break}else if((j|0)==2){h=(AB(b,d)|0)&255;break}else if((j|0)==3){h=(_B(b,d)|0)&255;break}else{Jx(c[b+536>>2]|0,1678424,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;return 0}}}while(0);a[f+(d*80|0)+72|0]=h;a[g]=0;i=e;return 0}function NB(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0;e=i;i=i+152|0;f=e|0;g=e+8|0;j=e+32|0;k=e+56|0;l=e+80|0;m=e+104|0;n=e+128|0;o=c[b+468>>2]|0;p=c[b+200>>2]|0;q=0;while(1){if((q|0)>=(p|0)){r=0;s=22;break}if((a[o+(q*80|0)+72|0]|0)==0){break}else{q=q+1|0}}if((s|0)==22){i=e;return r|0}p=o+(q*80|0)+4|0;q=c[p>>2]|0;o=f|0;c[o>>2]=1;c[f+4>>2]=q;if((d|0)==0){r=1;i=e;return r|0}d=b+56|0;TP(g,d,q);t=+h[c[c[b+4>>2]>>2]>>3];Gx(17,1,o,1674536,(o=i,i=i+16|0,c[o>>2]=c[g+8>>2],h[o+8>>3]=t,o)|0);i=o;do{if((a[b+312|0]|0)==0){TP(m,d,c[p>>2]|0);g=m+12|0;if((c[g>>2]|0)<=0){break}q=n+16|0;f=0;while(1){u=f+1|0;TP(n,d,c[p>>2]|0);v=c[(c[(c[q>>2]|0)+(f<<2)>>2]|0)+4>>2]|0;Hx(17,0,1662704,(o=i,i=i+16|0,c[o>>2]=u,c[o+8>>2]=v,o)|0);i=o;TP(m,d,c[p>>2]|0);if((u|0)<(c[g>>2]|0)){f=u}else{break}}}else{Hx(17,1,1670840,(o=i,i=i+1|0,i=i+7&-8,c[o>>2]=0,o)|0);i=o;TP(j,d,c[p>>2]|0);f=j+12|0;if((c[f>>2]|0)>0){g=b+116|0;q=l+16|0;u=b+8|0;v=k+16|0;w=0;while(1){a:do{if((c[g>>2]|0)>0){x=w+1|0;y=0;while(1){z=c[(c[u>>2]|0)+(y*112|0)+4>>2]|0;TP(k,d,c[p>>2]|0);if(($0(z,c[(c[(c[v>>2]|0)+(w<<2)>>2]|0)+4>>2]|0)|0)==0){break}z=y+1|0;if((z|0)<(c[g>>2]|0)){y=z}else{s=15;break a}}z=c[u>>2]|0;A=c[z+(y*112|0)+4>>2]|0;t=+h[z+(y*112|0)+96>>3];B=+h[z+(y*112|0)+80>>3];Hx(17,0,1667800,(o=i,i=i+32|0,c[o>>2]=x,c[o+8>>2]=A,h[o+16>>3]=t,h[o+24>>3]=B,o)|0);i=o;C=w+1|0}else{s=15}}while(0);if((s|0)==15){s=0;A=w+1|0;TP(l,d,c[p>>2]|0);z=c[(c[(c[q>>2]|0)+(w<<2)>>2]|0)+4>>2]|0;Hx(17,0,1665384,(o=i,i=i+16|0,c[o>>2]=A,c[o+8>>2]=z,o)|0);i=o;C=A}TP(j,d,c[p>>2]|0);if((C|0)<(c[f>>2]|0)){w=C}else{break}}}if((c[426547]|c[426616]|0)==0){break}Wd[c[3794]&511](17)}}while(0);if((c[426547]|c[426616]|0)==0){r=1;i=e;return r|0}Wd[c[3794]&511](17);r=1;i=e;return r|0}function OB(a,b,d){a=a|0;b=+b;d=+d;var e=0,f=0.0,g=0.0,i=0.0;e=c[a+4>>2]|0;f=+h[c[e+4>>2]>>3];g=+h[c[e+8>>2]>>3];if(f==g){i=b;return+i}i=(b-d)*((+h[c[e>>2]>>3]-g)/(f-g))+d;return+i}function PB(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0;d=i;e=B0(144)|0;c[b>>2]=e;Ix(0,(e|0)!=0|0,1679224,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=0;g=a<<3;c[e+4>>2]=B0(g)|0;c[e+16>>2]=B0(g)|0;c[e+8>>2]=1;c[e+12>>2]=B0(g)|0;c[e+20>>2]=a;c[e+24>>2]=B0(g)|0;c[e+28>>2]=D0(a,8)|0;h[e+32>>3]=1.0e-12;c[e+40>>2]=a*1e4|0;j=a-1|0;c[e+44>>2]=j;c[e+48>>2]=j;h[e+56>>3]=1.0e-12;c[e+64>>2]=B0(g)|0;c[e+68>>2]=B0(g)|0;c[e+72>>2]=1;h[e+80>>3]=100.0;c[e+88>>2]=-1;c[e+92>>2]=0;c[e+96>>2]=0;c[e+100>>2]=0;j=ga(a,a)|0;c[e+104>>2]=D0(j,8)|0;c[e+108>>2]=D0(j,8)|0;c[e+112>>2]=a;j=(ga(a+1|0,a)|0)/2|0;c[e+116>>2]=B0(j<<3)|0;c[e+120>>2]=j;c[e+124>>2]=B0(g)|0;c[e+128>>2]=B0(g)|0;c[e+132>>2]=B0(g)|0;c[e+136>>2]=B0(g)|0;c[e+140>>2]=B0(g)|0;Ix(0,(c[b>>2]|0)!=0|0,1678456,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function QB(a){a=a|0;var b=0;b=c[a>>2]|0;C0(c[b+4>>2]|0);C0(c[b+16>>2]|0);C0(c[b+12>>2]|0);C0(c[b+24>>2]|0);C0(c[b+28>>2]|0);C0(c[b+64>>2]|0);C0(c[b+68>>2]|0);C0(c[b+104>>2]|0);C0(c[b+108>>2]|0);C0(c[b+116>>2]|0);C0(c[b+124>>2]|0);C0(c[b+128>>2]|0);C0(c[b+132>>2]|0);C0(c[b+136>>2]|0);C0(c[b+140>>2]|0);return 0}function RB(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0.0,Aa=0.0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0;e=i;i=i+4200|0;f=e|0;g=e+8|0;j=e+16|0;k=e+24|0;l=e+32|0;m=e+56|0;n=e+80|0;o=e+4176|0;p=c[b+468>>2]|0;q=c[p+(d*80|0)+40>>2]|0;r=q;s=c[p+(d*80|0)+4>>2]|0;c[f>>2]=1;t=q+80|0;u=+h[t>>3];c[k>>2]=0;v=b+164|0;w=B0(c[v>>2]|0)|0;if((c[426547]|0)!=0){TP(l,b+56|0,s);x=+h[c[c[b+4>>2]>>2]>>3];Fx(17,1,1657648,(y=i,i=i+16|0,c[y>>2]=c[l+8>>2],h[y+8>>3]=x,y)|0);i=y;l=q+20|0;if((c[l>>2]|0)>0){z=p+(d*80|0)+44|0;A=p+(d*80|0)+16|0;B=p+(d*80|0)+48|0;C=p+(d*80|0)+52|0;D=0;do{x=+h[(c[z>>2]|0)+(D<<3)>>3];Fx(17,1,1646448,(y=i,i=i+16|0,c[y>>2]=D,h[y+8>>3]=x,y)|0);i=y;x=+h[(c[B>>2]|0)+(D<<3)>>3];E=+h[(c[C>>2]|0)+(D<<3)>>3];Fx(17,0,1636608,(y=i,i=i+24|0,h[y>>3]=+h[(c[A>>2]|0)+(D<<3)>>3],h[y+8>>3]=x,h[y+16>>3]=E,y)|0);i=y;Wd[c[3794]&511](17);D=D+1|0;}while((D|0)<(c[l>>2]|0))}Wd[c[3794]&511](17)}l=b+314|0;D=q+24|0;A=c[D>>2]|0;if((a[l]|0)==0){d1(A|0,c[p+(d*80|0)+52>>2]|0,c[q+20>>2]<<3)|0}else{d1(A|0,c[p+(d*80|0)+44>>2]|0,c[q+20>>2]<<3)|0}A=q+20|0;C=c[A>>2]|0;if((C|0)>0){B=c[D>>2]|0;z=c[p+(d*80|0)+16>>2]|0;F=c[q+12>>2]|0;G=0;do{E=+V(+(+h[B+(G<<3)>>3]));h[F+(G<<3)>>3]=+Yb(+E,+(+h[z+(G<<3)>>3]));G=G+1|0;}while((G|0)<(C|0))}C=q+8|0;G=(c[C>>2]|0)!=0;if(G){c[C>>2]=0}z=q+28|0;F=q+104|0;B=q+112|0;H=b;SB(A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,f,H,d)|0;if(G){c[C>>2]=1}G=b+318|0;I=q+32|0;J=q+40|0;K=q+64|0;L=q+72|0;M=q+88|0;N=q+92|0;O=q+96|0;P=q+100|0;Q=q+116|0;R=q+120|0;S=q+124|0;T=q+128|0;U=q+132|0;W=q+136|0;X=q+140|0;Y=b+56|0;Z=b+4|0;_=p+(d*80|0)+52|0;$=p+(d*80|0)+44|0;aa=p+(d*80|0)+48|0;ba=p+(d*80|0)+16|0;p=q+12|0;ca=b+356|0;da=q+4|0;ea=b+312|0;fa=q+16|0;ha=n|0;n=q+108|0;q=0;ia=0;ja=0;ka=0;la=1;E=1.0e-12;a:while(1){ma=c[A>>2]|0;if((ma|0)>0){na=c[D>>2]|0;oa=c[ba>>2]|0;pa=c[p>>2]|0;qa=0;do{x=+V(+(+h[na+(qa<<3)>>3]));h[pa+(qa<<3)>>3]=+Yb(+x,+(+h[oa+(qa<<3)>>3]));qa=qa+1|0;}while((qa|0)<(ma|0))}if((c[426548]|0)!=0){TB(c[p>>2]|0,A,18,38624);TB(c[D>>2]|0,A,18,33640)}do{if((c[C>>2]|0)!=0){ma=c[A>>2]|0;if((ma|0)<=0){break}qa=c[p>>2]|0;oa=c[D>>2]|0;pa=0;do{na=oa+(pa<<3)|0;h[na>>3]=1.0/+h[qa+(pa<<3)>>3]*+h[na>>3];pa=pa+1|0;}while((pa|0)<(ma|0))}}while(0);if((c[426548]|0)!=0){TB(c[D>>2]|0,A,18,29432)}a[G]=la;iA(14,A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,I,J,c[K>>2]|0,L,t,M,N,O,P,c[Q>>2]|0,R,c[S>>2]|0,c[T>>2]|0,c[U>>2]|0,c[W>>2]|0,c[X>>2]|0,H,d)|0;a[G]=la^1;do{if((c[C>>2]|0)!=0){ma=c[A>>2]|0;if((ma|0)<=0){break}pa=c[D>>2]|0;qa=c[p>>2]|0;oa=0;do{na=pa+(oa<<3)|0;h[na>>3]=+h[na>>3]*+h[qa+(oa<<3)>>3];oa=oa+1|0;}while((oa|0)<(ma|0))}}while(0);ma=c[N>>2]|0;if((ma|0)==0){TP(m,Y,s);Cz(3,m,+h[c[c[Z>>2]>>2]>>3]);ra=c[N>>2]|0}else{ra=ma}do{if(!((ra|0)==-1)){if((a[l]|0)==0){sa=ra}else{if((c[C>>2]|0)==0){a[G]=0;SB(A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,f,H,d)|0}else{c[C>>2]=0;a[G]=0;SB(A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,f,H,d)|0;c[C>>2]=1}YA(b);sa=c[N>>2]|0}if((sa|0)==-1){break}ma=c[A>>2]|0;if((ma|0)>0){oa=c[da>>2]|0;qa=c[z>>2]|0;pa=c[fa>>2]|0;na=0;ta=0;while(1){ua=oa+(ta<<3)|0;h[ua>>3]=1.0e-16;va=c[n>>2]|0;wa=(ma|0)>1?ma:1;xa=na;ya=0;x=1.0e-16;while(1){za=+V(+(+h[va+(xa<<3)>>3]));Aa=za>x?za:x;h[ua>>3]=Aa;Ba=ya+1|0;if((Ba|0)<(ma|0)){xa=xa+1|0;ya=Ba;x=Aa}else{break}}h[pa+(ta<<3)>>3]=+h[qa+(ta<<3)>>3]*(1.0/Aa);ya=ta+1|0;if((ya|0)<(ma|0)){na=na+wa|0;ta=ya}else{break}}}if((c[426548]|0)!=0){Fx(18,1,1667760,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;if((c[A>>2]|0)>0){ta=0;do{x=+h[(c[fa>>2]|0)+(ta<<3)>>3];Fx(18,1,1665352,(y=i,i=i+16|0,c[y>>2]=ta,h[y+8>>3]=x,y)|0);i=y;x=+h[(c[da>>2]|0)+(ta<<3)>>3];Fx(18,0,1662672,(y=i,i=i+16|0,c[y>>2]=ta,h[y+8>>3]=x,y)|0);i=y;Wd[c[3794]&511](18);ta=ta+1|0;}while((ta|0)<(c[A>>2]|0))}Wd[c[3794]&511](18)}if((c[426549]|0)!=0){ta=c[A>>2]|0;Fx(19,1,1661128,(y=i,i=i+16|0,c[y>>2]=ta,c[y+8>>2]=ta,y)|0);i=y;if((c[A>>2]|0)>0){ta=0;do{a[ha]=0;na=c[A>>2]|0;if((na|0)>0){ma=0;qa=na;do{na=(ga(qa,ta)|0)+ma|0;x=+h[(c[n>>2]|0)+(na<<3)>>3];Pb(ha|0,1660200,(y=i,i=i+16|0,c[y>>2]=ha,h[y+8>>3]=x,y)|0)|0;i=y;ma=ma+1|0;qa=c[A>>2]|0;}while((ma|0)<(qa|0))}Fx(19,0,1659304,(y=i,i=i+8|0,c[y>>2]=ha,y)|0);i=y;ta=ta+1|0;}while((ta|0)<(c[A>>2]|0))}Wd[c[3794]&511](19)}h[j>>3]=+hA(A,c[fa>>2]|0);h[g>>3]=+hA(A,c[z>>2]|0)}}while(0);do{if((ka|0)==0){Ca=0}else{if(!(+h[g>>3]>E)){Ca=ka;break}if(!(+h[j>>3]>E)){Ca=ka;break}d1(c[ca>>2]|0,w|0,c[v>>2]|0)|0;Ca=0}}while(0);ta=c[N>>2]|0;x=+h[g>>3];b:do{if((ta|0)<4){do{if(x>E){if(!(+h[j>>3]>E)){break}c[N>>2]=4;Da=4;break b}}while(0);if((ta|0)==1){Ea=68;break a}else{Da=ta}}else{Da=ta}}while(0);if(!(x>E)){Ea=68;break}if(!(+h[j>>3]>E)){Ea=68;break}ta=(Da-4|0)>>>0<2>>>0;c:do{if(ta&(q|0)<3){qa=c[D>>2]|0;if((a[l]|0)==0){d1(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{d1(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}za=+h[t>>3]/10.0;h[t>>3]=za;qa=q+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[426547]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}Fx(17,0,1654680,(y=i,i=i+8|0,h[y>>3]=za,y)|0);i=y;UB(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa}else{if(ta&(q|0)<4){qa=c[A>>2]|0;if((qa|0)>0){ma=c[ba>>2]|0;wa=c[D>>2]|0;na=0;do{pa=wa+(na<<3)|0;h[pa>>3]=+h[ma+(na<<3)>>3]*.1+ +h[pa>>3];na=na+1|0;}while((na|0)<(qa|0))}h[t>>3]=u;qa=q+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[426547]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}Fx(17,0,1653512,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;UB(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}if(ta&(q|0)<5){qa=c[D>>2]|0;if((a[l]|0)==0){d1(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{d1(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){na=c[aa>>2]|0;ma=c[ba>>2]|0;wa=c[p>>2]|0;pa=0;do{za=+V(+(+h[na+(pa<<3)>>3]));h[wa+(pa<<3)>>3]=+Yb(+za,+(+h[ma+(pa<<3)>>3]));pa=pa+1|0;}while((pa|0)<(qa|0))}qa=q+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[426547]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}Fx(17,0,1652520,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;UB(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}if(ta&(q|0)<6){qa=c[D>>2]|0;if((a[l]|0)==0){d1(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{d1(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}if((c[C>>2]|0)!=0){c[C>>2]=0}qa=c[A>>2]|0;if((qa|0)>0){pa=c[D>>2]|0;ma=c[ba>>2]|0;wa=c[p>>2]|0;na=0;do{za=+V(+(+h[pa+(na<<3)>>3]));h[wa+(na<<3)>>3]=+Yb(+za,+(+h[ma+(na<<3)>>3]));na=na+1|0;}while((na|0)<(qa|0))}qa=q+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[426547]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}Fx(17,0,1651360,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;UB(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}do{if(ta&(q|0)<7){if((a[l]|0)==0){break}d1(c[D>>2]|0,c[aa>>2]|0,c[A>>2]<<3)|0;qa=q+1|0;d1(w|0,c[ca>>2]|0,c[v>>2]|0)|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[426547]|0)==0){Fa=E;Ga=0;Ha=1;Ia=ja;Ja=ia;Ka=qa;break c}Fx(17,0,1650192,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;UB(r,k,g,j,18);Fa=E;Ga=0;Ha=1;Ia=ja;Ja=ia;Ka=qa;break c}}while(0);if(ta&(ia|0)<1){d1(c[D>>2]|0,c[aa>>2]|0,c[A>>2]<<3)|0;if((c[C>>2]|0)==0){c[C>>2]=1}h[t>>3]=u;qa=ia+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[426547]|0)==0){Fa=E;Ga=1;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}Fx(17,0,1649128,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;UB(r,k,g,j,18);Fa=E;Ga=1;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(ta&(ia|0)<2){qa=c[D>>2]|0;if((a[l]|0)==0){d1(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{d1(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){na=c[D>>2]|0;ma=0;do{wa=na+(ma<<3)|0;h[wa>>3]=+h[wa>>3]*1.01;ma=ma+1|0;}while((ma|0)<(qa|0))}qa=ia+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[426547]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}Fx(17,0,1648320,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;UB(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(ta&(ia|0)<3){qa=c[D>>2]|0;if((a[l]|0)==0){d1(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{d1(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){ma=c[D>>2]|0;na=0;do{wa=ma+(na<<3)|0;h[wa>>3]=+h[wa>>3]*.99;na=na+1|0;}while((na|0)<(qa|0))}qa=ia+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[426547]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}Fx(17,0,1647368,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;UB(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(ta&(ia|0)<4){d1(c[D>>2]|0,c[ba>>2]|0,c[A>>2]<<3)|0;qa=ia+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[426547]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}Fx(17,0,1646376,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;UB(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(ta&(ia|0)<5){qa=c[D>>2]|0;if((a[l]|0)==0){d1(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{d1(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){na=c[da>>2]|0;ma=c[K>>2]|0;wa=0;do{za=+V(+(+h[na+(wa<<3)>>3]));h[ma+(wa<<3)>>3]=za>1.0e-16?za:1.0e-16;wa=wa+1|0;}while((wa|0)<(qa|0))}qa=ia+1|0;c[L>>2]=2;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[426547]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}Fx(17,0,1644888,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;UB(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(!(ta&(ja|0)<1)){if(!(ta&(ja|0)<6)){Ea=161;break a}qa=c[D>>2]|0;if((a[l]|0)==0){d1(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{d1(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}za=E*10.0;h[t>>3]=u;c[L>>2]=1;qa=ja+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[426547]|0)==0){Fa=za;Ga=la;Ha=Ca;Ia=qa;Ja=0;Ka=0;break}Fx(17,0,1642816,(y=i,i=i+8|0,h[y>>3]=za,y)|0);i=y;UB(r,k,g,j,18);Fa=za;Ga=la;Ha=Ca;Ia=qa;Ja=0;Ka=0;break}qa=c[D>>2]|0;if((a[l]|0)==0){d1(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{d1(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){wa=c[K>>2]|0;ma=0;do{h[wa+(ma<<3)>>3]=1.0;ma=ma+1|0;}while((ma|0)<(qa|0))}c[C>>2]=1;qa=ja+1|0;c[L>>2]=2;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[426547]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=qa;Ja=0;Ka=0;break}Fx(17,0,1643856,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;UB(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=qa;Ja=0;Ka=0}}while(0);if(1){q=Ka;ia=Ja;ja=Ia;ka=Ha;la=Ga;E=Fa}else{La=0;Ea=167;break}}if((Ea|0)==68){c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[426547]|0)!=0){Fx(17,1,1658456,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;Fx(17,0,1657600,(y=i,i=i+16|0,c[y>>2]=q,c[y+8>>2]=ja+ia,y)|0);i=y;Wd[c[3794]&511](17);UB(r,k,g,j,17)}O=(c[C>>2]|0)!=0;if(O){c[C>>2]=0;Ma=O}else{Ma=0}d1(c[$>>2]|0,c[D>>2]|0,c[A>>2]<<3)|0;SB(A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,f,H,d)|0;if(!Ma){La=1;h[t>>3]=u;c[L>>2]=1;C0(w);i=e;return La|0}c[C>>2]=1;La=1;h[t>>3]=u;c[L>>2]=1;C0(w);i=e;return La|0}else if((Ea|0)==161){if(!((Da-2|0)>>>0<4>>>0)){La=0;h[t>>3]=u;c[L>>2]=1;C0(w);i=e;return La|0}if((a[ea]|0)==0){TP(o,Y,s);Cz(0,o,+h[c[c[Z>>2]>>2]>>3])}if((c[426547]|0)!=0){Z=ga(ga(ia,q)|0,ja)|0;Fx(17,0,1641872,(y=i,i=i+8|0,c[y>>2]=Z,y)|0);i=y;UB(r,k,g,j,17)}d1(c[$>>2]|0,c[D>>2]|0,c[A>>2]<<3)|0;La=0;h[t>>3]=u;c[L>>2]=1;C0(w);i=e;return La|0}else if((Ea|0)==167){h[t>>3]=u;c[L>>2]=1;C0(w);i=e;return La|0}return 0}function SB(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0;g=i;i=i+16384|0;m=g|0;n=k;o=c[k+468>>2]|0;p=c[o+(l*80|0)+40>>2]|0;q=k+318|0;r=c[j>>2]|0;if((r|0)==1){s=p+8|0;do{if((c[s>>2]|0)!=0){t=c[b>>2]|0;if((t|0)<=0){break}u=c[p+12>>2]|0;v=0;do{w=d+(v<<3)|0;h[w>>3]=+h[w>>3]*+h[u+(v<<3)>>3];v=v+1|0;}while((v|0)<(t|0))}}while(0);if((c[426550]|0)!=0){Fx(20,0,1632912,(x=i,i=i+8|0,c[x>>2]=c[p+96>>2],x)|0);i=x;TB(d,b,20,1632368)}pe[c[o+(l*80|0)+32>>2]&63](k,d,e,j);if((c[426550]|0)!=0){TB(e,b,20,1631688);Fx(20,0,1328992,(x=i,i=i+8|0,c[x>>2]=c[p+96>>2],x)|0);i=x}if((c[s>>2]|0)==0){i=g;return 0}s=c[b>>2]|0;if((s|0)<=0){i=g;return 0}j=c[p+12>>2]|0;t=0;do{v=d+(t<<3)|0;h[v>>3]=1.0/+h[j+(t<<3)>>3]*+h[v>>3];t=t+1|0;}while((t|0)<(s|0));i=g;return 0}else if((r|0)==2){s=(a[q]|0)!=0;if(s){a[q]=0}if((c[426550]|0)!=0){Fx(20,0,45208,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x}if((c[o+(l*80|0)+28>>2]|0)==-1){WB(n,f,d,e,l)}else{VB(n,f,l)}do{if((c[426550]|0)!=0){Fx(20,0,44760,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;if((c[426549]|0)==0){break}l=c[b>>2]|0;Fx(19,1,1661128,(x=i,i=i+16|0,c[x>>2]=l,c[x+8>>2]=l,x)|0);i=x;l=c[b>>2]|0;if((l|0)>0){n=m|0;e=p+20|0;d=0;o=l;do{a[n]=0;if((o|0)>0){l=0;do{y=+h[f+((ga(c[e>>2]|0,d)|0)+l<<3)>>3];Pb(n|0,44096,(x=i,i=i+16|0,c[x>>2]=n,h[x+8>>3]=y,x)|0)|0;i=x;l=l+1|0;}while((l|0)<(c[b>>2]|0))}Fx(19,0,1659304,(x=i,i=i+8|0,c[x>>2]=n,x)|0);i=x;d=d+1|0;o=c[b>>2]|0;}while((d|0)<(o|0))}Wd[c[3794]&511](19)}}while(0);if(!s){i=g;return 0}a[q]=1;i=g;return 0}else{Jx(c[k+536>>2]|0,43592,(x=i,i=i+8|0,c[x>>2]=r,x)|0);i=x;return 0}return 0}function TB(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0.0;f=i;if((c[1706120+(d<<2)>>2]|0)==0){i=f;return}Fx(d,1,1659304,(g=i,i=i+8|0,c[g>>2]=e,g)|0);i=g;if((c[b>>2]|0)>0){e=0;do{j=+h[a+(e<<3)>>3];Fx(d,0,1633736,(g=i,i=i+16|0,c[g>>2]=e,h[g+8>>3]=j,g)|0);i=g;e=e+1|0;}while((e|0)<(c[b>>2]|0))}Wd[c[3794]&511](d);i=f;return}function UB(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0.0,p=0.0;g=i;if((c[1706120+(f<<2)>>2]|0)==0){i=g;return}Fx(f,1,1640888,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Fx(f,1,1640112,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;k=a+20|0;if((c[k>>2]|0)>0){l=a+24|0;m=a+64|0;n=0;do{o=+h[(c[l>>2]|0)+(n<<3)>>3];p=+h[(c[m>>2]|0)+(n<<3)>>3];Fx(f,0,1639248,(j=i,i=i+24|0,c[j>>2]=n,h[j+8>>3]=o,h[j+16>>3]=p,j)|0);i=j;n=n+1|0;}while((n|0)<(c[k>>2]|0))}Wd[c[3794]&511](f);Fx(f,1,1638424,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;if((c[k>>2]|0)>0){n=a+28|0;m=a+4|0;a=0;do{p=+h[(c[n>>2]|0)+(a<<3)>>3];o=+h[(c[m>>2]|0)+(a<<3)>>3];Fx(f,0,1637440,(j=i,i=i+24|0,c[j>>2]=a,h[j+8>>3]=p,h[j+16>>3]=o,j)|0);i=j;a=a+1|0;}while((a|0)<(c[k>>2]|0))}Wd[c[3794]&511](f);Fx(f,1,1636536,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;o=+h[d>>3];p=+h[e>>3];Fx(f,0,1634768,(j=i,i=i+24|0,c[j>>2]=c[b>>2],h[j+8>>3]=o,h[j+16>>3]=p,j)|0);i=j;Wd[c[3794]&511](f);Wd[c[3794]&511](f);i=g;return}function VB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0;e=c[a+468>>2]|0;f=c[e+(d*80|0)+40>>2]|0;g=c[e+(d*80|0)+28>>2]|0;i=f+20|0;j=c[i>>2]|0;e1(b|0,0,ga(j<<3,j)|0)|0;j=f+108|0;f=c[i>>2]|0;e1(c[j>>2]|0,0,ga(f<<3,f)|0)|0;f=a+464|0;i=c[f>>2]|0;if((c[i+(g*44|0)+24>>2]|0)==0){return}k=e+(d*80|0)+20|0;d=a;a=0;e=i;l=c[i+(g*44|0)>>2]|0;do{if((l|0)!=0){i=0;do{if(((c[(c[e+(g*44|0)+20>>2]|0)+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[e+(g*44|0)+28>>2]|0)+(i<<3)>>3]=1.0}i=i+1|0;}while(i>>>0<l>>>0)}Zd[c[k>>2]&255](d)|0;e=c[f>>2]|0;l=c[e+(g*44|0)>>2]|0;if((l|0)!=0){i=c[e+(g*44|0)+20>>2]|0;m=c[e+(g*44|0)+28>>2]|0;n=0;do{o=m+(n<<3)|0;do{if(+h[o>>3]==1.0){if((n|0)==0){p=0;q=e+(g*44|0)+8|0}else{r=e+(g*44|0)+8|0;p=c[(c[r>>2]|0)+(n-1<<2)>>2]|0;q=r}r=c[(c[q>>2]|0)+(n<<2)>>2]|0;if(!(p>>>0<r>>>0)){break}s=c[j>>2]|0;t=c[e+(g*44|0)+12>>2]|0;u=c[e+(g*44|0)+4>>2]|0;v=c[e+(g*44|0)+36>>2]|0;w=p;do{x=c[t+(w<<2)>>2]|0;y=(ga(u,n)|0)+x|0;z=+h[v+(x<<3)>>3];h[b+(y<<3)>>3]=z;h[s+(y<<3)>>3]=z;w=w+1|0;}while(w>>>0<r>>>0)}}while(0);if(((c[i+(n<<2)>>2]|0)-1|0)==(a|0)){h[o>>3]=0.0}n=n+1|0;}while(n>>>0<l>>>0)}a=a+1|0;}while(a>>>0<(c[e+(g*44|0)+24>>2]|0)>>>0);return}function WB(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0.0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0,A=0,B=0,C=0,D=0;g=i;i=i+8|0;j=g|0;k=c[(c[a+468>>2]|0)+(f*80|0)+40>>2]|0;l=k+56|0;m=+h[l>>3];n=+W(m);c[j>>2]=1;o=k+20|0;if((c[o>>2]|0)<=0){i=g;return}p=k+128|0;q=k+108|0;r=k+112|0;k=a;a=0;s=m;while(1){m=+h[e+(a<<3)>>3];t=s*m;u=d+(a<<3)|0;v=+h[u>>3];if(v<0.0){w=-0.0-v}else{w=v}if(t<0.0){x=-0.0-t}else{x=t}t=+Yb(+(n*+Yb(+w,+x)),+n);if(m<0.0){y=-0.0-t}else{y=t}t=y+v-v;m=1.0/t;h[u>>3]=v+t;SB(o,d,c[p>>2]|0,c[q>>2]|0,r,j,k,f)|0;z=c[o>>2]|0;if((z|0)>0){A=c[p>>2]|0;B=c[q>>2]|0;C=0;do{D=(ga(z,a)|0)+C|0;t=m*(+h[A+(C<<3)>>3]- +h[e+(C<<3)>>3]);h[b+(D<<3)>>3]=t;h[B+(D<<3)>>3]=t;C=C+1|0;}while((C|0)<(z|0))}h[u>>3]=v;C=a+1|0;if((C|0)>=(z|0)){break}a=C;s=+h[l>>3]}i=g;return}function XB(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=B0(80)|0;c[b>>2]=e;Ix(0,(e|0)!=0|0,1676408,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=0;g=a<<3;c[e+4>>2]=B0(g)|0;c[e+8>>2]=B0(g)|0;c[e+12>>2]=a;c[e+16>>2]=B0(g)|0;c[e+20>>2]=D0(a,8)|0;h[e+24>>3]=1.0e-8;h[e+32>>3]=1.0e-8;c[e+44>>2]=a*100|0;h[e+56>>3]=2.220446049250313e-16;c[e+64>>2]=B0(ga(g,a)|0)|0;c[e+68>>2]=B0(g)|0;c[e+72>>2]=B0(a<<2)|0;Ix(0,(c[b>>2]|0)!=0|0,1677944,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function YB(a){a=a|0;var b=0;b=c[a>>2]|0;C0(c[b+4>>2]|0);C0(c[b+8>>2]|0);C0(c[b+16>>2]|0);C0(c[b+20>>2]|0);C0(c[b+64>>2]|0);C0(c[b+68>>2]|0);C0(c[b+72>>2]|0);return 0}function ZB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=c[a+468>>2]|0;f=c[e+(d*80|0)+28>>2]|0;g=c[(c[e+(d*80|0)+40>>2]|0)+12>>2]|0;e1(b|0,0,ga(g<<3,g)|0)|0;g=a+464|0;i=c[g>>2]|0;if((c[i+(f*44|0)+24>>2]|0)==0){return 0}j=e+(d*80|0)+20|0;d=a;a=0;e=i;k=c[i+(f*44|0)>>2]|0;do{if((k|0)!=0){i=0;do{if(((c[(c[e+(f*44|0)+20>>2]|0)+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[e+(f*44|0)+28>>2]|0)+(i<<3)>>3]=1.0}i=i+1|0;}while(i>>>0<k>>>0)}Zd[c[j>>2]&255](d)|0;e=c[g>>2]|0;k=c[e+(f*44|0)>>2]|0;if((k|0)!=0){i=c[e+(f*44|0)+20>>2]|0;l=c[e+(f*44|0)+28>>2]|0;m=0;do{n=l+(m<<3)|0;do{if(+h[n>>3]==1.0){if((m|0)==0){o=0;p=e+(f*44|0)+8|0}else{q=e+(f*44|0)+8|0;o=c[(c[q>>2]|0)+(m-1<<2)>>2]|0;p=q}q=c[(c[p>>2]|0)+(m<<2)>>2]|0;if(!(o>>>0<q>>>0)){break}r=c[e+(f*44|0)+12>>2]|0;s=c[e+(f*44|0)+4>>2]|0;t=c[e+(f*44|0)+36>>2]|0;u=o;do{v=c[r+(u<<2)>>2]|0;w=(ga(s,m)|0)+v|0;h[b+(w<<3)>>3]=+h[t+(v<<3)>>3];u=u+1|0;}while(u>>>0<q>>>0)}}while(0);if(((c[i+(m<<2)>>2]|0)-1|0)==(a|0)){h[n>>3]=0.0}m=m+1|0;}while(m>>>0<k>>>0)}a=a+1|0;}while(a>>>0<(c[e+(f*44|0)+24>>2]|0)>>>0);return 0}function _B(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;e=i;i=i+72|0;f=e|0;g=e+24|0;j=e+48|0;l=c[b+468>>2]|0;m=c[l+(d*80|0)+40>>2]|0;n=c[l+(d*80|0)+4>>2]|0;o=m+40|0;c[o>>2]=0;p=m+16|0;q=l+(d*80|0)+52|0;r=m+12|0;d1(c[p>>2]|0,c[q>>2]|0,c[r>>2]<<3)|0;s=b+56|0;if((c[426547]|0)==0){t=b+4|0}else{TP(f,s,n);u=b+4|0;v=+h[c[c[u>>2]>>2]>>3];Fx(17,1,1657440,(w=i,i=i+16|0,c[w>>2]=c[f+8>>2],h[w+8>>3]=v,w)|0);i=w;if((c[r>>2]|0)>0){f=l+(d*80|0)+44|0;x=l+(d*80|0)+16|0;y=l+(d*80|0)+48|0;z=0;do{v=+h[(c[f>>2]|0)+(z<<3)>>3];Fx(17,1,1646296,(w=i,i=i+16|0,c[w>>2]=z,h[w+8>>3]=v,w)|0);i=w;v=+h[(c[y>>2]|0)+(z<<3)>>3];A=+h[(c[q>>2]|0)+(z<<3)>>3];Fx(17,0,1636456,(w=i,i=i+24|0,h[w>>3]=+h[(c[x>>2]|0)+(z<<3)>>3],h[w+8>>3]=v,h[w+16>>3]=A,w)|0);i=w;Wd[c[3794]&511](17);z=z+1|0;}while((z|0)<(c[r>>2]|0))}Wd[c[3794]&511](17);t=u}u=b+318|0;z=m+20|0;x=m+24|0;q=m+56|0;y=m+44|0;f=m+64|0;B=m+68|0;C=m+72|0;D=m+48|0;E=b;b=m+4|0;F=m+32|0;m=l+(d*80|0)+48|0;G=l+(d*80|0)+16|0;H=0;I=0;a:while(1){a[u]=1;J=c[p>>2]|0;K=c[z>>2]|0;L=c[f>>2]|0;M=c[B>>2]|0;N=c[C>>2]|0;$B(r,J,K,(c[k>>2]=c[x>>2],c[k+4>>2]=c[x+4>>2],+h[k>>3]),q,c[y>>2]|0,o,L,M,N,D,E,d);a[u]=0;if((c[D>>2]|0)==0){TP(g,s,n);Cz(3,g,+h[c[c[t>>2]>>2]>>3])}O=+hA(r,c[b>>2]|0);P=+hA(r,c[z>>2]|0);A=+h[F>>3];if(!(P>A&O>A)){if((c[D>>2]|0)>0){Q=12;break}}do{if((I|0)<1){d1(c[p>>2]|0,c[m>>2]|0,c[r>>2]<<3)|0;N=c[o>>2]|0;Fx(17,0,29360,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);i=w;R=N}else{if((I|0)<2){N=c[r>>2]|0;if((N|0)>0){M=c[G>>2]|0;L=c[p>>2]|0;K=0;do{J=L+(K<<3)|0;h[J>>3]=+h[M+(K<<3)>>3]*.01+ +h[J>>3];K=K+1|0;}while((K|0)<(N|0))}N=c[o>>2]|0;Fx(17,0,25720,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);i=w;R=N;break}if((I|0)>=3){Q=28;break a}N=c[r>>2]|0;if((N|0)>0){K=c[G>>2]|0;M=c[p>>2]|0;L=0;do{h[M+(L<<3)>>3]=+h[K+(L<<3)>>3];L=L+1|0;}while((L|0)<(N|0))}N=c[o>>2]|0;Fx(17,0,1682640,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);i=w;R=N}}while(0);if(1){H=R+H|0;I=I+1|0}else{S=0;break}}do{if((Q|0)==12){if((c[426547]|0)==0){S=1;break}R=(c[o>>2]|0)+H|0;Fx(17,0,43528,(w=i,i=i+8|0,c[w>>2]=I,w)|0);i=w;Fx(17,0,38544,(w=i,i=i+24|0,c[w>>2]=R,h[w+8>>3]=P,h[w+16>>3]=O,w)|0);i=w;if((c[r>>2]|0)>0){T=0}else{S=1;break}while(1){A=+h[(c[p>>2]|0)+(T<<3)>>3];v=+h[(c[z>>2]|0)+(T<<3)>>3];Fx(17,0,33600,(w=i,i=i+24|0,c[w>>2]=T,h[w+8>>3]=A,h[w+16>>3]=v,w)|0);i=w;R=T+1|0;if((R|0)<(c[r>>2]|0)){T=R}else{S=1;break}}}else if((Q|0)==28){TP(j,s,n);Cz(0,j,+h[c[c[t>>2]>>2]>>3]);if((c[426547]|0)==0){S=0;break}Fx(17,0,1678376,(w=i,i=i+8|0,c[w>>2]=I,w)|0);i=w;Fx(17,0,38544,(w=i,i=i+24|0,c[w>>2]=H,h[w+8>>3]=P,h[w+16>>3]=O,w)|0);i=w;if((c[426547]|0)==0){S=0;break}if((c[r>>2]|0)>0){U=0}else{S=0;break}while(1){v=+h[(c[p>>2]|0)+(U<<3)>>3];A=+h[(c[z>>2]|0)+(U<<3)>>3];Fx(17,0,33600,(w=i,i=i+24|0,c[w>>2]=U,h[w+8>>3]=v,h[w+16>>3]=A,w)|0);i=w;R=U+1|0;if((R|0)<(c[r>>2]|0)){U=R}else{S=0;break}}}}while(0);if((c[426547]|0)==0){V=l+(d*80|0)+44|0;W=c[V>>2]|0;X=W;Y=c[p>>2]|0;Z=Y;_=c[r>>2]|0;$=_<<3;d1(X|0,Z|0,$)|0;i=e;return S|0}Wd[c[3794]&511](17);V=l+(d*80|0)+44|0;W=c[V>>2]|0;X=W;Y=c[p>>2]|0;Z=Y;_=c[r>>2]|0;$=_<<3;d1(X|0,Z|0,$)|0;i=e;return S|0}function $B(b,d,e,f,g,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=+f;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0,U=0,W=0;r=i;i=i+4120|0;s=r|0;t=r+8|0;u=r+16|0;v=r+24|0;w=p;x=c[p+468>>2]|0;y=c[x+(q*80|0)+40>>2]|0;z=+h[y+32>>3];c[t>>2]=1;c[u>>2]=1;do{if((c[426548]|0)!=0){Fx(18,0,1674416,(A=i,i=i+8|0,c[A>>2]=j,A)|0);i=A;if((c[b>>2]|0)>0){B=0}else{break}do{C=+h[d+(B<<3)>>3];Fx(18,0,1670784,(A=i,i=i+16|0,c[A>>2]=B,h[A+8>>3]=C,A)|0);i=A;B=B+1|0;}while((B|0)<(c[b>>2]|0))}}while(0);c[o>>2]=1;B=x+(q*80|0)+28|0;x=y+12|0;D=v|0;v=y+8|0;E=y+4|0;F=y+20|0;G=y+64|0;y=j;a:while(1){aC(d,e,s,p,q)|0;c[k>>2]=(c[k>>2]|0)+1;if((c[B>>2]|0)==-1){bC(b,d,e,l,+h[g>>3],s,m,p,q);c[k>>2]=(c[b>>2]|0)+(c[k>>2]|0)}else{ZB(w,l,q)|0}if((c[426549]|0)!=0){j=c[b>>2]|0;Fx(19,1,1662640,(A=i,i=i+16|0,c[A>>2]=j,c[A+8>>2]=j,A)|0);i=A;if((c[x>>2]|0)>0){j=0;do{a[D]=0;if((c[x>>2]|0)>0){H=0;do{C=+h[l+((ga(c[b>>2]|0,j)|0)+H<<3)>>3];Pb(D|0,1661120,(A=i,i=i+16|0,c[A>>2]=D,h[A+8>>3]=C,A)|0)|0;i=A;H=H+1|0;}while((H|0)<(c[x>>2]|0))}Fx(19,0,1660192,(A=i,i=i+8|0,c[A>>2]=D,A)|0);i=A;j=j+1|0;}while((j|0)<(c[x>>2]|0))}Wd[c[3794]&511](19)}j=c[x>>2]|0;if((j|0)>0){H=c[E>>2]|0;I=c[F>>2]|0;J=c[v>>2]|0;K=0;L=0;while(1){M=H+(K<<3)|0;h[M>>3]=1.0e-16;N=c[G>>2]|0;O=(j|0)>1?j:1;P=0;Q=L;C=1.0e-16;while(1){R=+V(+(+h[N+(Q<<3)>>3]));S=R>C?R:C;h[M>>3]=S;T=P+1|0;if((T|0)<(j|0)){P=T;Q=Q+1|0;C=S}else{break}}h[J+(K<<3)>>3]=+h[I+(K<<3)>>3]*(1.0/S);Q=K+1|0;if((Q|0)<(j|0)){K=Q;L=L+O|0}else{U=J;break}}}else{U=c[v>>2]|0}C=+hA(b,U);if(!(C>z&+hA(b,e)>z)){W=31;break}ps(b,t,l,b,n,e,b,u)|0;J=c[u>>2]|0;do{if((J|0)>0){c[o>>2]=-1;Hx(17,0,1654648,(A=i,i=i+1|0,i=i+7&-8,c[A>>2]=0,A)|0);i=A}else{if((J|0)<0){c[o>>2]=-1;Hx(17,0,1653480,(A=i,i=i+8|0,c[A>>2]=J,A)|0);i=A;break}L=c[b>>2]|0;if((L|0)>0){K=0;do{j=d+(K<<3)|0;h[j>>3]=+h[j>>3]- +h[e+(K<<3)>>3];K=K+1|0;}while((K|0)<(L|0))}if(!(+hA(b,e)>f)){W=31;break a}}}while(0);J=y-1|0;if((J|0)<0){W=30;break}if((c[o>>2]|0)>-1){y=J}else{W=31;break}}if((W|0)==30){c[o>>2]=-1;i=r;return}else if((W|0)==31){i=r;return}}function aC(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;pe[c[(c[e+468>>2]|0)+(f*80|0)+32>>2]&63](e,a,b,d);return 0}function bC(a,b,d,e,f,g,i,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=+f;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0,v=0;l=+W(f);if((c[a>>2]|0)<=0){return}m=(c[(c[j+468>>2]|0)+(k*80|0)+56>>2]|0)==0;n=0;do{f=+h[b+(n<<3)>>3];if(m){if(f<0.0){o=-0.0-f}else{o=f}p=l*+Yb(+1.0,+o);if(+h[d+(n<<3)>>3]<0.0){q=-0.0-p}else{q=p}r=q+f-f}else{r=1.0}s=b+(n<<3)|0;h[s>>3]=r+f;p=1.0/r;aC(b,i,g,j,k)|0;t=c[a>>2]|0;if((t|0)>0){u=0;do{v=(ga(t,n)|0)+u|0;h[e+(v<<3)>>3]=p*(+h[i+(u<<3)>>3]- +h[d+(u<<3)>>3]);u=u+1|0;}while((u|0)<(t|0))}h[s>>3]=f;n=n+1|0;}while((n|0)<(t|0));return}function cC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=c[b+24>>2]|0;if((d|0)==2){dC(a,b);e=0;return e|0}else if((d|0)==3){e=zA(a,b)|0;return e|0}else if((d|0)==4){ee[c[(c[a+540>>2]|0)+56>>2]&3](a,+h[b+8>>3])|0;h[b>>3]=+h[c[c[a+4>>2]>>2]>>3];e=0;return e|0}else if((d|0)==1){d=c[a+4>>2]|0;f=c[d+4>>2]|0;eC(c[d>>2]|0,+h[f>>3],c[f+8>>2]|0,c[a+112>>2]|0,b);e=0;return e|0}else{e=1;return e|0}return 0}function dC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0.0;d=c[c[b+48>>2]>>2]|0;e=c[a+4>>2]|0;f=c[e>>2]|0;g=c[e+4>>2]|0;e=f+8|0;i=c[e>>2]|0;j=a+112|0;k=c[j>>2]|0;l=g+8|0;m=c[l>>2]|0;n=g|0;g=b+8|0;o=b|0;h[o>>3]=+h[n>>3]+ +h[g>>3];if((k|0)>0){b=c[d>>2]|0;p=0;do{h[b+(p<<3)>>3]=+h[m+(p+k<<3)>>3];p=p+1|0;}while((p|0)<(k|0))}p=f|0;f=a+540|0;m=1;b=k;do{if((b|0)>0){q=c[l>>2]|0;r=+h[8032+(m<<3)>>3];s=c[d+(m-1<<2)>>2]|0;t=c[e>>2]|0;u=0;while(1){h[t+(u<<3)>>3]=+h[q+(u<<3)>>3]+ +h[g>>3]*r*+h[s+(u<<3)>>3];v=u+1|0;if((v|0)<(b|0)){u=v}else{w=r;break}}}else{w=+h[8032+(m<<3)>>3]}h[p>>3]=+h[n>>3]+w*+h[g>>3];Zd[c[(c[f>>2]|0)+28>>2]&255](a)|0;b=c[j>>2]|0;x=(b|0)>0;if(x){u=c[d+(m<<2)>>2]|0;s=0;do{h[u+(s<<3)>>3]=+h[i+(s+k<<3)>>3];s=s+1|0;}while((s|0)<(b|0))}m=m+1|0;}while((m|0)<4);if(!x){y=+h[o>>3];h[p>>3]=y;return}x=c[l>>2]|0;l=c[e>>2]|0;e=c[d>>2]|0;m=c[d+4>>2]|0;k=c[d+8>>2]|0;i=c[d+12>>2]|0;d=0;do{h[l+(d<<3)>>3]=+h[x+(d<<3)>>3]+(+h[e+(d<<3)>>3]*.16666666666666666+0.0+ +h[m+(d<<3)>>3]*.3333333333333333+ +h[k+(d<<3)>>3]*.3333333333333333+ +h[i+(d<<3)>>3]*.16666666666666666)*+h[g>>3];d=d+1|0;}while((d|0)<(b|0));y=+h[o>>3];h[p>>3]=y;return}function eC(a,b,d,e,f){a=a|0;b=+b;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0,o=0;g=f+8|0;i=+h[g>>3];j=i+b;k=f|0;h[k>>3]=j;if((e|0)<=0){l=j;m=a|0;h[m>>3]=l;return}f=c[a+8>>2]|0;n=0;j=i;while(1){h[f+(n<<3)>>3]=+h[d+(n<<3)>>3]+ +h[d+(n+e<<3)>>3]*j;o=n+1|0;if((o|0)>=(e|0)){break}n=o;j=+h[g>>3]}l=+h[k>>3];m=a|0;h[m>>3]=l;return}function fC(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;h[d>>3]=+h[b+240>>3];h[d+8>>3]=+h[b+264>>3];h[d+16>>3]=0.0;a[d+28|0]=0;c[d+32>>2]=Vx(4)|0;c[d+36>>2]=0;c[d+40>>2]=0;c[d+44>>2]=0;f=c[d+24>>2]|0;a:do{if((f|0)==2){g=B0(8)|0;c[g+4>>2]=4;j=B0(20)|0;k=g;c[k>>2]=j;l=c[b+112>>2]|0;m=0;n=j;while(1){c[n+(m<<2)>>2]=D0(l,8)|0;j=m+1|0;if((j|0)>=5){break}m=j;n=c[k>>2]|0}c[d+48>>2]=g;o=0}else if((f|0)==3){k=B0(88)|0;Fx(23,0,1675936,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;n=xA(b,d,k)|0;c[d+48>>2]=k;o=n}else if((f|0)==4){n=c[428906]|0;k=B0(n<<2)|0;c[426514]=k;if((n|0)<=0){o=0;break}m=c[b+116>>2]|0;l=0;j=k;while(1){c[j+(l<<2)>>2]=D0(m,8)|0;k=l+1|0;if((k|0)>=(n|0)){o=0;break a}l=k;j=c[426514]|0}}else{o=0}}while(0);sC(b)|0;if((c[428836]|0)==0){i=e;return o|0}sz(6);pz(1);i=e;return o|0}function gC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=c[b+24>>2]|0;if((d|0)==4){e=c[428906]|0;f=c[426514]|0;if((e|0)>0){g=0;h=f;while(1){C0(c[h+(g<<2)>>2]|0);i=g+1|0;j=c[426514]|0;if((i|0)<(e|0)){g=i;h=j}else{k=j;break}}}else{k=f}C0(k)}else if((d|0)==2){k=b+48|0;f=c[k>>2]|0;h=c[f>>2]|0;if(((c[f+4>>2]|0)+1|0)>0){f=0;g=h;while(1){C0(c[g+(f<<2)>>2]|0);e=f+1|0;j=c[k>>2]|0;i=c[j>>2]|0;if((e|0)<((c[j+4>>2]|0)+1|0)){f=e;g=i}else{l=i;break}}}else{l=h}C0(l);C0(c[k>>2]|0)}else if((d|0)==3){yA(c[b+48>>2]|0)|0}tC(a)|0;nC(a);return 0}function hC(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=+f;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,z=0;j=i;i=i+160|0;k=1;l=0;m=i;i=i+168|0;c[m>>2]=0;while(1)switch(k|0){case 1:n=j|0;o=a+536|0;p=c[o>>2]|0;pa(64,a|0);if((x|0)!=0&(y|0)!=0){l=g1(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;q=a+540|0;sa(c[(c[q>>2]|0)+40>>2]|0,a|0)|0;if((x|0)!=0&(y|0)!=0){l=g1(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;r=a+240|0;h[c[c[a+4>>2]>>2]>>3]=+h[r>>3];pa(c[(c[q>>2]|0)+4>>2]|0,a|0);if((x|0)!=0&(y|0)!=0){l=g1(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;pa(80,a|0);if((x|0)!=0&(y|0)!=0){l=g1(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;na(2,+(+h[a+272>>3]));if((x|0)!=0&(y|0)!=0){l=g1(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;c[(c[o>>2]|0)+84>>2]=1;s=p+80|0;t=c[s>>2]|0;c[s>>2]=n;u=f1(n|0,k,m)|0;k=9;break;case 9:if((u|0)==0){k=2;break}else{k=5;break};case 2:n=Ea(2,a|0,b|0,d|0,e|0,+f,g|0)|0;if((x|0)!=0&(y|0)!=0){l=g1(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;if((n|0)==0){v=0;k=4;break}else{k=3;break};case 3:Ka(18,1,0,1677832,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=g1(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;h[a+248>>3]=+h[r>>3];v=-1;k=4;break;case 4:c[s>>2]=t;Ia(12);if((x|0)!=0&(y|0)!=0){l=g1(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;z=v;k=6;break;case 5:c[s>>2]=t;Ia(12);if((x|0)!=0&(y|0)!=0){l=g1(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;Ka(34,2,0,1657248,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=g1(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;z=-1;k=6;break;case 6:qa(c[2006]|0,8e3,a|0);if((x|0)!=0&(y|0)!=0){l=g1(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;Ka(34,23,0,1646072,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=g1(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;if((c[428836]|0)==0){k=8;break}else{k=7;break};case 7:pa(312,1);if((x|0)!=0&(y|0)!=0){l=g1(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;k=8;break;case 8:i=j;return z|0;case-1:if((l|0)==1){u=y;k=9}x=y=0;break}return 0}function iC(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0.0,j=0,k=0,l=0.0,m=0.0,n=0;f=i;g=+h[d>>3];do{if(!(g<+h[b+248>>3])){if((c[d+24>>2]|0)==5){break}Fx(8,0,1636296,(j=i,i=i+8|0,h[j>>3]=g,j)|0);i=j;k=b+313|0;a[k]=1;XA(b);if((c[426734]|0)==0){Xd[c[2005]&127](8e3,b)}a[k]=0}}while(0);MO(43424,1.0);if((e|0)!=0){jC(Lc(e|0)|0,b)}if((c[426555]|0)==0){i=f;return 0}sz(0);Fx(25,0,38472,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Fx(25,1,33560,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;g=+kz(6);l=+kz(6);m=l/+kz(0)*100.0;Fx(25,0,29304,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j;m=+kz(1);g=+kz(1);l=g/+kz(0)*100.0;Fx(25,0,25624,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;l=+kz(2);m=+kz(2);g=m/+kz(0)*100.0;Fx(25,0,1682576,(j=i,i=i+16|0,h[j>>3]=l,h[j+8>>3]=g,j)|0);i=j;g=+kz(3);l=+kz(3);m=l/+kz(0)*100.0;Fx(25,0,1678296,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j;m=+kz(4);g=+kz(4);l=g/+kz(0)*100.0;Fx(25,0,1674376,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;l=+kz(7);m=+kz(7);g=m/+kz(0)*100.0;Fx(25,0,1670744,(j=i,i=i+16|0,h[j>>3]=l,h[j+8>>3]=g,j)|0);i=j;b=d+24|0;e=(c[b>>2]|0)==5;g=+kz(0);l=g- +kz(7);g=l- +kz(4);l=g- +kz(3);g=l- +kz(2);l=g- +kz(1);g=l- +kz(6);l=+kz(0);m=l- +kz(7);l=m- +kz(4);m=l- +kz(3);l=m- +kz(2);m=l- +kz(1);l=m- +kz(6);m=l/+kz(0)*100.0;if(e){Fx(25,0,1665264,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j}else{Fx(25,0,1667728,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j}m=+kz(0);g=+kz(0);l=g/+kz(0)*100.0;Fx(25,0,1662616,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;Wd[c[3794]&511](25);Fx(25,1,1661112,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Fx(25,0,1660168,(j=i,i=i+8|0,c[j>>2]=c[d+40>>2],j)|0);i=j;Fx(25,0,1659280,(j=i,i=i+8|0,c[j>>2]=c[d+44>>2],j)|0);i=j;Wd[c[3794]&511](25);e=c[b>>2]|0;if((e|0)==3){b=d+48|0;d=c[b>>2]|0;k=c[d+8>>2]|0;n=c[d+4>>2]|0;c[n>>2]=(c[n>>2]|0)+(c[k>>2]|0);d=n+4|0;c[d>>2]=(c[d>>2]|0)+(c[k+4>>2]|0);d=n+8|0;c[d>>2]=(c[d>>2]|0)+(c[k+8>>2]|0);d=n+12|0;c[d>>2]=(c[d>>2]|0)+(c[k+12>>2]|0);d=n+16|0;c[d>>2]=(c[d>>2]|0)+(c[k+16>>2]|0);Fx(25,1,1658440,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Fx(25,0,1657584,(j=i,i=i+8|0,c[j>>2]=c[c[(c[b>>2]|0)+4>>2]>>2],j)|0);i=j;Fx(25,0,1655752,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+4>>2],j)|0);i=j;Fx(25,0,1654616,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+8>>2],j)|0);i=j;Fx(25,0,1653456,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+12>>2],j)|0);i=j;Fx(25,0,1652488,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+16>>2],j)|0);i=j;Wd[c[3794]&511](25)}else if((e|0)!=5){Fx(25,1,1651352,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Fx(25,0,1650128,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Wd[c[3794]&511](25)}Fx(25,0,1649104,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;pz(0);i=f;return 0}function jC(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;e=i;f=Xa(b|0,1640880)|0;b=c[r>>2]|0;g=d+4|0;od(b|0,1640096,(j=i,i=i+8|0,h[j>>3]=+h[c[c[g>>2]>>2]>>3],j)|0)|0;i=j;if((f|0)==0){k=Wa(10,b|0)|0;l=Ta(b|0)|0;i=e;return}m=d+116|0;n=d+124|0;o=d+128|0;p=d+132|0;q=d+216|0;s=d+220|0;t=d+224|0;u=d+228|0;v=d+136|0;w=d+140|0;x=d+144|0;y=d+148|0;z=d+36|0;A=d+428|0;B=d+32|0;C=d+424|0;D=d+28|0;E=d+420|0;F=d+24|0;G=d+416|0;H=d+52|0;I=d+48|0;J=d+44|0;K=d+40|0;L=d+20|0;M=d+16|0;N=d+12|0;O=d+8|0;d=f;do{f=c[m>>2]|0;if((f|0)>0){P=0;Q=f;while(1){if(($0(d,c[(c[O>>2]|0)+(P*112|0)+4>>2]|0)|0)==0){R=+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+(P<<3)>>3];od(b|0,1639232,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;S=c[m>>2]|0}else{S=Q}f=P+1|0;if((f|0)<(S|0)){P=f;Q=S}else{break}}}Q=c[n>>2]|0;if((Q|0)>0){P=0;f=Q;while(1){if(($0(d,c[(c[N>>2]|0)+(P*60|0)+4>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+12>>2]|0)+(P<<2)>>2]|0;od(b|0,1638376,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;T=c[n>>2]|0}else{T=f}Q=P+1|0;if((Q|0)<(T|0)){P=Q;f=T}else{break}}}f=c[o>>2]|0;if((f|0)>0){P=0;Q=f;while(1){if(($0(d,c[(c[M>>2]|0)+(P*48|0)+4>>2]|0)|0)==0){f=a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+P|0]|0;od(b|0,1637432,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=f,j)|0)|0;i=j;U=c[o>>2]|0}else{U=Q}f=P+1|0;if((f|0)<(U|0)){P=f;Q=U}else{break}}}Q=c[p>>2]|0;if((Q|0)>0){P=0;f=Q;while(1){if(($0(d,c[(c[L>>2]|0)+(P*52|0)+4>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+20>>2]|0)+(P<<2)>>2]|0;od(b|0,1636520,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;V=c[p>>2]|0}else{V=f}Q=P+1|0;if((Q|0)<(V|0)){P=Q;f=V}else{break}}}if((c[q>>2]|0)>0){f=0;do{P=c[K>>2]|0;do{if(($0(d,c[P+(f*52|0)+16>>2]|0)|0)==0){R=+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+(c[P+(f*52|0)+4>>2]<<3)>>3];if((c[P+(f*52|0)>>2]|0)==0){od(b|0,1639232,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;break}else{od(b|0,1639232,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=-0.0-R,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[q>>2]|0))}if((c[s>>2]|0)>0){f=0;do{P=c[J>>2]|0;do{if(($0(d,c[P+(f*52|0)+16>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+12>>2]|0)+(c[P+(f*52|0)+4>>2]<<2)>>2]|0;if((c[P+(f*52|0)>>2]|0)==0){od(b|0,1638376,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;break}else{od(b|0,1638376,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=-Q,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[s>>2]|0))}if((c[t>>2]|0)>0){f=0;do{P=c[I>>2]|0;do{if(($0(d,c[P+(f*52|0)+16>>2]|0)|0)==0){Q=a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+(c[P+(f*52|0)+4>>2]|0)|0]|0;if((c[P+(f*52|0)>>2]|0)==0){od(b|0,1637432,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;break}else{od(b|0,1637432,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=-Q,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[t>>2]|0))}f=c[u>>2]|0;if((f|0)>0){P=0;Q=f;while(1){f=c[H>>2]|0;if(($0(d,c[f+(P*52|0)+16>>2]|0)|0)==0){W=c[(c[(c[c[g>>2]>>2]|0)+20>>2]|0)+(c[f+(P*52|0)+4>>2]<<2)>>2]|0;od(b|0,1636520,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;X=c[u>>2]|0}else{X=Q}W=P+1|0;if((W|0)<(X|0)){P=W;Q=X}else{break}}}Q=c[v>>2]|0;if((Q|0)>0){P=0;W=Q;while(1){if(($0(d,c[(c[F>>2]|0)+(P*112|0)+4>>2]|0)|0)==0){R=+h[(c[G>>2]|0)+(P<<3)>>3];od(b|0,1639232,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;Y=c[v>>2]|0}else{Y=W}Q=P+1|0;if((Q|0)<(Y|0)){P=Q;W=Y}else{break}}}W=c[w>>2]|0;if((W|0)>0){P=0;Q=W;while(1){if(($0(d,c[(c[D>>2]|0)+(P*60|0)+4>>2]|0)|0)==0){W=c[(c[E>>2]|0)+(P<<2)>>2]|0;od(b|0,1638376,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;Z=c[w>>2]|0}else{Z=Q}W=P+1|0;if((W|0)<(Z|0)){P=W;Q=Z}else{break}}}Q=c[x>>2]|0;if((Q|0)>0){P=0;W=Q;while(1){if(($0(d,c[(c[B>>2]|0)+(P*48|0)+4>>2]|0)|0)==0){Q=a[(c[C>>2]|0)+P|0]|0;od(b|0,1637432,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;_=c[x>>2]|0}else{_=W}Q=P+1|0;if((Q|0)<(_|0)){P=Q;W=_}else{break}}}W=c[y>>2]|0;if((W|0)>0){P=0;Q=W;while(1){if(($0(d,c[(c[z>>2]|0)+(P*52|0)+4>>2]|0)|0)==0){W=c[(c[A>>2]|0)+(P<<2)>>2]|0;od(b|0,1636520,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;$=c[y>>2]|0}else{$=Q}W=P+1|0;if((W|0)<($|0)){P=W;Q=$}else{break}}}d=Xa(0,1640880)|0;}while((d|0)!=0);k=Wa(10,b|0)|0;l=Ta(b|0)|0;i=e;return}function kC(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;m=i;i=i+56|0;n=m|0;o=n+24|0;c[o>>2]=k;a:do{switch(k|0){case 12:case 13:case 14:case 15:case 16:case 17:{c[o>>2]=3;break};case 8:case 7:case 6:case 9:case 10:case 11:{Hx(1,0,1648248,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;q=1;i=m;return q|0};case 5:{Hx(1,0,1647328,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;q=1;i=m;return q|0};case 4:{r=c[432348]|0;if((r|0)!=0){if(($0(r,1646360)|0)==0){break a}}Fx(23,0,1644720,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;q=1;i=m;return q|0};case 18:{r=c[432348]|0;do{if((r|0)!=0){if(($0(r,1643832)|0)!=0){break}c[o>>2]=4;break a}}while(0);Fx(23,0,1642688,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;q=1;i=m;return q|0};default:{}}}while(0);k=fC(b,n)|0;ke[c[2181]&15]()|0;if((a[b+440|0]|0)!=0){uC(b)|0;Zd[c[(c[b+540>>2]|0)+44>>2]&255](b)|0}do{if((k|0)==0){r=hC(b,d,e,f,g,j)|0;ke[c[2181]&15]()|0;if((r|0)!=0){s=r;break}if((c[o>>2]|0)!=5){Xd[c[2005]&127](8e3,b);fB(b)}t=+h[b+248>>3];Fx(23,0,1641832,(p=i,i=i+16|0,h[p>>3]=+h[b+240>>3],h[p+8>>3]=t,p)|0);i=p;r=ie[c[c[b+540>>2]>>2]&127](b,n)|0;ke[c[2181]&15]()|0;iC(b,n,l)|0;ke[c[2181]&15]()|0;s=r}else{ke[c[2181]&15]()|0;s=k}}while(0);gC(b,n)|0;q=s;i=m;return q|0}function lC(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a+204|0;e=a+488|0;f=a;g=0;while(1){if((g|0)>=(c[d>>2]|0)){h=5;break}if((Zd[c[(c[e>>2]|0)+(g*48|0)+40>>2]&255](f)|0)==0){g=g+1|0}else{h=4;break}}if((h|0)==4){Jx(c[a+536>>2]|0,1674480,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g}else if((h|0)==5){mC(a);i=b;return}}function mC(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+204|0;if((c[b>>2]|0)<=0){return}d=a+488|0;e=a+12|0;f=a+4|0;a=0;do{g=c[d>>2]|0;h=(c[c[g+(a*48|0)+12>>2]>>2]|0)-(c[c[e>>2]>>2]|0)|0;i=c[(c[c[f>>2]>>2]|0)+12>>2]|0;j=g+(a*48|0)|0;k=g+(a*48|0)+4|0;e1(i+(h<<2)|0,0,ga(c[j>>2]<<2,c[k>>2]|0)|0)|0;l=g+(a*48|0)+8|0;if((c[l>>2]|0)>0){m=c[g+(a*48|0)+16>>2]|0;n=0;do{c[m+(n<<2)>>2]=n;n=n+1|0;}while((n|0)<(c[l>>2]|0))}l=c[j>>2]|0;if((l|0)>0){n=c[g+(a*48|0)+20>>2]|0;m=0;o=l;do{c[n+(m<<2)>>2]=o+~m;m=m+1|0;o=c[j>>2]|0;}while((m|0)<(o|0))}o=c[k>>2]|0;if((o|0)>0){m=0;j=o;do{c[i+(m+h+(ga(j,m)|0)<<2)>>2]=1;m=m+1|0;j=c[k>>2]|0;}while((m|0)<(j|0))}a=a+1|0;}while((a|0)<(c[b>>2]|0));return}function nC(a){a=a|0;var b=0,d=0,e=0;b=a+204|0;if((c[b>>2]|0)<=0){return}d=a+488|0;a=0;do{e=c[d>>2]|0;C0(c[e+(a*48|0)+28>>2]|0);C0(c[e+(a*48|0)+32>>2]|0);C0(c[e+(a*48|0)+16>>2]|0);C0(c[e+(a*48|0)+20>>2]|0);C0(c[e+(a*48|0)+24>>2]|0);a=a+1|0;}while((a|0)<(c[b>>2]|0));return}function oC(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0;f=i;i=i+4096|0;g=f|0;j=b+204|0;if((c[j>>2]|0)<=0){k=0;i=f;return k|0}l=b+488|0;m=d<<24>>24==0;d=(e|0)==0;n=0;o=0;while(1){p=c[l>>2]|0;q=p+(o*48|0)|0;r=B0(c[q>>2]<<2)|0;s=p+(o*48|0)+8|0;t=B0(c[s>>2]<<2)|0;pC(b,o);u=p+(o*48|0)+20|0;v=c[u>>2]|0;w=c[q>>2]|0;d1(r|0,v|0,w<<2)|0;x=p+(o*48|0)+16|0;y=c[x>>2]|0;z=c[s>>2]|0;d1(t|0,y|0,z<<2)|0;A=p+(o*48|0)+24|0;if(!((wA(c[A>>2]|0,z,w,y,v)|0)==0|m)){break}v=qC(r,c[u>>2]|0,c[q>>2]|0,c[s>>2]|0,c[p+(o*48|0)+4>>2]|0,c[p+(o*48|0)+12>>2]|0,c[p+(o*48|0)+28>>2]|0,c[p+(o*48|0)+32>>2]|0,b,e)|0;if(d){d1(c[u>>2]|0,r|0,c[q>>2]<<2)|0;d1(c[x>>2]|0,t|0,c[s>>2]<<2)|0}s=(v|0)==0?n:1;C0(r);C0(t);t=o+1|0;if((t|0)<(c[j>>2]|0)){n=s;o=t}else{k=s;B=16;break}}if((B|0)==16){i=f;return k|0}k=p+(o*48|0)+44|0;f=c[k>>2]|0;B=b+464|0;n=c[B>>2]|0;j=c[n+(f*44|0)>>2]|0;Hx(5,1,1677680,(d=i,i=i+24|0,c[d>>2]=c[n+(f*44|0)+4>>2],c[d+8>>2]=j,c[d+16>>2]=f,d)|0);i=d;f=c[B>>2]|0;if((c[f+((c[k>>2]|0)*44|0)+4>>2]|0)!=0){j=g|0;g=0;n=f;do{a[j]=0;f=c[n+((c[k>>2]|0)*44|0)>>2]|0;if((f|0)!=0){e=0;m=f;do{f=(ga(m,g)|0)+e|0;C=+h[(c[A>>2]|0)+(f<<3)>>3];Pb(j|0,1657216,(d=i,i=i+16|0,c[d>>2]=j,h[d+8>>3]=C,d)|0)|0;i=d;e=e+1|0;m=c[(c[B>>2]|0)+((c[k>>2]|0)*44|0)>>2]|0;}while(e>>>0<m>>>0)}Hx(5,0,1646024,(d=i,i=i+8|0,c[d>>2]=j,d)|0);i=d;g=g+1|0;n=c[B>>2]|0;}while(g>>>0<(c[n+((c[k>>2]|0)*44|0)+4>>2]|0)>>>0)}if((c[q>>2]|0)<=0){D=c[3794]|0;Wd[D&511](5);E=b+536|0;F=c[E>>2]|0;G=b+4|0;H=c[G>>2]|0;I=c[H>>2]|0;J=I|0;K=+h[J>>3];Jx(F,1636088,(d=i,i=i+8|0,h[d>>3]=K,d)|0);i=d;return 0}k=p+(o*48|0)+32|0;o=0;do{Hx(5,0,1646024,(d=i,i=i+8|0,c[d>>2]=c[(c[(c[k>>2]|0)+(o<<2)>>2]|0)+4>>2],d)|0);i=d;o=o+1|0;}while((o|0)<(c[q>>2]|0));D=c[3794]|0;Wd[D&511](5);E=b+536|0;F=c[E>>2]|0;G=b+4|0;H=c[G>>2]|0;I=c[H>>2]|0;J=I|0;K=+h[J>>3];Jx(F,1636088,(d=i,i=i+8|0,h[d>>3]=K,d)|0);i=d;return 0}function pC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=a+488|0;e=c[d>>2]|0;f=c[e+(b*48|0)+44>>2]|0;g=a+464|0;i=c[g>>2]|0;j=c[e+(b*48|0)+24>>2]|0;e1(j|0,0,ga(c[i+(f*44|0)+4>>2]<<3,c[i+(f*44|0)>>2]|0)|0)|0;i=c[g>>2]|0;if((c[i+(f*44|0)+24>>2]|0)==0){return}e=a;a=0;k=i;l=c[i+(f*44|0)>>2]|0;do{if((l|0)!=0){i=0;do{if(((c[(c[k+(f*44|0)+20>>2]|0)+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[k+(f*44|0)+28>>2]|0)+(i<<3)>>3]=1.0}i=i+1|0;}while(i>>>0<l>>>0)}Zd[c[(c[d>>2]|0)+(b*48|0)+36>>2]&255](e)|0;k=c[g>>2]|0;l=c[k+(f*44|0)>>2]|0;do{if((l|0)!=0){i=c[k+(f*44|0)+28>>2]|0;m=0;do{do{if(+h[i+(m<<3)>>3]==1.0){if((m|0)==0){n=0;o=k+(f*44|0)+8|0}else{p=k+(f*44|0)+8|0;n=c[(c[p>>2]|0)+(m-1<<2)>>2]|0;o=p}p=c[(c[o>>2]|0)+(m<<2)>>2]|0;if(!(n>>>0<p>>>0)){break}q=c[k+(f*44|0)+12>>2]|0;r=c[k+(f*44|0)+4>>2]|0;s=c[k+(f*44|0)+36>>2]|0;t=n;do{u=c[q+(t<<2)>>2]|0;v=(ga(r,m)|0)+u|0;h[j+(v<<3)>>3]=+h[s+(u<<3)>>3];t=t+1|0;}while(t>>>0<p>>>0)}}while(0);m=m+1|0;}while(m>>>0<l>>>0);if((l|0)==0){break}m=c[k+(f*44|0)+20>>2]|0;i=0;do{if(((c[m+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[k+(f*44|0)+28>>2]|0)+(i<<3)>>3]=0.0}i=i+1|0;}while(i>>>0<l>>>0)}}while(0);a=a+1|0;}while(a>>>0<(c[k+(f*44|0)+24>>2]|0)>>>0);return}function qC(a,b,d,e,f,g,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;n=i;o=D0(d,4)|0;p=o;q=D0(d,4)|0;r=q;if((d|0)>0){s=0;while(1){t=(s|0)<(e|0)?1:2;c[r+(c[b+(s<<2)>>2]<<2)>>2]=t;c[p+(c[a+(s<<2)>>2]<<2)>>2]=t;t=s+1|0;if((t|0)<(d|0)){s=t}else{u=0;break}}}else{u=0}while(1){if((u|0)>=(d|0)){v=0;w=8;break}if((c[r+(u<<2)>>2]|0)==(c[p+(u<<2)>>2]|0)){u=u+1|0}else{break}}if((w|0)==8){C0(o);C0(q);i=n;return v|0}if((m|0)==0){v=-1;C0(o);C0(q);i=n;return v|0}Fx(5,1,43360,(m=i,i=i+8|0,h[m>>3]=+h[c[c[l+4>>2]>>2]>>3],m)|0);i=m;rC(r,d,f,c[g>>2]|0,j,k,l);if((c[426535]|0)==0){v=-1;C0(o);C0(q);i=n;return v|0}Wd[c[3794]&511](5);v=-1;C0(o);C0(q);i=n;return v|0}function rC(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;k=i;l=e-(c[c[j+12>>2]>>2]|0)|0;e=j+4|0;m=c[(c[c[e>>2]>>2]|0)+12>>2]|0;e1(m+(l<<2)|0,0,ga(b<<2,d)|0)|0;if((b|0)<=0){i=k;return}n=j+8|0;j=0;o=0;while(1){if((c[a+(o<<2)>>2]|0)==2){p=c[c[n>>2]>>2]|0;q=c[g+(o<<2)>>2]|0;r=(c[q>>2]|0)-p|0;s=(c[c[f+(j<<2)>>2]>>2]|0)-p|0;Fx(5,0,38320,(p=i,i=i+8|0,c[p>>2]=c[q+4>>2],p)|0);i=p;c[m+(j+l+(ga(o,d)|0)<<2)>>2]=1;p=c[(c[c[e>>2]>>2]|0)+8>>2]|0;h[p+(s<<3)>>3]=+h[p+(r<<3)>>3];t=j+1|0}else{t=j}r=o+1|0;if((r|0)<(b|0)){j=t;o=r}else{break}}i=k;return}function sC(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0;d=i;e=zc(1673536,1677600)|0;f=(e|0)!=0;a[b+440|0]=f&1;if(f){g=0}else{i=d;return 0}a:while(1){while(1){f=Cb(e|0)|0;if((f|0)==(-1|0)){break a}else if((f|0)==10){break}}g=g+1|0}f=g-1|0;g=b+456|0;c[g>>2]=f;c[b+452>>2]=f;Ad(e|0);do{}while((Cb(e|0)|0)!=10);j=c[b+152>>2]|0;k=D0(f,4)|0;f=b+444|0;c[f>>2]=k;l=c[g>>2]|0;m=(l|0)>0;b:do{if(m){n=0;o=k;while(1){c[o+(n<<2)>>2]=D0(j,8)|0;p=n+1|0;if((p|0)>=(l|0)){break}n=p;o=c[f>>2]|0}o=D0(l,8)|0;n=b+448|0;c[n>>2]=o;if(!m){q=n;break}p=(j|0)>0;r=0;s=o;while(1){o=Xc(e|0,1657200,(t=i,i=i+8|0,c[t>>2]=s+(r<<3),t)|0)|0;i=t;if(p){u=0;while(1){v=Xc(e|0,1657200,(t=i,i=i+8|0,c[t>>2]=(c[(c[f>>2]|0)+(r<<2)>>2]|0)+(u<<3),t)|0)|0;i=t;w=u+1|0;if((w|0)<(j|0)){u=w}else{x=v;break}}}else{x=o}if((x|0)<0){c[g>>2]=r;y=r}else{y=c[g>>2]|0}u=r+1|0;if((u|0)>=(y|0)){q=n;break b}r=u;s=c[n>>2]|0}}else{n=b+448|0;c[n>>2]=D0(l,8)|0;q=n}}while(0);xc(1646e3,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0)|0;i=t;xc(7912,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0)|0;i=t;if((c[g>>2]|0)>0){l=(j|0)>0;y=0;do{xc(43336,(t=i,i=i+8|0,h[t>>3]=+h[(c[q>>2]|0)+(y<<3)>>3],t)|0)|0;i=t;if(l){x=0;while(1){m=x+1|0;z=+h[(c[(c[f>>2]|0)+(y<<2)>>2]|0)+(x<<3)>>3];xc(38304,(t=i,i=i+16|0,c[t>>2]=m,h[t+8>>3]=z,t)|0)|0;i=t;if((m|0)<(j|0)){x=m}else{break}}}y=y+1|0;}while((y|0)<(c[g>>2]|0))}Ec(7912)|0;Pa(e|0)|0;c[b+460>>2]=0;i=d;return 0}function tC(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;if((a[b+440|0]|0)==0){return 0}C0(c[b+448>>2]|0);d=b+452|0;e=b+444|0;b=c[e>>2]|0;if((c[d>>2]|0)>0){f=0;g=b;while(1){C0(c[g+(f<<2)>>2]|0);h=f+1|0;i=c[e>>2]|0;if((h|0)<(c[d>>2]|0)){f=h;g=i}else{j=i;break}}}else{j=b}C0(j);return 0}function uC(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0.0,v=0.0,w=0.0;if((a[b+440|0]|0)==0){d=-1;return d|0}e=+h[c[c[b+4>>2]>>2]>>3];f=b+460|0;g=c[f>>2]|0;i=g+1|0;j=c[b+448>>2]|0;a:do{if(e>+h[j+(i<<3)>>3]){k=(c[b+456>>2]|0)-1|0;l=i;m=g;while(1){n=m+1|0;if((l|0)>=(k|0)){o=n;p=m;break a}c[f>>2]=n;q=m+2|0;if(e>+h[j+(q<<3)>>3]){l=q;m=n}else{r=n;s=4;break}}}else{r=g;s=4}}while(0);if((s|0)==4){o=r+1|0;p=r}t=+h[j+(p<<3)>>3];u=+h[j+(o<<3)>>3]-t;o=c[b+152>>2]|0;if((o|0)<=0){d=0;return d|0}j=c[b+444>>2]|0;r=c[j+(p<<2)>>2]|0;s=c[j+(p+1<<2)>>2]|0;v=t+u-e;w=e-t;p=c[b+432>>2]|0;b=0;while(1){h[p+(b<<3)>>3]=(v*+h[r+(b<<3)>>3]+w*+h[s+(b<<3)>>3])/u;j=b+1|0;if((j|0)<(o|0)){b=j}else{d=0;break}}return d|0}function vC(a){a=a|0;var b=0,d=0.0,e=0,f=0,g=0,j=0,k=0,l=0,m=0;b=i;d=+wC(a,1.0);if(!(d>1.0e-5)){e=0;i=b;return e|0}if((c[426539]|0)==0){e=1;i=b;return e|0}Fx(9,1,1673040,(f=i,i=i+8|0,h[f>>3]=d,f)|0);i=f;g=a+16|0;j=c[g>>2]|0;if((j|0)>0){k=a+48|0;a=0;l=j;while(1){d=+h[(c[k>>2]|0)+(a<<3)>>3];j=a+1|0;if(+V(+d)>1.0e-5){Fx(9,0,1677440,(f=i,i=i+16|0,c[f>>2]=j,h[f+8>>3]=d,f)|0);i=f;m=c[g>>2]|0}else{m=l}if((j|0)<(m|0)){a=j;l=m}else{break}}}Wd[c[3794]&511](9);e=1;i=b;return e|0}function wC(b,d){b=b|0;d=+d;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0.0,x=0,y=0,z=0.0,A=0.0,B=0,C=0.0,D=0,E=0,F=0.0,G=0.0,H=0,I=0.0,J=0;e=c[b+60>>2]|0;LC(b);f=e+540|0;Zd[c[(c[f>>2]|0)+84>>2]&255](e)|0;Zd[c[(c[f>>2]|0)+36>>2]&255](e)|0;Zd[c[(c[f>>2]|0)+32>>2]&255](e)|0;g=b+48|0;ie[c[(c[f>>2]|0)+68>>2]&127](e,c[g>>2]|0)|0;f=e+8|0;i=c[e+184>>2]|0;if((i|0)>0){j=c[b+52>>2]|0;k=(j|0)==0;l=c[g>>2]|0;g=0;m=0.0;while(1){if(k){n=1.0}else{n=+h[j+(g<<3)>>3]}o=+h[l+(g<<3)>>3]/n;p=m+o*o;q=g+1|0;if((q|0)<(i|0)){g=q;m=p}else{r=p;break}}}else{r=0.0}if(!(d<1.0)){s=r;return+s}m=r*d;g=c[e+116>>2]|0;if((g|0)>0){i=c[f>>2]|0;l=b+56|0;r=1.0-d;j=e+4|0;k=0;q=0;n=m;while(1){if((a[i+(k*112|0)+88|0]|0)==0){t=n;u=q}else{v=c[l>>2]|0;if((v|0)==0){w=1.0;x=q}else{w=+h[v+(q<<3)>>3];x=q+1|0}p=(+h[i+(k*112|0)+96>>3]- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(k<<3)>>3])/w;t=n+p*r*p;u=x}v=k+1|0;if((v|0)<(g|0)){k=v;q=u;n=t}else{y=u;z=t;break}}}else{y=0;z=m}u=c[e+136>>2]|0;if((u|0)>0){q=c[e+24>>2]|0;k=b+56|0;m=1.0-d;x=e+416|0;j=0;i=y;t=z;while(1){do{if((a[q+(j*112|0)+88|0]|0)==0){A=t;B=i}else{if((a[q+(j*112|0)+72|0]|0)!=0){A=t;B=i;break}l=c[k>>2]|0;if((l|0)==0){C=1.0;D=i}else{C=+h[l+(i<<3)>>3];D=i+1|0}n=(+h[q+(j*112|0)+96>>3]- +h[(c[x>>2]|0)+(j<<3)>>3])/C;A=t+n*m*n;B=D}}while(0);l=j+1|0;if((l|0)<(u|0)){j=l;i=B;t=A}else{E=B;F=A;break}}}else{E=y;F=z}y=c[e+120>>2]|0;B=g-y|0;if((B|0)>=(y|0)){s=F;return+s}g=c[f>>2]|0;f=b+56|0;z=1.0-d;b=e+416|0;e=B;B=E;d=F;while(1){do{if((a[g+(e*112|0)+88|0]|0)==0){G=d;H=B}else{if((a[g+(e*112|0)+72|0]|0)!=0){G=d;H=B;break}E=c[f>>2]|0;if((E|0)==0){I=1.0;J=B}else{I=+h[E+(B<<3)>>3];J=B+1|0}F=(+h[g+(e*112|0)+96>>3]- +h[(c[b>>2]|0)+(e<<3)>>3])/I;G=d+F*z*F;H=J}}while(0);E=e+1|0;if((E|0)<(y|0)){e=E;B=H;d=G}else{s=G;break}}return+s}function xC(a,b){a=a|0;b=b|0;var d=0,e=0.0,f=0,g=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;e=+wC(b,1.0);if((c[426539]|0)==0){i=d;return}f=b+16|0;g=c[f>>2]|0;if((g|0)>0){j=c[b+48>>2]|0;k=0;l=0.0;while(1){m=+h[j+(k<<3)>>3];n=l+m*m;o=k+1|0;if((o|0)<(g|0)){k=o;l=n}else{p=n;break}}}else{p=0.0}Fx(9,1,1657176,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;g=b+52|0;if((c[g>>2]|0)==0){Fx(9,0,1636064,(k=i,i=i+8|0,h[k>>3]=p,k)|0);i=k}else{Fx(9,0,1645960,(k=i,i=i+16|0,h[k>>3]=p,h[k+8>>3]=e,k)|0);i=k}Fx(9,1,43312,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;j=b+4|0;o=c[j>>2]|0;if((o|0)>0){q=b+40|0;r=b+24|0;s=b+44|0;t=0;while(1){u=c[q>>2]|0;v=t+1|0;e=+h[(c[r>>2]|0)+(t<<3)>>3];w=c[(c[s>>2]|0)+(t<<2)>>2]|0;if((u|0)==0){Fx(9,0,33504,(k=i,i=i+24|0,c[k>>2]=v,h[k+8>>3]=e,c[k+16>>2]=w,k)|0);i=k}else{p=+h[u+(t<<3)>>3];Fx(9,0,38256,(k=i,i=i+32|0,c[k>>2]=v,h[k+8>>3]=e,c[k+16>>2]=w,h[k+24>>3]=p,k)|0);i=k}w=c[j>>2]|0;if((v|0)<(w|0)){t=v}else{x=v;y=w;break}}}else{x=0;y=o}o=b+8|0;if((x|0)<((c[o>>2]|0)+y|0)){y=b+40|0;t=b+24|0;s=b+44|0;r=x;while(1){q=c[y>>2]|0;w=r+1|0;p=+h[(c[t>>2]|0)+(r<<3)>>3];v=c[(c[s>>2]|0)+(r<<2)>>2]|0;if((q|0)==0){Fx(9,0,25560,(k=i,i=i+24|0,c[k>>2]=w,h[k+8>>3]=p,c[k+16>>2]=v,k)|0);i=k}else{e=+h[q+(r<<3)>>3];Fx(9,0,29216,(k=i,i=i+32|0,c[k>>2]=w,h[k+8>>3]=p,c[k+16>>2]=v,h[k+24>>3]=e,k)|0);i=k}if((w|0)<((c[o>>2]|0)+(c[j>>2]|0)|0)){r=w}else{z=w;break}}}else{z=x}x=b|0;if((z|0)<(c[x>>2]|0)){r=b+40|0;j=b+24|0;o=b+44|0;s=z;while(1){z=c[r>>2]|0;t=s+1|0;e=+h[(c[j>>2]|0)+(s<<3)>>3];y=c[(c[o>>2]|0)+(s<<2)>>2]|0;if((z|0)==0){Fx(9,0,1678240,(k=i,i=i+24|0,c[k>>2]=t,h[k+8>>3]=e,c[k+16>>2]=y,k)|0);i=k}else{p=+h[z+(s<<3)>>3];Fx(9,0,1682504,(k=i,i=i+32|0,c[k>>2]=t,h[k+8>>3]=e,c[k+16>>2]=y,h[k+24>>3]=p,k)|0);i=k}if((t|0)<(c[x>>2]|0)){s=t}else{break}}}Wd[c[3794]&511](9);Fx(9,1,1674320,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[f>>2]|0)>0){s=b+48|0;b=a+540|0;a=0;while(1){x=(c[g>>2]|0)==0;o=a+1|0;p=+h[(c[s>>2]|0)+(a<<3)>>3];j=Zd[c[(c[b>>2]|0)+64>>2]&255](a)|0;if(x){Fx(9,0,33504,(k=i,i=i+24|0,c[k>>2]=o,h[k+8>>3]=p,c[k+16>>2]=j,k)|0);i=k}else{e=+h[(c[g>>2]|0)+(a<<3)>>3];Fx(9,0,38256,(k=i,i=i+32|0,c[k>>2]=o,h[k+8>>3]=p,c[k+16>>2]=j,h[k+24>>3]=e,k)|0);i=k}if((o|0)<(c[f>>2]|0)){a=o}else{break}}}Wd[c[3794]&511](9);Wd[c[3794]&511](9);i=d;return}function yC(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0;d=i;e=b+8|0;if((c[426539]|0)!=0){gB(b,9)}if((c[426554]|0)==0){i=d;return}Fx(24,1,1670696,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+112|0;j=c[g>>2]|0;do{if((j|0)>0){Fx(24,1,1667696,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){k=e|0;l=b+4|0;m=b+400|0;n=0;while(1){o=n+1|0;p=c[k>>2]|0;q=c[p+(n*112|0)+4>>2]|0;r=+h[p+(n*112|0)+96>>3];s=+h[p+(n*112|0)+80>>3];t=+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(n<<3)>>3];u=+h[(c[m>>2]|0)+(n<<3)>>3];Fx(24,0,1665176,(f=i,i=i+48|0,c[f>>2]=o,c[f+8>>2]=q,h[f+16>>3]=r,h[f+24>>3]=s,h[f+32>>3]=t,h[f+40>>3]=u,f)|0);i=f;if((o|0)<(c[g>>2]|0)){n=o}else{break}}}Wd[c[3794]&511](24);n=c[g>>2]|0;if((n|0)<=0){v=n;break}Fx(24,1,1662584,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;n=c[g>>2]|0;if((n|0)<(n<<1|0)){m=e|0;l=b+4|0;k=b+400|0;o=n;while(1){n=o+1|0;q=c[(c[m>>2]|0)+(o*112|0)+4>>2]|0;u=+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(o<<3)>>3];t=+h[(c[k>>2]|0)+(o<<3)>>3];Fx(24,0,1661048,(f=i,i=i+32|0,c[f>>2]=n,c[f+8>>2]=q,h[f+16>>3]=u,h[f+24>>3]=t,f)|0);i=f;if((n|0)<(c[g>>2]<<1|0)){o=n}else{break}}}Wd[c[3794]&511](24);v=c[g>>2]|0}else{v=j}}while(0);j=b+116|0;if((v<<1|0)<(c[j>>2]|0)){Fx(24,1,1660136,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;v=c[g>>2]<<1;if((v|0)<(c[j>>2]|0)){g=e|0;e=b+4|0;o=b+400|0;k=v;while(1){v=k+1|0;l=c[g>>2]|0;m=c[l+(k*112|0)+4>>2]|0;t=+h[l+(k*112|0)+96>>3];u=+h[l+(k*112|0)+80>>3];s=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+(k<<3)>>3];r=+h[(c[o>>2]|0)+(k<<3)>>3];Fx(24,0,1665176,(f=i,i=i+48|0,c[f>>2]=v,c[f+8>>2]=m,h[f+16>>3]=t,h[f+24>>3]=u,h[f+32>>3]=s,h[f+40>>3]=r,f)|0);i=f;if((v|0)<(c[j>>2]|0)){k=v}else{break}}}Wd[c[3794]&511](24)}k=b+124|0;if((c[k>>2]|0)>0){Fx(24,1,1659248,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[k>>2]|0)>0){j=b+12|0;o=b+4|0;e=b+404|0;g=0;while(1){v=g+1|0;m=c[j>>2]|0;l=c[m+(g*60|0)+4>>2]|0;n=c[m+(g*60|0)+52>>2]|0;m=c[(c[(c[c[o>>2]>>2]|0)+12>>2]|0)+(g<<2)>>2]|0;q=c[(c[e>>2]|0)+(g<<2)>>2]|0;Fx(24,0,1658384,(f=i,i=i+40|0,c[f>>2]=v,c[f+8>>2]=l,c[f+16>>2]=n,c[f+24>>2]=m,c[f+32>>2]=q,f)|0);i=f;if((v|0)<(c[k>>2]|0)){g=v}else{break}}}Wd[c[3794]&511](24)}g=b+128|0;if((c[g>>2]|0)>0){Fx(24,1,1657552,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){k=b+16|0;e=b+4|0;o=b+408|0;j=0;while(1){v=j+1|0;q=c[k>>2]|0;m=c[q+(j*48|0)+4>>2]|0;n=(a[q+(j*48|0)+42|0]|0)!=0?1654600:1653440;q=(a[(c[(c[c[e>>2]>>2]|0)+16>>2]|0)+j|0]|0)!=0?1654600:1653440;l=(a[(c[o>>2]|0)+j|0]|0)!=0?1654600:1653440;Fx(24,0,1655696,(f=i,i=i+40|0,c[f>>2]=v,c[f+8>>2]=m,c[f+16>>2]=n,c[f+24>>2]=q,c[f+32>>2]=l,f)|0);i=f;if((v|0)<(c[g>>2]|0)){j=v}else{break}}}Wd[c[3794]&511](24)}j=b+132|0;if((c[j>>2]|0)>0){Fx(24,1,1652456,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[j>>2]|0)>0){g=b+20|0;o=b+4|0;e=b+412|0;b=0;while(1){k=b+1|0;v=c[g>>2]|0;l=c[v+(b*52|0)+4>>2]|0;q=c[v+(b*52|0)+44>>2]|0;v=c[(c[(c[c[o>>2]>>2]|0)+20>>2]|0)+(b<<2)>>2]|0;n=c[(c[e>>2]|0)+(b<<2)>>2]|0;Fx(24,0,1651296,(f=i,i=i+40|0,c[f>>2]=k,c[f+8>>2]=l,c[f+16>>2]=q,c[f+24>>2]=v,c[f+32>>2]=n,f)|0);i=f;if((k|0)<(c[j>>2]|0)){b=k}else{break}}}Wd[c[3794]&511](24)}Wd[c[3794]&511](24);i=d;return}function zC(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;k=i;l=b+540|0;m=(c[(c[l>>2]|0)+72>>2]|0)!=0?3:2;Fx(9,0,1650088,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;if((f|0)==0){dB(b);eB(b);o=6}else{if((a[f]|0)!=0){AC(b,f,g)}dB(b);eB(b);if((a[f]|0)==0){o=6}}if((o|0)==6){Zd[c[(c[l>>2]|0)+84>>2]&255](b)|0;Zd[c[(c[l>>2]|0)+60>>2]&255](b)|0}do{if((d|0)==0){p=m}else{if((a[d]|0)==0){p=m;break}o=($0(d,29936)|0)==0|0;f=($0(d,29640)|0)==0;q=($0(d,29416)|0)==0;r=q?3:f?2:o;if((r|0)!=0){p=r;break}Hx(1,0,1648216,(n=i,i=i+8|0,c[n>>2]=d,n)|0);i=n;Hx(1,0,1647304,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;Hx(1,0,1646344,(n=i,i=i+16|0,c[n>>2]=29936,c[n+8>>2]=30784,n)|0);i=n;Hx(1,0,1646344,(n=i,i=i+16|0,c[n>>2]=29640,c[n+8>>2]=30400,n)|0);i=n;Hx(1,0,1646344,(n=i,i=i+16|0,c[n>>2]=29416,c[n+8>>2]=30184,n)|0);i=n;Jx(c[b+536>>2]|0,1644696,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}while(0);do{if((e|0)==0){s=3}else{if((a[e]|0)==0){s=3;break}else{t=0;u=1}do{d=($0(e,c[1699888+(u<<2)>>2]|0)|0)==0;t=d?u:t;u=u+1|0;}while((u|0)<7);if((t|0)!=0){s=t;break}Hx(1,0,1643800,(n=i,i=i+8|0,c[n>>2]=e,n)|0);i=n;Hx(1,0,1647304,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;d=1;do{m=c[1699952+(d<<2)>>2]|0;Hx(1,0,1646344,(n=i,i=i+16|0,c[n>>2]=c[1699888+(d<<2)>>2],c[n+8>>2]=m,n)|0);i=n;d=d+1|0;}while((d|0)<7);Jx(c[b+536>>2]|0,1644696,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}while(0);e=c[1705352+(p<<2)>>2]|0;Fx(9,0,1642648,(n=i,i=i+16|0,c[n>>2]=c[1705336+(p<<2)>>2],c[n+8>>2]=e,n)|0);i=n;e=(p|0)==2;if(e){t=c[1699952+(s<<2)>>2]|0;Fx(9,0,1641792,(n=i,i=i+16|0,c[n>>2]=c[1699888+(s<<2)>>2],c[n+8>>2]=t,n)|0);i=n}t=b+312|0;a[t]=1;u=b+200|0;if((c[u>>2]|0)>0){d=b+468|0;m=0;do{a[(c[d>>2]|0)+(m*80|0)+72|0]=1;m=m+1|0;}while((m|0)<(c[u>>2]|0))}u=b+196|0;if((c[u>>2]|0)>0){m=b+476|0;d=0;do{a[(c[m>>2]|0)+(d<<6)+56|0]=1;d=d+1|0;}while((d|0)<(c[u>>2]|0))}u=b+192|0;if((c[u>>2]|0)>0){d=b+484|0;m=0;do{a[(c[d>>2]|0)+(m*40|0)+36|0]=1;m=m+1|0;}while((m|0)<(c[u>>2]|0))}do{if((p|0)==1){v=0}else{if(e){v=BC(b,s,j)|0;break}if((p|0)==3){CC(b,j);v=0;break}else{Jx(c[b+536>>2]|0,1640856,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}}while(0);do{if((NB(b,1)|0)==0){if((FB(b,1)|0)!=0){w=-3;break}j=(vB(b,1)|0)==0;w=j?v:-4}else{w=-2}}while(0);yC(b);Fx(9,0,1640064,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;a[t]=0;OA(b,+h[b+240>>3],+h[b+248>>3]);aB(b);fB(b);XA(b);Zd[c[(c[l>>2]|0)+52>>2]&255](b)|0;ie[c[(c[l>>2]|0)+96>>2]&127](b,1)|0;bB(b);i=k;return w|0}function AC(b,d,e){b=b|0;d=d|0;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0;f=i;i=i+56|0;g=f|0;j=f+48|0;Fx(9,0,28648,(k=i,i=i+16|0,c[k>>2]=d,h[k+8>>3]=e,k)|0);i=k;l=zy(d,g)|0;if((l|0)!=0){Jx(c[b+536>>2]|0,28336,(k=i,i=i+16|0,c[k>>2]=d,c[k+8>>2]=l,k)|0);i=k}Fx(9,0,28128,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;l=b+116|0;if((c[l>>2]|0)>0){d=b+8|0;m=0;do{n=Ay(g,c[(c[d>>2]|0)+(m*112|0)+4>>2]|0)|0;o=c[d>>2]|0;do{if((n|0)==0){p=FC(c[o+(m*112|0)+4>>2]|0)|0;q=Ay(g,p)|0;C0(p);p=c[d>>2]|0;if((q|0)!=0){r=q;s=p;t=7;break}q=c[p+(m*112|0)+4>>2]|0;if((a1(q,27528,6)|0)==0){if((c[426539]|0)==0){break}}else{p=a1(q,27192,6)|0;if((c[426539]|p|0)==0){break}}Hx(9,0,26944,(k=i,i=i+8|0,c[k>>2]=q,k)|0);i=k}else{r=n;s=o;t=7}}while(0);if((t|0)==7){t=0;Gy(s+(m*112|0)+96|0,g,r,e)|0;o=c[d>>2]|0;u=+h[o+(m*112|0)+96>>3];Fx(9,0,27856,(k=i,i=i+16|0,c[k>>2]=c[o+(m*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}m=m+1|0;}while((m|0)<(c[l>>2]|0))}Fx(9,0,26640,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+136|0;if((c[m>>2]|0)>0){d=b+24|0;r=0;do{s=Ay(g,c[(c[d>>2]|0)+(r*112|0)+4>>2]|0)|0;o=c[d>>2]|0;do{if((s|0)==0){n=FC(c[o+(r*112|0)+4>>2]|0)|0;q=Ay(g,n)|0;C0(n);n=c[d>>2]|0;if((q|0)!=0){v=q;w=n;t=17;break}Hx(9,0,26184,(k=i,i=i+8|0,c[k>>2]=c[n+(r*112|0)+4>>2],k)|0);i=k}else{v=s;w=o;t=17}}while(0);if((t|0)==17){t=0;Gy(w+(r*112|0)+96|0,g,v,e)|0;o=c[d>>2]|0;u=+h[o+(r*112|0)+96>>3];Fx(9,0,27856,(k=i,i=i+16|0,c[k>>2]=c[o+(r*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}r=r+1|0;}while((r|0)<(c[m>>2]|0))}Fx(9,0,25784,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+120|0;r=c[m>>2]|0;d=(c[l>>2]|0)-r|0;if((d|0)<(r|0)){r=b+24|0;l=d;do{d=Ay(g,c[(c[r>>2]|0)+(l*112|0)+4>>2]|0)|0;v=c[r>>2]|0;do{if((d|0)==0){w=FC(c[v+(l*112|0)+4>>2]|0)|0;o=Ay(g,w)|0;C0(w);w=c[r>>2]|0;if((o|0)!=0){x=o;y=w;t=24;break}Hx(9,0,26184,(k=i,i=i+8|0,c[k>>2]=c[w+(l*112|0)+4>>2],k)|0);i=k}else{x=d;y=v;t=24}}while(0);if((t|0)==24){t=0;Gy(y+(l*112|0)+96|0,g,x,e)|0;v=c[r>>2]|0;u=+h[v+(l*112|0)+96>>3];Fx(9,0,27856,(k=i,i=i+16|0,c[k>>2]=c[v+(l*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}l=l+1|0;}while((l|0)<(c[m>>2]|0))}Fx(9,0,24608,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+140|0;if((c[m>>2]|0)>0){l=b+28|0;r=0;do{x=Ay(g,c[(c[l>>2]|0)+(r*60|0)+4>>2]|0)|0;do{if((x|0)==0){y=FC(c[(c[l>>2]|0)+(r*60|0)+4>>2]|0)|0;v=Ay(g,y)|0;C0(y);if((v|0)!=0){z=v;t=31;break}Hx(9,0,23960,(k=i,i=i+8|0,c[k>>2]=c[(c[l>>2]|0)+(r*60|0)+4>>2],k)|0);i=k}else{z=x;t=31}}while(0);if((t|0)==31){t=0;Gy(j,g,z,e)|0;x=~~+h[j>>3];v=c[l>>2]|0;c[v+(r*60|0)+52>>2]=x;Fx(9,0,24344,(k=i,i=i+16|0,c[k>>2]=c[v+(r*60|0)+4>>2],c[k+8>>2]=x,k)|0);i=k}r=r+1|0;}while((r|0)<(c[m>>2]|0))}Fx(9,0,23624,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+144|0;if((c[m>>2]|0)<=0){xy(g);i=f;return}r=b+32|0;b=0;do{l=Ay(g,c[(c[r>>2]|0)+(b*48|0)+4>>2]|0)|0;do{if((l|0)==0){z=FC(c[(c[r>>2]|0)+(b*48|0)+4>>2]|0)|0;x=Ay(g,z)|0;C0(z);if((x|0)!=0){A=x;t=38;break}Hx(9,0,23104,(k=i,i=i+8|0,c[k>>2]=c[(c[r>>2]|0)+(b*48|0)+4>>2],k)|0);i=k}else{A=l;t=38}}while(0);if((t|0)==38){t=0;Gy(j,g,A,e)|0;a[(c[r>>2]|0)+(b*48|0)+42|0]=~~+h[j>>3];l=c[r>>2]|0;x=(a[l+(b*48|0)+42|0]|0)!=0?1654600:1653440;Fx(9,0,23400,(k=i,i=i+16|0,c[k>>2]=c[l+(b*48|0)+4>>2],c[k+8>>2]=x,k)|0);i=k}b=b+1|0;}while((b|0)<(c[m>>2]|0));xy(g);i=f;return}function BC(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;NA(a,+h[a+240>>3]);aB(a);fB(a);XA(a);hB(a);mC(a);YA(a);aB(a);d=DC(a,b,c)|0;fB(a);XA(a);bB(a);fB(a);return d|0}function CC(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0;e=i;i=i+4096|0;f=e|0;NA(b,+h[b+240>>3]);aB(b);fB(b);oC(b,0,1)|0;g=b+540|0;j=c[g>>2]|0;if((c[j+76>>2]|0)!=0&(d|0)>1){k=b+8|0;l=b+116|0;m=D0(c[l>>2]|0,8)|0;n=m;o=b+124|0;p=D0(c[o>>2]|0,4)|0;q=p;r=b+128|0;s=D0(c[r>>2]|0,1)|0;t=b+132|0;u=D0(c[t>>2]|0,4)|0;v=u;w=b+536|0;Ix(c[w>>2]|0,(m|0)!=0|0,1639216,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;Ix(c[w>>2]|0,(p|0)!=0|0,1639216,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;Ix(c[w>>2]|0,(s|0)!=0|0,1639216,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;Ix(c[w>>2]|0,(u|0)!=0|0,1639216,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;w=c[l>>2]|0;if((w|0)>0){y=c[k>>2]|0;z=0;do{h[n+(z<<3)>>3]=+h[y+(z*112|0)+96>>3];z=z+1|0;}while((z|0)<(w|0))}w=c[o>>2]|0;if((w|0)>0){z=c[b+12>>2]|0;y=0;do{c[q+(y<<2)>>2]=c[z+(y*60|0)+52>>2];y=y+1|0;}while((y|0)<(w|0))}w=c[r>>2]|0;if((w|0)>0){y=c[b+16>>2]|0;z=0;do{a[s+z|0]=a[y+(z*48|0)+42|0]|0;z=z+1|0;}while((z|0)<(w|0))}w=c[t>>2]|0;if((w|0)>0){z=c[b+20>>2]|0;y=0;do{c[v+(y<<2)>>2]=c[z+(y*52|0)+44>>2];y=y+1|0;}while((y|0)<(w|0))}if((c[426539]|0)==0){A=0}else{w=f|0;Pb(w|0,1638360,(x=i,i=i+8|0,c[x>>2]=c[b+88>>2],x)|0)|0;i=x;f=zc(w|0,1637424)|0;od(f|0,1636512,(x=i,i=i+8|0,c[x>>2]=1634760,x)|0)|0;i=x;if((c[l>>2]|0)>0){w=k|0;y=0;do{od(f|0,1636512,(x=i,i=i+8|0,c[x>>2]=c[(c[w>>2]|0)+(y*112|0)+4>>2],x)|0)|0;i=x;y=y+1|0;}while((y|0)<(c[l>>2]|0))}Wa(10,f|0)|0;A=f}Fx(9,1,1632888,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;a:do{if((d|0)>0){B=+(d-1|0);f=b+304|0;y=b+4|0;w=0;do{C=+(w|0)/B;h[f>>3]=C>1.0?1.0:C;Zd[c[(c[g>>2]|0)+80>>2]&255](b)|0;Fx(9,0,1632344,(x=i,i=i+8|0,h[x>>3]=+h[f>>3],x)|0);i=x;if((c[426539]|0)!=0){od(A|0,1631680,(x=i,i=i+8|0,h[x>>3]=+h[f>>3],x)|0)|0;i=x;if((c[l>>2]|0)>0){z=0;do{od(A|0,1631680,(x=i,i=i+8|0,h[x>>3]=+h[(c[(c[c[y>>2]>>2]|0)+8>>2]|0)+(z<<3)>>3],x)|0)|0;i=x;z=z+1|0;}while((z|0)<(c[l>>2]|0))}Wa(10,A|0)|0}if((NB(b,0)|0)!=0){break a}if((FB(b,0)|0)!=0){break a}if((vB(b,0)|0)!=0){break a}iB(b);w=w+1|0;}while((w|0)<(d|0))}}while(0);Wd[c[3794]&511](9);if((c[426539]|0)!=0){Pa(A|0)|0}A=c[l>>2]|0;if((A|0)>0){l=c[k>>2]|0;k=0;do{h[l+(k*112|0)+96>>3]=+h[n+(k<<3)>>3];k=k+1|0;}while((k|0)<(A|0))}if((c[o>>2]|0)>0){A=c[b+12>>2]|0;k=0;do{c[A+(k*60|0)+52>>2]=c[q+(k<<2)>>2];k=k+1|0;}while((k|0)<(c[o>>2]|0))}if((c[r>>2]|0)>0){o=b+16|0;k=0;do{a[(c[o>>2]|0)+(k*48|0)+42|0]=a[s+k|0]|0;k=k+1|0;}while((k|0)<(c[r>>2]|0))}r=c[t>>2]|0;if((r|0)>0){t=b+20|0;k=0;do{c[(c[t>>2]|0)+(k*52|0)+44>>2]=c[v+(k<<2)>>2];k=k+1|0;}while((k|0)<(r|0))}C0(m);C0(p);C0(s);C0(u)}else{h[b+304>>3]=1.0;Zd[c[j+80>>2]&255](b)|0}ZA(b);if((oC(b,1,1)|0)!=1){i=e;return}Zd[c[(c[g>>2]|0)+80>>2]&255](b)|0;ZA(b);if((oC(b,1,1)|0)!=1){i=e;return}Hx(1,0,1328888,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;i=e;return}function DC(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;f=i;g=GC(b)|0;j=g|0;k=c[j>>2]|0;if((k|0)==0){Fx(9,0,45176,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;if((c[b+184>>2]|0)==0){ie[c[(c[b+540>>2]|0)+68>>2]&127](b,c[g+48>>2]|0)|0}C0(g);m=0;i=f;return m|0}n=b+184|0;o=c[n>>2]|0;if((o|0)==0){Fx(9,0,44680,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;ie[c[(c[b+540>>2]|0)+68>>2]&127](b,c[g+48>>2]|0)|0;C0(g);m=0;i=f;return m|0}do{if((c[g+16>>2]|0)<(k|0)){Fx(9,1,44072,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;p=B0(c[j>>2]<<3)|0;q=p;r=g+40|0;s=c[r>>2]|0;c[r>>2]=0;t=+wC(g,1.0);c[r>>2]=s;u=c[j>>2]|0;if((u|0)>0){v=g+24|0;w=0;x=c[v>>2]|0;while(1){y=x+(w<<3)|0;h[y>>3]=+h[y>>3]+1.0e-6;c[r>>2]=0;h[q+(w<<3)>>3]=+V(+(+wC(g,1.0)-t))/1.0e-6;c[r>>2]=s;y=c[v>>2]|0;z=y+(w<<3)|0;h[z>>3]=+h[z>>3]+-1.0e-6;z=w+1|0;A=c[j>>2]|0;if((z|0)<(A|0)){w=z;x=y}else{B=A;break}}}else{B=u}x=c[n>>2]|0;if((x|0)>0){w=(B|0)>1;v=0;do{if(w){s=1;r=0;while(1){A=+h[q+(s<<3)>>3]>+h[q+(r<<3)>>3]?s:r;y=s+1|0;if((y|0)<(B|0)){s=y;r=A}else{C=A;break}}}else{C=0}h[q+(C<<3)>>3]=-1.0;v=v+1|0;}while((v|0)<(x|0))}Fx(9,1,43568,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;x=b+112|0;v=c[x>>2]|0;if((v|0)>0){w=b+8|0;u=g+44|0;r=g+24|0;s=0;A=0;y=v;while(1){v=(c[w>>2]|0)+(s*112|0)+72|0;if((a[v]|0)==0){if(+h[q+(A<<3)>>3]<0.0){D=y}else{a[v]=1;t=+h[(c[r>>2]|0)+(A<<3)>>3];Fx(9,0,42496,(l=i,i=i+16|0,c[l>>2]=c[(c[u>>2]|0)+(A<<2)>>2],h[l+8>>3]=t,l)|0);i=l;D=c[x>>2]|0}E=A+1|0;F=D}else{E=A;F=y}v=s+1|0;if((v|0)<(F|0)){s=v;A=E;y=F}else{G=E;break}}}else{G=0}y=b+136|0;if((c[y>>2]|0)>0){A=b+24|0;s=g+44|0;x=g+24|0;u=b+116|0;r=b+120|0;w=0;v=G;while(1){z=(c[A>>2]|0)+(w*112|0)+72|0;if((a[z]|0)==0){if(!(+h[q+(v<<3)>>3]<0.0)){a[z]=1;t=+h[(c[x>>2]|0)+(v<<3)>>3];Fx(9,0,42496,(l=i,i=i+16|0,c[l>>2]=c[(c[s>>2]|0)+(v<<2)>>2],h[l+8>>3]=t,l)|0);i=l}H=v+1|0}else{H=v}z=c[r>>2]|0;I=(c[u>>2]|0)-z|0;if((I|0)<(z|0)){J=I;K=H;L=z;while(1){z=(c[A>>2]|0)+(J*112|0)+72|0;if((a[z]|0)==0){if(+h[q+(K<<3)>>3]<0.0){M=L}else{a[z]=1;t=+h[(c[x>>2]|0)+(K<<3)>>3];Fx(9,0,42496,(l=i,i=i+16|0,c[l>>2]=c[(c[s>>2]|0)+(K<<2)>>2],h[l+8>>3]=t,l)|0);i=l;M=c[r>>2]|0}N=K+1|0;O=M}else{N=K;O=L}z=J+1|0;if((z|0)<(O|0)){J=z;K=N;L=O}else{P=z;Q=N;break}}}else{P=I;Q=H}L=P+1|0;if((L|0)<(c[y>>2]|0)){w=L;v=Q}else{break}}}if((c[426539]|0)!=0){Wd[c[3794]&511](9);Wd[c[3794]&511](9)}C0(p);HC(g);v=GC(b)|0;if((c[v>>2]|0)!=0){R=v;break}Fx(9,0,41952,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;C0(v);m=0;i=f;return m|0}else{if((o|0)<=(k|0)){R=g;break}Fx(9,0,41504,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;R=g}}while(0);do{if((d|0)==5|(d|0)==3){Fx(9,0,41016,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;EC(R,d,1,e);xC(b,R);g=c[R>>2]|0;if((g|0)<=0){break}k=c[R+24>>2]|0;o=c[R+28>>2]|0;Q=0;do{h[o+(Q<<3)>>3]=+h[k+(Q<<3)>>3];Q=Q+1|0;}while((Q|0)<(g|0))}}while(0);if(+wC(R,1.0)>1.0e-9){g=R+40|0;Q=c[g>>2]|0;if((Q|0)!=0){C0(Q);c[g>>2]=0}g=R+52|0;Q=c[g>>2]|0;if((Q|0)!=0){C0(Q);c[g>>2]=0}g=R+56|0;Q=c[g>>2]|0;if((Q|0)!=0){C0(Q);c[g>>2]=0}EC(R,d,0,e);xC(b,R);+wC(R,1.0)}else{Fx(9,0,40656,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l}Fx(9,1,40080,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;xC(b,R);b=vC(R)|0;if((c[426539]|0)!=0){Wd[c[3794]&511](9)}HC(R);m=b;i=f;return m|0}function EC(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0;f=i;i=i+8|0;g=f|0;j=c[a+60>>2]|0;h[g>>3]=0.0;k=a|0;l=B0(c[k>>2]<<3)|0;m=l;n=+wC(a,1.0);o=c[k>>2]|0;if((o|0)>0){p=c[a+28>>2]|0;q=c[a+24>>2]|0;r=0;do{s=+h[p+(r<<3)>>3];h[q+(r<<3)>>3]=s;h[m+(r<<3)>>3]=s;r=r+1|0;}while((r|0)<(o|0))}if(!(n>1.0e-12)){t=1;JC(a,m);C0(l);u=t-1|0;Fx(9,0,37400,(v=i,i=i+8|0,c[v>>2]=u,v)|0);i=v;i=f;return}o=(d|0)==0;d=a+24|0;r=1;s=n;a:while(1){Fx(9,0,39680,(v=i,i=i+8|0,c[v>>2]=r,v)|0);i=v;if(!o){IC(a)}switch(b|0){case 2:{w=OC(a)|0;break};case 3:{w=SC(a,g,e)|0;break};case 1:{w=QC(a)|0;break};case 4:{w=NC(a)|0;break};case 5:{w=NC(a)|0;break};case 6:{w=MC(j,a,0)|0;break};default:{x=15;break a}}fB(j);XA(j);bB(j);fB(j);n=+wC(a,1.0);q=(w|0)>-1;if(q&n<s){p=c[k>>2]|0;if((p|0)>0){y=c[d>>2]|0;z=0;do{h[m+(z<<3)>>3]=+h[y+(z<<3)>>3];z=z+1|0;}while((z|0)<(p|0))}Fx(9,0,38952,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v;xC(j,a);A=n}else{Fx(9,0,38600,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v;if(q&n==s){t=r;x=23;break}else{A=s}}p=r+1|0;if((p|0)<201&n>1.0e-12){r=p;s=A}else{t=p;x=23;break}}if((x|0)==15){Jx(c[j+536>>2]|0,39328,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v}else if((x|0)==23){JC(a,m);C0(l);u=t-1|0;Fx(9,0,37400,(v=i,i=i+8|0,c[v>>2]=u,v)|0);i=v;i=f;return}}function FC(b){b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=b1(b|0)|0;do{if((c|0)==0){d=0;e=B0(1)|0}else{f=0;g=0;h=c;while(1){i=a[b+g|0]|0;if((i<<24>>24|0)==91){j=f+1|0}else if((i<<24>>24|0)==93){j=f-1|0}else{j=f}if((j|0)!=0&i<<24>>24==44){k=((a[b+(g+1)|0]|0)!=32)+h|0}else{k=h}i=g+1|0;if(i>>>0<c>>>0){f=j;g=i;h=k}else{break}}h=B0(k+1|0)|0;if((k|0)==0){d=0;e=h;break}else{l=j;m=0;n=0}while(1){g=a[b+n|0]|0;if((g<<24>>24|0)==91){o=l+1|0}else if((g<<24>>24|0)==93){o=l-1|0}else{o=l}a[h+m|0]=g;do{if((o|0)!=0&g<<24>>24==44){if((a[b+(n+1)|0]|0)==32){p=m;break}f=m+1|0;a[h+f|0]=32;p=f}else{p=m}}while(0);g=p+1|0;if(g>>>0<k>>>0){l=o;m=g;n=n+1|0}else{d=k;e=h;break}}}}while(0);a[e+d|0]=0;if((_0(e,22888,4)|0)!=0){return e|0}k=e+4|0;n=d;while(1){if(n>>>0>3>>>0){if((a[e+n|0]|0)!=46){n=n-1|0;continue}}if((n|0)==3){q=23;break}m=n-3|0;d1(e|0,k|0,m)|0;o=e+m|0;C=678585700;a[o]=C;C=C>>8;a[o+1|0]=C;C=C>>8;a[o+2|0]=C;C=C>>8;a[o+3|0]=C;if((_0(e,22888,4)|0)==0){n=d}else{q=23;break}}if((q|0)==23){return e|0}return 0}function GC(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0.0,N=0.0,O=0.0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;d=i;e=B0(64)|0;f=e;Ix(0,(e|0)!=0|0,1669720,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=e;k=e+4|0;l=e+8|0;m=e+12|0;n=e+16|0;o=e+20|0;p=e+24|0;q=e+28|0;r=e+32|0;s=e+36|0;t=e+40|0;u=e+44|0;v=e+48|0;w=e+52|0;x=e+56|0;e1(e|0,0,60)|0;c[e+60>>2]=b;e=b+8|0;y=b+112|0;z=c[y>>2]|0;if((z|0)>0){A=c[e>>2]|0;B=0;C=0;while(1){if((a[A+(B*112|0)+72|0]|0)==0){D=C+1|0;c[k>>2]=D;E=D}else{E=C}D=B+1|0;if((D|0)<(z|0)){B=D;C=E}else{F=E;break}}}else{F=0}E=b+136|0;C=c[E>>2]|0;if((C|0)>0){B=c[b+24>>2]|0;z=0;k=0;while(1){if((a[B+(z*112|0)+72|0]|0)==0){A=k+1|0;c[l>>2]=A;G=A}else{G=k}A=z+1|0;if((A|0)<(C|0)){z=A;k=G}else{H=G;break}}}else{H=0}G=b+116|0;k=b+120|0;z=c[k>>2]|0;if((z|0)>0){C=c[G>>2]|0;l=c[e>>2]|0;B=C-z|0;z=0;while(1){if((a[l+(B*112|0)+72|0]|0)==0){A=z+1|0;c[m>>2]=A;I=A}else{I=z}A=B+1|0;if((A|0)<(C|0)){B=A;z=I}else{J=I;break}}}else{J=0}I=H+F+J|0;c[j>>2]=I;if((I|0)==0){i=d;return f|0}j=D0(I,8)|0;c[p>>2]=j;Ix(0,(j|0)!=0|0,1669720,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=D0(I,8)|0;c[q>>2]=j;Ix(0,(j|0)!=0|0,1669720,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=D0(I,8)|0;c[r>>2]=j;Ix(0,(j|0)!=0|0,1669720,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=D0(I,8)|0;c[s>>2]=j;Ix(0,(j|0)!=0|0,1669720,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=D0(I,8)|0;c[t>>2]=j;Ix(0,(j|0)!=0|0,1669720,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=D0(I,4)|0;z=j;c[u>>2]=z;Ix(0,(j|0)!=0|0,1669720,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;Fx(9,0,1677192,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;Fx(9,0,1656904,(g=i,i=i+32|0,c[g>>2]=I,c[g+8>>2]=F,c[g+16>>2]=H,c[g+24>>2]=J,g)|0);i=g;J=c[y>>2]|0;if((J|0)>0){H=e|0;F=0;I=0;j=z;B=J;while(1){J=c[H>>2]|0;if((a[J+(F*112|0)+72|0]|0)==0){c[j+(I<<2)>>2]=c[J+(F*112|0)+4>>2];J=c[H>>2]|0;do{if((a[J+(F*112|0)+73|0]|0)==0){K=1.0;L=(c[t>>2]|0)+(I<<3)|0}else{M=+h[J+(F*112|0)+80>>3];N=+V(+M);C=(c[t>>2]|0)+(I<<3)|0;if(!(M==0.0)){K=N;L=C;break}K=1.0;L=C}}while(0);h[L>>3]=K;C=J+(F*112|0)+96|0;m=(c[p>>2]|0)+(I<<3)|0;h[m>>3]=+h[C>>3];l=(c[q>>2]|0)+(I<<3)|0;h[l>>3]=+h[C>>3];h[(c[r>>2]|0)+(I<<3)>>3]=+h[J+(F*112|0)+56>>3];h[(c[s>>2]|0)+(I<<3)>>3]=+h[J+(F*112|0)+64>>3];C=I+1|0;A=c[u>>2]|0;D=c[A+(I<<2)>>2]|0;N=+h[l>>3];M=+h[L>>3];O=+h[m>>3];Fx(9,0,1645792,(g=i,i=i+40|0,c[g>>2]=C,c[g+8>>2]=D,h[g+16>>3]=N,h[g+24>>3]=M,h[g+32>>3]=O,g)|0);i=g;P=C;Q=A;R=c[y>>2]|0}else{P=I;Q=j;R=B}A=F+1|0;if((A|0)<(R|0)){F=A;I=P;j=Q;B=R}else{S=P;T=Q;break}}}else{S=0;T=z}z=c[E>>2]|0;if((z|0)>0){Q=b+24|0;P=0;R=S;B=T;j=z;while(1){z=c[Q>>2]|0;if((a[z+(P*112|0)+72|0]|0)==0){c[B+(R<<2)>>2]=c[z+(P*112|0)+4>>2];z=c[Q>>2]|0;K=+h[z+(P*112|0)+80>>3];O=+V(+K);I=(c[t>>2]|0)+(R<<3)|0;h[I>>3]=K==0.0?1.0:O;F=z+(P*112|0)+96|0;y=(c[p>>2]|0)+(R<<3)|0;h[y>>3]=+h[F>>3];L=(c[q>>2]|0)+(R<<3)|0;h[L>>3]=+h[F>>3];h[(c[r>>2]|0)+(R<<3)>>3]=+h[z+(P*112|0)+56>>3];h[(c[s>>2]|0)+(R<<3)>>3]=+h[z+(P*112|0)+64>>3];z=R+1|0;F=c[u>>2]|0;H=c[F+(R<<2)>>2]|0;O=+h[L>>3];K=+h[I>>3];M=+h[y>>3];Fx(9,0,1635792,(g=i,i=i+40|0,c[g>>2]=z,c[g+8>>2]=H,h[g+16>>3]=O,h[g+24>>3]=K,h[g+32>>3]=M,g)|0);i=g;U=z;W=F;X=c[E>>2]|0}else{U=R;W=B;X=j}F=P+1|0;if((F|0)<(X|0)){P=F;R=U;B=W;j=X}else{Y=U;Z=W;break}}}else{Y=S;Z=T}T=c[k>>2]|0;if((T|0)>0){S=c[G>>2]|0;W=e|0;U=S-T|0;T=Y;Y=Z;Z=S;while(1){S=c[W>>2]|0;if((a[S+(U*112|0)+72|0]|0)==0){c[Y+(T<<2)>>2]=c[S+(U*112|0)+4>>2];S=c[W>>2]|0;do{if((a[S+(U*112|0)+73|0]|0)==0){_=1.0;$=(c[t>>2]|0)+(T<<3)|0}else{M=+h[S+(U*112|0)+80>>3];K=+V(+M);X=(c[t>>2]|0)+(T<<3)|0;if(!(M==0.0)){_=K;$=X;break}_=1.0;$=X}}while(0);h[$>>3]=_;J=S+(U*112|0)+96|0;X=(c[p>>2]|0)+(T<<3)|0;h[X>>3]=+h[J>>3];j=(c[q>>2]|0)+(T<<3)|0;h[j>>3]=+h[J>>3];h[(c[r>>2]|0)+(T<<3)>>3]=+h[S+(U*112|0)+56>>3];h[(c[s>>2]|0)+(T<<3)>>3]=+h[S+(U*112|0)+64>>3];J=T+1|0;B=c[u>>2]|0;R=c[B+(T<<2)>>2]|0;K=+h[j>>3];M=+h[$>>3];O=+h[X>>3];Fx(9,0,43168,(g=i,i=i+40|0,c[g>>2]=J,c[g+8>>2]=R,h[g+16>>3]=K,h[g+24>>3]=M,h[g+32>>3]=O,g)|0);i=g;aa=J;ba=B;ca=c[G>>2]|0}else{aa=T;ba=Y;ca=Z}B=U+1|0;if((B|0)<(ca|0)){U=B;T=aa;Y=ba;Z=ca}else{break}}}ca=c[b+184>>2]|0;c[n>>2]=ca;c[o>>2]=0;n=c[G>>2]|0;if((n|0)>0){G=c[e>>2]|0;Z=0;ba=0;while(1){if((a[G+(Z*112|0)+88|0]|0)==0){da=ba}else{Y=ba+1|0;c[o>>2]=Y;da=Y}Y=Z+1|0;if((Y|0)<(n|0)){Z=Y;ba=da}else{ea=da;break}}}else{ea=0}da=c[E>>2]|0;if((da|0)>0){E=c[b+24>>2]|0;ba=0;Z=ea;while(1){do{if((a[E+(ba*112|0)+88|0]|0)==0){fa=Z}else{if((a[E+(ba*112|0)+72|0]|0)!=0){fa=Z;break}G=Z+1|0;c[o>>2]=G;fa=G}}while(0);S=ba+1|0;if((S|0)<(da|0)){ba=S;Z=fa}else{ga=fa;break}}}else{ga=ea}ea=c[k>>2]|0;if((ea|0)>0){k=c[e>>2]|0;e=n-ea|0;ea=ga;while(1){do{if((a[k+(e*112|0)+88|0]|0)==0){ha=ea}else{if((a[k+(e*112|0)+72|0]|0)!=0){ha=ea;break}fa=ea+1|0;c[o>>2]=fa;ha=fa}}while(0);fa=e+1|0;if((fa|0)<(n|0)){e=fa;ea=ha}else{ia=ha;break}}}else{ia=ga}ga=c[b+176>>2]|0;ha=c[b+180>>2]|0;Fx(9,0,38088,(g=i,i=i+24|0,c[g>>2]=ca,c[g+8>>2]=ga,c[g+16>>2]=ha,g)|0);i=g;Fx(9,0,33320,(g=i,i=i+8|0,c[g>>2]=ia,g)|0);i=g;ha=D0(ca,8)|0;c[v>>2]=ha;Ix(0,(ha|0)!=0|0,1669720,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;ha=B0(ca<<3)|0;v=ha;c[w>>2]=v;Ix(0,(ha|0)!=0|0,1669720,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;ha=B0(ia<<3)|0;w=ha;c[x>>2]=w;Ix(0,(ha|0)!=0|0,1669720,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;if((ca|0)>0){g=0;do{h[v+(g<<3)>>3]=1.0;g=g+1|0;}while((g|0)<(ca|0))}if((ia|0)>0){ja=0}else{i=d;return f|0}do{h[w+(ja<<3)>>3]=1.0;ja=ja+1|0;}while((ja|0)<(ia|0));i=d;return f|0}function HC(a){a=a|0;var b=0,d=0;b=c[a+24>>2]|0;if((b|0)!=0){C0(b)}b=c[a+28>>2]|0;if((b|0)!=0){C0(b)}b=c[a+32>>2]|0;if((b|0)!=0){C0(b)}b=c[a+36>>2]|0;if((b|0)!=0){C0(b)}b=c[a+40>>2]|0;if((b|0)!=0){C0(b)}b=c[a+44>>2]|0;if((b|0)!=0){C0(b)}b=c[a+48>>2]|0;if((b|0)!=0){C0(b)}b=c[a+52>>2]|0;if((b|0)!=0){C0(b)}b=c[a+56>>2]|0;if((b|0)==0){d=a;C0(d);return}C0(b);d=a;C0(d);return}function IC(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0.0,Y=0.0,Z=0,_=0,$=0;d=i;e=c[b+60>>2]|0;f=b+40|0;if((c[f>>2]|0)==0){i=d;return}g=b+52|0;j=c[g>>2]|0;if((j|0)==0){i=d;return}k=b+56|0;l=c[k>>2]|0;if((l|0)==0){i=d;return}m=b+16|0;n=c[m>>2]|0;o=D0(n,8)|0;p=o;q=D0(n,8)|0;r=q;s=b+20|0;t=c[s>>2]|0;u=D0(t,8)|0;v=u;w=D0(t,8)|0;x=w;y=D0(n,8)|0;z=y;A=D0(t,8)|0;B=A;if((n|0)>0){C=0;do{h[j+(C<<3)>>3]=1.0;C=C+1|0;}while((C|0)<(n|0))}if((t|0)>0){n=0;do{h[l+(n<<3)>>3]=1.0;n=n+1|0;}while((n|0)<(t|0))}+wC(b,1.0);t=c[m>>2]|0;if((t|0)>0){d1(o|0,c[b+48>>2]|0,(t|0)>1?t<<3:8)|0}n=e+8|0;l=e+116|0;C=c[l>>2]|0;if((C|0)>0){j=c[n>>2]|0;D=e+4|0;E=0;F=0;while(1){if((a[j+(F*112|0)+88|0]|0)==0){G=E}else{h[v+(E<<3)>>3]=+h[j+(F*112|0)+96>>3]- +h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+(F<<3)>>3];G=E+1|0}H=F+1|0;if((H|0)<(C|0)){E=G;F=H}else{I=G;break}}}else{I=0}G=e+136|0;F=c[G>>2]|0;if((F|0)>0){E=c[e+24>>2]|0;D=e+4|0;j=I;H=0;while(1){do{if((a[E+(H*112|0)+88|0]|0)==0){J=j}else{if((a[E+(H*112|0)+72|0]|0)!=0){J=j;break}h[v+(j<<3)>>3]=+h[E+(H*112|0)+96>>3]- +h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+(H<<3)>>3];J=j+1|0}}while(0);K=H+1|0;if((K|0)<(F|0)){j=J;H=K}else{L=J;break}}}else{L=I}I=e+120|0;J=c[I>>2]|0;if((J|0)>0){H=c[n>>2]|0;j=e+4|0;F=L;L=C-J|0;while(1){do{if((a[H+(L*112|0)+88|0]|0)==0){M=F}else{if((a[H+(L*112|0)+72|0]|0)!=0){M=F;break}h[v+(F<<3)>>3]=+h[H+(L*112|0)+96>>3]- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(L<<3)>>3];M=F+1|0}}while(0);J=L+1|0;if((J|0)<(C|0)){F=M;L=J}else{break}}}L=b|0;if((c[L>>2]|0)>0){M=b+24|0;F=n|0;n=e+4|0;C=e+24|0;e=b+48|0;j=0;H=c[M>>2]|0;while(1){J=H+(j<<3)|0;h[J>>3]=+h[J>>3]+1.0e-6;+wC(b,1.0);J=c[m>>2]|0;D=(J|0)>0;if(D){d1(q|0,c[e>>2]|0,(J|0)>1?J<<3:8)|0}E=c[l>>2]|0;if((E|0)>0){K=c[F>>2]|0;N=0;O=0;while(1){if((a[K+(O*112|0)+88|0]|0)==0){P=N}else{h[x+(N<<3)>>3]=+h[K+(O*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(O<<3)>>3];P=N+1|0}Q=O+1|0;if((Q|0)<(E|0)){N=P;O=Q}else{R=P;break}}}else{R=0}O=c[G>>2]|0;if((O|0)>0){N=c[C>>2]|0;K=R;Q=0;while(1){do{if((a[N+(Q*112|0)+88|0]|0)==0){S=K}else{if((a[N+(Q*112|0)+72|0]|0)!=0){S=K;break}h[x+(K<<3)>>3]=+h[N+(Q*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(Q<<3)>>3];S=K+1|0}}while(0);T=Q+1|0;if((T|0)<(O|0)){K=S;Q=T}else{U=S;break}}}else{U=R}Q=c[I>>2]|0;if((Q|0)>0){K=c[F>>2]|0;O=U;N=E-Q|0;while(1){do{if((a[K+(N*112|0)+88|0]|0)==0){W=O}else{if((a[K+(N*112|0)+72|0]|0)!=0){W=O;break}h[x+(O<<3)>>3]=+h[K+(N*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(N<<3)>>3];W=O+1|0}}while(0);Q=N+1|0;if((Q|0)<(E|0)){O=W;N=Q}else{break}}}if(D){X=+h[(c[f>>2]|0)+(j<<3)>>3];N=0;do{Y=+V(+(X*(+h[r+(N<<3)>>3]- +h[p+(N<<3)>>3])/1.0e-6));O=z+(N<<3)|0;if(Y>+h[O>>3]){h[O>>3]=Y}N=N+1|0;}while((N|0)<(J|0))}N=c[s>>2]|0;if((N|0)>0){X=+h[(c[f>>2]|0)+(j<<3)>>3];D=0;do{Y=+V(+(X*(+h[x+(D<<3)>>3]- +h[v+(D<<3)>>3])/1.0e-6));O=B+(D<<3)|0;if(Y>+h[O>>3]){h[O>>3]=Y}D=D+1|0;}while((D|0)<(N|0))}N=c[M>>2]|0;D=N+(j<<3)|0;h[D>>3]=+h[D>>3]+-1.0e-6;D=j+1|0;if((D|0)<(c[L>>2]|0)){j=D;H=N}else{Z=J;break}}}else{Z=t}if((Z|0)>0){t=0;H=Z;while(1){X=+h[z+(t<<3)>>3];Z=(c[g>>2]|0)+(t<<3)|0;if(X<1.0e-42){h[Z>>3]=1.0;j=t+1|0;Fx(9,0,29144,(L=i,i=i+8|0,c[L>>2]=j,L)|0);i=L;_=c[m>>2]|0;$=j}else{h[Z>>3]=X;_=H;$=t+1|0}if(($|0)<(_|0)){t=$;H=_}else{break}}}if((c[s>>2]|0)>0){_=0;do{X=+h[B+(_<<3)>>3];h[(c[k>>2]|0)+(_<<3)>>3]=X<1.0e-42?1.0:X;_=_+1|0;}while((_|0)<(c[s>>2]|0))}C0(o);C0(q);C0(u);C0(w);C0(y);C0(A);i=d;return}function JC(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[a>>2]|0;if((d|0)<=0){return}e=c[a+24>>2]|0;a=0;do{h[e+(a<<3)>>3]=+h[b+(a<<3)>>3];a=a+1|0;}while((a|0)<(d|0));return}function KC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0;d=c[a>>2]|0;if((d|0)<=0){return}e=c[a+40>>2]|0;f=(e|0)==0;g=c[a+24>>2]|0;a=0;do{i=+h[b+(a<<3)>>3];if(f){j=i}else{j=i*+h[e+(a<<3)>>3]}h[g+(a<<3)>>3]=j;a=a+1|0;}while((a|0)<(d|0));return}function LC(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=c[b+60>>2]|0;e=c[d+112>>2]|0;if((e|0)>0){f=b+24|0;g=c[d+8>>2]|0;i=0;j=0;while(1){if((a[g+(i*112|0)+72|0]|0)==0){h[(c[(c[c[d+4>>2]>>2]|0)+8>>2]|0)+(i<<3)>>3]=+h[(c[f>>2]|0)+(j<<3)>>3];k=j+1|0}else{k=j}l=i+1|0;if((l|0)<(e|0)){i=l;j=k}else{m=k;break}}}else{m=0}k=c[d+136>>2]|0;if((k|0)>0){j=b+24|0;i=c[d+24>>2]|0;e=0;f=m;while(1){if((a[i+(e*112|0)+72|0]|0)==0){h[(c[d+416>>2]|0)+(e<<3)>>3]=+h[(c[j>>2]|0)+(f<<3)>>3];n=f+1|0}else{n=f}g=e+1|0;if((g|0)<(k|0)){e=g;f=n}else{o=n;break}}}else{o=m}m=c[d+116>>2]|0;n=c[d+120>>2]|0;if((n|0)<=0){return}f=b+24|0;b=c[d+8>>2]|0;e=m-n|0;n=o;while(1){if((a[b+(e*112|0)+72|0]|0)==0){h[(c[d+400>>2]|0)+(e<<3)>>3]=+h[(c[f>>2]|0)+(n<<3)>>3];p=n+1|0}else{p=n}o=e+1|0;if((o|0)<(m|0)){e=o;n=p}else{break}}return}function MC(a,b,d){a=a|0;b=b|0;d=d|0;Jx(c[a+536>>2]|0,1669224,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function NC(a){a=a|0;Jx(0,1669176,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function OC(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+40|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;j=b+32|0;c[d>>2]=(c[426539]|0)!=0?1e3:0;k=a|0;l=c[k>>2]|0;c[e>>2]=l*1e3|0;h[f>>3]=1.0e-12;h[g>>3]=10.0;m=l<<1|1;c[j>>2]=m;n=D0((ga(m+13|0,m+l|0)|0)+((ga(l*3|0,l+3|0)|0)/2|0)|0,8)|0;Ix(0,(n|0)!=0|0,1669152,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;c[428924]=c[a+60>>2];c[428920]=c[a+48>>2];nA(k,j,c[a+24>>2]|0,g,f,d,e,n,4);C0(n);c[428924]=0;c[428920]=0;n=vC(a)|0;i=b;return n|0}function PC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+64|0;f=e|0;c[f>>2]=c[a>>2];c[f+4>>2]=-1;c[f+8>>2]=-1;c[f+16>>2]=0;c[f+20>>2]=0;c[f+24>>2]=b;e1(f+28|0,0,20)|0;c[f+48>>2]=c[428920];c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=c[428924];h[d>>3]=+wC(f,1.0);i=e;return}function QC(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0;b=i;i=i+64|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;j=b+32|0;k=b+40|0;l=b+48|0;m=b+56|0;h[d>>3]=0.0;h[e>>3]=0.0;h[f>>3]=0.0;c[g>>2]=0;c[j>>2]=0;c[k>>2]=0;c[l>>2]=0;c[m>>2]=0;n=a|0;o=c[n>>2]<<3;p=B0(o)|0;q=p;r=B0(o)|0;o=r;Ix(0,(p|0)!=0|0,1669e3,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;Ix(0,(r|0)!=0|0,1669e3,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;r=c[n>>2]|0;if((r|0)>0){s=c[a+24>>2]|0;t=0;do{u=+h[s+(t<<3)>>3];if(u!=0.0){v=+V(+u)/1.0e3}else{v=1.0}h[q+(t<<3)>>3]=v;h[o+(t<<3)>>3]=0.0;t=t+1|0;}while((t|0)<(r|0))}t=r*1e3|0;c[m>>2]=t;if((c[426539]|0)==0){w=-1}else{w=(t|0)/10|0}c[g>>2]=w;h[e>>3]=1.0e-12;c[j>>2]=r;c[k>>2]=0;h[f>>3]=1.0e-12;v=+wC(a,1.0);h[d>>3]=v;if(v!=0.0){c[428922]=c[a+60>>2];c[428918]=c[a+48>>2];kA(c[a+24>>2]|0,q,n,d,m,g,e,j,k,f,o,6,l);c[428922]=0;c[428918]=0}else{Fx(9,0,1676944,(p=i,i=i+8|0,h[p>>3]=v,p)|0);i=p}v=+wC(a,1.0);h[d>>3]=v;Fx(9,0,1656872,(p=i,i=i+8|0,h[p>>3]=v,p)|0);i=p;o=c[l>>2]|0;do{if((o|0)==4){Hx(9,0,38016,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-4;i=b;return x|0}else if((o|0)==2){Hx(9,0,1635696,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-2;i=b;return x|0}else if((o|0)==3){Hx(9,0,43088,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-3;i=b;return x|0}else if((o|0)==1){if(!(+h[f>>3]<+h[d>>3])){break}Hx(9,0,1645688,(p=i,i=i+8|0,c[p>>2]=c[m>>2],p)|0);i=p;x=-1;i=b;return x|0}}while(0);x=vC(a)|0;i=b;return x|0}function RC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+64|0;f=e|0;c[f>>2]=c[a>>2];c[f+4>>2]=-1;c[f+8>>2]=-1;c[f+16>>2]=0;c[f+20>>2]=0;c[f+24>>2]=b;e1(f+28|0,0,20)|0;c[f+48>>2]=c[428918];c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=c[428922];h[d>>3]=+wC(f,1.0);i=e;return}function SC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0;e=i;i=i+8|0;f=e|0;g=ga(d*1e3|0,c[a>>2]|0)|0;c[f>>2]=0;Fx(9,1,1668728,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;if((c[426539]|0)==0){k=0}else{k=(g|0)/10|0}TC(a,d,g,k,b,f);Fx(9,0,1676928,(j=i,i=i+8|0,c[j>>2]=c[f>>2],j)|0);i=j;Wd[c[3794]&511](9);if(+h[b>>3]<1.0){l=-1;i=e;return l|0}b=vC(a)|0;if((b|0)==0){l=0;i=e;return l|0}Hx(9,0,1656824,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;l=b;i=e;return l|0}function TC(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0.0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0,ea=0,fa=0,ha=0,ia=0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0;j=i;i=i+4096|0;k=a|0;l=c[k>>2]|0;m=l+1|0;n=l<<3;o=B0(ga(n,m)|0)|0;p=o;q=B0(m<<3)|0;r=q;s=B0(n)|0;t=s;u=B0(n)|0;v=u;w=B0(n)|0;x=w;y=B0(n)|0;n=y;z=+h[f>>3];if((c[426539]|0)!=0&z<1.0){A=j|0;Pb(A|0,1645672,(B=i,i=i+8|0,c[B>>2]=c[(c[a+60>>2]|0)+88>>2],B)|0)|0;i=B;C=zc(A|0,1635688)|0;od(C|0,43072,(B=i,i=i+8|0,c[B>>2]=38e3,B)|0)|0;i=B;od(C|0,43072,(B=i,i=i+8|0,c[B>>2]=33296,B)|0)|0;i=B;if((c[k>>2]|0)>0){A=a+44|0;D=0;do{od(C|0,43072,(B=i,i=i+8|0,c[B>>2]=c[(c[A>>2]|0)+(D<<2)>>2],B)|0)|0;i=B;D=D+1|0;}while((D|0)<(c[k>>2]|0))}Wa(10,C|0)|0;od(C|0,25376,(B=i,i=i+8|0,c[B>>2]=0,B)|0)|0;i=B;od(C|0,1682360,(B=i,i=i+8|0,h[B>>3]=z,B)|0)|0;i=B;if((c[k>>2]|0)>0){D=a+24|0;A=0;do{od(C|0,1682360,(B=i,i=i+8|0,h[B>>3]=+h[(c[D>>2]|0)+(A<<3)>>3],B)|0)|0;i=B;A=A+1|0;}while((A|0)<(c[k>>2]|0))}Wa(10,C|0)|0;E=C}else{E=0}Ix(0,(o|0)!=0|0,1678056,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Ix(0,(q|0)!=0|0,1678056,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Ix(0,(s|0)!=0|0,1678056,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Ix(0,(u|0)!=0|0,1678056,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Ix(0,(w|0)!=0|0,1678056,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Ix(0,(y|0)!=0|0,1678056,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;C=c[a+40>>2]|0;A=(l|0)>0;do{if((C|0)==0){if(!A){F=0;break}D=(m|0)>0;G=a+24|0;H=0;while(1){if(D){I=(c[G>>2]|0)+(H<<3)|0;J=0;do{h[p+((ga(J,l)|0)+H<<3)>>3]=+h[I>>3];J=J+1|0;}while((J|0)<(m|0))}J=H+1|0;if((J|0)<(l|0)){H=J}else{K=14;break}}}else{if(!A){F=0;break}H=c[a+24>>2]|0;G=(m|0)>0;D=0;while(1){L=+h[H+(D<<3)>>3]/+h[C+(D<<3)>>3];if(G){J=0;do{h[p+((ga(J,l)|0)+D<<3)>>3]=L;J=J+1|0;}while((J|0)<(m|0))}J=D+1|0;if((J|0)<(l|0)){D=J}else{K=14;break}}}}while(0);do{if((K|0)==14){C=(l|0)>0;if(C){M=0}else{F=0;break}while(1){A=p+((ga(M,l)|0)+M<<3)|0;h[A>>3]=+h[A>>3]+1.0;A=M+1|0;if((A|0)<(l|0)){M=A}else{F=C;break}}}}while(0);M=(m|0)>0;C=a+16|0;L=+(m|0);N=+(l|0);A=(e|0)==0;D=a+48|0;O=1.0/+(b-1|0);b=(E|0)==0;G=a+24|0;H=l<<3;P=0.0;J=0;Q=z;a:while(1){I=Q>=1.0;R=Q<1.0;S=P;T=J;b:while(1){U=T;c:while(1){W=U+1|0;if(M){X=0;do{KC(a,p+((ga(X,l)|0)<<3)|0);h[r+(X<<3)>>3]=+wC(a,Q);X=X+1|0;}while((X|0)<(m|0))}if(F){X=1;Y=0;while(1){Z=+h[r+(X<<3)>>3]<+h[r+(Y<<3)>>3]?X:Y;_=X+1|0;if((_|0)<(m|0)){X=_;Y=Z}else{$=Z;break}}}else{$=0}aa=ga($,l)|0;ba=p+(aa<<3)|0;KC(a,ba);+wC(a,Q);Y=c[C>>2]|0;if((Y|0)>0){X=c[D>>2]|0;Z=0;z=0.0;do{ca=+V(+(+h[X+(Z<<3)>>3]));z=ca>z?ca:z;Z=Z+1|0;}while((Z|0)<(Y|0));da=z<1.0e-12}else{da=1}if(I&da|(W|0)>(d|0)){break a}do{if(M){Y=$;Z=$;X=0;while(1){ca=+h[r+(X<<3)>>3];_=ca>+h[r+(Y<<3)>>3];ea=_?X:Y;fa=_?Y:Z;ha=ca<=+h[r+(fa<<3)>>3]|(X|0)==(ea|0)?fa:X;fa=X+1|0;if((fa|0)<(m|0)){Y=ea;Z=ha;X=fa}else{break}}if(M){ia=0;ja=0.0}else{ka=0.0;la=ea;ma=ha;break}do{ja=ja+ +h[r+(ia<<3)>>3];ia=ia+1|0;}while((ia|0)<(m|0));ca=ja/L;if(M){na=0;oa=0.0}else{ka=0.0;la=ea;ma=ha;break}while(1){pa=+h[r+(na<<3)>>3]-ca;qa=oa+pa*pa;X=na+1|0;if((X|0)<(m|0)){na=X;oa=qa}else{ka=qa;la=ea;ma=ha;break}}}else{ka=0.0;la=$;ma=$}}while(0);z=ka/N;do{if(!A){if(((W|0)%(e|0)|0|0)!=0){break}ca=+h[r+($<<3)>>3];qa=+h[r+(la<<3)>>3];Fx(9,0,1674248,(B=i,i=i+32|0,h[B>>3]=Q,c[B+8>>2]=W,h[B+16>>3]=ca,h[B+24>>3]=qa,B)|0);i=B}}while(0);if(z<1.0e-8&R){break b}if(F){e1(y|0,0,H|0)|0}if(M){X=0;do{if(!((X|0)==(la|0)|F^1)){Z=ga(X,l)|0;Y=0;do{fa=n+(Y<<3)|0;h[fa>>3]=+h[p+(Y+Z<<3)>>3]+ +h[fa>>3];Y=Y+1|0;}while((Y|0)<(l|0))}X=X+1|0;}while((X|0)<(m|0))}do{if(F){X=0;do{Y=n+(X<<3)|0;h[Y>>3]=+h[Y>>3]/N;X=X+1|0;}while((X|0)<(l|0));if(!F){break}X=ga(la,l)|0;Y=0;do{z=+h[n+(Y<<3)>>3];h[t+(Y<<3)>>3]=z+(z- +h[p+(Y+X<<3)>>3]);Y=Y+1|0;}while((Y|0)<(l|0))}}while(0);KC(a,t);ra=+wC(a,Q);z=+h[r+($<<3)>>3];do{if(!(z>ra)){if(ra>+h[r+(ma<<3)>>3]){break}if(!F){U=W;continue c}d1(o+(ga(H,la)|0)|0,s|0,H)|0;U=W;continue c}}while(0);if(ra>z){break}if(F){Y=0;do{qa=+h[n+(Y<<3)>>3];h[v+(Y<<3)>>3]=qa+(+h[t+(Y<<3)>>3]-qa)*2.0;Y=Y+1|0;}while((Y|0)<(l|0))}KC(a,v);if(+wC(a,Q)<ra){if(!F){U=W;continue}d1(o+(ga(H,la)|0)|0,u|0,H)|0;U=W;continue}else{if(!F){U=W;continue}d1(o+(ga(H,la)|0)|0,s|0,H)|0;U=W;continue}}if(+h[r+(ma<<3)>>3]>ra){K=90;break a}z=+h[r+(la<<3)>>3];if(ra<z){if(F){U=0;do{qa=+h[n+(U<<3)>>3];h[x+(U<<3)>>3]=qa+(+h[t+(U<<3)>>3]-qa)*.5;U=U+1|0;}while((U|0)<(l|0))}KC(a,x);sa=+wC(a,Q)}else{if(F){U=ga(la,l)|0;Y=0;do{qa=+h[n+(Y<<3)>>3];h[x+(Y<<3)>>3]=qa+(+h[p+(Y+U<<3)>>3]-qa)*.5;Y=Y+1|0;}while((Y|0)<(l|0))}KC(a,x);sa=+wC(a,Q)}if(sa<z){if(!F){S=sa;T=W;continue}d1(o+(ga(H,la)|0)|0,w|0,H)|0;S=sa;T=W;continue}if(M){ta=0}else{S=sa;T=W;continue}while(1){if(F){Y=ga(ta,l)|0;U=0;do{X=p+(U+Y<<3)|0;h[X>>3]=(+h[X>>3]+ +h[p+(U+aa<<3)>>3])*.5;U=U+1|0;}while((U|0)<(l|0))}U=ta+1|0;if((U|0)<(m|0)){ta=U}else{S=sa;T=W;continue b}}}z=Q+O;qa=z>1.0?1.0:z;z=+h[r+($<<3)>>3];Fx(9,0,1670624,(B=i,i=i+24|0,h[B>>3]=qa,c[B+8>>2]=W,h[B+16>>3]=z,B)|0);i=B;if(b){P=S;J=W;Q=qa;continue}od(E|0,25376,(B=i,i=i+8|0,c[B>>2]=W,B)|0)|0;i=B;od(E|0,1682360,(B=i,i=i+8|0,h[B>>3]=qa,B)|0)|0;i=B;if((c[k>>2]|0)>0){T=0;do{od(E|0,1682360,(B=i,i=i+8|0,h[B>>3]=+h[(c[G>>2]|0)+(T<<3)>>3],B)|0)|0;i=B;T=T+1|0;}while((T|0)<(c[k>>2]|0))}Wa(10,E|0)|0;P=S;J=W;Q=qa}if((K|0)==90){Hx(9,0,1667648,(B=i,i=i+8|0,h[B>>3]=ra,B)|0);i=B;Hx(9,0,1665160,(B=i,i=i+8|0,h[B>>3]=S,B)|0);i=B;Jx(0,1662528,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B}KC(a,ba);if((f|0)!=0){h[f>>3]=Q}if((g|0)!=0){c[g>>2]=W}if(b){C0(u);C0(s);C0(w);C0(y);C0(q);C0(o);i=j;return}od(E|0,25376,(B=i,i=i+8|0,c[B>>2]=W,B)|0)|0;i=B;od(E|0,1682360,(B=i,i=i+8|0,h[B>>3]=Q,B)|0)|0;i=B;if((c[k>>2]|0)>0){W=0;do{od(E|0,1682360,(B=i,i=i+8|0,h[B>>3]=+h[(c[G>>2]|0)+(W<<3)>>3],B)|0)|0;i=B;W=W+1|0;}while((W|0)<(c[k>>2]|0))}Wa(10,E|0)|0;Pa(E|0)|0;C0(u);C0(s);C0(w);C0(y);C0(q);C0(o);i=j;return}function UC(a,b){a=a|0;b=b|0;return}function VC(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=i;f=c[b+12>>2]|0;pz(3);sz(0);g=+kz(0);pz(0);j=d+4|0;od(f|0,1668440,(k=i,i=i+8|0,h[k>>3]=+h[c[c[j>>2]>>2]>>3],k)|0)|0;i=k;if((c[b+8>>2]|0)!=0){od(f|0,1668440,(k=i,i=i+8|0,h[k>>3]=g,k)|0)|0;i=k}b=d+116|0;l=c[b>>2]|0;if((l|0)>0){m=d+8|0;n=0;o=l;while(1){if((a[(c[m>>2]|0)+(n*112|0)+104|0]|0)==0){od(f|0,1668440,(k=i,i=i+8|0,h[k>>3]=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(n<<3)>>3],k)|0)|0;i=k;p=c[b>>2]|0}else{p=o}l=n+1|0;if((l|0)<(p|0)){n=l;o=p}else{break}}}p=d+124|0;o=c[p>>2]|0;if((o|0)>0){n=d+12|0;b=0;m=o;while(1){if((a[(c[n>>2]|0)+(b*60|0)+56|0]|0)==0){od(f|0,1676920,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+12>>2]|0)+(b<<2)>>2],k)|0)|0;i=k;q=c[p>>2]|0}else{q=m}o=b+1|0;if((o|0)<(q|0)){b=o;m=q}else{break}}}q=d+128|0;m=c[q>>2]|0;if((m|0)>0){b=d+16|0;p=0;n=m;while(1){if((a[(c[b>>2]|0)+(p*48|0)+44|0]|0)==0){od(f|0,1676920,(k=i,i=i+8|0,c[k>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+p|0]|0,k)|0)|0;i=k;r=c[q>>2]|0}else{r=n}m=p+1|0;if((m|0)<(r|0)){p=m;n=r}else{break}}}r=d+132|0;n=c[r>>2]|0;if((n|0)>0){p=d+20|0;q=0;b=n;while(1){if((a[(c[p>>2]|0)+(q*52|0)+48|0]|0)==0){od(f|0,1656816,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+20>>2]|0)+(q<<2)>>2],k)|0)|0;i=k;s=c[r>>2]|0}else{s=b}n=q+1|0;if((n|0)<(s|0)){q=n;b=s}else{break}}}s=d+216|0;if((c[s>>2]|0)>0){b=d+40|0;q=0;do{r=c[b>>2]|0;do{if((a[r+(q*52|0)+48|0]|0)==0){p=a[r+(q*52|0)+8|0]|0;if((p<<24>>24|0)==2){t=c[c[j>>2]>>2]|0}else if((p<<24>>24|0)==1){break}else{t=(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(c[r+(q*52|0)+4>>2]<<3)|0}g=+h[t>>3];if((c[r+(q*52|0)>>2]|0)==0){od(f|0,1668440,(k=i,i=i+8|0,h[k>>3]=g,k)|0)|0;i=k;break}else{od(f|0,1668440,(k=i,i=i+8|0,h[k>>3]=-0.0-g,k)|0)|0;i=k;break}}}while(0);q=q+1|0;}while((q|0)<(c[s>>2]|0))}s=d+220|0;if((c[s>>2]|0)>0){q=d+44|0;t=0;do{b=c[q>>2]|0;do{if((a[b+(t*52|0)+48|0]|0)==0){if((a[b+(t*52|0)+8|0]|0)==1){break}r=c[(c[(c[c[j>>2]>>2]|0)+12>>2]|0)+(c[b+(t*52|0)+4>>2]<<2)>>2]|0;if((c[b+(t*52|0)>>2]|0)==0){od(f|0,1676920,(k=i,i=i+8|0,c[k>>2]=r,k)|0)|0;i=k;break}else{od(f|0,1676920,(k=i,i=i+8|0,c[k>>2]=-r,k)|0)|0;i=k;break}}}while(0);t=t+1|0;}while((t|0)<(c[s>>2]|0))}s=d+224|0;if((c[s>>2]|0)>0){t=d+48|0;q=0;do{b=c[t>>2]|0;do{if((a[b+(q*52|0)+48|0]|0)==0){if((a[b+(q*52|0)+8|0]|0)==1){break}r=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+(c[b+(q*52|0)+4>>2]|0)|0]|0;if((c[b+(q*52|0)>>2]|0)==0){od(f|0,1676920,(k=i,i=i+8|0,c[k>>2]=r<<24>>24,k)|0)|0;i=k;break}else{od(f|0,1676920,(k=i,i=i+8|0,c[k>>2]=r<<24>>24!=1,k)|0)|0;i=k;break}}}while(0);q=q+1|0;}while((q|0)<(c[s>>2]|0))}s=d+228|0;q=c[s>>2]|0;if((q|0)<=0){u=Wa(10,f|0)|0;sz(3);i=e;return}t=d+52|0;d=0;b=q;while(1){q=c[t>>2]|0;do{if((a[q+(d*52|0)+48|0]|0)==0){if((a[q+(d*52|0)+8|0]|0)==1){v=b;break}od(f|0,1656816,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+20>>2]|0)+(c[q+(d*52|0)+4>>2]<<2)>>2],k)|0)|0;i=k;v=c[s>>2]|0}else{v=b}}while(0);q=d+1|0;if((q|0)<(v|0)){d=q;b=v}else{break}}u=Wa(10,f|0)|0;sz(3);i=e;return}function WC(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=i;f=b|0;g=zc(c[f>>2]|0,1635680)|0;h=c[d+536>>2]|0;j=c[f>>2]|0;f=_c(c[(Zc()|0)>>2]|0)|0;Ix(h,(g|0)!=0|0,43016,(h=i,i=i+16|0,c[h>>2]=j,c[h+8>>2]=f,h)|0);i=h;od(g|0,1656816,(h=i,i=i+8|0,c[h>>2]=37976,h)|0)|0;i=h;if((c[b+8>>2]|0)!=0){od(g|0,1656816,(h=i,i=i+8|0,c[h>>2]=33184,h)|0)|0;i=h}f=d+116|0;j=c[f>>2]|0;if((j|0)>0){k=d+8|0;l=0;m=j;while(1){j=c[k>>2]|0;if((a[j+(l*112|0)+104|0]|0)==0){od(g|0,1656816,(h=i,i=i+8|0,c[h>>2]=c[j+(l*112|0)+4>>2],h)|0)|0;i=h;n=c[f>>2]|0}else{n=m}j=l+1|0;if((j|0)<(n|0)){l=j;m=n}else{break}}}n=d+124|0;m=c[n>>2]|0;if((m|0)>0){l=d+12|0;f=0;k=m;while(1){m=c[l>>2]|0;if((a[m+(f*60|0)+56|0]|0)==0){od(g|0,1656816,(h=i,i=i+8|0,c[h>>2]=c[m+(f*60|0)+4>>2],h)|0)|0;i=h;o=c[n>>2]|0}else{o=k}m=f+1|0;if((m|0)<(o|0)){f=m;k=o}else{break}}}o=d+128|0;k=c[o>>2]|0;if((k|0)>0){f=d+16|0;n=0;l=k;while(1){k=c[f>>2]|0;if((a[k+(n*48|0)+44|0]|0)==0){od(g|0,1656816,(h=i,i=i+8|0,c[h>>2]=c[k+(n*48|0)+4>>2],h)|0)|0;i=h;p=c[o>>2]|0}else{p=l}k=n+1|0;if((k|0)<(p|0)){n=k;l=p}else{break}}}p=d+132|0;l=c[p>>2]|0;if((l|0)>0){n=d+20|0;o=0;f=l;while(1){l=c[n>>2]|0;if((a[l+(o*52|0)+48|0]|0)==0){od(g|0,1656816,(h=i,i=i+8|0,c[h>>2]=c[l+(o*52|0)+4>>2],h)|0)|0;i=h;q=c[p>>2]|0}else{q=f}l=o+1|0;if((l|0)<(q|0)){o=l;f=q}else{break}}}q=d+216|0;f=c[q>>2]|0;if((f|0)>0){o=d+40|0;p=0;n=f;while(1){f=c[o>>2]|0;do{if((a[f+(p*52|0)+48|0]|0)==0){if((a[f+(p*52|0)+8|0]|0)==1){r=n;break}od(g|0,1656816,(h=i,i=i+8|0,c[h>>2]=c[f+(p*52|0)+16>>2],h)|0)|0;i=h;r=c[q>>2]|0}else{r=n}}while(0);f=p+1|0;if((f|0)<(r|0)){p=f;n=r}else{break}}}r=d+220|0;n=c[r>>2]|0;if((n|0)>0){p=d+44|0;q=0;o=n;while(1){n=c[p>>2]|0;do{if((a[n+(q*52|0)+48|0]|0)==0){if((a[n+(q*52|0)+8|0]|0)==1){s=o;break}od(g|0,1656816,(h=i,i=i+8|0,c[h>>2]=c[n+(q*52|0)+16>>2],h)|0)|0;i=h;s=c[r>>2]|0}else{s=o}}while(0);n=q+1|0;if((n|0)<(s|0)){q=n;o=s}else{break}}}s=d+224|0;o=c[s>>2]|0;if((o|0)>0){q=d+48|0;r=0;p=o;while(1){o=c[q>>2]|0;do{if((a[o+(r*52|0)+48|0]|0)==0){if((a[o+(r*52|0)+8|0]|0)==1){t=p;break}od(g|0,1656816,(h=i,i=i+8|0,c[h>>2]=c[o+(r*52|0)+16>>2],h)|0)|0;i=h;t=c[s>>2]|0}else{t=p}}while(0);o=r+1|0;if((o|0)<(t|0)){r=o;p=t}else{break}}}t=d+228|0;p=c[t>>2]|0;if((p|0)<=0){u=Wa(10,g|0)|0;v=g;w=b+12|0;c[w>>2]=v;i=e;return}r=d+52|0;d=0;s=p;while(1){p=c[r>>2]|0;do{if((a[p+(d*52|0)+48|0]|0)==0){if((a[p+(d*52|0)+8|0]|0)==1){x=s;break}od(g|0,1656816,(h=i,i=i+8|0,c[h>>2]=c[p+(d*52|0)+16>>2],h)|0)|0;i=h;x=c[t>>2]|0}else{x=s}}while(0);p=d+1|0;if((p|0)<(x|0)){d=p;s=x}else{break}}u=Wa(10,g|0)|0;v=g;w=b+12|0;c[w>>2]=v;i=e;return}function XC(a,b){a=a|0;b=b|0;b=c[a+12>>2]|0;pz(3);Pa(b|0)|0;sz(3);return}function YC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;i=i+72|0;e=d|0;f=d+8|0;g=d+16|0;j=d+24|0;k=d+40|0;l=d+56|0;m=c[a+12>>2]|0;c[g>>2]=0;n=m;NU(j,n);o=m+184|0;p=k;c[p>>2]=c[o>>2];c[p+4>>2]=c[o+4>>2];c[p+8>>2]=c[o+8>>2];c[p+12>>2]=c[o+12>>2];OU(n,k)|0;ZC(b,g,e,f,+h[m+224>>3],+h[m+232>>3]);m=c[g>>2]|0;_C(a,b,1668312,c[f>>2]|0,c[e>>2]|0,m,8);C0(m);c[g>>2]=0;g=l;m=j;c[g>>2]=c[m>>2];c[g+4>>2]=c[m+4>>2];c[g+8>>2]=c[m+8>>2];c[g+12>>2]=c[m+12>>2];OU(n,l)|0;i=d;return}function ZC(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0;k=i;c[e>>2]=2;l=b+136|0;m=b+140|0;n=b+144|0;o=(c[l>>2]|0)+1+(c[m>>2]|0)+(c[n>>2]|0)|0;c[f>>2]=o;p=D0(ga(c[e>>2]|0,o)|0,8)|0;c[d>>2]=p;Ix(c[b+536>>2]|0,(p|0)!=0|0,1674088,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;p=c[d>>2]|0;h[p>>3]=g;d=c[f>>2]|0;h[p+(d<<3)>>3]=j;f=c[l>>2]|0;if((f|0)>0){l=c[b+416>>2]|0;o=0;do{e=l+(o<<3)|0;o=o+1|0;h[p+(o<<3)>>3]=+h[e>>3];h[p+(d+o<<3)>>3]=+h[e>>3];}while((o|0)<(f|0))}o=f+1|0;f=c[m>>2]|0;if((f|0)>0){m=c[b+420>>2]|0;l=0;do{j=+(c[m+(l<<2)>>2]|0);e=l+o|0;h[p+(e<<3)>>3]=j;h[p+(d+e<<3)>>3]=j;l=l+1|0;}while((l|0)<(f|0))}l=f+o|0;o=c[n>>2]|0;if((o|0)<=0){i=k;return}n=c[b+424>>2]|0;b=0;do{f=n+b|0;m=l+b|0;h[p+(m<<3)>>3]=+(a[f]|0);h[p+(d+m<<3)>>3]=+(a[f]|0);b=b+1|0;}while((b|0)<(o|0));i=k;return}function _C(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;j=i;k=c[a+12>>2]|0;iD(a,b,d,e,f,h);MU(k,g,ga(ga(f,e)|0,h)|0)|0;if(hT(k+(c[(c[k>>2]|0)-12>>2]|0)|0)|0){Jx(c[b+536>>2]|0,1682320,(b=i,i=i+8|0,c[b>>2]=c[a>>2],b)|0);i=b}else{i=j;return}}function $C(a){a=a|0;if((aE(a+4|0)|0)!=0){return}kT(a+(c[(c[a>>2]|0)-12>>2]|0)|0,4);return}function aD(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+104|0;e=d|0;f=d+8|0;g=d+16|0;j=d+24|0;k=d+32|0;l=d+40|0;m=d+56|0;n=d+72|0;o=d+88|0;p=H0(320)|0;e1(p|0,0,320)|0;bD(p);q=a+12|0;c[q>>2]=p;r=(c[b+140>>2]|0)+(c[b+136>>2]|0)+(c[b+144>>2]|0)|0;c[e>>2]=0;c[j>>2]=0;c[k>>2]=0;pz(3);s=a+8|0;t=cD(c[s>>2]|0,c[q>>2]|0,b)|0;q=p+316|0;c[q>>2]=t;u=dD(a,b,t+r|0)|0;t=p+184|0;eD(l,-1,-1);v=l;c[t>>2]=c[v>>2];c[t+4>>2]=c[v+4>>2];c[t+8>>2]=c[v+8>>2];c[t+12>>2]=c[v+12>>2];v=p+200|0;eD(m,-1,-1);l=m;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];c[v+12>>2]=c[l+12>>2];c[p+216>>2]=0;l=p+224|0;h[l>>3]=+h[b+240>>3];m=p+232|0;h[m>>3]=+h[b+248>>3];w=a|0;fD(p,c[w>>2]|0,36);if(hT(p+(c[(c[p>>2]|0)-12>>2]|0)|0)|0){Jx(c[b+536>>2]|0,1676888,(x=i,i=i+8|0,c[x>>2]=c[w>>2],x)|0);i=x}_C(a,b,1656808,4,11,1706e3,1);gD((c[q>>2]|0)+r|0,u,e,f,g,0,0)|0;x=c[e>>2]|0;_C(a,b,1645664,c[f>>2]|0,c[g>>2]|0,x,1);C0(x);c[e>>2]=0;gD((c[q>>2]|0)+r|0,u,e,f,g,0,1)|0;x=c[e>>2]|0;_C(a,b,1635664,c[f>>2]|0,c[g>>2]|0,x,1);C0(x);c[e>>2]=0;hD(a,b,j,f,g,c[q>>2]|0,r);_C(a,b,43e3,c[g>>2]|0,c[f>>2]|0,c[j>>2]|0,4);r=p;NU(n,r);q=n;c[t>>2]=c[q>>2];c[t+4>>2]=c[q+4>>2];c[t+8>>2]=c[q+8>>2];c[t+12>>2]=c[q+12>>2];ZC(b,k,f,g,+h[l>>3],+h[m>>3]);m=c[k>>2]|0;_C(a,b,1668312,c[g>>2]|0,c[f>>2]|0,m,8);NU(o,r);f=o;c[v>>2]=c[f>>2];c[v+4>>2]=c[f+4>>2];c[v+8>>2]=c[f+8>>2];c[v+12>>2]=c[f+12>>2];f=jD(p+240|0)|0;v=jD(p+264|0)|0;o=jD(p+288|0)|0;iD(a,b,37968,f+1+v+o+(c[p+312>>2]|0)+(c[s>>2]|0)|0,0,8);C0(m);C0(c[j>>2]|0);c[k>>2]=0;c[j>>2]=0;sU(r)|0;C0(u);sz(3);i=d;return}function bD(a){a=a|0;kG(a);return}function cD(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=(b|0)==0?1:2;c[g>>2]=0;b=e+116|0;l=c[b>>2]|0;if((l|0)>0){m=e+8|0;n=d+240|0;o=0;p=k;q=l;while(1){if((a[(c[m>>2]|0)+(o*112|0)+104|0]|0)==0){c[(oF(n,g)|0)>>2]=p;r=p+1|0;s=c[g>>2]|0;t=c[b>>2]|0}else{r=p;s=o;t=q}l=s+1|0;c[g>>2]=l;if((l|0)<(t|0)){o=l;p=r;q=t}else{u=r;break}}}else{u=k}c[h>>2]=0;k=e+124|0;r=c[k>>2]|0;if((r|0)>0){t=e+12|0;q=d+264|0;p=0;o=u;g=r;while(1){if((a[(c[t>>2]|0)+(p*60|0)+56|0]|0)==0){c[(oF(q,h)|0)>>2]=o;v=o+1|0;w=c[h>>2]|0;x=c[k>>2]|0}else{v=o;w=p;x=g}r=w+1|0;c[h>>2]=r;if((r|0)<(x|0)){p=r;o=v;g=x}else{y=v;break}}}else{y=u}c[j>>2]=0;u=e+128|0;v=c[u>>2]|0;if((v|0)>0){x=e+16|0;g=d+288|0;o=0;p=y;h=v;while(1){if((a[(c[x>>2]|0)+(o*48|0)+44|0]|0)==0){c[(oF(g,j)|0)>>2]=p;z=p+1|0;A=c[j>>2]|0;B=c[u>>2]|0}else{z=p;A=o;B=h}v=A+1|0;c[j>>2]=v;if((v|0)<(B|0)){o=v;p=z;h=B}else{C=z;break}}}else{C=y}y=c[e+216>>2]|0;if((y|0)>0){z=c[e+40>>2]|0;B=C;h=0;while(1){p=((a[z+(h*52|0)+48|0]|0)==0)+B|0;o=h+1|0;if((o|0)<(y|0)){B=p;h=o}else{D=p;break}}}else{D=C}C=c[e+220>>2]|0;if((C|0)>0){h=c[e+44>>2]|0;B=D;y=0;while(1){z=((a[h+(y*52|0)+48|0]|0)==0)+B|0;p=y+1|0;if((p|0)<(C|0)){B=z;y=p}else{E=z;break}}}else{E=D}D=d+312|0;c[D>>2]=0;d=c[e+224>>2]|0;if((d|0)<=0){F=E;i=f;return F|0}y=c[e+48>>2]|0;e=E;E=0;B=0;while(1){if((a[y+(E*52|0)+48|0]|0)==0){if((c[y+(E*52|0)>>2]|0)==0){G=B}else{C=B+1|0;c[D>>2]=C;G=C}H=e+1|0;I=G}else{H=e;I=B}C=E+1|0;if((C|0)<(d|0)){e=H;E=C;B=I}else{F=H;break}}i=f;return F|0}function dD(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=c[b+12>>2]|0;l=B0(e<<2)|0;e=l;c[e>>2]=1648;if((c[b+8>>2]|0)==0){m=1}else{c[l+4>>2]=19280;m=2}l=c[d+116>>2]|0;if((l|0)>0){b=c[d+8>>2]|0;n=m;o=0;while(1){if((a[b+(o*112|0)+104|0]|0)==0){c[e+(n<<2)>>2]=b+(o*112|0);p=n+1|0}else{p=n}q=o+1|0;if((q|0)<(l|0)){n=p;o=q}else{r=p;break}}}else{r=m}m=c[d+124>>2]|0;if((m|0)>0){p=c[d+12>>2]|0;o=r;n=0;while(1){if((a[p+(n*60|0)+56|0]|0)==0){c[e+(o<<2)>>2]=p+(n*60|0);s=o+1|0}else{s=o}l=n+1|0;if((l|0)<(m|0)){o=s;n=l}else{t=s;break}}}else{t=r}r=c[d+128>>2]|0;if((r|0)>0){s=c[d+16>>2]|0;n=t;o=0;while(1){if((a[s+(o*48|0)+44|0]|0)==0){c[e+(n<<2)>>2]=s+(o*48|0);u=n+1|0}else{u=n}m=o+1|0;if((m|0)<(r|0)){n=u;o=m}else{v=u;break}}}else{v=t}t=c[d+216>>2]|0;if((t|0)>0){u=c[d+40>>2]|0;o=v;n=0;while(1){if((a[u+(n*52|0)+48|0]|0)==0){c[e+(o<<2)>>2]=u+(n*52|0)+12;w=o+1|0}else{w=o}r=n+1|0;if((r|0)<(t|0)){o=w;n=r}else{x=w;break}}}else{x=v}v=c[d+220>>2]|0;if((v|0)>0){w=c[d+44>>2]|0;n=x;o=0;while(1){if((a[w+(o*52|0)+48|0]|0)==0){c[e+(n<<2)>>2]=w+(o*52|0)+12;y=n+1|0}else{y=n}t=o+1|0;if((t|0)<(v|0)){n=y;o=t}else{z=y;break}}}else{z=x}x=c[d+224>>2]|0;if((x|0)>0){y=c[d+48>>2]|0;o=z;n=0;while(1){if((a[y+(n*52|0)+48|0]|0)==0){c[e+(o<<2)>>2]=y+(n*52|0)+12;A=o+1|0}else{A=o}v=n+1|0;if((v|0)<(x|0)){o=A;n=v}else{B=A;break}}}else{B=z}c[g>>2]=0;z=d+136|0;if((c[z>>2]|0)>0){A=d+24|0;n=k+252|0;o=0;x=B;y=1;while(1){v=x+1|0;c[e+(x<<2)>>2]=(c[A>>2]|0)+(o*112|0);c[(oF(n,g)|0)>>2]=y;w=y+1|0;t=(c[g>>2]|0)+1|0;c[g>>2]=t;if((t|0)<(c[z>>2]|0)){o=t;x=v;y=w}else{C=v;D=w;break}}}else{C=B;D=1}c[h>>2]=0;B=d+140|0;if((c[B>>2]|0)>0){y=d+28|0;x=k+276|0;o=0;z=C;g=D;while(1){n=z+1|0;c[e+(z<<2)>>2]=(c[y>>2]|0)+(o*60|0);c[(oF(x,h)|0)>>2]=g;A=g+1|0;w=(c[h>>2]|0)+1|0;c[h>>2]=w;if((w|0)<(c[B>>2]|0)){o=w;z=n;g=A}else{E=n;F=A;break}}}else{E=C;F=D}c[j>>2]=0;D=d+144|0;if((c[D>>2]|0)<=0){i=f;return e|0}C=d+32|0;d=k+300|0;k=0;g=E;E=F;while(1){c[e+(g<<2)>>2]=(c[C>>2]|0)+(k*48|0);c[(oF(d,j)|0)>>2]=E;F=(c[j>>2]|0)+1|0;c[j>>2]=F;if((F|0)<(c[D>>2]|0)){k=F;g=g+1|0;E=E+1|0}else{break}}i=f;return e|0}function eD(a,b,c){a=a|0;b=b|0;c=c|0;$D(a,b,c);return}function fD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=(_D(a+4|0,b,d|16)|0)==0;d=a+(c[(c[a>>2]|0)-12>>2]|0)|0;if(e){kT(d,4);return}else{iT(d,0);return}}function gD(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;c[f>>2]=a;c[e>>2]=0;k=(a|0)>0;do{if(k){l=0;m=0;while(1){n=c[b+(l<<2)>>2]|0;o=b1(c[(h?n+8|0:n+4|0)>>2]|0)|0;if((o|0)>(m|0)){c[e>>2]=o;p=o}else{p=m}o=l+1|0;if((o|0)<(a|0)){l=o;m=p}else{break}}m=D0((ga(c[f>>2]|0,p)|0)+1|0,1)|0;c[d>>2]=m;Ix(0,(m|0)!=0|0,25352,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;if(!k){break}m=0;l=c[d>>2]|0;o=c[e>>2]|0;while(1){n=b+(m<<2)|0;r=c[n>>2]|0;c1(l|0,c[(h?r+8|0:r+4|0)>>2]|0,o+1|0)|0;if(g){r=c[n>>2]|0;nD(l,b1(c[(h?r+8|0:r+4|0)>>2]|0)|0)}r=c[e>>2]|0;n=m+1|0;if((n|0)<(a|0)){m=n;l=l+r|0;o=r}else{s=r;break}}t=c[f>>2]|0;u=ga(t,s)|0;i=j;return u|0}else{o=D0(1,1)|0;c[d>>2]=o;Ix(0,(o|0)!=0|0,25352,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q}}while(0);s=c[e>>2]|0;t=c[f>>2]|0;u=ga(t,s)|0;i=j;return u|0}function hD(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;k=i;i=i+56|0;l=k|0;m=k+8|0;n=k+16|0;o=k+24|0;p=k+32|0;q=k+40|0;r=k+48|0;s=c[b+12>>2]|0;c[f>>2]=j+h;c[g>>2]=4;g=D0(c[f>>2]<<2,4)|0;c[e>>2]=g;Ix(c[d+536>>2]|0,(g|0)!=0|0,1678016,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=s+240|0;f=jD(g)|0;h=s+264|0;t=jD(h)|0;u=s+288|0;v=jD(u)|0;w=b+8|0;if((f+1+t+v|0)==(-(c[w>>2]|0)|0)){x=0;y=1}else{v=c[e>>2]|0;t=0;f=1;b=0;while(1){c[v+(t<<2)>>2]=2;c[v+((t|1)<<2)>>2]=f;c[v+((t|2)<<2)>>2]=0;z=t+4|0;c[v+((t|3)<<2)>>2]=-1;A=f+1|0;B=b+1|0;C=jD(g)|0;D=jD(h)|0;E=jD(u)|0;if(B>>>0<(C+1+D+E+(c[w>>2]|0)|0)>>>0){t=z;f=A;b=B}else{x=z;y=A;break}}}b=d+216|0;if((c[b>>2]|0)>0){f=d+40|0;t=s+252|0;w=x;v=0;while(1){A=c[f>>2]|0;do{if((a[A+(v*52|0)+48|0]|0)==0){z=a[A+(v*52|0)+8|0]|0;if((z<<24>>24|0)==1){oD(l,t,A+(v*52|0)+4|0);qD(n,t);if(!(pD(l,n)|0)){F=w;break}G=1;H=(c[(rD(l)|0)+4>>2]|0)+1|0}else if((z<<24>>24|0)==2){G=2;H=1}else if((z<<24>>24|0)==0){oD(l,g,A+(v*52|0)+4|0);qD(m,g);if(!(pD(l,m)|0)){F=w;break}G=2;H=(c[(rD(l)|0)+4>>2]|0)+1|0}else{F=w;break}z=c[e>>2]|0;c[z+(w<<2)>>2]=G;if((c[(c[f>>2]|0)+(v*52|0)>>2]|0)==0){c[z+(w+1<<2)>>2]=H}else{c[z+(w+1<<2)>>2]=-H}c[z+(w+2<<2)>>2]=0;c[z+(w+3<<2)>>2]=-1;F=w+4|0}else{F=w}}while(0);A=v+1|0;if((A|0)<(c[b>>2]|0)){w=F;v=A}else{I=F;break}}}else{I=x}x=d+220|0;if((c[x>>2]|0)>0){F=d+44|0;v=s+276|0;w=I;b=0;while(1){H=c[F>>2]|0;do{if((a[H+(b*52|0)+48|0]|0)==0){f=a[H+(b*52|0)+8|0]|0;if((f<<24>>24|0)==1){oD(l,v,H+(b*52|0)+4|0);qD(p,v);J=(pD(l,p)|0)&1}else if((f<<24>>24|0)==0){oD(l,h,H+(b*52|0)+4|0);qD(o,h);f=pD(l,o)|0;J=f?2:0}else{K=w;break}if((J|0)==0){K=w;break}f=c[e>>2]|0;c[f+(w<<2)>>2]=J;G=(c[(c[F>>2]|0)+(b*52|0)>>2]|0)==0;m=c[(rD(l)|0)+4>>2]|0;if(G){c[f+(w+1<<2)>>2]=m+1}else{c[f+(w+1<<2)>>2]=~m}c[f+(w+2<<2)>>2]=0;c[f+(w+3<<2)>>2]=-1;K=w+4|0}else{K=w}}while(0);H=b+1|0;if((H|0)<(c[x>>2]|0)){w=K;b=H}else{L=K;break}}}else{L=I}I=d+224|0;if((c[I>>2]|0)>0){K=d+48|0;d=s+300|0;s=L;b=y;y=0;while(1){w=c[K>>2]|0;do{if((a[w+(y*52|0)+48|0]|0)==0){if((c[w+(y*52|0)>>2]|0)==0){x=a[w+(y*52|0)+8|0]|0;if((x<<24>>24|0)==0){oD(l,u,w+(y*52|0)+4|0);qD(q,u);F=pD(l,q)|0;M=F?2:0}else if((x<<24>>24|0)==1){oD(l,d,w+(y*52|0)+4|0);qD(r,d);M=(pD(l,r)|0)&1}else{N=b;O=s;break}if((M|0)==0){N=b;O=s;break}P=M;Q=c[K>>2]|0}else{P=2;Q=w}x=c[e>>2]|0;c[x+(s<<2)>>2]=P;if((c[Q+(y*52|0)>>2]|0)==0){c[x+(s+1<<2)>>2]=(c[(rD(l)|0)+4>>2]|0)+1;R=b}else{c[x+(s+1<<2)>>2]=b;R=b+1|0}c[x+(s+2<<2)>>2]=0;c[x+(s+3<<2)>>2]=-1;N=R;O=s+4|0}else{N=b;O=s}}while(0);w=y+1|0;if((w|0)<(c[I>>2]|0)){s=O;b=N;y=w}else{S=O;break}}}else{S=L}if((j|0)==0){i=k;return}L=c[e>>2]|0;e=0;do{O=(e<<2)+S|0;c[L+(O<<2)>>2]=1;c[L+(O+1<<2)>>2]=e+2;c[L+(O+2<<2)>>2]=0;c[L+(O+3<<2)>>2]=0;e=e+1|0;}while(e>>>0<j>>>0);i=k;return}function iD(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;i=i+24|0;j=h|0;k=c[a+12>>2]|0;c[j>>2]=(g|0)==4?20:(g|0)==1?51:0;c[j+4>>2]=e;c[j+8>>2]=f;c[j+12>>2]=0;f=j+16|0;c[f>>2]=(b1(d|0)|0)+1;e=k;MU(e,j,20)|0;j=k;if(hT(k+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Jx(c[b+536>>2]|0,1682320,(l=i,i=i+8|0,c[l>>2]=c[a>>2],l)|0);i=l}MU(e,d,c[f>>2]|0)|0;if(hT(k+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Jx(c[b+536>>2]|0,1682320,(l=i,i=i+8|0,c[l>>2]=c[a>>2],l)|0);i=l}else{i=h;return}}function jD(a){a=a|0;return c[(XD(a|0)|0)>>2]|0}function kD(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+16|0;e=d|0;f=a+12|0;g=c[f>>2]|0;h=g;pz(3);do{if(gT(g+(c[(c[g>>2]|0)-12>>2]|0)|0)|0){j=g+200|0;k=e;c[k>>2]=c[j>>2];c[k+4>>2]=c[j+4>>2];c[k+8>>2]=c[j+8>>2];c[k+12>>2]=c[j+12>>2];OU(g,e)|0;j=jD(g+240|0)|0;k=jD(g+264|0)|0;l=jD(g+288|0)|0;iD(a,b,37968,j+1+k+l+(c[g+312>>2]|0)+(c[a+8>>2]|0)|0,c[g+216>>2]|0,8);$C(g)}else{if((g|0)!=0){break}c[f>>2]=0;sz(3);i=d;return}}while(0);lD(h);J0(g);c[f>>2]=0;sz(3);i=d;return}function lD(a){a=a|0;tE(a);return}function mD(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=i;i=i+16|0;f=e|0;g=e+8|0;j=c[b+12>>2]|0;h[f>>3]=0.0;pz(3);sz(0);h[g>>3]=+kz(0);pz(0);k=j;l=d+4|0;MU(k,c[c[l>>2]>>2]|0,8)|0;if((c[b+8>>2]|0)!=0){MU(k,g,8)|0}g=d+116|0;m=c[g>>2]|0;if((m|0)>0){n=d+8|0;o=0;p=m;while(1){if((a[(c[n>>2]|0)+(o*112|0)+104|0]|0)==0){MU(k,(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(o<<3)|0,8)|0;q=c[g>>2]|0}else{q=p}m=o+1|0;if((m|0)<(q|0)){o=m;p=q}else{break}}}q=d+124|0;p=c[q>>2]|0;if((p|0)>0){o=d+12|0;g=f;n=0;m=p;while(1){if((a[(c[o>>2]|0)+(n*60|0)+56|0]|0)==0){h[f>>3]=+(c[(c[(c[c[l>>2]>>2]|0)+12>>2]|0)+(n<<2)>>2]|0);MU(k,g,8)|0;r=c[q>>2]|0}else{r=m}p=n+1|0;if((p|0)<(r|0)){n=p;m=r}else{break}}}r=d+128|0;m=c[r>>2]|0;if((m|0)>0){n=d+16|0;q=f;g=0;o=m;while(1){if((a[(c[n>>2]|0)+(g*48|0)+44|0]|0)==0){h[f>>3]=+(a[(c[(c[c[l>>2]>>2]|0)+16>>2]|0)+g|0]|0);MU(k,q,8)|0;s=c[r>>2]|0}else{s=o}m=g+1|0;if((m|0)<(s|0)){g=m;o=s}else{break}}}s=d+224|0;o=c[s>>2]|0;if((o|0)>0){g=d+48|0;r=f;q=0;n=o;while(1){o=c[g>>2]|0;do{if((a[o+(q*52|0)+48|0]|0)==0){if((c[o+(q*52|0)>>2]|0)==0){t=n;break}h[f>>3]=+((a[(c[(c[c[l>>2]>>2]|0)+16>>2]|0)+(c[o+(q*52|0)+4>>2]|0)|0]|0)!=1|0);MU(k,r,8)|0;t=c[s>>2]|0}else{t=n}}while(0);o=q+1|0;if((o|0)<(t|0)){q=o;n=t}else{break}}}if(hT(j+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Jx(c[d+536>>2]|0,28912,(d=i,i=i+8|0,c[d>>2]=c[b>>2],d)|0);i=d}else{d=j+216|0;c[d>>2]=(c[d>>2]|0)+1;sz(3);i=e;return}}function nD(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0;if(c>>>0<6>>>0){return}if((a1(b,1652400,4)|0)!=0){return}c=b;while(1){d=Tb(b|0,46)|0;if((d|0)==0){e=8;break}f=d-c|0;d=f+1|0;if(d>>>0>4>>>0){g=4;do{a[b+(g-4)|0]=a[b+g|0]|0;g=g+1|0;}while(g>>>0<d>>>0)}d=b+(f-3)|0;C=678585700;a[d]=C;C=C>>8;a[d+1|0]=C;C=C>>8;a[d+2|0]=C;C=C>>8;a[d+3|0]=C;if((a1(b,1652400,4)|0)!=0){e=8;break}}if((e|0)==8){return}}function oD(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;JD(e,b|0,c);zD(a,e);i=d;return}function pD(a,b){a=a|0;b=b|0;return xD(a|0,b|0)|0}function qD(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;AD(d,b|0);zD(a,d);i=c;return}function rD(a){a=a|0;return sD(tD(a|0)|0)|0}function sD(a){a=a|0;return wD(a)|0}function tD(a){a=a|0;return uD((c[a>>2]|0)+16|0)|0}function uD(a){a=a|0;return vD(a)|0}function vD(a){a=a|0;return a|0}function wD(a){a=a|0;return a|0}function xD(a,b){a=a|0;b=b|0;return(yD(a,b)|0)^1|0}function yD(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function zD(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];ID(a,b);i=d;return}function AD(a,b){a=a|0;b=b|0;BD(a,CD(b)|0);return}function BD(a,b){a=a|0;b=b|0;HD(a,b);return}function CD(a){a=a|0;return DD(ED(a+4|0)|0)|0}function DD(a){a=a|0;return GD(a)|0}function ED(a){a=a|0;return FD(a|0)|0}function FD(a){a=a|0;return a|0}function GD(a){a=a|0;return a|0}function HD(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function ID(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function JD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=LD(b)|0;KD(f,b,d,h,CD(b)|0);AD(g,b);do{if(xD(f,g)|0){h=MD(b)|0;if(ND(h,d,OD(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);AD(a,b);i=e;return}function KD(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;SD(h);a:do{if((e|0)==0){j=f}else{k=MD(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(TD(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;SD(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;SD(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);BD(a,j);i=g;return}function LD(a){a=a|0;return c[(CD(a)|0)>>2]|0}function MD(a){a=a|0;return QD(a+8|0)|0}function ND(a,b,c){a=a|0;b=b|0;c=c|0;return PD(0,b,c|0)|0}function OD(a){a=a|0;return(c[a>>2]|0)+16|0}function PD(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)<(c[d>>2]|0)|0}function QD(a){a=a|0;return RD(a|0)|0}function RD(a){a=a|0;return a|0}function SD(a){a=a|0;UD(a,-1);return}function TD(a,b,c){a=a|0;b=b|0;c=c|0;return PD(0,b|0,c)|0}function UD(a,b){a=a|0;b=b|0;VD(a,0);return}function VD(a,b){a=a|0;b=b|0;c[a>>2]=0;return}function WD(a){a=a|0;return c[a+4>>2]|0}function XD(a){a=a|0;return YD(a+8|0)|0}function YD(a){a=a|0;return ZD(a|0)|0}function ZD(a){a=a|0;return a|0}function _D(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=a+64|0;a:do{if((c[e>>2]|0)==0){switch(d&-3|0){case 25:case 9:{f=1660096;break};case 17:case 1:{f=1667640;break};case 60:{f=1654592;break};case 12:{f=1657512;break};case 16:case 48:{f=1670616;break};case 24:{f=1662520;break};case 21:case 5:{f=1658376;break};case 8:{f=1665152;break};case 20:case 52:{f=1659240;break};case 28:{f=1655664;break};case 56:{f=1661040;break};case 29:case 13:{f=1653432;break};default:{g=0;break a}}if((a|0)==0){g=0;break}h=zc(b|0,f|0)|0;c[e>>2]=h;if((h|0)==0){g=0;break}c[a+88>>2]=d;if((d&2|0)==0){g=a;break}if((wd(h|0,0,2)|0)==0){g=a;break}Pa(c[e>>2]|0)|0;c[e>>2]=0;g=0}else{g=0}}while(0);return g|0}function $D(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=a;c[e>>2]=0;c[e+4>>2]=0;e=a+8|0;c[e>>2]=b;c[e+4>>2]=d;return}function aE(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a+64|0;f=c[e>>2]|0;if((f|0)==0){g=0;i=b;return g|0}bE(d,f,126);f=Zd[c[(c[a>>2]|0)+24>>2]&255](a)|0;if((Pa(cE(d)|0)|0)==0){c[e>>2]=0;h=(f|0)==0?a:0}else{h=0}dE(d);g=h;i=b;return g|0}function bE(a,b,c){a=a|0;b=b|0;c=c|0;kE(a,b,c);return}function cE(a){a=a|0;var b=0;b=gE(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function dE(a){a=a|0;eE(a);return}function eE(a){a=a|0;fE(a,0);return}function fE(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=gE(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}Zd[c[(hE(d)|0)>>2]&255](e)|0;return}function gE(a){a=a|0;return jE(a|0)|0}function hE(a){a=a|0;return iE(a|0)|0}function iE(a){a=a|0;return a+4|0}function jE(a){a=a|0;return a|0}function kE(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;d=c[(mE(f)|0)>>2]|0;lE(a|0,d,c[(nE(g)|0)>>2]|0);i=e;return}function lE(a,b,c){a=a|0;b=b|0;c=c|0;oE(a,b,c);return}function mE(a){a=a|0;return a|0}function nE(a){a=a|0;return a|0}function oE(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;d=c[(qE(f)|0)>>2]|0;pE(a|0,d,c[(rE(g)|0)>>2]|0);i=e;return}function pE(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;c[a>>2]=c[(qE(f)|0)>>2];c[a+4>>2]=c[(rE(g)|0)>>2];i=e;return}function qE(a){a=a|0;return a|0}function rE(a){a=a|0;return a|0}function sE(a){a=a|0;var b=0;b=a+8|0;return(K=c[b+4>>2]|0,c[b>>2]|0)|0}function tE(a){a=a|0;uE(a+300|0);uE(a+288|0);uE(a+276|0);uE(a+264|0);uE(a+252|0);uE(a+240|0);vE(a|0);return}function uE(a){a=a|0;fF(a);return}function vE(a){a=a|0;wE(a,1687232);oT(a+104|0);return}function wE(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];AE(a+4|0);return}function xE(a){a=a|0;vE(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function yE(a){a=a|0;vE(a);J0(a);return}function zE(a){a=a|0;yE(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function AE(a){a=a|0;BE(a);return}



function QP(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+1040|0;d=b|0;e=b+16|0;c[d>>2]=a;f=d+4|0;c[f>>2]=1;g=d+8|0;c[g>>2]=0;h=d+12|0;c[h>>2]=0;j=a+4|0;do{if((c[j>>2]|0)==0){k=a|0;l=zc(c[k>>2]|0,1659384)|0;if((l|0)!=0){m=l;break}l=_c(c[(Zc()|0)>>2]|0)|0;Jx(0,1675128,(n=i,i=i+16|0,c[n>>2]=c[k>>2],c[n+8>>2]=l,n)|0);i=n}else{m=0}}while(0);l=xs(0)|0;if((l|0)==0){Jx(0,1656368,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}k=a+8|0;c[a+20>>2]=D0(c[k>>2]|0,32)|0;o=a+12|0;p=D0((c[o>>2]|0)+1|0,20)|0;c[a+24>>2]=p;c[p>>2]=0;c[p+4>>2]=-1;c[p+8>>2]=1645120;c[p+12>>2]=0;c[p+16>>2]=0;Is(l,d);Js(l,14,14);d=c[j>>2]|0;do{if((d|0)==0){p=e|0;e1(p|0,0,1024)|0;while(1){q=kd(p|0,1,1024,m|0)|0;r=q>>>0<1024>>>0;if((Ks(l,p,q,r&1)|0)==0){s=9;break}if(r){s=11;break}}if((s|0)==9){p=Ss(Ps(l)|0)|0;r=Qs(l)|0;Pa(m|0)|0;Es(l);q=c[a>>2]|0;Jx(0,1635032,(n=i,i=i+32|0,c[n>>2]=42616,c[n+8>>2]=q,c[n+16>>2]=p,c[n+24>>2]=r,n)|0);i=n}else if((s|0)==11){Pa(m|0)|0;break}}else{if((Ks(l,d,b1(d|0)|0,1)|0)!=0){break}r=Ss(Ps(l)|0)|0;p=Qs(l)|0;Es(l);q=c[j>>2]|0;Jx(0,37560,(n=i,i=i+32|0,c[n>>2]=42616,c[n+8>>2]=q,c[n+16>>2]=r,c[n+24>>2]=p,n)|0);i=n}}while(0);if((c[o>>2]|0)!=(c[f>>2]|0)){jd(32896,42616,295,1683304)}c[a+16>>2]=c[g>>2];if((c[k>>2]|0)==(c[h>>2]|0)){i=b;return}else{jd(28760,42616,297,1683304)}}function RP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=i;f=c[a>>2]|0;g=c[a+4>>2]|0;h=c[a+12>>2]|0;if(($0(1660008,b)|0)==0){if(($0(c[d>>2]|0,1659112)|0)==0){j=(c[d+8>>2]|0)==0|0}else{j=0}Ix(0,j,1658232,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;j=c[426516]|0;a=c[428842]|0;do{if((j|0)==0|(a|0)==0){c[428842]=32;l=B0(1152)|0;c[426516]=l;m=l;n=f+24|0}else{l=f+24|0;if(((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)+2|0)<(a|0)){m=j;n=l;break}c[428842]=a<<1;o=E0(j,a*72|0)|0;c[426516]=o;m=o;n=l}}while(0);a=(c[n>>2]|0)+(g*20|0)+12|0;n=c[a>>2]|0;c[a>>2]=n+1;d1(m+(n*36|0)|0,XP(c[d+4>>2]|0)|0,36)|0;i=e;return}if(($0(1657224,b)|0)==0){n=c[d>>2]|0;if((n|0)==0){i=e;return}else{p=d;q=n}a:while(1){do{if(($0(1655576,q)|0)==0){c[428928]=Lc(c[p+4>>2]|0)|0}else{if(($0(1654528,q)|0)==0){c[428929]=Va(c[p+4>>2]|0,0,10)|0;break}if(($0(1653288,q)|0)==0){c[428931]=Va(c[p+4>>2]|0,0,10)|0;break}if(($0(1652232,q)|0)==0){c[428930]=Va(c[p+4>>2]|0,0,10)|0;break}if(($0(1651120,q)|0)==0){c[428932]=Va(c[p+4>>2]|0,0,10)|0;break}if(($0(1649872,q)|0)!=0){r=23;break a}c[428933]=($0(c[p+4>>2]|0,1648952)|0)==0}}while(0);n=p+8|0;m=c[n>>2]|0;if((m|0)==0){r=45;break}else{p=n;q=m}}if((r|0)==23){Jx(0,1648048,(k=i,i=i+8|0,c[k>>2]=c[f>>2],k)|0);i=k}else if((r|0)==45){i=e;return}}if(($0(1673816,b)|0)==0){r=c[f+12>>2]|0;if((g|0)>(r|0)){q=c[f>>2]|0;Jx(0,1647056,(k=i,i=i+24|0,c[k>>2]=42616,c[k+8>>2]=q,c[k+16>>2]=r,k)|0);i=k}if(($0(1646032,c[d>>2]|0)|0)!=0){r=c[f>>2]|0;Jx(0,1644456,(k=i,i=i+16|0,c[k>>2]=42616,c[k+8>>2]=r,k)|0);i=k}r=Va(c[d+4>>2]|0,0,10)|0;if((g|0)!=(r|0)){q=c[f>>2]|0;Jx(0,1643552,(k=i,i=i+32|0,c[k>>2]=42616,c[k+8>>2]=q,c[k+16>>2]=r,c[k+24>>2]=g,k)|0);i=k}r=f+24|0;q=c[r>>2]|0;c[q+(g*20|0)>>2]=g;c[q+(g*20|0)+4>>2]=-1;c[q+(g*20|0)+8>>2]=1642408;q=c[r>>2]|0;c[q+(g*20|0)+12>>2]=0;c[q+(g*20|0)+16>>2]=0;i=e;return}if(($0(1677760,b)|0)!=0){if(($0(1660808,b)|0)!=0){i=e;return}b=f+20|0;f=c[b>>2]|0;c[f+(h<<5)>>2]=h;c[f+(h<<5)+4>>2]=1639912;f=Lc(c[d+4>>2]|0)|0;c[(c[b>>2]|0)+(h<<5)+4>>2]=f;c[(c[b>>2]|0)+(h<<5)+8>>2]=1639104;i=e;return}c[426521]=0;c[426522]=0;h=c[d>>2]|0;do{if((h|0)==0){s=0}else{b=d;f=h;do{do{if(($0(f,1659112)|0)==0){c[426521]=Lc(c[b+4>>2]|0)|0}else{if(($0(f,1641568)|0)!=0){break}c[426522]=Lc(c[b+4>>2]|0)|0}}while(0);b=b+8|0;f=c[b>>2]|0;}while((f|0)!=0);if((c[426521]|0)==0){s=0;break}s=(c[426522]|0)!=0|0}}while(0);Ix(0,s,1640664,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;c[426520]=-1;c[426523]=c[428928];c[426524]=c[428929];c[426525]=c[428930];c[426526]=c[428931];c[426527]=c[428932];c[426528]=c[428933];i=e;return}function SP(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;d=i;e=c[a>>2]|0;f=a+4|0;g=c[f>>2]|0;h=a+8|0;j=c[h>>2]|0;k=a+12|0;a=c[k>>2]|0;if(($0(1677760,b)|0)==0){WP(1706080);i=d;return}if(($0(1673816,b)|0)==0){l=e+24|0;m=B0((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)*36|0)|0;c[(c[l>>2]|0)+(g*20|0)+16>>2]=m;if((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)>0){m=0;do{n=B0(36)|0;d1(n|0,(c[426516]|0)+(m*36|0)|0,36)|0;c[(c[(c[l>>2]|0)+(g*20|0)+16>>2]|0)+(m<<2)>>2]=n;m=m+1|0;}while((m|0)<(c[(c[l>>2]|0)+(g*20|0)+12>>2]|0))}c[f>>2]=g+1;i=d;return}if(($0(1670392,b)|0)==0){f=e+24|0;l=c[f>>2]|0;m=c[l+(g*20|0)+12>>2]|0;Rb(l+(g*20|0)+8|0,1667424,(o=i,i=i+16|0,c[o>>2]=g,c[o+8>>2]=m,o)|0)|0;i=o;c[(c[f>>2]|0)+(g*20|0)+4>>2]=j;c[h>>2]=j+1;i=d;return}if(($0(1664928,b)|0)==0){f=e+24|0;e=c[f>>2]|0;m=c[e+(g*20|0)+12>>2]|0;Rb(e+(g*20|0)+8|0,1662376,(o=i,i=i+16|0,c[o>>2]=g,c[o+8>>2]=m,o)|0)|0;i=o;c[(c[f>>2]|0)+(g*20|0)+4>>2]=j;c[h>>2]=j+1;i=d;return}if(($0(1660808,b)|0)!=0){i=d;return}c[k>>2]=a+1;i=d;return}function TP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=b+24|0;f=c[e>>2]|0;if((f|0)==0){QP(b);g=c[e>>2]|0}else{g=f}f=a;a=g+(d*20|0)|0;c[f>>2]=c[a>>2];c[f+4>>2]=c[a+4>>2];c[f+8>>2]=c[a+8>>2];c[f+12>>2]=c[a+12>>2];c[f+16>>2]=c[a+16>>2];return}function UP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;f=b+24|0;if((c[f>>2]|0)==0){QP(b)}g=c[b+16>>2]|0;if(g>>>0<d>>>0){Jx(0,24656,(h=i,i=i+16|0,c[h>>2]=d,c[h+8>>2]=g,h)|0);i=h}g=c[b+12>>2]|0;b=0;while(1){if((b|0)>=(g|0)){j=9;break}k=c[f>>2]|0;if((c[k+(b*20|0)+4>>2]|0)==(d|0)){j=8;break}else{b=b+1|0}}if((j|0)==8){f=a;a=k+(b*20|0)|0;c[f>>2]=c[a>>2];c[f+4>>2]=c[a+4>>2];c[f+8>>2]=c[a+8>>2];c[f+12>>2]=c[a+12>>2];c[f+16>>2]=c[a+16>>2];i=e;return}else if((j|0)==9){Jx(0,1681960,(h=i,i=i+8|0,c[h>>2]=d,h)|0);i=h}}function VP(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0;b=a+20|0;d=c[b>>2]|0;if((d|0)!=0){C0(d);c[b>>2]=0}b=a+24|0;d=c[b>>2]|0;if((d|0)==0){return}e=a+12|0;if((c[e>>2]|0)>0){a=0;f=d;while(1){C0(c[f+(a*20|0)+16>>2]|0);c[(c[b>>2]|0)+(a*20|0)+16>>2]=0;g=a+1|0;h=c[b>>2]|0;if((g|0)<(c[e>>2]|0)){a=g;f=h}else{i=h;break}}}else{i=d}C0(i);c[b>>2]=0;return}function WP(a){a=a|0;var b=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;b=i;e=a;a=i;i=i+36|0;i=i+7&-8;d1(a,e,36)|0;e=B0(72)|0;f=c[a+4>>2]|0;g=e;c[g>>2]=f;d1(e+4|0,a|0,36)|0;a=e+40|0;h=a;c[e+48>>2]=0;c[e+60>>2]=f;c[e+64>>2]=b1(f|0)|0;j=c[426518]|0;do{if((j|0)==0){k=e;c[426518]=k;c[e+44>>2]=0;l=B0(44)|0;m=l;c[e+40>>2]=m;if((l|0)==0){Ob(-1|0)}e1(l|0,0,44)|0;c[l+16>>2]=e+40;c[l+4>>2]=32;c[l+8>>2]=5;c[l+20>>2]=40;n=B0(384)|0;c[l>>2]=n;if((n|0)==0){Ob(-1|0)}else{e1(n|0,0,384)|0;c[l+40>>2]=-1609490463;o=k;p=m;q=f;break}}else{c[(c[(c[j+40>>2]|0)+16>>2]|0)+8>>2]=e;m=(c[426518]|0)+40|0;k=c[m>>2]|0;c[e+44>>2]=(c[k+16>>2]|0)+(-(c[k+20>>2]|0)|0);c[(c[m>>2]|0)+16>>2]=h;m=c[426518]|0;o=m;p=c[m+40>>2]|0;q=c[g>>2]|0}}while(0);g=o+40|0;o=p+12|0;c[o>>2]=(c[o>>2]|0)+1;o=a;c[o>>2]=p;p=e+68|0;c[p>>2]=-17973521;a=b1(q|0)|0;if(a>>>0>11>>>0){j=q;f=a;m=-1640531527;k=-1640531527;l=-17973521;while(1){n=((d[j+5|0]|0)<<8|(d[j+4|0]|0)|(d[j+6|0]|0)<<16|(d[j+7|0]|0)<<24)+m|0;r=((d[j+9|0]|0)<<8|(d[j+8|0]|0)|(d[j+10|0]|0)<<16|(d[j+11|0]|0)<<24)+l|0;s=((d[j+1|0]|0)<<8|(d[j]|0)|(d[j+2|0]|0)<<16|(d[j+3|0]|0)<<24)+k-n-r^r>>>13;t=n-r-s^s<<8;n=r-s-t^t>>>13;r=s-t-n^n>>>12;s=t-n-r^r<<16;t=n-r-s^s>>>5;n=r-s-t^t>>>3;r=s-t-n^n<<10;s=t-n-r^r>>>15;c[p>>2]=s;t=j+12|0;u=f-12|0;if(u>>>0>11>>>0){j=t;f=u;m=r;k=n;l=s}else{v=t;w=u;x=r;y=n;z=s;break}}}else{v=q;w=a;x=-1640531527;y=-1640531527;z=-17973521}a=z+(b1(q|0)|0)|0;c[p>>2]=a;switch(w|0){case 11:{w=((d[v+10|0]|0)<<24)+a|0;c[p>>2]=w;A=w;B=12;break};case 10:{A=a;B=12;break};case 9:{C=a;B=13;break};case 8:{D=a;B=14;break};case 7:{E=x;F=a;B=15;break};case 6:{G=x;H=a;B=16;break};case 5:{I=x;J=a;B=17;break};case 4:{K=x;L=a;B=18;break};case 3:{M=y;N=x;O=a;B=19;break};case 2:{P=y;Q=x;R=a;B=20;break};case 1:{S=y;T=x;U=a;B=21;break};default:{V=y;W=x;X=a}}if((B|0)==12){a=((d[v+9|0]|0)<<16)+A|0;c[p>>2]=a;C=a;B=13}if((B|0)==13){a=((d[v+8|0]|0)<<8)+C|0;c[p>>2]=a;D=a;B=14}if((B|0)==14){E=((d[v+7|0]|0)<<24)+x|0;F=D;B=15}if((B|0)==15){G=((d[v+6|0]|0)<<16)+E|0;H=F;B=16}if((B|0)==16){I=((d[v+5|0]|0)<<8)+G|0;J=H;B=17}if((B|0)==17){K=(d[v+4|0]|0)+I|0;L=J;B=18}if((B|0)==18){M=((d[v+3|0]|0)<<24)+y|0;N=K;O=L;B=19}if((B|0)==19){P=((d[v+2|0]|0)<<16)+M|0;Q=N;R=O;B=20}if((B|0)==20){S=((d[v+1|0]|0)<<8)+P|0;T=Q;U=R;B=21}if((B|0)==21){V=(d[v]|0)+S|0;W=T;X=U}U=V-W-X^X>>>13;V=W-X-U^U<<8;W=X-U-V^V>>>13;X=U-V-W^W>>>12;U=V-W-X^X<<16;V=W-X-U^U>>>5;W=X-U-V^V>>>3;X=U-V-W^W<<10;U=V-W-X^X>>>15;c[p>>2]=U;p=c[g>>2]|0;X=U&(c[p+4>>2]|0)-1;U=c[p>>2]|0;p=U+(X*12|0)+4|0;c[p>>2]=(c[p>>2]|0)+1;c[e+56>>2]=c[U+(X*12|0)>>2];c[e+52>>2]=0;e=c[c[g>>2]>>2]|0;g=c[e+(X*12|0)>>2]|0;if((g|0)==0){Y=e}else{c[g+12>>2]=h;Y=c[c[(c[426518]|0)+40>>2]>>2]|0}c[Y+(X*12|0)>>2]=h;h=c[c[(c[426518]|0)+40>>2]>>2]|0;if((c[h+(X*12|0)+4>>2]|0)>>>0<(((c[h+(X*12|0)+8>>2]|0)*10|0)+10|0)>>>0){i=b;return}X=c[o>>2]|0;if((c[X+36>>2]|0)==1){i=b;return}h=X+4|0;Y=B0((c[h>>2]|0)*24|0)|0;g=Y;if((Y|0)==0){Ob(-1|0)}e1(Y|0,0,(c[h>>2]|0)*24|0|0)|0;Y=c[X+12>>2]|0;e=c[h>>2]|0;c[X+24>>2]=(((e<<1)-1&Y|0)!=0)+(Y>>>(((c[X+8>>2]|0)+1|0)>>>0));c[X+28>>2]=0;Y=c[X>>2]|0;if((e|0)==0){Z=Y}else{e=0;h=Y;Y=X;while(1){X=c[h+(e*12|0)>>2]|0;if((X|0)==0){_=Y}else{U=X;X=Y;while(1){p=U+16|0;W=c[p>>2]|0;V=(c[X+4>>2]<<1)-1&c[U+28>>2];T=g+(V*12|0)+4|0;S=(c[T>>2]|0)+1|0;c[T>>2]=S;v=c[X+24>>2]|0;if(S>>>0>v>>>0){S=X+28|0;c[S>>2]=(c[S>>2]|0)+1;c[g+(V*12|0)+8>>2]=((c[T>>2]|0)>>>0)/(v>>>0)|0}c[U+12>>2]=0;v=g+(V*12|0)|0;c[p>>2]=c[v>>2];p=c[v>>2]|0;if((p|0)!=0){c[p+12>>2]=U}c[v>>2]=U;v=c[o>>2]|0;if((W|0)==0){_=v;break}else{U=W;X=v}}}X=e+1|0;U=c[_>>2]|0;if(X>>>0<(c[_+4>>2]|0)>>>0){e=X;h=U;Y=_}else{Z=U;break}}}C0(Z);Z=c[o>>2]|0;_=Z+4|0;c[_>>2]=c[_>>2]<<1;_=Z+8|0;c[_>>2]=(c[_>>2]|0)+1;c[Z>>2]=g;g=c[o>>2]|0;o=g+32|0;if(!((c[g+28>>2]|0)>>>0>(c[g+12>>2]|0)>>>1>>>0)){c[o>>2]=0;i=b;return}Z=(c[o>>2]|0)+1|0;c[o>>2]=Z;if(!(Z>>>0>1>>>0)){i=b;return}c[g+36>>2]=1;i=b;return}function XP(a){a=a|0;var b=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;b=i;e=c[426518]|0;a:do{if((e|0)==0){f=24}else{g=b1(a|0)|0;if(g>>>0>11>>>0){h=-17973521;j=-1640531527;k=-1640531527;l=g;m=a;while(1){n=((d[m+5|0]|0)<<8|(d[m+4|0]|0)|(d[m+6|0]|0)<<16|(d[m+7|0]|0)<<24)+k|0;o=((d[m+9|0]|0)<<8|(d[m+8|0]|0)|(d[m+10|0]|0)<<16|(d[m+11|0]|0)<<24)+h|0;p=((d[m+1|0]|0)<<8|(d[m]|0)|(d[m+2|0]|0)<<16|(d[m+3|0]|0)<<24)+j-n-o^o>>>13;q=n-o-p^p<<8;n=o-p-q^q>>>13;o=p-q-n^n>>>12;p=q-n-o^o<<16;q=n-o-p^p>>>5;n=o-p-q^q>>>3;o=p-q-n^n<<10;p=q-n-o^o>>>15;q=m+12|0;r=l-12|0;if(r>>>0>11>>>0){h=p;j=n;k=o;l=r;m=q}else{s=p;t=n;u=o;v=r;w=q;break}}}else{s=-17973521;t=-1640531527;u=-1640531527;v=g;w=a}m=(b1(a|0)|0)+s|0;switch(v|0){case 8:{x=m;f=8;break};case 7:{y=u;z=m;f=9;break};case 6:{A=u;B=m;f=10;break};case 5:{C=u;D=m;f=11;break};case 4:{E=u;F=m;f=12;break};case 3:{G=u;H=t;I=m;f=13;break};case 2:{J=u;K=t;L=m;f=14;break};case 1:{M=u;N=t;O=m;f=15;break};case 9:{P=m;f=7;break};case 11:{Q=((d[w+10|0]|0)<<24)+m|0;f=6;break};case 10:{Q=m;f=6;break};default:{R=u;S=t;T=m}}if((f|0)==6){P=((d[w+9|0]|0)<<16)+Q|0;f=7}if((f|0)==7){x=((d[w+8|0]|0)<<8)+P|0;f=8}if((f|0)==8){y=((d[w+7|0]|0)<<24)+u|0;z=x;f=9}if((f|0)==9){A=((d[w+6|0]|0)<<16)+y|0;B=z;f=10}if((f|0)==10){C=((d[w+5|0]|0)<<8)+A|0;D=B;f=11}if((f|0)==11){E=(d[w+4|0]|0)+C|0;F=D;f=12}if((f|0)==12){G=E;H=((d[w+3|0]|0)<<24)+t|0;I=F;f=13}if((f|0)==13){J=G;K=((d[w+2|0]|0)<<16)+H|0;L=I;f=14}if((f|0)==14){M=J;N=((d[w+1|0]|0)<<8)+K|0;O=L;f=15}if((f|0)==15){R=M;S=(d[w]|0)+N|0;T=O}m=S-T-R^T>>>13;l=R-T-m^m<<8;k=T-m-l^l>>>13;j=m-l-k^k>>>12;m=l-k-j^j<<16;l=k-j-m^m>>>5;k=j-m-l^l>>>3;j=m-l-k^k<<10;m=c[e+40>>2]|0;h=c[(c[m>>2]|0)+(((l-k-j^j>>>15)&(c[m+4>>2]|0)-1)*12|0)>>2]|0;if((h|0)==0){f=24;break}j=h+(-(c[m+20>>2]|0)|0)|0;if((j|0)==0){f=24;break}h=b1(a|0)|0;k=j;while(1){U=k;if((c[k+64>>2]|0)==(h|0)){if((_0(c[k+60>>2]|0,a,h)|0)==0){break}}j=c[k+56>>2]|0;if((j|0)==0){f=24;break a}l=j+(-(c[m+20>>2]|0)|0)|0;if((l|0)==0){f=24;break a}else{k=l}}if((k|0)==0){f=24}else{V=U}}}while(0);do{if((f|0)==24){if((jb(a|0,1638160)|0)==0){V=0;break}else{W=17632}i=b;return W|0}}while(0);Ix(0,(V|0)!=0|0,1636200,(f=i,i=i+8|0,c[f>>2]=a,f)|0);i=f;W=V+4|0;i=b;return W|0}function YP(a,b){a=a|0;b=b|0;var c=0;if((ZP(1658752,a,b)|0)!=0){c=1;return c|0}c=(ZP(1674840,a,b)|0)!=0|0;return c|0}function ZP(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if((d|0)>0){f=0}else{g=0;return g|0}while(1){h=c[e+(f<<2)>>2]|0;if((a[h]|0)==45){if(($0(b,h+1|0)|0)==0){g=1;i=5;break}}h=f+1|0;if((h|0)<(d|0)){f=h}else{g=0;i=5;break}}if((i|0)==5){return g|0}return 0}function _P(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;Ix(0,($0(c[426434]|0,1656296)|0)==0|0,1645024,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;Ix(0,($0(c[426498]|0,1656296)|0)==0|0,1634904,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;Ix(0,($0(c[426466]|0,1656296)|0)==0|0,42536,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;e1(1706848,0,120)|0;e1(1706728,0,120)|0;if((a|0)>1){f=1}else{g=0;i=d;return g|0}a:while(1){h=b+(f<<2)|0;j=f+1|0;k=1;while(1){l=c[1705496+(k<<2)>>2]|0;if((l|0)==2){m=c[1705616+(k<<2)>>2]|0;if(!((ZP(m,1,h)|0)==0|(j|0)>=(a|0))){n=9;break}o=c[1705616+(k<<2)>>2]|0;if((aQ(o,h)|0)!=0){n=13;break}}else if((l|0)==1){if((ZP(c[1705616+(k<<2)>>2]|0,1,h)|0)!=0){n=5;break}}l=k+1|0;if((l|0)<30){k=l}else{n=17;break a}}if((n|0)==5){n=0;l=1706848+(k<<2)|0;if((c[l>>2]|0)!=0){n=6;break}c[l>>2]=1;p=f}else if((n|0)==9){n=0;l=1706848+(k<<2)|0;if((c[l>>2]|0)!=0){n=10;break}c[l>>2]=1;c[1706728+(k<<2)>>2]=$P(m,h)|0;p=j}else if((n|0)==13){n=0;l=1706848+(k<<2)|0;if((c[l>>2]|0)!=0){n=14;break}c[l>>2]=1;c[1706728+(k<<2)>>2]=bQ(o,h)|0;p=f}l=p+1|0;if((l|0)<(a|0)){f=l}else{g=0;n=19;break}}if((n|0)==6){Hx(1,0,37504,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((n|0)==10){Hx(1,0,37504,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((n|0)==14){Hx(1,0,37504,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((n|0)==17){Hx(1,0,32864,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((n|0)==19){i=d;return g|0}return 0}function $P(b,d){b=b|0;d=d|0;var e=0,f=0;e=c[d>>2]|0;if((a[e]|0)!=45){f=0;return f|0}if(($0(b,e+1|0)|0)!=0){f=0;return f|0}f=c[d+4>>2]|0;return f|0}function aQ(a,b){a=a|0;b=b|0;return(bQ(a,b)|0)!=0|0}function bQ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=b1(b|0)|0;f=c[d>>2]|0;if((a[f]|0)!=45){g=0;return g|0}if((a1(b,f+1|0,e)|0)!=0){g=0;return g|0}if((a[f+(e+1)|0]|0)!=61){g=0;return g|0}g=f+(e+2)|0;return g|0}function cQ(){return}function dQ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;if((d|0)<=0){Ob(0);return 0}e=c[t>>2]|0;Ya(38248,5,1,e|0)|0;f=b;b=0;while(1){Wa(a[f]|0,e|0)|0;g=b+1|0;if((g|0)<(d|0)){f=f+1|0;b=g}else{break}}Ya(1661080,20,1,e|0)|0;Ob(0);return 0}function eQ(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[t>>2]|0;od(d|0,1662576,(e=i,i=i+8|0,c[e>>2]=a,e)|0)|0;i=e;if((b|0)==0){Ob(1)}else{Ta(d|0)|0;mQ();Ta(d|0)|0;pb(6,0)|0;nd()}}function fQ(a,b){a=a|0;b=b|0;return+(+X(+(+h[a>>3]),+(+h[b>>3])))}function gQ(a,b){a=a|0;b=b|0;var d=0.0,e=0.0,f=0,g=0.0,i=0.0,j=0.0;d=+h[a>>3];a=c[b>>2]|0;if((a|0)==0){e=1.0;return+e}if((a|0)<0){f=-a|0;g=1.0/d;i=1.0}else{f=a;g=d;i=1.0}while(1){if((f&1|0)==0){j=i}else{j=i*g}a=f>>>1;if((a|0)==0){e=j;break}f=a;g=g*g;i=j}return+e}function hQ(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0.0;c=+h[a>>3];if(c<0.0){d=-0.0-c}else{d=c}if(!(+h[b>>3]<0.0)){e=d;return+e}e=-0.0-d;return+e}function iQ(a){a=a|0;var b=0.0,c=0.0,d=0.0,e=0;b=+g[a>>2];c=b;if(b<0.0){d=-0.0- +U(.5-c);e=~~d;return e|0}else{d=+U(c+.5);e=~~d;return e|0}return 0}function jQ(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=b+d|0;g=c+e|0;if((d|0)>(e|0)){a:do{if((e|0)>0){h=b;i=c;while(1){j=a[h]|0;k=a[i]|0;if(!(j<<24>>24==k<<24>>24)){break}l=h+1|0;m=i+1|0;if(m>>>0<g>>>0){h=l;i=m}else{n=l;break a}}o=(j&255)-(k&255)|0;return o|0}else{n=b}}while(0);while(1){if(!(n>>>0<f>>>0)){o=0;p=16;break}q=a[n]|0;if(q<<24>>24==32){n=n+1|0}else{break}}if((p|0)==16){return o|0}o=(q&255)-32|0;return o|0}else{b:do{if((d|0)>0){q=b;n=c;while(1){r=a[q]|0;s=a[n]|0;if(!(r<<24>>24==s<<24>>24)){break}k=q+1|0;j=n+1|0;if(k>>>0<f>>>0){q=k;n=j}else{t=j;break b}}o=(r&255)-(s&255)|0;return o|0}else{t=c}}while(0);while(1){if(!(t>>>0<g>>>0)){o=0;p=16;break}u=a[t]|0;if(u<<24>>24==32){t=t+1|0}else{break}}if((p|0)==16){return o|0}o=32-(u&255)|0;return o|0}return 0}function kQ(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=c;g=b+d|0;if((d|0)<=(e|0)){do{if(b>>>0>c>>>0){h=c+d|0;if(!(h>>>0>b>>>0)){break}if((d|0)>0){i=h;j=g}else{return}do{i=i-1|0;j=j-1|0;a[j]=a[i]|0;}while(j>>>0>b>>>0);return}}while(0);if((d|0)>0){k=c;l=b}else{return}while(1){j=l+1|0;a[l]=a[k]|0;if(j>>>0<g>>>0){k=k+1|0;l=j}else{break}}return}l=c+e|0;do{if(b>>>0>c>>>0&l>>>0>b>>>0){k=b+e|0;if((e|0)>0){j=(-f|0)-e|0;i=~f;h=~(c+(j>>>0>i>>>0?j:i));i=k;j=l;do{j=j-1|0;i=i-1|0;a[i]=a[j]|0;}while(j>>>0>c>>>0);m=b+h|0}else{m=k}n=m+e|0}else{if((e|0)<=0){n=b;break}j=c+1|0;i=(l>>>0>j>>>0?l:j)+(-f|0)|0;j=c;o=b;while(1){p=j+1|0;a[o]=a[j]|0;if(p>>>0<l>>>0){j=p;o=o+1|0}else{break}}n=b+i|0}}while(0);if(!(n>>>0<g>>>0)){return}e1(n|0,32,b+(d-n)|0)|0;return}function lQ(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=c[b+4>>2]|0;if((d|0)>99){return 0}e=1715760+(d*48|0)|0;f=c[e>>2]|0;if((f|0)!=0){do{if((c[1715804+(d*48|0)>>2]|0)==1){g=10}else{h=c[b+8>>2]|0;if((h|0)!=0){i=a[h]|0;if((i|0)==68|(i|0)==100){g=10;break}}if((c[1715800+(d*48|0)>>2]|0)==1){nQ(b)|0}i=1715764+(d*48|0)|0;if((c[i>>2]|0)==0){break}Pa(c[e>>2]|0)|0;C0(c[i>>2]|0)}}while(0);do{if((g|0)==10){Pa(f|0)|0;b=1715764+(d*48|0)|0;i=c[b>>2]|0;if((i|0)==0){break}Kd(i|0)|0;C0(c[b>>2]|0)}}while(0);c[e>>2]=0}c[1715796+(d*48|0)>>2]=0;c[1715764+(d*48|0)>>2]=0;return 0}function mQ(){var a=0;if((c[428934]|0)!=0){return}c[428934]=1;c[428936]=0;a=0;do{c[428935]=a;lQ(1715736)|0;a=a+1|0;}while((a|0)<100);return}function nQ(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=c[a+4>>2]|0;if((c[1715776+(b*48|0)>>2]|0)!=0){d=0;return d|0}e=1715760+(b*48|0)|0;f=c[e>>2]|0;g=Nb(f|0)|0;wd(f|0,0,2)|0;if((g|0)>=(Nb(f|0)|0)){d=0;return d|0}if((c[1715780+(b*48|0)>>2]|0)==0){d=0;return d|0}if((c[1715788+(b*48|0)>>2]&2|0)!=0){Ta(c[e>>2]|0)|0}b=fd(kb(c[e>>2]|0)|0,g|0)|0;wd(c[e>>2]|0,0,2)|0;if((b|0)==0){d=0;return d|0}if((c[a>>2]|0)==0){pQ(111,44752);d=111;return d|0}else{c[(Zc()|0)>>2]=111;d=111;return d|0}return 0}function oQ(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+80|0;d=b|0;do{if(($c(kb(a|0)|0,d|0)|0)<0){e=0}else{f=c[d+12>>2]&61440;if((f|0)==8192){e=(Oc(kb(a|0)|0)|0)==0|0;break}else if((f|0)==24576){e=1;break}else if((f|0)==16384|(f|0)==32768){e=(c[d+16>>2]|0)!=0|0;break}else{e=0;break}}}while(0);i=b;return e|0}function pQ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;do{if(a>>>0<100>>>0){lb(b|0);e=c[t>>2]|0}else{if((a+1|0)>>>0>132>>>0){f=c[t>>2]|0;od(f|0,1646312,(g=i,i=i+16|0,c[g>>2]=b,c[g+8>>2]=a,g)|0)|0;i=g;e=f;break}f=c[t>>2]|0;if((a|0)==-1){od(f|0,1644672,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g;e=f;break}else{h=c[1705368+(a-100<<2)>>2]|0;od(f|0,1643792,(g=i,i=i+16|0,c[g>>2]=b,c[g+8>>2]=h,g)|0)|0;i=g;e=f;break}}}while(0);b=c[431402]|0;do{if((b|0)==0){Ya(1640032,29,1,e|0)|0}else{od(e|0,1642616,(g=i,i=i+8|0,c[g>>2]=(b-1715760|0)/48|0,g)|0)|0;i=g;a=c[(c[431402]|0)+4>>2]|0;if((a|0)==0){Ya(1640840,10,1,e|0)|0;break}else{od(e|0,1641016,(g=i,i=i+8|0,c[g>>2]=a,g)|0)|0;i=g;break}}}while(0);b=c[431386]|0;if((b|0)!=0){od(e|0,1638496,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g}b=(c[431342]|0)!=0?1634568:1633152;a=(c[431384]|0)!=0?1632872:1632328;f=(c[431388]|0)!=0?1631664:1328872;od(e|0,1638336,(g=i,i=i+32|0,c[g>>2]=(c[431362]|0)!=0?1637416:1636504,c[g+8>>2]=b,c[g+16>>2]=a,c[g+24>>2]=f,g)|0)|0;i=g;eQ(45168,1);i=d;return}function qQ(){var a=0;c[431372]=1;a=c[t>>2]|0;c[428940]=a;c[428945]=oQ(a)|0;c[428946]=1;c[428950]=1;a=c[p>>2]|0;c[429e3]=a;c[429005]=oQ(a)|0;c[429006]=1;c[429010]=0;a=c[r>>2]|0;c[429012]=a;c[429017]=oQ(a)|0;c[429018]=1;c[429022]=1;return}function rQ(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;b=a+28|0;d=c[b>>2]|0;a:do{if((d&2|0)==0){e=a+4|0;f=c[e>>2]|0;do{if((f|0)!=0){if((c[a+16>>2]|0)==0){g=c[a+24>>2]|0}else{g=0}if((c[a+40>>2]|0)==3){h=a|0;i=tb(f|0,c[17672+(g<<2)>>2]|0,c[h>>2]|0)|0;c[h>>2]=i;c[431420]=i;if((i|0)==0){break}c[b>>2]=2;break a}i=a|0;h=Nb(c[i>>2]|0)|0;j=tb(c[e>>2]|0,c[17672+((g|2)<<2)>>2]|0,c[i>>2]|0)|0;c[i>>2]=j;c[431420]=j;if((j|0)==0){c[i>>2]=0;break}else{c[b>>2]=3;wd(c[i>>2]|0,h|0,0)|0;break a}}}while(0);c[(Zc()|0)>>2]=127;k=1;return k|0}else{if((d&1|0)==0){break}wd(c[a>>2]|0,0,1)|0}}while(0);c[a+40>>2]=1;k=0;return k|0}function sQ(a,b,d){a=a|0;b=b|0;d=d|0;if((a|0)==0){pQ(b,d)}d=c[431398]|0;if((d|0)!=0){ke[d&15]()|0}c[(Zc()|0)>>2]=b;return b|0}function tQ(a){a=a|0;c[431366]=0;c[431348]=0;c[431368]=0;return((uQ(a,0)|0)==0)<<31>>31|0}function uQ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=b;while(1){b=a[e]|0;f=e+1|0;if((b<<24>>24|0)==40){break}else if((b<<24>>24|0)==32){e=f}else{g=0;h=8;break}}if((h|0)==8){return g|0}h=c[431368]|0;c[431368]=h+1;if((h|0)==1){c[431348]=d}if((zQ(1,d,0,0)|0)<0){g=0;return g|0}d=AQ(f)|0;if((d|0)==0){g=0;return g|0}else{i=d}while(1){if((a[i]|0)==32){i=i+1|0}else{g=i;break}}return g|0}function vQ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;if((c[a>>2]|0)>0){f=b;g=0}else{h=0;i=e;return h|0}a:while(1){b=(f|0)==0;b:while(1){j=c[431366]|0;k=1720560+(j<<4)|0;l=c[k>>2]|0;switch(wQ(l)|0){case 8:{m=c[431408]|0;n=1725640+(m<<2)|0;o=c[n>>2]|0;if((o|0)>=1){p=10;break b}c[431408]=m-1;c[431366]=j+1;continue b;break};case 6:{m=c[1720564+(j<<4)>>2]|0;q=(c[431408]|0)+1|0;c[431408]=q;c[1725640+(q<<2)>>2]=m;c[431366]=j+1;continue b;break};case 1:{m=c[1720564+(j<<4)>>2]|0;q=(c[431346]|0)+1|0;c[431346]=q;c[1725400+(q<<2)>>2]=m;c[431366]=j+1;continue b;break};case 3:{m=c[431408]|0;q=1725640+(m<<2)|0;r=(c[q>>2]|0)-1|0;c[q>>2]=r;if((r|0)<1){c[431408]=m-1;c[431346]=(c[431346]|0)-1;c[431366]=j+1;continue b}else{m=c[431346]|0;c[431346]=m-1;c[431366]=(c[1725400+(m<<2)>>2]|0)+1;continue b}break};case 2:{c[431408]=0;c[431346]=0;c[431366]=c[1720564+(j<<4)>>2];if(b){p=24;break a}if((c[428938]|0)==0){h=0;p=37;break a}m=ke[c[431392]&15]()|0;if((m|0)==0){continue b}else{h=m;p=37;break a}break};case 16:{if(b){p=28;break a}c[431366]=j+1;continue b;break};case 33:{c[431370]=1;c[431366]=j+1;continue b;break};case 17:case 19:{c[431406]=0;c[431366]=j+1;continue b;break};case 18:{c[431406]=1;c[431366]=j+1;continue b;break};case 20:{c[431344]=c[1720564+(j<<4)>>2];c[431366]=j+1;continue b;break};case 21:{c[431422]=0;c[431366]=j+1;continue b;break};case 22:{c[431422]=1;c[431366]=j+1;continue b;break};case 9:{j=(Zd[c[431396]&255](k)|0)==0;c[431366]=(c[431366]|0)+1;if(j){break b}else{continue b}break};default:{p=4;break a}}}if((p|0)==10){p=0;if(b){p=11;break}c[n>>2]=o-1;c[428938]=1;j=$d[c[431400]&127](k,f,d)|0;if((j|0)>0){p=13;break}if((j|0)<0){p=15;break}}j=g+1|0;if((j|0)<(c[a>>2]|0)){f=f+d|0;g=j}else{h=0;p=37;break}}if((p|0)==4){g=c[431386]|0;od(c[t>>2]|0,1673384,(d=i,i=i+16|0,c[d>>2]=l,c[d+8>>2]=g,d)|0)|0;i=d;if((c[c[431390]>>2]|0)==0){pQ(100,1677432);h=100;i=e;return h|0}else{c[(Zc()|0)>>2]=100;h=100;i=e;return h|0}}else if((p|0)==11){h=ke[c[431398]&15]()|0;i=e;return h|0}else if((p|0)==13){d=c[c[431390]>>2]|0;h=sQ(d,c[(Zc()|0)>>2]|0,1657168)|0;i=e;return h|0}else if((p|0)==15){if((c[(c[431390]|0)+8>>2]|0)==0){pQ(-1,1657168);h=-1;i=e;return h|0}else{c[(Zc()|0)>>2]=-1;h=-1;i=e;return h|0}}else if((p|0)==24){h=ke[c[431398]&15]()|0;i=e;return h|0}else if((p|0)==28){h=ke[c[431398]&15]()|0;i=e;return h|0}else if((p|0)==37){i=e;return h|0}return 0}function wQ(a){a=a|0;var b=0;switch(a|0){case 36:case 35:case 28:case 27:case 23:case 7:case 10:case 30:case 31:case 32:case 34:case 29:case 24:case 25:case 26:{b=8;break};case 4:case 5:case 11:case 12:case 15:case 13:case 14:{b=9;break};default:{b=a}}return b|0}function xQ(){var a=0,b=0,d=0;a=i;i=i+8|0;b=a|0;c[b>>2]=1;d=vQ(b,0,0)|0;i=a;return d|0}function yQ(){c[431404]=0;c[431366]=0;c[431346]=0;c[431408]=0;c[428938]=0;c[431350]=0;c[431410]=0;return}function zQ(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=c[431366]|0;if((f|0)>299){Ya(1636032,24,1,c[t>>2]|0)|0;eQ(c[431386]|0,1);g=c[431366]|0}else{g=f}c[1720560+(f<<4)>>2]=a;c[1720564+(f<<4)>>2]=b;c[1720568+(f<<4)>>2]=d;c[1720572+(f<<4)>>2]=e;c[431366]=g+1;return g|0}function AQ(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=a[b]|0;if(d<<24>>24==0){e=0;return e|0}else{f=b;g=d}a:while(1){d=f+1|0;if(g<<24>>24==32){f=d;g=a[d]|0;continue}d=BQ(f)|0;if((d|0)==0){e=0;h=12;break}else{i=d}while(1){d=a[i]|0;if((d<<24>>24|0)==41){h=9;break a}else if((d<<24>>24|0)==44){h=7;break}else if((d<<24>>24|0)!=32){j=i;break}i=i+1|0}if((h|0)==7){h=0;j=i+1|0}d=a[j]|0;if(d<<24>>24==0){e=0;h=12;break}else{f=j;g=d}}if((h|0)==9){g=(c[431368]|0)-1|0;c[431368]=g;if((g|0)==0){zQ(2,c[431348]|0,0,0)|0;e=i+1|0;return e|0}else{zQ(3,0,0,0)|0;e=i+1|0;return e|0}}else if((h|0)==12){return e|0}return 0}function BQ(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;i=i+16|0;e=d|0;f=d+8|0;do{if((a[b]|0)==41){g=b}else{if((CQ(b,e)|0)!=0){g=c[e>>2]|0;break}if((DQ(b,e)|0)!=0){g=c[e>>2]|0;break}h=EQ(b,f,1)|0;j=zQ(6,c[f>>2]|0,0,0)|0;if((j|0)<0){g=0;break}g=uQ(h,j)|0}}while(0);i=d;return g|0}function CQ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=i;i=i+8|0;f=e|0;a:do{switch(a[b]|0){case 47:{zQ(5,0,0,0)|0;g=b;h=30;break};case 45:{j=1;h=13;break};case 43:{j=0;h=13;break};case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{k=0;l=b;h=14;break};case 2:case 34:case 39:{c[1720568+((zQ(11,0,0,0)|0)<<4)>>2]=b;m=FQ(b)|0;c[d>>2]=m;n=(m|0)!=0|0;i=e;return n|0};case 84:case 116:{m=b+1|0;o=a[m]|0;if((o<<24>>24|0)==114|(o<<24>>24|0)==82){p=14;q=m}else if((o<<24>>24|0)==108|(o<<24>>24|0)==76){p=13;q=m}else{p=15;q=b}m=EQ(q+1|0,f,0)|0;if((m|0)==0){h=15;break a}zQ(p,c[f>>2]|0,0,0)|0;g=m-1|0;h=30;break};case 88:case 120:{zQ(4,1,0,0)|0;g=b;h=30;break};case 80:case 112:{zQ(20,1,0,0)|0;g=b;h=30;break};case 66:case 98:{m=b+1|0;o=a[m]|0;if((o<<24>>24|0)==122|(o<<24>>24|0)==90){zQ(22,0,0,0)|0;g=m;h=30;break a}else{zQ(21,0,0,0)|0;g=m;h=30;break a}break};case 83:case 115:{m=b+1|0;o=a[m]|0;if((o<<24>>24|0)==112|(o<<24>>24|0)==80){r=18;s=m}else if((o<<24>>24|0)==115|(o<<24>>24|0)==83){r=19;s=m}else{r=17;s=b}zQ(r,0,0,0)|0;g=s;h=30;break};case 58:{zQ(16,0,0,0)|0;g=b;h=30;break};case 36:{zQ(33,0,0,0)|0;g=b;h=30;break};default:{n=0;i=e;return n|0}}}while(0);if((h|0)==13){k=j;l=b+1|0;h=14}b:do{if((h|0)==14){b=EQ(l,f,0)|0;if((b|0)==0){h=15;break}switch(a[b]|0){case 80:case 112:{j=c[f>>2]|0;if((k|0)==0){t=j}else{s=-j|0;c[f>>2]=s;t=s}zQ(20,t,0,0)|0;g=b;h=30;break b;break};case 88:case 120:{zQ(4,c[f>>2]|0,0,0)|0;g=b;h=30;break b;break};case 72:case 104:{s=c[f>>2]|0;c[1720568+((zQ(12,s,0,0)|0)<<4)>>2]=b+1;g=b+s|0;h=30;break b;break};default:{n=0;i=e;return n|0}}}}while(0);if((h|0)==15){c[d>>2]=0;n=1;i=e;return n|0}else if((h|0)==30){c[d>>2]=g+1;n=1;i=e;return n|0}return 0}function DQ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=EQ(b,f,1)|0;zQ(6,c[f>>2]|0,0,0)|0;f=k+1|0;a:do{switch(a[k]|0){case 90:case 122:{l=36;m=35;n=38;break};case 76:case 108:{o=EQ(f,g,0)|0;if((o|0)==0){n=4;break a}p=c[g>>2]|0;if((p|0)==0){q=o;n=45;break a}zQ(29,p,0,0)|0;q=o;n=45;break};case 65:case 97:{o=f;while(1){r=a[o]|0;if(r<<24>>24==32){o=o+1|0}else{break}}if(!((r-48&255)>>>0<10>>>0)){zQ(30,0,0,0)|0;q=o;n=45;break a}p=EQ(o,g,1)|0;s=c[g>>2]|0;if((s|0)==0){q=p;n=45;break a}zQ(31,s,0,0)|0;q=p;n=45;break};case 70:case 102:{p=EQ(f,g,0)|0;if((p|0)==0){n=4;break a}s=c[g>>2]|0;if((s|0)==0){q=p;n=45;break a}if((a[p]|0)==46){t=EQ(p+1|0,h,0)|0;if((t|0)==0){n=4;break a}u=t;v=c[h>>2]|0}else{c[h>>2]=0;u=p;v=0}zQ(23,s,v,0)|0;q=u;n=45;break};case 68:case 100:{s=EQ(f,g,0)|0;if((s|0)==0){n=4;break a}p=c[g>>2]|0;if((p|0)==0){q=s;n=45;break a}if((a[s]|0)==46){t=EQ(s+1|0,h,0)|0;if((t|0)==0){n=4;break a}w=t;x=c[h>>2]|0}else{c[h>>2]=0;w=s;x=0}zQ(26,p,x,0)|0;q=w;n=45;break};case 73:case 105:{l=10;m=7;n=38;break};case 79:case 111:{l=34;m=32;n=38;break};case 71:case 103:{y=0;n=3;break};case 69:case 101:{y=1;n=3;break};default:{c[431366]=(c[431366]|0)-1;c[d>>2]=b;z=0;i=e;return z|0}}}while(0);do{if((n|0)==3){b=EQ(f,g,0)|0;if((b|0)==0){n=4;break}w=c[g>>2]|0;if((w|0)==0){q=b;n=45;break}x=a[b]|0;if(x<<24>>24==46){u=EQ(b+1|0,h,0)|0;if((u|0)==0){n=4;break}A=u;B=a[u]|0}else{c[h>>2]=0;A=b;B=x}if(!((B<<24>>24|0)==69|(B<<24>>24|0)==101)){zQ((y|0)==1?24:27,w,c[h>>2]|0,0)|0;q=A;n=45;break}x=EQ(A+1|0,j,0)|0;if((x|0)==0){n=4;break}zQ((y|0)==1?25:28,w,c[h>>2]|0,c[j>>2]|0)|0;q=x;n=45}else if((n|0)==38){x=EQ(f,g,0)|0;if((x|0)==0){n=4;break}w=c[g>>2]|0;if((w|0)==0){q=x;n=45;break}if((a[x]|0)!=46){zQ(m,w,0,0)|0;q=x;n=45;break}b=EQ(x+1|0,h,0)|0;if((b|0)==0){n=4;break}zQ(l,w,c[h>>2]|0,0)|0;q=b;n=45}}while(0);if((n|0)==4){c[d>>2]=0;z=1;i=e;return z|0}else if((n|0)==45){c[d>>2]=q;z=1;i=e;return z|0}return 0}function EQ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=0;g=0;h=b;while(1){b=a[h]|0;i=b<<24>>24;if(b<<24>>24==32){j=f;k=g}else{if((b-48&255)>>>0>9>>>0){break}j=f+1|0;k=(g*10|0)-48+i|0}f=j;g=k;h=h+1|0}if((f|0)!=0){l=h;m=g;c[d>>2]=m;return l|0}l=(e|0)==0?0:h;m=e;c[d>>2]=m;return l|0}function FQ(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a[b]|0;e=b+1|0;f=a[e]|0;a:do{if(!(f<<24>>24==0)){g=b;h=e;i=f;while(1){if(i<<24>>24==d<<24>>24){j=g+2|0;if((a[j]|0)==d<<24>>24){k=j}else{l=j;break}}else{k=h}j=k+1|0;m=a[j]|0;if(m<<24>>24==0){break a}else{g=k;h=j;i=m}}return l|0}}while(0);if((c[c[431390]>>2]|0)==0){pQ(100,1645944);l=0;return l|0}else{c[(Zc()|0)>>2]=100;l=0;return l|0}return 0}function GQ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;do{if((b|0)>0){g=b;h=0}else{if((b|0)<0){g=-b|0;h=1;break}c[e>>2]=0;c[d>>2]=1;a[1725518]=48;i=1725518;return i|0}}while(0);c[e>>2]=h;h=g;g=23;while(1){e=g-1|0;j=1725496+e|0;a[j]=((h>>>0)%(f>>>0)|0)+48;b=(h>>>0)/(f>>>0)|0;if((b|0)==0){break}else{h=b;g=e}}c[d>>2]=24-g;i=j;return i|0}function HQ(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=c[431382]|0;e=c[431360]|0;if((d|0)>(e|0)){c[431360]=d;f=d}else{f=e}e=f+1|0;if((e|0)<(c[4424]|0)){g=f}else{IQ(e,f);g=c[431360]|0}f=c[4426]|0;e=f+g|0;if((b|0)==0){h=e}else{a[e]=b;h=f+(g+1)|0}a[h]=0;_a(f|0,c[431420]|0)|0;g=b1(f|0)|0;b=f+g|0;if(b>>>0<h>>>0){i=f;j=g;k=b}else{return 0}while(1){b=j+1|0;g=i+b|0;Wa(a[k]|0,c[431420]|0)|0;_a(g|0,c[431420]|0)|0;f=b1(g|0)|0;e=i+(b+f)|0;if(e>>>0<h>>>0){i=g;j=f;k=e}else{break}}return 0}function IQ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=c[4426]|0;if((e|0)==1725696){c[4424]=1024;f=1024}else{f=c[4424]|0}if((f|0)>(b|0)){g=f}else{h=f;do{h=h<<1;}while((h|0)<=(b|0));c[4424]=h;g=h}h=B0(g)|0;if((h|0)==0){pQ(113,1670376);i=c[4426]|0}else{i=e}e=i+d|0;if((d|0)>0){d=h;g=i;while(1){b=g+1|0;a[d]=a[g]|0;if(b>>>0<e>>>0){d=d+1|0;g=b}else{break}}j=c[4426]|0}else{j=i}if((j|0)==1725696){c[4426]=h;return}C0(j);c[4426]=h;return}function JQ(b){b=b|0;var d=0,e=0,f=0;d=c[431360]|0;e=c[4424]|0;if((d|0)<(e|0)){f=d}else{IQ(d,e);f=c[431360]|0}c[431360]=f+1;a[(c[4426]|0)+f|0]=b;return}function KQ(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=i;i=i+280|0;e=d|0;f=d+256|0;g=d+272|0;c[431388]=1;h=b+4|0;j=c[h>>2]|0;if(j>>>0>99>>>0){if((c[b>>2]|0)==0){pQ(101,37624);k=101;i=d;return k|0}else{c[(Zc()|0)>>2]=101;k=101;i=d;return k|0}}if((c[431372]|0)==0){qQ();l=c[h>>2]|0}else{l=j}j=1715760+(l*48|0)|0;c[431402]=j;m=j|0;a:do{if((c[m>>2]|0)!=0){j=c[b+8>>2]|0;do{if((j|0)!=0){n=e|0;PQ(j,c[b+12>>2]|0,n);o=QQ(n,g)|0;if((o|0)==(c[1715768+(l*48|0)>>2]|0)){if((c[g>>2]|0)==(c[1715772+(l*48|0)>>2]|0)){break}}c[f+4>>2]=c[h>>2];c[f+8>>2]=0;c[f>>2]=c[b>>2];o=lQ(f)|0;if((o|0)==0){break a}else{k=o}i=d;return k|0}}while(0);j=c[b+32>>2]|0;if((j|0)==0){k=0;i=d;return k|0}o=a[j]|0;if(o<<24>>24==122){p=1}else{p=o<<24>>24==90|0}c[1715792+(l*48|0)>>2]=p;k=0;i=d;return k|0}}while(0);p=b+28|0;f=c[p>>2]|0;g=1715776+(l*48|0)|0;c[g>>2]=f;o=c[b+32>>2]|0;do{if((o|0)==0){q=0}else{j=a[o]|0;if(j<<24>>24==122){q=1;break}q=j<<24>>24==90|0}}while(0);c[1715792+(l*48|0)>>2]=q;q=c[b+24>>2]|0;do{if((q|0)==0){o=1715784+(l*48|0)|0;if((f|0)>0){c[o>>2]=0;r=0;break}else{c[o>>2]=1;r=1;break}}else{o=a[q]|0;if((o<<24>>24|0)==102|(o<<24>>24|0)==70){c[1715784+(l*48|0)>>2]=1;r=1;break}else{c[1715784+(l*48|0)>>2]=0;r=0;break}}}while(0);q=c[b+8>>2]|0;do{if((q|0)==0){Pb(e|0,32936,(f=i,i=i+8|0,c[f>>2]=c[h>>2],f)|0)|0;i=f}else{f=e|0;PQ(q,c[b+12>>2]|0,f);if((a[f]|0)!=0){break}if((c[b>>2]|0)==0){LQ(107,37624,b);k=107;i=d;return k|0}else{c[(Zc()|0)>>2]=107;k=107;i=d;return k|0}}}while(0);q=1715804+(l*48|0)|0;c[q>>2]=0;c[1715796+(l*48|0)>>2]=0;h=1715800+(l*48|0)|0;c[h>>2]=0;c[m>>2]=0;f=1715788+(l*48|0)|0;c[f>>2]=3;o=c[b+16>>2]|0;b:do{if((o|0)!=0){c:do{switch(a[o]|0){case 110:case 78:{if((Mb(e|0,0)|0)!=0){break c}if((c[b>>2]|0)==0){LQ(128,37624,b);k=128;i=d;return k|0}else{c[(Zc()|0)>>2]=128;k=128;i=d;return k|0}break};case 111:case 79:{if((Mb(e|0,0)|0)==0){break b}j=(c[b>>2]|0)==0;n=Zc()|0;s=c[n>>2]|0;if(j){LQ(s,37624,b);k=c[n>>2]|0;i=d;return k|0}else{c[n>>2]=s;k=s;i=d;return k|0}break};case 114:case 82:{break};case 115:case 83:{c[q>>2]=1;s=zb()|0;c[m>>2]=s;if((s|0)!=0){c[1715764+(l*48|0)>>2]=0;c[1715772+(l*48|0)>>2]=-1;c[1715768+(l*48|0)>>2]=-1;c[1715780+(l*48|0)>>2]=1;k=0;i=d;return k|0}s=(c[b>>2]|0)==0;n=Zc()|0;j=c[n>>2]|0;if(s){LQ(j,37624,b);k=c[n>>2]|0;i=d;return k|0}else{c[n>>2]=j;k=j;i=d;return k|0}break};default:{break b}}}while(0);j=zc(e|0,c[4418]|0)|0;if((j|0)==0){break}Pa(j|0)|0}}while(0);q=e|0;e=B0((b1(q|0)|0)+1|0)|0;c[1715764+(l*48|0)>>2]=e;if((e|0)==0){if((c[b>>2]|0)==0){LQ(113,28800,b);k=113;i=d;return k|0}else{c[(Zc()|0)>>2]=113;k=113;i=d;return k|0}}k1(e|0,q|0)|0;e=b+20|0;if((c[e>>2]|0)==0){t=r}else{t=(c[g>>2]|0)==0?r:0}r=zc(q|0,c[17672+((t|2)<<2)>>2]|0)|0;do{if((r|0)==0){g=zc(q|0,c[17688+(t<<2)>>2]|0)|0;if((g|0)!=0){c[f>>2]=1;u=g;break}g=zc(q|0,c[17672+(t<<2)>>2]|0)|0;if((g|0)!=0){c[h>>2]=1;c[f>>2]=2;u=g;break}g=(c[b>>2]|0)==0;o=Zc()|0;j=c[o>>2]|0;if(g){pQ(j,37624);k=c[o>>2]|0;i=d;return k|0}else{c[o>>2]=j;k=j;i=d;return k|0}}else{u=r}}while(0);c[m>>2]=u;r=1715780+(l*48|0)|0;c[r>>2]=oQ(u)|0;u=QQ(q,1715772+(l*48|0)|0)|0;c[1715768+(l*48|0)>>2]=u;if((u|0)==-1){if((c[b>>2]|0)==0){LQ(108,37624,b);k=108;i=d;return k|0}else{c[(Zc()|0)>>2]=108;k=108;i=d;return k|0}}if((c[r>>2]|0)==0){k=0;i=d;return k|0}if((c[p>>2]|0)!=0){Ad(c[m>>2]|0);k=0;i=d;return k|0}p=c[e>>2]|0;if((p|0)==0){k=0;i=d;return k|0}e=a[p]|0;if(!((e<<24>>24|0)==97|(e<<24>>24|0)==65)){k=0;i=d;return k|0}if((wd(c[m>>2]|0,0,2)|0)==0){k=0;i=d;return k|0}if((c[b>>2]|0)==0){LQ(129,37624,b);k=129;i=d;return k|0}else{c[(Zc()|0)>>2]=129;k=129;i=d;return k|0}return 0}function LQ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=d+8|0;f=c[e>>2]|0;if((f|0)==0){pQ(a,b);return}g=d+12|0;d=c[g>>2]|0;if((d|0)<(c[4424]|0)){h=f;i=d}else{IQ(d,0);h=c[e>>2]|0;i=c[g>>2]|0}g=c[4426]|0;c[(c[431402]|0)+4>>2]=g;PQ(h,i,g);pQ(a,b);return}function MQ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+56|0;f=e+16|0;g=e|0;Pb(g|0,32936,(h=i,i=i+8|0,c[h>>2]=d,h)|0)|0;i=h;c[f>>2]=1;c[f+4>>2]=d;c[f+8>>2]=g;c[f+12>>2]=b1(g|0)|0;c[f+16>>2]=0;c[f+20>>2]=(a|0)==3?24736:1681952;c[f+24>>2]=(b|0)==5?1677752:1673808;c[f+28>>2]=(a|0)==4;c[f+32>>2]=0;a=KQ(f)|0;i=e;return a|0}function NQ(a){a=a|0;var b=0,d=0,e=0;b=c[a+4>>2]|0;d=1715760+(b*48|0)|0;c[431402]=d;if(b>>>0>99>>>0){if((c[a>>2]|0)==0){pQ(101,1655296);e=101;return e|0}else{c[(Zc()|0)>>2]=101;e=101;return e|0}}do{if((c[d>>2]|0)==0){if((MQ(3,5,b)|0)==0){break}if((c[a>>2]|0)==0){pQ(114,1673528);e=114;return e|0}else{c[(Zc()|0)>>2]=114;e=114;return e|0}}}while(0);if((c[1715784+(b*48|0)>>2]|0)!=0){e=0;return e|0}if((c[a>>2]|0)==0){pQ(102,1673528);e=102;return e|0}else{c[(Zc()|0)>>2]=102;e=102;return e|0}return 0}function OQ(){var a=0;a=xQ()|0;c[431386]=0;return a|0}function PQ(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=d+c|0;f=b+c|0;while(1){if(!(f>>>0>b>>>0)){g=3;break}h=f-1|0;i=e-1|0;if((a[h]|0)==32){e=i;f=h}else{break}}if((g|0)==3){a[d]=0;return}a[e]=0;e=i;i=h;while(1){a[e]=a[i]|0;if(i>>>0>b>>>0){e=e-1|0;i=i-1|0}else{break}}return}function QQ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+80|0;e=d|0;if((Dd(a|0,e|0)|0)<0){f=-1;i=d;return f|0}c[b>>2]=c[e>>2];f=c[e+72>>2]|0;i=d;return f|0}function RQ(b,d,e,f,j){b=b|0;d=d|0;e=e|0;f=f|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;k=i;i=i+56|0;l=k|0;m=(f|0)<1?2:f;n=c[431344]|0;if((n|0)==0){o=3}else{if((n|0)<(e+2|0)&(n|0)>(-e|0)){o=3}}a:do{if((o|0)==3){p=(((n|0)<1)<<31>>31)+e|0;if((j|0)==4){q=+g[b>>2]}else{q=+h[b>>3]}do{if(q<0.0){r=-0.0-q;s=1;t=1}else{u=c[431406]|0;if(q!=0.0){r=q;s=u;t=0;break}r=0.0;s=u;t=0}}while(0);u=d-4-m-p-s|0;if((u|0)<0){break}v=((n|0)<0?n:0)+p|0;w=(v|0)>40;x=w?40:v;y=w?v-40|0:0;v=l|0;Pb(v|0,1653160,(w=i,i=i+16|0,c[w>>2]=x,h[w+8>>3]=r,w)|0)|0;i=w;z=a[v]|0;if(!((z-48|0)>>>0<10>>>0)){if((z|0)==110|(z|0)==78){A=0}else{A=s}z=d-(b1(v|0)|0)-A|0;if((z|0)<0){break}if((z|0)>0){B=z;do{B=B-1|0;Wd[c[431364]&511](32);}while((B|0)>0)}if((A|0)!=0){Wd[c[431364]&511]((t|0)!=0?45:43)}B=a[v]|0;if(B<<24>>24==0){i=k;return 0}else{D=v;E=B}do{Wd[c[431364]&511](E<<24>>24);D=D+1|0;E=a[D]|0;}while(!(E<<24>>24==0));i=k;return 0}B=l+(x+3)|0;if(r!=0.0){p=(Sc(B|0)|0)+1|0;Pb(B|0,1672688,(w=i,i=i+8|0,c[w>>2]=p-(c[431344]|0),w)|0)|0;i=w}else{p=B;C=3158059;a[p]=C;C=C>>8;a[p+1|0]=C;C=C>>8;a[p+2|0]=C;C=C>>8;a[p+3|0]=C}p=l+(x+4)|0;B=(m|0)<2;if(B){if((a[p]|0)!=48){break}}z=l+(x+6)|0;F=(a[z]|0)==0;b:do{if(F){G=2}else{if((f|0)==0){H=l+(x+2)|0;while(1){I=H+1|0;J=a[I]|0;a[H]=J;if(J<<24>>24==0){G=2;break b}else{H=I}}}H=(f|0)<0;if(H|F){G=H?m:2;break}else{K=z;L=2}while(1){if((L|0)>=(m|0)){break a}H=L+1|0;I=K+1|0;if((a[I]|0)==0){G=H;break}else{K=I;L=H}}}}while(0);if((u|0)>0){z=u;do{z=z-1|0;Wd[c[431364]&511](32);}while((z|0)>0)}if((s|0)!=0){Wd[c[431364]&511]((t|0)!=0?45:43)}z=c[431344]|0;do{if((z|0)<1){Wd[c[431364]&511](46);u=c[431364]|0;if((z|0)<0){F=z;w=u;while(1){Wd[w&511](48);H=F+1|0;I=c[431364]|0;if((H|0)<0){F=H;w=I}else{M=I;break}}}else{M=u}Wd[M&511](a[v]|0);N=l+2|0}else{if((z|0)<=1){N=v;break}Wd[c[431364]&511](a[v]|0);w=l+2|0;F=z-1|0;I=c[431364]|0;if((F|0)>0){H=z+1|0;J=w;O=F;F=I;while(1){Wd[F&511](a[J]|0);P=O-1|0;Q=c[431364]|0;if((P|0)>0){J=J+1|0;O=P;F=Q}else{break}}R=l+H|0;S=Q}else{R=w;S=I}Wd[S&511](46);N=R}}while(0);if((y|0)==0){T=N}else{z=l+(x+2)|0;if(N>>>0<z>>>0){v=N;while(1){F=v+1|0;Wd[c[431364]&511](a[v]|0);if(F>>>0<z>>>0){v=F}else{U=F;break}}}else{U=N}v=y;while(1){Wd[c[431364]&511](48);z=v-1|0;if((z|0)>0){v=z}else{T=U;break}}}if(T>>>0<p>>>0){v=T;while(1){y=v+1|0;Wd[c[431364]&511](a[v]|0);if(y>>>0<p>>>0){v=y}else{V=y;break}}}else{V=T}if(B){Wd[c[431364]&511](a[V+1|0]|0);i=k;return 0}v=G+1|0;if((v|0)<=(m|0)){p=v;do{Wd[c[431364]&511](48);p=p+1|0;}while((p|0)<=(m|0))}p=a[V]|0;if(p<<24>>24==0){i=k;return 0}else{W=V;X=p}do{W=W+1|0;Wd[c[431364]&511](X<<24>>24);X=a[W]|0;}while(!(X<<24>>24==0));i=k;return 0}}while(0);if((d|0)>0){Y=d}else{i=k;return 0}do{Y=Y-1|0;Wd[c[431364]&511](42);}while((Y|0)>0);i=k;return 0}function SQ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0;j=i;i=i+656|0;k=j|0;if((f|0)==4){l=+g[b>>2]}else{l=+h[b>>3]}b=(e|0)<344;f=b?e:344;m=b?0:e-344|0;do{if(l<0.0){n=-0.0-l;o=1}else{if(l!=0.0){n=l;o=0;break}n=0.0;o=0}}while(0);e=c[431344]|0;if((e|0)==0){p=n}else{if((e|0)>0){l=n;b=e;while(1){q=l*10.0;r=b-1|0;if((r|0)>0){l=q;b=r}else{p=q;break}}}else{l=n;b=e;while(1){n=l*.1;e=b+1|0;if((e|0)<0){l=n;b=e}else{p=n;break}}}}b=k|0;e=Pb(b|0,1644192,(r=i,i=i+16|0,c[r>>2]=f,h[r+8>>3]=p,r)|0)|0;i=r;r=e+m|0;if((a[b]|0)!=48|(f|0)==0){s=b;t=r}else{s=k+1|0;t=r-1|0}a:do{if((o|0)==1){r=s;while(1){k=a[r]|0;if(!(k<<24>>24==48)){b=k<<24>>24;if((b|0)==0){u=0;break a}else if((b|0)!=46){break}}r=r+1|0}u=1}else{u=o}}while(0);o=(u|0)==0;r=((c[431406]|u|0)!=0)+t|0;if((r|0)>(d|0)){if((d|0)>0){v=d}else{i=j;return 0}do{v=v-1|0;Wd[c[431364]&511](42);}while((v|0)>0);i=j;return 0}v=d-r|0;if((v|0)>0){r=v;do{r=r-1|0;Wd[c[431364]&511](32);}while((r|0)>0)}do{if(o){if((c[431406]|0)==0){break}Wd[c[431364]&511](43)}else{Wd[c[431364]&511](45)}}while(0);o=a[s]|0;if(!(o<<24>>24==0)){r=s;s=o;do{r=r+1|0;Wd[c[431364]&511](s<<24>>24);s=a[r]|0;}while(!(s<<24>>24==0))}if((m|0)>0){w=m}else{i=j;return 0}do{w=w-1|0;Wd[c[431364]&511](48);}while((w|0)>0);i=j;return 0}function TQ(d,e,f){d=d|0;e=e|0;f=f|0;var g=0;if((f|0)==4){g=c[d>>2]|0}else if((f|0)==1){g=a[d]|0}else{g=b[d>>1]|0}d=e-1|0;if((d|0)>0){e=0;do{Wd[c[431364]&511](32);e=e+1|0;}while((e|0)<(d|0))}d=c[431364]|0;if((g|0)==0){Wd[d&511](70);return 0}else{Wd[d&511](84);return 0}return 0}function UQ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=i;if((c[431404]|0)==0){f=3}else{g=VQ()|0;if((g|0)==0){f=3}else{h=g}}a:do{if((f|0)==3){g=c[a>>2]|0;switch(g|0){case 29:{TQ(b,c[a+4>>2]|0,d)|0;h=0;break a;break};case 23:{h=SQ(b,c[a+4>>2]|0,c[a+8>>2]|0,d)|0;break a;break};case 10:{XQ(b,c[a+4>>2]|0,c[a+8>>2]|0,d,10);h=0;break a;break};case 36:{$Q(b,c[a+4>>2]|0,c[a+8>>2]|0,d);h=0;break a;break};case 34:{XQ(b,c[a+4>>2]|0,c[a+8>>2]|0,d,8);h=0;break a;break};case 31:{ZQ(b,c[a+4>>2]|0,d);h=0;break a;break};case 26:case 24:case 25:{h=RQ(b,c[a+4>>2]|0,c[a+8>>2]|0,c[a+12>>2]|0,d)|0;break a;break};case 35:{$Q(b,c[a+4>>2]|0,0,d);h=0;break a;break};case 27:case 28:{h=_Q(b,c[a+4>>2]|0,c[a+8>>2]|0,c[a+12>>2]|0,d)|0;break a;break};case 32:{WQ(b,c[a+4>>2]|0,d,8);h=0;break a;break};case 7:{break};case 30:{YQ(b,d);h=0;break a;break};default:{od(c[t>>2]|0,1652888,(j=i,i=i+8|0,c[j>>2]=g,j)|0)|0;i=j;eQ(c[431386]|0,1)}}WQ(b,c[a+4>>2]|0,d,10);h=0}}while(0);i=e;return h|0}function VQ(){var a=0,b=0,d=0,e=0,f=0,g=0,h=0,i=0;a=c[431404]|0;c[431404]=0;if((c[431388]|0)!=0){if((a|0)>0){b=c[431382]|0;d=c[431360]|0;if((b|0)<=(d|0)){e=a;while(1){Wd[c[431364]&511](32);f=e-1|0;if((f|0)>0){e=f}else{g=0;break}}return g|0}e=d+a|0;if((b|0)>(e|0)){c[431360]=e;g=0;return g|0}e=a-b+d|0;c[431360]=b;if((e|0)>0){h=e}else{g=0;return g|0}while(1){Wd[c[431364]&511](32);e=h-1|0;if((e|0)>0){h=e}else{g=0;break}}return g|0}if((a|0)>=0){g=0;return g|0}h=c[431360]|0;e=h+a|0;if((e|0)>=0){if((c[431382]|0)<(h|0)){c[431382]=h}c[431360]=e;g=0;return g|0}if((c[c[431390]>>2]|0)==0){pQ(110,1655072);g=110;return g|0}else{c[(Zc()|0)>>2]=110;g=110;return g|0}}if((a|0)<0){e=c[431360]|0;if((c[431382]|0)<(e|0)){c[431382]=e}h=e+a|0;c[431360]=h;c[431380]=(c[431380]|0)+a;if((h|0)>=0){g=0;return g|0}if((c[c[431390]>>2]|0)==0){pQ(110,1655072);g=110;return g|0}else{c[(Zc()|0)>>2]=110;g=110;return g|0}}if((a|0)<=0){g=0;return g|0}h=c[431360]|0;e=h+a|0;if((e|0)>=(c[(c[431340]|0)+16>>2]|0)){if((c[c[431390]>>2]|0)==0){pQ(110,1644184);g=110;return g|0}else{c[(Zc()|0)>>2]=110;g=110;return g|0}}b=c[431382]|0;if((b|0)<=(h|0)){d=a;while(1){Wd[c[431364]&511](32);f=d-1|0;if((f|0)>0){d=f}else{g=0;break}}return g|0}if((b|0)>(e|0)){c[431380]=(c[431380]|0)+a;c[431360]=e;g=0;return g|0}e=b-h|0;h=a-e|0;c[431380]=(c[431380]|0)+e;c[431360]=b;if((h|0)>0){i=h}else{g=0;return g|0}while(1){Wd[c[431364]&511](32);h=i-1|0;if((h|0)>0){i=h}else{g=0;break}}return g|0}function WQ(d,e,f,g){d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+16|0;j=h|0;k=h+8|0;if((f|0)==1){l=a[d]|0}else if((f|0)==4){l=c[d>>2]|0}else{l=b[d>>1]|0}d=GQ(l,j,k,g)|0;g=c[k>>2]|0;l=(((c[431406]|g|0)!=0)<<31>>31)+(e-(c[j>>2]|0))|0;if((l|0)<0){if((e|0)>0){m=0}else{i=h;return}do{Wd[c[431364]&511](42);m=m+1|0;}while((m|0)<(e|0));i=h;return}if((l|0)>0){e=0;do{Wd[c[431364]&511](32);e=e+1|0;}while((e|0)<(l|0));n=c[k>>2]|0}else{n=g}do{if((n|0)==0){if((c[431406]|0)==0){break}Wd[c[431364]&511](43)}else{Wd[c[431364]&511](45)}}while(0);if((c[j>>2]|0)>0){o=0;p=d}else{i=h;return}while(1){Wd[c[431364]&511](a[p]|0);d=o+1|0;if((d|0)<(c[j>>2]|0)){o=d;p=p+1|0}else{break}}i=h;return}function XQ(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;j=i;i=i+16|0;k=j|0;l=j+8|0;if((g|0)==1){m=a[d]|0}else if((g|0)==4){m=c[d>>2]|0}else{m=b[d>>1]|0}d=GQ(m,k,l,h)|0;h=c[l>>2]|0;g=(c[431406]|h|0)!=0|0;n=c[k>>2]|0;do{if((g+n|0)<=(e|0)){if((g+f|0)>(e|0)){break}if((m|f|0)==0){if((e|0)>0){o=0}else{i=j;return}do{Wd[c[431364]&511](32);o=o+1|0;}while((o|0)<(e|0));i=j;return}p=e-((n|0)<(f|0)?f:n)-g|0;if((p|0)>0){q=0;do{Wd[c[431364]&511](32);q=q+1|0;}while((q|0)<(p|0));r=c[l>>2]|0}else{r=h}do{if((r|0)==0){if((c[431406]|0)==0){break}Wd[c[431364]&511](43)}else{Wd[c[431364]&511](45)}}while(0);p=c[k>>2]|0;if((f-p|0)>0){q=0;while(1){Wd[c[431364]&511](48);s=q+1|0;t=c[k>>2]|0;if((s|0)<(f-t|0)){q=s}else{u=t;break}}}else{u=p}if((u|0)>0){v=0;w=d}else{i=j;return}while(1){Wd[c[431364]&511](a[w]|0);q=v+1|0;if((q|0)<(c[k>>2]|0)){v=q;w=w+1|0}else{break}}i=j;return}}while(0);if((e|0)>0){x=0}else{i=j;return}do{Wd[c[431364]&511](42);x=x+1|0;}while((x|0)<(e|0));i=j;return}function YQ(b,d){b=b|0;d=d|0;var e=0,f=0;if((d|0)>0){e=b;f=d}else{return}while(1){d=f-1|0;Wd[c[431364]&511](a[e]|0);if((d|0)>0){e=e+1|0;f=d}else{break}}return}function ZQ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if((d|0)>(e|0)){f=d;while(1){g=f-1|0;Wd[c[431364]&511](32);if((g|0)>(e|0)){f=g}else{h=e;break}}}else{h=d}if((h|0)>0){i=h;j=b}else{return}while(1){b=i-1|0;Wd[c[431364]&511](a[j]|0);if((b|0)>0){i=b;j=j+1|0}else{break}}return}function _Q(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var i=0.0,j=0.0,k=0,l=0,m=0,n=0;if((f|0)==4){i=+g[a>>2]}else{i=+h[a>>3]}if(i<0.0){j=-0.0-i}else{j=i}a:do{if(j<.1){if(!(j!=0.0)){k=1;break}l=RQ(a,b,d,e,f)|0;return l|0}else{if((d|0)>=0){i=1.0;m=0;while(1){if(j<i){k=m;break a}n=m+1|0;if((n|0)>(d|0)){break}else{i=i*10.0;m=n}}}l=RQ(a,b,d,e,f)|0;return l|0}}while(0);m=c[431344]|0;c[431344]=0;n=(e|0)==0?4:e+2|0;e=SQ(a,b-n|0,d-k|0,f)|0;if((n|0)>0){f=0;do{Wd[c[431364]&511](32);f=f+1|0;}while((f|0)<(n|0))}c[431344]=m;l=e;return l|0}function $Q(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=b;i=h+(g-1)|0;while(1){if((i|0)==(h|0)){j=3;break}g=a[i]|0;if(g<<24>>24==0){i=i-1|0}else{k=i;l=0;m=g;break}}if((j|0)==3){k=h;l=1;m=a[h]|0}j=((m&255)>>>0>15>>>0)+(k-b<<1|1)|0;if((j|0)>(e|0)){if((e|0)>0){n=0}else{return}do{Wd[c[431364]&511](42);n=n+1|0;}while((n|0)<(e|0));return}n=f-j|0;b=(n|0)>0;m=b?f:j;j=e-1|0;if((j|0)>=(m|0)){e=j;do{Wd[c[431364]&511](32);e=e-1|0;}while((e|0)>=(m|0))}if(b){b=n;do{b=b-1|0;Wd[c[431364]&511](48);}while((b|0)>0)}b=a[k]|0;do{if((b&240|0)==0){Wd[c[431364]&511](a[344+(b&15)|0]|0);if(l){return}else{o=k-1|0;break}}else{o=k}}while(0);while(1){Wd[c[431364]&511](a[344+((d[o]|0)>>>4)|0]|0);Wd[c[431364]&511](a[344+(a[o]&15)|0]|0);if((o|0)==(h|0)){break}o=o-1|0}return}function aR(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;d=c[a>>2]|0;switch(d|0){case 12:{e=cR(c[a+4>>2]|0,c[a+8>>2]|0)|0;i=b;return e|0};case 13:{f=(c[431404]|0)-(c[a+4>>2]|0)|0;c[431404]=f;g=-(c[431360]|0)|0;if((f|0)>=(g|0)){e=1;i=b;return e|0}c[431404]=g;e=1;i=b;return e|0};case 15:{c[431404]=(c[a+4>>2]|0)-1-(c[431360]|0);e=1;i=b;return e|0};case 14:case 4:{c[431404]=(c[431404]|0)+(c[a+4>>2]|0);e=1;i=b;return e|0};case 11:{e=bR(c[a+8>>2]|0)|0;i=b;return e|0};case 5:{break};default:{od(c[t>>2]|0,1672656,(a=i,i=i+8|0,c[a>>2]=d,a)|0)|0;i=a;eQ(c[431386]|0,1)}}e=ke[c[431394]&15]()|0;i=b;return e|0}function bR(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;do{if((c[431404]|0)!=0){d=VQ()|0;if((d|0)==0){break}else{e=d}return e|0}}while(0);d=a[b]|0;f=b+1|0;g=a[f]|0;if(g<<24>>24==0){e=1;return e|0}else{h=b;i=f;j=g}while(1){if(j<<24>>24==d<<24>>24){g=h+2|0;if(!((a[g]|0)==d<<24>>24)){e=1;k=9;break}Wd[c[431364]&511](d<<24>>24);l=g}else{Wd[c[431364]&511](j<<24>>24);l=i}g=l+1|0;f=a[g]|0;if(f<<24>>24==0){e=1;k=9;break}else{h=l;i=g;j=f}}if((k|0)==9){return e|0}return 0}function cR(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;do{if((c[431404]|0)!=0){e=VQ()|0;if((e|0)==0){break}else{f=e}return f|0}}while(0);if((b|0)==0){f=1;return f|0}else{g=b;h=d}while(1){d=g-1|0;Wd[c[431364]&511](a[h]|0);if((d|0)==0){f=1;break}else{g=d;h=h+1|0}}return f|0}function dR(){var a=0;a=HQ(10)|0;c[431404]=0;c[431360]=0;c[431382]=0;return(a|0)==0|0}function eR(a){a=a|0;var b=0,d=0,e=0;if((c[431372]|0)==0){qQ()}c[431362]=0;c[431342]=1;c[431384]=1;c[431388]=1;b=NQ(a)|0;if((b|0)!=0){d=b;return d|0}c[431390]=a;c[431360]=0;c[431404]=0;c[431382]=0;c[431370]=0;c[431344]=0;b=c[a+12>>2]|0;c[431386]=b;c[431420]=c[c[431402]>>2];if((tQ(b)|0)<0){if((c[a>>2]|0)==0){pQ(100,1651840);d=100;return d|0}else{c[(Zc()|0)>>2]=100;d=100;return d|0}}c[431364]=258;c[431400]=22;c[431396]=190;c[431398]=2;c[431392]=8;c[431394]=10;yQ();c[431406]=0;b=c[431402]|0;c[431422]=c[b+32>>2];if((c[b+40>>2]|0)==1){d=0;return d|0}if((rQ(b)|0)==0){d=0;return d|0}b=(c[a>>2]|0)==0;a=Zc()|0;e=c[a>>2]|0;if(b){pQ(e,1672472);d=c[a>>2]|0;return d|0}else{c[a>>2]=e;d=e;return d|0}return 0}function fR(){var a=0;if((c[431370]|0)==0){a=HQ(10)|0}else{HQ(0)|0;Ta(c[431420]|0)|0;a=0}c[431404]=0;c[431360]=0;c[431382]=0;return a|0}function gR(){var a=0,b=0;if((c[428938]|0)==0){a=0}else{b=HQ(10)|0;c[428938]=0;a=b}c[431404]=0;c[431360]=0;c[431382]=0;return a|0}function hR(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;i=i+32|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;h=c[p>>2]|0;DR(1732224,h,1732352);c[433304]=1686484;c[433306]=1686504;c[433305]=0;uT(1733224,1732224);c[433324]=0;c[433325]=-1;j=c[r>>2]|0;c[433032]=1686168;cZ(1732132);e1(1732136,0,24)|0;c[433032]=1686704;c[433040]=j;dZ(g,1732132);k=gZ(g,1732552)|0;l=k;eZ(g);c[433041]=l;c[433042]=1732360;a[1732172]=(Zd[c[(c[k>>2]|0)+28>>2]&255](l)|0)&1;c[433238]=1686388;c[433239]=1686408;uT(1732956,1732128);c[433257]=0;c[433258]=-1;l=c[t>>2]|0;c[433044]=1686168;cZ(1732180);e1(1732184,0,24)|0;c[433044]=1686704;c[433052]=l;dZ(f,1732180);k=gZ(f,1732552)|0;g=k;eZ(f);c[433053]=g;c[433054]=1732368;a[1732220]=(Zd[c[(c[k>>2]|0)+28>>2]&255](g)|0)&1;c[433282]=1686388;c[433283]=1686408;uT(1733132,1732176);c[433301]=0;c[433302]=-1;g=c[(c[(c[433282]|0)-12>>2]|0)+1733152>>2]|0;c[433260]=1686388;c[433261]=1686408;uT(1733044,g);c[433279]=0;c[433280]=-1;c[(c[(c[433304]|0)-12>>2]|0)+1733288>>2]=1732952;g=(c[(c[433282]|0)-12>>2]|0)+1733132|0;c[g>>2]=c[g>>2]|8192;c[(c[(c[433282]|0)-12>>2]|0)+1733200>>2]=1732952;pR(1732072,h,1732376);c[433216]=1686436;c[433218]=1686456;c[433217]=0;uT(1732872,1732072);c[433236]=0;c[433237]=-1;c[432994]=1686096;cZ(1731980);e1(1731984,0,24)|0;c[432994]=1686632;c[433002]=j;dZ(e,1731980);j=gZ(e,1732544)|0;h=j;eZ(e);c[433003]=h;c[433004]=1732384;a[1732020]=(Zd[c[(c[j>>2]|0)+28>>2]&255](h)|0)&1;c[433146]=1686340;c[433147]=1686360;uT(1732588,1731976);c[433165]=0;c[433166]=-1;c[433006]=1686096;cZ(1732028);e1(1732032,0,24)|0;c[433006]=1686632;c[433014]=l;dZ(d,1732028);l=gZ(d,1732544)|0;h=l;eZ(d);c[433015]=h;c[433016]=1732392;a[1732068]=(Zd[c[(c[l>>2]|0)+28>>2]&255](h)|0)&1;c[433190]=1686340;c[433191]=1686360;uT(1732764,1732024);c[433209]=0;c[433210]=-1;h=c[(c[(c[433190]|0)-12>>2]|0)+1732784>>2]|0;c[433168]=1686340;c[433169]=1686360;uT(1732676,h);c[433187]=0;c[433188]=-1;c[(c[(c[433216]|0)-12>>2]|0)+1732936>>2]=1732584;h=(c[(c[433190]|0)-12>>2]|0)+1732764|0;c[h>>2]=c[h>>2]|8192;c[(c[(c[433190]|0)-12>>2]|0)+1732832>>2]=1732584;i=b;return}function iR(a){a=a|0;sU(1732952)|0;sU(1733040)|0;zU(1732584)|0;zU(1732672)|0;return}function jR(a){a=a|0;c[a>>2]=1686096;eZ(a+4|0);return}function kR(a){a=a|0;c[a>>2]=1686096;eZ(a+4|0);J0(a);return}function lR(b,d){b=b|0;d=d|0;var e=0;Zd[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=gZ(d,1732544)|0;d=e;c[b+36>>2]=d;a[b+44|0]=(Zd[c[(c[e>>2]|0)+28>>2]&255](d)|0)&1;return}function mR(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a+36|0;g=a+40|0;h=d|0;j=d+8|0;k=d;d=a+32|0;while(1){a=c[f>>2]|0;l=_d[c[(c[a>>2]|0)+20>>2]&127](a,c[g>>2]|0,h,j,e)|0;a=(c[e>>2]|0)-k|0;if((Ya(h|0,1,a|0,c[d>>2]|0)|0)!=(a|0)){m=-1;n=5;break}if((l|0)==2){m=-1;n=5;break}else if((l|0)!=1){n=4;break}}if((n|0)==4){m=((Ta(c[d>>2]|0)|0)!=0)<<31>>31;i=b;return m|0}else if((n|0)==5){i=b;return m|0}return 0}function nR(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if((a[b+44|0]|0)!=0){f=Ya(d|0,4,e|0,c[b+32>>2]|0)|0;return f|0}g=b;if((e|0)>0){h=d;i=0}else{f=0;return f|0}while(1){if((ie[c[(c[g>>2]|0)+52>>2]&127](b,c[h>>2]|0)|0)==-1){f=i;j=6;break}d=i+1|0;if((d|0)<(e|0)){h=h+4|0;i=d}else{f=d;j=6;break}}if((j|0)==6){return f|0}return 0}function oR(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=(d|0)==-1;a:do{if(!k){c[g>>2]=d;if((a[b+44|0]|0)!=0){if((Ya(g|0,4,1,c[b+32>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}m=f|0;c[h>>2]=m;n=g+4|0;o=b+36|0;p=b+40|0;q=f+8|0;r=f;s=b+32|0;t=g;while(1){u=c[o>>2]|0;v=oe[c[(c[u>>2]|0)+12>>2]&31](u,c[p>>2]|0,t,n,j,m,q,h)|0;if((c[j>>2]|0)==(t|0)){l=-1;w=12;break}if((v|0)==3){w=7;break}u=(v|0)==1;if(!(v>>>0<2>>>0)){l=-1;w=12;break}v=(c[h>>2]|0)-r|0;if((Ya(m|0,1,v|0,c[s>>2]|0)|0)!=(v|0)){l=-1;w=12;break}if(u){t=u?c[j>>2]|0:t}else{break a}}if((w|0)==7){if((Ya(t|0,1,1,c[s>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}else if((w|0)==12){i=e;return l|0}}}while(0);l=k?0:d;i=e;return l|0}function pR(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+8|0;g=f|0;h=b|0;c[h>>2]=1686096;j=b+4|0;cZ(j);e1(b+8|0,0,24)|0;c[h>>2]=1687032;c[b+32>>2]=d;c[b+40>>2]=e;c[b+48>>2]=-1;a[b+52|0]=0;dZ(g,j);j=gZ(g,1732544)|0;e=j;d=b+36|0;c[d>>2]=e;h=b+44|0;c[h>>2]=Zd[c[(c[j>>2]|0)+24>>2]&255](e)|0;e=c[d>>2]|0;a[b+53|0]=(Zd[c[(c[e>>2]|0)+28>>2]&255](e)|0)&1;if((c[h>>2]|0)<=8){eZ(g);i=f;return}oY(25216);eZ(g);i=f;return}function qR(a){a=a|0;c[a>>2]=1686096;eZ(a+4|0);return}function rR(a){a=a|0;c[a>>2]=1686096;eZ(a+4|0);J0(a);return}function sR(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=gZ(d,1732544)|0;d=e;f=b+36|0;c[f>>2]=d;g=b+44|0;c[g>>2]=Zd[c[(c[e>>2]|0)+24>>2]&255](d)|0;d=c[f>>2]|0;a[b+53|0]=(Zd[c[(c[d>>2]|0)+28>>2]&255](d)|0)&1;if((c[g>>2]|0)<=8){return}oY(25216);return}function tR(a){a=a|0;return wR(a,0)|0}function uR(a){a=a|0;return wR(a,1)|0}function vR(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;l=(a[k]|0)!=0;if((d|0)==-1){if(l){m=-1;i=e;return m|0}n=c[b+48>>2]|0;a[k]=(n|0)!=-1|0;m=n;i=e;return m|0}n=b+48|0;a:do{if(l){c[h>>2]=c[n>>2];o=c[b+36>>2]|0;p=f|0;q=oe[c[(c[o>>2]|0)+12>>2]&31](o,c[b+40>>2]|0,h,h+4|0,j,p,f+8|0,g)|0;if((q|0)==2|(q|0)==1){m=-1;i=e;return m|0}else if((q|0)==3){a[p]=c[n>>2];c[g>>2]=f+1}q=b+32|0;while(1){o=c[g>>2]|0;if(!(o>>>0>p>>>0)){break a}r=o-1|0;c[g>>2]=r;if((ed(a[r]|0,c[q>>2]|0)|0)==-1){m=-1;break}}i=e;return m|0}}while(0);c[n>>2]=d;a[k]=1;m=d;i=e;return m|0}function wR(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;if((a[k]|0)!=0){l=b+48|0;m=c[l>>2]|0;if(!d){n=m;i=e;return n|0}c[l>>2]=-1;a[k]=0;n=m;i=e;return n|0}m=c[b+44>>2]|0;k=(m|0)>1?m:1;a:do{if((k|0)>0){m=b+32|0;l=0;while(1){o=Cb(c[m>>2]|0)|0;if((o|0)==-1){n=-1;break}a[f+l|0]=o;l=l+1|0;if((l|0)>=(k|0)){break a}}i=e;return n|0}}while(0);b:do{if((a[b+53|0]|0)==0){l=b+40|0;m=b+36|0;o=f|0;p=g+4|0;q=b+32|0;r=k;while(1){s=c[l>>2]|0;t=s;u=c[t>>2]|0;v=c[t+4>>2]|0;t=c[m>>2]|0;w=f+r|0;x=oe[c[(c[t>>2]|0)+16>>2]&31](t,s,o,w,h,g,p,j)|0;if((x|0)==2){n=-1;y=22;break}else if((x|0)==3){y=14;break}else if((x|0)!=1){z=r;break b}x=c[l>>2]|0;c[x>>2]=u;c[x+4>>2]=v;if((r|0)==8){n=-1;y=22;break}v=Cb(c[q>>2]|0)|0;if((v|0)==-1){n=-1;y=22;break}a[w]=v;r=r+1|0}if((y|0)==14){c[g>>2]=a[o]|0;z=r;break}else if((y|0)==22){i=e;return n|0}}else{c[g>>2]=a[f|0]|0;z=k}}while(0);if(d){d=c[g>>2]|0;c[b+48>>2]=d;n=d;i=e;return n|0}d=b+32|0;b=z;while(1){if((b|0)<=0){break}z=b-1|0;if((ed(a[f+z|0]|0,c[d>>2]|0)|0)==-1){n=-1;y=22;break}else{b=z}}if((y|0)==22){i=e;return n|0}n=c[g>>2]|0;i=e;return n|0}function xR(a){a=a|0;c[a>>2]=1686168;eZ(a+4|0);return}function yR(a){a=a|0;c[a>>2]=1686168;eZ(a+4|0);J0(a);return}function zR(b,d){b=b|0;d=d|0;var e=0;Zd[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=gZ(d,1732552)|0;d=e;c[b+36>>2]=d;a[b+44|0]=(Zd[c[(c[e>>2]|0)+28>>2]&255](d)|0)&1;return}function AR(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a+36|0;g=a+40|0;h=d|0;j=d+8|0;k=d;d=a+32|0;while(1){a=c[f>>2]|0;l=_d[c[(c[a>>2]|0)+20>>2]&127](a,c[g>>2]|0,h,j,e)|0;a=(c[e>>2]|0)-k|0;if((Ya(h|0,1,a|0,c[d>>2]|0)|0)!=(a|0)){m=-1;n=5;break}if((l|0)==2){m=-1;n=5;break}else if((l|0)!=1){n=4;break}}if((n|0)==4){m=((Ta(c[d>>2]|0)|0)!=0)<<31>>31;i=b;return m|0}else if((n|0)==5){i=b;return m|0}return 0}function BR(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;if((a[b+44|0]|0)!=0){g=Ya(e|0,1,f|0,c[b+32>>2]|0)|0;return g|0}h=b;if((f|0)>0){i=e;j=0}else{g=0;return g|0}while(1){if((ie[c[(c[h>>2]|0)+52>>2]&127](b,d[i]|0)|0)==-1){g=j;k=6;break}e=j+1|0;if((e|0)<(f|0)){i=i+1|0;j=e}else{g=e;k=6;break}}if((k|0)==6){return g|0}return 0}function CR(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=(d|0)==-1;a:do{if(!k){a[g]=d;if((a[b+44|0]|0)!=0){if((Ya(g|0,1,1,c[b+32>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}m=f|0;c[h>>2]=m;n=g+1|0;o=b+36|0;p=b+40|0;q=f+8|0;r=f;s=b+32|0;t=g;while(1){u=c[o>>2]|0;v=oe[c[(c[u>>2]|0)+12>>2]&31](u,c[p>>2]|0,t,n,j,m,q,h)|0;if((c[j>>2]|0)==(t|0)){l=-1;w=12;break}if((v|0)==3){w=7;break}u=(v|0)==1;if(!(v>>>0<2>>>0)){l=-1;w=12;break}v=(c[h>>2]|0)-r|0;if((Ya(m|0,1,v|0,c[s>>2]|0)|0)!=(v|0)){l=-1;w=12;break}if(u){t=u?c[j>>2]|0:t}else{break a}}if((w|0)==7){if((Ya(t|0,1,1,c[s>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}else if((w|0)==12){i=e;return l|0}}}while(0);l=k?0:d;i=e;return l|0}function DR(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+8|0;g=f|0;h=b|0;c[h>>2]=1686168;j=b+4|0;cZ(j);e1(b+8|0,0,24)|0;c[h>>2]=1687104;c[b+32>>2]=d;c[b+40>>2]=e;c[b+48>>2]=-1;a[b+52|0]=0;dZ(g,j);j=gZ(g,1732552)|0;e=j;d=b+36|0;c[d>>2]=e;h=b+44|0;c[h>>2]=Zd[c[(c[j>>2]|0)+24>>2]&255](e)|0;e=c[d>>2]|0;a[b+53|0]=(Zd[c[(c[e>>2]|0)+28>>2]&255](e)|0)&1;if((c[h>>2]|0)<=8){eZ(g);i=f;return}oY(25216);eZ(g);i=f;return}function ER(a){a=a|0;c[a>>2]=1686168;eZ(a+4|0);return}function FR(a){a=a|0;c[a>>2]=1686168;eZ(a+4|0);J0(a);return}function GR(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=gZ(d,1732552)|0;d=e;f=b+36|0;c[f>>2]=d;g=b+44|0;c[g>>2]=Zd[c[(c[e>>2]|0)+24>>2]&255](d)|0;d=c[f>>2]|0;a[b+53|0]=(Zd[c[(c[d>>2]|0)+28>>2]&255](d)|0)&1;if((c[g>>2]|0)<=8){return}oY(25216);return}function HR(a){a=a|0;return KR(a,0)|0}function IR(a){a=a|0;return KR(a,1)|0}function JR(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;l=(a[k]|0)!=0;if((d|0)==-1){if(l){m=-1;i=e;return m|0}n=c[b+48>>2]|0;a[k]=(n|0)!=-1|0;m=n;i=e;return m|0}n=b+48|0;a:do{if(l){a[h]=c[n>>2];o=c[b+36>>2]|0;p=f|0;q=oe[c[(c[o>>2]|0)+12>>2]&31](o,c[b+40>>2]|0,h,h+1|0,j,p,f+8|0,g)|0;if((q|0)==3){a[p]=c[n>>2];c[g>>2]=f+1}else if((q|0)==2|(q|0)==1){m=-1;i=e;return m|0}q=b+32|0;while(1){o=c[g>>2]|0;if(!(o>>>0>p>>>0)){break a}r=o-1|0;c[g>>2]=r;if((ed(a[r]|0,c[q>>2]|0)|0)==-1){m=-1;break}}i=e;return m|0}}while(0);c[n>>2]=d;a[k]=1;m=d;i=e;return m|0}function KR(b,e){b=b|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;f=i;i=i+32|0;g=f|0;h=f+8|0;j=f+16|0;k=f+24|0;l=b+52|0;if((a[l]|0)!=0){m=b+48|0;n=c[m>>2]|0;if(!e){o=n;i=f;return o|0}c[m>>2]=-1;a[l]=0;o=n;i=f;return o|0}n=c[b+44>>2]|0;l=(n|0)>1?n:1;a:do{if((l|0)>0){n=b+32|0;m=0;while(1){p=Cb(c[n>>2]|0)|0;if((p|0)==-1){o=-1;break}a[g+m|0]=p;m=m+1|0;if((m|0)>=(l|0)){break a}}i=f;return o|0}}while(0);b:do{if((a[b+53|0]|0)==0){m=b+40|0;n=b+36|0;p=g|0;q=h+1|0;r=b+32|0;s=l;while(1){t=c[m>>2]|0;u=t;v=c[u>>2]|0;w=c[u+4>>2]|0;u=c[n>>2]|0;x=g+s|0;y=oe[c[(c[u>>2]|0)+16>>2]&31](u,t,p,x,j,h,q,k)|0;if((y|0)==3){z=14;break}else if((y|0)==2){o=-1;z=23;break}else if((y|0)!=1){A=s;break b}y=c[m>>2]|0;c[y>>2]=v;c[y+4>>2]=w;if((s|0)==8){o=-1;z=23;break}w=Cb(c[r>>2]|0)|0;if((w|0)==-1){o=-1;z=23;break}a[x]=w;s=s+1|0}if((z|0)==14){a[h]=a[p]|0;A=s;break}else if((z|0)==23){i=f;return o|0}}else{a[h]=a[g|0]|0;A=l}}while(0);do{if(e){l=a[h]|0;c[b+48>>2]=l&255;B=l}else{l=b+32|0;k=A;while(1){if((k|0)<=0){z=21;break}j=k-1|0;if((ed(d[g+j|0]|0,c[l>>2]|0)|0)==-1){o=-1;z=23;break}else{k=j}}if((z|0)==21){B=a[h]|0;break}else if((z|0)==23){i=f;return o|0}}}while(0);o=B&255;i=f;return o|0}function LR(){hR(0);Fb(188,1733304,s|0)|0;return}function MR(a){a=a|0;return}function NR(a){a=a|0;var b=0;b=a+4|0;I=c[b>>2]|0,c[b>>2]=I+1,I;return}function OR(a){a=a|0;var b=0,d=0;b=a+4|0;if(((I=c[b>>2]|0,c[b>>2]=I+ -1,I)|0)!=0){d=0;return d|0}Wd[c[(c[a>>2]|0)+8>>2]&511](a);d=1;return d|0}function PR(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a>>2]=1684328;d=a+4|0;if((d|0)==0){return}a=b1(b|0)|0;e=I0(a+13|0)|0;c[e+4>>2]=a;c[e>>2]=a;f=e+12|0;c[d>>2]=f;c[e+8>>2]=0;d1(f|0,b|0,a+1|0)|0;return}function QR(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=1684328;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}K0(e)}}while(0);J0(a);return}function RR(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=1684328;b=a+4|0;d=(c[b>>2]|0)-4|0;if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)>=0){e=a|0;return}d=(c[b>>2]|0)-12|0;if((d|0)==0){e=a|0;return}K0(d);e=a|0;return}function SR(a){a=a|0;return c[a+4>>2]|0}function TR(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;c[b>>2]=1684232;e=b+4|0;if((e|0)==0){return}if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=b1(f|0)|0;b=I0(d+13|0)|0;c[b+4>>2]=d;c[b>>2]=d;g=b+12|0;c[e>>2]=g;c[b+8>>2]=0;d1(g|0,f|0,d+1|0)|0;return}function UR(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a>>2]=1684232;d=a+4|0;if((d|0)==0){return}a=b1(b|0)|0;e=I0(a+13|0)|0;c[e+4>>2]=a;c[e>>2]=a;f=e+12|0;c[d>>2]=f;c[e+8>>2]=0;d1(f|0,b|0,a+1|0)|0;return}function VR(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=1684232;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}K0(e)}}while(0);J0(a);return}function WR(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=1684232;b=a+4|0;d=(c[b>>2]|0)-4|0;if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)>=0){e=a|0;return}d=(c[b>>2]|0)-12|0;if((d|0)==0){e=a|0;return}K0(d);e=a|0;return}function XR(a){a=a|0;return c[a+4>>2]|0}function YR(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=1684328;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}K0(e)}}while(0);J0(a);return}function ZR(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=1684328;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}K0(e)}}while(0);J0(a);return}function _R(a){a=a|0;return}function $R(a,b,d){a=a|0;b=b|0;d=d|0;c[a>>2]=d;c[a+4>>2]=b;return}function aS(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;me[c[(c[a>>2]|0)+12>>2]&15](f,a,b);if((c[f+4>>2]|0)!=(c[d+4>>2]|0)){g=0;i=e;return g|0}g=(c[f>>2]|0)==(c[d>>2]|0);i=e;return g|0}function bS(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;if((c[b+4>>2]|0)!=(a|0)){e=0;return e|0}e=(c[b>>2]|0)==(d|0);return e|0}function cS(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;d=_c(e|0)|0;e=b1(d|0)|0;if(e>>>0>4294967279>>>0){iS(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;d1(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=H0(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;d1(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function dS(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;f=i;i=i+16|0;g=f|0;h=d|0;j=c[h>>2]|0;k=e;do{if((j|0)!=0){l=a[k]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[e+4>>2]|0}if((m|0)==0){n=j}else{PS(e,1650656,2)|0;n=c[h>>2]|0}l=c[d+4>>2]|0;me[c[(c[l>>2]|0)+24>>2]&15](g,l,n);l=g;o=a[l]|0;if((o&1)==0){p=(o&255)>>>1;q=g+1|0}else{p=c[g+4>>2]|0;q=c[g+8>>2]|0}PS(e,q,p)|0;if((a[l]&1)==0){break}J0(c[g+8>>2]|0)}}while(0);g=b;c[g>>2]=c[k>>2];c[g+4>>2]=c[k+4>>2];c[g+8>>2]=c[k+8>>2];e1(k|0,0,12)|0;i=f;return}function eS(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+32|0;g=d;d=i;i=i+8|0;c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];g=f|0;h=f+16|0;j=b1(e|0)|0;if(j>>>0>4294967279>>>0){iS(0)}if(j>>>0<11>>>0){a[h]=j<<1;k=h+1|0}else{l=j+16&-16;m=H0(l)|0;c[h+8>>2]=m;c[h>>2]=l|1;c[h+4>>2]=j;k=m}d1(k|0,e|0,j)|0;a[k+j|0]=0;dS(g,d,h);TR(b|0,g);if(!((a[g]&1)==0)){J0(c[g+8>>2]|0)}if(!((a[h]&1)==0)){J0(c[h+8>>2]|0)}c[b>>2]=1686600;h=d;d=b+8|0;b=c[h+4>>2]|0;c[d>>2]=c[h>>2];c[d+4>>2]=b;i=f;return}function fS(a){a=a|0;WR(a|0);J0(a);return}function gS(a){a=a|0;WR(a|0);return}function hS(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e;if((c[a>>2]|0)==1){do{rb(1732304,1732280)|0;}while((c[a>>2]|0)==1)}if((c[a>>2]|0)!=0){f;return}c[a>>2]=1;g;Wd[d&511](b);h;c[a>>2]=-1;i;Qc(1732304)|0;return}function iS(a){a=a|0;a=Bd(8)|0;PR(a,1673368);c[a>>2]=1684296;vc(a|0,1690640,52)}function jS(a){a=a|0;a=Bd(8)|0;PR(a,1673368);c[a>>2]=1684264;vc(a|0,1690624,8)}function kS(a){a=a|0;e1(a|0,0,12)|0;return}function lS(a,b){a=a|0;b=b|0;e1(a|0,0,12)|0;return}function mS(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=d;if((a[e]&1)==0){f=b;c[f>>2]=c[e>>2];c[f+4>>2]=c[e+4>>2];c[f+8>>2]=c[e+8>>2];return}e=c[d+8>>2]|0;f=c[d+4>>2]|0;if(f>>>0>4294967279>>>0){iS(0)}if(f>>>0<11>>>0){a[b]=f<<1;g=b+1|0}else{d=f+16&-16;h=H0(d)|0;c[b+8>>2]=h;c[b>>2]=d|1;c[b+4>>2]=f;g=h}d1(g|0,e|0,f)|0;a[g+f|0]=0;return}function nS(b){b=b|0;return(a[b]&1)!=0|0}function oS(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if(e>>>0>4294967279>>>0){iS(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;d1(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=H0(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;d1(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function pS(a){a=a|0;return a|0}function qS(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=b1(d|0)|0;if(e>>>0>4294967279>>>0){iS(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;d1(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=H0(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;d1(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function rS(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if(d>>>0>4294967279>>>0){iS(0)}if(d>>>0<11>>>0){a[b]=d<<1;f=b+1|0}else{g=d+16&-16;h=H0(g)|0;c[b+8>>2]=h;c[b>>2]=g|1;c[b+4>>2]=d;f=h}e1(f|0,e|0,d|0)|0;a[f+d|0]=0;return}function sS(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if(d>>>0>4294967279>>>0){iS(0)}if(d>>>0<11>>>0){a[b]=d<<1;f=b+1|0}else{g=d+16&-16;h=H0(g)|0;c[b+8>>2]=h;c[b>>2]=g|1;c[b+4>>2]=d;f=h}e1(f|0,e|0,d|0)|0;a[f+d|0]=0;return}function tS(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;g=a[d]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[d+4>>2]|0}if(i>>>0<e>>>0){jS(0)}if(h){j=d+1|0}else{j=c[d+8>>2]|0}d=j+e|0;j=i-e|0;e=j>>>0<f>>>0?j:f;if(e>>>0>4294967279>>>0){iS(0)}if(e>>>0<11>>>0){a[b]=e<<1;k=b+1|0;d1(k|0,d|0,e)|0;l=k+e|0;a[l]=0;return}else{f=e+16&-16;j=H0(f)|0;c[b+8>>2]=j;c[b>>2]=f|1;c[b+4>>2]=e;k=j;d1(k|0,d|0,e)|0;l=k+e|0;a[l]=0;return}}function uS(b){b=b|0;var d=0,e=0;d=a[b]|0;if((d&1)==0){e=(d&255)>>>1;return e|0}else{e=c[b+4>>2]|0;return e|0}return 0}function vS(b){b=b|0;var d=0;if((a[b]&1)==0){d=b+1|0;return d|0}else{d=c[b+8>>2]|0;return d|0}return 0}function wS(b){b=b|0;if((a[b]&1)==0){return}J0(c[b+8>>2]|0);return}function xS(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((b|0)==(d|0)){return b|0}e=a[d]|0;if((e&1)==0){f=(e&255)>>>1;g=d+1|0}else{f=c[d+4>>2]|0;g=c[d+8>>2]|0}d=b;e=a[d]|0;if((e&1)==0){h=10;i=e}else{e=c[b>>2]|0;h=(e&-2)-1|0;i=e&255}e=(i&1)==0;if(h>>>0<f>>>0){if(e){j=(i&255)>>>1}else{j=c[b+4>>2]|0}QS(b,h,f-h|0,j,0,j,f,g);return b|0}if(e){k=b+1|0}else{k=c[b+8>>2]|0}h1(k|0,g|0,f|0)|0;a[k+f|0]=0;if((a[d]&1)==0){a[d]=f<<1;return b|0}else{c[b+4>>2]=f;return b|0}return 0}function yS(a,b){a=a|0;b=b|0;return zS(a,b)|0}function zS(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=b1(d|0)|0;f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}g=(i&1)==0;if(h>>>0<e>>>0){if(g){j=(i&255)>>>1}else{j=c[b+4>>2]|0}QS(b,h,e-h|0,j,0,j,e,d);return b|0}if(g){k=b+1|0}else{k=c[b+8>>2]|0}h1(k|0,d|0,e|0)|0;a[k+e|0]=0;if((a[f]&1)==0){a[f]=e<<1;return b|0}else{c[b+4>>2]=e;return b|0}return 0}function AS(a,b){a=a|0;b=b|0;c[a+4>>2]=b;return}function BS(a){a=a|0;return a+1|0}function CS(b,c){b=b|0;c=c|0;a[b]=c<<1;return}function DS(b){b=b|0;var d=0,e=0;d=a[b]|0;if((d&1)==0){e=(d&255)>>>1;return e|0}else{e=c[b+4>>2]|0;return e|0}return 0}function ES(b){b=b|0;var d=0;if((a[b]&1)==0){d=10;return d|0}d=(c[b>>2]&-2)-1|0;return d|0}function FS(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=b;g=a[f]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[b+4>>2]|0}if(i>>>0<d>>>0){GS(b,d-i|0,e)|0;return}if(h){a[b+1+d|0]=0;a[f]=d<<1;return}else{a[(c[b+8>>2]|0)+d|0]=0;c[b+4>>2]=d;return}}function GS(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;if((d|0)==0){return b|0}f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}if((i&1)==0){j=(i&255)>>>1}else{j=c[b+4>>2]|0}if((h-j|0)>>>0<d>>>0){RS(b,h,d-h+j|0,j,j,0,0);k=a[f]|0}else{k=i}if((k&1)==0){l=b+1|0}else{l=c[b+8>>2]|0}e1(l+j|0,e|0,d|0)|0;e=j+d|0;if((a[f]&1)==0){a[f]=e<<1}else{c[b+4>>2]=e}a[l+e|0]=0;return b|0}function HS(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=b;f=a[e]|0;g=(f&1)==0;if(g){h=(f&255)>>>1}else{h=c[b+4>>2]|0}if(h>>>0<d>>>0){GS(b,d-h|0,0)|0;return}if(g){a[b+1+d|0]=0;a[e]=d<<1;return}else{a[(c[b+8>>2]|0)+d|0]=0;c[b+4>>2]=d;return}}function IS(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(d>>>0>4294967279>>>0){iS(0)}e=b;f=a[e]|0;if((f&1)==0){g=10;h=f}else{f=c[b>>2]|0;g=(f&-2)-1|0;h=f&255}if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}f=i>>>0>d>>>0?i:d;if(f>>>0<11>>>0){j=10}else{j=(f+16&-16)-1|0}if((j|0)==(g|0)){return}do{if((j|0)==10){k=b+1|0;l=c[b+8>>2]|0;m=1;n=0}else{f=j+1|0;if(j>>>0>g>>>0){o=H0(f)|0}else{o=H0(f)|0}if((h&1)==0){k=o;l=b+1|0;m=0;n=1;break}else{k=o;l=c[b+8>>2]|0;m=1;n=1;break}}}while(0);if((h&1)==0){p=(h&255)>>>1}else{p=c[b+4>>2]|0}d1(k|0,l|0,p+1|0)|0;if(m){J0(l)}if(n){c[b>>2]=j+1|1;c[b+4>>2]=i;c[b+8>>2]=k;return}else{a[e]=i<<1;return}}function JS(a){a=a|0;var b=0;if(a>>>0<11>>>0){b=10;return b|0}b=(a+16&-16)-1|0;return b|0}function KS(a,b){a=a|0;b=b|0;c[a>>2]=b|1;return}function LS(a,b){a=a|0;b=b|0;c[a+8>>2]=b;return}function MS(b){b=b|0;var d=0;d=b;if((a[d]&1)==0){a[b+1|0]=0;a[d]=0;return}else{a[c[b+8>>2]|0]=0;c[b+4>>2]=0;return}}function NS(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=a[d]|0;if((e&1)==0){f=(e&255)>>>1;g=d+1|0}else{f=c[d+4>>2]|0;g=c[d+8>>2]|0}return PS(b,g,f)|0}function OS(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=b;f=a[e]|0;g=(f&1)!=0;if(g){h=c[b+4>>2]|0;i=(c[b>>2]&-2)-1|0}else{h=(f&255)>>>1;i=10}if((h|0)==(i|0)){RS(b,i,1,i,i,0,0);if((a[e]&1)==0){j=7}else{j=8}}else{if(g){j=8}else{j=7}}if((j|0)==7){a[e]=(h<<1)+2;k=b+1|0;l=h+1|0;m=k+h|0;a[m]=d;n=k+l|0;a[n]=0;return}else if((j|0)==8){j=c[b+8>>2]|0;e=h+1|0;c[b+4>>2]=e;k=j;l=e;m=k+h|0;a[m]=d;n=k+l|0;a[n]=0;return}}function PS(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}if((i&1)==0){j=(i&255)>>>1}else{j=c[b+4>>2]|0}if((h-j|0)>>>0<e>>>0){QS(b,h,e-h+j|0,j,j,0,e,d);return b|0}if((e|0)==0){return b|0}if((i&1)==0){k=b+1|0}else{k=c[b+8>>2]|0}d1(k+j|0,d|0,e)|0;d=j+e|0;if((a[f]&1)==0){a[f]=d<<1}else{c[b+4>>2]=d}a[k+d|0]=0;return b|0}function QS(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((-18-d|0)>>>0<e>>>0){iS(0)}if((a[b]&1)==0){k=b+1|0}else{k=c[b+8>>2]|0}do{if(d>>>0<2147483623>>>0){l=e+d|0;m=d<<1;n=l>>>0<m>>>0?m:l;if(n>>>0<11>>>0){o=11;break}o=n+16&-16}else{o=-17}}while(0);e=H0(o)|0;if((g|0)!=0){d1(e|0,k|0,g)|0}if((i|0)!=0){d1(e+g|0,j|0,i)|0}j=f-h|0;if((j|0)!=(g|0)){d1(e+(i+g)|0,k+(h+g)|0,j-g|0)|0}if((d|0)==10){p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+s|0;a[u]=0;return}J0(k);p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+s|0;a[u]=0;return}function RS(b,d,e,f,g,h,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((-17-d|0)>>>0<e>>>0){iS(0)}if((a[b]&1)==0){j=b+1|0}else{j=c[b+8>>2]|0}do{if(d>>>0<2147483623>>>0){k=e+d|0;l=d<<1;m=k>>>0<l>>>0?l:k;if(m>>>0<11>>>0){n=11;break}n=m+16&-16}else{n=-17}}while(0);e=H0(n)|0;if((g|0)!=0){d1(e|0,j|0,g)|0}m=f-h|0;if((m|0)!=(g|0)){d1(e+(i+g)|0,j+(h+g)|0,m-g|0)|0}if((d|0)==10){o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}J0(j);o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}function SS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;tS(a,b,c,d,0);return}function TS(b){b=b|0;var d=0;if((a[b]&1)==0){d=b+1|0;return d|0}else{d=c[b+8>>2]|0;return d|0}return 0}function US(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=b1(d|0)|0;g=a[b]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[b+4>>2]|0}if(i>>>0<e>>>0|(i-e|0)>>>0<f>>>0){j=-1;return j|0}if((f|0)==0){j=e;return j|0}if(h){k=b+1|0}else{k=c[b+8>>2]|0}b=k+e|0;h=k+i|0;g=d+f|0;if((h-b|0)<(f|0)){j=-1;return j|0}l=i+(1-f)|0;f=k+l|0;if((l|0)==(e|0)){j=-1;return j|0}e=a[d]|0;l=b;a:while(1){if((a[l]|0)==e<<24>>24){b=d;i=l;do{b=b+1|0;if((b|0)==(g|0)){break a}i=i+1|0;}while((a[i]|0)==(a[b]|0))}b=l+1|0;if((b|0)==(f|0)){j=-1;m=18;break}else{l=b}}if((m|0)==18){return j|0}if((l|0)==(h|0)){j=-1;return j|0}j=l-k|0;return j|0}function VS(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=a[b]|0;f=(e&1)==0;if(f){g=(e&255)>>>1}else{g=c[b+4>>2]|0}e=a[d]|0;h=(e&1)==0;if(h){i=(e&255)>>>1}else{i=c[d+4>>2]|0}if(f){j=b+1|0}else{j=c[b+8>>2]|0}if(h){k=d+1|0}else{k=c[d+8>>2]|0}d=i>>>0<g>>>0;h=_0(j,k,d?i:g)|0;if((h|0)==0){return(g>>>0<i>>>0?-1:d&1)|0}else{return h|0}return 0}function WS(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=b1(d|0)|0;f=a[b]|0;g=(f&1)==0;if(g){h=(f&255)>>>1}else{h=c[b+4>>2]|0}if((e|0)==-1){jS(0);return 0}if(g){i=b+1|0}else{i=c[b+8>>2]|0}b=h>>>0>e>>>0;g=_0(i,d,b?e:h)|0;if((g|0)==0){return(h>>>0<e>>>0?-1:b&1)|0}else{return g|0}return 0}function XS(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if(f>>>0>4294967279>>>0){iS(0)}if(f>>>0<11>>>0){a[b]=e<<1;g=b+1|0;d1(g|0,d|0,e)|0;h=g+e|0;a[h]=0;return}else{i=f+16&-16;f=H0(i)|0;c[b+8>>2]=f;c[b>>2]=i|1;c[b+4>>2]=e;g=f;d1(g|0,d|0,e)|0;h=g+e|0;a[h]=0;return}}function YS(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if(e>>>0>1073741807>>>0){iS(0)}if(e>>>0<2>>>0){a[b]=e<<1;f=b+4|0;g=c0(f,d,e)|0;h=f+(e<<2)|0;c[h>>2]=0;return}else{i=e+4&-4;j=H0(i<<2)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=e;f=j;g=c0(f,d,e)|0;h=f+(e<<2)|0;c[h>>2]=0;return}}function ZS(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if(d>>>0>1073741807>>>0){iS(0)}if(d>>>0<2>>>0){a[b]=d<<1;f=b+4|0;g=e0(f,e,d)|0;h=f+(d<<2)|0;c[h>>2]=0;return}else{i=d+4&-4;j=H0(i<<2)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=d;f=j;g=e0(f,e,d)|0;h=f+(d<<2)|0;c[h>>2]=0;return}}function _S(b){b=b|0;if((a[b]&1)==0){return}J0(c[b+8>>2]|0);return}function $S(a,b){a=a|0;b=b|0;return aT(a,b,b0(b)|0)|0}function aT(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=b;g=a[f]|0;if((g&1)==0){h=1;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}g=(i&1)==0;if(h>>>0<e>>>0){if(g){j=(i&255)>>>1}else{j=c[b+4>>2]|0}dT(b,h,e-h|0,j,0,j,e,d);return b|0}if(g){k=b+4|0}else{k=c[b+8>>2]|0}d0(k,d,e)|0;c[k+(e<<2)>>2]=0;if((a[f]&1)==0){a[f]=e<<1;return b|0}else{c[b+4>>2]=e;return b|0}return 0}function bT(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(d>>>0>1073741807>>>0){iS(0)}e=b;f=a[e]|0;if((f&1)==0){g=1;h=f}else{f=c[b>>2]|0;g=(f&-2)-1|0;h=f&255}if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}f=i>>>0>d>>>0?i:d;if(f>>>0<2>>>0){j=1}else{j=(f+4&-4)-1|0}if((j|0)==(g|0)){return}do{if((j|0)==1){k=b+4|0;l=c[b+8>>2]|0;m=1;n=0}else{f=(j<<2)+4|0;if(j>>>0>g>>>0){o=H0(f)|0}else{o=H0(f)|0}f=o;if((h&1)==0){k=f;l=b+4|0;m=0;n=1;break}else{k=f;l=c[b+8>>2]|0;m=1;n=1;break}}}while(0);if((h&1)==0){p=(h&255)>>>1}else{p=c[b+4>>2]|0}c0(k,l,p+1|0)|0;if(m){J0(l)}if(n){c[b>>2]=j+1|1;c[b+4>>2]=i;c[b+8>>2]=k;return}else{a[e]=i<<1;return}}function cT(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=b;f=a[e]|0;g=(f&1)!=0;if(g){h=c[b+4>>2]|0;i=(c[b>>2]&-2)-1|0}else{h=(f&255)>>>1;i=1}if((h|0)==(i|0)){eT(b,i,1,i,i,0,0);if((a[e]&1)==0){j=7}else{j=8}}else{if(g){j=8}else{j=7}}if((j|0)==7){a[e]=(h<<1)+2;k=b+4|0;l=h+1|0;m=k+(h<<2)|0;c[m>>2]=d;n=k+(l<<2)|0;c[n>>2]=0;return}else if((j|0)==8){j=c[b+8>>2]|0;e=h+1|0;c[b+4>>2]=e;k=j;l=e;m=k+(h<<2)|0;c[m>>2]=d;n=k+(l<<2)|0;c[n>>2]=0;return}}function dT(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((1073741806-d|0)>>>0<e>>>0){iS(0)}if((a[b]&1)==0){k=b+4|0}else{k=c[b+8>>2]|0}do{if(d>>>0<536870887>>>0){l=e+d|0;m=d<<1;n=l>>>0<m>>>0?m:l;if(n>>>0<2>>>0){o=2;break}o=n+4&-4}else{o=1073741807}}while(0);e=H0(o<<2)|0;if((g|0)!=0){c0(e,k,g)|0}if((i|0)!=0){c0(e+(g<<2)|0,j,i)|0}j=f-h|0;if((j|0)!=(g|0)){c0(e+(i+g<<2)|0,k+(h+g<<2)|0,j-g|0)|0}if((d|0)==1){p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+(s<<2)|0;c[u>>2]=0;return}J0(k);p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+(s<<2)|0;c[u>>2]=0;return}function eT(b,d,e,f,g,h,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((1073741807-d|0)>>>0<e>>>0){iS(0)}if((a[b]&1)==0){j=b+4|0}else{j=c[b+8>>2]|0}do{if(d>>>0<536870887>>>0){k=e+d|0;l=d<<1;m=k>>>0<l>>>0?l:k;if(m>>>0<2>>>0){n=2;break}n=m+4&-4}else{n=1073741807}}while(0);e=H0(n<<2)|0;if((g|0)!=0){c0(e,j,g)|0}m=f-h|0;if((m|0)!=(g|0)){c0(e+(i+g<<2)|0,j+(h+g<<2)|0,m-g|0)|0}if((d|0)==1){o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}J0(j);o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}function fT(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;f=b;e1(f|0,0,12)|0;g=b1(d|0)|0;h=e;i=a[h]|0;if((i&1)==0){j=(i&255)>>>1}else{j=c[e+4>>2]|0}i=j+g|0;if(i>>>0>4294967279>>>0){iS(0)}if(i>>>0<11>>>0){a[f]=g<<1;k=b+1|0}else{f=i+16&-16;i=H0(f)|0;c[b+8>>2]=i;c[b>>2]=f|1;c[b+4>>2]=g;k=i}d1(k|0,d|0,g)|0;a[k+g|0]=0;if((a[h]&1)==0){l=e+1|0}else{l=c[e+8>>2]|0}PS(b,l,j)|0;return}function gT(a){a=a|0;return(c[a+16>>2]&5|0)==0|0}function hT(a){a=a|0;return(c[a+16>>2]&5|0)!=0|0}function iT(a,b){a=a|0;b=b|0;jT(a|0,b);return}function jT(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;g=(c[b+24>>2]|0)==0;if(g){c[b+16>>2]=d|1}else{c[b+16>>2]=d}if(((g&1|d)&c[b+20>>2]|0)==0){i=e;return}e=Bd(16)|0;do{if((a[1733424]|0)==0){if((ac(1733424)|0)==0){break}c[432858]=1685864;Fb(166,1731432,s|0)|0}}while(0);b=n1(1731432,0,32)|0;c[f>>2]=b&0|1;c[f+4>>2]=K|0;eS(e,f,1656400);c[e>>2]=1685e3;vc(e|0,1691184,44)}function kT(a,b){a=a|0;b=b|0;jT(a|0,c[a+16>>2]|b);return}function lT(a){a=a|0;var b=0,d=0,e=0,f=0;c[a>>2]=1684976;b=c[a+40>>2]|0;d=a+32|0;e=a+36|0;if((b|0)!=0){f=b;do{f=f-1|0;me[c[(c[d>>2]|0)+(f<<2)>>2]&15](0,a,c[(c[e>>2]|0)+(f<<2)>>2]|0);}while((f|0)!=0)}eZ(a+28|0);C0(c[d>>2]|0);C0(c[e>>2]|0);C0(c[a+48>>2]|0);C0(c[a+60>>2]|0);return}function mT(a){a=a|0;lT(a|0);J0(a);return}function nT(a){a=a|0;lT(a|0);return}function oT(a){a=a|0;lT(a|0);return}function pT(a){a=a|0;return c[a+24>>2]|0}function qT(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=b|0;e=a+76|0;f=c[e>>2]|0;if(!((f|0)==-1)){g=f&255;i=b;return g|0}dZ(d,a+28|0);a=gZ(d,1732856)|0;f=ie[c[(c[a>>2]|0)+28>>2]&127](a,32)|0;eZ(d);c[e>>2]=f<<24>>24;g=f;i=b;return g|0}function rT(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+8|0;e=d|0;dZ(e,a+28|0);a=gZ(e,1732856)|0;f=ie[c[(c[a>>2]|0)+28>>2]&127](a,b)|0;eZ(e);i=d;return f|0}function sT(a,b){a=a|0;b=b|0;dZ(a,b+28|0);return}function tT(a){a=a|0;c[a>>2]=1684520;return}function uT(a,b){a=a|0;b=b|0;c[a+24>>2]=b;c[a+16>>2]=(b|0)==0;c[a+20>>2]=0;c[a+4>>2]=4098;c[a+12>>2]=0;c[a+8>>2]=6;b=a+28|0;e1(a+32|0,0,40)|0;if((b|0)==0){return}cZ(b);return}function vT(a){a=a|0;c[a>>2]=1686168;eZ(a+4|0);J0(a);return}function wT(a){a=a|0;c[a>>2]=1686168;eZ(a+4|0);return}function xT(a){a=a|0;c[a>>2]=1686168;eZ(a+4|0);return}function yT(a,b){a=a|0;b=b|0;dZ(a,b+4|0);return}function zT(a){a=a|0;var b=0,e=0,f=0;b=a+12|0;e=c[b>>2]|0;if((e|0)==(c[a+16>>2]|0)){f=Zd[c[(c[a>>2]|0)+40>>2]&255](a)|0;return f|0}else{c[b>>2]=e+1;f=d[e]|0;return f|0}return 0}function AT(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=b+24|0;f=c[e>>2]|0;if((f|0)==(c[b+28>>2]|0)){g=ie[c[(c[b>>2]|0)+52>>2]&127](b,d&255)|0;return g|0}else{c[e>>2]=f+1;a[f]=d;g=d&255;return g|0}return 0}function BT(a,b,d){a=a|0;b=b|0;d=d|0;return $d[c[(c[a>>2]|0)+48>>2]&127](a,b,d)|0}function CT(a){a=a|0;c[a>>2]=1686168;cZ(a+4|0);e1(a+8|0,0,24)|0;return}function DT(a){a=a|0;return c[a+8>>2]|0}function ET(a){a=a|0;return c[a+12>>2]|0}function FT(a){a=a|0;return c[a+16>>2]|0}function GT(a,b){a=a|0;b=b|0;var d=0;d=a+12|0;c[d>>2]=(c[d>>2]|0)+b;return}function HT(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;c[a+8>>2]=b;c[a+12>>2]=d;c[a+16>>2]=e;return}function IT(a){a=a|0;return c[a+20>>2]|0}function JT(a){a=a|0;return c[a+24>>2]|0}function KT(a){a=a|0;return c[a+28>>2]|0}function LT(a,b){a=a|0;b=b|0;var d=0;d=a+24|0;c[d>>2]=(c[d>>2]|0)+b;return}function MT(a,b,d){a=a|0;b=b|0;d=d|0;c[a+24>>2]=b;c[a+20>>2]=b;c[a+28>>2]=d;return}function NT(a,b){a=a|0;b=b|0;return}function OT(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function PT(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;g=a;c[g>>2]=0;c[g+4>>2]=0;g=a+8|0;c[g>>2]=-1;c[g+4>>2]=-1;return}function QT(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;e=i;b=d;d=i;i=i+16|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;i=e;return}function RT(a){a=a|0;return 0}function ST(a){a=a|0;return 0}function TT(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=b;if((e|0)<=0){g=0;return g|0}h=b+12|0;i=b+16|0;j=d;d=0;while(1){k=c[h>>2]|0;if(k>>>0<(c[i>>2]|0)>>>0){c[h>>2]=k+1;l=a[k]|0}else{k=Zd[c[(c[f>>2]|0)+40>>2]&255](b)|0;if((k|0)==-1){g=d;m=8;break}l=k&255}a[j]=l;k=d+1|0;if((k|0)<(e|0)){j=j+1|0;d=k}else{g=k;m=8;break}}if((m|0)==8){return g|0}return 0}function UT(a){a=a|0;return-1|0}function VT(a){a=a|0;var b=0,e=0;if((Zd[c[(c[a>>2]|0)+36>>2]&255](a)|0)==-1){b=-1;return b|0}e=a+12|0;a=c[e>>2]|0;c[e>>2]=a+1;b=d[a]|0;return b|0}function WT(a,b){a=a|0;b=b|0;return-1|0}function XT(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=b;if((f|0)<=0){h=0;return h|0}i=b+24|0;j=b+28|0;k=0;l=e;while(1){e=c[i>>2]|0;if(e>>>0<(c[j>>2]|0)>>>0){m=a[l]|0;c[i>>2]=e+1;a[e]=m}else{if((ie[c[(c[g>>2]|0)+52>>2]&127](b,d[l]|0)|0)==-1){h=k;n=7;break}}m=k+1|0;if((m|0)<(f|0)){k=m;l=l+1|0}else{h=m;n=7;break}}if((n|0)==7){return h|0}return 0}function YT(a,b){a=a|0;b=b|0;return-1|0}function ZT(a){a=a|0;c[a>>2]=1686096;eZ(a+4|0);J0(a);return}function _T(a){a=a|0;c[a>>2]=1686096;eZ(a+4|0);return}function $T(a,b){a=a|0;b=b|0;return}function aU(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function bU(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;g=a;c[g>>2]=0;c[g+4>>2]=0;g=a+8|0;c[g>>2]=-1;c[g+4>>2]=-1;return}function cU(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;e=i;b=d;d=i;i=i+16|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;i=e;return}function dU(a){a=a|0;return 0}function eU(a){a=a|0;return 0}function fU(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a;if((d|0)<=0){f=0;return f|0}g=a+12|0;h=a+16|0;i=b;b=0;while(1){j=c[g>>2]|0;if(j>>>0<(c[h>>2]|0)>>>0){c[g>>2]=j+4;k=c[j>>2]|0}else{j=Zd[c[(c[e>>2]|0)+40>>2]&255](a)|0;if((j|0)==-1){f=b;l=7;break}else{k=j}}c[i>>2]=k;j=b+1|0;if((j|0)<(d|0)){i=i+4|0;b=j}else{f=j;l=7;break}}if((l|0)==7){return f|0}return 0}function gU(a){a=a|0;return-1|0}function hU(a){a=a|0;var b=0,d=0;if((Zd[c[(c[a>>2]|0)+36>>2]&255](a)|0)==-1){b=-1;return b|0}d=a+12|0;a=c[d>>2]|0;c[d>>2]=a+4;b=c[a>>2]|0;return b|0}function iU(a,b){a=a|0;b=b|0;return-1|0}function jU(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a;if((d|0)<=0){f=0;return f|0}g=a+24|0;h=a+28|0;i=0;j=b;while(1){b=c[g>>2]|0;if(b>>>0<(c[h>>2]|0)>>>0){k=c[j>>2]|0;c[g>>2]=b+4;c[b>>2]=k}else{if((ie[c[(c[e>>2]|0)+52>>2]&127](a,c[j>>2]|0)|0)==-1){f=i;l=8;break}}k=i+1|0;if((k|0)>=(d|0)){f=k;l=8;break}i=k;j=j+4|0}if((l|0)==8){return f|0}return 0}function kU(a,b){a=a|0;b=b|0;return-1|0}function lU(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=c[b>>2]|0;c[a>>2]=e;f=a;c[f+(c[e-12>>2]|0)>>2]=c[b+4>>2];c[a+4>>2]=0;b=c[(c[a>>2]|0)-12>>2]|0;c[f+(b+24)>>2]=d;c[f+(b+16)>>2]=(d|0)==0;c[f+(b+20)>>2]=0;c[f+(b+4)>>2]=4098;c[f+(b+12)>>2]=0;c[f+(b+8)>>2]=6;d=f+(b+28)|0;e1(f+(b+32)|0,0,40)|0;if((d|0)==0){g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}cZ(d);g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}function mU(a){a=a|0;lT(a+8|0);J0(a);return}function nU(a){a=a|0;lT(a+8|0);return}function oU(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;lT(b+(d+8)|0);J0(b+d|0);return}function pU(a){a=a|0;lT(a+((c[(c[a>>2]|0)-12>>2]|0)+8)|0);return}function qU(a,b,c){a=a|0;b=b|0;c=c|0;rU(a,b,c);return}function rU(d,e,f){d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+8|0;h=g|0;j=d|0;a[j]=0;d=e;k=c[(c[d>>2]|0)-12>>2]|0;l=e;e=c[l+(k+16)>>2]|0;if((e|0)!=0){jT(l+k|0,e|4);i=g;return}e=c[l+(k+72)>>2]|0;if((e|0)!=0){sU(e)|0}do{if(!f){e=c[(c[d>>2]|0)-12>>2]|0;if((c[l+(e+4)>>2]&4096|0)==0){break}dZ(h,l+(e+28)|0);e=gZ(h,1732856)|0;eZ(h);k=e+8|0;e=c[l+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;while(1){if((e|0)==0){break}if((c[e+12>>2]|0)==(c[e+16>>2]|0)){m=(Zd[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1;n=m?0:e;if((n|0)==0){break}else{o=n}}else{o=e}p=o+12|0;n=c[p>>2]|0;q=o+16|0;if((n|0)==(c[q>>2]|0)){r=(Zd[c[(c[o>>2]|0)+36>>2]&255](o)|0)&255}else{r=a[n]|0}if(r<<24>>24<0){s=20;break}if((b[(c[k>>2]|0)+(r<<24>>24<<1)>>1]&8192)==0){s=20;break}n=c[p>>2]|0;if((n|0)==(c[q>>2]|0)){Zd[c[(c[o>>2]|0)+40>>2]&255](o)|0;e=o;continue}else{c[p>>2]=n+1;e=o;continue}}if((s|0)==20){if((c[p>>2]|0)==(c[q>>2]|0)){e=(Zd[c[(c[o>>2]|0)+36>>2]&255](o)|0)==-1;t=e?0:o}else{t=o}if((t|0)!=0){break}}e=c[(c[d>>2]|0)-12>>2]|0;jT(l+e|0,c[l+(e+16)>>2]|6)}}while(0);a[j]=(c[l+((c[(c[d>>2]|0)-12>>2]|0)+16)>>2]|0)==0|0;i=g;return}function sU(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+8|0;e=d|0;f=b;g=c[(c[f>>2]|0)-12>>2]|0;h=b;if((c[h+(g+24)>>2]|0)==0){i=d;return b|0}j=e|0;a[j]=0;c[e+4>>2]=b;do{if((c[h+(g+16)>>2]|0)==0){k=c[h+(g+72)>>2]|0;if((k|0)==0){l=g}else{sU(k)|0;l=c[(c[f>>2]|0)-12>>2]|0}a[j]=1;k=c[h+(l+24)>>2]|0;if(!((Zd[c[(c[k>>2]|0)+24>>2]&255](k)|0)==-1)){break}k=c[(c[f>>2]|0)-12>>2]|0;jT(h+k|0,c[h+(k+16)>>2]|1)}}while(0);HU(e);i=d;return b|0}function tU(b){b=b|0;return(a[b|0]|0)!=0|0}function uU(a){a=a|0;var b=0;b=a+16|0;c[b>>2]=c[b>>2]|1;if((c[a+20>>2]&1|0)==0){return}else{sb()}}function vU(a){a=a|0;lT(a+8|0);J0(a);return}function wU(a){a=a|0;lT(a+8|0);return}function xU(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;lT(b+(d+8)|0);J0(b+d|0);return}function yU(a){a=a|0;lT(a+((c[(c[a>>2]|0)-12>>2]|0)+8)|0);return}function zU(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+8|0;e=d|0;f=b;g=c[(c[f>>2]|0)-12>>2]|0;h=b;if((c[h+(g+24)>>2]|0)==0){i=d;return b|0}j=e|0;a[j]=0;c[e+4>>2]=b;do{if((c[h+(g+16)>>2]|0)==0){k=c[h+(g+72)>>2]|0;if((k|0)==0){l=g}else{zU(k)|0;l=c[(c[f>>2]|0)-12>>2]|0}a[j]=1;k=c[h+(l+24)>>2]|0;if(!((Zd[c[(c[k>>2]|0)+24>>2]&255](k)|0)==-1)){break}k=c[(c[f>>2]|0)-12>>2]|0;jT(h+k|0,c[h+(k+16)>>2]|1)}}while(0);TU(e);i=d;return b|0}function AU(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=c[b>>2]|0;c[a>>2]=e;f=a;c[f+(c[e-12>>2]|0)>>2]=c[b+4>>2];b=c[(c[a>>2]|0)-12>>2]|0;c[f+(b+24)>>2]=d;c[f+(b+16)>>2]=(d|0)==0;c[f+(b+20)>>2]=0;c[f+(b+4)>>2]=4098;c[f+(b+12)>>2]=0;c[f+(b+8)>>2]=6;d=f+(b+28)|0;e1(f+(b+32)|0,0,40)|0;if((d|0)==0){g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}cZ(d);g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}function BU(a){a=a|0;lT(a+4|0);J0(a);return}function CU(a){a=a|0;lT(a+4|0);return}function DU(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;lT(b+(d+4)|0);J0(b+d|0);return}function EU(a){a=a|0;lT(a+((c[(c[a>>2]|0)-12>>2]|0)+4)|0);return}function FU(b,d){b=b|0;d=d|0;var e=0,f=0;e=b|0;a[e]=0;c[b+4>>2]=d;b=c[(c[d>>2]|0)-12>>2]|0;f=d;if((c[f+(b+16)>>2]|0)!=0){return}d=c[f+(b+72)>>2]|0;if((d|0)!=0){sU(d)|0}a[e]=1;return}function GU(a){a=a|0;HU(a);return}function HU(a){a=a|0;var b=0,d=0,e=0;b=a+4|0;a=c[b>>2]|0;d=c[(c[a>>2]|0)-12>>2]|0;e=a;if((c[e+(d+24)>>2]|0)==0){return}if((c[e+(d+16)>>2]|0)!=0){return}if((c[e+(d+4)>>2]&8192|0)==0){return}if(ic()|0){return}d=c[b>>2]|0;e=c[d+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;if(!((Zd[c[(c[e>>2]|0)+24>>2]&255](e)|0)==-1)){return}e=c[b>>2]|0;b=c[(c[e>>2]|0)-12>>2]|0;d=e;jT(d+b|0,c[d+(b+16)>>2]|1);return}function IU(b){b=b|0;return(a[b|0]|0)!=0|0}function JU(a,b){a=a|0;b=b|0;return Zd[b&255](a)|0}function KU(b,d){b=b|0;d=+d;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=i;i=i+40|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=e+32|0;l=h|0;a[l]=0;c[h+4>>2]=b;m=b;n=c[(c[m>>2]|0)-12>>2]|0;o=b;do{if((c[o+(n+16)>>2]|0)==0){p=c[o+(n+72)>>2]|0;if((p|0)==0){q=n}else{sU(p)|0;q=c[(c[m>>2]|0)-12>>2]|0}a[l]=1;dZ(j,o+(q+28)|0);p=gZ(j,1732504)|0;eZ(j);r=c[(c[m>>2]|0)-12>>2]|0;s=c[o+(r+24)>>2]|0;t=o+(r+76)|0;u=c[t>>2]|0;if((u|0)==-1){dZ(g,o+(r+28)|0);v=gZ(g,1732856)|0;w=ie[c[(c[v>>2]|0)+28>>2]&127](v,32)|0;eZ(g);c[t>>2]=w<<24>>24;x=w}else{x=u&255}u=c[(c[p>>2]|0)+32>>2]|0;c[f>>2]=s;ae[u&15](k,p,f,o+r|0,x,d);if((c[k>>2]|0)!=0){break}r=c[(c[m>>2]|0)-12>>2]|0;jT(o+r|0,c[o+(r+16)>>2]|5)}}while(0);HU(h);i=e;return b|0}function LU(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=i;i=i+8|0;f=e|0;g=f|0;a[g]=0;c[f+4>>2]=b;h=b;j=c[h>>2]|0;k=c[j-12>>2]|0;l=b;do{if((c[l+(k+16)>>2]|0)==0){m=c[l+(k+72)>>2]|0;if((m|0)==0){n=j;o=k}else{sU(m)|0;m=c[h>>2]|0;n=m;o=c[m-12>>2]|0}a[g]=1;m=c[l+(o+24)>>2]|0;p=m;if((m|0)==0){q=n}else{r=m+24|0;s=c[r>>2]|0;if((s|0)!=(c[m+28>>2]|0)){c[r>>2]=s+1;a[s]=d;break}if(!((ie[c[(c[m>>2]|0)+52>>2]&127](p,d&255)|0)==-1)){break}q=c[h>>2]|0}p=c[q-12>>2]|0;jT(l+p|0,c[l+(p+16)>>2]|1)}}while(0);HU(f);i=e;return b|0}function MU(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+8|0;g=f|0;h=g|0;a[h]=0;c[g+4>>2]=b;j=b;k=c[(c[j>>2]|0)-12>>2]|0;l=b;do{if((c[l+(k+16)>>2]|0)==0){m=c[l+(k+72)>>2]|0;if((m|0)!=0){sU(m)|0}a[h]=1;if((e|0)==0){break}m=c[l+((c[(c[j>>2]|0)-12>>2]|0)+24)>>2]|0;if(($d[c[(c[m>>2]|0)+48>>2]&127](m,d,e)|0)==(e|0)){break}m=c[(c[j>>2]|0)-12>>2]|0;jT(l+m|0,c[l+(m+16)>>2]|1)}}while(0);HU(g);i=f;return b|0}function NU(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[(c[b>>2]|0)-12>>2]|0;e=b;if((c[e+(d+16)>>2]&5|0)==0){b=c[e+(d+24)>>2]|0;ce[c[(c[b>>2]|0)+16>>2]&63](a,b,0,0,1,16);return}else{b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;return}}function OU(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;i=i+40|0;f=d;d=i;i=i+16|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];f=e|0;g=e+16|0;h=e+24|0;j=g|0;a[j]=0;c[g+4>>2]=b;k=b;l=c[(c[k>>2]|0)-12>>2]|0;m=b;if((c[m+(l+16)>>2]|0)!=0){HU(g);i=e;return b|0}n=c[m+(l+72)>>2]|0;if((n|0)==0){o=l}else{sU(n)|0;o=c[(c[k>>2]|0)-12>>2]|0}a[j]=1;j=c[m+(o+24)>>2]|0;o=d;d=f;n=c[(c[j>>2]|0)+20>>2]|0;c[d>>2]=c[o>>2];c[d+4>>2]=c[o+4>>2];c[d+8>>2]=c[o+8>>2];c[d+12>>2]=c[o+12>>2];pe[n&63](h,j,f,16);f=h+8|0;if(!((c[f>>2]|0)==(-1|0)&(c[f+4>>2]|0)==(-1|0))){HU(g);i=e;return b|0}f=c[(c[k>>2]|0)-12>>2]|0;jT(m+f|0,c[m+(f+16)>>2]|4);HU(g);i=e;return b|0}function PU(a){a=a|0;lT(a+4|0);J0(a);return}function QU(a){a=a|0;lT(a+4|0);return}function RU(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;lT(b+(d+4)|0);J0(b+d|0);return}function SU(a){a=a|0;lT(a+((c[(c[a>>2]|0)-12>>2]|0)+4)|0);return}function TU(a){a=a|0;var b=0,d=0,e=0;b=a+4|0;a=c[b>>2]|0;d=c[(c[a>>2]|0)-12>>2]|0;e=a;if((c[e+(d+24)>>2]|0)==0){return}if((c[e+(d+16)>>2]|0)!=0){return}if((c[e+(d+4)>>2]&8192|0)==0){return}if(ic()|0){return}d=c[b>>2]|0;e=c[d+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;if(!((Zd[c[(c[e>>2]|0)+24>>2]&255](e)|0)==-1)){return}e=c[b>>2]|0;b=c[(c[e>>2]|0)-12>>2]|0;d=e;jT(d+b|0,c[d+(b+16)>>2]|1);return}function UU(a){a=a|0;return 1659520}function VU(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)==1){oS(a,1675160,35);return}else{cS(a,b|0,c);return}}function WU(a){a=a|0;_R(a|0);return}function XU(a){a=a|0;gS(a|0);J0(a);return}function YU(a){a=a|0;gS(a|0);return}function ZU(a){a=a|0;lT(a);J0(a);return}function _U(a){a=a|0;_R(a|0);J0(a);return}function $U(a){a=a|0;MR(a|0);J0(a);return}function aV(a){a=a|0;MR(a|0);return}function bV(a){a=a|0;MR(a|0);return}function cV(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0;a:do{if((e|0)==(f|0)){g=c}else{b=c;h=e;while(1){if((b|0)==(d|0)){i=-1;j=7;break}k=a[b]|0;l=a[h]|0;if(k<<24>>24<l<<24>>24){i=-1;j=7;break}if(l<<24>>24<k<<24>>24){i=1;j=7;break}k=b+1|0;l=h+1|0;if((l|0)==(f|0)){g=k;break a}else{b=k;h=l}}if((j|0)==7){return i|0}}}while(0);i=(g|0)!=(d|0)|0;return i|0}function dV(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=e;g=f-d|0;if(g>>>0>4294967279>>>0){iS(b)}if(g>>>0<11>>>0){a[b]=g<<1;h=b+1|0}else{i=g+16&-16;j=H0(i)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=g;h=j}if((e|0)==(f|0)){k=h;a[k]=0;return}else{l=h;m=e}while(1){a[l]=a[m]|0;e=m+1|0;if((e|0)==(f|0)){break}else{l=l+1|0;m=e}}k=h+(f+(-d|0))|0;a[k]=0;return}function eV(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;if((c|0)==(d|0)){e=0;return e|0}else{f=c;g=0}while(1){c=(a[f]|0)+(g<<4)|0;b=c&-268435456;h=(b>>>24|b)^c;c=f+1|0;if((c|0)==(d|0)){e=h;break}else{f=c;g=h}}return e|0}function fV(a){a=a|0;MR(a|0);J0(a);return}function gV(a){a=a|0;MR(a|0);return}function hV(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0;a:do{if((e|0)==(f|0)){g=b}else{a=b;h=e;while(1){if((a|0)==(d|0)){i=-1;j=7;break}k=c[a>>2]|0;l=c[h>>2]|0;if((k|0)<(l|0)){i=-1;j=7;break}if((l|0)<(k|0)){i=1;j=7;break}k=a+4|0;l=h+4|0;if((l|0)==(f|0)){g=k;break a}else{a=k;h=l}}if((j|0)==7){return i|0}}}while(0);i=(g|0)!=(d|0)|0;return i|0}function iV(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;d=e;g=f-d|0;h=g>>2;if(h>>>0>1073741807>>>0){iS(b)}if(h>>>0<2>>>0){a[b]=g>>>1;i=b+4|0}else{g=h+4&-4;j=H0(g<<2)|0;c[b+8>>2]=j;c[b>>2]=g|1;c[b+4>>2]=h;i=j}if((e|0)==(f|0)){k=i;c[k>>2]=0;return}j=f-4+(-d|0)|0;d=i;h=e;while(1){c[d>>2]=c[h>>2];e=h+4|0;if((e|0)==(f|0)){break}else{d=d+4|0;h=e}}k=i+((j>>>2)+1<<2)|0;c[k>>2]=0;return}function jV(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;if((b|0)==(d|0)){e=0;return e|0}else{f=b;g=0}while(1){b=(c[f>>2]|0)+(g<<4)|0;a=b&-268435456;h=(a>>>24|a)^b;b=f+4|0;if((b|0)==(d|0)){e=h;break}else{f=b;g=h}}return e|0}function kV(a){a=a|0;MR(a|0);J0(a);return}function lV(a){a=a|0;MR(a|0);return}function mV(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+112|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+16|0;n=k+32|0;o=k+40|0;p=k+48|0;q=k+56|0;r=k+64|0;s=k+72|0;t=k+80|0;u=k+104|0;if((c[g+4>>2]&1|0)==0){c[n>>2]=-1;v=c[(c[d>>2]|0)+16>>2]|0;w=e|0;c[p>>2]=c[w>>2];c[q>>2]=c[f>>2];fe[v&127](o,d,p,q,g,h,n);q=c[o>>2]|0;c[w>>2]=q;w=c[n>>2]|0;if((w|0)==1){a[j]=1}else if((w|0)==0){a[j]=0}else{a[j]=1;c[h>>2]=4}c[b>>2]=q;i=k;return}sT(r,g);q=r|0;r=c[q>>2]|0;if(!((c[433214]|0)==-1)){c[m>>2]=1732856;c[m+4>>2]=18;c[m+8>>2]=0;hS(1732856,m,126)}m=(c[433215]|0)-1|0;w=c[r+8>>2]|0;do{if((c[r+12>>2]|0)-w>>2>>>0>m>>>0){n=c[w+(m<<2)>>2]|0;if((n|0)==0){break}o=n;OR(c[q>>2]|0)|0;sT(s,g);n=s|0;p=c[n>>2]|0;if(!((c[433118]|0)==-1)){c[l>>2]=1732472;c[l+4>>2]=18;c[l+8>>2]=0;hS(1732472,l,126)}d=(c[433119]|0)-1|0;v=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-v>>2>>>0>d>>>0){x=c[v+(d<<2)>>2]|0;if((x|0)==0){break}y=x;OR(c[n>>2]|0)|0;z=t|0;A=x;Xd[c[(c[A>>2]|0)+24>>2]&127](z,y);Xd[c[(c[A>>2]|0)+28>>2]&127](t+12|0,y);c[u>>2]=c[f>>2];a[j]=(nV(e,u,z,t+24|0,o,h,1)|0)==(z|0)|0;c[b>>2]=c[e>>2];wS(t+12|0);wS(t|0);i=k;return}}while(0);o=Bd(4)|0;g0(o);vc(o|0,1690592,180)}}while(0);k=Bd(4)|0;g0(k);vc(k|0,1690592,180)}function nV(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;k=i;i=i+104|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=(f-e|0)/12|0;m=k|0;do{if(l>>>0>100>>>0){n=B0(l)|0;if((n|0)!=0){o=n;p=n;break}O0();o=0;p=0}else{o=m;p=0}}while(0);m=(e|0)==(f|0);if(m){q=l;r=0}else{n=l;l=0;s=o;t=e;while(1){u=a[t]|0;if((u&1)==0){v=(u&255)>>>1}else{v=c[t+4>>2]|0}if((v|0)==0){a[s]=2;w=l+1|0;x=n-1|0}else{a[s]=1;w=l;x=n}u=t+12|0;if((u|0)==(f|0)){q=x;r=w;break}else{n=x;l=w;s=s+1|0;t=u}}}t=b|0;b=d|0;d=g;s=0;w=r;r=q;a:while(1){q=c[t>>2]|0;do{if((q|0)==0){y=0}else{if((c[q+12>>2]|0)!=(c[q+16>>2]|0)){y=q;break}if((Zd[c[(c[q>>2]|0)+36>>2]&255](q)|0)==-1){c[t>>2]=0;y=0;break}else{y=c[t>>2]|0;break}}}while(0);q=(y|0)==0;l=c[b>>2]|0;do{if((l|0)==0){z=0}else{if((c[l+12>>2]|0)!=(c[l+16>>2]|0)){z=l;break}if(!((Zd[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1)){z=l;break}c[b>>2]=0;z=0}}while(0);A=(z|0)==0;B=c[t>>2]|0;if(!((q^A)&(r|0)!=0)){break}l=c[B+12>>2]|0;if((l|0)==(c[B+16>>2]|0)){C=(Zd[c[(c[B>>2]|0)+36>>2]&255](B)|0)&255}else{C=a[l]|0}if(j){D=C}else{D=ie[c[(c[d>>2]|0)+12>>2]&127](g,C)|0}l=s+1|0;if(m){s=l;w=w;r=r;continue}b:do{if(j){x=r;n=w;v=o;u=0;E=e;while(1){do{if((a[v]|0)==1){F=a[E]|0;G=(F&1)==0;if(G){H=E+1|0}else{H=c[E+8>>2]|0}if(!(D<<24>>24==(a[H+s|0]|0))){a[v]=0;I=u;J=n;K=x-1|0;break}if(G){L=(F&255)>>>1}else{L=c[E+4>>2]|0}if((L|0)!=(l|0)){I=1;J=n;K=x;break}a[v]=2;I=1;J=n+1|0;K=x-1|0}else{I=u;J=n;K=x}}while(0);F=E+12|0;if((F|0)==(f|0)){M=K;N=J;O=I;break b}x=K;n=J;v=v+1|0;u=I;E=F}}else{E=r;u=w;v=o;n=0;x=e;while(1){do{if((a[v]|0)==1){F=x;if((a[F]&1)==0){P=x+1|0}else{P=c[x+8>>2]|0}if(!(D<<24>>24==(ie[c[(c[d>>2]|0)+12>>2]&127](g,a[P+s|0]|0)|0)<<24>>24)){a[v]=0;Q=n;R=u;S=E-1|0;break}G=a[F]|0;if((G&1)==0){T=(G&255)>>>1}else{T=c[x+4>>2]|0}if((T|0)!=(l|0)){Q=1;R=u;S=E;break}a[v]=2;Q=1;R=u+1|0;S=E-1|0}else{Q=n;R=u;S=E}}while(0);G=x+12|0;if((G|0)==(f|0)){M=S;N=R;O=Q;break b}E=S;u=R;v=v+1|0;n=Q;x=G}}}while(0);if(!O){s=l;w=N;r=M;continue}q=c[t>>2]|0;x=q+12|0;n=c[x>>2]|0;if((n|0)==(c[q+16>>2]|0)){Zd[c[(c[q>>2]|0)+40>>2]&255](q)|0}else{c[x>>2]=n+1}if((M+N|0)>>>0<2>>>0){s=l;w=N;r=M;continue}else{U=N;V=o;W=e}while(1){do{if((a[V]|0)==2){n=a[W]|0;if((n&1)==0){X=(n&255)>>>1}else{X=c[W+4>>2]|0}if((X|0)==(l|0)){Y=U;break}a[V]=0;Y=U-1|0}else{Y=U}}while(0);n=W+12|0;if((n|0)==(f|0)){s=l;w=Y;r=M;continue a}else{U=Y;V=V+1|0;W=n}}}do{if((B|0)==0){Z=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){Z=B;break}if((Zd[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1){c[t>>2]=0;Z=0;break}else{Z=c[t>>2]|0;break}}}while(0);t=(Z|0)==0;do{if(A){_=91}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){if(t){break}else{_=93;break}}if((Zd[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1){c[b>>2]=0;_=91;break}else{if(t){break}else{_=93;break}}}}while(0);if((_|0)==91){if(t){_=93}}if((_|0)==93){c[h>>2]=c[h>>2]|2}c:do{if(m){_=98}else{t=o;b=e;while(1){if((a[t]|0)==2){$=b;break c}z=b+12|0;if((z|0)==(f|0)){_=98;break c}t=t+1|0;b=z}}}while(0);if((_|0)==98){c[h>>2]=c[h>>2]|4;$=f}if((p|0)==0){i=k;return $|0}C0(p);i=k;return $|0}function oV(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];pV(a,0,j,k,f,g,h);i=b;return}function pV(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==0){t=0}else if((s|0)==8){t=16}else{t=10}s=k|0;fW(m,g,s,l);g=n;e1(g|0,0,12)|0;FS(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Zd[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Zd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}FS(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}FS(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(Zd[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((HV(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){Zd[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=b$(F,c[o>>2]|0,h,t)|0;sY(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((Zd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;wS(n);wS(m);i=d;return}if((Zd[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;wS(n);wS(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;wS(n);wS(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;wS(n);wS(m);i=d;return}function qV(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];rV(a,0,j,k,f,g,h);i=b;return}function rV(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==64){t=8}else if((s|0)==0){t=0}else{t=10}s=k|0;fW(m,g,s,l);g=n;e1(g|0,0,12)|0;FS(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Zd[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Zd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;L=(C&255)>>>1}else{C=c[y>>2]|0;J=C;L=C}FS(n,J<<1,0);if((a[g]&1)==0){M=10}else{M=(c[f>>2]&-2)-1|0}FS(n,M,0);if((a[g]&1)==0){N=v}else{N=c[w>>2]|0}c[o>>2]=N+L;O=N}else{O=l}C=A+12|0;H=c[C>>2]|0;P=A+16|0;if((H|0)==(c[P>>2]|0)){Q=(Zd[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{Q=a[H]|0}if((HV(Q,t,O,o,r,z,m,k,q,s)|0)!=0){F=O;G=E;break}H=c[C>>2]|0;if((H|0)==(c[P>>2]|0)){Zd[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=O;u=A;continue}else{c[C>>2]=H+1;l=O;u=A;continue}}u=a[m]|0;if((u&1)==0){R=(u&255)>>>1}else{R=c[m+4>>2]|0}do{if((R|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}O=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=O}}while(0);r=a$(F,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;sY(m,k,c[q>>2]|0,h);do{if((A|0)==0){S=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){S=A;break}if(!((Zd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){S=A;break}c[x>>2]=0;S=0}}while(0);x=(S|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}T=b|0;c[T>>2]=S;wS(n);wS(m);i=d;return}if((Zd[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}T=b|0;c[T>>2]=S;wS(n);wS(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}T=b|0;c[T>>2]=S;wS(n);wS(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;T=b|0;c[T>>2]=S;wS(n);wS(m);i=d;return}function sV(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];tV(a,0,j,k,f,g,h);i=b;return}function tV(d,e,f,g,h,j,k){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;e=i;i=i+256|0;l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[l>>2];l=e|0;m=e+32|0;n=e+40|0;o=e+56|0;p=e+72|0;q=e+80|0;r=e+240|0;s=e+248|0;t=c[h+4>>2]&74;if((t|0)==64){u=8}else if((t|0)==8){u=16}else if((t|0)==0){u=0}else{u=10}t=l|0;fW(n,h,t,m);h=o;e1(h|0,0,12)|0;FS(o,10,0);if((a[h]&1)==0){l=o+1|0;v=l;w=l;x=o+8|0}else{l=o+8|0;v=c[l>>2]|0;w=o+1|0;x=l}c[p>>2]=v;l=q|0;c[r>>2]=l;c[s>>2]=0;y=f|0;f=g|0;g=o|0;z=o+4|0;A=a[m]|0;m=v;v=c[y>>2]|0;a:while(1){do{if((v|0)==0){B=0}else{if((c[v+12>>2]|0)!=(c[v+16>>2]|0)){B=v;break}if(!((Zd[c[(c[v>>2]|0)+36>>2]&255](v)|0)==-1)){B=v;break}c[y>>2]=0;B=0}}while(0);C=(B|0)==0;D=c[f>>2]|0;do{if((D|0)==0){E=21}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){if(C){F=D;break}else{G=m;H=D;break a}}if((Zd[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1){c[f>>2]=0;E=21;break}else{if(C){F=D;break}else{G=m;H=D;break a}}}}while(0);if((E|0)==21){E=0;if(C){G=m;H=0;break}else{F=0}}D=a[h]|0;I=(D&1)==0;if(I){J=(D&255)>>>1}else{J=c[z>>2]|0}if(((c[p>>2]|0)-m|0)==(J|0)){if(I){K=(D&255)>>>1;L=(D&255)>>>1}else{D=c[z>>2]|0;K=D;L=D}FS(o,K<<1,0);if((a[h]&1)==0){M=10}else{M=(c[g>>2]&-2)-1|0}FS(o,M,0);if((a[h]&1)==0){N=w}else{N=c[x>>2]|0}c[p>>2]=N+L;O=N}else{O=m}D=B+12|0;I=c[D>>2]|0;P=B+16|0;if((I|0)==(c[P>>2]|0)){Q=(Zd[c[(c[B>>2]|0)+36>>2]&255](B)|0)&255}else{Q=a[I]|0}if((HV(Q,u,O,p,s,A,n,l,r,t)|0)!=0){G=O;H=F;break}I=c[D>>2]|0;if((I|0)==(c[P>>2]|0)){Zd[c[(c[B>>2]|0)+40>>2]&255](B)|0;m=O;v=B;continue}else{c[D>>2]=I+1;m=O;v=B;continue}}v=a[n]|0;if((v&1)==0){R=(v&255)>>>1}else{R=c[n+4>>2]|0}do{if((R|0)!=0){v=c[r>>2]|0;if((v-q|0)>=160){break}O=c[s>>2]|0;c[r>>2]=v+4;c[v>>2]=O}}while(0);b[k>>1]=$_(G,c[p>>2]|0,j,u)|0;sY(n,l,c[r>>2]|0,j);do{if((B|0)==0){S=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){S=B;break}if(!((Zd[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){S=B;break}c[y>>2]=0;S=0}}while(0);y=(S|0)==0;do{if((H|0)==0){E=66}else{if((c[H+12>>2]|0)!=(c[H+16>>2]|0)){if(!y){break}T=d|0;c[T>>2]=S;wS(o);wS(n);i=e;return}if((Zd[c[(c[H>>2]|0)+36>>2]&255](H)|0)==-1){c[f>>2]=0;E=66;break}if(!(y^(H|0)==0)){break}T=d|0;c[T>>2]=S;wS(o);wS(n);i=e;return}}while(0);do{if((E|0)==66){if(y){break}T=d|0;c[T>>2]=S;wS(o);wS(n);i=e;return}}while(0);c[j>>2]=c[j>>2]|2;T=d|0;c[T>>2]=S;wS(o);wS(n);i=e;return}function uV(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];vV(a,0,j,k,f,g,h);i=b;return}function vV(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==0){t=0}else if((s|0)==64){t=8}else if((s|0)==8){t=16}else{t=10}s=k|0;fW(m,g,s,l);g=n;e1(g|0,0,12)|0;FS(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Zd[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Zd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}FS(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}FS(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(Zd[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((HV(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){Zd[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=__(F,c[o>>2]|0,h,t)|0;sY(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((Zd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;wS(n);wS(m);i=d;return}if((Zd[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;wS(n);wS(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;wS(n);wS(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;wS(n);wS(m);i=d;return}function wV(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];xV(a,0,j,k,f,g,h);i=b;return}function xV(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==8){t=16}else if((s|0)==0){t=0}else{t=10}s=k|0;fW(m,g,s,l);g=n;e1(g|0,0,12)|0;FS(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Zd[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Zd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}FS(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}FS(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(Zd[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((HV(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){Zd[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=Z_(F,c[o>>2]|0,h,t)|0;sY(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((Zd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;wS(n);wS(m);i=d;return}if((Zd[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;wS(n);wS(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;wS(n);wS(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;wS(n);wS(m);i=d;return}function yV(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];zV(a,0,j,k,f,g,h);i=b;return}function zV(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;fW(m,g,s,l);g=n;e1(g|0,0,12)|0;FS(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Zd[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Zd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;L=(C&255)>>>1}else{C=c[y>>2]|0;J=C;L=C}FS(n,J<<1,0);if((a[g]&1)==0){M=10}else{M=(c[f>>2]&-2)-1|0}FS(n,M,0);if((a[g]&1)==0){N=v}else{N=c[w>>2]|0}c[o>>2]=N+L;O=N}else{O=l}C=A+12|0;H=c[C>>2]|0;P=A+16|0;if((H|0)==(c[P>>2]|0)){Q=(Zd[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{Q=a[H]|0}if((HV(Q,t,O,o,r,z,m,k,q,s)|0)!=0){F=O;G=E;break}H=c[C>>2]|0;if((H|0)==(c[P>>2]|0)){Zd[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=O;u=A;continue}else{c[C>>2]=H+1;l=O;u=A;continue}}u=a[m]|0;if((u&1)==0){R=(u&255)>>>1}else{R=c[m+4>>2]|0}do{if((R|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}O=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=O}}while(0);r=Y_(F,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;sY(m,k,c[q>>2]|0,h);do{if((A|0)==0){S=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){S=A;break}if(!((Zd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){S=A;break}c[x>>2]=0;S=0}}while(0);x=(S|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}T=b|0;c[T>>2]=S;wS(n);wS(m);i=d;return}if((Zd[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}T=b|0;c[T>>2]=S;wS(n);wS(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}T=b|0;c[T>>2]=S;wS(n);wS(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;T=b|0;c[T>>2]=S;wS(n);wS(m);i=d;return}function AV(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];BV(a,0,j,k,f,g,h);i=b;return}function BV(b,d,e,f,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;gW(n,h,v,l,m);h=o;e1(h|0,0,12)|0;FS(o,10,0);if((a[h]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((Zd[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((Zd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[h]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}FS(o,M<<1,0);if((a[h]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}FS(o,O,0);if((a[h]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(Zd[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((hW(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){Zd[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);g[k>>2]=+X_(I,c[p>>2]|0,j);sY(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((Zd[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;wS(o);wS(n);i=d;return}if((Zd[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;wS(o);wS(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;wS(o);wS(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;wS(o);wS(n);i=d;return}function CV(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];DV(a,0,j,k,f,g,h);i=b;return}function DV(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;gW(n,g,v,l,m);g=o;e1(g|0,0,12)|0;FS(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((Zd[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((Zd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[g]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}FS(o,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}FS(o,O,0);if((a[g]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(Zd[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((hW(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){Zd[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);h[k>>3]=+W_(I,c[p>>2]|0,j);sY(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((Zd[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;wS(o);wS(n);i=d;return}if((Zd[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;wS(o);wS(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;wS(o);wS(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;wS(o);wS(n);i=d;return}function EV(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];FV(a,0,j,k,f,g,h);i=b;return}function FV(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;gW(n,g,v,l,m);g=o;e1(g|0,0,12)|0;FS(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((Zd[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((Zd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[g]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}FS(o,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}FS(o,O,0);if((a[g]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(Zd[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((hW(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){Zd[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);h[k>>3]=+V_(I,c[p>>2]|0,j);sY(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((Zd[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;wS(o);wS(n);i=d;return}if((Zd[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;wS(o);wS(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;wS(o);wS(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;wS(o);wS(n);i=d;return}function GV(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+272|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+48|0;n=d+64|0;o=d+72|0;p=d+88|0;q=d+96|0;r=d+256|0;s=d+264|0;e1(m|0,0,12)|0;sT(n,g);g=n|0;n=c[g>>2]|0;if(!((c[433214]|0)==-1)){c[k>>2]=1732856;c[k+4>>2]=18;c[k+8>>2]=0;hS(1732856,k,126)}k=(c[433215]|0)-1|0;t=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-t>>2>>>0>k>>>0){u=c[t+(k<<2)>>2]|0;if((u|0)==0){break}v=l|0;le[c[(c[u>>2]|0)+32>>2]&127](u,1692352,1692378,v)|0;OR(c[g>>2]|0)|0;u=o;e1(u|0,0,12)|0;FS(o,10,0);if((a[u]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;A=e|0;B=f|0;C=o|0;D=o+4|0;E=x;F=c[A>>2]|0;a:while(1){do{if((F|0)==0){G=0}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){G=F;break}if(!((Zd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1)){G=F;break}c[A>>2]=0;G=0}}while(0);H=(G|0)==0;I=c[B>>2]|0;do{if((I|0)==0){J=25}else{if((c[I+12>>2]|0)!=(c[I+16>>2]|0)){if(H){break}else{K=E;break a}}if((Zd[c[(c[I>>2]|0)+36>>2]&255](I)|0)==-1){c[B>>2]=0;J=25;break}else{if(H){break}else{K=E;break a}}}}while(0);if((J|0)==25){J=0;if(H){K=E;break}}I=a[u]|0;L=(I&1)==0;if(L){M=(I&255)>>>1}else{M=c[D>>2]|0}if(((c[p>>2]|0)-E|0)==(M|0)){if(L){N=(I&255)>>>1;O=(I&255)>>>1}else{I=c[D>>2]|0;N=I;O=I}FS(o,N<<1,0);if((a[u]&1)==0){P=10}else{P=(c[C>>2]&-2)-1|0}FS(o,P,0);if((a[u]&1)==0){Q=y}else{Q=c[z>>2]|0}c[p>>2]=Q+O;R=Q}else{R=E}I=G+12|0;L=c[I>>2]|0;S=G+16|0;if((L|0)==(c[S>>2]|0)){T=(Zd[c[(c[G>>2]|0)+36>>2]&255](G)|0)&255}else{T=a[L]|0}if((HV(T,16,R,p,s,0,m,w,r,v)|0)!=0){K=R;break}L=c[I>>2]|0;if((L|0)==(c[S>>2]|0)){Zd[c[(c[G>>2]|0)+40>>2]&255](G)|0;E=R;F=G;continue}else{c[I>>2]=L+1;E=R;F=G;continue}}a[K+3|0]=0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);F=IV(K,c[432856]|0,1643008,(E=i,i=i+8|0,c[E>>2]=j,E)|0)|0;i=E;if((F|0)!=1){c[h>>2]=4}F=c[A>>2]|0;do{if((F|0)==0){U=0}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){U=F;break}if(!((Zd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1)){U=F;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;F=c[B>>2]|0;do{if((F|0)==0){J=73}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;wS(o);wS(m);i=d;return}if((Zd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[B>>2]=0;J=73;break}if(!(A^(F|0)==0)){break}V=b|0;c[V>>2]=U;wS(o);wS(m);i=d;return}}while(0);do{if((J|0)==73){if(A){break}V=b|0;c[V>>2]=U;wS(o);wS(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;V=b|0;c[V>>2]=U;wS(o);wS(m);i=d;return}}while(0);d=Bd(4)|0;g0(d);vc(d|0,1690592,180)}function HV(b,d,e,f,g,h,i,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;m=c[f>>2]|0;n=(m|0)==(e|0);do{if(n){o=(a[l+24|0]|0)==b<<24>>24;if(!o){if(!((a[l+25|0]|0)==b<<24>>24)){break}}c[f>>2]=e+1;a[e]=o?43:45;c[g>>2]=0;p=0;return p|0}}while(0);o=a[i]|0;if((o&1)==0){q=(o&255)>>>1}else{q=c[i+4>>2]|0}if((q|0)!=0&b<<24>>24==h<<24>>24){h=c[k>>2]|0;if((h-j|0)>=160){p=0;return p|0}j=c[g>>2]|0;c[k>>2]=h+4;c[h>>2]=j;c[g>>2]=0;p=0;return p|0}j=l+26|0;h=l;while(1){if((h|0)==(j|0)){r=j;break}if((a[h]|0)==b<<24>>24){r=h;break}else{h=h+1|0}}h=r-l|0;if((h|0)>23){p=-1;return p|0}do{if((d|0)==8|(d|0)==10){if((h|0)<(d|0)){break}else{p=-1}return p|0}else if((d|0)==16){if((h|0)<22){break}if(n){p=-1;return p|0}if((m-e|0)>=3){p=-1;return p|0}if((a[m-1|0]|0)!=48){p=-1;return p|0}c[g>>2]=0;l=a[1692352+h|0]|0;c[f>>2]=m+1;a[m]=l;p=0;return p|0}}while(0);e=a[1692352+h|0]|0;c[f>>2]=m+1;a[m]=e;c[g>>2]=(c[g>>2]|0)+1;p=0;return p|0}function IV(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+16|0;g=f|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=gd(b|0)|0;b=Ab(a|0,d|0,g|0)|0;if((h|0)==0){i=f;return b|0}gd(h|0)|0;i=f;return b|0}function JV(a){a=a|0;MR(a|0);J0(a);return}function KV(a){a=a|0;MR(a|0);return}function LV(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+112|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+16|0;n=k+32|0;o=k+40|0;p=k+48|0;q=k+56|0;r=k+64|0;s=k+72|0;t=k+80|0;u=k+104|0;if((c[g+4>>2]&1|0)==0){c[n>>2]=-1;v=c[(c[d>>2]|0)+16>>2]|0;w=e|0;c[p>>2]=c[w>>2];c[q>>2]=c[f>>2];fe[v&127](o,d,p,q,g,h,n);q=c[o>>2]|0;c[w>>2]=q;w=c[n>>2]|0;if((w|0)==0){a[j]=0}else if((w|0)==1){a[j]=1}else{a[j]=1;c[h>>2]=4}c[b>>2]=q;i=k;return}sT(r,g);q=r|0;r=c[q>>2]|0;if(!((c[433212]|0)==-1)){c[m>>2]=1732848;c[m+4>>2]=18;c[m+8>>2]=0;hS(1732848,m,126)}m=(c[433213]|0)-1|0;w=c[r+8>>2]|0;do{if((c[r+12>>2]|0)-w>>2>>>0>m>>>0){n=c[w+(m<<2)>>2]|0;if((n|0)==0){break}o=n;OR(c[q>>2]|0)|0;sT(s,g);n=s|0;p=c[n>>2]|0;if(!((c[433116]|0)==-1)){c[l>>2]=1732464;c[l+4>>2]=18;c[l+8>>2]=0;hS(1732464,l,126)}d=(c[433117]|0)-1|0;v=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-v>>2>>>0>d>>>0){x=c[v+(d<<2)>>2]|0;if((x|0)==0){break}y=x;OR(c[n>>2]|0)|0;z=t|0;A=x;Xd[c[(c[A>>2]|0)+24>>2]&127](z,y);Xd[c[(c[A>>2]|0)+28>>2]&127](t+12|0,y);c[u>>2]=c[f>>2];a[j]=(MV(e,u,z,t+24|0,o,h,1)|0)==(z|0)|0;c[b>>2]=c[e>>2];_S(t+12|0);_S(t|0);i=k;return}}while(0);o=Bd(4)|0;g0(o);vc(o|0,1690592,180)}}while(0);k=Bd(4)|0;g0(k);vc(k|0,1690592,180)}function MV(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;k=i;i=i+104|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=(f-e|0)/12|0;m=k|0;do{if(l>>>0>100>>>0){n=B0(l)|0;if((n|0)!=0){o=n;p=n;break}O0();o=0;p=0}else{o=m;p=0}}while(0);m=(e|0)==(f|0);if(m){q=l;r=0}else{n=l;l=0;s=o;t=e;while(1){u=a[t]|0;if((u&1)==0){v=(u&255)>>>1}else{v=c[t+4>>2]|0}if((v|0)==0){a[s]=2;w=l+1|0;x=n-1|0}else{a[s]=1;w=l;x=n}u=t+12|0;if((u|0)==(f|0)){q=x;r=w;break}else{n=x;l=w;s=s+1|0;t=u}}}t=b|0;b=d|0;d=g;s=0;w=r;r=q;a:while(1){q=c[t>>2]|0;do{if((q|0)==0){y=1}else{l=c[q+12>>2]|0;if((l|0)==(c[q+16>>2]|0)){z=Zd[c[(c[q>>2]|0)+36>>2]&255](q)|0}else{z=c[l>>2]|0}if((z|0)==-1){c[t>>2]=0;y=1;break}else{y=(c[t>>2]|0)==0;break}}}while(0);q=c[b>>2]|0;do{if((q|0)==0){A=1;B=0}else{l=c[q+12>>2]|0;if((l|0)==(c[q+16>>2]|0)){C=Zd[c[(c[q>>2]|0)+36>>2]&255](q)|0}else{C=c[l>>2]|0}if(!((C|0)==-1)){A=0;B=q;break}c[b>>2]=0;A=1;B=0}}while(0);D=c[t>>2]|0;if(!((y^A)&(r|0)!=0)){break}q=c[D+12>>2]|0;if((q|0)==(c[D+16>>2]|0)){E=Zd[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{E=c[q>>2]|0}if(j){F=E}else{F=ie[c[(c[d>>2]|0)+28>>2]&127](g,E)|0}q=s+1|0;if(m){s=q;w=w;r=r;continue}b:do{if(j){l=r;x=w;n=o;v=0;u=e;while(1){do{if((a[n]|0)==1){G=a[u]|0;H=(G&1)==0;if(H){I=u+4|0}else{I=c[u+8>>2]|0}if((F|0)!=(c[I+(s<<2)>>2]|0)){a[n]=0;J=v;K=x;L=l-1|0;break}if(H){M=(G&255)>>>1}else{M=c[u+4>>2]|0}if((M|0)!=(q|0)){J=1;K=x;L=l;break}a[n]=2;J=1;K=x+1|0;L=l-1|0}else{J=v;K=x;L=l}}while(0);G=u+12|0;if((G|0)==(f|0)){N=L;O=K;P=J;break b}l=L;x=K;n=n+1|0;v=J;u=G}}else{u=r;v=w;n=o;x=0;l=e;while(1){do{if((a[n]|0)==1){G=l;if((a[G]&1)==0){Q=l+4|0}else{Q=c[l+8>>2]|0}if((F|0)!=(ie[c[(c[d>>2]|0)+28>>2]&127](g,c[Q+(s<<2)>>2]|0)|0)){a[n]=0;R=x;S=v;T=u-1|0;break}H=a[G]|0;if((H&1)==0){U=(H&255)>>>1}else{U=c[l+4>>2]|0}if((U|0)!=(q|0)){R=1;S=v;T=u;break}a[n]=2;R=1;S=v+1|0;T=u-1|0}else{R=x;S=v;T=u}}while(0);H=l+12|0;if((H|0)==(f|0)){N=T;O=S;P=R;break b}u=T;v=S;n=n+1|0;x=R;l=H}}}while(0);if(!P){s=q;w=O;r=N;continue}l=c[t>>2]|0;x=l+12|0;n=c[x>>2]|0;if((n|0)==(c[l+16>>2]|0)){Zd[c[(c[l>>2]|0)+40>>2]&255](l)|0}else{c[x>>2]=n+4}if((N+O|0)>>>0<2>>>0){s=q;w=O;r=N;continue}else{V=O;W=o;X=e}while(1){do{if((a[W]|0)==2){n=a[X]|0;if((n&1)==0){Y=(n&255)>>>1}else{Y=c[X+4>>2]|0}if((Y|0)==(q|0)){Z=V;break}a[W]=0;Z=V-1|0}else{Z=V}}while(0);n=X+12|0;if((n|0)==(f|0)){s=q;w=Z;r=N;continue a}else{V=Z;W=W+1|0;X=n}}}do{if((D|0)==0){_=1}else{X=c[D+12>>2]|0;if((X|0)==(c[D+16>>2]|0)){$=Zd[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{$=c[X>>2]|0}if(($|0)==-1){c[t>>2]=0;_=1;break}else{_=(c[t>>2]|0)==0;break}}}while(0);do{if((B|0)==0){aa=93}else{t=c[B+12>>2]|0;if((t|0)==(c[B+16>>2]|0)){ba=Zd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{ba=c[t>>2]|0}if((ba|0)==-1){c[b>>2]=0;aa=93;break}else{if(_){break}else{aa=95;break}}}}while(0);if((aa|0)==93){if(_){aa=95}}if((aa|0)==95){c[h>>2]=c[h>>2]|2}c:do{if(m){aa=100}else{_=o;b=e;while(1){if((a[_]|0)==2){ca=b;break c}ba=b+12|0;if((ba|0)==(f|0)){aa=100;break c}_=_+1|0;b=ba}}}while(0);if((aa|0)==100){c[h>>2]=c[h>>2]|4;ca=f}if((p|0)==0){i=k;return ca|0}C0(p);i=k;return ca|0}function NV(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];OV(a,0,j,k,f,g,h);i=b;return}function OV(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==0){t=0}else if((s|0)==8){t=16}else{t=10}s=k|0;iW(m,g,s,l);g=n;e1(g|0,0,12)|0;FS(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Zd[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Zd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}FS(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}FS(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=Zd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((eW(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){Zd[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=b$(I,c[o>>2]|0,h,t)|0;sY(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=Zd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=Zd[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;wS(n);wS(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;wS(n);wS(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;wS(n);wS(m);i=d;return}



function Rv(b,c){b=b|0;c=c|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;e=c;if((a[e+2|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}do{if((d[e]|0|0)==239){if((d[e+1|0]|0|0)!=191){h=5;break}if((d[e+2|0]|0|0)>189){f=1}else{break}g=f&1;i=b;return g|0}else{h=5}}while(0);do{if((h|0)==5){if((a[e+2|0]&192|0)==192){f=1}else{break}g=f&1;i=b;return g|0}}while(0);if((d[e]|0|0)==224){if((d[e+1|0]|0|0)<160){j=1}else{j=(a[e+1|0]&192|0)==192}k=j&1}else{if((a[e+1|0]&128|0)==0){l=1}else{if((d[e]|0|0)==237){m=(d[e+1|0]|0|0)>159|0}else{m=(a[e+1|0]&192|0)==192|0}l=(m|0)!=0}k=l&1}f=(k|0)!=0;g=f&1;i=b;return g|0}function Sv(b,c){b=b|0;c=c|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;e=c;if((a[e+3|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}if((a[e+3|0]&192|0)==192){f=1;g=f&1;i=b;return g|0}if((a[e+2|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}if((a[e+2|0]&192|0)==192){f=1;g=f&1;i=b;return g|0}if((d[e]|0|0)==240){if((d[e+1|0]|0|0)<144){h=1}else{h=(a[e+1|0]&192|0)==192}j=h&1}else{if((a[e+1|0]&128|0)==0){k=1}else{if((d[e]|0|0)==244){l=(d[e+1|0]|0|0)>143|0}else{l=(a[e+1|0]&192|0)==192|0}k=(l|0)!=0}j=k&1}f=(j|0)!=0;g=f&1;i=b;return g|0}function Tv(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 6:{if((b-a|0)<3){j=-2;break a}if((ie[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};case 5:{if((b-a|0)<2){j=-2;break a}if((ie[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 19:{j=Vv(h,a+1|0,b,e)|0;break a;break};case 7:{if((b-a|0)<4){j=-2;break a}if((ie[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 29:{c[e>>2]=a;j=0;break a;break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=46;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 7:{if((b-a|0)<4){k=39;break c}if((ie[c[h+340>>2]&127](h,a)|0)==0){k=41;break c}a=a+4|0;break};case 5:{if((b-a|0)<2){k=29;break c}if((ie[c[h+332>>2]&127](h,a)|0)==0){k=31;break c}a=a+2|0;break};case 18:{k=43;break c;break};case 6:{if((b-a|0)<3){k=34;break c}if((ie[c[h+336>>2]&127](h,a)|0)==0){k=36;break c}a=a+3|0;break};case 29:{k=26;break c;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};default:{k=44;break c}}}if((k|0)==26){c[e>>2]=a;j=0;break}else if((k|0)==29){j=-2;break}else if((k|0)==31){c[e>>2]=a;j=0;break}else if((k|0)==34){j=-2;break}else if((k|0)==36){c[e>>2]=a;j=0;break}else if((k|0)==39){j=-2;break}else if((k|0)==41){c[e>>2]=a;j=0;break}else if((k|0)==43){c[e>>2]=a+1;j=9;break}else if((k|0)==44){c[e>>2]=a;j=0;break}else if((k|0)==46){j=-1;break}}}while(0);i=g;return j|0}function Uv(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 22:case 24:{a=a+1|0;break};case 29:{c[e>>2]=a;j=0;break a;break};case 6:{if((b-a|0)<3){j=-2;break a}if((ie[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 21:case 10:case 9:case 30:{c[e>>2]=a;j=22;break a;break};case 5:{if((b-a|0)<2){j=-2;break a}if((ie[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 7:{if((b-a|0)<4){j=-2;break a}if((ie[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=46;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 7:{if((b-a|0)<4){k=39;break c}if((ie[c[h+340>>2]&127](h,a)|0)==0){k=41;break c}a=a+4|0;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 5:{if((b-a|0)<2){k=29;break c}if((ie[c[h+332>>2]&127](h,a)|0)==0){k=31;break c}a=a+2|0;break};case 18:{k=43;break c;break};case 29:{k=26;break c;break};case 6:{if((b-a|0)<3){k=34;break c}if((ie[c[h+336>>2]&127](h,a)|0)==0){k=36;break c}a=a+3|0;break};default:{k=44;break c}}}if((k|0)==26){c[e>>2]=a;j=0;break}else if((k|0)==29){j=-2;break}else if((k|0)==31){c[e>>2]=a;j=0;break}else if((k|0)==34){j=-2;break}else if((k|0)==36){c[e>>2]=a;j=0;break}else if((k|0)==39){j=-2;break}else if((k|0)==41){c[e>>2]=a;j=0;break}else if((k|0)==43){c[e>>2]=a+1;j=28;break}else if((k|0)==44){c[e>>2]=a;j=0;break}else if((k|0)==46){j=-1;break}}}while(0);i=g;return j|0}function Vv(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b]|0)==120){k=Wv(j,b+1|0,e,f)|0;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+1|0;while(1){if((b|0)==(e|0)){m=15;break}g=d[j+76+(d[b]|0)|0]|0;if((g|0)==18){m=11;break}else if((g|0)!=25){m=12;break}b=b+1|0}if((m|0)==11){c[f>>2]=b+1;k=10;l=k;i=h;return l|0}else if((m|0)==12){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((m|0)==15){break}}}while(0);k=-1;l=k;i=h;return l|0}function Wv(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)!=(b|0)){f=d[h+76+(d[a]|0)|0]|0;if(!((f|0)==25|(f|0)==24)){c[e>>2]=a;j=0;k=j;i=g;return k|0}a=a+1|0;while(1){if((a|0)==(b|0)){l=13;break}f=d[h+76+(d[a]|0)|0]|0;if((f|0)==18){l=9;break}else if(!((f|0)==25|(f|0)==24)){l=10;break}a=a+1|0}if((l|0)==9){c[e>>2]=a+1;j=10;k=j;i=g;return k|0}else if((l|0)==10){c[e>>2]=a;j=0;k=j;i=g;return k|0}else if((l|0)==13){break}}}while(0);j=-1;k=j;i=g;return k|0}function Xv(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{b:do{switch(d[j+76+(d[b]|0)|0]|0){case 6:{if((e-b|0)<3){k=-2;break a}if((ie[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;break b}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}if((ie[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;break b}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{b=b+1|0;break};case 16:{g=b+1|0;b=g;if((g|0)==(e|0)){k=-1;break a}g=d[j+76+(d[b]|0)|0]|0;if((g|0)==27){k=Yv(j,b+1|0,e,f)|0;break a}else if((g|0)==20){k=Zv(j,b+1|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}if((ie[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;break b}else{c[f>>2]=b;k=0;break a}break};case 29:{c[f>>2]=b;k=0;break a;break};case 17:{k=$v(j,b+1|0,e,f)|0;break a;break};case 15:{k=_v(j,b+1|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}}while(0);g=0;c:while(1){if((b|0)==(e|0)){l=110;break}switch(d[j+76+(d[b]|0)|0]|0){case 21:case 9:case 10:{l=74;break c;break};case 5:{if((e-b|0)<2){l=36;break c}if((ie[c[j+332>>2]&127](j,b)|0)==0){l=38;break c}b=b+2|0;break};case 7:{if((e-b|0)<4){l=46;break c}if((ie[c[j+340>>2]&127](j,b)|0)==0){l=48;break c}b=b+4|0;break};case 23:{if((g|0)!=0){l=51;break c}g=1;b=b+1|0;if((b|0)==(e|0)){l=53;break c}switch(d[j+76+(d[b]|0)|0]|0){case 5:{if((e-b|0)<2){l=58;break c}if((ie[c[j+344>>2]&127](j,b)|0)==0){l=60;break c}b=b+2|0;break};case 6:{if((e-b|0)<3){l=63;break c}if((ie[c[j+348>>2]&127](j,b)|0)==0){l=65;break c}b=b+3|0;break};case 7:{if((e-b|0)<4){l=68;break c}if((ie[c[j+352>>2]&127](j,b)|0)==0){l=70;break c}b=b+4|0;break};case 29:{l=55;break c;break};case 22:case 24:{b=b+1|0;break};default:{l=72;break c}}break};case 29:{l=33;break c;break};case 6:{if((e-b|0)<3){l=41;break c}if((ie[c[j+336>>2]&127](j,b)|0)==0){l=43;break c}b=b+3|0;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 11:{l=100;break c;break};case 17:{l=102;break c;break};default:{l=108;break c}}}d:do{if((l|0)==33){c[f>>2]=b;k=0;break a}else if((l|0)==36){k=-2;break a}else if((l|0)==38){c[f>>2]=b;k=0;break a}else if((l|0)==41){k=-2;break a}else if((l|0)==43){c[f>>2]=b;k=0;break a}else if((l|0)==46){k=-2;break a}else if((l|0)==48){c[f>>2]=b;k=0;break a}else if((l|0)==51){c[f>>2]=b;k=0;break a}else if((l|0)==53){k=-1;break a}else if((l|0)==55){c[f>>2]=b;k=0;break a}else if((l|0)==58){k=-2;break a}else if((l|0)==60){c[f>>2]=b;k=0;break a}else if((l|0)==63){k=-2;break a}else if((l|0)==65){c[f>>2]=b;k=0;break a}else if((l|0)==68){k=-2;break a}else if((l|0)==70){c[f>>2]=b;k=0;break a}else if((l|0)==72){c[f>>2]=b;k=0;break a}else if((l|0)==74){b=b+1|0;e:while(1){if((b|0)==(e|0)){l=99;break}switch(d[j+76+(d[b]|0)|0]|0){case 29:{l=77;break e;break};case 22:case 24:{l=78;break e;break};case 5:{l=79;break e;break};case 6:{l=84;break e;break};case 7:{l=89;break e;break};case 11:{l=94;break e;break};case 17:{l=95;break e;break};case 21:case 9:case 10:{break};default:{l=97;break e}}b=b+1|0}do{if((l|0)==77){c[f>>2]=b;k=0;break a}else if((l|0)==78){b=b+1|0}else if((l|0)==79){if((e-b|0)<2){k=-2;break a}if((ie[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==84){if((e-b|0)<3){k=-2;break a}if((ie[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==89){if((e-b|0)<4){k=-2;break a}if((ie[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==94){l=101;break d}else if((l|0)==95){break d}else if((l|0)==97){c[f>>2]=b;k=0;break a}else if((l|0)==99){k=-1;break a}}while(0);k=aw(j,b,e,f)|0;break a}else if((l|0)==100){l=101}else if((l|0)!=102)if((l|0)==108){c[f>>2]=b;k=0;break a}else if((l|0)==110){k=-1;break a}}while(0);if((l|0)==101){c[f>>2]=b+1;k=2;break}b=b+1|0;if((b|0)==(e|0)){k=-1;break}if((a[b]|0)==62){c[f>>2]=b+1;k=4;break}else{c[f>>2]=b;k=0;break}}}while(0);i=h;return k|0}function Yv(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b]|0)!=45){c[f>>2]=b;k=0;break}b=b+1|0;a:while(1){if((b|0)==(e|0)){l=34;break}switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){l=18;break a}if((ie[c[j+364>>2]&127](j,b)|0)!=0){l=20;break a}b=b+4|0;break};case 0:case 1:case 8:{l=22;break a;break};case 5:{if((e-b|0)<2){l=8;break a}if((ie[c[j+356>>2]&127](j,b)|0)!=0){l=10;break a}b=b+2|0;break};case 27:{g=b+1|0;b=g;if((g|0)==(e|0)){l=24;break a}if((a[b]|0)==45){l=26;break a}break};case 6:{if((e-b|0)<3){l=13;break a}if((ie[c[j+360>>2]&127](j,b)|0)!=0){l=15;break a}b=b+3|0;break};default:{b=b+1|0}}}if((l|0)==8){k=-2;break}else if((l|0)==10){c[f>>2]=b;k=0;break}else if((l|0)==13){k=-2;break}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==18){k=-2;break}else if((l|0)==20){c[f>>2]=b;k=0;break}else if((l|0)==22){c[f>>2]=b;k=0;break}else if((l|0)==24){k=-1;break}else if((l|0)==26){g=b+1|0;b=g;if((g|0)==(e|0)){k=-1;break}if((a[b]|0)==62){c[f>>2]=b+1;k=13;break}else{c[f>>2]=b;k=0;break}}else if((l|0)==34){l=35;break}}else{l=35}}while(0);if((l|0)==35){k=-1}i=h;return k|0}function Zv(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<6){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=9;break}if((a[g]|0)!=(a[9720+e|0]|0)){k=6;break}e=e+1|0;g=g+1|0}if((k|0)==6){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==9){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function _v(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{b:do{switch(d[k+76+(d[b]|0)|0]|0){case 22:case 24:{b=b+1|0;break};case 5:{if((e-b|0)<2){l=-2;break a}if((ie[c[k+344>>2]&127](k,b)|0)!=0){b=b+2|0;break b}else{c[f>>2]=b;l=0;break a}break};case 7:{if((e-b|0)<4){l=-2;break a}if((ie[c[k+352>>2]&127](k,b)|0)!=0){b=b+4|0;break b}else{c[f>>2]=b;l=0;break a}break};case 6:{if((e-b|0)<3){l=-2;break a}if((ie[c[k+348>>2]&127](k,b)|0)!=0){b=b+3|0;break b}else{c[f>>2]=b;l=0;break a}break};case 29:{c[f>>2]=b;l=0;break a;break};default:{c[f>>2]=b;l=0;break a}}}while(0);c:while(1){if((b|0)==(e|0)){m=80;break}switch(d[k+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){m=38;break c}if((ie[c[k+340>>2]&127](k,b)|0)==0){m=40;break c}b=b+4|0;break};case 15:{m=71;break c;break};case 21:case 9:case 10:{m=42;break c;break};case 5:{if((e-b|0)<2){m=28;break c}if((ie[c[k+332>>2]&127](k,b)|0)==0){m=30;break c}b=b+2|0;break};case 6:{if((e-b|0)<3){m=33;break c}if((ie[c[k+336>>2]&127](k,b)|0)==0){m=35;break c}b=b+3|0;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 29:{m=25;break c;break};default:{break c}}}do{if((m|0)==25){c[f>>2]=b;l=0;break a}else if((m|0)==28){l=-2;break a}else if((m|0)==30){c[f>>2]=b;l=0;break a}else if((m|0)==33){l=-2;break a}else if((m|0)==35){c[f>>2]=b;l=0;break a}else if((m|0)==38){l=-2;break a}else if((m|0)==40){c[f>>2]=b;l=0;break a}else if((m|0)==42){if((bw(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break a}b=b+1|0;d:while(1){if((b|0)==(e|0)){m=70;break}switch(d[k+76+(d[b]|0)|0]|0){case 5:{if((e-b|0)<2){m=48;break d}if((ie[c[k+356>>2]&127](k,b)|0)!=0){m=50;break d}b=b+2|0;break};case 6:{if((e-b|0)<3){m=53;break d}if((ie[c[k+360>>2]&127](k,b)|0)!=0){m=55;break d}b=b+3|0;break};case 0:case 1:case 8:{m=62;break d;break};case 15:{b=b+1|0;if((b|0)==(e|0)){m=64;break d}if((a[b]|0)==62){m=66;break d}break};case 7:{if((e-b|0)<4){m=58;break d}if((ie[c[k+364>>2]&127](k,b)|0)!=0){m=60;break d}b=b+4|0;break};default:{b=b+1|0}}}if((m|0)==48){l=-2;break a}else if((m|0)==50){c[f>>2]=b;l=0;break a}else if((m|0)==53){l=-2;break a}else if((m|0)==55){c[f>>2]=b;l=0;break a}else if((m|0)==58){l=-2;break a}else if((m|0)==60){c[f>>2]=b;l=0;break a}else if((m|0)==62){c[f>>2]=b;l=0;break a}else if((m|0)==64){l=-1;break a}else if((m|0)==66){c[f>>2]=b+1;l=c[j>>2]|0;break a}else if((m|0)==70){l=-1;break a}}else if((m|0)==71){if((bw(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break a}b=b+1|0;if((b|0)==(e|0)){l=-1;break a}if((a[b]|0)==62){c[f>>2]=b+1;l=c[j>>2]|0;break a}else{break}}else if((m|0)==80){l=-1;break a}}while(0);c[f>>2]=b;l=0}}while(0);i=h;return l|0}function $v(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 6:{if((b-a|0)<3){j=-2;break a}if((ie[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 7:{if((b-a|0)<4){j=-2;break a}if((ie[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};case 5:{if((b-a|0)<2){j=-2;break a}if((ie[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 29:{c[e>>2]=a;j=0;break a;break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=55;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 5:{if((b-a|0)<2){k=28;break c}if((ie[c[h+332>>2]&127](h,a)|0)==0){k=30;break c}a=a+2|0;break};case 21:case 9:case 10:{k=42;break c;break};case 23:{a=a+1|0;break};case 11:{k=52;break c;break};case 7:{if((b-a|0)<4){k=38;break c}if((ie[c[h+340>>2]&127](h,a)|0)==0){k=40;break c}a=a+4|0;break};case 29:{k=25;break c;break};case 6:{if((b-a|0)<3){k=33;break c}if((ie[c[h+336>>2]&127](h,a)|0)==0){k=35;break c}a=a+3|0;break};default:{k=53;break c}}}if((k|0)==25){c[e>>2]=a;j=0;break}else if((k|0)==28){j=-2;break}else if((k|0)==30){c[e>>2]=a;j=0;break}else if((k|0)==33){j=-2;break}else if((k|0)==35){c[e>>2]=a;j=0;break}else if((k|0)==38){j=-2;break}else if((k|0)==40){c[e>>2]=a;j=0;break}else if((k|0)==42){a=a+1|0;while(1){if((a|0)==(b|0)){k=50;break}f=d[h+76+(d[a]|0)|0]|0;if((f|0)==11){k=46;break}else if(!((f|0)==21|(f|0)==9|(f|0)==10)){k=47;break}a=a+1|0}if((k|0)==46){c[e>>2]=a+1;j=5;break}else if((k|0)==47){c[e>>2]=a;j=0;break}else if((k|0)==50){j=-1;break}}else if((k|0)==52){c[e>>2]=a+1;j=5;break}else if((k|0)==53){c[e>>2]=a;j=0;break}else if((k|0)==55){j=-1;break}}}while(0);i=g;return j|0}function aw(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=137;break}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 7:{if((e-(c[j>>2]|0)|0)<4){l=17;break a}if((ie[c[k+340>>2]&127](k,c[j>>2]|0)|0)==0){l=19;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=7;break a}if((ie[c[k+332>>2]&127](k,c[j>>2]|0)|0)==0){l=9;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=12;break a}if((ie[c[k+336>>2]&127](k,c[j>>2]|0)|0)==0){l=14;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 22:case 24:case 25:case 26:case 27:{c[j>>2]=(c[j>>2]|0)+1;break};case 14:{l=55;break};case 23:{if((g|0)!=0){l=22;break a}g=1;c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=24;break a}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 6:{if((e-(c[j>>2]|0)|0)<3){l=34;break a}if((ie[c[k+348>>2]&127](k,c[j>>2]|0)|0)==0){l=36;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 29:{l=26;break a;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=39;break a}if((ie[c[k+352>>2]&127](k,c[j>>2]|0)|0)==0){l=41;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 22:case 24:{c[j>>2]=(c[j>>2]|0)+1;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=29;break a}if((ie[c[k+344>>2]&127](k,c[j>>2]|0)|0)==0){l=31;break a}c[j>>2]=(c[j>>2]|0)+2;break};default:{l=43;break a}}break};case 29:{l=4;break a;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=47;break a}b=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((b|0)==14){break}m=b;if(!((m|0)==21|(m|0)==10|(m|0)==9)){l=52;break a}}l=55;break};default:{l=135;break a}}if((l|0)==55){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=57;break a}n=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((n|0)==12){break}if((n|0)==13){break}m=n;if(!((m|0)==21|(m|0)==10|(m|0)==9)){l=63;break a}}c[j>>2]=(c[j>>2]|0)+1;while(1){if((c[j>>2]|0)==(e|0)){l=67;break a}m=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((m|0)==(n|0)){break}switch(m|0){case 5:{if((e-(c[j>>2]|0)|0)<2){l=72;break a}if((ie[c[k+356>>2]&127](k,c[j>>2]|0)|0)!=0){l=74;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=77;break a}if((ie[c[k+360>>2]&127](k,c[j>>2]|0)|0)!=0){l=79;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=82;break a}if((ie[c[k+364>>2]&127](k,c[j>>2]|0)|0)!=0){l=84;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 0:case 1:case 8:{l=86;break a;break};case 3:{o=Tv(k,(c[j>>2]|0)+1|0,e,j)|0;if((o|0)<=0){l=88;break a}break};case 2:{l=92;break a;break};default:{c[j>>2]=(c[j>>2]|0)+1}}}c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=96;break}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 21:case 9:case 10:{break};case 17:{l=99;break a;break};case 11:{l=100;break a;break};default:{l=101;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=104;break a}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 29:{l=106;break a;break};case 22:case 24:{l=107;break b;break};case 5:{l=108;break b;break};case 6:{l=113;break b;break};case 7:{l=118;break b;break};case 21:case 9:case 10:{break};case 11:{l=124;break a;break};case 17:{l=126;break a;break};default:{l=132;break a}}}if((l|0)==107){l=0;c[j>>2]=(c[j>>2]|0)+1}else if((l|0)==108){l=0;if((e-(c[j>>2]|0)|0)<2){l=109;break}if((ie[c[k+344>>2]&127](k,c[j>>2]|0)|0)==0){l=111;break}c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==113){l=0;if((e-(c[j>>2]|0)|0)<3){l=114;break}if((ie[c[k+348>>2]&127](k,c[j>>2]|0)|0)==0){l=116;break}c[j>>2]=(c[j>>2]|0)+3}else if((l|0)==118){l=0;if((e-(c[j>>2]|0)|0)<4){l=119;break}if((ie[c[k+352>>2]&127](k,c[j>>2]|0)|0)==0){l=121;break}c[j>>2]=(c[j>>2]|0)+4}}}if((l|0)==4){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==7){p=-2;q=p;i=h;return q|0}else if((l|0)==9){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==12){p=-2;q=p;i=h;return q|0}else if((l|0)==14){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==17){p=-2;q=p;i=h;return q|0}else if((l|0)==19){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==22){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==24){p=-1;q=p;i=h;return q|0}else if((l|0)==26){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==29){p=-2;q=p;i=h;return q|0}else if((l|0)==31){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==34){p=-2;q=p;i=h;return q|0}else if((l|0)==36){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==39){p=-2;q=p;i=h;return q|0}else if((l|0)==41){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==43){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==47){p=-1;q=p;i=h;return q|0}else if((l|0)==52){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==57){p=-1;q=p;i=h;return q|0}else if((l|0)==63){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==67){p=-1;q=p;i=h;return q|0}else if((l|0)==72){p=-2;q=p;i=h;return q|0}else if((l|0)==74){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==77){p=-2;q=p;i=h;return q|0}else if((l|0)==79){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==82){p=-2;q=p;i=h;return q|0}else if((l|0)==84){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==86){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==88){if((o|0)==0){c[f>>2]=c[j>>2]}p=o;q=p;i=h;return q|0}else if((l|0)==92){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==96){p=-1;q=p;i=h;return q|0}else if((l|0)!=99)if((l|0)==100){l=125}else if((l|0)==101){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==104){p=-1;q=p;i=h;return q|0}else if((l|0)==106){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==109){p=-2;q=p;i=h;return q|0}else if((l|0)==111){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==114){p=-2;q=p;i=h;return q|0}else if((l|0)==116){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==119){p=-2;q=p;i=h;return q|0}else if((l|0)==121){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==124){l=125}else if((l|0)!=126)if((l|0)==132){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==135){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==137){p=-1;q=p;i=h;return q|0}if((l|0)==125){c[f>>2]=(c[j>>2]|0)+1;p=1;q=p;i=h;return q|0}c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){p=-1;q=p;i=h;return q|0}if((a[c[j>>2]|0]|0)==62){c[f>>2]=(c[j>>2]|0)+1;p=3;q=p;i=h;return q|0}else{c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}return 0}function bw(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=3){h=1}else{j=a[g]|0;if((j|0)!=120)if((j|0)==88){f=1}else{h=1;break}g=g+1|0;j=a[g]|0;if((j|0)!=109)if((j|0)==77){f=1}else{h=1;break}g=g+1|0;j=a[g]|0;if((j|0)!=108)if((j|0)==76){f=1}else{h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function cw(a,b,e,f,g){a=a|0;b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=a;a=b;b=e;e=f;f=g;a:while(1){if((b|0)==(e|0)){k=29;break}g=d[a+76+(d[b]|0)|0]|0;switch(g|0){case 0:case 1:case 8:{k=19;break a;break};case 6:{if((e-b|0)<3){k=10;break a}if((ie[c[a+360>>2]&127](a,b)|0)!=0){k=12;break a}b=b+3|0;break};case 5:{if((e-b|0)<2){k=5;break a}if((ie[c[a+356>>2]&127](a,b)|0)!=0){k=7;break a}b=b+2|0;break};case 12:case 13:{b=b+1|0;if((g|0)==(j|0)){k=22;break a}break};case 7:{if((e-b|0)<4){k=15;break a}if((ie[c[a+364>>2]&127](a,b)|0)!=0){k=17;break a}b=b+4|0;break};default:{b=b+1|0}}}b:do{if((k|0)==5){l=-2}else if((k|0)==7){c[f>>2]=b;l=0}else if((k|0)==10){l=-2}else if((k|0)==12){c[f>>2]=b;l=0}else if((k|0)==15){l=-2}else if((k|0)==17){c[f>>2]=b;l=0}else if((k|0)==19){c[f>>2]=b;l=0}else if((k|0)==22){if((b|0)==(e|0)){l=-27;break}c[f>>2]=b;switch(d[a+76+(d[b]|0)|0]|0|0){case 21:case 9:case 10:case 11:case 30:case 20:{l=27;break b;break};default:{l=0;break b}}}else if((k|0)==29){l=-1}}while(0);i=h;return l|0}function dw(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{f=d[h+76+(d[a]|0)|0]|0;if((f|0)==27){j=Yv(h,a+1|0,b,e)|0;break}else if((f|0)==20){c[e>>2]=a+1;j=33;break}else if((f|0)==22|(f|0)==24){a=a+1|0;b:while(1){if((a|0)==(b|0)){k=20;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 30:{k=11;break b;break};case 21:case 9:case 10:{break b;break};case 22:case 24:{break};default:{k=18;break b}}a=a+1|0}do{if((k|0)==11){if((a+1|0)==(b|0)){j=-1;break a}f=d[h+76+(d[a+1|0]|0)|0]|0;if((f|0)==21|(f|0)==9|(f|0)==10|(f|0)==30){c[e>>2]=a;j=0;break a}else{break}}else if((k|0)==18){c[e>>2]=a;j=0;break a}else if((k|0)==20){j=-1;break a}}while(0);c[e>>2]=a;j=16;break}else{c[e>>2]=a;j=0;break}}}while(0);i=g;return j|0}function ew(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 29:{c[e>>2]=a;j=0;break a;break};case 5:{if((b-a|0)<2){j=-2;break a}if((ie[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 7:{if((b-a|0)<4){j=-2;break a}if((ie[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 6:{if((b-a|0)<3){j=-2;break a}if((ie[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=45;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 5:{if((b-a|0)<2){k=28;break c}if((ie[c[h+332>>2]&127](h,a)|0)==0){k=30;break c}a=a+2|0;break};case 29:{k=25;break c;break};case 6:{if((b-a|0)<3){k=33;break c}if((ie[c[h+336>>2]&127](h,a)|0)==0){k=35;break c}a=a+3|0;break};case 7:{if((b-a|0)<4){k=38;break c}if((ie[c[h+340>>2]&127](h,a)|0)==0){k=40;break c}a=a+4|0;break};case 9:case 10:case 21:case 32:case 11:case 30:case 36:{k=42;break c;break};default:{k=43;break c}}}if((k|0)==25){c[e>>2]=a;j=0;break}else if((k|0)==28){j=-2;break}else if((k|0)==30){c[e>>2]=a;j=0;break}else if((k|0)==33){j=-2;break}else if((k|0)==35){c[e>>2]=a;j=0;break}else if((k|0)==38){j=-2;break}else if((k|0)==40){c[e>>2]=a;j=0;break}else if((k|0)==42){c[e>>2]=a;j=20;break}else if((k|0)==43){c[e>>2]=a;j=0;break}else if((k|0)==45){j=-20;break}}}while(0);i=g;return j|0}function fw(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;b=i;h=d;d=e;e=f;f=g;while(1){if((c[h>>2]|0)!=(d|0)){j=(c[e>>2]|0)!=(f|0)}else{j=0}if(!j){break}g=h;k=c[g>>2]|0;c[g>>2]=k+1;g=a[k]|0;k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=g}i=b;return}function gw(a,e,f,g,h){a=a|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0;a=i;j=e;e=f;f=g;g=h;while(1){if((c[j>>2]|0)!=(e|0)){k=(c[f>>2]|0)!=(g|0)}else{k=0}if(!k){break}h=j;l=c[h>>2]|0;c[h>>2]=l+1;h=d[l]|0;l=f;m=c[l>>2]|0;c[l>>2]=m+2;b[m>>1]=h}i=a;return}function hw(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;b=i;h=d;d=e;e=f;f=g;while(1){if((c[h>>2]|0)==(d|0)){j=3;break}g=a[c[h>>2]|0]|0;if((g&128|0)!=0){if((f-(c[e>>2]|0)|0)<2){j=6;break}k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=(g&255)>>6|192;l=e;k=c[l>>2]|0;c[l>>2]=k+1;a[k]=g&63|128;g=h;c[g>>2]=(c[g>>2]|0)+1}else{if((c[e>>2]|0)==(f|0)){j=9;break}g=h;k=c[g>>2]|0;c[g>>2]=k+1;g=a[k]|0;k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=g}}if((j|0)==3){i=b;return}else if((j|0)==6){i=b;return}else if((j|0)==9){i=b;return}}function iw(b,e,f,g,h,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=i;l=b;b=e;e=f;f=g;g=h;h=j;if((f|0)==(g|0)){m=-4;n=m;i=k;return n|0}j=c[b+76>>2]|0;do{if((f+1|0)==(g|0)){o=a[b+73|0]|0;if((o|0)==3|(o|0)==5|(o|0)==4){m=-1;n=m;i=k;return n|0}a:do{switch(d[f]|0){case 254:case 255:case 239:{do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}p=12;break a}}while(0);break};case 0:case 60:{break};default:{p=12}}}while(0);if((p|0)==12){break}m=-1;n=m;i=k;return n|0}else{o=d[f|0]<<8|d[f+1|0];b:do{if((o|0)==65534){do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}break b}}while(0);c[h>>2]=f+2;c[j>>2]=c[l+20>>2];m=14;n=m;i=k;return n|0}else if((o|0)==15360){if((a[b+73|0]|0)==4){p=20}else{if((a[b+73|0]|0)==3){p=20}}do{if((p|0)==20){if((e|0)!=1){break}break b}}while(0);c[j>>2]=c[l+20>>2];m=le[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}else if((o|0)==61371){c:do{if((e|0)==1){q=a[b+73|0]|0;do{if((q|0)!=0){if((q|0)==4){break}if((q|0)==5){break}if((q|0)==3){break}break c}}while(0);break b}}while(0);if((f+2|0)==(g|0)){m=-1;n=m;i=k;return n|0}if((d[f+2|0]|0)!=191){break}c[h>>2]=f+3;c[j>>2]=c[l+8>>2];m=14;n=m;i=k;return n|0}else if((o|0)==65279){do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}break b}}while(0);c[h>>2]=f+2;c[j>>2]=c[l+16>>2];m=14;n=m;i=k;return n|0}else{if((a[f|0]|0)==0){do{if((e|0)==1){if((a[b+73|0]|0)!=5){break}break b}}while(0);c[j>>2]=c[l+16>>2];m=le[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}if((a[f+1|0]|0)!=0){break}if((e|0)==1){break}c[j>>2]=c[l+20>>2];m=le[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}}while(0)}}while(0);c[j>>2]=c[l+(a[b+73|0]<<2)>>2];m=le[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}function jw(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0;j=i;k=a;a=b;b=d;d=e;e=f;f=g;g=h;if((a|0)==(b|0)){c[d>>2]=0;l=1;m=l;i=j;return m|0}if((lw(kw(k,a,b)|0)|0)==0){c[g>>2]=a;l=0;m=l;i=j;return m|0}do{a=a+(c[k+68>>2]|0)|0;}while((lw(kw(k,a,b)|0)|0)!=0);if((a|0)==(b|0)){c[d>>2]=0;l=1;m=l;i=j;return m|0}c[d>>2]=a;while(1){n=kw(k,a,b)|0;if((n|0)==-1){o=12;break}if((n|0)==61){o=14;break}if((lw(n)|0)!=0){o=16;break}a=a+(c[k+68>>2]|0)|0}do{if((o|0)==12){c[g>>2]=a;l=0;m=l;i=j;return m|0}else if((o|0)==14){c[e>>2]=a}else if((o|0)==16){c[e>>2]=a;do{a=a+(c[k+68>>2]|0)|0;h=kw(k,a,b)|0;n=h;}while((lw(h)|0)!=0);if((n|0)==61){break}c[g>>2]=a;l=0;m=l;i=j;return m|0}}while(0);if((a|0)==(c[d>>2]|0)){c[g>>2]=a;l=0;m=l;i=j;return m|0}a=a+(c[k+68>>2]|0)|0;n=kw(k,a,b)|0;while(1){if((lw(n)|0)==0){break}a=a+(c[k+68>>2]|0)|0;n=kw(k,a,b)|0}do{if((n|0)!=34){if((n|0)==39){break}c[g>>2]=a;l=0;m=l;i=j;return m|0}}while(0);d=n&255;a=a+(c[k+68>>2]|0)|0;c[f>>2]=a;a:while(1){n=kw(k,a,b)|0;if((n|0)==(d<<24>>24|0)){break}if(97<=(n|0)){if((n|0)>122){o=36}}else{o=36}do{if((o|0)==36){o=0;if(65<=(n|0)){if((n|0)<=90){break}}if(48<=(n|0)){if((n|0)<=57){break}}if((n|0)==46){break}if((n|0)==45){break}if((n|0)!=95){o=43;break a}}}while(0);a=a+(c[k+68>>2]|0)|0}if((o|0)==43){c[g>>2]=a;l=0;m=l;i=j;return m|0}c[g>>2]=a+(c[k+68>>2]|0);l=1;m=l;i=j;return m|0}function kw(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=b;c[g>>2]=d;c[j>>2]=h;Vd[c[k+60>>2]&31](k,g,e,j,(c[j>>2]|0)+1|0);if((c[j>>2]|0)==(h|0)){l=-1;m=l;i=f;return m|0}else{l=a[h|0]|0;m=l;i=f;return m|0}return 0}function lw(a){a=a|0;var b=0,c=0;b=a;if((b|0)==32|(b|0)==13|(b|0)==10|(b|0)==9){c=1}else{c=0}i=i;return c|0}function mw(a){a=a|0;var b=0;b=a;c[b>>2]=4;c[b+16>>2]=1;c[b+12>>2]=0;c[b+20>>2]=0;i=i;return}function nw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 12:{c[h>>2]=76;j=1;break};case 15:{c[h>>2]=76;j=0;break};case 11:{c[h>>2]=76;j=55;break};case 13:{c[h>>2]=76;j=56;break};case 16:{if((le[c[b+28>>2]&127](b,d+(c[b+68>>2]<<1)|0,e,1705304)|0)!=0){c[h>>2]=96;j=3;break a}else{k=11;break a}break};case 14:{j=0;break};case 29:{c[h>>2]=110;j=2;break};default:{k=11}}}while(0);if((k|0)==11){j=rw(h,a)|0}i=g;return j|0}function ow(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;a:do{switch(a|0){case 33:{c[h>>2]=26;j=0;break};case 34:{if((c[h+12>>2]|0)==0){k=12;break a}else{b=h+12|0;c[b>>2]=(c[b>>2]|0)-1;j=0;break a}break};case-4:{if((c[h+12>>2]|0)!=0){k=12;break a}else{j=0;break a}break};case 15:{j=0;break};case 26:{k=12;break};default:{j=qw(h,a,d,e,f)|0}}}while(0);if((k|0)==12){j=rw(h,a)|0}i=g;return j|0}function pw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;if((f|0)==18){j=3}else if((f|0)==15){k=0;l=k;i=g;return l|0}do{if((j|0)==3){if((le[c[e+28>>2]&127](e,b,d,1705208)|0)!=0){c[h>>2]=28;k=0;l=k;i=g;return l|0}if((le[c[e+28>>2]&127](e,b,d,1705224)|0)==0){break}c[h>>2]=30;k=0;l=k;i=g;return l|0}}while(0);k=rw(h,a)|0;l=k;i=g;return l|0}function qw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;a:do{switch(a|0){case 15:{j=0;break};case 16:{if((le[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,1705264)|0)!=0){c[h>>2]=44;j=11;break a}if((le[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,1705320)|0)!=0){c[h>>2]=90;j=33;break a}if((le[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,1705296)|0)!=0){c[h>>2]=72;j=39;break a}if((le[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,1705144)|0)!=0){c[h>>2]=8;j=17;break a}else{k=17;break a}break};case 11:{j=55;break};case 26:{c[h>>2]=120;j=3;break};case 28:{j=60;break};case 13:{j=56;break};case-4:{j=0;break};default:{k=17}}}while(0);if((k|0)==17){j=rw(h,a)|0}i=g;return j|0}function rw(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a;do{if((c[e+16>>2]|0)==0){if((b|0)!=28){break}f=59;g=f;i=d;return g|0}}while(0);c[e>>2]=110;f=-1;g=f;i=d;return g|0}function sw(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;i=i;return 0}function tw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==22){c[e>>2]=46;g=11}else if((b|0)==18){c[e>>2]=40;g=9}else{g=rw(e,a)|0}i=f;return g|0}function uw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18|(b|0)==41){c[e>>2]=88;g=34}else if((b|0)==15){g=33}else{g=rw(e,a)|0}i=f;return g|0}function vw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18|(b|0)==41){c[e>>2]=66;g=40}else if((b|0)==15){g=39}else{g=rw(e,a)|0}i=f;return g|0}function ww(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18){c[e>>2]=6;g=18}else if((b|0)==15){g=17}else{g=rw(e,a)|0}i=f;return g|0}function xw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=2;g=8}else if((b|0)==15){g=3}else{g=rw(e,a)|0}i=f;return g|0}function yw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==11){g=55}else if((b|0)==15){g=0}else if((b|0)==13){g=56}else if((b|0)==29){c[e>>2]=110;g=2}else{g=rw(e,a)|0}i=f;return g|0}function zw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;if((f|0)==18){j=3}else if((f|0)==15){k=17;l=k;i=g;return l|0}do{if((j|0)==3){if((le[c[e+28>>2]&127](e,b,d,1705104)|0)!=0){c[h>>2]=10;k=17;l=k;i=g;return l|0}if((le[c[e+28>>2]&127](e,b,d,1705128)|0)==0){break}c[h>>2]=12;k=17;l=k;i=g;return l|0}}while(0);k=rw(h,a)|0;l=k;i=g;return l|0}function Aw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=58;c[e+8>>2]=17;g=19}else if((b|0)==15){g=17}else{g=rw(e,a)|0}i=f;return g|0}function Bw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=17}else if((b|0)==27){c[e>>2]=14;g=21}else{g=rw(e,a)|0}i=f;return g|0}function Cw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=58;c[e+8>>2]=17;g=19}else if((b|0)==15){g=17}else if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:34;g=20}else{g=rw(e,a)|0}i=f;return g|0}function Dw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=c[e+8>>2]|0;h=g;i=f;return h|0}else if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:34;g=c[e+8>>2]|0;h=g;i=f;return h|0}else{g=rw(e,a)|0;h=g;i=f;return h|0}return 0}function Ew(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==18){if((le[c[e+28>>2]&127](e,b,d,1705288)|0)!=0){c[h>>2]=58;c[h+8>>2]=39;j=42;k=j;i=g;return k|0}if((le[c[e+28>>2]&127](e,b,d,1705328)|0)==0){break}c[h>>2]=58;c[h+8>>2]=39;j=41;k=j;i=g;return k|0}else if((f|0)==15){j=39;k=j;i=g;return k|0}else if((f|0)==23){c[h>>2]=64;c[h+4>>2]=1;j=44;k=j;i=g;return k|0}}while(0);j=rw(h,a)|0;k=j;i=g;return k|0}function Fw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 15:{j=39;break};case 20:{if((le[c[b+28>>2]&127](b,d+(c[b+68>>2]|0)|0,e,1705136)|0)!=0){c[h>>2]=20;j=43;break a}else{k=11;break a}break};case 30:{c[h>>2]=68;j=53;break};case 18:case 41:{c[h>>2]=68;j=51;break};case 23:{c[h+4>>2]=2;c[h>>2]=16;j=44;break};case 31:{c[h>>2]=68;j=52;break};case 32:{c[h>>2]=68;j=54;break};default:{k=11}}}while(0);if((k|0)==11){j=rw(h,a)|0}i=g;return j|0}function Gw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==36){c[e>>2]=58;c[e+8>>2]=39;g=46}else if((b|0)==24){c[e>>2]=58;c[e+8>>2]=39;g=45}else if((b|0)==15){g=39}else if((b|0)==21){c[e>>2]=62;g=39}else{g=rw(e,a)|0}i=f;return g|0}function Hw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;switch(a|0){case 15:{g=39;break};case 23:{b=e+4|0;c[b>>2]=(c[b>>2]|0)+1;g=44;break};case 18:case 41:{c[e>>2]=68;g=51;break};case 32:{c[e>>2]=68;g=54;break};case 31:{c[e>>2]=68;g=52;break};case 30:{c[e>>2]=68;g=53;break};default:{g=rw(e,a)|0}}i=f;return g|0}function Iw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;f=i;e=a;a=b;switch(a|0){case 24:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=58;c[e+8>>2]=39}g=45;h=g;i=f;return h|0};case 15:{g=39;h=g;i=f;return h|0};case 36:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=58;c[e+8>>2]=39}g=46;h=g;i=f;return h|0};case 21:{c[e>>2]=16;g=49;h=g;i=f;return h|0};case 35:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=58;c[e+8>>2]=39}g=47;h=g;i=f;return h|0};case 37:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=58;c[e+8>>2]=39}g=48;h=g;i=f;return h|0};case 38:{c[e>>2]=16;g=50;h=g;i=f;return h|0};default:{g=rw(e,a)|0;h=g;i=f;return h|0}}return 0}function Jw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18|(b|0)==41){c[e>>2]=70;g=51}else if((b|0)==15){g=39}else{g=rw(e,a)|0}i=f;return g|0}function Kw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==36){c[e>>2]=58;c[e+8>>2]=39;g=46}else if((b|0)==15){g=39}else if((b|0)==21){c[e>>2]=62;g=39}else{g=rw(e,a)|0}i=f;return g|0}function Lw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18|(b|0)==41){c[e>>2]=94;g=22}else if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:34;g=33}else if((b|0)==15){g=33}else{g=rw(e,a)|0}i=f;return g|0}function Mw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==18){j=0;while(1){if((j|0)>=8){break}if((le[c[e+28>>2]&127](e,b,d,c[21608+(j<<2)>>2]|0)|0)!=0){k=6;break}j=j+1|0}if((k|0)==6){c[h>>2]=80;l=j+23|0;m=l;i=g;return m|0}if((le[c[e+28>>2]&127](e,b,d,1705144)|0)==0){break}c[h>>2]=82;l=33;m=l;i=g;return m|0}else if((f|0)==15){l=33;m=l;i=g;return m|0}else if((f|0)==23){c[h>>2]=92;l=33;m=l;i=g;return m|0}}while(0);l=rw(h,a)|0;m=l;i=g;return m|0}function Nw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==20){if((le[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,1705216)|0)!=0){c[h>>2]=88;j=35;k=j;i=g;return k|0}if((le[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,1705112)|0)!=0){c[h>>2]=88;j=36;k=j;i=g;return k|0}if((le[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,1705256)|0)==0){break}c[h>>2]=78;j=33;k=j;i=g;return k|0}else if((f|0)==27){c[h>>2]=88;j=37;k=j;i=g;return k|0}else if((f|0)==15){j=33;k=j;i=g;return k|0}}while(0);j=rw(h,a)|0;k=j;i=g;return k|0}function Ow(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==23){c[e>>2]=18;g=33}else if((b|0)==15){g=33}else{g=rw(e,a)|0}i=f;return g|0}function Pw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==19|(b|0)==18|(b|0)==41){c[e>>2]=84;g=31}else if((b|0)==15){g=33}else{g=rw(e,a)|0}i=f;return g|0}function Qw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==24){c[e>>2]=80;g=33}else if((b|0)==21){c[e>>2]=92;g=33}else{g=rw(e,a)|0}i=f;return g|0}function Rw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==18){c[e>>2]=86;g=32}else{g=rw(e,a)|0}i=f;return g|0}function Sw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==24){c[e>>2]=80;g=33}else if((b|0)==21){c[e>>2]=18;g=33}else{g=rw(e,a)|0}i=f;return g|0}function Tw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=88;g=38}else if((b|0)==15){g=33}else{g=rw(e,a)|0}i=f;return g|0}function Uw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18){c[e>>2]=22;g=10}else if((b|0)==15){g=11}else{g=rw(e,a)|0}i=f;return g|0}function Vw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==15){j=11;k=j;i=g;return k|0}else if((f|0)==27){c[h>>2]=58;c[h+8>>2]=11;j=12;k=j;i=g;return k|0}else if((f|0)==18){if((le[c[e+28>>2]&127](e,b,d,1705104)|0)!=0){c[h>>2]=112;j=11;k=j;i=g;return k|0}if((le[c[e+28>>2]&127](e,b,d,1705128)|0)==0){break}c[h>>2]=42;j=11;k=j;i=g;return k|0}}while(0);j=rw(h,a)|0;k=j;i=g;return k|0}function Ww(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=74;g=13}else if((b|0)==15){g=11}else{g=rw(e,a)|0}i=f;return g|0}function Xw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=112;g=14}else if((b|0)==15){g=11}else{g=rw(e,a)|0}i=f;return g|0}function Yw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==17){c[h>>2]=(c[h+16>>2]|0)!=0?106:34;j=15;k=j;i=g;return k|0}else if((f|0)==18){if((le[c[e+28>>2]&127](e,b,d,1705184)|0)==0){break}c[h>>2]=48;j=11;k=j;i=g;return k|0}else if((f|0)==15){j=11;k=j;i=g;return k|0}}while(0);j=rw(h,a)|0;k=j;i=g;return k|0}function Zw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==18){c[e>>2]=58;c[e+8>>2]=11;g=16}else{g=rw(e,a)|0}i=f;return g|0}function _w(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==15){j=11;k=j;i=g;return k|0}else if((f|0)==27){c[h>>2]=58;c[h+8>>2]=11;j=12;k=j;i=g;return k|0}else if((f|0)==18){if((le[c[e+28>>2]&127](e,b,d,1705104)|0)!=0){c[h>>2]=38;j=11;k=j;i=g;return k|0}if((le[c[e+28>>2]&127](e,b,d,1705128)|0)==0){break}c[h>>2]=36;j=11;k=j;i=g;return k|0}}while(0);j=rw(h,a)|0;k=j;i=g;return k|0}function $w(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==27){c[e>>2]=50;g=13}else{g=rw(e,a)|0}i=f;return g|0}function ax(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==27){c[e>>2]=38;g=14}else{g=rw(e,a)|0}i=f;return g|0}function bx(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:34;g=15}else{g=rw(e,a)|0}i=f;return g|0}function cx(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=0}else if((b|0)==25){c[e>>2]=34;b=e+12|0;c[b>>2]=(c[b>>2]|0)+1;g=0}else{g=rw(e,a)|0}i=f;return g|0}function dx(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=0}else if((b|0)==25){c[e>>2]=34;g=58}else{g=rw(e,a)|0}i=f;return g|0}function ex(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 16:{if((le[c[b+28>>2]&127](b,d+(c[b+68>>2]<<1)|0,e,1705304)|0)!=0){c[h>>2]=96;j=3;break a}else{k=10;break a}break};case 14:{j=0;break};case 15:{j=0;break};case 29:{c[h>>2]=110;j=2;break};case 13:{j=56;break};case 11:{j=55;break};default:{k=10}}}while(0);if((k|0)==10){j=rw(h,a)|0}i=g;return j|0}function fx(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=3}else if((b|0)==18|(b|0)==41){c[e>>2]=122;g=4}else{g=rw(e,a)|0}i=f;return g|0}function gx(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==18){if((le[c[e+28>>2]&127](e,b,d,1705104)|0)!=0){c[h>>2]=124;j=3;break}if((le[c[e+28>>2]&127](e,b,d,1705128)|0)!=0){c[h>>2]=100;j=3;break}else{k=10;break}}else if((f|0)==17){c[h>>2]=2;j=8}else if((f|0)==15){j=3}else if((f|0)==25){c[h>>2]=106;j=7}else{k=10}}while(0);if((k|0)==10){j=rw(h,a)|0}i=g;return j|0}function hx(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=118;g=5}else if((b|0)==15){g=3}else{g=rw(e,a)|0}i=f;return g|0}function ix(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=124;g=6}else if((b|0)==15){g=3}else{g=rw(e,a)|0}i=f;return g|0}function jx(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==25){c[e>>2]=106;g=7}else if((b|0)==15){g=3}else if((b|0)==17){c[e>>2]=2;g=8}else{g=rw(e,a)|0}i=f;return g|0}function kx(){return}function lx(){return}function mx(){Gc(1715304,0)|0;lx();return}function nx(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;if((a|0)==0){d=c[t>>2]|0;Ya(34120,29,1,d|0)|0;Ta(d|0)|0;e=0;i=b;return e|0}d=c[a>>2]|0;if((d|0)<0){f=c[t>>2]|0;Ya(1661248,54,1,f|0)|0;Ta(f|0)|0;e=0;i=b;return e|0}f=c[a+4>>2]|0;if((f|0)==0){a=c[t>>2]|0;Ya(1649888,47,1,a|0)|0;Ta(a|0)|0;e=0;i=b;return e|0}else{g=0}while(1){if((g|0)>=(d|0)){e=1;h=10;break}j=c[f+(g<<2)>>2]|0;if((j|0)<0){break}else{g=g+1|0}}if((h|0)==10){i=b;return e|0}h=c[t>>2]|0;od(h|0,1639848,(f=i,i=i+16|0,c[f>>2]=g,c[f+8>>2]=j,f)|0)|0;i=f;Ta(h|0)|0;e=0;i=b;return e|0}function ox(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;e=c[a>>2]|0;f=c[b>>2]|0;if((e|0)!=(f|0)){od(c[t>>2]|0,1675488,(g=i,i=i+16|0,c[g>>2]=e,c[g+8>>2]=f,g)|0)|0;i=g;h=0;i=d;return h|0}f=a+4|0;a=b+4|0;b=0;while(1){if((b|0)>=(e|0)){h=1;j=7;break}k=c[(c[f>>2]|0)+(b<<2)>>2]|0;l=c[(c[a>>2]|0)+(b<<2)>>2]|0;if((k|0)==(l|0)){b=b+1|0}else{break}}if((j|0)==7){i=d;return h|0}od(c[t>>2]|0,1671848,(g=i,i=i+32|0,c[g>>2]=b,c[g+8>>2]=b,c[g+16>>2]=k,c[g+24>>2]=l,g)|0)|0;i=g;h=0;i=d;return h|0}function px(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=c[a>>2]|0;if((b|0)<=0){d=1;return d|0}e=c[a+4>>2]|0;a=0;f=1;while(1){g=ga(c[e+(a<<2)>>2]|0,f)|0;h=a+1|0;if((h|0)<(b|0)){a=h;f=g}else{d=g;break}}return d|0}function qx(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;c[a>>2]=1;e=jy(1)|0;c[a+4>>2]=e;c[e>>2]=b;c[a+8>>2]=d;return}function rx(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;c[a>>2]=b;e=a+4|0;c[e>>2]=jy(b)|0;if((b|0)>0){f=0;g=1}else{h=1;return h|0}while(1){a=(B=c[d+4>>2]|0,c[d+4>>2]=B+8,c[(c[d>>2]|0)+B>>2]|0);c[(c[e>>2]|0)+(f<<2)>>2]=a;i=ga(a,g)|0;a=f+1|0;if((a|0)<(b|0)){f=a;g=i}else{h=i;break}}return h|0}function sx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;if((nx(a)|0)==0){jd(1661496,35e3,262,1683472)}d=c[a>>2]|0;e=b|0;c[e>>2]=d;f=jy(d)|0;c[b+4>>2]=f;if((f|0)==0){jd(1660344,35e3,266,1683472)}b=c[e>>2]|0;if((b|0)<=0){return}e=c[a+4>>2]|0;a=0;do{c[f+(a<<2)>>2]=c[e+(a<<2)>>2];a=a+1|0;}while((a|0)<(b|0));return}function tx(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=i;if((b|0)<=0){f=0;i=e;return f|0}g=a+4|0;a=0;h=0;while(1){j=(B=c[d+4>>2]|0,c[d+4>>2]=B+8,c[(c[d>>2]|0)+B>>2]|0);k=j-1|0;l=c[(c[g>>2]|0)+(h<<2)>>2]|0;if((j|0)>0&(k|0)<(l|0)){m=l;n=h+1|0}else{o=h+1|0;pe[c[2168]&63](0,19592,1652744,(p=i,i=i+24|0,c[p>>2]=o,c[p+8>>2]=l,c[p+16>>2]=j,p)|0);i=p;m=c[(c[g>>2]|0)+(h<<2)>>2]|0;n=o}o=(ga(m,a)|0)+k|0;if((n|0)<(b|0)){a=o;h=n}else{f=o;break}}i=e;return f|0}function ux(a,b){a=a|0;b=b|0;if((nx(a)|0)==0){jd(1651632,35e3,347,1683184);return 0}if((b|0)<=0){jd(1650496,35e3,348,1683184);return 0}if((c[a>>2]|0)<(b|0)){jd(1650496,35e3,348,1683184);return 0}else{return c[(c[a+4>>2]|0)+(b-1<<2)>>2]|0}return 0}function vx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;if((nx(a)|0)==0){jd(1661496,35e3,355,1683440)}d=c[a>>2]|0;e=b|0;c[e>>2]=d;f=jy(d)|0;c[b+4>>2]=f;if((f|0)==0){jd(1660344,35e3,359,1683440)}b=c[e>>2]|0;if((b|0)<=0){return}e=c[a+4>>2]|0;a=0;do{c[f+(a<<2)>>2]=c[e+(b+~a<<2)>>2];a=a+1|0;}while((a|0)<(b|0));return}function wx(){e1(1706120|0,0|0,112|0)|0;e1(1715392|0,0|0,112|0)|0;e1(1715504|0,0|0,112|0)|0;c[426531]=1;c[426532]=1;return}function xx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;e=b;b=i;i=i+24|0;c[b>>2]=c[e>>2];c[b+4>>2]=c[e+4>>2];c[b+8>>2]=c[e+8>>2];c[b+12>>2]=c[e+12>>2];c[b+16>>2]=c[e+16>>2];c[b+20>>2]=c[e+20>>2];e=c[b+4>>2]|0;f=c[b+8>>2]|0;g=c[b+12>>2]|0;h=c[b+16>>2]|0;j=(c[b+20>>2]|0)!=0?40256:39704;od(a|0,40688,(a=i,i=i+48|0,c[a>>2]=c[b>>2],c[a+8>>2]=e,c[a+16>>2]=f,c[a+24>>2]=g,c[a+32>>2]=h,c[a+40>>2]=j,a)|0)|0;i=a;i=d;return}function yx(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;h=i;j=1715504+(d<<2)|0;k=1715392+(d<<2)|0;l=1704736+(b<<2)|0;m=1704760+(d<<2)|0;n=(g|0)!=0;g=f;f=e;a:while(1){b:do{if(n){xc(37032,(o=i,i=i+8|0,c[o>>2]=36536,o)|0)|0;i=o;p=36536}else{if((c[428904]|0)==(d|0)){if((c[k>>2]|0)>0){q=36536}else{r=5}}else{r=5}if((r|0)==5){r=0;q=c[m>>2]|0}xc(37032,(o=i,i=i+8|0,c[o>>2]=q,o)|0)|0;i=o;do{if((c[428904]|0)==(d|0)){if((c[j>>2]|0)!=(b|0)){break}if((c[k>>2]|0)>0){p=36536;break b}}}while(0);p=c[l>>2]|0}}while(0);xc(35992,(o=i,i=i+8|0,c[o>>2]=p,o)|0)|0;i=o;c[j>>2]=b;c[428904]=d;if((c[k>>2]|0)>0){e=0;while(1){xc(35608,(o=i,i=i+1|0,i=i+7&-8,c[o>>2]=0,o)|0)|0;i=o;s=e+1|0;if((s|0)<(c[k>>2]|0)){e=s}else{t=0;break}}}else{t=0}while(1){u=g+t|0;e=a[u]|0;if((e<<24>>24|0)==0){break a}else if((e<<24>>24|0)==10){break}t=t+1|0}a[u]=0;Ec(g|0)|0;n=1;g=g+(t+1)|0;f=0}Ec(g|0)|0;Ta(0)|0;if((f|0)==0){i=h;return}c[k>>2]=(c[k>>2]|0)+1;i=h;return}function zx(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0;f=i;h=c[1704736+(a<<2)>>2]|0;xc(34896,(a=i,i=i+16|0,c[a>>2]=c[1704760+(b<<2)>>2],c[a+8>>2]=h,a)|0)|0;i=a;Ax(e);if((g|0)==0){e=c[r>>2]|0;_a(((d|0)!=0?34568:32952)|0,e|0)|0;j=e;k=Ta(j|0)|0;i=f;return}Ec(7888)|0;if((c[g>>2]|0)>=1){e=1;do{xc(34368,(a=i,i=i+8|0,c[a>>2]=c[g+(e<<2)>>2],a)|0)|0;i=a;e=e+1|0;}while((e|0)<=(c[g>>2]|0))}g=c[r>>2]|0;if((d|0)!=0){j=g;k=Ta(j|0)|0;i=f;return}Ya(33688,11,1,g|0)|0;j=g;k=Ta(j|0)|0;i=f;return}function Ax(b){b=b|0;var d=0,e=0;d=c[r>>2]|0;e=b;while(1){b=a[e]|0;if((b<<24>>24|0)==60){Ya(32032,4,1,d|0)|0}else if((b<<24>>24|0)==62){Ya(31400,4,1,d|0)|0}else if((b<<24>>24|0)==38){Ya(32496,5,1,d|0)|0}else if((b<<24>>24|0)==0){break}else{Wa(b<<24>>24|0,d|0)|0}e=e+1|0}return}function Bx(a){a=a|0;var b=0;b=1715392+(a<<2)|0;c[b>>2]=(c[b>>2]|0)-1;return}function Cx(a){a=a|0;var b=0;b=(a|0)==0;c[3792]=b?36:12;c[3794]=b?194:140;return}function Dx(a){a=a|0;a=c[r>>2]|0;Ya(33688,11,1,a|0)|0;Ta(a|0)|0;return}function Ex(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;g=i;i=i+2064|0;h=g+2048|0;if((c[1706120+(a<<2)>>2]|0)==0){i=g;return}j=h;c[j>>2]=f;c[j+4>>2]=0;j=g|0;hd(j|0,2048,e|0,h|0)|0;ce[c[3792]&63](1,a,b,j,0,d);i=g;return}function Fx(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+2064|0;g=f+2048|0;if((c[1706120+(a<<2)>>2]|0)==0){i=f;return}h=g;c[h>>2]=e;c[h+4>>2]=0;h=f|0;hd(h|0,2048,d|0,g|0)|0;ce[c[3792]&63](1,a,b,h,0,0);i=f;return}function Gx(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;i=i+2064|0;h=g|0;j=g+2048|0;do{if((c[426616]|0)==0){if((c[1706120+(a<<2)>>2]|0)!=0){break}i=g;return}}while(0);k=j;c[k>>2]=f;c[k+4>>2]=0;k=h|0;hd(k|0,2048,e|0,j|0)|0;ce[c[3792]&63](2,a,b,k,0,d);i=g;return}function Hx(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+2064|0;g=f|0;h=f+2048|0;do{if((c[426616]|0)==0){if((c[1706120+(a<<2)>>2]|0)!=0){break}i=f;return}}while(0);j=h;c[j>>2]=e;c[j+4>>2]=0;j=g|0;hd(j|0,2048,d|0,h|0)|0;ce[c[3792]&63](2,a,b,j,0,0);i=f;return}function Ix(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+2064|0;g=f+2048|0;if((b|0)!=0){i=f;return}b=g;c[b>>2]=e;c[b+4>>2]=0;b=f|0;hd(b|0,2048,d|0,g|0)|0;ce[c[3792]&63](4,2,0,b,0,0);if((a|0)!=0){h=a;j=h+76|0;k=c[j>>2]|0;l=k|0;Ed(l|0,1)}h=sd(c[428826]|0)|0;j=h+76|0;k=c[j>>2]|0;l=k|0;Ed(l|0,1)}function Jx(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;i=i+2064|0;f=e+2048|0;g=f;c[g>>2]=d;c[g+4>>2]=0;g=e|0;hd(g|0,2048,b|0,f|0)|0;ce[c[3792]&63](5,2,0,g,0,0);if((a|0)!=0){h=a;j=h+76|0;k=c[j>>2]|0;l=k|0;Ed(l|0,1)}h=sd(c[428826]|0)|0;j=h+76|0;k=c[j>>2]|0;l=k|0;Ed(l|0,1)}function Kx(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+2064|0;g=f+2048|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=f|0;hd(h|0,2048,d|0,g|0)|0;ce[c[3792]&63](5,2,0,h,0,b);if((a|0)!=0){j=a;k=j+76|0;l=c[k>>2]|0;m=l|0;Ed(m|0,1)}j=sd(c[428826]|0)|0;k=j+76|0;l=c[k>>2]|0;m=l|0;Ed(m|0,1)}function Lx(a,b,d,e,f,g){a=a|0;b=+b;d=d|0;e=e|0;f=+f;g=g|0;var j=0,k=0;j=i;if(g<<24>>24==0){Kx(a,e,1675344,(k=i,i=i+16|0,h[k>>3]=f,c[k+8>>2]=d,k)|0);i=k;return 0.0}else{Gx(26,0,e,1660232,(k=i,i=i+16|0,h[k>>3]=f,c[k+8>>2]=d,k)|0);i=k;i=j;return+b}return 0.0}function Mx(a,b){a=a|0;b=b|0;return c[(c[a+8>>2]|0)+(b<<2)>>2]|0}function Nx(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=f;c[g>>2]=d;c[g+4>>2]=0;c[a+8>>2]=hy(rx(a,b,f|0)|0)|0;i=e;return}function Ox(a){a=a|0;c[a+8>>2]=hy(px(a)|0)|0;return}function Px(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;if((nx(a)|0)==0){jd(1658016,1674616,126,1683416)}if((nx(b)|0)==0){jd(1656224,1674616,127,1683416)}if((ox(a,b)|0)==0){jd(1644952,1674616,128,1683416)}d=Qx(a)|0;if((d|0)==0){return}e=b+8|0;b=0;do{f=Mx(a,b)|0;Rx(c[e>>2]|0,b,f);b=b+1|0;}while(b>>>0<d>>>0);return}function Qx(a){a=a|0;return px(a)|0}function Rx(a,b,d){a=a|0;b=b|0;d=d|0;c[a+(b<<2)>>2]=d;return}function Sx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=c[a>>2]|0;if((d|0)==2){if((c[b>>2]|0)!=2){jd(1632720,1674616,1323,1683144)}e=c[a+4>>2]|0;f=c[e>>2]|0;g=c[e+4>>2]|0;e=c[b+4>>2]|0;if((c[e>>2]|0)!=(g|0)){jd(1632120,1674616,1328,1683144)}if((c[e+4>>2]|0)!=(f|0)){jd(1632120,1674616,1328,1683144)}if((f|0)==0){return}e=(g|0)==0;h=b+8|0;i=0;do{if(!e){j=ga(i,g)|0;k=0;do{l=(ga(k,f)|0)+i|0;m=Mx(a,k+j|0)|0;Rx(c[h>>2]|0,l,m);k=k+1|0;}while(k>>>0<g>>>0)}i=i+1|0;}while(i>>>0<f>>>0);return}else if((d|0)==1){Px(a,b);return}else{jd(1632720,1674616,1323,1683144)}}function Tx(a,b){a=a|0;b=b|0;var d=0,e=0;Ux(a,b);Ox(b);Sx(a,b);d=c[b>>2]|0;if((d|0)<=0){return}e=c[a+4>>2]|0;a=c[b+4>>2]|0;b=0;do{c[a+(b<<2)>>2]=c[e+(b<<2)>>2];b=b+1|0;}while((b|0)<(d|0));return}function Ux(a,b){a=a|0;b=b|0;vx(a,b);return}function Vx(a){a=a|0;var b=0,d=0,e=0;b=i;d=B0(16)|0;Ix(0,(d|0)!=0|0,1643072,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;c[d>>2]=0;c[d+4>>2]=0;c[d+8>>2]=a;c[d+12>>2]=0;i=b;return d|0}function Wx(a){a=a|0;var b=0,d=0,e=0;if((a|0)==0){return}b=a|0;d=c[b>>2]|0;if((d|0)!=0){e=d;while(1){d=c[e+4>>2]|0;C0(c[e>>2]|0);C0(e);if((d|0)==0){break}else{e=d}}}c[a+12>>2]=0;c[b>>2]=0;c[a+4>>2]=0;return}function Xx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;Ix(0,(a|0)!=0|0,1669672,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=B0(8)|0;g=f;Ix(0,(f|0)!=0|0,1643072,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;h=a+8|0;j=B0(c[h>>2]|0)|0;c[f>>2]=j;Ix(0,(j|0)!=0|0,1643072,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;d1(j|0,b|0,c[h>>2]|0)|0;h=a|0;c[f+4>>2]=c[h>>2];f=a+12|0;c[f>>2]=(c[f>>2]|0)+1;c[h>>2]=g;h=a+4|0;if((c[h>>2]|0)!=0){i=d;return}c[h>>2]=g;i=d;return}function Yx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;Ix(0,(a|0)!=0|0,1669672,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=B0(8)|0;g=f;Ix(0,(f|0)!=0|0,1643072,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;h=a+8|0;j=B0(c[h>>2]|0)|0;c[f>>2]=j;Ix(0,(j|0)!=0|0,1643072,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;d1(j|0,b|0,c[h>>2]|0)|0;c[f+4>>2]=0;f=a+12|0;c[f>>2]=(c[f>>2]|0)+1;f=a+4|0;h=c[f>>2]|0;if((h|0)!=0){c[h+4>>2]=g}c[f>>2]=g;f=a|0;if((c[f>>2]|0)!=0){i=d;return}c[f>>2]=g;i=d;return}function Zx(a){a=a|0;var b=0,d=0;b=i;Ix(0,(a|0)!=0|0,1669672,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[a+12>>2]|0}function _x(a){a=a|0;var b=0,d=0,e=0;b=i;Ix(0,(a|0)!=0|0,1669672,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;Ix(0,(c[e>>2]|0)!=0|0,1654152,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[c[e>>2]>>2]|0}function $x(a){a=a|0;var b=0,d=0,e=0;if((a|0)==0){return}b=a|0;d=c[b>>2]|0;if((d|0)==0){return}e=c[d+4>>2]|0;C0(c[d>>2]|0);C0(c[b>>2]|0);c[b>>2]=e;b=a+12|0;c[b>>2]=(c[b>>2]|0)-1;if((e|0)!=0){return}c[a+4>>2]=0;return}function ay(a){a=a|0;var b=0,d=0,e=0;b=i;Ix(0,(a|0)!=0|0,1669672,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;Ix(0,(c[e>>2]|0)!=0|0,1643416,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[e>>2]|0}function by(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=(a|0)!=0;Ix(0,d&1,1633432,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;if(!d){f=0;i=b;return f|0}f=c[a+4>>2]|0;i=b;return f|0}function cy(a){a=a|0;var b=0,d=0,e=0;b=i;Ix(0,(a|0)!=0|0,1633432,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;Ix(0,(c[e>>2]|0)!=0|0,41736,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[e>>2]|0}function dy(){var a=0;a=B0(16)|0;c[428828]=a;c[a+4>>2]=0;c[a+8>>2]=2097152;c[a>>2]=B0(2097152)|0;c[a+12>>2]=0;return}function ey(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=ky(a)|0;d;ly(b);d=c[428828]|0;a=d+4|0;e=c[a>>2]|0;f=(c[d>>2]|0)+e|0;c[a>>2]=e+b;g;e1(f|0,0,b|0)|0;return f|0}function fy(){var a=0,b=0,d=0;a=c[428828]|0;b=c[a+12>>2]|0;if((b|0)==0){d=a}else{a=b;while(1){b=c[a+12>>2]|0;C0(c[a>>2]|0);C0(a);if((b|0)==0){break}else{a=b}}d=c[428828]|0}c[d+4>>2]=0;c[d+12>>2]=0;return 0}function gy(a){a=a|0;return Zd[c[2178]&255](a<<3)|0}function hy(a){a=a|0;return Zd[c[2178]&255](a<<2)|0}function iy(a){a=a|0;return Zd[c[2178]&255](a<<2)|0}function jy(a){a=a|0;return Zd[c[2178]&255](a<<2)|0}function ky(a){a=a|0;return a+7&-8|0}function ly(a){a=a|0;var b=0,d=0,e=0;b=c[428828]|0;d=b+8|0;if(!(((c[d>>2]|0)-(c[b+4>>2]|0)|0)>>>0<a>>>0)){return}e=B0(16)|0;c[e+12>>2]=b;c[428828]=e;c[e+4>>2]=0;b=my((((c[d>>2]|0)*3|0)>>>1)+a|0)|0;c[e+8>>2]=b;c[e>>2]=B0(b)|0;return}function my(a){a=a|0;var b=0;b=a-1|0;a=b>>>1|b;b=a>>>2|a;a=b>>>4|b;b=a>>>8|a;return(b>>>16|b)+1|0}function ny(a){a=a|0;return b1(a|0)|0}function oy(b,c){b=+b;c=c|0;var d=0,e=0,f=0;d=i;i=i+440|0;e=d|0;f=e|0;a[f]=37;k1(e+1|0,c|0)|0;c=d+40|0;Pb(c|0,f|0,(f=i,i=i+8|0,h[f>>3]=b,f)|0)|0;i=f;f=py(c)|0;i=d;return f|0}function py(a){a=a|0;var b=0,c=0;b=b1(a|0)|0;c=ty(b)|0;d1(c|0,a|0,b)|0;return c|0}function qy(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+440|0;f=e|0;g=f|0;a[g]=37;k1(f+1|0,d|0)|0;d=e+40|0;Pb(d|0,g|0,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g;g=py(d)|0;i=e;return g|0}function ry(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;i=i+440|0;g=f|0;h=g|0;a[h]=37;j=g+1|0;if(e<<24>>24==0){Pb(j|0,1669168,(k=i,i=i+8|0,c[k>>2]=d,k)|0)|0;i=k}else{Pb(j|0,1641440,(k=i,i=i+8|0,c[k>>2]=d,k)|0)|0;i=k}d=f+40|0;Pb(d|0,h|0,(k=i,i=i+8|0,c[k>>2]=b,k)|0)|0;i=k;k=py(d)|0;i=f;return k|0}function sy(b,d,e,f){b=+b;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0;g=i;i=i+440|0;j=g|0;k=j|0;a[k]=37;l=j+1|0;if(e<<24>>24==0){Pb(l|0,1643216,(m=i,i=i+16|0,c[m>>2]=d,c[m+8>>2]=f,m)|0)|0;i=m}else{Pb(l|0,1653944,(m=i,i=i+16|0,c[m>>2]=d,c[m+8>>2]=f,m)|0)|0;i=m}f=g+40|0;Pb(f|0,k|0,(m=i,i=i+8|0,h[m>>3]=b,m)|0)|0;i=m;m=py(f)|0;i=g;return m|0}function ty(b){b=b|0;var d=0;d=Zd[c[2179]&255](b+1|0)|0;if((d|0)==0){return d|0}a[d+b|0]=0;return d|0}function uy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=ny(a)|0;d=ny(b)|0;e=ty(d+c|0)|0;d1(e|0,a|0,c)|0;d1(e+c|0,b|0,d)|0;return e|0}function vy(a,b){a=a|0;b=b|0;return $0(c[a>>2]|0,c[b>>2]|0)|0}function wy(a){a=a|0;var b=0,c=0,d=0,e=0;b=(a|0)%100|0;c=(b|0)/10|0;d=(a|0)%10|0;a:do{if((a+999|0)>>>0>1998>>>0){e=-1}else{if((((a|0)%1e3|0)+99|0)>>>0>198>>>0){e=-1;break}if((d|0)==1){if((b-50|0)>>>0>9>>>0){e=-1;break}}else if((d|0)==2){e=-1;break}switch(c|0){case 1:{e=4;break a;break};case 2:{e=4;break a;break};case 0:{e=8;break a;break};case 4:{e=2;break a;break};case 3:{e=2;break a;break};case 5:{e=1;break a;break};default:{e=-1;break a}}}}while(0);return e|0}function xy(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=a|0;d=c[b>>2]|0;if((d|0)!=0){Pa(d|0)|0;c[b>>2]=0}d=a+4|0;e=c[d>>2]|0;if((e|0)!=0){C0(e);c[d>>2]=0}d=a+8|0;if((c[d>>2]|0)!=0){e=a+12|0;f=0;do{C0(c[(c[e>>2]|0)+(f<<4)>>2]|0);C0(c[(c[e>>2]|0)+(f<<4)+4>>2]|0);f=f+1|0;}while(f>>>0<(c[d>>2]|0)>>>0)}c[d>>2]=0;if((c[b>>2]|0)!=0){b=a+12|0;C0(c[b>>2]|0);c[b>>2]=0}b=a+20|0;d=c[b>>2]|0;if((d|0)!=0){C0(d);c[b>>2]=0}b=a+24|0;d=c[b>>2]|0;f=a+40|0;if((d&2147483647|0)!=0){a=0;e=d;while(1){d=c[(c[f>>2]|0)+(a<<2)>>2]|0;if((d|0)==0){g=e}else{C0(d);g=c[b>>2]|0}d=a+1|0;if(d>>>0<g<<1>>>0){a=d;e=g}else{break}}}c[b>>2]=0;b=c[f>>2]|0;if((b|0)==0){return}C0(b);c[f>>2]=0;return}function yy(b){b=b|0;var c=0,d=0,e=0,f=0;c=0;d=0;while(1){e=a[b+c|0]|0;if(e<<24>>24==32){f=d}else{a[b+d|0]=e;f=d+1|0}e=c+1|0;if(e>>>0>(b1(b|0)|0)>>>0){break}else{c=e;d=f}}return}function zy(b,d){b=b|0;d=d|0;var e=0,f=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;e=i;i=i+88|0;f=e|0;j=e+24|0;k=e+72|0;e1(d|0,0,48)|0;l=zc(b|0,28080)|0;m=d|0;c[m>>2]=l;if((l|0)==0){n=_c(c[(Zc()|0)>>2]|0)|0;i=e;return n|0}c[d+4>>2]=Lc(b|0)|0;c[d+36>>2]=0;b=f;l=d+44|0;o=f|0;p=f+12|0;q=f+16|0;r=f+4|0;s=f+8|0;f=j|0;t=k|0;u=d+8|0;v=d+12|0;w=d+16|0;x=d+20|0;y=d+28|0;z=d+24|0;A=d+32|0;B=d+40|0;d=1;C=0;a:while(1){D=kd(b|0,20,1,c[m>>2]|0)|0;a[l]=1;if((D|0)!=1){n=23784;E=131;break}D=c[o>>2]|0;if((D|0)!=(c[8616+(C<<2)>>2]|0)){if(!((C|0)>3&(D|0)==10)){n=1680792;E=131;break}a[l]=0}F=c[p>>2]|0;if(F>>>0>1>>>0){n=1676576;E=131;break}G=wy(D)|0;if((G|0)==-1){n=1672856;E=131;break}D=c[q>>2]|0;H=B0(D)|0;if((kd(H|0,D|0,1,c[m>>2]|0)|0)!=1){n=1669384;E=131;break}if((a[H+(D-1)|0]|0)!=0){n=1666648;E=131;break}D=c[r>>2]|0;I=c[s>>2]|0;J=ga(ga(ga(D,G)|0,I)|0,F+1|0)|0;if(($0(H,c[8640+(C<<2)>>2]|0)|0)!=0){n=1664056;E=131;break}C0(H);b:do{switch(C|0){case 4:{if((d<<24>>24|0)==1){if((D|0)==0){n=1655096;E=131;break a}if(!((I-1|0)>>>0<2>>>0)){n=1653952;E=131;break a}c[w>>2]=D;H=ga(I,D)|0;if((a[l]|0)==1){F=B0(H<<3)|0;c[x>>2]=F;if((kd(F|0,J|0,1,c[m>>2]|0)|0)!=1){n=1652984;E=131;break a}}else{F=B0(H<<2)|0;G=F;c[x>>2]=B0(ga(D<<3,I)|0)|0;if((kd(F|0,J|0,1,c[m>>2]|0)|0)!=1){n=1652984;E=131;break a}if((H|0)!=0){K=c[x>>2]|0;L=0;do{h[K+(L<<3)>>3]=+g[G+(L<<2)>>2];L=L+1|0;}while(L>>>0<H>>>0)}C0(F)}H=c[w>>2]|0;if(!(H>>>0>1>>>0)){M=1;E=130;break b}L=(I|0)==2;G=1;while(1){if(L){K=c[x>>2]|0;if(+h[K+(G<<3)>>3]!=+h[K+(H+G<<3)>>3]){n=1651896;E=131;break a}}K=G+1|0;if(K>>>0<H>>>0){G=K}else{M=1;E=130;break b}}}else if((d<<24>>24|0)!=0){N=d;E=129;break b}if((I|0)==0){n=1655096;E=131;break a}if(!((D-1|0)>>>0<2>>>0)){n=1650688;E=131;break a}c[w>>2]=I;G=ga(I,D)|0;if((a[l]|0)==1){H=B0(G<<3)|0;L=H;c[x>>2]=B0(ga(D<<3,I)|0)|0;if((kd(H|0,J|0,1,c[m>>2]|0)|0)!=1){n=1652984;E=131;break a}if((D|0)!=0){F=0;do{K=c[x>>2]|0;O=0;do{h[K+((ga(I,F)|0)+O<<3)>>3]=+h[L+((ga(D,O)|0)+F<<3)>>3];O=O+1|0;}while(O>>>0<I>>>0);F=F+1|0;}while(F>>>0<D>>>0)}C0(H)}else{F=B0(G<<2)|0;L=F;c[x>>2]=B0(ga(D<<3,I)|0)|0;if((kd(F|0,J|0,1,c[m>>2]|0)|0)!=1){n=1652984;E=131;break a}if((D|0)!=0){O=0;do{K=c[x>>2]|0;P=0;do{h[K+((ga(I,O)|0)+P<<3)>>3]=+g[L+((ga(D,P)|0)+O<<2)>>2];P=P+1|0;}while(P>>>0<I>>>0);O=O+1|0;}while(O>>>0<D>>>0)}C0(F)}O=c[w>>2]|0;if(!(O>>>0>1>>>0)){M=d;E=130;break b}L=(D|0)==2;G=1;while(1){if(L){H=c[x>>2]|0;if(+h[H+(G<<3)>>3]!=+h[H+(O+G<<3)>>3]){n=1651896;E=131;break a}}H=G+1|0;if(H>>>0<O>>>0){G=H}else{M=d;E=130;break}}break};case 1:{G=d<<24>>24==0;O=G?D:I;c[u>>2]=O;L=B0(O<<4)|0;c[v>>2]=L;c:do{if(d<<24>>24==1){if((I|0)==0){Q=0;break}O=D+1|0;F=0;H=L;while(1){c[H+(F<<4)>>2]=B0(O)|0;if((kd(c[(c[v>>2]|0)+(F<<4)>>2]|0,D|0,1,c[m>>2]|0)|0)!=1){n=1658040;E=131;break a}a[(c[(c[v>>2]|0)+(F<<4)>>2]|0)+D|0]=0;P=c[v>>2]|0;c[P+(F<<4)+8>>2]=-1;c[P+(F<<4)+12>>2]=-1;yy(c[P+(F<<4)>>2]|0);P=F+1|0;if(!(P>>>0<I>>>0)){Q=I;break c}F=P;H=c[v>>2]|0}}else{Q=I}}while(0);if(!G){M=d;E=130;break b}L=ga(D,Q)|0;R=B0(L+1|0)|0;if((kd(R|0,L|0,1,c[m>>2]|0)|0)!=1){E=33;break a}if((D|0)!=0){L=Q+1|0;H=(Q|0)==0;F=0;do{O=B0(L)|0;c[(c[v>>2]|0)+(F<<4)>>2]=O;if(!H){O=0;do{P=a[R+((ga(D,O)|0)+F)|0]|0;a[(c[(c[v>>2]|0)+(F<<4)>>2]|0)+O|0]=P;O=O+1|0;}while(O>>>0<Q>>>0)}a[(c[(c[v>>2]|0)+(F<<4)>>2]|0)+Q|0]=0;O=c[v>>2]|0;c[O+(F<<4)+8>>2]=-1;c[O+(F<<4)+12>>2]=-1;yy(c[O+(F<<4)>>2]|0);F=F+1|0;}while(F>>>0<D>>>0)}C0(R);M=0;E=130;break};case 5:{if((d<<24>>24|0)==1){c[y>>2]=I;if(I>>>0<2>>>0){n=1649560;E=131;break a}c[z>>2]=D;c[A>>2]=Nb(c[m>>2]|0)|0;c[B>>2]=D0(c[z>>2]<<1,4)|0;if((wd(c[m>>2]|0,J|0,1)|0)==-1){n=1648568;E=131;break a}else{M=1;E=130;break b}}else if((d<<24>>24|0)!=0){n=0;E=131;break a}c[y>>2]=D;if(D>>>0<2>>>0){n=1649560;E=131;break a}c[z>>2]=I;c[A>>2]=Nb(c[m>>2]|0)|0;c[B>>2]=D0(c[z>>2]<<1,4)|0;F=ga(I,D)|0;if((a[l]|0)==1){H=B0(F<<3)|0;if((kd(H|0,J|0,1,c[m>>2]|0)|0)!=1){n=1648568;E=131;break a}if((I|0)!=0){L=D<<3;G=(D|0)==0;O=D<<3;P=0;do{K=B0(L)|0;c[(c[B>>2]|0)+(P<<2)>>2]=K;if(!G){K=H+(ga(O,P)|0)|0;d1(c[(c[B>>2]|0)+(P<<2)>>2]|0,K|0,O)|0}P=P+1|0;}while(P>>>0<I>>>0)}P=c[z>>2]|0;O=P<<1;if(P>>>0<O>>>0){G=D<<3;L=(D|0)==0;K=P;do{S=B0(G)|0;c[(c[B>>2]|0)+(K<<2)>>2]=S;if(!L){S=c[B>>2]|0;T=c[S+(K-P<<2)>>2]|0;U=c[S+(K<<2)>>2]|0;S=0;do{h[U+(S<<3)>>3]=-0.0- +h[T+(S<<3)>>3];S=S+1|0;}while(S>>>0<D>>>0)}K=K+1|0;}while(K>>>0<O>>>0)}C0(H)}else{O=B0(F<<2)|0;K=O;if((kd(O|0,J|0,1,c[m>>2]|0)|0)!=1){n=1648568;E=131;break a}if((I|0)!=0){P=D<<3;L=(D|0)==0;G=0;do{S=B0(P)|0;c[(c[B>>2]|0)+(G<<2)>>2]=S;if(!L){S=c[(c[B>>2]|0)+(G<<2)>>2]|0;T=0;do{h[S+(T<<3)>>3]=+g[K+((ga(D,G)|0)+T<<2)>>2];T=T+1|0;}while(T>>>0<D>>>0)}G=G+1|0;}while(G>>>0<I>>>0)}G=c[z>>2]|0;K=G<<1;if(G>>>0<K>>>0){L=D<<3;P=(D|0)==0;F=G;do{H=B0(L)|0;c[(c[B>>2]|0)+(F<<2)>>2]=H;if(!P){H=c[B>>2]|0;T=c[H+(F-G<<2)>>2]|0;S=c[H+(F<<2)>>2]|0;H=0;do{h[S+(H<<3)>>3]=-0.0- +h[T+(H<<3)>>3];H=H+1|0;}while(H>>>0<D>>>0)}F=F+1|0;}while(F>>>0<K>>>0)}C0(O)}if((wd(c[m>>2]|0,J|0,1)|0)==-1){n=1648568;E=131;break a}else{M=d;E=130}break};case 3:{K=ga(I<<2,D)|0;V=B0(K)|0;F=V;if((kd(V|0,K|0,1,c[m>>2]|0)|0)!=1){E=52;break a}do{if((d<<24>>24|0)==0){if((D|0)==0){break}K=c[v>>2]|0;G=0;do{c[K+(G<<4)+8>>2]=(c[F+(G<<2)>>2]|0)==1;c[K+(G<<4)+12>>2]=c[F+(D+G<<2)>>2];G=G+1|0;}while(G>>>0<D>>>0)}else if((d<<24>>24|0)==1){if((I|0)==0){break}G=c[v>>2]|0;K=0;do{P=ga(D,K)|0;c[G+(K<<4)+8>>2]=(c[F+(P<<2)>>2]|0)==1;c[G+(K<<4)+12>>2]=c[F+(P+1<<2)>>2];K=K+1|0;}while(K>>>0<I>>>0)}}while(0);C0(V);Ic(c[v>>2]|0,c[u>>2]|0,16,62);M=d;E=130;break};case 2:{if((d<<24>>24|0)==1){if((I|0)==0){N=1;E=129;break b}F=D+1|0;O=0;while(1){K=B0(F)|0;c[(c[v>>2]|0)+(O<<4)+4>>2]=K;if((kd(c[(c[v>>2]|0)+(O<<4)+4>>2]|0,D|0,1,c[m>>2]|0)|0)!=1){n=1658040;E=131;break a}a[(c[(c[v>>2]|0)+(O<<4)+4>>2]|0)+D|0]=0;K=O+1|0;if(K>>>0<I>>>0){O=K}else{M=1;E=130;break b}}}else if((d<<24>>24|0)!=0){N=d;E=129;break b}O=ga(D,I)|0;W=B0(O+1|0)|0;if((kd(W|0,O|0,1,c[m>>2]|0)|0)!=1){E=46;break a}if((D|0)!=0){O=I+1|0;F=(I|0)==0;K=0;do{G=B0(O)|0;c[(c[v>>2]|0)+(K<<4)+4>>2]=G;if(!F){G=0;do{P=a[W+((ga(D,G)|0)+K)|0]|0;a[(c[(c[v>>2]|0)+(K<<4)+4>>2]|0)+G|0]=P;G=G+1|0;}while(G>>>0<I>>>0)}a[(c[(c[v>>2]|0)+(K<<4)+4>>2]|0)+I|0]=0;K=K+1|0;}while(K>>>0<D>>>0)}C0(W);M=0;E=130;break};case 0:{if((D|0)!=4){n=1661680;E=131;break a}if((I|0)!=11){n=1660528;E=131;break a}if((kd(f|0,44,1,c[m>>2]|0)|0)==1){X=0}else{n=1659552;E=131;break a}while(1){K=0;do{a[k+K|0]=a[j+((K<<2)+X)|0]|0;K=K+1|0;}while(K>>>0<11>>>0);a[k+11|0]=0;if((X|0)==3){break}K=X+1|0;if(K>>>0<4>>>0){X=K}else{M=d;E=130;break b}}if((a1(t,c[5094]|0,8)|0)==0){M=1;E=130;break b}if((a1(t,c[5096]|0,9)|0)==0){M=0;E=130}else{n=1658760;E=131;break a}break};default:{n=1647640;E=131;break a}}}while(0);if((E|0)==129){E=0;d=N;C=C+1|0;continue}else if((E|0)==130){E=0;I=C+1|0;if((I|0)<6){d=M;C=I;continue}else{n=0;E=131;break}}}if((E|0)==33){C0(R);n=1658040;i=e;return n|0}else if((E|0)==46){C0(W);n=1658040;i=e;return n|0}else if((E|0)==52){C0(V);n=1656584;i=e;return n|0}else if((E|0)==131){i=e;return n|0}return 0}function Ay(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d|0;c[e>>2]=b;b=qc(e|0,c[a+12>>2]|0,c[a+8>>2]|0,16,62)|0;i=d;return b|0}function By(b,d){b=b|0;d=d|0;var e=0,f=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=(d|0)>-1?d:-d|0;f=(d|0)<0;if(f){i=(c[b+24>>2]|0)+e|0}else{i=e}d=i-1|0;if((e|0)==0){jd(1646696,1645440,399,1683248);return 0}i=b+24|0;j=c[i>>2]|0;if(e>>>0>j>>>0){jd(1646696,1645440,399,1683248);return 0}k=b+40|0;l=c[(c[k>>2]|0)+(d<<2)>>2]|0;if((l|0)!=0){m=l;return m|0}l=b+28|0;n=c[l>>2]|0;o=B0(n<<3)|0;p=o;a:do{if((a[b+44|0]|0)==1){if((n|0)==0){break}q=b|0;r=b+32|0;s=0;t=j;while(1){wd(c[q>>2]|0,(c[r>>2]|0)-8+((ga(t,s)|0)+e<<3)|0,0)|0;u=p+(s<<3)|0;if((kd(u|0,8,1,c[q>>2]|0)|0)!=1){break}if(f){h[u>>3]=-0.0- +h[u>>3]}u=s+1|0;if(!(u>>>0<(c[l>>2]|0)>>>0)){break a}s=u;t=c[i>>2]|0}C0(o);m=0;return m|0}else{t=B0(n<<2)|0;s=t;q=b|0;r=b+32|0;u=0;v=n;while(1){if(!(u>>>0<v>>>0)){break}wd(c[q>>2]|0,(c[r>>2]|0)-4+((ga(c[i>>2]|0,u)|0)+e<<2)|0,0)|0;if((kd(s+(u<<2)|0,4,1,c[q>>2]|0)|0)!=1){w=20;break}u=u+1|0;v=c[l>>2]|0}if((w|0)==20){C0(t);C0(o);m=0;return m|0}u=(v|0)==0;do{if(f){if(u){break}else{x=0}do{h[p+(x<<3)>>3]=-0.0- +g[s+(x<<2)>>2];x=x+1|0;}while(x>>>0<v>>>0)}else{if(u){break}else{y=0}do{h[p+(y<<3)>>3]=+g[s+(y<<2)>>2];y=y+1|0;}while(y>>>0<v>>>0)}}while(0);C0(t)}}while(0);c[(c[k>>2]|0)+(d<<2)>>2]=p;m=c[(c[k>>2]|0)+(d<<2)>>2]|0;return m|0}function Cy(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0.0,t=0.0;j=i;i=i+8|0;k=j|0;l=(e|0)>-1?e:-e|0;m=(e|0)<0;if(m){n=(c[d+24>>2]|0)+l|0}else{n=l}if((l|0)==0){jd(1646696,1645440,519,1683272);return 0.0}e=c[d+24>>2]|0;if(l>>>0>e>>>0){jd(1646696,1645440,519,1683272);return 0.0}o=c[(c[d+40>>2]|0)+(n-1<<2)>>2]|0;if((o|0)!=0){h[b>>3]=+h[o+(f<<3)>>3];p=0.0;i=j;return+p}o=d|0;n=c[o>>2]|0;q=c[d+32>>2]|0;r=l-1+(ga(e,f)|0)|0;do{if((a[d+44|0]|0)==1){wd(n|0,q+(r<<3)|0,0)|0;f=(kd(b|0,8,1,c[o>>2]|0)|0)!=1;if(f|m^1){p=f?1.0:0.0;i=j;return+p}else{s=+h[b>>3];break}}else{wd(n|0,q+(r<<2)|0,0)|0;if((kd(k|0,4,1,c[o>>2]|0)|0)!=1){p=1.0;i=j;return+p}t=+g[k>>2];h[b>>3]=t;if(m){s=t;break}else{p=0.0}i=j;return+p}}while(0);h[b>>3]=-0.0-s;p=0.0;i=j;return+p}function Dy(a,b,d,e,f,g,i){a=+a;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0;j=d-1|0;d=0;while(1){k=((j-d|0)/2|0)+d|0;l=+h[b+(k<<3)>>3];if(l==a){m=k;n=l;o=3;break}p=l<a;q=p?k+1|0:d;r=p?j:k-1|0;if((r|0)>(q|0)){j=r;d=q}else{break}}if((o|0)==3){while(1){o=0;if((m|0)>=(j|0)){break}d=m+1|0;l=+h[b+(d<<3)>>3];if(n==l){m=d;n=l;o=3}else{break}}c[e>>2]=m;h[f>>3]=1.0;c[g>>2]=-1;s=0.0;h[i>>3]=s;return}do{if((r|0)==(q|0)){if(+h[b+(q<<3)>>3]<a){t=q+1|0;u=q;break}else{t=q;u=q-1|0;break}}else{t=r;u=q}}while(0);c[e>>2]=t;c[g>>2]=u;n=+h[b+(u<<3)>>3];l=(a-n)/(+h[b+(t<<3)>>3]-n);h[f>>3]=l;s=1.0-l;h[i>>3]=s;return}function Ey(a){a=a|0;return+(+h[c[a+20>>2]>>3])}function Fy(a){a=a|0;return+(+h[(c[a+20>>2]|0)+(c[a+16>>2]<<3)>>3])}function Gy(a,b,d,e){a=a|0;b=b|0;d=d|0;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0;f=i;i=i+48|0;g=f|0;j=f+8|0;k=f+16|0;l=f+24|0;m=f+32|0;n=f+40|0;if((c[d+8>>2]|0)!=0){o=c[d+12>>2]|0;if((o|0)<0){p=-0.0- +h[(c[b+20>>2]|0)+(~o<<3)>>3]}else{p=+h[(c[b+20>>2]|0)+(o-1<<3)>>3]}h[a>>3]=p;q=0;i=f;return q|0}if(+Fy(b)<e){q=1;i=f;return q|0}if(+Ey(b)>e){q=1;i=f;return q|0}if((By(b,1)|0)==0){q=1;i=f;return q|0}Dy(e,c[c[b+40>>2]>>2]|0,c[b+28>>2]|0,m,g,n,j);o=c[n>>2]|0;if((o|0)==-1){q=~~+Cy(a,b,c[d+12>>2]|0,c[m>>2]|0);i=f;return q|0}n=c[m>>2]|0;m=d+12|0;d=c[m>>2]|0;if((n|0)==-1){q=~~+Cy(a,b,d,o);i=f;return q|0}if(+Cy(k,b,d,n)!=0.0){q=1;i=f;return q|0}if(+Cy(l,b,c[m>>2]|0,o)!=0.0){q=1;i=f;return q|0}h[a>>3]=+h[g>>3]*+h[k>>3]+ +h[j>>3]*+h[l>>3];q=0;i=f;return q|0}function Hy(a,b){a=a|0;b=b|0;return+(+h[(c[a+8>>2]|0)+(b<<3)>>3])}function Iy(a,b){a=a|0;b=b|0;qx(a,b,gy(b)|0);return}function Jy(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=f;c[g>>2]=d;c[g+4>>2]=0;c[a+8>>2]=gy(rx(a,b,f|0)|0)|0;i=e;return}function Ky(a){a=a|0;c[a+8>>2]=gy(px(a)|0)|0;return}function Ly(a,b){a=a|0;b=b|0;var d=0,e=0,f=0.0;if((nx(a)|0)==0){jd(1631904,1666472,127,1683392)}if((nx(b)|0)==0){jd(1652960,1666472,128,1683392)}if((ox(a,b)|0)==0){jd(1642104,1666472,129,1683392)}d=px(a)|0;if((d|0)==0){return}e=b+8|0;b=0;do{f=+Hy(a,b);My(c[e>>2]|0,b,f);b=b+1|0;}while(b>>>0<d>>>0);return}function My(a,b,c){a=a|0;b=b|0;c=+c;h[a+(b<<3)>>3]=c;return}function Ny(a,b){a=a|0;b=b|0;sx(a,b);Ky(b);Ly(a,b);return}function Oy(a,b){a=a|0;b=b|0;return a+(b<<3)|0}function Py(a,b,d){a=+a;b=b|0;d=d|0;My(c[d+8>>2]|0,b,a);return}function Qy(a,b,d,e){a=a|0;b=b|0;d=+d;e=e|0;var f=0,g=0,j=0,k=0,l=0;f=i;i=i+16|0;g=f|0;Iy(a,b);j=g|0;k=g;c[k>>2]=e;c[k+4>>2]=0;Py(d,0,a);if((b|0)>1){l=1}else{i=f;return}do{Py((B=c[j+4>>2]|0,c[j+4>>2]=B+8,+h[(c[j>>2]|0)+B>>3]),l,a);l=l+1|0;}while((l|0)<(b|0));i=f;return}function Ry(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=f;c[g>>2]=d;c[g+4>>2]=0;g=tx(a,b,f|0)|0;f=Oy(c[a+8>>2]|0,g)|0;i=e;return f|0}function Sy(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,C=0,D=0;g=i;i=i+16|0;h=g|0;j=B0(d<<2)|0;k=j;if((j|0)==0){jd(1655088,1666472,784,1683496)}l=h|0;m=h;c[m>>2]=f;c[m+4>>2]=0;c[k>>2]=e;m=(d|0)>1;if(m){f=1;do{c[k+(f<<2)>>2]=(B=c[l+4>>2]|0,c[l+4>>2]=B+8,c[(c[l>>2]|0)+B>>2]|0);f=f+1|0;}while((f|0)<(d|0));n=c[k>>2]|0}else{n=e}e=n|0;f=c[e>>2]|0;if((f|0)<(a|0)){jd(1650664,1666472,795,1683496)}l=a-1|0;h=n+4|0;n=c[h>>2]|0;o=c[n+(l<<2)>>2]|0;a:do{if(m){p=o;q=1;b:while(1){r=c[k+(q<<2)>>2]|0;if((f|0)==(c[r>>2]|0)){s=0}else{t=11;break}while(1){if((s|0)>=(l|0)){break}if((c[n+(s<<2)>>2]|0)==(c[(c[r+4>>2]|0)+(s<<2)>>2]|0)){s=s+1|0}else{t=14;break b}}u=c[r+4>>2]|0;v=(c[u+(l<<2)>>2]|0)+p|0;w=a;while(1){if((w|0)>=(f|0)){break}if((c[n+(w<<2)>>2]|0)==(c[u+(w<<2)>>2]|0)){w=w+1|0}else{t=18;break b}}w=q+1|0;if((w|0)<(d|0)){p=v;q=w}else{x=v;break a}}if((t|0)==11){jd(1646656,1666472,798,1683496)}else if((t|0)==14){jd(1645392,1666472,800,1683496)}else if((t|0)==18){jd(1645392,1666472,804,1683496)}}else{x=o}}while(0);if((l|0)>0){o=1;t=0;while(1){s=ga(c[n+(t<<2)>>2]|0,o)|0;m=t+1|0;if((m|0)<(l|0)){o=s;t=m}else{y=s;break}}}else{y=1}if((f|0)>(a|0)){t=1;o=a;while(1){a=ga(c[n+(o<<2)>>2]|0,t)|0;s=o+1|0;if((s|0)<(f|0)){t=a;o=s}else{z=a;break}}}else{z=1}o=b+8|0;c[o>>2]=gy(ga(ga(y,x)|0,z)|0)|0;t=c[e>>2]|0;e=b|0;c[e>>2]=t;f=jy(t)|0;c[b+4>>2]=f;b=c[e>>2]|0;if((b|0)>0){e=c[h>>2]|0;h=0;do{c[f+(h<<2)>>2]=c[e+(h<<2)>>2];h=h+1|0;}while((h|0)<(b|0))}c[f+(l<<2)>>2]=x;if((y|0)<=0){C0(j);i=g;return}x=(d|0)>0;f=0;b=0;while(1){if(x){h=0;e=f;while(1){t=c[k+(h<<2)>>2]|0;n=ga(c[(c[t+4>>2]|0)+(l<<2)>>2]|0,z)|0;if((n|0)>0){a=ga(n,b)|0;s=0;m=e;while(1){A=+Hy(t,s+a|0);My(c[o>>2]|0,m,A);q=s+1|0;if((q|0)<(n|0)){s=q;m=m+1|0}else{break}}C=e+n|0}else{C=e}m=h+1|0;if((m|0)<(d|0)){h=m;e=C}else{D=C;break}}}else{D=f}e=b+1|0;if((e|0)<(y|0)){f=D;b=e}else{break}}C0(j);i=g;return}function Ty(a,b,d){a=+a;b=b|0;d=d|0;var e=0,f=0;e=d+4|0;c[e>>2]=jy(b)|0;f=gy(1)|0;c[d+8>>2]=f;c[d>>2]=b;My(f,0,a);if((b|0)<=0){return}f=c[e>>2]|0;e=0;do{c[f+(e<<2)>>2]=1;e=e+1|0;}while((e|0)<(b|0));return}function Uy(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0.0;d=c[a>>2]|0;if((d|0)==1){Ly(a,b);return}else if((d|0)==2){if((c[b>>2]|0)!=2){jd(1638704,1666472,1383,1683120)}d=c[a+4>>2]|0;e=c[d>>2]|0;f=c[d+4>>2]|0;d=c[b+4>>2]|0;if((c[d>>2]|0)!=(f|0)){jd(1637832,1666472,1388,1683120)}if((c[d+4>>2]|0)!=(e|0)){jd(1637832,1666472,1388,1683120)}if((e|0)==0){return}d=(f|0)==0;g=b+8|0;b=0;do{if(!d){h=ga(b,f)|0;i=0;do{j=(ga(i,e)|0)+b|0;k=+Hy(a,i+h|0);My(c[g>>2]|0,j,k);i=i+1|0;}while(i>>>0<f>>>0)}b=b+1|0;}while(b>>>0<e>>>0);return}else{jd(1638704,1666472,1383,1683120)}}function Vy(a){a=a|0;var b=0,c=0.0,d=0.0,e=0.0,f=0,g=0.0,h=0;if((nx(a)|0)==0){jd(1641256,1666472,1502,1683344);return 0.0}b=px(a)|0;if((b|0)==0){c=0.0;return+c}d=+Hy(a,0);if(b>>>0>1>>>0){e=d;f=1}else{c=d;return+c}while(1){d=+Hy(a,f);g=e<d?d:e;h=f+1|0;if(h>>>0<b>>>0){e=g;f=h}else{c=g;break}}return+c}function Wy(a){a=a|0;var b=0,c=0.0,d=0.0,e=0.0,f=0,g=0.0,h=0;if((nx(a)|0)==0){jd(1641256,1666472,1524,1683328);return 0.0}b=px(a)|0;if((b|0)==0){c=0.0;return+c}d=+Hy(a,0);if(b>>>0>1>>>0){e=d;f=1}else{c=d;return+c}while(1){d=+Hy(a,f);g=e>d?d:e;h=f+1|0;if(h>>>0<b>>>0){e=g;f=h}else{c=g;break}}return+c}function Xy(a){a=a|0;var b=0,c=0.0,d=0,e=0.0,f=0.0,g=0;if((nx(a)|0)==0){jd(1641256,1666472,1547,1683168);return 0.0}b=px(a)|0;if((b|0)==0){c=0.0;return+c}else{d=0;e=0.0}while(1){f=e+ +Hy(a,d);g=d+1|0;if(g>>>0<b>>>0){d=g;e=f}else{c=f;break}}return+c}function Yy(a,b){a=a|0;b=b|0;var d=0,e=0;vx(a,b);Ky(b);Uy(a,b);d=c[b>>2]|0;if((d|0)<=0){return}e=c[a+4>>2]|0;a=c[b+4>>2]|0;b=0;do{c[a+(b<<2)>>2]=c[e+(b<<2)>>2];b=b+1|0;}while((b|0)<(d|0));return}function Zy(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;vx(a,b);Ky(b);d=c[b>>2]|0;if((d|0)<=0){Uy(a,b);return}e=c[b+4>>2]|0;f=c[a+4>>2]|0;g=0;do{h=e+(g<<2)|0;i=c[h>>2]|0;j=f+(g<<2)|0;c[h>>2]=c[j>>2];c[j>>2]=i;g=g+1|0;}while((g|0)<(d|0));Uy(a,b);return}function _y(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=B0(20)|0;Ix(0,(e|0)!=0|0,43672,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e+8>>2]=0;c[e+12>>2]=0;g=(a|0)<1?1:a;c[e+16>>2]=g;c[e+4>>2]=b;a=D0(g,b)|0;c[e>>2]=a;Ix(0,(a|0)!=0|0,43672,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return e|0}function $y(a){a=a|0;C0(c[a>>2]|0);C0(a);return}function az(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a+12|0;Ix(0,(c[e>>2]|0)>0|0,1665240,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=c[e>>2]|0;Ix(0,(g|0)>(b|0)|0,1652408,(f=i,i=i+24|0,c[f>>2]=b,c[f+8>>2]=1-g,c[f+16>>2]=g-1,f)|0);i=f;g=c[e>>2]|0;Ix(0,(-g|0)<(b|0)|0,1652408,(f=i,i=i+24|0,c[f>>2]=b,c[f+8>>2]=1-g,c[f+16>>2]=g-1,f)|0);i=f;f=(c[a>>2]|0)+(ga(c[a+4>>2]|0,((c[a+8>>2]|0)+b|0)%(c[a+16>>2]|0)|0)|0)|0;i=d;return f|0}function bz(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;d=a+16|0;e=a+4|0;f=D0(c[d>>2]<<1,c[e>>2]|0)|0;Ix(0,(f|0)!=0|0,43672,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=a+12|0;if((c[g>>2]|0)>0){h=0;j=c[e>>2]|0;do{k=f+(ga(j,h)|0)|0;l=az(a,h)|0;j=c[e>>2]|0;d1(k|0,l|0,j)|0;h=h+1|0;}while((h|0)<(c[g>>2]|0))}g=a|0;C0(c[g>>2]|0);c[g>>2]=f;c[d>>2]=c[d>>2]<<1;c[a+8>>2]=0;i=b;return}function cz(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=a+16|0;e=c[d>>2]|0;f=a+12|0;g=c[f>>2]|0;if((e|0)<(g+1|0)){bz(a);h=c[f>>2]|0;i=c[d>>2]|0}else{h=g;i=e}e=c[a+4>>2]|0;d1((c[a>>2]|0)+(ga(e,(h+(c[a+8>>2]|0)|0)%(i|0)|0)|0)|0,b|0,e)|0;c[f>>2]=(c[f>>2]|0)+1;return}function dz(a){a=a|0;return c[a+12>>2]|0}function ez(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=i;f=a+12|0;Ix(0,(c[f>>2]|0)>0|0,1665240,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;h=c[f>>2]|0;Ix(0,(h|0)>(b|0)|0,1652408,(g=i,i=i+24|0,c[g>>2]=b,c[g+8>>2]=0,c[g+16>>2]=h-1,g)|0);i=g;h=(c[f>>2]|0)-1|0;Ix(0,b>>>31^1,1652408,(g=i,i=i+24|0,c[g>>2]=b,c[g+8>>2]=0,c[g+16>>2]=h,g)|0);i=g;g=a+8|0;h=c[a+16>>2]|0;c[g>>2]=((ga(h-1|0,b)|0)+(c[g>>2]|0)|0)%(h|0)|0;if((d|0)==0){i=e;return}if((c[f>>2]|0)>0){j=0}else{i=e;return}do{c[d+(j<<2)>>2]=az(a,j)|0;j=j+1|0;}while((j|0)<(c[f>>2]|0));i=e;return}function fz(a){a=a|0;return c[(c[2022]|0)+(a<<2)>>2]|0}function gz(a){a=a|0;return c[(c[2018]|0)+(a<<2)>>2]|0}function hz(a){a=a|0;return c[(c[2020]|0)+(a<<2)>>2]|0}function iz(a){a=a|0;return c[(c[2016]|0)+(a<<2)>>2]|0}function jz(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=(c[2018]|0)+(a<<2)|0;d=c[b>>2]|0;e=(c[2020]|0)+(a<<2)|0;f=c[e>>2]|0;g=c[(c[2022]|0)+(a<<2)>>2]|0;if((g|0)==0){return}c[b>>2]=(d|0)!=0&d>>>0<g>>>0?d:g;c[e>>2]=f>>>0>g>>>0?f:g;return}function kz(a){a=a|0;var b=0;b=c[5612]|0;return+(+lz(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function lz(a,b){a=a|0;b=b|0;return+(+(a|0)+ +(b|0)*1.0e-9)}function mz(a){a=a|0;var b=0;b=c[3796]|0;return+(+lz(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function nz(a){a=a|0;var b=0;b=c[408]|0;return+(+lz(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function oz(a){a=a|0;return 0}function pz(a){a=a|0;var b=0;yb(4,(c[422]|0)+(a<<3)|0)|0;b=(c[2022]|0)+(a<<2)|0;c[b>>2]=(c[b>>2]|0)+1;return}function qz(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=c[5612]|0;f=e+(a<<3)|0;g=c[408]|0;h=g+(a<<3)|0;c[h>>2]=(c[h>>2]|0)+(c[f>>2]|0);h=e+(a<<3)+4|0;e=g+(a<<3)+4|0;c[e>>2]=(c[e>>2]|0)+(c[h>>2]|0);e=(c[2016]|0)+(a<<2)|0;c[e>>2]=(c[e>>2]|0)+(c[(c[2022]|0)+(a<<2)>>2]|0);e=c[3796]|0;g=e+(a<<3)|0;rz(d,c[g>>2]|0,c[e+(a<<3)+4>>2]|0,c[f>>2]|0,c[h>>2]|0);h=g;g=c[d+4>>2]|0;c[h>>2]=c[d>>2];c[h+4>>2]=g;jz(a);g=c[5612]|0;c[g+(a<<3)>>2]=0;c[g+(a<<3)+4>>2]=0;c[(c[2022]|0)+(a<<2)>>2]=0;i=b;return}function rz(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;g=a;if((uz(b,d,e,f)|0)<0){h=f|0;i=e|0;j=g|0;c[j>>2]=i;k=g+4|0;c[k>>2]=h;return}else{h=d|0;i=b|0;j=g|0;c[j>>2]=i;k=g+4|0;c[k>>2]=h;return}}function sz(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;i=i+8|0;d=b|0;e=d;c[d>>2]=0;c[d+4>>2]=0;yb(4,e|0)|0;f=c[422]|0;g=c[5612]|0;h=g+(a<<3)|0;j=(c[d>>2]|0)-(c[f+(a<<3)>>2]|0)+(c[h>>2]|0)|0;c[h>>2]=j;d=g+(a<<3)+4|0;g=(c[e+4>>2]|0)-(c[f+(a<<3)+4>>2]|0)+(c[d>>2]|0)|0;c[d>>2]=g;if((g|0)<=999999999){i=b;return}c[h>>2]=j+1;c[d>>2]=~~(+(g|0)+-1.0e9);i=b;return}function tz(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((a|0)<33){return}b=D0(a,8)|0;c[5612]=b;d=D0(a,8)|0;c[3796]=d;e=D0(a,8)|0;c[408]=e;f=D0(a,8)|0;c[422]=f;g=D0(a,4)|0;c[2022]=g;h=D0(a,4)|0;c[2016]=h;i=a<<2;j=B0(i)|0;c[2018]=j;k=D0(a,4)|0;c[2020]=k;e1(j|0,-1|0,i|0)|0;if((b|0)==0){jd(42656,1664792,393,1683216)}if((d|0)==0){jd(1652216,1664792,394,1683216)}if((e|0)==0){jd(1641552,1664792,395,1683216)}if((f|0)==0){jd(1632176,1664792,396,1683216)}if((g|0)==0){jd(40912,1664792,397,1683216)}if((j|0)==0){jd(35872,1664792,398,1683216)}if((k|0)==0){jd(31320,1664792,399,1683216)}if((h|0)==0){jd(27792,1664792,400,1683216)}else{return}}function uz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return((a|0)==(c|0)?b-d|0:a-c|0)|0}function vz(a,b){a=a|0;b=b|0;qx(a,b,iy(b)|0);return}function wz(a,b,d){a=a|0;b=b|0;d=d|0;c[a+(b<<2)>>2]=d;return}function xz(a,b){a=a|0;b=b|0;return a+(b<<2)|0}function yz(a,b,d){a=a|0;b=b|0;d=d|0;wz(c[d+8>>2]|0,b,a);return}function zz(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;i=i+16|0;g=f|0;vz(a,b);h=g|0;j=g;c[j>>2]=e;c[j+4>>2]=0;yz(d,0,a);if((b|0)>1){k=1}else{i=f;return}do{yz((B=c[h+4>>2]|0,c[h+4>>2]=B+8,c[(c[h>>2]|0)+B>>2]|0),k,a);k=k+1|0;}while((k|0)<(b|0));i=f;return}function Az(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=f;c[g>>2]=d;c[g+4>>2]=0;g=tx(a,b,f|0)|0;f=xz(c[a+8>>2]|0,g)|0;i=e;return f|0}function Bz(a,b){a=+a;b=b|0;var c=0,d=0,e=0.0,f=0.0,g=0.0,h=0.0,i=0,j=0.0;c=(b|0)<0;d=c?-b|0:b;if((d|0)==0){e=1.0}else{b=d;f=1.0;g=a;while(1){if((b&1|0)==0){h=f;i=b}else{h=f*g;i=b-1|0}if((i+1|0)>>>0<3>>>0){e=h;break}else{b=(i|0)/2|0;f=h;g=g*g}}}if(!c){j=e;return+j}j=1.0/e;return+j}function Cz(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,j=0;e=i;i=i+8|0;f=b;b=i;i=i+20|0;i=i+7&-8;c[b>>2]=c[f>>2];c[b+4>>2]=c[f+4>>2];c[b+8>>2]=c[f+8>>2];c[b+12>>2]=c[f+12>>2];c[b+16>>2]=c[f+16>>2];f=e|0;g=f|0;c[g>>2]=1;c[f+4>>2]=c[b>>2];if((a|0)==0){Gx(17,0,g,40152,(j=i,i=i+16|0,c[j>>2]=c[b+8>>2],h[j+8>>3]=d,j)|0);i=j;i=e;return}else if((a|0)==3){Gx(17,0,g,1641056,(j=i,i=i+16|0,c[j>>2]=c[b+8>>2],h[j+8>>3]=d,j)|0);i=j;i=e;return}else if((a|0)==2){Gx(17,0,g,1651704,(j=i,i=i+16|0,c[j>>2]=c[b+8>>2],h[j+8>>3]=d,j)|0);i=j;i=e;return}else if((a|0)==1){Gx(17,0,g,1663464,(j=i,i=i+16|0,c[j>>2]=c[b+8>>2],h[j+8>>3]=d,j)|0);i=j;i=e;return}else{f=c[b+8>>2]|0;Gx(17,0,g,1631792,(j=i,i=i+24|0,c[j>>2]=a,c[j+8>>2]=f,h[j+16>>3]=d,j)|0);i=j;i=e;return}}function Dz(a){a=a|0;C0(c[a+12>>2]|0);C0(c[a+4>>2]|0);C0(c[a+8>>2]|0);return}function Ez(a){a=a|0;var b=0;b=c[t>>2]|0;_a(a|0,b|0)|0;Ta(b|0)|0;Wd[c[2152]&511](0);return}function Fz(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;var u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0.0,N=0,O=0.0,P=0.0,Q=0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,X=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0,ma=0.0,na=0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0.0,wa=0.0,xa=0,ya=0,za=0,Aa=0,Ba=0.0,Ca=0,Da=0.0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0.0,Ka=0.0,La=0,Ma=0.0,Na=0.0,Oa=0,Pa=0.0,Qa=0.0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0.0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0,eb=0,fb=0,gb=0.0,hb=0.0,ib=0;u=c[d>>2]|0;v=~u;w=c[k>>2]|0;x=~w;h[2597]=.5;h[2595]=1.0;h[2594]=.25;h[2582]=2.0;h[2581]=6.283185307179586;y=u-1-(c[b>>2]|0)|0;c[432252]=y;z=c[d>>2]|0;c[432256]=1;if((z|0)>=1){A=1;do{h[o+(A-1+(c[b>>2]|0)<<3)>>3]=0.0;A=A+1|0;c[432256]=A;}while((A|0)<=(z|0))}c[432260]=1;z=(y|0)<1;if(!z){A=1;do{B=ga(A,u)|0;C=+h[i+(B+v+(c[m>>2]|0)<<3)>>3];h[2586]=C;if((A|0)<(c[j>>2]|0)){D=-0.0-C;h[2586]=D;E=D}else{E=C}F=c[d>>2]|0;c[432256]=1;a:do{if((F|0)>=1){G=1;C=E;while(1){H=o+(G-1+(c[b>>2]|0)<<3)|0;h[H>>3]=C*+h[i+(G+v+B<<3)>>3]+ +h[H>>3];H=G+1|0;c[432256]=H;if((H|0)>(F|0)){break a}G=H;C=+h[2586]}}}while(0);A=A+1|0;c[432260]=A;}while((A|0)<=(y|0))}A=c[b>>2]|0;h[2607]=+h[o+(A-1+(c[m>>2]|0)<<3)>>3];h[2605]=0.0;h[2600]=0.0;h[2593]=0.0;h[2578]=0.0;c[432268]=1;if((A|0)<1){I=0.0;J=0.0;K=0.0}else{F=1;E=0.0;while(1){B=F-1|0;G=n+(B<<3)|0;C=+h[G>>3];h[2605]=E+C*C;C=+h[f+((c[m>>2]|0)+v+(ga(F,u)|0)<<3)>>3];H=e+(B<<3)|0;D=C- +h[H>>3];L=r+(B<<3)|0;h[L>>3]=D;C=+h[2600]+ +h[G>>3]*D;h[2600]=C;D=+h[L>>3];M=+h[2593]+D*D;h[2593]=M;D=+h[H>>3];h[2578]=+h[2578]+D*D;H=F+1|0;c[432268]=H;D=+h[2605];if((H|0)>(A|0)){I=C;J=D;K=M;break}else{F=H;E=D}}}E=I*I;do{if(E>J*.99*K){F=c[m>>2]|0;c[432254]=F;D=E/K;h[2598]=D;A=c[d>>2]|0;c[432256]=1;if((A|0)<1){N=F;O=K;P=I}else{H=1;L=F;M=D;D=K;C=I;while(1){do{if((H|0)==(c[l>>2]|0)){Q=L;R=M;S=D;T=C}else{h[2599]=0.0;h[2591]=0.0;F=c[b>>2]|0;c[432268]=1;if((F|0)<1){U=0.0;V=0.0}else{G=1;X=0.0;_=0.0;do{$=+h[f+((ga(G,u)|0)+v+H<<3)>>3];aa=$- +h[e+(G-1<<3)>>3];h[2601]=aa;X=X+aa*+h[n+(G-1<<3)>>3];h[2599]=X;_=_+aa*aa;h[2591]=_;G=G+1|0;}while((G|0)<=(F|0));c[432268]=G;U=X;V=_}aa=U*U/V;if(!(aa<M)){Q=L;R=M;S=D;T=C;break}c[432254]=H;h[2598]=aa;h[2600]=U;h[2593]=V;Q=H;R=aa;S=V;T=U}}while(0);F=H+1|0;c[432256]=F;if((F|0)>(A|0)){N=Q;O=S;P=T;break}else{H=F;L=Q;M=R;D=S;C=T}}}L=c[b>>2]|0;c[432268]=1;if((L|0)<1){ba=J;ca=O;da=P;break}else{ea=1}do{C=+h[f+((ga(ea,u)|0)+v+N<<3)>>3];H=ea-1|0;h[r+(H<<3)>>3]=C- +h[e+(H<<3)>>3];ea=ea+1|0;}while((ea|0)<=(L|0));c[432268]=ea;ba=+h[2605];ca=+h[2593];da=+h[2600]}else{ba=J;ca=K;da=I}}while(0);I=ba*ca-da*da;h[2592]=I;c[432262]=0;h[2602]=0.0;ea=(w<<1)+x|0;N=(w<<2)+x|0;Q=(w*3|0)+x|0;L=(w*5|0)+x|0;H=1;ca=I;I=ba;ba=da;while(1){c[432262]=H;da=+h[2595]/+W(ca);h[2586]=da;h[2580]=0.0;h[2579]=0.0;A=c[b>>2]|0;c[432268]=1;if((A|0)<1){fa=0.0;ha=0.0;ia=I}else{F=0;B=1;K=da;da=I;J=ba;while(1){ja=r+(F<<3)|0;h[ja>>3]=K*(da*+h[ja>>3]-J*+h[n+(F<<3)>>3]);ja=B-1|0;ka=e+(ja<<3)|0;la=+h[2580]+ +h[ka>>3]*+h[n+(ja<<3)>>3];h[2580]=la;ma=+h[2579]+ +h[ka>>3]*+h[r+(ja<<3)>>3];h[2579]=ma;na=B+1|0;if((na|0)>(A|0)){break}F=B;B=na;K=+h[2586];da=+h[2605];J=+h[2600]}c[432268]=na;fa=la;ha=ma;ia=+h[2605]}J=+h[2597];da=fa*J*fa;h[2585]=da;K=ha*J*ha;h[2584]=K;h[216144]=K+(da+ia*(+h[2578]+ia*J));J=+h[2582];h[216145]=J*fa*ia;h[216146]=J*ha*ia;h[216147]=da-K;h[216148]=fa*ha;e1(1729192,0,32)|0;c[432268]=10;B=c[d>>2]|0;c[432256]=1;if((B|0)>=1){F=1;do{h[2585]=0.0;h[2584]=0.0;h[2583]=0.0;A=c[b>>2]|0;c[432268]=1;if((A|0)<1){oa=0.0;pa=0.0}else{ja=F+v|0;ka=1;K=0.0;da=0.0;J=0.0;do{P=+h[f+((ga(ka,u)|0)+v+F<<3)>>3];K=K+P*+h[n+(ka-1<<3)>>3];h[2585]=K;qa=f+(ja+(ga(ka,u)|0)<<3)|0;ra=ka-1|0;da=da+ +h[qa>>3]*+h[r+(ra<<3)>>3];h[2584]=da;J=J+ +h[qa>>3]*+h[e+(ra<<3)>>3];h[2583]=J;ka=ka+1|0;}while((ka|0)<=(A|0));c[432268]=ka;oa=K;pa=da}h[s+(F-1<<3)>>3]=+h[2594]*(oa*oa+pa*pa);h[s+(ea+F<<3)>>3]=+h[2585]*+h[2583];h[s+(Q+F<<3)>>3]=+h[2584]*+h[2583];J=+h[2585];P=+h[2584];h[s+(N+F<<3)>>3]=+h[2594]*(J*J-P*P);h[s+(L+F<<3)>>3]=+h[2597]*+h[2585]*+h[2584];F=F+1|0;c[432256]=F;}while((F|0)<=(B|0))}B=c[b>>2]|0;c[432268]=1;if((B|0)>=1){F=1;do{A=(c[d>>2]|0)+F|0;c[432266]=A;h[s+(A-1<<3)>>3]=0.0;ja=F-1|0;h[s+(ea+A<<3)>>3]=+h[n+(ja<<3)>>3];h[s+(Q+A<<3)>>3]=+h[r+(ja<<3)>>3];h[s+(N+A<<3)>>3]=0.0;h[s+(L+A<<3)>>3]=0.0;F=F+1|0;c[432268]=F;}while((F|0)<=(B|0))}c[432258]=1;B=1;do{F=c[d>>2]|0;c[432250]=F;if((B-2|0)>>>0<2>>>0){A=c[k>>2]|0;c[432250]=A;sa=A}else{sa=F}F=c[d>>2]|0;c[432256]=1;if((F|0)>=1){A=ga(B,w)|0;ja=1;do{h[t+(ja+x+A<<3)>>3]=0.0;ja=ja+1|0;}while((ja|0)<=(F|0));c[432256]=ja}c[432260]=1;if(z){ta=B}else{F=B;A=1;while(1){h[2589]=0.0;ka=c[d>>2]|0;c[432256]=1;if((ka|0)<1){ua=F;va=0.0}else{ra=ga(B,w)|0;qa=1;da=0.0;do{K=+h[i+(qa+v+(ga(A,u)|0)<<3)>>3];da=da+K*+h[s+(qa+x+ra<<3)>>3];h[2589]=da;qa=qa+1|0;}while((qa|0)<=(ka|0));c[432256]=qa;ua=B;va=da}if((A|0)<(c[j>>2]|0)){_=-0.0-va;h[2589]=_;wa=_}else{wa=va}ka=c[d>>2]|0;c[432256]=1;if((ka|0)>=1){ra=ga(A,u)|0;G=ga(ua,w)|0;xa=1;ya=2;_=wa;while(1){za=t+(xa+x+G<<3)|0;h[za>>3]=_*+h[i+(xa+v+ra<<3)>>3]+ +h[za>>3];if((ya|0)>(ka|0)){break}xa=ya;ya=ya+1|0;_=+h[2589]}c[432256]=ya}xa=A+1|0;c[432260]=xa;if((xa|0)>(y|0)){ta=ua;break}else{F=ua;A=xa}}}do{if((sa|0)==(c[k>>2]|0)){A=c[d>>2]|0;c[432256]=1;if((A|0)<1){break}else{Aa=1}do{h[2589]=0.0;F=c[b>>2]|0;c[432260]=1;if((F|0)<1){Ba=0.0;Ca=ga(ta,w)|0}else{ja=1;_=0.0;while(1){da=+h[g+((ga(ja,w)|0)+x+Aa<<3)>>3];xa=ga(ta,w)|0;X=_+da*+h[s+(ja+x+(c[d>>2]|0)+xa<<3)>>3];h[2589]=X;ka=ja+1|0;c[432260]=ka;if((ka|0)>(F|0)){Ba=X;Ca=xa;break}else{ja=ka;_=X}}}ja=t+(Aa+x+Ca<<3)|0;h[ja>>3]=Ba+ +h[ja>>3];Aa=Aa+1|0;c[432256]=Aa;}while((Aa|0)<=(A|0))}}while(0);A=c[b>>2]|0;c[432260]=1;if((A|0)>=1){ya=1;do{h[2589]=0.0;c[432268]=1;if((sa|0)<1){Da=0.0;Ea=ga(ta,w)|0}else{ja=ga(ya,w)|0;F=ga(ta,w)|0;ka=1;_=0.0;do{xa=ka+x|0;_=_+ +h[g+(xa+ja<<3)>>3]*+h[s+(xa+F<<3)>>3];h[2589]=_;ka=ka+1|0;}while((ka|0)<=(sa|0));c[432268]=ka;Da=_;Ea=F}h[t+((c[d>>2]|0)+x+ya+Ea<<3)>>3]=Da;ya=ya+1|0;c[432260]=ya;}while((ya|0)<=(A|0))}B=ta+1|0;c[432258]=B;}while((B|0)<6);B=c[k>>2]|0;c[432256]=1;h[2589]=0.0;c[432268]=1;X=+h[2597];if((B|0)>=1){A=1;do{ya=1;da=0.0;do{ja=(ga(ya,w)|0)+x+A|0;h[1728928+(ya-1<<3)>>3]=X*+h[t+(ja<<3)>>3]*+h[s+(ja<<3)>>3];da=+h[1728928+(ya-1<<3)>>3]+da;h[2589]=da;ya=ya+1|0;}while((ya|0)<6);h[216144]=+h[216144]- +h[216116]-da;ya=A-1|0;ja=t+(ya<<3)|0;xa=ea+A|0;ra=s+(xa<<3)|0;G=t+(xa<<3)|0;xa=s+(ya<<3)|0;K=+h[ja>>3]*+h[ra>>3]+ +h[G>>3]*+h[xa>>3];h[2585]=K;ya=N+A|0;qa=s+(ya<<3)|0;za=t+(ya<<3)|0;P=+h[G>>3]*+h[qa>>3]+ +h[za>>3]*+h[ra>>3];h[2584]=P;ya=Q+A|0;Fa=t+(ya<<3)|0;Ga=L+A|0;Ha=s+(Ga<<3)|0;Ia=t+(Ga<<3)|0;Ga=s+(ya<<3)|0;J=+h[Fa>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[Ga>>3];h[2583]=J;h[216145]=+h[216145]-K-X*(J+P);h[216149]=+h[216149]-X*(P-J);J=+h[ja>>3]*+h[Ga>>3]+ +h[Fa>>3]*+h[xa>>3];h[2585]=J;P=+h[G>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[ra>>3];h[2584]=P;K=+h[Fa>>3]*+h[qa>>3]+ +h[za>>3]*+h[Ga>>3];h[2583]=K;h[216146]=+h[216146]-J-X*(P-K);h[216150]=+h[216150]-X*(P+K);K=+h[ja>>3]*+h[qa>>3]+ +h[za>>3]*+h[xa>>3];h[2585]=K;h[216147]=+h[216118]+(+h[216147]-K- +h[216117]);K=+h[ja>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[xa>>3];h[2585]=K;P=+h[G>>3]*+h[Ga>>3]+ +h[Fa>>3]*+h[ra>>3];h[2584]=P;h[216148]=+h[216148]-K-P*X;h[216151]=+h[216151]- +h[216119]+ +h[216120];P=+h[za>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[qa>>3];h[2585]=P;h[216152]=+h[216152]-X*P;A=A+1|0;h[2589]=0.0}while((A|0)<=(B|0));c[432256]=A;c[432268]=1}B=1;P=0.0;do{K=+h[t+((ga(B,w)|0)+x+(c[m>>2]|0)<<3)>>3];h[1728928+(B-1<<3)>>3]=X*K*K;P=+h[1728928+(B-1<<3)>>3]+P;h[2589]=P;B=B+1|0;c[432268]=B;}while((B|0)<6);K=+h[2607];J=K*+h[216144]+ +h[216116]+P;h[216135]=J;O=+h[2582];B=c[m>>2]|0;A=t+(B-1<<3)|0;qa=t+(ea+B<<3)|0;T=O*+h[A>>3]*+h[qa>>3];h[2585]=T;Ia=t+(N+B<<3)|0;S=+h[qa>>3]*+h[Ia>>3];h[2584]=S;Ha=t+(Q+B<<3)|0;za=t+(L+B<<3)|0;R=+h[Ha>>3]*+h[za>>3];h[2583]=R;U=R+(K*+h[216145]+T+S);h[216136]=U;T=K*+h[216149]+S-R;h[216140]=T;R=O*+h[A>>3]*+h[Ha>>3];h[2585]=R;S=+h[qa>>3]*+h[za>>3];h[2584]=S;V=+h[Ha>>3]*+h[Ia>>3];h[2583]=V;h[216137]=K*+h[216146]+R+S-V;h[216141]=K*+h[216150]+S+V;V=O*+h[A>>3]*+h[Ia>>3];h[2585]=V;R=+h[216117]+(V+K*+h[216147])- +h[216118];h[216138]=R;V=O*+h[A>>3]*+h[za>>3];h[2585]=V;h[216139]=V+K*+h[216148]+ +h[qa>>3]*+h[Ha>>3];O=K*+h[216151]+ +h[216119]- +h[216120];h[216142]=O;h[216143]=K*+h[216152]+ +h[Ia>>3]*+h[za>>3];K=J+U+R+T+O;h[2589]=K;h[2603]=K;h[2604]=K;c[432264]=0;O=+h[2581]/50.0;h[2586]=O;h[216116]=+h[2595];c[432268]=1;T=K;za=1;R=V;V=S;S=K;Ia=0;while(1){Ja=+(za|0)*O;U=+Y(Ja);h[216117]=U;J=+Z(Ja);h[216118]=J;Ha=4;E=U;C=J;D=U;U=J;while(1){J=D*E-U*C;h[1728928+(Ha-1<<3)>>3]=J;M=+h[216117]*C+ +h[216118]*E;h[1728928+(Ha<<3)>>3]=M;qa=Ha+2|0;if((qa|0)>=9){Ka=0.0;La=1;break}Ha=qa;E=J;C=M;D=+h[216117];U=+h[216118]}do{Ha=La-1|0;Ka=Ka+ +h[1729080+(Ha<<3)>>3]*+h[1728928+(Ha<<3)>>3];La=La+1|0;}while((La|0)<10);if(Ka<0.0){Ma=-0.0-Ka}else{Ma=Ka}if(S<0.0){Na=-0.0-S}else{Na=S}do{if(Ma>Na){h[2604]=Ka;c[432264]=za;h[2585]=T;Oa=za;Pa=T;Qa=V;Ra=Ka}else{if((za|0)!=(Ia+1|0)){Oa=Ia;Pa=R;Qa=V;Ra=S;break}h[2584]=Ka;Oa=Ia;Pa=R;Qa=Ka;Ra=S}}while(0);Ha=za+1|0;if((Ha|0)>49){break}else{T=Ka;za=Ha;R=Pa;V=Qa;S=Ra;Ia=Oa}}c[432260]=10;h[2589]=Ka;h[2606]=Ja;h[2588]=T;c[432268]=50;if((Oa|0)==49){h[2584]=K;Sa=K;Ta=Pa}else if((Oa|0)==0){h[2585]=Ka;Sa=Qa;Ta=Ka}else{Sa=Qa;Ta=Pa}h[2590]=0.0;if(Ta!=Sa){S=Ta-Ra;h[2585]=S;V=Sa-Ra;h[2584]=V;R=X*(S-V)/(S+V);h[2590]=R;Ua=R}else{Ua=0.0}R=O*(+(Oa|0)+Ua);h[2606]=R;V=+Y(R);h[216117]=V;S=+Z(R);h[216118]=S;c[432260]=4;Ia=4;R=V;P=S;U=V;V=S;while(1){S=U*R-V*P;h[1728928+(Ia-1<<3)>>3]=S;D=+h[216117]*P+ +h[216118]*R;h[1728928+(Ia<<3)>>3]=D;za=Ia+2|0;if((za|0)>=9){break}Ia=za;R=S;P=D;U=+h[216117];V=+h[216118]}h[q>>3]=0.0;h[2604]=0.0;c[432260]=1;Ia=1;do{za=Ia-1|0;Ha=1728928+(za<<3)|0;h[q>>3]=+h[q>>3]+ +h[1729152+(za<<3)>>3]*+h[Ha>>3];h[2604]=+h[2604]+ +h[1729080+(za<<3)>>3]*+h[Ha>>3];Ia=Ia+1|0;}while((Ia|0)<10);c[432260]=10;Ia=c[k>>2]|0;c[432256]=1;if((Ia|0)>=1){Ha=1;do{h[p+(Ha-1<<3)>>3]=0.0;za=1;do{V=+h[t+((ga(za,w)|0)+x+Ha<<3)>>3];qa=p+(Ha-1<<3)|0;h[qa>>3]=+h[qa>>3]+V*+h[1728928+(za-1<<3)>>3];za=za+1|0;}while((za|0)<6);Ha=Ha+1|0;}while((Ha|0)<=(Ia|0));c[432260]=6;c[432256]=Ha}h[2587]=+h[p+((c[m>>2]|0)-1<<3)>>3];h[2605]=0.0;h[2585]=0.0;h[2584]=0.0;Ia=c[b>>2]|0;c[432268]=1;if((Ia|0)<1){Va=0.0;Wa=0.0}else{za=1;do{qa=za-1|0;A=n+(qa<<3)|0;h[A>>3]=+h[216117]*+h[A>>3]+ +h[216118]*+h[r+(qa<<3)>>3];qa=za-1|0;A=n+(qa<<3)|0;B=o+(qa<<3)|0;h[B>>3]=+h[e+(qa<<3)>>3]+ +h[A>>3];V=+h[A>>3];h[2605]=+h[2605]+V*V;Xa=+h[2585]+ +h[A>>3]*+h[B>>3];h[2585]=Xa;V=+h[B>>3];Ya=+h[2584]+V*V;h[2584]=Ya;za=za+1|0;}while((za|0)<=(Ia|0));c[432268]=za;Va=Xa;Wa=Ya}Ia=c[b>>2]|0;if((H|0)>=(Ia|0)){break}if((H|0)>1){V=+h[2602];U=+h[2603];h[2602]=V>=U?V:U}U=+h[2604];if(U<0.0){Za=-0.0-U}else{Za=U}V=+h[2602];if(V<0.0){_a=-0.0-V}else{_a=V}if(!(Za>_a*1.1)){break}h[2602]=U;c[432268]=1;b:do{if((Ia|0)>=1){Ha=1;U=Va;V=Wa;while(1){B=Ha-1|0;P=U*+h[e+(B<<3)>>3]+V*+h[n+(B<<3)>>3]- +h[p+(B+(c[d>>2]|0)<<3)>>3];h[2586]=P;R=+h[2587]*+h[g+((c[m>>2]|0)+x+(ga(Ha,w)|0)<<3)>>3];h[r+(B<<3)>>3]=R+P*+h[2607];B=Ha+1|0;c[432268]=B;if((B|0)>(Ia|0)){break b}Ha=B;U=+h[2585];V=+h[2584]}}}while(0);Ia=c[d>>2]|0;c[432256]=1;if((Ia|0)>=1){za=1;do{h[2589]=0.0;Ha=c[b>>2]|0;c[432260]=1;if((Ha|0)<1){$a=0.0}else{B=1;V=0.0;do{U=+h[f+((ga(B,u)|0)+v+za<<3)>>3];V=V+U*+h[o+(B-1<<3)>>3];h[2589]=V;B=B+1|0;}while((B|0)<=(Ha|0));c[432260]=B;$a=V}Ha=c[b>>2]|0;U=$a*(+h[2587]*+h[o+(Ha-1+za<<3)>>3]- +h[2607]*+h[p+(za-1<<3)>>3]);h[2586]=U;c[432268]=1;if((Ha|0)>=1){A=1;qa=2;P=U;while(1){U=P*+h[f+((ga(A,u)|0)+v+za<<3)>>3];ra=r+(A-1<<3)|0;h[ra>>3]=+h[ra>>3]+U;if((qa|0)>(Ha|0)){break}A=qa;qa=qa+1|0;P=+h[2586]}c[432268]=qa}za=za+1|0;c[432256]=za;}while((za|0)<=(Ia|0))}h[2593]=0.0;h[2600]=0.0;Ia=c[b>>2]|0;c[432268]=1;if((Ia|0)<1){ab=0.0;bb=0.0}else{za=1;P=0.0;V=0.0;do{U=+h[r+(za-1<<3)>>3];P=P+U*U;h[2593]=P;A=za-1|0;V=V+ +h[n+(A<<3)>>3]*+h[r+(A<<3)>>3];h[2600]=V;za=za+1|0;}while((za|0)<=(Ia|0));c[432268]=za;ab=P;bb=V}U=+h[2605];R=U*ab-bb*bb;h[2592]=R;if(R<U*1.0e-8*ab){break}H=H+1|0;ca=R;I=U;ba=bb}a[20768]=1;H=c[k>>2]|0;c[432256]=1;if((H|0)<1){cb=+h[2595];db=c[l>>2]|0;eb=db-1|0;fb=p+(eb<<3)|0;gb=+h[fb>>3];hb=cb+gb;h[fb>>3]=hb;return 0}else{ib=1}do{h[o+(ib-1<<3)>>3]=0.0;k=1;do{bb=+h[s+((ga(k,w)|0)+x+ib<<3)>>3];r=o+(ib-1<<3)|0;h[r>>3]=+h[r>>3]+bb*+h[1728928+(k-1<<3)>>3];k=k+1|0;}while((k|0)<6);ib=ib+1|0;}while((ib|0)<=(H|0));c[432260]=6;c[432256]=ib;cb=+h[2595];db=c[l>>2]|0;eb=db-1|0;fb=p+(eb<<3)|0;gb=+h[fb>>3];hb=cb+gb;h[fb>>3]=hb;return 0}function Gz(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;var u=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0,V=0.0,X=0.0,_=0.0,$=0,aa=0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0,qa=0.0,ra=0.0,sa=0.0,ta=0,ua=0.0,va=0.0;u=c[d>>2]|0;v=~u;w=c[k>>2]|0;k=~w;h[2565]=.5;h[2563]=1.0;h[2549]=6.283185307179586;x=+h[m>>3];h[2569]=x*x;y=u-1-(c[b>>2]|0)|0;c[432220]=y;c[432226]=0;z=c[d>>2]|0;c[432222]=1;if((z|0)>=1){A=1;do{h[p+(A-1<<3)>>3]=0.0;A=A+1|0;}while((A|0)<=(z|0));c[432222]=A}c[432224]=1;A=c[l>>2]|0;if((y|0)<1){B=A}else{z=1;C=A;while(1){A=ga(z,u)|0;x=+h[i+(A+v+C<<3)>>3];h[2552]=x;if((z|0)<(c[j>>2]|0)){D=-0.0-x;h[2552]=D;E=D}else{E=x}F=c[d>>2]|0;c[432222]=1;if((F|0)>=1){G=1;H=2;x=E;while(1){I=p+(G-1<<3)|0;h[I>>3]=+h[I>>3]+x*+h[i+(G+v+A<<3)>>3];if((H|0)>(F|0)){break}G=H;H=H+1|0;x=+h[2552]}c[432222]=H}G=z+1|0;c[432224]=G;F=c[l>>2]|0;if((G|0)>(y|0)){B=F;break}else{z=G;C=F}}}h[o>>3]=+h[p+(B-1<<3)>>3];h[2570]=0.0;B=c[b>>2]|0;c[432230]=1;if((B|0)>=1){o=1;do{C=c[l>>2]|0;E=+h[f+((ga(o,u)|0)+v+C<<3)>>3];z=o-1|0;y=n+(z<<3)|0;h[y>>3]=E- +h[e+(z<<3)>>3];h[q+(z<<3)>>3]=+h[g+(C+k+(ga(o,w)|0)<<3)>>3];h[r+(z<<3)>>3]=0.0;E=+h[y>>3];h[2570]=+h[2570]+E*E;o=o+1|0;c[432230]=o;}while((o|0)<=(B|0))}B=c[d>>2]|0;c[432222]=1;if((B|0)>=1){o=1;do{h[2552]=0.0;h[2557]=0.0;w=c[b>>2]|0;c[432224]=1;if((w|0)<1){J=0.0;K=0.0}else{k=o+v|0;g=1;E=0.0;x=0.0;do{D=+h[f+((ga(g,u)|0)+v+o<<3)>>3];E=E+D*+h[e+(g-1<<3)>>3];h[2552]=E;D=+h[f+(k+(ga(g,u)|0)<<3)>>3];x=x+D*+h[n+(g-1<<3)>>3];h[2557]=x;g=g+1|0;}while((g|0)<=(w|0));c[432224]=g;J=E;K=x}w=p+(o-1<<3)|0;D=+h[w>>3]*J;h[2552]=D;h[2557]=+h[w>>3]*K;w=c[b>>2]|0;c[432230]=1;if((w|0)>=1){k=o+v|0;H=1;L=D;while(1){D=L*+h[f+((ga(H,u)|0)+v+o<<3)>>3];l=q+(H-1<<3)|0;h[l>>3]=+h[l>>3]+D;D=+h[2557]*+h[f+(k+(ga(H,u)|0)<<3)>>3];l=r+(H-1<<3)|0;h[l>>3]=+h[l>>3]+D;M=H+1|0;if((M|0)>(w|0)){break}H=M;L=+h[2552]}c[432230]=M}o=o+1|0;c[432222]=o;}while((o|0)<=(B|0))}h[2566]=0.0;h[2561]=0.0;h[2567]=0.0;B=c[b>>2]|0;c[432230]=1;if((B|0)<1){N=0.0;O=0.0;P=0.0}else{o=1;K=0.0;J=0.0;L=0.0;do{x=+h[q+(o-1<<3)>>3];K=K+x*x;h[2566]=K;M=o-1|0;e=n+(M<<3)|0;J=J+ +h[e>>3]*+h[q+(M<<3)>>3];h[2561]=J;L=L+ +h[e>>3]*+h[r+(M<<3)>>3];h[2567]=L;o=o+1|0;}while((o|0)<=(B|0));c[432230]=o;N=J;O=L;P=K}K=+h[2570];L=+h[m>>3]/+W(K);if(N*O<0.0){Q=-0.0-L}else{Q=L}h[2562]=Q;h[2552]=0.0;if(N*N>K*.99*P){h[2552]=+h[2563]}if(N<0.0){R=-0.0-N}else{R=N}if(O<0.0){S=-0.0-O}else{S=O}O=Q*(R+ +h[2565]*Q*S);h[2556]=O;if(P*+h[2569]<O*O*.01){h[2552]=+h[2563]}m=c[b>>2]|0;c[432230]=1;if((m|0)<1){T=0}else{o=0;B=1;O=Q;while(1){M=n+(o<<3)|0;h[M>>3]=O*+h[M>>3];M=B-1|0;e=r+(M<<3)|0;Q=+h[2562]*+h[e>>3];h[e>>3]=Q;h[s+(M<<3)>>3]=+h[q+(M<<3)>>3]+ +h[2552]*Q;U=B+1|0;if((U|0)>(m|0)){break}o=B;B=U;O=+h[2562]}c[432230]=U;T=0}while(1){U=T+1|0;c[432226]=U;h[2570]=0.0;h[2561]=0.0;h[2560]=0.0;B=c[b>>2]|0;c[432230]=1;if((B|0)<1){V=0.0;X=0.0;_=0.0}else{o=1;O=0.0;Q=0.0;P=0.0;do{S=+h[n+(o-1<<3)>>3];O=O+S*S;h[2570]=O;m=o-1|0;M=s+(m<<3)|0;Q=Q+ +h[n+(m<<3)>>3]*+h[M>>3];h[2561]=Q;S=+h[M>>3];P=P+S*S;h[2560]=P;o=o+1|0;}while((o|0)<=(B|0));c[432230]=o;V=O;X=P;_=Q}S=V*X-_*_;h[2552]=S;if(!(S>V*1.0e-8*X)){$=88;break}R=+W(S);h[2568]=R;B=c[b>>2]|0;c[432230]=1;if((B|0)>=1){M=0;m=1;S=V;N=_;K=R;while(1){e=s+(M<<3)|0;h[e>>3]=(S*+h[e>>3]-N*+h[n+(M<<3)>>3])/K;h[t+(m-1<<3)>>3]=0.0;aa=m+1|0;if((aa|0)>(B|0)){break}M=m;m=aa;S=+h[2570];N=+h[2561];K=+h[2568]}c[432230]=aa}m=c[d>>2]|0;c[432222]=1;if((m|0)>=1){M=1;do{h[2557]=0.0;B=c[b>>2]|0;c[432224]=1;if((B|0)<1){ba=0.0}else{o=1;K=0.0;do{N=+h[f+((ga(o,u)|0)+v+M<<3)>>3];K=K+N*+h[s+(o-1<<3)>>3];h[2557]=K;o=o+1|0;}while((o|0)<=(B|0));c[432224]=o;ba=K}N=+h[p+(M-1<<3)>>3]*ba;h[2557]=N;B=c[b>>2]|0;c[432230]=1;if((B|0)>=1){e=1;H=2;S=N;while(1){N=S*+h[f+((ga(e,u)|0)+v+M<<3)>>3];w=t+(e-1<<3)|0;h[w>>3]=+h[w>>3]+N;if((H|0)>(B|0)){break}e=H;H=H+1|0;S=+h[2557]}c[432230]=H}M=M+1|0;c[432222]=M;}while((M|0)<=(m|0))}h[2576]=0.0;h[2575]=0.0;h[2574]=0.0;h[2573]=0.0;h[2572]=0.0;m=c[b>>2]|0;c[432230]=1;if((m|0)<1){ca=0.0;da=0.0;ea=0.0;fa=0.0;ha=0.0}else{M=1;S=0.0;K=0.0;N=0.0;Q=0.0;P=0.0;do{e=M-1|0;S=S+ +h[s+(e<<3)>>3]*+h[t+(e<<3)>>3];h[2576]=S;e=M-1|0;B=n+(e<<3)|0;o=q+(e<<3)|0;K=K+ +h[B>>3]*+h[o>>3];h[2575]=K;w=s+(e<<3)|0;N=N+ +h[w>>3]*+h[o>>3];h[2574]=N;o=r+(e<<3)|0;Q=Q+ +h[B>>3]*+h[o>>3];h[2573]=Q;P=P+ +h[w>>3]*+h[o>>3];h[2572]=P;M=M+1|0;}while((M|0)<=(m|0));c[432230]=M;ca=S;da=Q;ea=K;fa=N;ha=P}O=+h[2565];R=O*ca;h[2576]=R;L=O*da-R;h[2573]=L;J=R+ea+L;h[2555]=J;h[2554]=J;h[2553]=J;c[432228]=0;a[20512]=1;x=+h[2549]/50.0;h[2552]=x;c[432230]=1;m=1;E=J;D=J;o=0;while(1){ia=+(m|0)*x;ja=+Y(ia);ka=+Z(ia);la=R+ja*(ea+ja*L)+ka*(fa+ja*ha);if(la<0.0){ma=-0.0-la}else{ma=la}if(D<0.0){na=-0.0-D}else{na=D}do{if(ma>na){h[2554]=la;c[432228]=m;h[2551]=E;oa=la;pa=m}else{if((m|0)!=(o+1|0)){oa=D;pa=o;break}h[2550]=la;oa=D;pa=o}}while(0);H=m+1|0;if((H|0)<50){m=H;E=la;D=oa;o=pa}else{break}}h[2577]=ia;h[2571]=ja;h[2558]=ka;h[2556]=la;c[432230]=50;h[2553]=la;if((pa|0)==0){h[2551]=la;$=74}else if((pa|0)==49){h[2550]=J;qa=J}else{$=74}if(($|0)==74){$=0;qa=+h[2550]}h[2559]=0.0;D=+h[2551];if(D!=qa){E=D-oa;h[2551]=E;D=qa-oa;h[2550]=D;P=O*(E-D)/(E+D);h[2559]=P;ra=P}else{ra=0.0}P=x*(+(pa|0)+ra);h[2577]=P;D=+Y(P);h[2571]=D;E=+Z(P);h[2558]=E;P=R+D*(ea+D*L)+E*(fa+D*ha);h[2556]=P;o=c[b>>2]|0;c[432230]=1;if((o|0)<1){sa=P}else{m=0;M=1;P=D;D=E;while(1){H=n+(m<<3)|0;h[H>>3]=P*+h[H>>3]+D*+h[s+(m<<3)>>3];H=M-1|0;w=r+(H<<3)|0;E=+h[2571]*+h[w>>3]+ +h[2558]*+h[t+(H<<3)>>3];h[w>>3]=E;h[s+(H<<3)>>3]=+h[q+(H<<3)>>3]+E;ta=M+1|0;if((ta|0)>(o|0)){break}m=M;M=ta;P=+h[2571];D=+h[2558]}c[432230]=ta;sa=+h[2556]}if(sa<0.0){ua=-0.0-sa}else{ua=sa}D=+h[2555];if(D<0.0){va=-0.0-D}else{va=D}if(!(ua>va*1.1)){$=88;break}if((U|0)<(c[b>>2]|0)){T=U}else{$=88;break}}if(($|0)==88){return 0}return 0}function Hz(b,d,e,f,g,h,i,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0;a[8]=1;a[16]=1;c[25]=6;eR(96)|0;m=c[d>>2]|0;c[426512]=1;if((m|0)>=1){d=1;do{vQ(20200,b+(d-1)|0,1)|0;d=(c[426512]|0)+1|0;c[426512]=d;}while((d|0)<=(m|0))}OQ()|0;m=c[g>>2]|0;if((m|0)==1){c[19]=a[16]|0?6:0;eR(72)|0;vQ(20200,h,4)|0;OQ()|0;n=c[g>>2]|0}else{n=m}if((n|0)==2){c[13]=a[16]|0?6:0;eR(48)|0;vQ(20200,h,4)|0;vQ(20200,i,4)|0;OQ()|0}i=c[j>>2]|0;if((i|0)==1){c[7]=a[16]|0?6:0;eR(24)|0;vQ(20200,k,8)|0;OQ()|0;o=c[j>>2]|0}else{o=i}if((o|0)==2){c[31]=a[16]|0?6:0;eR(120)|0;vQ(20200,k,8)|0;vQ(20200,l,8)|0;OQ()|0}if((c[f>>2]|0)!=2){return 0}dQ(1729240,0)|0;return 0}function Iz(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;var y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0.0,T=0.0,U=0.0,V=0.0,W=0,X=0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0;y=i;i=i+8|0;z=y|0;A=c[k>>2]|0;a:do{if((A|0)==0){B=2;while(1){c[432130]=B;if((B|0)>=12){break}if((c[k+(B-1<<2)>>2]|0)>>>0<2>>>0){B=B+1|0}else{C=208;break a}}if((c[d>>2]|0)<1){kQ(1728344,1652856,80,25);Hz(1728344,20160,20136,1728800,20288,d,1728800,1728800,19656,19656,80)|0;break}c[432084]=5;B=q+8|0;do{if((c[k+32>>2]|0)==0){D=5}else{E=c[B>>2]|0;c[432084]=E;if(!((E-1|0)>>>0>4>>>0)){D=E;break}kQ(1728344,1651800,80,34);Hz(1728344,20112,20064,1728800,20288,1728336,1728800,1728800,19656,19656,80)|0;break a}}while(0);c[B>>2]=D;b:do{if((c[k+20>>2]|0)==0){E=c[d>>2]|0;F=ga(E,E)|0;c[432120]=F;c[432118]=F+50+(ga((c[B>>2]|0)+4|0,c[d>>2]|0)|0);F=q+12|0;if((c[k+16>>2]|0)==0){c[F>>2]=2;break}else{c[F>>2]=1;break}}else{F=c[q>>2]|0;do{if((F|0)>=0){E=c[d>>2]|0;if((F|0)>=(E|0)){break}G=q+4|0;H=c[G>>2]|0;if(!((H|0)>-1&(H|0)<(E|0))){kQ(1728344,1637752,80,52);Hz(1728344,19984,20272,1728800,20288,G,1728800,1728800,19656,19656,80)|0;break a}c[432120]=ga((F<<1|1)+H|0,E)|0;E=q+12|0;if((c[k+16>>2]|0)==0){c[E>>2]=5;H=c[d>>2]|0;I=ga((c[B>>2]|0)+4|0,H)|0;c[432118]=(((H|0)/((c[q>>2]|0)+1+(c[G>>2]|0)|0)|0)<<1)+52+(c[432120]|0)+I;break b}else{c[E>>2]=4;E=(ga((c[B>>2]|0)+4|0,c[d>>2]|0)|0)+50|0;c[432118]=E+(c[432120]|0);break b}}}while(0);kQ(1728344,1638568,80,52);Hz(1728344,19984,20280,1728800,20288,q,1728800,1728800,19656,19656,80)|0;break a}}while(0);c[432122]=(c[d>>2]|0)+20;c[q+64>>2]=c[432120];if((c[p>>2]|0)<(c[432118]|0)){kQ(1728344,1650584,80,60);Hz(1728344,19944,2e4,1728800,20136,1728472,p,1728800,19656,19656,80)|0;break}if((c[r>>2]|0)<(c[432122]|0)){kQ(1728344,1649464,80,60);Hz(1728344,19944,19952,1728800,20136,1728488,r,1728800,19656,19656,80)|0;break}if(+h[j>>3]==+h[e>>3]){C=225;break}if((c[w>>2]|0)<0){kQ(1728344,1635272,80,24);Hz(1728344,20168,20128,20288,20288,w,1728800,1728800,19656,19656,80)|0;break}do{if((c[k+24>>2]|0)!=0){J=+h[o+8>>3];h[2381]=J;if(J>0.0){break}kQ(1728344,1644048,80,28);Hz(1728344,20152,20368,1728800,1728800,1728800,1728800,20288,19048,19656,80)|0;break a}}while(0);c[q+60>>2]=0;e1(q+36|0,0,16)|0;c[n>>2]=1;C=26}else if((A|0)==(-1|0)){kQ(1728344,34208,80,49);Hz(1728344,19992,20192,1728800,1728800,1728800,1728800,1728800,19656,19656,80)|0;kQ(1728344,1661416,80,47);Hz(1728344,20016,20184,1728800,20288,n,1728800,1728800,19656,19656,80)|0;kQ(1728344,1650408,80,41);Hz(1728344,20048,20176,20288,1728800,1728800,1728800,1728800,19656,19656,80)|0;i=y;return 0}else if((A|0)==1){c[q+36>>2]=c[q+40>>2];C=26}else{C=208}}while(0);c:do{if((C|0)==26){a[19024]=0;J=+h[l>>3];h[2376]=J;K=+h[m>>3];h[2384]=K;A=c[d>>2]|0;c[432130]=1;do{if((A|0)>=1){r=k+4|0;p=1;D=0;L=J;M=K;while(1){if((c[r>>2]|0)==1){B=p-1|0;N=+h[l+(B<<3)>>3];h[2376]=N;O=+h[m+(B<<3)>>3];h[2384]=O;P=N;Q=O}else{P=L;Q=M}if(P>0.0|Q>0.0){a[19024]=1;R=1}else{R=D}if(P<0.0){C=213;break}if(Q<0.0){C=214;break}B=p+1|0;c[432130]=B;if((B|0)>(A|0)){C=35;break}else{p=B;D=R;L=P;M=Q}}if((C|0)==35){if(!R){break}D=c[d>>2]|0;p=D+51|0;c[432116]=p;r=p+(c[w>>2]|0)|0;c[432114]=r;p=r+(c[w>>2]|0)|0;c[432112]=p;B=p+(c[w>>2]|0)|0;c[432124]=B;F=B+(c[d>>2]|0)|0;c[432106]=F;E=F+(c[d>>2]|0)|0;c[432110]=E;c[432108]=(ga((c[q+8>>2]|0)+1|0,c[d>>2]|0)|0)+E;c[432082]=(c[q+64>>2]|0)+1;d:do{if((c[k>>2]|0)==1){F=o+64|0;h[2373]=+h[F>>3];a[19064]=0;h[2375]=+h[o+24>>3];I=o+16|0;h[2382]=+h[I>>3];do{if((c[w>>2]|0)!=0){Jz(20136,v,w,d,19e3,j,f,o+(B-1<<3)|0,o+(E-1<<3)|0,o+224|0,q+28|0,o+(D+50<<3)|0,o+(r-1<<3)|0,o+(p-1<<3)|0,x,1728512,F,0,o,q,s,t)|0;if((c[428908]|0)>0){i=y;return 0}if((c[432128]|0)!=1){break}c[q+68>>2]=1;c[n>>2]=4;h[e>>3]=+h[o+320>>3];eA(d,o+((c[432124]|0)-1<<3)|0,20288,g,20288)|0;a[19064]=1;C=195;break d}}while(0);do{if((c[k+24>>2]|0)!=0){M=+h[2382];if(M<0.0){S=-0.0-M}else{S=M}L=S/+h[o+8>>3];if(!(L>1.0)){break}h[2382]=M/L}}while(0);L=+h[e>>3];M=+h[j>>3];if(L==M){C=225;break c}O=+h[2382];if((L-M)*O>0.0){C=218;break}F=(c[k+8>>2]|0)==1;do{if((c[k+12>>2]|0)==1){N=+h[o>>3];h[2374]=N;T=+h[2375];U=T-N;G=U*O>0.0;do{if(F){if(G){C=222;break d}V=+h[j>>3];if(O*(N-V)<0.0){C=216;break d}if(!(O*(T- +h[e>>3])>0.0)){break}H=q+28|0;W=o+((c[432110]|0)-1<<3)|0;X=o+224|0;if(O*(T-V)>0.0){Oz(19e3,j,f,g,d,H,W,X)|0;if((c[428908]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[19064]=1;C=195;break d}}else{Oz(19e3,19e3,f,g,d,H,W,X)|0;if((c[428908]|0)>0){i=y;return 0}else{h[e>>3]=+h[2375];c[n>>2]=1;a[19064]=1;C=195;break d}}}else{if(G){C=222;break d}V=+h[j>>3];if(O*(N-V)<0.0){C=216;break d}if(O*(T-V)<0.0){break}Oz(19e3,j,f,g,d,q+28|0,o+((c[432110]|0)-1<<3)|0,o+224|0)|0;if((c[428908]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[19064]=1;C=195;break d}}}while(0);h[z>>3]=U;if(U<0.0){Y=-0.0-U}else{Y=U}if(T<0.0){Z=-0.0-T}else{Z=T}if(O<0.0){_=-0.0-O}else{_=O}if(Y>+h[2373]*100.0*(Z+_)){if(!(O*(T+O-N)>0.0)){break}V=N-T;h[2382]=V;h[I>>3]=V;break}Oz(19e3,18992,f,g,d,q+28|0,o+((c[432110]|0)-1<<3)|0,o+224|0)|0;if((c[428908]|0)>0){i=y;return 0}else{c[n>>2]=2;h[e>>3]=+h[2374];a[19064]=1;C=195;break d}}else{V=+h[2375];if(!F){if(O*(V-M)<0.0){break}Oz(19e3,j,f,g,d,q+28|0,o+((c[432110]|0)-1<<3)|0,o+224|0)|0;if((c[428908]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[19064]=1;C=195;break d}}if(!(O*(V-L)>0.0)){break}G=q+28|0;X=o+((c[432110]|0)-1<<3)|0;W=o+224|0;if(O*(V-M)>0.0){Oz(19e3,j,f,g,d,G,X,W)|0;if((c[428908]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[19064]=1;C=195;break d}}else{Oz(19e3,19e3,f,g,d,G,X,W)|0;if((c[428908]|0)>0){i=y;return 0}else{h[e>>3]=+h[2375];c[n>>2]=1;a[19064]=1;C=195;break d}}}}while(0);if(a[19064]|0){C=195}else{C=126}}else{h[2375]=+h[e>>3];c[n>>2]=1;Lz(d,k+4|0,l,m,f,o+((c[432106]|0)-1<<3)|0,s,t)|0;F=c[d>>2]|0;I=c[432106]|0;W=1;while(1){if((W|0)>(F|0)){break}if(+h[o+(W-2+I<<3)>>3]>0.0){W=W+1|0}else{C=220;break}}if((C|0)==220){c[432130]=W;kQ(1728344,1641120,80,39);Hz(1728344,20072,20312,1728800,1728800,1728800,1728800,1728800,19656,19656,80)|0;break c}c[432130]=W;M=+Sz(1640168,1);h[2373]=M;I=o+64|0;h[I>>3]=M;M=+h[e>>3];if(M<0.0){$=-0.0-M}else{$=M}h[z>>3]=$;M=+h[j>>3];if(M<0.0){aa=-0.0-M}else{aa=M}M=+h[2373]*4.0*($>=aa?$:aa);h[2380]=M;O=+h[j>>3]- +h[e>>3];h[z>>3]=O;if(O<0.0){ba=-0.0-O}else{ba=O}if(ba<M){kQ(1728344,1640288,80,60);Hz(1728344,19944,20304,1728800,1728800,1728800,1728800,20136,j,e,80)|0;break c}do{if((c[k+28>>2]|0)==0){h[2379]=ba*.001;M=+Mz(d,g,o+((c[432106]|0)-1<<3)|0,s,t);if(M>.5/+h[2379]){h[2379]=.5/M}h[z>>3]=+h[j>>3]- +h[e>>3];M=+hQ(19032,z);h[2379]=M;ca=M}else{M=+h[o+16>>3];h[2379]=M;if(M*(+h[j>>3]- +h[e>>3])<0.0){C=218;break d}if(!(M==0.0)){ca=M;break}kQ(1728344,1642e3,80,29);Hz(1728344,20144,20344,1728800,1728800,1728800,1728800,1728800,19656,19656,80)|0;break c}}while(0);do{if((c[k+24>>2]|0)==0){da=ca}else{if(ca<0.0){ea=-0.0-ca}else{ea=ca}M=ea/+h[o+8>>3];if(!(M>1.0)){da=ca;break}O=ca/M;h[2379]=O;da=O}}while(0);if((c[k+12>>2]|0)==0){fa=da}else{O=+h[o>>3];h[2374]=O;M=+h[e>>3];L=O-M;if(L*da<0.0){C=222;break}if(da*(M+da-O)>0.0){h[2379]=L;ha=L}else{ha=da}if((O- +h[j>>3])*ha<0.0){C=216;break}else{fa=ha}}W=k+40|0;if((c[W>>2]|0)==0){ia=fa}else{Nz(19e3,f,g,d,b,u,19032,o+((c[432106]|0)-1<<3)|0,n,s,t,o+((c[432110]|0)-1<<3)|0,o+400|0,o+((c[432124]|0)-1<<3)|0,o+((c[432108]|0)-1<<3)|0,q,19040,I,k+36|0,1728328)|0;if((c[428908]|0)>0){i=y;return 0}F=c[n>>2]|0;if((F|0)<0){ja=F;C=127;break}ia=+h[2379]}h[2382]=ia;h[o+16>>3]=ia;F=c[432110]|0;X=(c[d>>2]|0)+F|0;c[432126]=X;G=c[d>>2]|0;c[432130]=1;if((G|0)>=1){H=1;do{h[o+(H-2+F<<3)>>3]=+h[f+(H-1<<3)>>3];h[o+(H-2+X<<3)>>3]=+h[2382]*+h[g+(H-1<<3)>>3];H=H+1|0;}while((H|0)<=(G|0));c[432130]=H}G=o+320|0;h[G>>3]=+h[e>>3];X=q+68|0;c[X>>2]=0;F=o+224|0;h[F>>3]=+h[2382];h[o+232>>3]=+h[2382]*2.0;ka=q+28|0;c[ka>>2]=1;if((c[w>>2]|0)==0){C=126;break}Jz(20288,v,w,d,e,j,f,o+((c[432124]|0)-1<<3)|0,o+((c[432110]|0)-1<<3)|0,F,ka,o+((c[432116]|0)-1<<3)|0,o+((c[432114]|0)-1<<3)|0,o+((c[432112]|0)-1<<3)|0,x,1728512,I,0,o,q,s,t)|0;if((c[428908]|0)>0){i=y;return 0}if((c[432128]|0)!=0){kQ(1728344,1633864,80,47);Hz(1728344,20016,20120,20288,1728800,1728800,1728800,1728800,19656,19656,80)|0;kQ(1728344,1633160,80,38);Hz(1728344,20088,20120,20288,1728800,1728800,1728800,1728800,19656,19656,80)|0;break c}if((c[w>>2]|0)==0){C=126;break}if((c[W>>2]|0)==0){C=126;break}Jz(20064,v,w,d,19e3,j,f,o+((c[432124]|0)-1<<3)|0,o+((c[432110]|0)-1<<3)|0,F,ka,o+((c[432116]|0)-1<<3)|0,o+((c[432114]|0)-1<<3)|0,o+((c[432112]|0)-1<<3)|0,x,1728512,I,0,o,q,s,t)|0;if((c[428908]|0)>0){i=y;return 0}if((c[432128]|0)!=1){C=126;break}c[X>>2]=1;c[n>>2]=4;h[e>>3]=+h[G>>3];eA(d,o+((c[432124]|0)-1<<3)|0,20288,g,20288)|0;C=195}}while(0);if((C|0)==216){kQ(1728344,1645304,80,54);Hz(1728344,19976,19704,1728800,1728800,1728800,1728800,20136,18992,j,80)|0;break c}else if((C|0)==218){kQ(1728344,1643128,80,34);Hz(1728344,20112,20352,1728800,1728800,1728800,1728800,20136,j,e,80)|0;break c}else if((C|0)==222){kQ(1728344,1639432,80,49);Hz(1728344,19992,20296,1728800,1728800,1728800,1728800,20136,18992,e,80)|0;break c}e:while(1){if((C|0)==126){C=0;ja=c[n>>2]|0;C=127;continue}else if((C|0)==127){C=0;if((ja|0)==-12){la=-12;break}if(((c[q+40>>2]|0)-(c[q+36>>2]|0)|0)>=500){C=129;break}ma=k+4|0;Lz(d,ma,l,m,o+((c[432110]|0)-1<<3)|0,o+((c[432106]|0)-1<<3)|0,s,t)|0;if((c[428908]|0)>0){C=231;break}p=c[d>>2]|0;r=c[432106]|0;na=1;while(1){if((na|0)>(p|0)){break}if(+h[o+(na-2+r<<3)>>3]>0.0){na=na+1|0}else{C=134;break e}}c[432130]=na;O=+Mz(d,o+((c[432110]|0)-1<<3)|0,o+(r-1<<3)|0,s,t)*100.0;L=+h[2373];oa=O*L;h[2377]=oa;if(oa>1.0){C=136;break}O=+h[2375];if(O<0.0){pa=-0.0-O}else{pa=O}h[z>>3]=pa;O=+h[j>>3];if(O<0.0){qa=-0.0-O}else{qa=O}h[2380]=L*4.0*(pa>=qa?pa:qa);do{if((c[k+24>>2]|0)!=0){L=+h[2382];if(L<0.0){ra=-0.0-L}else{ra=L}O=ra/+h[o+8>>3];if(!(O>1.0)){break}h[2382]=L/O}}while(0);Pz(19e3,f,g,d,b,u,19056,o+((c[432106]|0)-1<<3)|0,k,n,s,t,o+((c[432110]|0)-1<<3)|0,o+400|0,o+((c[432124]|0)-1<<3)|0,o+((c[432108]|0)-1<<3)|0,q,o+80|0,o+128|0,o+176|0,o+224|0,o+272|0,o+32|0,o+40|0,o+48|0,o+56|0,19040,o+64|0,q+20|0,q+16|0,q+24|0,q+28|0,q+32|0,k+36|0,1728328)|0;if((c[428908]|0)>0){C=231;break}r=c[n>>2]|0;if((r|0)<0){la=r;break}do{if((c[w>>2]|0)!=0){Jz(20064,v,w,d,19e3,j,f,o+((c[432124]|0)-1<<3)|0,o+((c[432110]|0)-1<<3)|0,o+224|0,q+28|0,o+((c[432116]|0)-1<<3)|0,o+((c[432114]|0)-1<<3)|0,o+((c[432112]|0)-1<<3)|0,x,1728512,o+64|0,0,o,q,s,t)|0;if((c[428908]|0)>0){C=231;break e}if((c[432128]|0)!=1){break}c[q+68>>2]=1;c[n>>2]=4;h[e>>3]=+h[o+320>>3];eA(d,o+((c[432124]|0)-1<<3)|0,20288,g,20288)|0;C=195;continue e}}while(0);r=(c[k+8>>2]|0)!=0;O=+h[2375];L=+h[2382];M=(O- +h[j>>3])*L;if((c[k+12>>2]|0)==0){if(!r){if(M<0.0){C=126;continue}Oz(19e3,j,f,g,d,q+28|0,o+((c[432110]|0)-1<<3)|0,o+224|0)|0;if((c[428908]|0)>0){C=231;break}c[n>>2]=3;h[e>>3]=+h[j>>3];C=195;continue}if(M<0.0){h[e>>3]=O;c[n>>2]=1;C=195;continue}Oz(19e3,j,f,g,d,q+28|0,o+((c[432110]|0)-1<<3)|0,o+224|0)|0;if((c[428908]|0)>0){C=231;break}c[n>>2]=3;h[e>>3]=+h[j>>3];C=195;continue}if(r){if(!(M<0.0)){Oz(19e3,j,f,g,d,q+28|0,o+((c[432110]|0)-1<<3)|0,o+224|0)|0;if((c[428908]|0)>0){C=231;break}h[e>>3]=+h[j>>3];c[n>>2]=3;C=195;continue}V=O- +h[2374];h[z>>3]=V;if(V<0.0){sa=-0.0-V}else{sa=V}if(O<0.0){ta=-0.0-O}else{ta=O}if(L<0.0){ua=-0.0-L}else{ua=L}if(sa>+h[2373]*100.0*(ta+ua)){h[e>>3]=O;c[n>>2]=1;C=195;continue}Oz(19e3,18992,f,g,d,q+28|0,o+((c[432110]|0)-1<<3)|0,o+224|0)|0;if((c[428908]|0)>0){C=231;break}c[n>>2]=2;h[e>>3]=+h[2374];C=195;continue}if(!(M<0.0)){Oz(19e3,j,f,g,d,q+28|0,o+((c[432110]|0)-1<<3)|0,o+224|0)|0;if((c[428908]|0)>0){C=231;break}h[e>>3]=+h[j>>3];c[n>>2]=3;C=195;continue}M=+h[2374];V=O-M;h[z>>3]=V;if(V<0.0){va=-0.0-V}else{va=V}if(O<0.0){wa=-0.0-O}else{wa=O}if(L<0.0){xa=-0.0-L}else{xa=L}if(va>+h[2373]*100.0*(wa+xa)){if(!(L*(O+L-M)>0.0)){C=126;continue}h[2382]=M-O;C=126;continue}else{Oz(19e3,18992,f,g,d,q+28|0,o+((c[432110]|0)-1<<3)|0,o+224|0)|0;if((c[428908]|0)>0){C=231;break}c[n>>2]=2;h[e>>3]=+h[2374];C=195;continue}}else if((C|0)==195){C=0;h[o+24>>3]=+h[2375];h[o+16>>3]=+h[2382];h[o+328>>3]=+h[e>>3];C=231;break}}do{if((C|0)==129){c[n>>2]=-1;la=-1}else if((C|0)==134){c[432130]=na;c[n>>2]=-3;la=-3}else if((C|0)==136){if((c[ma>>2]|0)!=1){h[l>>3]=oa*+h[l>>3];h[m>>3]=+h[2377]*+h[m>>3];c[n>>2]=-2;la=-2;break}r=c[d>>2]|0;c[432130]=1;if((r|0)>=1){p=0;I=1;O=oa;while(1){W=l+(p<<3)|0;h[W>>3]=O*+h[W>>3];W=m+(I-1<<3)|0;h[W>>3]=+h[2377]*+h[W>>3];ya=I+1|0;if((ya|0)>(r|0)){break}p=I;I=ya;O=+h[2377]}c[432130]=ya}c[n>>2]=-2;la=-2}else if((C|0)==231){i=y;return 0}}while(0);I=-la|0;c[432126]=I;switch(I|0){case 9:{kQ(1728344,1675816,80,44);Hz(1728344,20040,19824,1728800,1728800,1728800,1728800,20136,19e3,19056,80)|0;kQ(1728344,1661560,80,49);Hz(1728344,19992,19816,1728800,1728800,1728800,1728800,1728800,19656,19656,80)|0;kQ(1728344,1660408,80,38);Hz(1728344,20088,19808,1728800,1728800,1728800,1728800,1728800,19656,19656,80)|0;break};case 2:{kQ(1728344,35240,80,47);Hz(1728344,20016,19920,1728800,1728800,1728800,1728800,20288,19e3,19656,80)|0;kQ(1728344,30472,80,48);Hz(1728344,20008,19912,1728800,1728800,1728800,1728800,1728800,19656,19656,80)|0;kQ(1728344,27216,80,45);Hz(1728344,20032,19904,1728800,1728800,1728800,1728800,1728800,19656,19656,80)|0;break};case 3:{kQ(1728344,23184,80,38);Hz(1728344,20088,19896,1728800,1728800,1728800,1728800,20288,19e3,19656,80)|0;kQ(1728344,1679976,80,28);Hz(1728344,20152,19888,1728800,1728800,1728800,1728800,1728800,19656,19656,80)|0;break};case 6:{kQ(1728344,1675816,80,44);Hz(1728344,20040,19880,1728800,1728800,1728800,1728800,20136,19e3,19056,80)|0;kQ(1728344,1671992,80,57);Hz(1728344,19960,19872,1728800,1728800,1728800,1728800,1728800,19656,19656,80)|0;break};case 7:{kQ(1728344,1675816,80,44);Hz(1728344,20040,19864,1728800,1728800,1728800,1728800,20136,19e3,19056,80)|0;kQ(1728344,1668800,80,48);Hz(1728344,20008,19856,1728800,1728800,1728800,1728800,1728800,19656,19656,80)|0;kQ(1728344,1666184,80,28);Hz(1728344,20152,19848,1728800,1728800,1728800,1728800,1728800,19656,19656,80)|0;break};case 8:{kQ(1728344,1675816,80,44);Hz(1728344,20040,19840,1728800,1728800,1728800,1728800,20136,19e3,19056,80)|0;kQ(1728344,1663568,80,37);Hz(1728344,20096,19832,1728800,1728800,1728800,1728800,1728800,19656,19656,80)|0;break};case 10:{kQ(1728344,1675816,80,44);Hz(1728344,20040,19800,1728800,1728800,1728800,1728800,20136,19e3,19056,80)|0;kQ(1728344,1659472,80,45);Hz(1728344,20032,19792,1728800,1728800,1728800,1728800,1728800,19656,19656,80)|0;kQ(1728344,1658672,80,36);Hz(1728344,20104,19784,1728800,1728800,1728800,1728800,1728800,19656,19656,80)|0;break};case 11:{kQ(1728344,1657928,80,40);Hz(1728344,20056,19776,1728800,1728800,1728800,1728800,20136,19e3,19056,80)|0;kQ(1728344,1656496,80,36);Hz(1728344,20104,19768,1728800,1728800,1728800,1728800,1728800,19656,19656,80)|0;break};case 12:{kQ(1728344,1675816,80,44);Hz(1728344,20040,19760,1728800,1728800,1728800,1728800,20136,19e3,19032,80)|0;kQ(1728344,1654984,80,45);Hz(1728344,20032,19752,1728800,1728800,1728800,1728800,1728800,19656,19656,80)|0;break};case 4:case 5:{break};default:{kQ(1728344,1631184,80,38);Hz(1728344,20088,19936,1728800,1728800,1728800,1728800,20288,19e3,19656,80)|0;kQ(1728344,40200,80,48);Hz(1728344,20008,19928,1728800,1728800,1728800,1728800,1728800,19656,19656,80)|0}}c[k>>2]=-1;h[e>>3]=+h[2375];h[o+24>>3]=+h[2375];h[o+16>>3]=+h[2382];i=y;return 0}else if((C|0)==213){kQ(1728344,1648512,80,39);Hz(1728344,20072,19744,1728800,1728800,1728800,1728800,1728800,19656,19656,80)|0;break c}else if((C|0)==214){kQ(1728344,1647592,80,39);Hz(1728344,20072,19736,1728800,1728800,1728800,1728800,1728800,19656,19656,80)|0;break c}}}while(0);kQ(1728344,1646576,80,47);Hz(1728344,20016,19712,1728800,1728800,1728800,1728800,1728800,19656,19656,80)|0}else if((C|0)==208){kQ(1728344,1653856,80,55);Hz(1728344,19968,20288,1728800,1728800,1728800,1728800,1728800,19656,19656,80)|0}}while(0);if((C|0)==225){kQ(1728344,1636880,80,39);Hz(1728344,20072,20208,1728800,1728800,1728800,1728800,20136,j,e,80)|0}if((c[k>>2]|0)==-1){kQ(1728344,1632488,80,46);Hz(1728344,20024,19728,1728800,1728800,1728800,1728800,1728800,19656,19656,80)|0;kQ(1728344,1631832,80,47);Hz(1728344,20016,19720,20288,1728800,1728800,1728800,1728800,19656,19656,80)|0;i=y;return 0}else{c[k>>2]=-1;c[n>>2]=-33;i=y;return 0}return 0}function Jz(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;var z=0,A=0.0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0,K=0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0.0,W=0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0,ga=0,ha=0,ia=0;u=c[f>>2]|0;z=~u;A=+h[m>>3];h[2232]=A;c[s>>2]=0;B=c[e>>2]|0;c[431532]=1;if((B|0)>=1){C=1;do{c[r+(C-1<<2)>>2]=0;C=(c[431532]|0)+1|0;c[431532]=C;}while((C|0)<=(B|0))}D=+h[g>>3];if(D<0.0){E=-0.0-D}else{E=D}if(A<0.0){F=-0.0-A}else{F=A}h[2231]=(E+F)*+h[t>>3]*100.0;t=c[b>>2]|0;do{if((t|0)==3){G=+h[g>>3];H=A}else if((t|0)==2){do{if((c[w+68>>2]|0)!=0){b=v+320|0;Oz(g,b,j,k,f,n,l,m)|0;if((c[428908]|0)>0){return 0}B=d;Td[B&15](f,b,j,e,o,x,y)|0;if((c[428908]|0)>0){return 0}C=w+60|0;c[C>>2]=(c[C>>2]|0)+1;a[17808]=0;I=c[e>>2]|0;c[431532]=1;if((I|0)<1){break}else{J=1;K=0}while(1){F=+h[o+(J-1<<3)>>3];if(F<0.0){L=-0.0-F}else{L=F}if(L>0.0){M=K}else{a[17808]=1;M=1}N=J+1|0;if((N|0)>(I|0)){break}else{J=N;K=M}}c[431532]=N;if(!M){break}F=+hQ(17848,17856);h[2229]=F;E=F+ +h[b>>3];h[b>>3]=E;F=+h[2232];do{if((E- +h[g>>3])*F<0.0){Oz(g,b,j,k,f,n,l,m)|0;if((c[428908]|0)<=0){break}return 0}else{D=+h[2229]/F;h[2228]=D;I=c[f>>2]|0;c[431532]=1;if((I|0)<1){break}O=(u<<1)+z|0;P=1;Q=2;R=D;while(1){S=j+(P-1<<3)|0;h[S>>3]=+h[S>>3]+R*+h[l+(O+P<<3)>>3];if((Q|0)>(I|0)){break}P=Q;Q=Q+1|0;R=+h[2228]}c[431532]=Q}}while(0);Td[B&15](f,b,j,e,o,x,y)|0;if((c[428908]|0)>0){return 0}c[C>>2]=(c[C>>2]|0)+1;a[17808]=0;P=c[e>>2]|0;c[431532]=1;if((P|0)<1){break}else{T=1;U=0}while(1){I=T-1|0;F=+h[o+(I<<3)>>3];if(F<0.0){V=-0.0-F}else{V=F}if(V>0.0){W=U;X=T}else{c[r+(I<<2)>>2]=1;a[17808]=1;W=1;X=c[431532]|0}I=X+1|0;c[431532]=I;if((I|0)>(P|0)){break}else{T=I;U=W}}if(!W){break}c[s>>2]=1;return 0}}while(0);F=+h[g>>3];if(F==+h[v+328>>3]){return 0}else{G=F;H=+h[2232];break}}else{P=v+320|0;Oz(g,P,j,k,f,n,l,m)|0;if((c[428908]|0)>0){return 0}C=d;Td[C&15](f,P,j,e,o,x,y)|0;if((c[428908]|0)>0){return 0}b=w+60|0;c[b>>2]=1;a[17808]=0;B=c[e>>2]|0;c[431532]=1;if((B|0)<1){return 0}else{Y=1;Z=0}while(1){F=+h[o+(Y-1<<3)>>3];if(F<0.0){_=-0.0-F}else{_=F}if(_>0.0){$=Z}else{a[17808]=1;$=1}aa=Y+1|0;if((aa|0)>(B|0)){break}else{Y=aa;Z=$}}c[431532]=aa;if(!$){return 0}F=+hQ(17848,17856);h[2229]=F;h[P>>3]=F+ +h[P>>3];F=+h[2229]/+h[2232];h[2228]=F;B=c[f>>2]|0;c[431532]=1;if((B|0)>=1){I=(u<<1)+z|0;O=1;S=2;E=F;while(1){ba=j+(O-1<<3)|0;h[ba>>3]=+h[ba>>3]+E*+h[l+(I+O<<3)>>3];if((S|0)>(B|0)){break}O=S;S=S+1|0;E=+h[2228]}c[431532]=S}Td[C&15](f,P,j,e,o,x,y)|0;if((c[428908]|0)>0){return 0}c[b>>2]=(c[b>>2]|0)+1;a[17808]=0;O=c[e>>2]|0;c[431532]=1;if((O|0)<1){return 0}else{ca=1;da=0}while(1){E=+h[o+(ca-1<<3)>>3];if(E<0.0){ea=-0.0-E}else{ea=E}if(ea>0.0){fa=da}else{a[17808]=1;fa=1}ga=ca+1|0;if((ga|0)>(O|0)){break}else{ca=ga;da=fa}}c[431532]=ga;if(!fa){return 0}c[s>>2]=-1;return 0}}while(0);ea=+h[i>>3];do{if((ea-G)*H<0.0){h[2230]=ea;if(!((ea- +h[v+320>>3])*H>0.0)){return 0}Oz(g,17840,j,k,f,n,l,m)|0;if((c[428908]|0)<=0){break}return 0}else{h[2230]=G;i=c[f>>2]|0;c[431532]=1;if((i|0)<1){break}else{ha=1}do{fa=ha-1|0;h[j+(fa<<3)>>3]=+h[l+(fa<<3)>>3];ha=ha+1|0;}while((ha|0)<=(i|0));c[431532]=ha}}while(0);ha=d;Td[ha&15](f,17840,j,e,p,x,y)|0;if((c[428908]|0)>0){return 0}d=w+60|0;c[d>>2]=(c[d>>2]|0)+1;c[431530]=0;i=v+320|0;fa=w+76|0;ga=w+72|0;w=v+336|0;da=v+344|0;while(1){Kz(e,17848,1726120,i,17840,o,p,q,17816,r,fa,ga,w,da)|0;if((c[428908]|0)>0){ia=76;break}if((c[431530]|0)>1){ia=73;break}Oz(g,17816,j,k,f,n,l,m)|0;if((c[428908]|0)>0){ia=76;break}Td[ha&15](f,17816,j,e,q,x,y)|0;if((c[428908]|0)>0){ia=76;break}c[d>>2]=(c[d>>2]|0)+1}if((ia|0)==73){h[i>>3]=+h[2227];eA(e,q,20288,o,20288)|0;if((c[431530]|0)==4){return 0}Oz(g,17816,j,k,f,n,l,m)|0;if((c[428908]|0)>0){return 0}c[s>>2]=1;return 0}else if((ia|0)==76){return 0}return 0}function Kz(b,d,e,f,g,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0.0,z=0.0,A=0,B=0.0,C=0.0,D=0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0.0,K=0.0,L=0.0,M=0.0;do{if((c[e>>2]|0)==1){c[431526]=c[n>>2];c[n>>2]=0;h[2224]=0.0;a[17776]=0;r=c[b>>2]|0;c[431528]=1;if((r|0)>=1){s=1;do{t=s-1|0;u=+h[k+(t<<3)>>3];if(u<0.0){v=-0.0-u}else{v=u}do{if(v>0.0){u=+hQ(19640,i+(t<<3)|0);if(u==+hQ(19640,k+((c[431528]|0)-1<<3)|0)){break}w=c[431528]|0;x=w-1|0;u=+h[k+(x<<3)>>3];y=u/(u- +h[i+(x<<3)>>3]);if(y<0.0){z=-0.0-y}else{z=y}if(!(z>+h[2224])){break}h[2224]=z;c[n>>2]=w}else{a[17776]=1}}while(0);s=(c[431528]|0)+1|0;c[431528]=s;}while((s|0)<=(r|0))}do{if((c[n>>2]|0)>0){a[17800]=1;c[431524]=c[o>>2];h[g>>3]=+h[q>>3];eA(b,k,20288,j,20288)|0;c[o>>2]=1;a[17784]=0;A=0}else{a[17800]=0;c[n>>2]=c[431526];c[431524]=c[o>>2];if(a[17776]|0){h[g>>3]=+h[q>>3];eA(b,k,20288,j,20288)|0;a[17784]=1;A=1;break}else{eA(b,k,20288,i,20288)|0;h[f>>3]=+h[q>>3];c[o>>2]=0;a[17784]=0;A=0;break}}}while(0);y=+h[g>>3];u=y- +h[f>>3];if(u<0.0){B=-0.0-u}else{B=u}if(B>+h[d>>3]){if(!A){break}C=+h[g>>3]}else{a[17784]=1;C=y}c[e>>2]=2;h[l>>3]=C;eA(b,j,20288,k,20288)|0;r=c[b>>2]|0;c[431528]=1;if((r|0)<1){return 0}else{D=1}do{c[m+(D-1<<2)>>2]=0;s=(c[431528]|0)-1|0;y=+h[j+(s<<3)>>3];if(y<0.0){E=-0.0-y}else{E=y}do{if(E>0.0){y=+hQ(19640,i+(s<<3)|0);if(!(y!=+hQ(19640,j+((c[431528]|0)-1<<3)|0))){break}c[m+((c[431528]|0)-1<<2)>>2]=1}else{c[m+(s<<2)>>2]=1}}while(0);D=(c[431528]|0)+1|0;c[431528]=D;}while((D|0)<=(r|0));return 0}else{c[n>>2]=0;h[2224]=0.0;a[17776]=0;r=c[b>>2]|0;c[431528]=1;if((r|0)>=1){s=1;do{t=s-1|0;y=+h[j+(t<<3)>>3];if(y<0.0){F=-0.0-y}else{F=y}do{if(F>0.0){y=+hQ(19640,i+(t<<3)|0);if(y==+hQ(19640,j+((c[431528]|0)-1<<3)|0)){break}w=c[431528]|0;x=w-1|0;y=+h[j+(x<<3)>>3];u=y/(y- +h[i+(x<<3)>>3]);if(u<0.0){G=-0.0-u}else{G=u}if(!(G>+h[2224])){break}h[2224]=G;c[n>>2]=w}else{a[17776]=1}}while(0);s=(c[431528]|0)+1|0;c[431528]=s;}while((s|0)<=(r|0))}r=(c[n>>2]|0)>0;a[17800]=r;if(r){a[17784]=0;c[431524]=0;c[o>>2]=1;break}if(!(a[17776]|0)){eA(b,j,20288,k,20288)|0;h[l>>3]=+h[g>>3];c[e>>2]=4;return 0}h[l>>3]=+h[g>>3];eA(b,j,20288,k,20288)|0;r=c[b>>2]|0;c[431528]=1;if((r|0)>=1){s=1;do{c[m+(s-1<<2)>>2]=0;t=c[431528]|0;w=t-1|0;u=+h[j+(w<<3)>>3];if(u<0.0){H=-0.0-u}else{H=u}if(H>0.0){I=t}else{c[m+(w<<2)>>2]=1;I=c[431528]|0}s=I+1|0;c[431528]=s;}while((s|0)<=(r|0))}c[e>>2]=3;return 0}}while(0);I=c[431524]|0;do{if((I|0)==(c[o>>2]|0)){H=+h[p>>3];if((I|0)==0){G=H*2.0;h[p>>3]=G;J=G;break}else{G=H*.5;h[p>>3]=G;J=G;break}}else{h[p>>3]=1.0;J=1.0}}while(0);G=+h[g>>3];p=(c[n>>2]|0)-1|0;H=+h[j+(p<<3)>>3];F=G-(G- +h[f>>3])*H/(H-J*+h[i+(p<<3)>>3]);h[q>>3]=F;J=+h[f>>3];H=F-J;if(H<0.0){K=-0.0-H}else{K=H}H=+h[d>>3];do{if(K<H){G=+h[g>>3]-J;if(G<0.0){L=-0.0-G}else{L=G}if(!(L>H*10.0)){M=F;break}E=J+G*.1;h[q>>3]=E;M=E}else{M=F}}while(0);c[e>>2]=1;h[l>>3]=M;return 0}function Lz(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0.0,m=0,n=0.0,o=0.0;h[2347]=+h[d>>3];h[2348]=+h[e>>3];j=c[a>>2]|0;c[432044]=1;if((j|0)<1){return 0}else{k=1}do{if((c[b>>2]|0)==0){l=+h[2347];m=k-1|0}else{a=k-1|0;n=+h[d+(a<<3)>>3];h[2347]=n;h[2348]=+h[e+(a<<3)>>3];l=n;m=a}n=+h[f+(m<<3)>>3];if(n<0.0){o=-0.0-n}else{o=n}h[g+(m<<3)>>3]=l*o+ +h[2348];k=k+1|0;c[432044]=k;}while((k|0)<=(j|0));return 0}function Mz(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0.0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0,p=0.0;h[2385]=0.0;f=c[a>>2]|0;c[432134]=1;if((f|0)<1){g=0.0;return+g}else{i=1;j=0.0}while(1){e=i-1|0;k=+h[b+(e<<3)>>3]/+h[d+(e<<3)>>3];if(k<0.0){l=-0.0-k}else{l=k}if(l>j){e=i-1|0;k=+h[b+(e<<3)>>3]/+h[d+(e<<3)>>3];if(k<0.0){m=-0.0-k}else{m=k}h[2385]=m;n=m}else{n=j}o=i+1|0;if((o|0)>(f|0)){break}else{i=o;j=n}}c[432134]=o;if(!(n>0.0)){g=0.0;return+g}h[2386]=0.0;o=c[a>>2]|0;c[432134]=1;if((o|0)<1){p=0.0}else{i=1;j=0.0;do{f=i-1|0;m=+h[b+(f<<3)>>3]/+h[d+(f<<3)>>3]/n;j=j+m*m;h[2386]=j;i=i+1|0;}while((i|0)<=(o|0));c[432134]=i;p=j}g=n*+W(p/+(c[a>>2]|0));return+g}function Nz(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;var y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0.0,V=0.0,W=0.0;y=i;i=i+16|0;z=y|0;A=y+8|0;B=c[f>>2]|0;c[m>>2]=1;c[432170]=0;c[432172]=0;c[432168]=0;h[2393]=+h[b>>3];h[2392]=+Mz(f,d,l,0,0);C=c[f>>2]|0;c[432180]=1;D=(B<<1)+~B|0;if((C|0)>=1){B=1;do{E=B-1|0;h[p+(E<<3)>>3]=+h[d+(E<<3)>>3];h[p+(D+B<<3)>>3]=+h[e+(B-1<<3)>>3];B=B+1|0;}while((B|0)<=(C|0));c[432180]=B}B=t+44|0;C=g;E=t+48|0;F=+h[k>>3];a:while(1){h[2401]=1.0/F;h[b>>3]=+h[k>>3]+ +h[b>>3];G=c[f>>2]|0;c[432180]=1;if((G|0)>=1){H=1;do{I=H-1|0;J=d+(I<<3)|0;h[J>>3]=+h[J>>3]+ +h[k>>3]*+h[e+(I<<3)>>3];H=H+1|0;}while((H|0)<=(G|0));c[432180]=H}a[19176]=1;c[432174]=0;a[19200]=1;c[B>>2]=(c[B>>2]|0)+1;c[432176]=0;Td[C&15](b,d,e,q,1728704,n,o)|0;b:do{if((c[432176]|0)<0){K=35}else{while(1){if(a[19176]|0){c[E>>2]=(c[E>>2]|0)+1;a[19176]=0;Qz(f,b,d,e,q,19208,k,1728712,l,r,s,t,g,1728704,v,j,n,o,x)|0;h[2394]=1.0e6;if((c[432176]|0)<0|(c[432178]|0)!=0){K=35;break b}c[432168]=0}G=c[f>>2]|0;c[432180]=1;if((G|0)>=1){I=1;do{J=q+(I-1<<3)|0;h[J>>3]=+h[J>>3]*.75;I=I+1|0;}while((I|0)<=(G|0));c[432180]=I}Rz(f,q,s,t)|0;G=c[f>>2]|0;c[432180]=1;if((G|0)>=1){J=1;do{L=J-1|0;M=d+(L<<3)|0;h[M>>3]=+h[M>>3]- +h[q+(L<<3)>>3];L=J-1|0;M=e+(L<<3)|0;h[M>>3]=+h[M>>3]- +h[2401]*+h[q+(L<<3)>>3];J=J+1|0;}while((J|0)<=(G|0));c[432180]=J}N=+Mz(f,q,l,0,0);h[2399]=N;if(!(N>+h[v>>3]*100.0*+h[2392])){break}G=c[432174]|0;if((G|0)>0){h[z>>3]=N/+h[2396];h[A>>3]=1.0/+(G|0);O=+fQ(z,A);if(O>.9){K=35;break b}P=O/(1.0-O);h[2394]=P;Q=P;R=+h[2399]}else{h[2396]=N;Q=+h[2394];R=N}if(!(Q*R>.33)){break}G=(c[432174]|0)+1|0;c[432174]=G;if((G|0)>9){K=35;break b}if(((G|0)%5|0|0)==0){a[19176]=1}c[B>>2]=(c[B>>2]|0)+1;c[432176]=0;Td[C&15](b,d,e,q,1728704,n,o)|0;if((c[432176]|0)<0){K=35;break b}}do{if((c[w>>2]|0)!=0){G=c[f>>2]|0;c[432180]=1;if((G|0)>=1){I=1;do{S=+h[d+(I-1<<3)>>3];h[q+(I-1<<3)>>3]=S<=0.0?S:0.0;I=I+1|0;}while((I|0)<=(G|0));h[z>>3]=S;c[432180]=I}N=+Mz(f,q,l,0,0);h[2399]=N;if(N>.33){K=35;break b}G=c[f>>2]|0;c[432180]=1;if((G|0)<1){break}else{T=1}do{J=T-1|0;L=d+(J<<3)|0;h[L>>3]=+h[L>>3]- +h[q+(J<<3)>>3];J=T-1|0;L=e+(J<<3)|0;h[L>>3]=+h[L>>3]- +h[2401]*+h[q+(J<<3)>>3];T=T+1|0;}while((T|0)<=(G|0));c[432180]=T}}while(0);if(!(a[19200]|0)){break}G=c[f>>2]|0;c[432180]=1;if((G|0)>=1){I=1;do{J=I-1|0;h[r+(J<<3)>>3]=+h[d+(J<<3)>>3]- +h[p+(J<<3)>>3];I=I+1|0;}while((I|0)<=(G|0));c[432180]=I}N=+Mz(f,r,l,0,0);h[2398]=N;if(!(N>1.0)){K=63;break a}}}while(0);if((K|0)==35){K=0;a[19200]=0}h[b>>3]=+h[2393];H=c[f>>2]|0;c[432180]=1;if((H|0)>=1){G=1;do{J=G-1|0;h[d+(J<<3)>>3]=+h[p+(J<<3)>>3];h[e+(G-1<<3)>>3]=+h[p+(D+G<<3)>>3];G=G+1|0;}while((G|0)<=(H|0));c[432180]=G}if(a[19200]|0){H=(c[432170]|0)+1|0;c[432170]=H;N=.9/(+h[2398]*2.0+1.0e-4);h[z>>3]=.1;P=N>=.5?.5:N;h[A>>3]=P;N=P<=.1?.1:P;h[2395]=N;P=+h[k>>3]*N;h[k>>3]=P;if(P<0.0){U=-0.0-P}else{U=P}if(U>=+h[u>>3]&(H|0)<10){F=P;continue}else{K=62;break}}if((c[432178]|0)!=0){H=(c[432168]|0)+1|0;c[432168]=H;P=+h[k>>3]*.25;h[k>>3]=P;if((H|0)>=3){K=51;break}if(P<0.0){V=-0.0-P}else{V=P}if(V<+h[u>>3]){K=51;break}else{F=P;continue}}if(!((c[432176]|0)>-2)){K=53;break}H=(c[432172]|0)+1|0;c[432172]=H;P=+h[k>>3]*.25;h[k>>3]=P;if((H|0)>=10){K=58;break}if(P<0.0){W=-0.0-P}else{W=P}if(W<+h[u>>3]){K=58;break}else{F=P}}if((K|0)==51){c[m>>2]=-12;i=y;return 0}else if((K|0)==53){c[m>>2]=-12;i=y;return 0}else if((K|0)==58){c[m>>2]=-12;i=y;return 0}else if((K|0)==62){c[m>>2]=-12;i=y;return 0}else if((K|0)==63){i=y;return 0}return 0}function Oz(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0;k=c[f>>2]|0;l=~k;m=(c[g>>2]|0)+1|0;c[432046]=m;n=+h[b>>3]- +h[a>>3];h[2349]=n;a=c[f>>2]|0;c[432050]=1;if((a|0)<1){o=n}else{b=1;do{g=b-1|0;h[d+(g<<3)>>3]=+h[i+(g<<3)>>3];h[e+(b-1<<3)>>3]=0.0;b=b+1|0;}while((b|0)<=(a|0));c[432050]=b;o=+h[2349]}h[2352]=1.0;h[2351]=0.0;n=o/+h[j>>3];h[2350]=n;c[432048]=2;if((m|0)<2){return 0}else{p=2;q=0.0;r=n;s=1.0;t=o}while(1){b=j+(p-2<<3)|0;h[2351]=q*r+s/+h[b>>3];o=r*s;h[2352]=o;h[2350]=(t+ +h[b>>3])/+h[j+(p-1<<3)>>3];b=c[f>>2]|0;c[432050]=1;if((b|0)>=1){a=ga(p,k)|0;g=1;n=o;while(1){u=d+(g-1<<3)|0;h[u>>3]=+h[u>>3]+n*+h[i+(g+l+a<<3)>>3];u=e+(g-1<<3)|0;h[u>>3]=+h[u>>3]+ +h[2351]*+h[i+(g+l+a<<3)>>3];v=g+1|0;if((v|0)>(b|0)){break}g=v;n=+h[2352]}c[432050]=v}g=p+1|0;c[432048]=g;if((g|0)>(m|0)){break}p=g;q=+h[2351];r=+h[2350];s=+h[2352];t=+h[2349]}return 0}



function Pz(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,A,B,C,D,E,F,G,H,I,J,K,L,M){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;z=z|0;A=A|0;B=B|0;C=C|0;D=D|0;E=E|0;F=F|0;G=G|0;H=H|0;I=I|0;J=J|0;K=K|0;L=L|0;M=M|0;var N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0.0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0.0,ta=0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0,Ba=0,Ca=0.0,Da=0,Ea=0,Fa=0,Ga=0.0,Ha=0;N=i;i=i+16|0;O=N|0;P=N+8|0;Q=c[f>>2]|0;R=~Q;c[n>>2]=1;h[2353]=+h[b>>3];c[432058]=0;c[432054]=0;c[432056]=0;S=u+52|0;if((c[m>>2]|0)==0){c[S>>2]=0;T=u+56|0;c[T>>2]=0;c[I>>2]=1;c[J>>2]=0;h[C>>3]=0.0;c[m>>2]=1;h[y>>3]=+h[k>>3];U=1.0/+h[k>>3];h[B>>3]=U;h[A>>3]=U;h[D>>3]=100.0;c[H>>2]=-1;h[2367]=1.0;c[G>>2]=0;c[K>>2]=0;V=T}else{V=u+56|0}T=u+44|0;m=g;W=u+48|0;while(1){c[432064]=(c[I>>2]|0)+1;c[432062]=(c[I>>2]|0)+2;c[432068]=(c[I>>2]|0)-1;h[2353]=+h[b>>3];do{if(+h[k>>3]!=+h[C>>3]){X=8}else{Y=c[I>>2]|0;if((Y|0)!=(c[J>>2]|0)){X=8;break}Z=Y;_=(c[K>>2]|0)+1|0}}while(0);if((X|0)==8){X=0;c[K>>2]=0;Z=c[J>>2]|0;_=1}Y=Z+2|0;$=(_|0)<=(Y|0)?_:Y;c[K>>2]=$;c[432052]=$+1;$=c[432064]|0;if(($|0)>=(c[K>>2]|0)){h[w>>3]=1.0;h[v>>3]=1.0;h[2357]=+h[k>>3];h[x>>3]=0.0;h[z>>3]=1.0;c[432080]=2;if(($|0)>=2){Y=2;do{h[2356]=+h[y+(Y-2<<3)>>3];U=+h[2357];aa=Y-2|0;h[y+(aa<<3)>>3]=U;ba=Y-1|0;h[w+(ba<<3)>>3]=+h[w+(aa<<3)>>3]*U/+h[2356];U=+h[2356]+ +h[k>>3];h[2357]=U;ca=+h[k>>3]/U;h[v+(ba<<3)>>3]=ca;h[z+(ba<<3)>>3]=ca*+h[z+(aa<<3)>>3]*+(ba|0);h[x+(ba<<3)>>3]=+h[x+(aa<<3)>>3]+ +h[v+(aa<<3)>>3]/+h[k>>3];Y=Y+1|0;}while((Y|0)<=($|0));c[432080]=Y}h[y+($-1<<3)>>3]=+h[2357]}h[2371]=0.0;h[2372]=0.0;aa=c[I>>2]|0;c[432080]=1;if((aa|0)<1){da=0.0}else{ba=1;ca=0.0;U=0.0;do{ca=ca-1.0/+(ba|0);h[2371]=ca;U=U- +h[v+(ba-1<<3)>>3];h[2372]=U;ba=ba+1|0;}while((ba|0)<=(aa|0));c[432080]=ba;da=ca}h[2370]=+h[A>>3];h[A>>3]=(-0.0-da)/+h[k>>3];aa=v+($-1<<3)|0;U=+h[aa>>3]+ +h[2371]- +h[2372];h[O>>3]=U;if(U<0.0){ea=-0.0-U}else{ea=U}h[2369]=ea;h[O>>3]=ea;U=+h[aa>>3];h[P>>3]=U;h[2369]=ea>=U?ea:U;h[2357]=.6;h[2356]=1.6666666666666667;U=+h[A>>3];fa=U/+h[B>>3];if(fa<.6|fa>1.6666666666666667){c[H>>2]=-1}if(U!=+h[2370]){h[D>>3]=100.0}aa=c[432064]|0;Y=c[432052]|0;if((aa|0)>=(Y|0)){c[432074]=Y;ha=Y;do{Y=c[f>>2]|0;c[432080]=1;if((Y|0)>=1){ia=1;do{ja=q+(ia+R+(ga(ha,Q)|0)<<3)|0;h[ja>>3]=+h[w+(ha-1<<3)>>3]*+h[ja>>3];ia=ia+1|0;}while((ia|0)<=(Y|0));c[432080]=ia}ha=ha+1|0;c[432074]=ha;}while((ha|0)<=(aa|0))}h[b>>3]=+h[k>>3]+ +h[b>>3];a:while(1){aa=c[f>>2]|0;c[432080]=1;if((aa|0)>=1){ha=1;do{$=ha-1|0;h[d+($<<3)>>3]=+h[q+($<<3)>>3];h[e+(ha-1<<3)>>3]=0.0;ha=ha+1|0;}while((ha|0)<=(aa|0));c[432080]=ha}aa=c[432064]|0;c[432074]=2;if((aa|0)>=2){ia=2;do{$=c[f>>2]|0;c[432080]=1;if(($|0)>=1){ba=x+(ia-1<<3)|0;Y=ga(ia,Q)|0;ja=Y+R|0;ka=1;do{la=d+(ka-1<<3)|0;h[la>>3]=+h[q+(ka+R+Y<<3)>>3]+ +h[la>>3];la=e+(ka-1<<3)|0;h[la>>3]=+h[la>>3]+ +h[ba>>3]*+h[q+(ja+ka<<3)>>3];ka=ka+1|0;}while((ka|0)<=($|0));c[432080]=ka}ia=ia+1|0;c[432074]=ia;}while((ia|0)<=(aa|0))}h[2359]=+Mz(f,d,l,0,0);a[18944]=1;c[432060]=0;c[T>>2]=(c[T>>2]|0)+1;c[432076]=0;Td[m&15](b,d,e,r,1728304,o,p)|0;if((c[432076]|0)<0){X=70;break}if((c[H>>2]|0)==-1){c[W>>2]=(c[W>>2]|0)+1;c[H>>2]=0;Qz(f,b,d,e,r,A,k,1728312,l,s,t,u,g,1728304,F,j,o,p,M)|0;h[B>>3]=+h[A>>3];h[D>>3]=100.0;if((c[432076]|0)<0|(c[432078]|0)!=0){X=70;break}c[432054]=0}aa=c[f>>2]|0;c[432080]=1;if((aa|0)>=1){ia=1;do{h[s+(ia-1<<3)>>3]=0.0;ia=ia+1|0;}while((ia|0)<=(aa|0));c[432080]=ia}while(1){ca=2.0/(+h[A>>3]/+h[B>>3]+1.0);h[2357]=ca;aa=c[f>>2]|0;c[432080]=1;if((aa|0)>=1){ha=0;$=1;U=ca;while(1){ja=r+(ha<<3)|0;h[ja>>3]=U*+h[ja>>3];ma=$+1|0;if((ma|0)>(aa|0)){break}ha=$;$=ma;U=+h[2357]}c[432080]=ma}Rz(f,r,t,u)|0;$=c[f>>2]|0;c[432080]=1;if(($|0)>=1){ha=1;do{aa=ha-1|0;ka=d+(aa<<3)|0;h[ka>>3]=+h[ka>>3]- +h[r+(aa<<3)>>3];aa=ha-1|0;ka=r+(aa<<3)|0;ja=s+(aa<<3)|0;h[ja>>3]=+h[ja>>3]- +h[ka>>3];ja=e+(aa<<3)|0;h[ja>>3]=+h[ja>>3]- +h[A>>3]*+h[ka>>3];ha=ha+1|0;}while((ha|0)<=($|0));c[432080]=ha}U=+Mz(f,r,l,0,0);h[2367]=U;if(!(U>+h[F>>3]*100.0*+h[2359])){X=63;break a}$=c[432060]|0;if(($|0)>0){h[O>>3]=U/+h[2360];h[P>>3]=1.0/+($|0);ca=+fQ(O,P);if(ca>.9){break}fa=ca/(1.0-ca);h[D>>3]=fa;na=fa;oa=+h[2367]}else{h[2360]=U;na=+h[D>>3];oa=U}if(!(na*oa>.33)){X=63;break a}$=(c[432060]|0)+1|0;c[432060]=$;if(($|0)>3){break}c[T>>2]=(c[T>>2]|0)+1;c[432076]=0;Td[m&15](b,d,e,r,1728304,o,p)|0;if((c[432076]|0)<0){X=70;break a}}if((c[H>>2]|0)==0){X=70;break}c[H>>2]=-1}do{if((X|0)==63){X=0;if((c[L>>2]|0)==0){break}ia=c[f>>2]|0;c[432080]=1;if((ia|0)>=1){$=1;do{pa=+h[d+($-1<<3)>>3];h[r+($-1<<3)>>3]=pa<=0.0?pa:0.0;$=$+1|0;}while(($|0)<=(ia|0));h[O>>3]=pa;c[432080]=$}U=+Mz(f,r,l,0,0);h[2367]=U;if(U>.33){X=70;break}ia=c[f>>2]|0;c[432080]=1;if((ia|0)<1){break}else{qa=1}do{ka=qa-1|0;ja=s+(ka<<3)|0;h[ja>>3]=+h[ja>>3]- +h[r+(ka<<3)>>3];qa=qa+1|0;}while((qa|0)<=(ia|0));c[432080]=qa}}while(0);if((X|0)==70){X=0;a[18944]=0}c[H>>2]=1;if(a[18944]|0){U=+Mz(f,s,l,0,0);h[2366]=U;ia=c[I>>2]|0;fa=U*+h[z+(ia<<3)>>3];h[2365]=fa;h[2355]=fa*+(ia+1|0);h[2362]=fa;c[432066]=ia;do{if((c[I>>2]|0)!=1){ia=c[f>>2]|0;c[432080]=1;if((ia|0)>=1){$=ga(c[432064]|0,Q)|0;ka=1;do{ja=ka-1|0;h[r+(ja<<3)>>3]=+h[q+(ka+R+$<<3)>>3]+ +h[s+(ja<<3)>>3];ka=ka+1|0;}while((ka|0)<=(ia|0));c[432080]=ka}fa=+h[z+((c[I>>2]|0)-1<<3)>>3];U=fa*+Mz(f,r,l,0,0);h[2364]=U;ia=c[I>>2]|0;fa=U*+(ia|0);h[2354]=fa;if((ia|0)>2){$=c[f>>2]|0;c[432080]=1;ja=c[I>>2]|0;if(($|0)<1){ra=ja}else{aa=1;ba=ja;while(1){ca=+h[q+(aa+R+(ga(ba,Q)|0)<<3)>>3];ja=r+(aa-1<<3)|0;h[ja>>3]=ca+ +h[ja>>3];ja=aa+1|0;c[432080]=ja;Y=c[I>>2]|0;if((ja|0)>($|0)){ra=Y;break}else{aa=ja;ba=Y}}}ca=+h[z+(ra-2<<3)>>3];sa=ca*+Mz(f,r,l,0,0);ba=c[I>>2]|0;ca=sa*+(ba-1|0);sa=+h[2354];if((sa>=ca?sa:ca)>+h[2355]){break}ta=ba;ua=+h[2364]}else{if(fa>+h[2355]*.5){break}else{ta=ia;ua=U}}c[432066]=ta-1;h[2362]=ua}}while(0);if(!(+h[2369]*+h[2366]>1.0)){X=86;break}}c[G>>2]=1;h[b>>3]=+h[2353];ba=c[432064]|0;aa=c[432052]|0;if((ba|0)>=(aa|0)){c[432074]=aa;$=aa;do{ca=1.0/+h[w+($-1<<3)>>3];h[2357]=ca;aa=c[f>>2]|0;c[432080]=1;if((aa|0)>=1){ka=ga($,Q)|0;Y=1;ja=2;sa=ca;while(1){la=q+(Y+R+ka<<3)|0;h[la>>3]=sa*+h[la>>3];if((ja|0)>(aa|0)){break}Y=ja;ja=ja+1|0;sa=+h[2357]}c[432080]=ja}$=$+1|0;c[432074]=$;}while(($|0)<=(ba|0))}c[432080]=2;if((ba|0)>=2){$=2;do{h[y+($-2<<3)>>3]=+h[y+($-1<<3)>>3]- +h[k>>3];$=$+1|0;}while(($|0)<=(ba|0));c[432080]=$}if(!(a[18944]|0)){c[V>>2]=(c[V>>2]|0)+1;if((c[432078]|0)!=0){ba=(c[432054]|0)+1|0;c[432054]=ba;h[2358]=.25;sa=+h[k>>3]*.25;h[k>>3]=sa;if((ba|0)>=3){X=144;break}if(sa<0.0){va=-0.0-sa}else{va=sa}if(va<+h[E>>3]){X=144;break}else{continue}}if(!((c[432076]|0)>-2)){X=146;break}ba=(c[432058]|0)+1|0;c[432058]=ba;h[2358]=.25;sa=+h[k>>3]*.25;h[k>>3]=sa;if((ba|0)>=10){X=151;break}if(sa<0.0){wa=-0.0-sa}else{wa=sa}if(wa<+h[E>>3]){X=151;break}else{continue}}c[432056]=(c[432056]|0)+1;c[S>>2]=(c[S>>2]|0)+1;ba=c[432056]|0;if((ba|0)<=1){Y=c[432066]|0;c[I>>2]=Y;sa=+(Y+1|0);h[2356]=sa;h[O>>3]=+h[2362]*2.0+1.0e-4;h[P>>3]=-1.0/sa;sa=+fQ(O,P)*.9;h[O>>3]=.25;U=sa>=.9?.9:sa;h[P>>3]=U;sa=U<=.25?.25:U;h[2358]=sa;U=+h[k>>3]*sa;h[k>>3]=U;if(U<0.0){xa=-0.0-U}else{xa=U}if(xa<+h[E>>3]){X=159;break}else{continue}}if((ba|0)>2){c[I>>2]=1;U=+h[k>>3]*.25;h[k>>3]=U;if(U<0.0){ya=-0.0-U}else{ya=U}if(ya<+h[E>>3]){X=168;break}else{continue}}else{c[I>>2]=c[432066];U=+h[k>>3]*.25;h[k>>3]=U;if(U<0.0){za=-0.0-U}else{za=U}if(za<+h[E>>3]){X=164;break}else{continue}}}do{if((X|0)==86){c[n>>2]=1;E=u+40|0;c[E>>2]=(c[E>>2]|0)+1;c[432070]=(c[I>>2]|0)-(c[J>>2]|0);c[J>>2]=c[I>>2];h[C>>3]=+h[k>>3];E=c[432066]|0;S=c[432068]|0;do{if((E|0)==(S|0)){X=88}else{V=u+8|0;if((c[I>>2]|0)==(c[V>>2]|0)){X=88;break}if((c[G>>2]|0)!=0){Aa=E;Ba=S;X=90;break}c[I>>2]=c[432064];za=+h[k>>3]*2.0;h[2361]=za;Ca=za;Da=V}}while(0);if((X|0)==88){c[G>>2]=1;Aa=c[432066]|0;Ba=c[432068]|0;X=90}if((X|0)==90){do{if((Aa|0)==(Ba|0)){Ea=Ba;X=104}else{S=c[I>>2]|0;E=u+8|0;if((S|0)==(c[E>>2]|0)){Fa=S;break}if((c[432064]|0)>=(c[K>>2]|0)|(c[432070]|0)==1){Fa=S;break}S=c[f>>2]|0;c[432080]=1;if((S|0)>=1){$=ga(c[432062]|0,Q)|0;V=1;do{w=V-1|0;h[r+(w<<3)>>3]=+h[s+(w<<3)>>3]- +h[q+(V+R+$<<3)>>3];V=V+1|0;}while((V|0)<=(S|0));c[432080]=V}za=1.0/+((c[I>>2]|0)+2|0);ya=za*+Mz(f,r,l,0,0);h[2363]=ya;S=c[I>>2]|0;za=ya*+(S+2|0);if((S|0)>1){xa=+h[2355];$=xa<=za;if(!(+h[2354]>($?xa:za))){Ea=c[432068]|0;X=104;break}if($){Fa=S;break}if((S|0)==(c[E>>2]|0)){Fa=S;break}}else{if(!(za<+h[2355]*.5)){Fa=S;break}}S=c[432064]|0;c[I>>2]=S;h[2362]=ya;Fa=S}}while(0);if((X|0)==104){c[I>>2]=Ea;h[2362]=+h[2364];Fa=Ea}h[2361]=+h[k>>3];ya=+(Fa+1|0);h[2356]=ya;h[O>>3]=+h[2362]*2.0+1.0e-4;h[P>>3]=-1.0/ya;ya=+fQ(O,P);h[2358]=ya;do{if(ya<2.0){if(ya>1.0){Ga=+h[2361];break}else{h[O>>3]=.5;za=ya>=.9?.9:ya;h[P>>3]=za;xa=za<=.5?.5:za;h[2358]=xa;za=+h[k>>3]*xa;h[2361]=za;Ga=za;break}}else{za=+h[k>>3]*2.0;h[2361]=za;Ga=za}}while(0);Ca=Ga;Da=u+8|0}h[k>>3]=Ca;do{if((c[J>>2]|0)!=(c[Da>>2]|0)){S=c[f>>2]|0;c[432080]=1;if((S|0)<1){break}$=ga(c[432062]|0,Q)|0;ja=1;do{h[q+(ja+R+$<<3)>>3]=+h[s+(ja-1<<3)>>3];ja=ja+1|0;}while((ja|0)<=(S|0));c[432080]=ja}}while(0);S=c[f>>2]|0;c[432080]=1;$=c[432064]|0;if((S|0)>=1){E=ga($,Q)|0;V=1;do{w=q+(V+R+E<<3)|0;h[w>>3]=+h[s+(V-1<<3)>>3]+ +h[w>>3];V=V+1|0;}while((V|0)<=(S|0));c[432080]=V}c[432072]=2;if(($|0)<2){i=N;return 0}else{Ha=2}do{S=1-Ha+$|0;c[432074]=S;E=c[f>>2]|0;c[432080]=1;if((E|0)>=1){w=ga(S+1|0,Q)|0;ta=ga(S,Q)|0;S=1;do{ra=S+R|0;z=q+(ra+ta<<3)|0;h[z>>3]=+h[q+(ra+w<<3)>>3]+ +h[z>>3];S=S+1|0;}while((S|0)<=(E|0));c[432080]=S}Ha=Ha+1|0;c[432072]=Ha;}while((Ha|0)<=($|0));i=N;return 0}else if((X|0)==144){c[n>>2]=-8}else if((X|0)==146){c[n>>2]=-11}else if((X|0)==151){c[n>>2]=-7;if((c[432076]|0)<0){c[n>>2]=-10}if((c[432056]|0)<=2){break}c[n>>2]=-9}else if((X|0)==159){c[n>>2]=-6}else if((X|0)==164){c[n>>2]=-6}else if((X|0)==168){c[n>>2]=-6}}while(0);Oz(b,b,d,e,f,I,q,y)|0;i=N;return 0}function Qz(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;var x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0.0,G=0,H=0.0,I=0.0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,X=0,Y=0,Z=0,_=0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0,ha=0,ia=0;x=i;i=i+8|0;y=x|0;c[l>>2]=0;z=c[p+12>>2]|0;a:do{if((z|0)==2){c[r>>2]=0;c[432136]=0;h[2389]=+W(+h[s>>3]);A=c[b>>2]|0;c[432162]=1;b:do{if((A|0)>=1){B=q;C=1;while(1){D=C-1|0;E=+h[e+(D<<3)>>3];h[y>>3]=E;if(E<0.0){F=-0.0-E}else{F=E}G=f+(D<<3)|0;E=+h[k>>3]*+h[G>>3];if(E<0.0){H=-0.0-E}else{H=E}E=F>=H?F:H;I=+h[m+(D<<3)>>3];if(I<0.0){J=-0.0-I}else{J=I}h[2391]=+h[2389]*(E>=J?E:J);h[y>>3]=+h[k>>3]*+h[G>>3];E=+hQ(19128,y);h[2391]=E;G=(c[432162]|0)-1|0;D=e+(G<<3)|0;I=+h[D>>3];K=E+I-I;h[2391]=K;h[2387]=+h[D>>3];L=f+(G<<3)|0;h[2388]=+h[L>>3];h[D>>3]=K+ +h[D>>3];h[L>>3]=+h[j>>3]*+h[2391]+ +h[L>>3];Td[B&15](d,e,f,n,r,u,v)|0;if((c[r>>2]|0)<0){break}K=1.0/+h[2391];h[2390]=K;L=c[b>>2]|0;c[432150]=1;D=c[432136]|0;if((L|0)>=1){G=0;M=1;I=K;while(1){h[o+(G+D<<3)>>3]=(+h[n+(G<<3)>>3]- +h[g+(G<<3)>>3])*I;N=M+1|0;if((N|0)>(L|0)){break}G=M;M=N;I=+h[2390]}c[432150]=N}c[432136]=D+(c[b>>2]|0);M=c[432162]|0;G=M-1|0;h[e+(G<<3)>>3]=+h[2387];h[f+(G<<3)>>3]=+h[2388];C=M+1|0;c[432162]=C;if((C|0)>(A|0)){break b}}i=x;return 0}}while(0);if((c[v>>2]|0)==0){O=41;break}c[432136]=0;A=c[b>>2]|0;if((c[426544]|0)==0){O=41;break}C=B0(A*20|0)|0;Fx(14,1,40712,(P=i,i=i+8|0,h[P>>3]=+h[d>>3],P)|0);i=P;Fx(14,0,40272,(P=i,i=i+8|0,h[P>>3]=+h[j>>3],P)|0);i=P;Fx(14,1,39720,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[432152]=0;if((c[b>>2]|0)>0){B=0;do{I=+h[e+(B<<3)>>3];Fx(14,0,39352,(P=i,i=i+16|0,c[P>>2]=B+1,h[P+8>>3]=I,P)|0);i=P;B=(c[432152]|0)+1|0;c[432152]=B;}while((B|0)<(c[b>>2]|0))}Wd[c[3794]&511](14);Fx(14,1,36544,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[432162]=1;if((A|0)>=1){B=C+1|0;M=1;G=c[432136]|0;do{L=o+(M-1+G<<3)|0;h[L>>3]=+h[j>>3]+ +h[L>>3];a[C]=0;a[B]=0;c[432150]=1;L=0;Q=G;while(1){I=+h[o+(L+Q<<3)>>3];Pb(C|0,37632,(P=i,i=i+16|0,c[P>>2]=C,h[P+8>>3]=I,P)|0)|0;i=P;R=c[432150]|0;S=R+1|0;c[432150]=S;if((S|0)>(A|0)){break}L=R;Q=c[432136]|0}Fx(14,0,37048,(P=i,i=i+8|0,c[P>>2]=C,P)|0);i=P;Q=c[432136]|0;L=c[432162]|0;R=o+(Q-1+L<<3)|0;h[R>>3]=+h[R>>3]- +h[j>>3];G=Q+(c[b>>2]|0)|0;c[432136]=G;M=L+1|0;c[432162]=M;}while((M|0)<=(A|0))}Wd[c[3794]&511](14);Wd[c[3794]&511](14);C0(C);O=41}else if((z|0)==4){A=p+4|0;M=ga((c[A>>2]|0)+1+(c[p>>2]<<1)|0,c[b>>2]|0)|0;c[432162]=1;if((M|0)>=1){G=1;do{h[o+(G-1<<3)>>3]=0.0;G=G+1|0;}while((G|0)<=(M|0));c[432162]=G}Yd[t&15](d,e,f,g,o,j,k,m,u,v)|0;c[432142]=(c[A>>2]|0)+1+(c[p>>2]<<1);O=72}else if((z|0)==5){M=p+4|0;C=(c[M>>2]|0)+(c[p>>2]|0)|0;B=C+1|0;c[432146]=B;L=c[b>>2]|0;c[432148]=(B|0)>(L|0)?L:B;L=c[p>>2]|0;c[432142]=B+L;c[432144]=L+C;C=(c[b>>2]|0)/(B|0)|0;c[432140]=C+1;B=c[w>>2]|0;c[432156]=B-1;c[432158]=B+C;c[r>>2]=0;h[2389]=+W(+h[s>>3]);C=c[432148]|0;c[432154]=1;if((C|0)<1){O=72;break}B=q;L=1;while(1){Q=c[b>>2]|0;R=c[432146]|0;c[432138]=L;S=(R|0)<0;c:do{if(S?(L|0)>=(Q|0):(L|0)<=(Q|0)){T=L;U=L;V=R;while(1){X=(T-U|0)/(V|0)|0;c[432152]=X+1;Y=T-1|0;Z=e+(Y<<3)|0;h[o+((c[432156]|0)+X<<3)>>3]=+h[Z>>3];_=f+(Y<<3)|0;h[o+((c[432158]|0)+X<<3)>>3]=+h[_>>3];I=+h[Z>>3];h[y>>3]=I;if(I<0.0){$=-0.0-I}else{$=I}I=+h[k>>3]*+h[_>>3];if(I<0.0){aa=-0.0-I}else{aa=I}I=$>=aa?$:aa;K=+h[m+(Y<<3)>>3];if(K<0.0){ba=-0.0-K}else{ba=K}h[2391]=+h[2389]*(I>=ba?I:ba);h[y>>3]=+h[k>>3]*+h[_>>3];I=+hQ(19128,y);h[2391]=I;_=c[432138]|0;Y=_-1|0;Z=e+(Y<<3)|0;K=+h[Z>>3];E=I+K-K;h[2391]=E;h[Z>>3]=+h[Z>>3]+E;Z=f+(Y<<3)|0;h[Z>>3]=+h[j>>3]*+h[2391]+ +h[Z>>3];Z=_+R|0;c[432138]=Z;if(!(S?(Z|0)>=(Q|0):(Z|0)<=(Q|0))){break c}T=Z;U=c[432154]|0;V=c[432146]|0}}}while(0);Td[B&15](d,e,f,n,r,u,v)|0;if((c[r>>2]|0)<0){break}Q=c[b>>2]|0;S=c[432146]|0;R=c[432154]|0;c[432138]=R;V=(S|0)<0;d:do{if(V?(R|0)>=(Q|0):(R|0)<=(Q|0)){U=R;T=R;D=S;while(1){Z=(U-T|0)/(D|0)|0;c[432152]=Z+1;_=U-1|0;Y=e+(_<<3)|0;h[Y>>3]=+h[o+((c[432156]|0)+Z<<3)>>3];E=+h[o+((c[432158]|0)+Z<<3)>>3];Z=f+(_<<3)|0;h[Z>>3]=E;K=+h[Y>>3];h[y>>3]=K;if(K<0.0){ca=-0.0-K}else{ca=K}K=+h[k>>3]*E;if(K<0.0){da=-0.0-K}else{da=K}K=ca>=da?ca:da;E=+h[m+(_<<3)>>3];if(E<0.0){ea=-0.0-E}else{ea=E}h[2391]=+h[2389]*(K>=ea?K:ea);h[y>>3]=+h[k>>3]*+h[Z>>3];K=+hQ(19128,y);h[2391]=K;Z=c[432138]|0;E=+h[e+(Z-1<<3)>>3];I=K+E-E;h[2391]=I;E=1.0/I;h[2390]=E;_=Z-(c[M>>2]|0)|0;Y=(_|0)>1?_:1;c[432166]=Y;_=c[b>>2]|0;X=(c[p>>2]|0)+Z|0;fa=(_|0)<=(X|0)?_:X;c[432164]=fa;X=ga(c[432144]|0,Z)|0;_=X-(c[p>>2]|0)|0;c[432160]=_;c[432162]=Y;if((Y|0)<=(fa|0)){X=Y;I=E;while(1){Y=X-1|0;h[o+(Y+_<<3)>>3]=(+h[n+(Y<<3)>>3]- +h[g+(Y<<3)>>3])*I;ha=X+1|0;if((ha|0)>(fa|0)){break}X=ha;I=+h[2390]}c[432162]=ha}X=Z+S|0;c[432138]=X;fa=c[432154]|0;if(!(V?(X|0)>=(Q|0):(X|0)<=(Q|0))){ia=fa;break d}U=X;T=fa;D=c[432146]|0}}else{ia=R}}while(0);R=ia+1|0;c[432154]=R;if((R|0)>(C|0)){O=72;break a}else{L=R}}i=x;return 0}else if((z|0)==3){i=x;return 0}else{L=c[b>>2]|0;C=ga(L,L)|0;c[432162]=1;if((C|0)!=0){L=1;do{h[o+(L-1<<3)>>3]=0.0;L=L+1|0;}while((L|0)<=(C|0));c[432162]=L}Yd[t&15](d,e,f,g,o,j,k,m,u,v)|0;if((c[v>>2]|0)==0){O=41;break}c[432136]=0;C=c[b>>2]|0;if((c[426544]|0)==0){O=41;break}M=B0(C*20|0)|0;Fx(14,1,40712,(P=i,i=i+8|0,h[P>>3]=+h[d>>3],P)|0);i=P;Fx(14,0,40272,(P=i,i=i+8|0,h[P>>3]=+h[j>>3],P)|0);i=P;Fx(14,1,39720,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[432152]=0;if((c[b>>2]|0)>0){B=0;do{I=+h[e+(B<<3)>>3];Fx(14,0,39352,(P=i,i=i+16|0,c[P>>2]=B+1,h[P+8>>3]=I,P)|0);i=P;B=(c[432152]|0)+1|0;c[432152]=B;}while((B|0)<(c[b>>2]|0))}Wd[c[3794]&511](14);Fx(14,1,39e3,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[432162]=1;if((C|0)>=1){B=M+1|0;L=1;A=c[432136]|0;do{G=o+(L-1+A<<3)|0;h[G>>3]=+h[j>>3]+ +h[G>>3];a[M]=0;a[B]=0;c[432150]=1;G=0;R=A;while(1){I=+h[o+(G+R<<3)>>3];Pb(M|0,37632,(P=i,i=i+16|0,c[P>>2]=M,h[P+8>>3]=I,P)|0)|0;i=P;Q=c[432150]|0;V=Q+1|0;c[432150]=V;if((V|0)>(C|0)){break}G=Q;R=c[432136]|0}Fx(14,0,37048,(P=i,i=i+8|0,c[P>>2]=M,P)|0);i=P;R=c[432136]|0;G=c[432162]|0;Q=o+(R-1+G<<3)|0;h[Q>>3]=+h[Q>>3]- +h[j>>3];A=R+(c[b>>2]|0)|0;c[432136]=A;L=G+1|0;c[432162]=L;}while((L|0)<=(C|0))}Wd[c[3794]&511](14);Wd[c[3794]&511](14);C0(M);O=41}}while(0);if((O|0)==41){Yz(o,b,b,p+80|0,l)|0;i=x;return 0}else if((O|0)==72){cA(o,1728568,b,p,p+4|0,p+80|0,l)|0;i=x;return 0}return 0}function Rz(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=c[e+12>>2]|0;if((f|0)==3){return 0}else if((f|0)==5|(f|0)==4){f=e+4|0;c[432132]=(c[f>>2]|0)+1+(c[e>>2]<<1);dA(d,1728528,a,e,f,e+80|0,b,1728808)|0;return 0}else{aA(d,a,a,e+80|0,b,1728808)|0;return 0}return 0}function Sz(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0;d=i;i=i+8|0;e=d|0;do{if(!(a[18072]|0)){a[18072]=1;Tz(1726168,1726144,1726136,18080,1726152,18040,1726160,18048)|0;h[2263]=+(c[431542]|0);f=c[431536]|0;h[2252]=+(f|0);if((c[431534]|0)==0){h[2254]=0.0;c[e>>2]=1-f;g=+gQ(18104,e)}else{h[2254]=1.0;c[e>>2]=1-f;g=+gQ(18104,e)*.5}h[2260]=g;h[2258]=g*+h[2263];h[2261]=+(c[431538]|0);h[2262]=+(c[431540]|0);j=+h[2255];h[2253]=j;k=1.0/+h[2256];if(k<j){break}h[2253]=k*(g+1.0)}}while(0);if((jA(b,27784,1,1)|0)!=0){g=+h[2260];h[2257]=g;l=g;i=d;return+l}if((jA(b,1659544,1,1)|0)!=0){g=+h[2253];h[2257]=g;l=g;i=d;return+l}if((jA(b,1648560,1,1)|0)!=0){g=+h[2263];h[2257]=g;l=g;i=d;return+l}if((jA(b,1638696,1,1)|0)!=0){g=+h[2258];h[2257]=g;l=g;i=d;return+l}if((jA(b,44960,1,1)|0)!=0){g=+h[2252];h[2257]=g;l=g;i=d;return+l}if((jA(b,39456,1,1)|0)!=0){g=+h[2254];h[2257]=g;l=g;i=d;return+l}if((jA(b,34640,1,1)|0)!=0){g=+h[2261];h[2257]=g;l=g;i=d;return+l}if((jA(b,29952,1,1)|0)!=0){g=+h[2255];h[2257]=g;l=g;i=d;return+l}if((jA(b,26664,1,1)|0)!=0){g=+h[2262];h[2257]=g;l=g;i=d;return+l}if((jA(b,22664,1,1)|0)==0){l=+h[2257];i=d;return+l}else{g=+h[2256];h[2257]=g;l=g;i=d;return+l}return 0.0}function Tz(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;m=i;i=i+24|0;n=m|0;o=m+8|0;p=m+16|0;if(a[18592]|0){q=c[431570]|0;c[b>>2]=q;r=c[431560]|0;c[d>>2]=r;s=c[431562]|0;c[e>>2]=s;t=+h[2286];h[f>>3]=t;u=c[431566]|0;c[g>>2]=u;v=+h[2284];h[j>>3]=v;w=c[431568]|0;c[k>>2]=w;x=+h[2285];h[l>>3]=x;i=m;return 0}a[18592]=1;h[2277]=0.0;h[2283]=1.0;h[2278]=2.0;Uz(1726280,1726240,1726248,1726256)|0;h[2326]=+(c[431570]|0);c[n>>2]=-(c[431560]|0);y=+gQ(18608,n);h[2327]=y;h[2286]=y;z=+h[2278];h[2326]=z/3.0;A=+h[2283];B=A*.5;h[2291]=B;C=-0.0-B;h[o>>3]=C;h[2281]=+Vz(18608,o);h[2279]=+Vz(18248,18248);h[o>>3]=C;h[2326]=+Vz(18232,o);C=+Vz(18608,18248);h[2326]=C;if(C<0.0){D=-0.0-C}else{D=C}C=D<y?y:D;h[2326]=C;h[2286]=1.0;D=+h[2277];if(C<1.0&C>D){E=C;while(1){h[2286]=E;h[o>>3]=E*B;C=z*z;h[p>>3]=E*E*z*C*C;C=+Vz(o,p);h[2325]=C;h[o>>3]=-0.0-C;h[2325]=+Vz(18328,o);C=+Vz(18328,18600);h[2326]=C;h[o>>3]=-0.0-C;h[2325]=+Vz(18328,o);C=+Vz(18328,18600);h[2326]=C;if(E>C&C>D){E=C}else{F=E;break}}}else{F=1.0}if(y<F){h[2286]=y}y=A/+(c[431570]|0);h[2282]=y;h[2280]=A;c[431574]=1;F=A;p=1;do{h[o>>3]=F*y;F=+Vz(o,18216);h[2280]=F;p=p+1|0;c[431574]=p;}while((p|0)<4);h[2327]=+Vz(18264,18240);Wz(1726224,18264,1726280)|0;h[o>>3]=-0.0- +h[2283];Wz(1726232,o,1726280)|0;Wz(1726304,18616,1726280)|0;h[o>>3]=-0.0- +h[2327];Wz(1726312,o,1726280)|0;c[431572]=0;p=c[431556]|0;G=c[431558]|0;H=c[431576]|0;I=(p|0)==(H|0);do{if((p|0)==(G|0)&(H|0)==(c[431578]|0)){if(I){c[431566]=p;J=0;K=25;break}if((H-p|0)==3){c[431566]=p-1+(c[431560]|0);c[431572]=1;J=1;K=25;break}else{c[431566]=(p|0)<=(H|0)?p:H;a[18296]=1;K=26;break}}else{L=I&(G|0)==(c[431578]|0);M=p-G|0;c[n>>2]=M;N=(((M|0)>-1?M:-M|0)|0)==1;if(L){if(N){c[431566]=(p|0)>=(G|0)?p:G;J=0;K=25;break}else{c[431566]=(p|0)<=(G|0)?p:G;a[18296]=1;K=26;break}}L=c[431578]|0;M=(p|0)<=(G|0)?p:G;if(!(N&(H|0)==(L|0))){N=(M|0)<=(H|0)?M:H;c[n>>2]=N;c[431566]=(N|0)<=(L|0)?N:L;a[18296]=1;K=26;break}if((H-M|0)==3){c[431566]=((p|0)>=(G|0)?p:G)-1+(c[431560]|0);J=0;K=25;break}else{c[431566]=M;a[18296]=1;K=26;break}}}while(0);if((K|0)==25){if(a[18296]|0){K=26}else{O=J}}if((K|0)==26){a[18592]=0;eR(18304)|0;vQ(20264,1726264,4)|0;OQ()|0;O=c[431572]|0}if((O|0)==0){P=(c[431564]|0)!=0|0}else{P=1}c[431572]=P;h[2284]=1.0;P=c[431566]|0;O=1-P|0;c[n>>2]=O;c[431574]=1;if((P|0)<=0){F=+h[2282];y=1.0;P=1;do{h[o>>3]=y*F;y=+Vz(o,18216);h[2284]=y;P=P+1|0;c[431574]=P;}while((P|0)<=(O|0))}Xz(1726280,1726240,1726264,1726288,1726272,18280)|0;q=c[431570]|0;c[b>>2]=q;r=c[431560]|0;c[d>>2]=r;s=c[431562]|0;c[e>>2]=s;t=+h[2286];h[f>>3]=t;u=c[431566]|0;c[g>>2]=u;v=+h[2284];h[j>>3]=v;w=c[431568]|0;c[k>>2]=w;x=+h[2285];h[l>>3]=x;i=m;return 0}function Uz(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0;g=i;i=i+16|0;j=g|0;k=g+8|0;if(a[18664]|0){l=c[431584]|0;m=a[18656]|0;c[b>>2]=l;n=c[431580]|0;c[d>>2]=n;o=m&1;c[e>>2]=o;p=c[431582]|0;c[f>>2]=p;i=g;return 0}a[18664]=1;h[2331]=1.0;h[2337]=1.0;h[2335]=1.0;q=1.0;do{q=q*2.0;h[2337]=q;h[2335]=+Vz(18696,18648);h[j>>3]=-0.0-q;r=+Vz(18680,j);h[2335]=r;}while(r==1.0);h[2336]=1.0;r=+Vz(18696,18688);h[2335]=r;if(r==q){s=1.0;while(1){t=s*2.0;h[2336]=t;u=+Vz(18696,18688);h[2335]=u;if(u==q){s=t}else{v=u;break}}}else{v=r}h[2330]=.25;h[2329]=v;h[j>>3]=-0.0-q;r=+Vz(18680,j);h[2335]=r;w=~~(r+.25);c[431584]=w;r=+(w|0);h[2336]=r;s=r*.5;h[j>>3]=s;h[k>>3]=(-0.0-r)/100.0;h[2334]=+Vz(j,k);u=+Vz(18672,18696);h[2335]=u;x=u==q;a[18656]=x;h[j>>3]=s;h[k>>3]=r/100.0;h[2334]=+Vz(j,k);u=+Vz(18672,18696);h[2335]=u;if(x&u==q){a[18656]=0;y=0}else{y=x}h[j>>3]=s;u=+Vz(j,18696);h[2328]=u;h[j>>3]=s;x=u==q&+Vz(j,18632)>v;c[431582]=x?y&1:0;c[431580]=0;h[2337]=1.0;h[2335]=1.0;x=0;v=1.0;while(1){k=x+1|0;c[431580]=k;q=v*r;h[2337]=q;h[2335]=+Vz(18696,18648);h[j>>3]=-0.0-q;u=+Vz(18680,j);h[2335]=u;if(u==1.0){x=k;v=q}else{l=w;m=y;break}}c[b>>2]=l;n=c[431580]|0;c[d>>2]=n;o=m&1;c[e>>2]=o;p=c[431582]|0;c[f>>2]=p;i=g;return 0}function Vz(a,b){a=a|0;b=b|0;return+(+h[a>>3]+ +h[b>>3])}function Wz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0;e=i;i=i+8|0;f=e|0;g=+h[b>>3];h[2276]=g;j=1.0/+(c[d>>2]|0);h[2269]=j;h[2268]=0.0;c[a>>2]=1;h[f>>3]=g*j;k=+Vz(f,18144);h[2275]=k;h[2273]=g;h[2272]=g;h[2271]=g;h[2270]=g;if(!(g!=g)&!(J=0.0,J!=J)){l=k;m=0}else{i=e;return 0}while(1){c[a>>2]=m;h[2276]=l;b=c[d>>2]|0;k=+(b|0);h[f>>3]=l/k;g=+Vz(f,18144);h[2275]=g;h[f>>3]=g*k;k=+Vz(f,18144);h[2273]=k;h[2271]=0.0;c[431554]=1;if((b|0)<1){n=0.0}else{o=0.0;p=1;do{o=g+o;p=p+1|0;}while((p|0)<=(b|0));h[2271]=o;c[431554]=p;n=o}h[f>>3]=l*j;q=+Vz(f,18144);h[2274]=q;h[f>>3]=q/j;r=+Vz(f,18144);h[2272]=r;h[2270]=0.0;b=c[d>>2]|0;c[431554]=1;if((b|0)<1){s=0.0}else{t=0.0;u=1;do{t=q+t;u=u+1|0;}while((u|0)<=(b|0));h[2270]=t;c[431554]=u;s=t}if(!(k==l&r==l&n==l&s==l)){break}l=g;m=(c[a>>2]|0)-1|0}i=e;return 0}function Xz(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0;j=i;i=i+8|0;k=j|0;c[431546]=1;c[431552]=1;l=-(c[d>>2]|0)|0;if((l|0)<2){m=2;n=l;o=1;p=2}else{l=2;q=1;while(1){c[431546]=l;r=q+1|0;c[431552]=r;s=l<<1;t=-(c[d>>2]|0)|0;if((s|0)>(t|0)){break}else{l=s;q=r}}m=s;n=t;o=l;p=q+2|0}if((o|0)==(n|0)){c[431544]=n;u=n}else{c[431544]=m;c[431552]=p;u=m}m=c[d>>2]|0;p=((m+u|0)>(-(o+m|0)|0)?o:u)<<1;c[431550]=p;u=p+(c[d>>2]|0)|0;d=u-1|0;c[f>>2]=d;do{if((((c[431552]|0)+1+(c[b>>2]|0)|0)%2|0|0)==1){if((c[a>>2]|0)!=2){v=d;break}p=u-2|0;c[f>>2]=p;v=p}else{v=d}}while(0);if((c[e>>2]|0)!=0){c[f>>2]=v-1}w=+(c[a>>2]|0);x=1.0/w;h[2266]=x;y=w+-1.0;h[2264]=y;h[2265]=0.0;v=c[b>>2]|0;c[431548]=1;do{if((v|0)<1){z=0.0}else{w=y;A=0.0;b=1;do{w=x*w;h[2264]=w;if(A<1.0){h[2267]=A}A=+Vz(18120,18112);h[2265]=A;b=b+1|0;c[431548]=b;}while((b|0)<=(v|0));if(A<1.0){z=A;break}w=+h[2267];h[2265]=w;z=w}}while(0);v=c[f>>2]|0;c[431548]=1;if((v|0)<1){B=z;h[g>>3]=B;i=j;return 0}else{C=z;D=1}while(1){h[k>>3]=C*+(c[a>>2]|0);z=+Vz(k,19648);h[2265]=z;f=D+1|0;c[431548]=f;if((f|0)>(v|0)){B=z;break}else{C=z;D=f}}h[g>>3]=B;i=j;return 0}function Yz(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;g=i;i=i+16|0;j=g|0;k=g+8|0;l=c[b>>2]|0;b=~l;c[f>>2]=0;m=c[d>>2]|0;n=m-1|0;if((n|0)<1){o=m}else{c[431598]=1;m=1;do{c[431596]=m+1;c[j>>2]=(c[d>>2]|0)+1-m;p=Zz(j,a+(m+b+(ga(m,l)|0)<<3)|0,20256)|0;q=c[431598]|0;r=p-1+q|0;c[431594]=r;c[e+(q-1<<2)>>2]=r;r=c[431594]|0;q=c[431598]|0;p=ga(q,l)|0;s=+h[a+(r+b+p<<3)>>3];do{if(s==0.0){c[f>>2]=q}else{if((r|0)==(q|0)){t=r}else{h[2339]=s;u=a+(q+b+p<<3)|0;h[a+(p+b+r<<3)>>3]=+h[u>>3];h[u>>3]=+h[2339];t=q}u=ga(t,l)|0;h[2339]=-1.0/+h[a+(t+b+u<<3)>>3];c[j>>2]=(c[d>>2]|0)-t;_z(j,18712,a+(t-l+u<<3)|0,20256)|0;u=c[d>>2]|0;c[j>>2]=u;v=c[431596]|0;c[431600]=v;if((v|0)>(u|0)){break}else{w=v}do{v=c[431594]|0;x=ga(w,l)|0;h[2339]=+h[a+(x+b+v<<3)>>3];y=c[431598]|0;if((v|0)==(y|0)){z=v}else{A=a+(y+b+x<<3)|0;h[a+(v+b+x<<3)>>3]=+h[A>>3];h[A>>3]=+h[2339];z=y}c[k>>2]=(c[d>>2]|0)-z;y=z+1|0;$z(k,18712,a+((ga(z,l)|0)+b+y<<3)|0,20256,a+(y+b+x<<3)|0,20256)|0;w=(c[431600]|0)+1|0;c[431600]=w;}while((w|0)<=(u|0))}}while(0);m=(c[431598]|0)+1|0;c[431598]=m;}while((m|0)<=(n|0));o=c[d>>2]|0}c[e+(o-1<<2)>>2]=o;o=c[d>>2]|0;if(!(+h[a+(o+b+(ga(o,l)|0)<<3)>>3]==0.0)){i=g;return 0}c[f>>2]=o;i=g;return 0}function Zz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0,A=0.0,B=0;e=c[a>>2]|0;if((e|0)<1){f=0;return f|0}if((e|0)==1){f=1;return f|0}if((c[d>>2]|0)!=1){c[432324]=1;g=+h[b>>3];if(g<0.0){i=-0.0-g}else{i=g}h[210388]=i;j=(c[d>>2]|0)+1|0;c[432324]=j;k=c[a>>2]|0;c[432326]=2;if((k|0)<2){f=1;return f|0}else{l=1;m=j;n=i;o=2}while(1){i=+h[b+(m-1<<3)>>3];j=i<0.0;if(j){p=-0.0-i}else{p=i}if(p>n){if(j){q=-0.0-i}else{q=i}h[210388]=q;r=o;s=q}else{r=l;s=n}j=m+(c[d>>2]|0)|0;c[432324]=j;a=o+1|0;c[432326]=a;if((a|0)>(k|0)){f=r;break}else{l=r;m=j;n=s;o=a}}return f|0}s=+h[b>>3];if(s<0.0){t=-0.0-s}else{t=s}h[210388]=t;c[432326]=2;if((e|0)<2){f=1;return f|0}else{u=1;v=2;w=t}while(1){t=+h[b+(v-1<<3)>>3];if(t<0.0){x=-0.0-t}else{x=t}if(x>w){t=+h[b+(v-1<<3)>>3];if(t<0.0){y=-0.0-t}else{y=t}h[210388]=y;z=v;A=y}else{z=u;A=w}B=v+1|0;if((B|0)>(e|0)){break}else{u=z;v=B;w=A}}c[432326]=B;f=z;return f|0}function _z(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0,m=0;f=c[a>>2]|0;if((f|0)<1){return 0}g=c[e>>2]|0;if((g|0)!=1){e=ga(g,f)|0;c[432330]=1;i=(g|0)<0;if(i?(e|0)<2:(e|0)>0){j=1}else{return 0}do{k=d+(j-1<<3)|0;h[k>>3]=+h[b>>3]*+h[k>>3];j=j+g|0;}while(i?(j|0)>=(e|0):(j|0)<=(e|0));c[432330]=j;return 0}j=(f|0)%5|0;c[432328]=j;do{if((j|0)==0){l=c[a>>2]|0}else{c[432330]=1;if((j|0)>=1){f=1;do{e=d+(f-1<<3)|0;h[e>>3]=+h[b>>3]*+h[e>>3];f=f+1|0;}while((f|0)<=(j|0));c[432330]=f}e=c[a>>2]|0;if((e|0)>=5){l=e;break}return 0}}while(0);a=j+1|0;c[432330]=a;if((a|0)>(l|0)){return 0}else{m=a}do{a=d+(m-1<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+1<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+2<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+3<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];m=m+5|0;}while((m|0)<=(l|0));c[432330]=m;return 0}function $z(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0,j=0.0,k=0,l=0,m=0,n=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0;i=c[a>>2]|0;if((i|0)<1){return 0}j=+h[b>>3];if(j==0.0){return 0}do{if((c[e>>2]|0)==1){if((c[g>>2]|0)!=1){break}k=(i|0)%4|0;c[432340]=k;do{if((k|0)==0){l=c[a>>2]|0}else{c[432346]=1;if((k|0)>=1){m=0;n=1;o=j;while(1){p=f+(m<<3)|0;h[p>>3]=+h[p>>3]+o*+h[d+(m<<3)>>3];q=n+1|0;if((q|0)>(k|0)){break}m=n;n=q;o=+h[b>>3]}c[432346]=q}n=c[a>>2]|0;if((n|0)>=4){l=n;break}return 0}}while(0);n=k+1|0;c[432346]=n;if((n|0)>(l|0)){return 0}else{r=n}do{n=r-1|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];n=f+(r<<3)|0;h[n>>3]=+h[n>>3]+ +h[b>>3]*+h[d+(r<<3)>>3];n=r+1|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];n=r+2|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];r=r+4|0;}while((r|0)<=(l|0));c[432346]=r;return 0}}while(0);c[432344]=1;c[432342]=1;r=c[e>>2]|0;if((r|0)<0){l=(ga(1-(c[a>>2]|0)|0,r)|0)+1|0;c[432344]=l;s=l}else{s=1}l=c[g>>2]|0;if((l|0)<0){r=(ga(1-(c[a>>2]|0)|0,l)|0)+1|0;c[432342]=r;t=r}else{t=1}r=c[a>>2]|0;c[432346]=1;if((r|0)<1){return 0}else{u=s;v=t;w=2;x=j}while(1){t=f+(v-1<<3)|0;h[t>>3]=x*+h[d+(u-1<<3)>>3]+ +h[t>>3];t=u+(c[e>>2]|0)|0;c[432344]=t;s=v+(c[g>>2]|0)|0;c[432342]=s;c[432346]=w;if((w|0)>(r|0)){break}u=t;v=s;w=w+1|0;x=+h[b>>3]}return 0}function aA(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0;j=i;i=i+8|0;k=j|0;l=c[b>>2]|0;b=~l;m=(c[d>>2]|0)-1|0;c[431586]=m;if((c[g>>2]|0)==0){if((m|0)>=1){c[431592]=1;g=1;do{n=g-1|0;o=c[e+(n<<2)>>2]|0;c[431588]=o;p=f+(o-1<<3)|0;h[2338]=+h[p>>3];if((o|0)!=(g|0)){o=f+(n<<3)|0;h[p>>3]=+h[o>>3];h[o>>3]=+h[2338]}c[k>>2]=(c[d>>2]|0)-g;$z(k,18704,a+(g-l+(ga(g,l)|0)<<3)|0,20256,f+(g<<3)|0,20256)|0;g=(c[431592]|0)+1|0;c[431592]=g;}while((g|0)<=(m|0))}g=c[d>>2]|0;c[431590]=1;if((g|0)<1){i=j;return 0}else{q=1}do{o=1-q+(c[d>>2]|0)|0;c[431592]=o;p=ga(o,l)|0;n=o-1|0;r=f+(n<<3)|0;s=+h[r>>3]/+h[a+(o+b+p<<3)>>3];h[r>>3]=s;h[2338]=-0.0-s;c[k>>2]=n;$z(k,18704,a+(p-l<<3)|0,20256,f,20256)|0;q=(c[431590]|0)+1|0;c[431590]=q;}while((q|0)<=(g|0));i=j;return 0}g=c[d>>2]|0;c[431592]=1;if((g|0)<1){t=m}else{m=1;do{c[k>>2]=m-1;s=+bA(k,a+((ga(m,l)|0)-l<<3)|0,20256,f,20256);h[2338]=s;q=c[431592]|0;p=f+(q-1<<3)|0;h[p>>3]=(+h[p>>3]-s)/+h[a+(q+b+(ga(q,l)|0)<<3)>>3];m=q+1|0;c[431592]=m;}while((m|0)<=(g|0));t=c[431586]|0}if((t|0)<1){i=j;return 0}c[431590]=1;g=1;do{m=(c[d>>2]|0)-g|0;c[431592]=m;c[k>>2]=(c[d>>2]|0)-m;s=+bA(k,a+(m-l+(ga(m,l)|0)<<3)|0,20256,f+(m<<3)|0,20256);m=c[431592]|0;b=m-1|0;q=f+(b<<3)|0;h[q>>3]=s+ +h[q>>3];p=c[e+(b<<2)>>2]|0;c[431588]=p;if((p|0)!=(m|0)){m=f+(p-1<<3)|0;h[2338]=+h[m>>3];h[m>>3]=+h[q>>3];h[q>>3]=+h[2338]}g=(c[431590]|0)+1|0;c[431590]=g;}while((g|0)<=(t|0));i=j;return 0}function bA(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0,k=0.0,l=0,m=0.0,n=0,o=0.0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0;h[210389]=0.0;g=c[a>>2]|0;if((g|0)<1){i=0.0;return+i}do{if((c[d>>2]|0)==1){if((c[f>>2]|0)!=1){break}j=(g|0)%5|0;c[432332]=j;do{if((j|0)==0){k=0.0;l=c[a>>2]|0}else{c[432338]=1;if((j|0)<1){m=0.0}else{n=1;o=0.0;do{p=n-1|0;o=o+ +h[b+(p<<3)>>3]*+h[e+(p<<3)>>3];h[210389]=o;n=n+1|0;}while((n|0)<=(j|0));c[432338]=n;m=o}p=c[a>>2]|0;if((p|0)<5){i=m}else{k=m;l=p;break}return+i}}while(0);p=j+1|0;c[432338]=p;if((p|0)>(l|0)){i=k;return+i}else{q=p;r=k}do{p=q-1|0;s=q+1|0;t=q+2|0;u=q+3|0;r=r+ +h[b+(p<<3)>>3]*+h[e+(p<<3)>>3]+ +h[b+(q<<3)>>3]*+h[e+(q<<3)>>3]+ +h[b+(s<<3)>>3]*+h[e+(s<<3)>>3]+ +h[b+(t<<3)>>3]*+h[e+(t<<3)>>3]+ +h[b+(u<<3)>>3]*+h[e+(u<<3)>>3];h[210389]=r;q=q+5|0;}while((q|0)<=(l|0));c[432338]=q;i=r;return+i}}while(0);c[432336]=1;c[432334]=1;q=c[d>>2]|0;if((q|0)<0){l=(ga(1-(c[a>>2]|0)|0,q)|0)+1|0;c[432336]=l;v=l}else{v=1}l=c[f>>2]|0;if((l|0)<0){q=(ga(1-(c[a>>2]|0)|0,l)|0)+1|0;c[432334]=q;w=q}else{w=1}q=c[a>>2]|0;c[432338]=1;if((q|0)<1){i=0.0;return+i}else{x=v;y=w;z=0.0;A=1}while(1){r=z+ +h[b+(x-1<<3)>>3]*+h[e+(y-1<<3)>>3];h[210389]=r;w=x+(c[d>>2]|0)|0;c[432336]=w;v=y+(c[f>>2]|0)|0;c[432334]=v;a=A+1|0;c[432338]=a;if((a|0)>(q|0)){i=r;break}else{x=w;y=v;z=r;A=a}}return+i}function cA(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;k=i;i=i+8|0;l=k|0;m=c[b>>2]|0;b=~m;c[431620]=(c[e>>2]|0)+1+(c[f>>2]|0);c[j>>2]=0;n=(c[f>>2]|0)+2|0;c[431636]=n;o=c[d>>2]|0;p=c[431620]|0;q=((o|0)>(p|0)?p:o)-1|0;c[431634]=q;if((q|0)>=(n|0)){c[431630]=n;o=n;do{n=1-o+p|0;c[431642]=n;r=c[e>>2]|0;c[431640]=n;if((n|0)<=(r|0)){s=n;do{h[a+(s+b+(ga(o,m)|0)<<3)>>3]=0.0;s=s+1|0;}while((s|0)<=(r|0));c[431640]=s}o=o+1|0;c[431630]=o;}while((o|0)<=(q|0));c[l>>2]=r}c[431630]=q;c[431632]=0;r=c[d>>2]|0;o=r-1|0;if((o|0)<1){t=r}else{c[431628]=1;r=1;p=q;while(1){c[431626]=r+1;q=p+1|0;c[431630]=q;n=c[d>>2]|0;do{if((q|0)>(n|0)){u=n}else{v=c[e>>2]|0;if((v|0)<1){u=n;break}c[l>>2]=v;c[431640]=1;w=ga(q,m)|0;x=1;do{h[a+(x+b+w<<3)>>3]=0.0;x=x+1|0;}while((x|0)<=(v|0));c[431640]=x;u=c[d>>2]|0}}while(0);q=c[e>>2]|0;n=u-r|0;s=(q|0)<=(n|0)?q:n;c[431622]=s;c[l>>2]=s+1;s=Zz(l,a+((c[431620]|0)+b+(ga(r,m)|0)<<3)|0,20256)|0;n=s-1|0;c[431624]=n+(c[431620]|0);s=c[431628]|0;c[g+(s-1<<2)>>2]=n+s;s=c[431624]|0;n=c[431628]|0;q=ga(n,m)|0;y=+h[a+(s+b+q<<3)>>3];a:do{if(y==0.0){c[j>>2]=n}else{v=c[431620]|0;if((s|0)==(v|0)){z=s}else{h[2341]=y;w=a+(v+b+q<<3)|0;h[a+(q+b+s<<3)>>3]=+h[w>>3];h[w>>3]=+h[2341];z=v}h[2341]=-1.0/+h[a+(z+b+q<<3)>>3];_z(1726488,18728,a+(z-m+q<<3)|0,20256)|0;v=c[431632]|0;w=(c[g+((c[431628]|0)-1<<2)>>2]|0)+(c[f>>2]|0)|0;A=(v|0)>=(w|0)?v:w;c[l>>2]=A;w=c[d>>2]|0;v=(A|0)>(w|0)?w:A;c[431632]=v;A=c[431620]|0;c[431618]=A;w=c[431626]|0;if((v|0)<(w|0)){break}c[l>>2]=v;c[431638]=w;B=w;w=A;while(1){A=(c[431624]|0)-1|0;c[431624]=A;C=w-1|0;c[431618]=C;D=ga(B,m)|0;E=a+(A+b+D<<3)|0;h[2341]=+h[E>>3];if((A|0)==(C|0)){F=A}else{A=a+(C+b+D<<3)|0;h[E>>3]=+h[A>>3];h[A>>3]=+h[2341];F=C}$z(1726488,18728,a+((c[431620]|0)-m+(ga(c[431628]|0,m)|0)<<3)|0,20256,a+(F-m+D<<3)|0,20256)|0;D=(c[431638]|0)+1|0;c[431638]=D;if((D|0)>(v|0)){break a}B=D;w=c[431618]|0}}}while(0);q=(c[431628]|0)+1|0;c[431628]=q;if((q|0)>(o|0)){break}r=q;p=c[431630]|0}t=c[d>>2]|0}c[g+(t-1<<2)>>2]=t;t=c[d>>2]|0;if(!(+h[a+((c[431620]|0)+b+(ga(t,m)|0)<<3)>>3]==0.0)){i=k;return 0}c[j>>2]=t;i=k;return 0}function dA(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0;k=c[b>>2]|0;b=~k;l=(c[f>>2]|0)+1+(c[e>>2]|0)|0;c[431604]=l;f=(c[d>>2]|0)-1|0;c[431602]=f;if((c[j>>2]|0)==0){if(!((c[e>>2]|0)==0|(f|0)<1)){c[431616]=1;j=1;do{m=c[e>>2]|0;n=(c[d>>2]|0)-j|0;c[431606]=(m|0)<=(n|0)?m:n;n=j-1|0;m=c[g+(n<<2)>>2]|0;c[431612]=m;o=i+(m-1<<3)|0;h[2340]=+h[o>>3];if((m|0)!=(j|0)){m=i+(n<<3)|0;h[o>>3]=+h[m>>3];h[m>>3]=+h[2340]}$z(1726424,18720,a+((c[431604]|0)-k+(ga(j,k)|0)<<3)|0,20256,i+(j<<3)|0,20256)|0;j=(c[431616]|0)+1|0;c[431616]=j;}while((j|0)<=(f|0))}j=c[d>>2]|0;c[431614]=1;if((j|0)<1){return 0}else{p=1}do{m=1-p+(c[d>>2]|0)|0;c[431616]=m;o=c[431604]|0;n=ga(m,k)|0;q=i+(m-1<<3)|0;r=+h[q>>3]/+h[a+(o+b+n<<3)>>3];h[q>>3]=r;q=((m|0)<=(o|0)?m:o)-1|0;c[431606]=q;s=o-q|0;c[431610]=s;o=m-q|0;c[431608]=o;h[2340]=-0.0-r;$z(1726424,18720,a+(s+b+n<<3)|0,20256,i+(o-1<<3)|0,20256)|0;p=(c[431614]|0)+1|0;c[431614]=p;}while((p|0)<=(j|0));return 0}j=c[d>>2]|0;c[431616]=1;if((j|0)<1){t=f;u=l}else{f=1;p=l;do{l=((f|0)<=(p|0)?f:p)-1|0;c[431606]=l;o=p-l|0;c[431610]=o;n=f-l|0;c[431608]=n;r=+bA(1726424,a+((ga(f,k)|0)+b+o<<3)|0,20256,i+(n-1<<3)|0,20256);h[2340]=r;n=c[431616]|0;o=i+(n-1<<3)|0;p=c[431604]|0;h[o>>3]=(+h[o>>3]-r)/+h[a+((ga(n,k)|0)+b+p<<3)>>3];f=n+1|0;c[431616]=f;}while((f|0)<=(j|0));t=c[431602]|0;u=p}if((c[e>>2]|0)==0|(t|0)<1){return 0}c[431614]=1;p=1;j=u;while(1){u=(c[d>>2]|0)-p|0;c[431616]=u;f=c[e>>2]|0;b=(c[d>>2]|0)-u|0;c[431606]=(f|0)<=(b|0)?f:b;r=+bA(1726424,a+(j-k+(ga(u,k)|0)<<3)|0,20256,i+(u<<3)|0,20256);u=c[431616]|0;b=u-1|0;f=i+(b<<3)|0;h[f>>3]=r+ +h[f>>3];n=c[g+(b<<2)>>2]|0;c[431612]=n;if((n|0)!=(u|0)){u=i+(n-1<<3)|0;h[2340]=+h[u>>3];h[u>>3]=+h[f>>3];h[f>>3]=+h[2340]}f=(c[431614]|0)+1|0;c[431614]=f;if((f|0)>(t|0)){break}p=f;j=c[431604]|0}return 0}function eA(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=c[a>>2]|0;if((g|0)<1){return 0}do{if((c[d>>2]|0)==1){if((c[f>>2]|0)!=1){break}i=(g|0)%7|0;c[432350]=i;do{if((i|0)==0){j=c[a>>2]|0}else{c[432356]=1;if((i|0)>=1){k=1;do{l=k-1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];k=k+1|0;}while((k|0)<=(i|0));c[432356]=k}l=c[a>>2]|0;if((l|0)>=7){j=l;break}return 0}}while(0);l=i+1|0;c[432356]=l;if((l|0)>(j|0)){return 0}else{m=l}do{l=m-1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];h[e+(m<<3)>>3]=+h[b+(m<<3)>>3];l=m+1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+2|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+3|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+4|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+5|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];m=m+7|0;}while((m|0)<=(j|0));c[432356]=m;return 0}}while(0);c[432354]=1;c[432352]=1;m=c[d>>2]|0;if((m|0)<0){j=(ga(1-(c[a>>2]|0)|0,m)|0)+1|0;c[432354]=j;n=j}else{n=1}j=c[f>>2]|0;if((j|0)<0){m=(ga(1-(c[a>>2]|0)|0,j)|0)+1|0;c[432352]=m;o=m}else{o=1}m=c[a>>2]|0;c[432356]=1;if((m|0)<1){return 0}else{p=n;q=o;r=1}do{h[e+(q-1<<3)>>3]=+h[b+(p-1<<3)>>3];p=p+(c[d>>2]|0)|0;c[432354]=p;q=q+(c[f>>2]|0)|0;c[432352]=q;r=r+1|0;c[432356]=r;}while((r|0)<=(m|0));return 0}function fA(a,b,d,e,f,g,i,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0.0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0,C=0,D=0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0.0,O=0.0,P=0;l=+gA(20248);d=c[a>>2]|0;m=(d|0)<1;do{if(!m){n=1;o=((ga(d+1|0,d)|0)/2|0)+1|0;do{p=d-n|0;q=p+1|0;r=p+2|0;o=o-n|0;if((d|0)<(r|0)){s=0.0}else{t=r;r=o;u=0.0;while(1){v=u+ +h[b+(r<<3)>>3]*+h[i+(t-1<<3)>>3];w=t+1|0;if((w|0)>(d|0)){s=v;break}else{t=w;r=r+1|0;u=v}}}u=+h[b+(o-1<<3)>>3];do{if(u!=0.0){x=u}else{if((p|0)<0){y=u}else{r=1;t=q;v=u;while(1){z=+h[b+(t-1<<3)>>3];if(z<0.0){A=-0.0-z}else{A=z}z=v>=A?v:A;w=t-r+d|0;B=r+1|0;if((B|0)>(q|0)){y=z;break}else{r=B;t=w;v=z}}}v=l*y;if(!(v==0.0)){x=v;break}x=l}}while(0);h[i+(p<<3)>>3]=(+h[f+(p<<3)>>3]-s)/x;n=n+1|0;}while((n|0)<=(d|0));if(m){break}else{C=1}do{n=C-1|0;h[j+(n<<3)>>3]=0.0;h[k+(n<<3)>>3]=+h[e+(n<<3)>>3]*+h[i+(n<<3)>>3];C=C+1|0;}while((C|0)<=(d|0))}}while(0);x=+hA(a,k);if(!(x>+h[g>>3])){return 0}d=c[a>>2]|0;if((d|0)>=1){C=1;m=1;n=d;while(1){o=C-1|0;s=+h[f+(o<<3)>>3];if((C|0)>(d|0)){D=m}else{q=C;t=m;while(1){r=j+(q-1<<3)|0;h[r>>3]=+h[r>>3]+s*+h[b+(t-1<<3)>>3];r=q+1|0;if((r|0)>(d|0)){break}else{q=r;t=t+1|0}}D=m+n|0}t=j+(o<<3)|0;h[t>>3]=+h[t>>3]/+h[e+(o<<3)>>3];t=C+1|0;if((t|0)>(d|0)){break}else{C=t;m=D;n=n-1|0}}}s=+hA(a,j);l=+h[g>>3];do{if(s==0.0){E=0.0;F=l/x;G=l}else{n=c[a>>2]|0;D=(n|0)<1;do{if(!D){m=1;do{C=m-1|0;d=j+(C<<3)|0;h[d>>3]=+h[d>>3]/s/+h[e+(C<<3)>>3];m=m+1|0;}while((m|0)<=(n|0));if(D){break}else{H=1;I=1;J=n}while(1){if((H|0)>(n|0)){K=I;L=0.0}else{m=H;p=I;y=0.0;while(1){M=y+ +h[b+(p-1<<3)>>3]*+h[j+(m-1<<3)>>3];C=m+1|0;if((C|0)>(n|0)){break}else{m=C;p=p+1|0;y=M}}K=I+J|0;L=M}h[k+(H-1<<3)>>3]=L;p=H+1|0;if((p|0)>(n|0)){break}else{H=p;I=K;J=J-1|0}}}}while(0);y=+hA(a,k);A=s/y/y;y=+h[g>>3];if(!(A<y)){E=A;F=0.0;G=y;break}y=+hA(a,f);u=+h[g>>3];v=A/u;z=y/s*(y/x)*v;y=u/x;N=z-y;O=v*v;v=1.0-O;E=A;F=y*v/(+W(N*N+v*(1.0-y*y))+(z-y*O));G=u}}while(0);x=(1.0-F)*(E>G?G:E);g=c[a>>2]|0;if((g|0)<1){return 0}else{P=1}do{a=P-1|0;f=i+(a<<3)|0;h[f>>3]=x*+h[j+(a<<3)>>3]+F*+h[f>>3];P=P+1|0;}while((P|0)<=(g|0));return 0}function gA(a){a=a|0;return+(+h[17864+((((c[a>>2]<<3)-8|0)/8|0)<<3)>>3])}function hA(a,b){a=a|0;b=b|0;var d=0,e=0.0,f=0.0,g=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0.0,w=0.0;d=c[a>>2]|0;e=1304.0e16/+(d|0);do{if((d|0)<1){f=0.0;g=0.0}else{a=1;i=0.0;j=0.0;k=0.0;l=0.0;m=0.0;while(1){n=+h[b+(a-1<<3)>>3];if(n<0.0){o=-0.0-n}else{o=n}do{if(o>3.834e-20&o<e){p=m;q=l;r=k;s=j+o*o;t=i}else{if(o>3.834e-20){if(o>l){n=l/o;p=m;q=o;r=k;s=j;t=i*n*n+1.0;break}else{n=o/l;p=m;q=l;r=k;s=j;t=i+n*n;break}}if(o>m){n=m/o;p=o;q=l;r=k*n*n+1.0;s=j;t=i;break}if(!(o!=0.0)){p=m;q=l;r=k;s=j;t=i;break}n=o/m;p=m;q=l;r=k+n*n;s=j;t=i}}while(0);u=a+1|0;if((u|0)>(d|0)){break}else{a=u;i=t;j=s;k=r;l=q;m=p}}if(!(t==0.0)){v=q*+W(t+s/q/q);return+v}if(s==0.0){f=r;g=p;break}if(s<p){w=0.0}else{w=+W(s*(r*p*(p/s)+1.0))}if(!(s<p)){v=w;return+v}v=+W(p*(r*p+s/p));return+v}}while(0);v=g*+W(f);return+v}function iA(a,b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,A){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;z=z|0;A=A|0;var B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0,S=0.0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0,fa=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0.0,ra=0.0,sa=0,ta=0,ua=0,va=0,wa=0.0,xa=0,ya=0.0,za=0,Aa=0.0,Ba=0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0.0,Ga=0.0,Ha=0,Ia=0,Ja=0.0,Ka=0.0,La=0.0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0;B=i;i=i+32|0;C=B|0;D=B+8|0;E=B+16|0;F=B+24|0;G=c[g>>2]|0;H=~G;I=+gA(20240);c[p>>2]=0;c[E>>2]=0;c[q>>2]=0;c[r>>2]=0;J=c[b>>2]|0;a:do{if((J|0)<1){L=97}else{if((c[g>>2]|0)<(J|0)){L=97;break}if(+h[j>>3]<0.0){L=97;break}if((c[k>>2]|0)<1){L=97;break}if(!(+h[n>>3]>0.0)){L=97;break}if((c[t>>2]|0)<((ga(J+1|0,J)|0)/2|0|0)){L=97;break}b:do{if((c[m>>2]|0)==2){M=1;while(1){if((M|0)>(J|0)){break b}if(+h[l+(M-1<<3)>>3]>0.0){M=M+1|0}else{L=97;break a}}}}while(0);c[E>>2]=1;M=a;oe[M&31](b,d,e,f,g,E,z,A)|0;c[q>>2]=1;N=c[E>>2]|0;if((N|0)<0){O=N;L=98;break}P=+hA(b,e);c[E>>2]=2;oe[M&31](b,d,e,f,g,E,z,A)|0;c[r>>2]=(c[r>>2]|0)+1;N=c[E>>2]|0;if((N|0)<0){O=N;L=98;break}N=C|0;Q=1;R=0;S=P;P=0.0;T=0;U=0;V=0;c:while(1){qA(b,b,f,g,1728792,N,20240,v,w,x)|0;do{if((Q|0)==1){W=c[b>>2]|0;do{if((c[m>>2]|0)==2){L=20}else{if((W|0)<1){break}else{X=1}while(1){Y=X-1|0;Z=w+(Y<<3)|0;_=l+(Y<<3)|0;h[_>>3]=+h[Z>>3];if(+h[Z>>3]==0.0){h[_>>3]=1.0}_=X+1|0;if((_|0)>(W|0)){L=20;break}else{X=_}}}}while(0);do{if((L|0)==20){L=0;if((W|0)<1){break}else{$=1}do{_=$-1|0;h[x+(_<<3)>>3]=+h[l+(_<<3)>>3]*+h[d+(_<<3)>>3];$=$+1|0;}while(($|0)<=(W|0))}}while(0);aa=+hA(b,x);ba=+h[n>>3];ca=aa*ba;h[F>>3]=ca;if(!(ca==0.0)){da=aa;break}h[F>>3]=ba;da=aa}else{da=P}}while(0);W=c[b>>2]|0;_=(W|0)<1;do{if(_){L=35}else{Z=1;do{Y=Z-1|0;h[u+(Y<<3)>>3]=+h[e+(Y<<3)>>3];Z=Z+1|0;}while((Z|0)<=(W|0));if(_){L=35;break}else{ea=1}do{Z=ga(ea,G)|0;aa=+h[f+(ea+H+Z<<3)>>3];do{if(!(aa==0.0)){Y=(ea|0)>(W|0);if(Y){break}fa=Z+H|0;ha=ea;ba=0.0;do{ba=ba+ +h[f+(fa+ha<<3)>>3]*+h[u+(ha-1<<3)>>3];ha=ha+1|0;}while((ha|0)<=(W|0));ca=(-0.0-ba)/aa;if(Y){break}ha=Z+H|0;fa=ea;do{ia=u+(fa-1<<3)|0;h[ia>>3]=+h[ia>>3]+ca*+h[f+(ha+fa<<3)>>3];fa=fa+1|0;}while((fa|0)<=(W|0))}}while(0);ea=ea+1|0;}while((ea|0)<=(W|0));c[D>>2]=0;if(_){break}else{ja=0;ka=1}while(1){Z=(ka|0)>2?ka:2;fa=Z-2|0;ha=v1(fa,0,Z-3|0,0)|0;Z=ha>>>1|K<<31;ha=ka-1|0;if((ha|0)<1){la=ka}else{Y=(ga(ka,G)|0)+H|0;ia=W+ja+(ga(W-2|0,fa)|0)|0;fa=1;ma=ka;do{h[s+(ma-1<<3)>>3]=+h[f+(Y+fa<<3)>>3];ma=ma-fa+W|0;fa=fa+1|0;}while((fa|0)<=(ha|0));la=ia-Z|0}fa=v+(ha<<3)|0;h[s+(la-1<<3)>>3]=+h[fa>>3];if(+h[fa>>3]==0.0){c[D>>2]=1}fa=ka+1|0;if((fa|0)>(W|0)){break}else{ja=ja+1|0;ka=fa}}}}while(0);if((L|0)==35){L=0;c[D>>2]=0}pA(b,b,f,g,v)|0;do{if((c[m>>2]|0)==2){na=V;oa=U;pa=T;qa=da;ra=S;sa=R;ta=1;ua=Q}else{W=c[b>>2]|0;if((W|0)<1){na=V;oa=U;pa=T;qa=da;ra=S;sa=R;ta=1;ua=Q;break}else{va=1}while(1){_=va-1|0;fa=l+(_<<3)|0;aa=+h[fa>>3];ca=+h[w+(_<<3)>>3];h[fa>>3]=aa>=ca?aa:ca;fa=va+1|0;if((fa|0)>(W|0)){na=V;oa=U;pa=T;qa=da;ra=S;sa=R;ta=1;ua=Q;break}else{va=fa}}}}while(0);while(1){W=c[o>>2]|0;do{if((W|0)>=1){c[E>>2]=0;if(((ua-1|0)%(W|0)|0|0)!=0){break}oe[M&31](b,d,e,f,g,E,z,A)|0;fa=c[E>>2]|0;if((fa|0)<0){O=fa;L=98;break a}}}while(0);fA(b,s,t,l,u,F,v,w,x)|0;W=c[b>>2]|0;if((W|0)>=1){fa=1;do{_=fa-1|0;ma=v+(_<<3)|0;ca=+h[ma>>3];h[ma>>3]=-0.0-ca;h[w+(_<<3)>>3]=+h[d+(_<<3)>>3]-ca;h[x+(_<<3)>>3]=+h[l+(_<<3)>>3]*+h[ma>>3];fa=fa+1|0;}while((fa|0)<=(W|0))}ca=+hA(b,x);if((ua|0)==1){aa=+h[F>>3];h[F>>3]=aa<=ca?aa:ca}c[E>>2]=1;oe[M&31](b,w,y,f,g,E,z,A)|0;c[q>>2]=(c[q>>2]|0)+1;W=c[E>>2]|0;if((W|0)<0){O=W;L=98;break a}aa=+hA(b,y);if(aa<ra){ba=aa/ra;wa=1.0-ba*ba}else{wa=-1.0}W=c[b>>2]|0;if((W|0)>=1){fa=1;ma=1;_=W;while(1){if((fa|0)>(W|0)){xa=ma;ya=0.0}else{Y=fa;za=ma;ba=0.0;while(1){Aa=ba+ +h[s+(za-1<<3)>>3]*+h[v+(Y-1<<3)>>3];Ba=Y+1|0;if((Ba|0)>(W|0)){break}else{Y=Ba;za=za+1|0;ba=Aa}}xa=ma+_|0;ya=Aa}za=fa-1|0;h[x+(za<<3)>>3]=ya+ +h[u+(za<<3)>>3];za=fa+1|0;if((za|0)>(W|0)){break}else{fa=za;ma=xa;_=_-1|0}}}ba=+hA(b,x);do{if(ba<ra){Ca=ba/ra;Da=1.0-Ca*Ca;if(!(Da>0.0)){Ea=0.0;L=65;break}Ca=wa/Da;if(Ca<.1){Ea=Ca;L=65;break}_=sa+1|0;if(Ca>=.5|(sa|0)>0){Da=+h[F>>3];Fa=ca*2.0;h[F>>3]=Da>=Fa?Da:Fa}Fa=Ca+-1.0;if(Fa<0.0){Ga=-0.0-Fa}else{Ga=Fa}if(Ga>.1){Ha=0;Ia=_;Ja=Ca;break}h[F>>3]=ca*2.0;Ha=0;Ia=_;Ja=Ca}else{Ea=0.0;L=65}}while(0);if((L|0)==65){L=0;h[F>>3]=+h[F>>3]*.5;Ha=na+1|0;Ia=0;Ja=Ea}if(Ja<1.0e-4){Ka=qa;La=ra;Ma=ua}else{_=c[b>>2]|0;if((_|0)>=1){ma=1;do{fa=ma-1|0;W=w+(fa<<3)|0;ba=+h[W>>3];h[d+(fa<<3)>>3]=ba;h[W>>3]=ba*+h[l+(fa<<3)>>3];h[e+(fa<<3)>>3]=+h[y+(fa<<3)>>3];ma=ma+1|0;}while((ma|0)<=(_|0))}Ka=+hA(b,w);La=aa;Ma=ua+1|0}Na=wa<.001?pa+1|0:0;Oa=wa<.1?oa+ta|0:0;ba=+h[F>>3];if(ba<=Ka*+h[j>>3]|La==0.0){L=77;break c}if((c[p>>2]|0)!=0){L=97;break a}if((c[q>>2]|0)<(c[k>>2]|0)){Pa=0}else{c[p>>2]=2;Pa=2}Ca=ba*.1;if((Ca>=ca?Ca:ca)*.1>I*Ka){Qa=Pa}else{c[p>>2]=3;Qa=3}if((Oa|0)==5){c[p>>2]=4;Ra=4}else{Ra=Qa}if((Na|0)==10){L=86;break c}if((Ra|0)!=0){L=97;break a}if((Ha|0)==2){break}_=c[b>>2]|0;if((_|0)>=1){ma=Ja<1.0e-4;fa=1;do{W=(ga(fa,G)|0)+H|0;za=1;Ca=0.0;do{Ca=Ca+ +h[f+(W+za<<3)>>3]*+h[y+(za-1<<3)>>3];za=za+1|0;}while((za|0)<=(_|0));za=fa-1|0;h[w+(za<<3)>>3]=(Ca- +h[x+(za<<3)>>3])/ca;ba=+h[l+(za<<3)>>3];W=v+(za<<3)|0;h[W>>3]=ba*(ba*+h[W>>3]/ca);if(!ma){h[u+(za<<3)>>3]=Ca}fa=fa+1|0;}while((fa|0)<=(_|0))}sA(b,b,s,t,v,w,x,D)|0;rA(b,b,f,g,w,x)|0;rA(20240,b,u,20240,w,x)|0;na=Ha;oa=Oa;pa=Na;qa=Ka;ra=La;sa=Ia;ta=0;ua=Ma}c[E>>2]=2;oe[M&31](b,d,e,f,g,E,z,A)|0;c[r>>2]=(c[r>>2]|0)+1;_=c[E>>2]|0;if((_|0)<0){O=_;L=98;break a}else{Q=Ma;R=Ia;S=La;P=Ka;T=Na;U=Oa;V=2}}if((L|0)==77){c[p>>2]=1;L=97;break}else if((L|0)==86){c[p>>2]=5;L=97;break}}}while(0);if((L|0)==97){Oa=c[E>>2]|0;if((Oa|0)<0){O=Oa;L=98}}if((L|0)==98){c[p>>2]=O}c[E>>2]=0;if((c[o>>2]|0)<=0){i=B;return 0}oe[a&31](b,d,e,f,g,E,z,A)|0;i=B;return 0}function jA(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;if((a[b]|0)==(a[e]|0)){h=1;return h|0}a[15192]=1;g=d[b]|0;c[428846]=g;b=d[e]|0;c[428844]=b;if((g-97|0)>>>0<26>>>0){e=g-32|0;c[428846]=e;i=e}else{i=g}if((b-97|0)>>>0<26>>>0){g=b-32|0;c[428844]=g;j=g}else{j=b}h=(i|0)==(j|0)|0;return h|0}function kA(b,d,e,f,g,i,j,k,l,m,n,o,p){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0.0,F=0,G=0,H=0.0,I=0.0,J=0.0,L=0,M=0.0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0.0,X=0.0,Y=0.0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0,ea=0,fa=0.0,ha=0.0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0.0,ta=0,ua=0,va=0.0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0;if((c[i>>2]|0)>0){c[2853]=6;eR(11408)|0;vQ(20232,i,4)|0;OQ()|0}c[p>>2]=0;if((c[e>>2]|0)<1){c[p>>2]=3;q=3}else{q=0}if((c[k>>2]|0)<1){c[p>>2]=4;return 0}if((q|0)!=0){return 0}c[427444]=0;c[427442]=0;c[427446]=0;a[11864]=0;q=c[e>>2]|0;c[427472]=1;do{if((q|0)>=1){r=1;s=0;while(1){if(+h[d+(r-1<<3)>>3]!=0.0){t=s+1|0;c[427444]=t;u=t}else{u=s}v=r+1|0;if((v|0)>(q|0)){break}else{r=v;s=u}}c[427472]=v;if((u|0)<=0){break}s=o;r=f;a:while(1){t=c[e>>2]|0;c[427472]=1;if((t|0)>=1){w=1;do{h[1710080+((w*21|0)-21<<3)>>3]=+h[b+(w-1<<3)>>3];w=w+1|0;}while((w|0)<=(t|0));c[427472]=w}c[427458]=2;t=c[e>>2]|0;c[427472]=1;if((t|0)>=1){x=1;y=2;while(1){z=x-1|0;A=d+(z<<3)|0;B=+h[A>>3];if(B==0.0){C=y}else{D=c[e>>2]|0;c[427456]=1;if((D|0)<1){E=B}else{F=1;do{h[1710080+((F*21|0)-22+y<<3)>>3]=+h[b+(F-1<<3)>>3];F=F+1|0;}while((F|0)<=(D|0));c[427456]=F;E=+h[A>>3]}h[1710080+((x*21|0)-22+y<<3)>>3]=+h[b+(z<<3)>>3]+E;D=y+1|0;c[427458]=D;C=D}D=x+1|0;c[427472]=D;if((D|0)>(t|0)){break}else{x=D;y=C}}}y=c[427444]|0;x=y+1|0;c[427438]=x;c[427472]=1;if((y|0)>=0){y=1;do{t=c[e>>2]|0;c[427456]=1;if((t|0)>=1){w=1;do{h[b+(w-1<<3)>>3]=+h[1710080+((w*21|0)-22+y<<3)>>3];w=w+1|0;}while((w|0)<=(t|0));c[427456]=w}$d[s&127](e,b,1709912+(y-1<<3)|0)|0;c[427442]=(c[427442]|0)+1;if((c[i>>2]|0)>=1){c[2961]=6;eR(11840)|0;vQ(20232,1709768,4)|0;vQ(20232,1709912+((c[427472]|0)-1<<3)|0,8)|0;t=c[e>>2]|0;c[427456]=1;if((t|0)>=1){z=1;do{vQ(20232,b+(z-1<<3)|0,8)|0;z=(c[427456]|0)+1|0;c[427456]=z;}while((z|0)<=(t|0))}OQ()|0}y=(c[427472]|0)+1|0;c[427472]=y;}while((y|0)<=(x|0))}x=c[427446]|0;b:while(1){c[427446]=x+1;c[427464]=1;c[427462]=1;B=+h[213739];h[1489]=B;h[1487]=B;y=c[427438]|0;c[427472]=2;if((y|0)<2){G=1}else{t=2;z=1;H=B;I=B;while(1){B=+h[1709912+(t-1<<3)>>3];do{if(B>H){c[427464]=t;J=+h[1709912+(t-1<<3)>>3];h[1489]=J;L=t;M=J;N=I}else{if(!(B<I)){L=z;M=H;N=I;break}c[427462]=t;J=+h[1709912+(t-1<<3)>>3];h[1487]=J;L=z;M=H;N=J}}while(0);O=t+1|0;if((O|0)>(y|0)){break}else{t=O;z=L;H=M;I=N}}c[427472]=O;G=L}z=c[e>>2]|0;c[427472]=1;if((z|0)>=1){t=1;do{h[1709584+(t-1<<3)>>3]=0.0;t=t+1|0;}while((t|0)<=(z|0));c[427472]=t}c[427472]=1;if((y|0)>=1){z=1;do{do{if((z|0)==(G|0)){P=G}else{w=c[e>>2]|0;c[427456]=1;if((w|0)<1){P=z;break}else{Q=1}do{A=1709584+(Q-1<<3)|0;h[A>>3]=+h[1710080+((Q*21|0)-22+z<<3)>>3]+ +h[A>>3];Q=Q+1|0;}while((Q|0)<=(w|0));c[427456]=Q;P=z}}while(0);z=P+1|0;c[427472]=z;}while((z|0)<=(y|0))}y=c[e>>2]|0;c[427456]=1;if((y|0)>=1){I=+(c[427444]|0);z=1;do{t=1709584+(z-1<<3)|0;h[t>>3]=+h[t>>3]/I;z=z+1|0;}while((z|0)<=(y|0));c[427456]=z}y=c[e>>2]|0;c[427472]=1;if((y|0)>=1){t=1;do{w=t-1|0;I=+h[1709584+(w<<3)>>3];h[1709264+(w<<3)>>3]=I+(I- +h[1710080+((t*21|0)-22+G<<3)>>3]);t=t+1|0;}while((t|0)<=(y|0));c[427472]=t}$d[s&127](e,1709264,11888)|0;y=(c[427442]|0)+1|0;c[427442]=y;z=c[i>>2]|0;do{if((z|0)>=1){if(((y|0)%(z|0)|0|0)!=0){break}c[2955]=6;eR(11816)|0;vQ(20232,1709768,4)|0;vQ(20232,11888,8)|0;w=c[e>>2]|0;c[427456]=1;if((w|0)>=1){A=1;do{vQ(20232,1709264+(A-1<<3)|0,8)|0;A=(c[427456]|0)+1|0;c[427456]=A;}while((A|0)<=(w|0))}OQ()|0}}while(0);I=+h[1486];c:do{if(I<+h[1487]){z=c[e>>2]|0;c[427472]=1;if((z|0)>=1){y=1;do{t=y-1|0;H=+h[1709584+(t<<3)>>3];h[1709104+(t<<3)>>3]=H+(+h[1709264+(t<<3)>>3]-H)*2.0;y=y+1|0;}while((y|0)<=(z|0));c[427472]=y}$d[s&127](e,1709104,11872)|0;z=(c[427442]|0)+1|0;c[427442]=z;t=c[i>>2]|0;do{if((t|0)>=1){if(((z|0)%(t|0)|0|0)!=0){break}c[2949]=6;eR(11792)|0;vQ(20232,1709768,4)|0;vQ(20232,11872,8)|0;w=c[e>>2]|0;c[427456]=1;if((w|0)>=1){A=1;do{vQ(20232,1709104+(A-1<<3)|0,8)|0;A=(c[427456]|0)+1|0;c[427456]=A;}while((A|0)<=(w|0))}OQ()|0}}while(0);H=+h[1484];if(!(H<+h[1487])){R=122;break}t=c[e>>2]|0;c[427472]=1;z=c[427464]|0;if((t|0)>=1){y=1;do{w=y-1|0;if(+h[d+(w<<3)>>3]!=0.0){h[1710080+((y*21|0)-22+z<<3)>>3]=+h[1709104+(w<<3)>>3]}y=y+1|0;}while((y|0)<=(t|0));c[427472]=y}h[1709912+(z-1<<3)>>3]=H}else{t=c[427438]|0;c[427472]=1;if((t|0)>=1){w=c[427464]|0;A=1;do{if((A|0)!=(w|0)){if(I<+h[1709912+(A-1<<3)>>3]){R=122;break c}}A=A+1|0;c[427472]=A;}while((A|0)<=(t|0))}if(!(I>+h[1489])){t=c[e>>2]|0;c[427472]=1;A=c[427464]|0;if((t|0)>=1){w=1;do{z=w-1|0;if(+h[d+(z<<3)>>3]!=0.0){h[1710080+((w*21|0)-22+A<<3)>>3]=+h[1709264+(z<<3)>>3]}w=w+1|0;}while((w|0)<=(t|0));c[427472]=w}h[1489]=I;h[1709912+(A-1<<3)>>3]=I}t=c[e>>2]|0;c[427472]=1;if((t|0)>=1){z=c[427464]|0;y=1;do{F=y-1|0;h[1709104+(F<<3)>>3]=+h[1710080+((y*21|0)-22+z<<3)>>3]*.5+ +h[1709584+(F<<3)>>3]*.5;y=y+1|0;}while((y|0)<=(t|0));c[427472]=y}$d[s&127](e,1709104,11872)|0;t=(c[427442]|0)+1|0;c[427442]=t;z=c[i>>2]|0;do{if((z|0)>=1){if(((t|0)%(z|0)|0|0)!=0){break}c[2943]=6;eR(11768)|0;vQ(20232,1709768,4)|0;vQ(20232,11872,8)|0;A=c[e>>2]|0;c[427456]=1;if((A|0)>=1){w=1;do{vQ(20232,1709104+(w-1<<3)|0,8)|0;w=(c[427456]|0)+1|0;c[427456]=w;}while((w|0)<=(A|0))}OQ()|0}}while(0);H=+h[1484];if(!(H>+h[1489])){z=c[e>>2]|0;c[427472]=1;t=c[427464]|0;if((z|0)>=1){y=1;do{A=y-1|0;if(+h[d+(A<<3)>>3]!=0.0){h[1710080+((y*21|0)-22+t<<3)>>3]=+h[1709104+(A<<3)>>3]}y=y+1|0;}while((y|0)<=(z|0));c[427472]=y}h[1709912+(t-1<<3)>>3]=H;break}z=c[427438]|0;c[427472]=1;if((z|0)<1){break}else{S=1}do{A=c[427462]|0;do{if((S|0)!=(A|0)){w=c[e>>2]|0;c[427456]=1;if((w|0)>=1){F=S-22|0;D=1;do{if(+h[d+(D-1<<3)>>3]!=0.0){T=(D*21|0)-22|0;U=1710080+(T+S<<3)|0;h[U>>3]=(+h[U>>3]+ +h[1710080+(T+A<<3)>>3])*.5}h[b+(D-1<<3)>>3]=+h[1710080+(F+(D*21|0)<<3)>>3];D=D+1|0;}while((D|0)<=(w|0));c[427456]=D}$d[s&127](e,b,1709912+(S-1<<3)|0)|0;w=(c[427442]|0)+1|0;c[427442]=w;F=c[i>>2]|0;if((F|0)<1){break}if(((w|0)%(F|0)|0|0)!=0){break}c[2937]=6;eR(11744)|0;vQ(20232,1709768,4)|0;vQ(20232,1709912+((c[427472]|0)-1<<3)|0,8)|0;F=c[e>>2]|0;c[427456]=1;if((F|0)>=1){w=1;do{vQ(20232,b+(w-1<<3)|0,8)|0;w=(c[427456]|0)+1|0;c[427456]=w;}while((w|0)<=(F|0))}OQ()|0}}while(0);S=(c[427472]|0)+1|0;c[427472]=S;}while((S|0)<=(z|0))}}while(0);if((R|0)==122){R=0;z=c[e>>2]|0;c[427472]=1;t=c[427464]|0;if((z|0)>=1){y=1;do{A=y-1|0;if(+h[d+(A<<3)>>3]!=0.0){h[1710080+((y*21|0)-22+t<<3)>>3]=+h[1709264+(A<<3)>>3]}y=y+1|0;}while((y|0)<=(z|0));c[427472]=y}h[1709912+(t-1<<3)>>3]=+h[1486]}z=c[427446]|0;if((z|0)<(c[k>>2]|0)){x=z;continue}h[1485]=0.0;h[1488]=0.0;z=c[427438]|0;c[427472]=1;A=(z|0)<1;do{if(A){I=+(z|0);h[1488]=0.0/I;c[427472]=1;V=0.0;X=I}else{I=0.0;F=1;do{I=+h[1709912+(F-1<<3)>>3]+I;F=F+1|0;}while((F|0)<=(z|0));H=+(z|0);B=I/H;h[1488]=B;c[427472]=1;if(A){V=0.0;X=H;break}else{Y=0.0;Z=1}do{J=+h[1709912+(Z-1<<3)>>3]-B;Y=Y+J*J;Z=Z+1|0;}while((Z|0)<=(z|0));h[1485]=Y;c[427472]=Z;V=Y;X=H}}while(0);B=+W(V/X);h[1485]=B;do{if(B>+h[j>>3]){if((c[427442]|0)>(c[g>>2]|0)){break}a[11864]=0;c[427446]=0;x=0;continue b}}while(0);t=c[e>>2]|0;c[427472]=1;if((t|0)>=1){y=1;do{F=y-1|0;if(!(+h[d+(F<<3)>>3]==0.0)){h[b+(F<<3)>>3]=0.0;c[427456]=1;if(A){_=b+(y-1<<3)|0}else{F=y*21|0;w=b+(y-1<<3)|0;D=1;B=+h[w>>3];do{B=+h[1710080+(D-22+F<<3)>>3]+B;h[w>>3]=B;D=D+1|0;}while((D|0)<=(z|0));c[427456]=D;_=w}h[_>>3]=+h[_>>3]/X}y=y+1|0;}while((y|0)<=(t|0));c[427472]=y}$d[s&127](e,b,f)|0;t=(c[427442]|0)+1|0;c[427442]=t;z=c[i>>2]|0;do{if((z|0)<1){$=t}else{if(((t|0)%(z|0)|0|0)!=0){$=t;break}c[2931]=6;eR(11720)|0;vQ(20232,1709768,4)|0;vQ(20232,r,8)|0;A=c[e>>2]|0;c[427456]=1;if((A|0)>=1){F=1;do{vQ(20232,b+(F-1<<3)|0,8)|0;F=(c[427456]|0)+1|0;c[427456]=F;}while((F|0)<=(A|0))}OQ()|0;$=c[427442]|0}}while(0);if(($|0)>(c[g>>2]|0)){R=154;break a}if((c[i>>2]|0)>=0){c[2901]=6;eR(11600)|0;OQ()|0;c[2895]=6;eR(11576)|0;t=c[e>>2]|0;c[427472]=1;if((t|0)>=1){z=1;do{vQ(20232,b+(z-1<<3)|0,8)|0;z=(c[427472]|0)+1|0;c[427472]=z;}while((z|0)<=(t|0))}OQ()|0;c[2889]=6;eR(11552)|0;vQ(20232,r,8)|0;OQ()|0}if(a[11864]|0){B=+h[1488];H=+h[1388]-B;if(H<0.0){aa=-0.0-H}else{aa=H}if(aa<+h[j>>3]){break}else{ba=B}}else{a[11864]=1;ba=+h[1488]}h[1388]=ba;c[427446]=0;x=0}if((c[i>>2]|0)>=0){c[2883]=6;eR(11528)|0;vQ(20232,1709768,4)|0;OQ()|0;c[2877]=6;eR(11504)|0;x=c[e>>2]|0;c[427472]=1;if((x|0)>=1){t=1;do{vQ(20232,b+(t-1<<3)|0,8)|0;t=(c[427472]|0)+1|0;c[427472]=t;}while((t|0)<=(x|0))}OQ()|0;c[2871]=6;eR(11480)|0;vQ(20232,r,8)|0;OQ()|0}if((c[l>>2]|0)<1){R=315;break}if((c[i>>2]|0)>-1){c[2865]=6;eR(11456)|0;OQ()|0}h[1487]=+h[f>>3];c[427440]=0;x=c[427438]|0;c[427472]=1;if((x|0)>=1){t=1;while(1){z=1709912+(t-1<<3)|0;B=+h[z>>3]- +h[f>>3];if(B<0.0){ca=-0.0-B}else{ca=B}if(!(ca<+h[m>>3])){y=t+1|0;c[427472]=y;if((y|0)>(x|0)){break}else{t=y;continue}}y=c[e>>2]|0;c[427456]=1;if((y|0)>=1){A=t-22|0;F=1;do{w=F-1|0;if(+h[d+(w<<3)>>3]!=0.0){D=1710080+((F*21|0)-22+t<<3)|0;B=+h[D>>3];h[D>>3]=B+(B- +h[b+(w<<3)>>3])}h[1709104+(F-1<<3)>>3]=+h[1710080+(A+(F*21|0)<<3)>>3];F=F+1|0;}while((F|0)<=(y|0));c[427456]=F}$d[s&127](e,1709104,z)|0;c[427440]=(c[427440]|0)+1;c[427442]=(c[427442]|0)+1;y=c[427472]|0;B=+h[1709912+(y-1<<3)>>3];if(!(B<+h[1487])){t=y;continue}h[1487]=B;if(!((c[i>>2]|0)>-1)){t=y;continue}c[2859]=6;eR(11432)|0;vQ(20232,1709768,4)|0;vQ(20232,11896,8)|0;y=c[e>>2]|0;c[427456]=1;if((y|0)>=1){A=1;do{vQ(20232,1709104+(A-1<<3)|0,8)|0;A=(c[427456]|0)+1|0;c[427456]=A;}while((A|0)<=(y|0))}OQ()|0;t=c[427472]|0}}t=c[427444]|0;c[427472]=1;do{if((t|0)<1){h[1667]=+h[213739];c[427472]=1;da=t;R=206}else{x=1;do{y=x+1|0;c[427476]=y;A=c[e>>2]|0;c[427456]=1;if((A|0)>=1){z=1;do{F=z*21|0;h[1709264+(z-1<<3)>>3]=(+h[1710080+(F-21<<3)>>3]+ +h[1710080+(F-22+y<<3)>>3])*.5;z=z+1|0;}while((z|0)<=(A|0));c[427456]=z}$d[s&127](e,1709264,1715120+(x-1<<3)|0)|0;c[427440]=(c[427440]|0)+1;c[427442]=(c[427442]|0)+1;x=(c[427472]|0)+1|0;c[427472]=x;}while((x|0)<=(t|0));x=c[427444]|0;B=+h[213739];h[1667]=B;c[427472]=1;if((x|0)<1){da=x;R=206;break}else{ea=1;fa=B}while(1){A=ea-1|0;c[427476]=A;c[427474]=ea+1;if((A|0)<1){ha=fa;ia=ea}else{c[427456]=1;y=1;while(1){F=y+1|0;c[427454]=F;w=c[e>>2]|0;c[427450]=1;if((w|0)>=1){D=c[427474]|0;T=1;do{U=(T*21|0)-22|0;h[1709104+(T-1<<3)>>3]=(+h[1710080+(U+D<<3)>>3]+ +h[1710080+(U+F<<3)>>3])*.5;T=T+1|0;}while((T|0)<=(w|0));c[427450]=T}$d[s&127](e,1709104,11872)|0;c[427440]=(c[427440]|0)+1;c[427442]=(c[427442]|0)+1;w=c[427472]|0;F=w-1|0;D=(ga(F,w)|0)/2|0;U=c[427456]|0;ja=U+D|0;c[427448]=ja;B=+h[1667];h[1713440+(ja-1<<3)>>3]=(+h[1484]+B- +h[1715120+(F<<3)>>3]- +h[1715120+(U-1<<3)>>3])*2.0;F=U+1|0;c[427456]=F;if((F|0)>(A|0)){ha=B;ia=w;break}else{y=F}}}y=ia+1|0;c[427472]=y;if((y|0)>(x|0)){break}else{ea=y;fa=ha}}x=c[427444]|0;c[427448]=0;c[427472]=1;y=(x|0)<1;if(y){c[427472]=1;ka=x;la=1;break}else{ma=1;na=0}while(1){oa=na+ma|0;h[1713440+(oa-1<<3)>>3]=(+h[1709912+(ma<<3)>>3]+ha- +h[1715120+(ma-1<<3)>>3]*2.0)*2.0;A=ma+1|0;if((A|0)>(x|0)){break}else{ma=A;na=oa}}c[427476]=ma+1;c[427448]=oa;c[427472]=1;if(y){ka=x;la=1;break}B=ha*3.0;A=1;while(1){z=1715120+(A-1<<3)|0;h[z>>3]=+h[z>>3]*2.0-(+h[1709912+(A<<3)>>3]+B)*.5;pa=A+1|0;if((pa|0)>(x|0)){break}else{A=pa}}c[427476]=A+1;c[427472]=pa;ka=x;la=y}}while(0);if((R|0)==206){R=0;c[427448]=0;c[427472]=1;ka=da;la=(da|0)<1}t=c[e>>2]|0;c[427472]=1;if((t|0)>=1){z=1;do{h[1709424+(z-1<<3)>>3]=+h[1710080+((z*21|0)-21<<3)>>3];z=z+1|0;}while((z|0)<=(t|0));c[427472]=z}c[427472]=1;do{if(la){c[427472]=1}else{t=1;do{t=t+1|0;c[427476]=t;F=c[e>>2]|0;c[427456]=1;if((F|0)>=1){w=1;do{U=w*21|0;ja=1710080+(U-22+t<<3)|0;h[ja>>3]=+h[ja>>3]- +h[1710080+(U-21<<3)>>3];w=w+1|0;}while((w|0)<=(F|0));c[427456]=w}c[427472]=t;}while((t|0)<=(ka|0));c[427472]=1;if(la){break}else{qa=1}while(1){t=qa+1|0;c[427476]=t;y=c[e>>2]|0;c[427456]=1;if((y|0)>=1){x=1;do{A=(x*21|0)-22|0;h[1710080+(A+qa<<3)>>3]=+h[1710080+(A+t<<3)>>3];x=x+1|0;}while((x|0)<=(y|0));c[427456]=x}c[427472]=t;if((t|0)>(ka|0)){break}else{qa=t}}}}while(0);lA(1713440,1709776,1713440,1708944,1709744,p,11112)|0;if((c[p>>2]|0)==0){R=229;break}if((c[i>>2]|0)>-1){c[2847]=6;eR(11384)|0;OQ()|0}c[p>>2]=2;if((c[427442]|0)>(c[g>>2]|0)){R=315;break}c[2841]=6;eR(11360)|0;OQ()|0;z=c[e>>2]|0;c[427472]=1;if((z|0)<1){continue}else{ra=1}do{y=d+(ra-1<<3)|0;h[y>>3]=+h[y>>3]*.5;ra=ra+1|0;}while((ra|0)<=(z|0));c[427472]=ra}if((R|0)==154){c[p>>2]=1;if((c[i>>2]|0)<0){return 0}c[2925]=6;eR(11696)|0;vQ(20232,g,4)|0;OQ()|0;c[2919]=6;eR(11672)|0;vQ(20232,11880,8)|0;OQ()|0;c[2913]=6;eR(11648)|0;s=c[e>>2]|0;c[427472]=1;if((s|0)>=1){z=1;do{vQ(20232,b+(z-1<<3)|0,8)|0;z=(c[427472]|0)+1|0;c[427472]=z;}while((z|0)<=(s|0))}OQ()|0;c[2907]=6;eR(11624)|0;vQ(20232,r,8)|0;OQ()|0;return 0}else if((R|0)==229){s=c[427444]|0;c[427460]=s-(c[427436]|0);c[427472]=1;z=(s|0)<1;do{if(z){h[1387]=0.0;c[427472]=1;sa=0.0}else{y=s+1|0;w=1;do{h[1709912+(w-1<<3)>>3]=0.0;A=w-1|0;F=1709912+(A<<3)|0;U=1;B=+h[F>>3];do{if((U|0)>(w|0)){ja=U-1|0;ta=((ga(ja,U)|0)/2|0)+w|0;ua=ja}else{ta=((ga(A,w)|0)/2|0)+U|0;ua=U-1|0}B=+h[1713440+(ta-1<<3)>>3]*+h[1715120+(ua<<3)>>3]+B;U=U+1|0;}while((U|0)<=(s|0));c[427448]=ta;h[F>>3]=B;w=w+1|0;}while((w|0)<=(s|0));c[427456]=y;h[1387]=0.0;c[427472]=1;if(z){sa=0.0;break}else{va=0.0;wa=1}do{w=wa-1|0;va=va+ +h[1709912+(w<<3)>>3]*+h[1715120+(w<<3)>>3];wa=wa+1|0;}while((wa|0)<=(s|0));h[1387]=va;c[427472]=wa;sa=va}}while(0);h[1387]=+h[1667]-sa;r=c[e>>2]|0;c[427472]=1;if((r|0)>=1){y=s+1|0;w=1;do{h[1709104+(w-1<<3)>>3]=0.0;if(z){xa=1}else{U=w*21|0;A=1709104+(w-1<<3)|0;H=+h[A>>3];ja=1;do{H=H+ +h[1709912+(ja-1<<3)>>3]*+h[1710080+(ja-22+U<<3)>>3];ja=ja+1|0;}while((ja|0)<=(s|0));h[A>>3]=H;xa=y}w=w+1|0;}while((w|0)<=(r|0));c[427472]=w;c[427456]=xa}r=c[e>>2]|0;c[427472]=1;if((r|0)>=1){y=1;do{s=y-1|0;z=1709424+(s<<3)|0;h[z>>3]=+h[z>>3]- +h[1709104+(s<<3)>>3];y=y+1|0;}while((y|0)<=(r|0));c[427472]=y}if((c[i>>2]|0)>=0){c[2835]=6;eR(11336)|0;vQ(20232,11096,8)|0;r=c[e>>2]|0;c[427472]=1;if((r|0)>=1){w=1;do{vQ(20232,1709424+(w-1<<3)|0,8)|0;w=(c[427472]|0)+1|0;c[427472]=w;}while((w|0)<=(r|0))}OQ()|0;c[2829]=6;eR(11312)|0;OQ()|0}r=c[e>>2]|0;c[427472]=1;if((r|0)>=1){w=c[427444]|0;y=1;do{c[427456]=1;if((w|0)>=1){s=y*21|0;z=w+1|0;ja=1;do{h[1709912+(ja-1<<3)>>3]=0.0;U=ja-1|0;D=1709912+(U<<3)|0;ya=1;I=+h[D>>3];do{if((ya|0)>(ja|0)){za=((ga(ya-1|0,ya)|0)/2|0)+ja|0}else{za=((ga(U,ja)|0)/2|0)+ya|0}I=I+ +h[1713440+(za-1<<3)>>3]*+h[1710080+(ya-22+s<<3)>>3]*.5;ya=ya+1|0;}while((ya|0)<=(w|0));c[427448]=za;h[D>>3]=I;ja=ja+1|0;}while((ja|0)<=(w|0));c[427450]=z;c[427456]=ja}s=c[e>>2]|0;c[427456]=y;if((y|0)<=(s|0)){A=(w|0)<1;ya=w+1|0;U=y;do{Aa=y+((ga(U-1|0,U)|0)/2|0)|0;F=1707264+(Aa-1<<3)|0;h[F>>3]=0.0;if(A){Ba=1}else{Ca=U*21|0;H=0.0;Da=1;do{H=+h[1709912+(Da-1<<3)>>3]*+h[1710080+(Da-22+Ca<<3)>>3]+H;Da=Da+1|0;}while((Da|0)<=(w|0));h[F>>3]=H;Ba=ya}U=U+1|0;}while((U|0)<=(s|0));c[427456]=U;c[427448]=Aa;c[427450]=Ba}y=y+1|0;c[427472]=y;}while((y|0)<=(r|0))}c[427456]=0;r=c[e>>2]|0;c[427472]=1;if((r|0)>=1){y=0;w=1;do{y=y+w|0;h[n+(w-1<<3)>>3]=+h[1707264+(y-1<<3)>>3];w=w+1|0;}while((w|0)<=(r|0));c[427456]=y;c[427472]=w}if((c[i>>2]|0)<0){return 0}c[2823]=6;eR(11288)|0;vQ(20232,1709840,4)|0;OQ()|0;c[427466]=1;r=1;d:while(1){c[427448]=r;do{if((r|0)>(c[e>>2]|0)){s=c[427466]|0;if((s|0)==1){c[2817]=6;eR(11264)|0;OQ()|0;lA(1707264,1709776,1713440,1708944,1709744,p,11112)|0;c[2811]=6;eR(11240)|0;OQ()|0;c[427466]=3;r=1;continue d}else if((s|0)==2){break d}else if((s|0)!=3){break}c[427466]=2;c[427470]=0;c[427468]=0;s=c[e>>2]|0;c[427472]=1;if((s|0)>=1){ya=0;A=0;ja=1;z=0;Da=-1;Ca=-1;D=-2;while(1){Ea=v1(Ca,0,D,0)|0;Fa=Da+(Ea>>>1|K<<31)|0;Ga=A+ja|0;Ea=1707264+(Ga-1<<3)|0;I=+h[Ea>>3];if(I>0.0){Ha=1.0/+W(I)}else{Ha=0.0}h[Ea>>3]=Ha;Ia=ja-1|0;if((Ia|0)<1){Ja=0;Ka=ya;La=1}else{Ma=0;Na=ya;Oa=1;I=Ha;while(1){Pa=Ma+Oa|0;Qa=1707264+(Na<<3)|0;h[Qa>>3]=+h[Qa>>3]*I*+h[1707264+(Pa-1<<3)>>3];Qa=Oa+1|0;if((Qa|0)>(Ia|0)){break}Ma=Pa;Na=Na+1|0;Oa=Qa;I=+h[Ea>>3]}Ja=Fa;Ka=ya+z|0;La=ja}Ra=Ka+1|0;Sa=ja+1|0;if((Sa|0)>(s|0)){break}else{ya=Ra;A=Ga;ja=Sa;z=z+1|0;Da=Da+2|0;Ca=Ca+1|0;D=D+1|0}}c[427452]=Ja;c[427468]=Ra;c[427470]=Ga;c[427456]=La;c[427472]=Sa}c[2805]=6;eR(11216)|0;OQ()|0;c[427470]=0;D=c[e>>2]|0;c[427472]=1;if((D|0)<1){r=1;continue d}else{Ta=0;Ua=1}do{Ta=Ta+Ua|0;Ca=1707264+(Ta-1<<3)|0;if(+h[Ca>>3]!=0.0){h[Ca>>3]=1.0}Ua=Ua+1|0;}while((Ua|0)<=(D|0));c[427470]=Ta;c[427472]=Ua;r=1;continue d}}while(0);U=(ga(r-1|0,r)|0)/2|0;c[427470]=U;D=c[e>>2]|0;c[427472]=r;e:do{if((r|0)<=(D|0)){Ca=r;Da=U;z=r;while(1){ja=z+Da|0;c[427476]=ja;A=Ca+Da|0;c[427470]=A;ya=ja+5|0;c[427474]=(A|0)<=(ya|0)?A:ya;if((c[427466]|0)==3){c[2787]=6;eR(11144)|0;ya=c[427474]|0;A=c[427476]|0;c[427456]=A;if((A|0)<=(ya|0)){ja=A;do{vQ(20232,1713440+(ja-1<<3)|0,8)|0;ja=(c[427456]|0)+1|0;c[427456]=ja;}while((ja|0)<=(ya|0))}OQ()|0}else{c[2793]=6;eR(11168)|0;ya=c[427474]|0;ja=c[427476]|0;c[427456]=ja;if((ja|0)<=(ya|0)){Fa=ja;do{vQ(20232,1707264+(Fa-1<<3)|0,8)|0;Fa=(c[427456]|0)+1|0;c[427456]=Fa;}while((Fa|0)<=(ya|0))}OQ()|0}ya=(c[427472]|0)+1|0;c[427472]=ya;if((ya|0)>(D|0)){break e}Ca=ya;Da=c[427470]|0;z=c[427448]|0}}}while(0);c[2781]=6;eR(11120)|0;OQ()|0;r=(c[427448]|0)+6|0}c[2799]=6;eR(11192)|0;vQ(20232,1709760,4)|0;OQ()|0;return 0}else if((R|0)==315){return 0}}}while(0);$d[o&127](e,b,f)|0;return 0}function lA(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0.0,E=0;c[426592]=c[b>>2];c[g>>2]=1;if((c[426592]|0)<1){return 0}c[g>>2]=0;mA(a,1706368,d,f,g,i,e)|0;if((c[g>>2]|0)!=0){return 0}g=c[426592]|0;i=(ga(g+1|0,g)|0)/2|0;c[426594]=i;c[426608]=g;c[426596]=i;f=g-1|0;a=i+(ga(f,1-g|0)|0)|0;b=v1(f,0,g-2|0,0)|0;f=a+(b>>>1|K<<31)|0;b=i;a=g;while(1){if(+h[d+(b-1<<3)>>3]==0.0){c[426606]=a;if((a|0)>(g|0)){j=b}else{k=b;l=a;do{h[d+(k-1<<3)>>3]=0.0;k=k+l|0;l=l+1|0;}while((l|0)<=(g|0));c[426606]=l;j=k}m=j;n=a-1|0}else{c[426612]=a;if((a|0)<=(g|0)){o=b;p=a;while(1){h[e+(p-1<<3)>>3]=+h[d+(o-1<<3)>>3];q=p+1|0;if((q|0)>(g|0)){break}o=o+p|0;p=q}c[426612]=q}c[426610]=g;c[426604]=i;c[426598]=i;p=a-1|0;o=e+(p<<3)|0;k=(g|0)==(a|0);l=i;r=g;s=i;while(1){h[980]=0.0;t=(r|0)==(a|0);if(t){u=1.0/+h[o>>3];h[980]=u;v=u}else{v=0.0}if(k){w=l;x=g;y=v}else{z=l;A=g;u=v;while(1){B=A-1|0;C=z-1|0;D=u- +h[e+(B<<3)>>3]*+h[d+(C<<3)>>3];h[980]=D;if((C|0)>(s|0)){E=z+(1-A)|0}else{E=C}if((B|0)==(a|0)){w=E;x=a;y=D;break}else{z=E;A=B;u=D}}}h[d+(w-1<<3)>>3]=y/+h[o>>3];if(t){break}A=s-r|0;c[426598]=A;z=r-1|0;c[426610]=z;B=l-1|0;c[426604]=B;l=B;r=z;s=A}c[426602]=x;m=w;n=p}if((n|0)==0){break}else{b=b-a|0;a=n}}c[426600]=m;c[426608]=0;c[426596]=f-g;return 0}function mA(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0;h[2417]=.5;j=.5;do{j=j*.5;}while(j+1.0>1.0);k=j*2.0;h[2417]=k;c[f>>2]=1;if((c[b>>2]|0)<1){return 0}c[f>>2]=2;c[e>>2]=0;h[g>>3]=k;h[i>>3]=+h[2417];c[432190]=1;c[432188]=0;l=c[b>>2]|0;c[432194]=1;a:do{if((l|0)>=1){b=1;m=1;b:while(1){c[432186]=0;c[432192]=1;do{if((b|0)>=1){n=c[432188]|0;o=1;p=0;while(1){q=n+1|0;r=a+(n<<3)|0;k=+h[r>>3];h[2415]=k;s=(o|0)==(b|0);if(s){j=k*+h[2417];h[2416]=j*j}do{if((o|0)<1){t=1;u=m;v=p;w=k}else{x=p;y=1;z=m;j=k;while(1){A=x+1|0;if((y|0)==(o|0)){B=14;break}C=d+(x<<3)|0;D=j- +h[C>>3]*+h[d+(z-1<<3)>>3];h[2415]=D;if(s){E=+h[C>>3];F=E*E*+h[i+(y-1<<3)>>3];h[2416]=+h[2416]+F*F}G=z+1|0;H=y+1|0;if((H|0)>(o|0)){B=15;break}else{x=A;y=H;z=G;j=D}}if((B|0)==14){B=0;c[432186]=A;t=o;u=z;v=A;w=j;break}else if((B|0)==15){B=0;c[432186]=A;t=H;u=G;v=A;w=D;break}}}while(0);if(s){B=25;break}k=+h[d+(v-1<<3)>>3];if(k==0.0){h[d+(n<<3)>>3]=0.0;F=+h[2415];if(F<0.0){I=-0.0-F}else{I=F}F=+h[g>>3]*+h[r>>3];if(F<0.0){J=-0.0-F}else{J=F}if(I>J){break b}}else{h[d+(n<<3)>>3]=w/k}y=o+1|0;c[432192]=y;if((y|0)>(b|0)){B=26;break}else{n=q;o=y;p=v}}if((B|0)==25){B=0;c[432196]=t;c[432184]=u;c[432188]=q;break}else if((B|0)==26){B=0;c[432196]=t;c[432184]=u;c[432188]=q;break}}}while(0);k=+W(+h[2416]);h[2416]=k;F=+h[2415];if(F<0.0){K=-0.0-F}else{K=F}do{if(K>k*5.0){if(F<0.0){B=37;break b}E=+W(F);h[d+((c[432188]|0)-1<<3)>>3]=E;E=+h[2416]/+h[2415];h[i+((c[432196]|0)-1<<3)>>3]=E;if(!(E>+h[g>>3])){L=b;M=m;break}h[g>>3]=E;L=b;M=m}else{h[d+((c[432188]|0)-1<<3)>>3]=0.0;c[e>>2]=(c[e>>2]|0)+1;L=c[432194]|0;M=c[432190]|0}}while(0);m=M+L|0;c[432190]=m;b=L+1|0;c[432194]=b;if((b|0)>(l|0)){break a}}if((B|0)==37){return 0}c[432196]=t;c[432184]=u;c[432188]=q;return 0}}while(0);c[f>>2]=0;return 0}function nA(b,d,e,f,g,h,i,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;l=(c[b>>2]|0)+1|0;c[426790]=l;m=(c[d>>2]|0)-l|0;c[426788]=m;n=c[d>>2]|0;o=c[b>>2]|0;p=o+2|0;do{if((n|0)>=(p|0)){if((n|0)>((ga(l,p)|0)/2|0|0)){break}q=o+n|0;c[426792]=q;a[10984]=1;r=c[b>>2]|0;s=r+1|0;c[426798]=s;t=c[b>>2]|0;u=s+t|0;c[426800]=u;s=u+(c[b>>2]|0)|0;c[426796]=s;u=(ga(c[d>>2]|0,c[b>>2]|0)|0)+s|0;c[426810]=u;v=u+(c[d>>2]|0)|0;c[426808]=v;w=v+(c[b>>2]|0)|0;c[426806]=w;x=((ga(l,c[b>>2]|0)|0)/2|0)+w|0;c[426804]=x;y=x+(c[d>>2]|0)|0;c[426814]=y;z=(ga(c[b>>2]|0,q)|0)+y|0;c[426794]=z;A=(ga(m,c[d>>2]|0)|0)+z|0;c[426812]=A;B=A+(c[b>>2]|0)|0;c[426802]=B;oA(b,d,e,f,g,h,i,j,j+(r<<3)|0,j+(r+t<<3)|0,j+(s-1<<3)|0,j+(u-1<<3)|0,j+(v-1<<3)|0,j+(w-1<<3)|0,j+(x-1<<3)|0,j+(y-1<<3)|0,j+(z-1<<3)|0,1707168,j+(A-1<<3)|0,j+(B-1<<3)|0,j+(q-1+B<<3)|0,k)|0;return 0}}while(0);eR(10992)|0;OQ()|0;return 0}function oA(a,b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;var z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0.0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0.0,la=0.0,ma=0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0,wa=0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0.0,Pa=0.0,Qa=0.0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0.0,eb=0,fb=0,gb=0.0,hb=0.0,ib=0,jb=0.0,kb=0.0,lb=0.0,mb=0.0,nb=0.0,ob=0,pb=0,qb=0,rb=0,sb=0.0,tb=0.0,ub=0.0,vb=0.0,wb=0.0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0;z=i;i=i+8|0;A=z|0;B=c[b>>2]|0;C=~B;D=c[u>>2]|0;E=~D;h[1290]=.5;h[1264]=1.0;h[1252]=.1;F=(c[a>>2]|0)+1|0;c[426744]=F;G=ga(c[a>>2]|0,F)|0;H=(G|0)/2|0;c[426746]=H;I=(c[b>>2]|0)-F|0;c[426742]=I;F=c[j>>2]|0;c[426748]=(F|0)<1?1:F;F=c[a>>2]|0;c[426772]=1;if((F|0)>=1){j=1;do{J=j-1|0;h[k+(J<<3)>>3]=+h[d+(J<<3)>>3];J=c[b>>2]|0;c[426766]=1;if((J|0)>=1){K=ga(j,B)|0;L=1;do{h[n+(L+C+K<<3)>>3]=0.0;L=L+1|0;}while((L|0)<=(J|0));c[426766]=L}J=c[u>>2]|0;c[426786]=1;if((J|0)>=1){K=1;do{h[s+(K+E+(ga(j,D)|0)<<3)>>3]=0.0;K=K+1|0;}while((K|0)<=(J|0));c[426786]=K}j=j+1|0;c[426772]=j;}while((j|0)<=(F|0))}c[426782]=1;if((G|0)>=2){G=1;do{h[q+(G-1<<3)>>3]=0.0;G=G+1|0;}while((G|0)<=(H|0));c[426782]=G}G=c[b>>2]|0;c[426766]=1;if((G|0)>=1){H=(I|0)<1;F=I+1|0;j=1;do{h[r+(j-1<<3)>>3]=0.0;if(H){M=1}else{J=1;while(1){h[t+((ga(J,B)|0)+C+j<<3)>>3]=0.0;L=J+1|0;if((L|0)>(I|0)){M=F;break}else{J=L}}}j=j+1|0;}while((j|0)<=(G|0));c[426772]=M;c[426766]=j}N=+h[e>>3];O=N*N;h[1259]=O;h[1262]=+h[1264]/O;h[1261]=+W(+h[1290])/O;c[426756]=0;j=y;y=A;M=0;a:while(1){c[426754]=M;G=M-(c[a>>2]|0)|0;c[426752]=G;F=M+1|0;c[426756]=F;I=c[a>>2]|0;do{if((M|0)>(I<<1|0)){H=(G-1|0)/(I|0)|0;c[426776]=H;J=c[a>>2]|0;K=M-(ga(J,H)|0)-J|0;c[426768]=K;J=K+H|0;c[426778]=J;if((J|0)>(c[a>>2]|0)){c[426776]=K;H=J-(c[a>>2]|0)|0;c[426768]=H;c[426778]=K;P=K;Q=H}else{P=J;Q=K}O=+h[e>>3];h[1250]=O;K=c[426744]|0;if(+h[o+(P-1+K<<3)>>3]<+h[o+(P<<3)>>3]){N=-0.0-O;h[1250]=N;R=N}else{R=O}O=+h[e>>3];h[1249]=O;if(+h[o+(Q-1+K<<3)>>3]<+h[o+(Q<<3)>>3]){h[1249]=-0.0-O}K=F+C|0;h[n+(K+(ga(P,B)|0)<<3)>>3]=R;h[n+(K+(ga(Q,B)|0)<<3)>>3]=+h[1249];S=c[a>>2]|0}else{K=(M|0)>(I|0);if(!((M|0)<1|K)){h[n+((ga(M,B)|0)+C+F<<3)>>3]=+h[e>>3];S=I;break}if(!K){S=I;break}h[n+(F+C+(ga(G,B)|0)<<3)>>3]=-0.0- +h[e>>3];S=I}}while(0);c[426772]=1;if((S|0)>=1){I=1;do{O=+h[n+((ga(I,B)|0)+C+F<<3)>>3];G=I-1|0;h[d+(G<<3)>>3]=O+ +h[k+(G<<3)>>3];I=I+1|0;}while((I|0)<=(S|0));c[426772]=I}if((F|0)>(c[426748]|0)){T=F;U=158;break}while(1){$d[j&127](a,d,10856)|0;if((c[g>>2]|0)==3){eR(10264)|0;vQ(20224,1707024,4)|0;vQ(20224,10856,8)|0;G=c[a>>2]|0;c[426786]=1;if((G|0)>=1){K=1;do{vQ(20224,d+(K-1<<3)|0,8)|0;K=(c[426786]|0)+1|0;c[426786]=K;}while((K|0)<=(G|0))}OQ()|0}G=c[426756]|0;do{if((G|0)>(c[b>>2]|0)){K=c[426764]|0;if((K|0)==-1){break a}h[1251]=0.0;c[426782]=0;J=c[a>>2]|0;c[426772]=1;if((J|0)<1){V=0.0}else{H=2;L=1;O=0.0;X=0;while(1){Y=L-1|0;N=O+ +h[v+(Y<<3)>>3]*+h[p+(Y<<3)>>3];h[1251]=N;if((L|0)<1){Z=1;_=N;$=X}else{Y=L-1|0;aa=m+(Y<<3)|0;ba=v+(Y<<3)|0;Y=X;ca=1;da=N;while(1){ea=ca-1|0;N=+h[v+(ea<<3)>>3]*+h[aa>>3]+ +h[ba>>3]*+h[l+(ea<<3)>>3];h[1254]=N;if((ca|0)==(L|0)){fa=N*+h[1290];h[1254]=fa;ha=fa}else{ha=N}ia=da+ha*+h[q+(Y<<3)>>3];h[1251]=ia;ea=ca+1|0;if((ea|0)>(L|0)){break}else{Y=Y+1|0;ca=ea;da=ia}}ca=X+L|0;c[426782]=ca;Z=H;_=ia;$=ca}ja=L+1|0;if((ja|0)>(J|0)){break}else{H=H+1|0;L=ja;O=_;X=$}}c[426786]=Z;c[426772]=ja;V=_}X=c[b>>2]|0;c[426766]=1;if((X|0)<1){ka=V}else{L=1;O=V;do{H=L-1|0;O=O+ +h[r+(H<<3)>>3]*+h[x+(H<<3)>>3];h[1251]=O;L=L+1|0;}while((L|0)<=(X|0));c[426766]=L;ka=O}da=+h[1357];N=+h[1294];fa=da-N-ka;h[1366]=fa;h[1363]=+h[1364];h[1364]=+h[1365];if(fa<0.0){la=-0.0-fa}else{la=fa}h[1365]=la;if(+h[1361]>+h[1260]){c[426750]=G}h[1293]=N;do{if(da<N){h[1294]=da;h[1248]=0.0;X=c[a>>2]|0;c[426786]=1;if((X|0)<1){break}else{ma=1}do{H=ma-1|0;h[l+(H<<3)>>3]=+h[m+(H<<3)>>3];na=+h[l+(ma-1<<3)>>3];h[1248]=+h[1248]+na*na;ma=ma+1|0;}while((ma|0)<=(X|0));c[426786]=ma;h[A>>3]=na}}while(0);c[426760]=K;if((K|0)<=0){da=+h[1251];if(!(da<0.0)){U=189;break a}N=+h[1357];O=+h[1293];fa=(N-O)/da;h[1263]=fa;da=+h[1252];do{if(fa>da){oa=+h[1290]*+h[1368];h[A>>3]=oa;pa=+h[1361];if(fa>.7){qa=pa+pa;ra=oa>=qa?oa:qa;h[1368]=ra;sa=ra;break}else{ra=oa>=pa?oa:pa;h[1368]=ra;sa=ra;break}}else{ra=+h[1290]*+h[1361];h[1368]=ra;sa=ra}}while(0);fa=+h[1260];if(sa>fa*1.5){ta=sa}else{h[1368]=fa;ta=fa}ra=da*ta;pa=ra>=fa?ra:fa;h[A>>3]=pa;fa=pa*pa;h[1259]=fa;c[426758]=0;h[1367]=0.0;if(N<O){ua=0.0;va=0}else{L=c[426762]|0;c[426758]=L;pa=+h[1264];h[1367]=pa;ua=pa;va=L}L=c[b>>2]|0;c[426766]=1;if((L|0)<1){wa=K}else{X=c[426742]|0;H=K;J=1;pa=ua;while(1){h[1289]=0.0;c[426772]=1;if((X|0)<1){xa=0.0}else{ca=c[426784]|0;Y=J+C|0;ra=+h[1264];ba=1;oa=0.0;do{if((ba|0)<(ca|0)){ya=-0.0-ra}else{ya=ra}h[1254]=ya;qa=+h[t+(Y+(ga(ba,B)|0)<<3)>>3];oa=oa+ya*qa*qa;h[1289]=oa;ba=ba+1|0;}while((ba|0)<=(X|0));c[426772]=ba;xa=oa}ra=+h[w+(J-1<<3)>>3];qa=ra*ra+ +h[1371]*xa;if(qa<0.0){za=-0.0-qa}else{za=qa}h[1254]=za;h[1362]=0.0;Y=c[a>>2]|0;c[426772]=1;if((Y|0)<1){Aa=qa;Ba=0.0}else{ca=1;qa=0.0;do{ra=+h[n+((ga(ca,B)|0)+C+J<<3)>>3];Ca=ra- +h[l+(ca-1<<3)>>3];qa=qa+Ca*Ca;h[1362]=qa;ca=ca+1|0;}while((ca|0)<=(Y|0));c[426772]=ca;Aa=Ca;Ba=qa}if(Ba>fa){oa=Ba/fa;ra=za*oa*oa*oa;h[1254]=ra;Da=oa;Ea=ra}else{Da=Aa;Ea=za}if(Ea<=pa|(J|0)==(va|0)){Fa=H;Ga=pa}else{h[1367]=Ea;c[426764]=J;Fa=J;Ga=Ea}Y=J+1|0;c[426766]=Y;if((Y|0)>(L|0)){break}else{H=Fa;J=Y;pa=Ga}}h[A>>3]=Da;wa=Fa}if((wa|0)==0){Ha=da;Ia=ta;Ja=0;U=285;break}}uA(a,b,s,t,1707136,u,w,10968,1707056,x)|0;J=c[426764]|0;H=J-1|0;h[o+(H<<3)>>3]=+h[1357];c[426782]=0;L=c[a>>2]|0;c[426786]=1;X=r+(H<<3)|0;if((L|0)>=1){H=J+C|0;K=2;Y=1;ba=0;while(1){pa=+h[X>>3]*+h[n+((ga(Y,B)|0)+C+J<<3)>>3];h[1254]=pa;if((Y|0)<1){Ka=1;La=ba}else{aa=ba;ea=1;fa=pa;while(1){pa=fa*+h[n+(H+(ga(ea,B)|0)<<3)>>3];Ma=q+(aa<<3)|0;h[Ma>>3]=+h[Ma>>3]+pa;Ma=ea+1|0;if((Ma|0)>(Y|0)){break}aa=aa+1|0;ea=Ma;fa=+h[1254]}ea=ba+Y|0;c[426782]=ea;Ka=K;La=ea}Na=Y+1|0;if((Na|0)>(L|0)){break}else{K=K+1|0;Y=Na;ba=La}}c[426772]=Ka;c[426786]=Na}h[X>>3]=0.0;ba=c[426742]|0;c[426772]=1;Y=(ba|0)<1;if(!Y){K=c[426784]|0;L=1;do{H=ga(L,B)|0;da=+h[1366]*+h[t+(H+C+J<<3)>>3];if((L|0)<(K|0)){Oa=-0.0-da}else{Oa=da}h[1254]=Oa;ea=c[b>>2]|0;c[426766]=1;if((ea|0)>=1){aa=1;ca=2;da=Oa;while(1){Ma=r+(aa-1<<3)|0;h[Ma>>3]=+h[Ma>>3]+da*+h[t+(aa+C+H<<3)>>3];if((ca|0)>(ea|0)){break}aa=ca;ca=ca+1|0;da=+h[1254]}c[426766]=ca}L=L+1|0;c[426772]=L;}while((L|0)<=(ba|0))}h[1291]=0.0;L=c[a>>2]|0;c[426786]=1;if((L|0)>=1){K=1;do{da=+h[1366]*+h[s+((ga(K,D)|0)+E+J<<3)>>3];X=p+(K-1<<3)|0;h[X>>3]=+h[X>>3]+da;X=K-1|0;Pa=+h[p+(X<<3)>>3];h[1291]=+h[1291]+Pa*Pa;h[n+((ga(K,B)|0)+C+J<<3)>>3]=+h[m+(X<<3)>>3];K=K+1|0;}while((K|0)<=(L|0));c[426786]=K;h[A>>3]=Pa}L=c[426760]|0;do{if((L|0)==0){if(!(+h[1368]==+h[1260])){break}da=+h[1263];if(da<0.0){Qa=-0.0-da}else{Qa=da}if(Qa>.01){c[426774]=0;break}X=c[b>>2]|0;c[426766]=1;if((X|0)>=1){aa=o+((c[426762]|0)-1<<3)|0;ea=1;do{H=ea-1|0;h[w+(H<<3)>>3]=+h[o+(H<<3)>>3]- +h[aa>>3];ea=ea+1|0;}while((ea|0)<=(X|0));c[426766]=ea}h[1292]=0.0;X=c[a>>2]|0;c[426786]=1;if((X|0)<1){Ra=0.0}else{aa=1;do{h[1258]=0.0;ca=c[b>>2]|0;c[426766]=1;if((ca|0)<1){Sa=0.0}else{H=ga(aa,D)|0;Ma=1;da=0.0;do{da=da+ +h[s+(Ma+E+H<<3)>>3]*+h[w+(Ma-1<<3)>>3];h[1258]=da;Ma=Ma+1|0;}while((Ma|0)<=(ca|0));c[426766]=Ma;Sa=da}h[1292]=+h[1292]+Sa*Sa;h[x+(aa-1<<3)>>3]=Sa;aa=aa+1|0;c[426786]=aa;}while((aa|0)<=(X|0));Ra=+h[1292]*100.0}X=(c[426774]|0)+1|0;c[426774]=X;if(+h[1291]<Ra){c[426774]=0;break}if((X|0)<=2){break}X=c[a>>2]|0;c[426786]=1;if((X|0)>=1){aa=1;do{ea=aa-1|0;h[p+(ea<<3)>>3]=+h[x+(ea<<3)>>3];aa=aa+1|0;}while((aa|0)<=(X|0));c[426786]=aa}X=c[426746]|0;c[426782]=1;if((X|0)>=1){ea=1;do{h[q+(ea-1<<3)>>3]=0.0;ea=ea+1|0;}while((ea|0)<=(X|0));c[426782]=ea}c[426772]=1;if(!Y){X=1;do{aa=x+(X-1<<3)|0;h[aa>>3]=0.0;ca=c[b>>2]|0;c[426766]=1;if((ca|0)<1){Ta=0.0}else{H=ga(X,B)|0;Ua=1;fa=0.0;do{fa=fa+ +h[w+(Ua-1<<3)>>3]*+h[t+(Ua+C+H<<3)>>3];h[aa>>3]=fa;Ua=Ua+1|0;}while((Ua|0)<=(ca|0));c[426766]=Ua;Ta=fa}if((X|0)<(c[426784]|0)){h[aa>>3]=-0.0-Ta}X=X+1|0;c[426772]=X;}while((X|0)<=(ba|0))}X=c[b>>2]|0;c[426766]=1;if((X|0)>=1){ea=ba+1|0;ca=1;do{h[r+(ca-1<<3)>>3]=0.0;if(Y){Va=1}else{H=1;while(1){da=+h[t+((ga(H,B)|0)+C+ca<<3)>>3];Ma=r+(ca-1<<3)|0;h[Ma>>3]=+h[Ma>>3]+da*+h[x+(H-1<<3)>>3];Ma=H+1|0;if((Ma|0)>(ba|0)){Va=ea;break}else{H=Ma}}}ca=ca+1|0;}while((ca|0)<=(X|0));c[426772]=Va;c[426766]=ca}c[426774]=0}}while(0);fa=+h[1357];da=+h[1293];if(fa<da){c[426762]=J}qa=+h[1252];if(fa<=da+qa*+h[1251]|(L|0)>0){U=54;break}c[426764]=0;Ha=qa;Ia=+h[1368];Ja=0;U=285}else{h[o+(G-1<<3)>>3]=+h[1357];qa=+h[1357];do{if((G|0)==1){h[1356]=qa;h[1294]=qa;c[426762]=1;Wa=1}else{if(!(qa<+h[1294])){Wa=G;break}h[1294]=qa;c[426762]=G;Wa=G}}while(0);L=c[426754]|0;J=c[a>>2]|0;do{if((L|0)>(J<<1|0)){ba=c[426778]|0;Y=(ga(ba-1|0,ba)|0)/2|0;K=c[426768]|0;X=K+Y|0;c[426782]=X;if(+h[1250]<0.0){Y=ba+(c[a>>2]|0)|0;c[426778]=Y;Xa=Y}else{Xa=ba}if(+h[1249]<0.0){ba=K+(c[a>>2]|0)|0;c[426768]=ba;Ya=ba}else{Ya=K}K=ga(c[426752]|0,B)|0;h[t+(K-B<<3)>>3]=+h[1262];h[t+(Wa+C+K<<3)>>3]=+h[1262];h[t+(Xa-B+K<<3)>>3]=-0.0- +h[1262];h[t+(Ya-B+K<<3)>>3]=-0.0- +h[1262];h[q+(X-1<<3)>>3]=(+h[1356]- +h[o+(Xa<<3)>>3]- +h[o+(Ya<<3)>>3]+ +h[1357])/(+h[1250]*+h[1249])}else{X=(L|0)>(J|0);if((L|0)<1|X){if(!X){break}X=c[426752]|0;K=ga(X,D)|0;h[s+(E-J+Wa+K<<3)>>3]=+h[1290]/+h[e>>3];h[s+(Wa+E+K<<3)>>3]=(-0.0- +h[1290])/+h[e>>3];da=+h[1261];K=ga(X,B)|0;h[t+(K-B<<3)>>3]=-0.0-da-da;ba=Wa+C|0;h[t+(ba-J+K<<3)>>3]=+h[1261];h[t+(ba+K<<3)>>3]=+h[1261];K=(ga(X+1|0,X)|0)/2|0;c[426782]=K;da=(+h[1356]- +h[1357])/+h[e>>3];h[1254]=da;ba=p+(X-1<<3)|0;h[q+(K-1<<3)>>3]=(+h[ba>>3]-da)/+h[e>>3];h[ba>>3]=+h[1290]*(+h[ba>>3]+ +h[1254]);break}else{h[p+(L-1<<3)>>3]=(qa- +h[1356])/+h[e>>3];ba=c[b>>2]|0;if((ba|0)>=(J+Wa|0)){break}K=ga(L,D)|0;h[s+(K-D<<3)>>3]=(-0.0- +h[1264])/+h[e>>3];h[s+(Wa+E+K<<3)>>3]=+h[1264]/+h[e>>3];h[s+(ba+E+L+K<<3)>>3]=+h[1259]*(-0.0- +h[1290]);break}}}while(0);if((Wa|0)<(c[b>>2]|0)){M=Wa;continue a}qa=+h[e>>3];h[1260]=qa;h[1368]=qa;c[426784]=1;h[1365]=0.0;h[1364]=0.0;c[426774]=0;h[1248]=0.0;L=c[a>>2]|0;c[426786]=1;if((L|0)<1){U=53;break}J=c[426762]|0;K=1;do{h[l+(K-1<<3)>>3]=+h[n+((ga(K,B)|0)+C+J<<3)>>3];Za=+h[l+(K-1<<3)>>3];h[1248]=+h[1248]+Za*Za;K=K+1|0;}while((K|0)<=(L|0));c[426786]=K;h[A>>3]=Za;U=53}}while(0);while(1){if((U|0)==53){U=0;c[426750]=c[426756];U=54;continue}else if((U|0)==54){U=0;c[426764]=0;G=(c[426744]|0)-1|0;L=c[a>>2]|0;tA(a,b,l,n,p,q,r,10944,v,x,x+(G<<3)|0,x+(G+L<<3)|0,x+(G+(L<<1)<<3)|0,10952)|0;h[1360]=0.0;L=c[a>>2]|0;c[426786]=1;if((L|0)<1){_a=0.0}else{G=1;qa=0.0;do{$a=+h[v+(G-1<<3)>>3];qa=qa+$a*$a;h[1360]=qa;G=G+1|0;}while((G|0)<=(L|0));h[A>>3]=$a;c[426786]=G;_a=qa}da=+h[1368];h[A>>3]=da;fa=+W(_a);pa=da<=fa?da:fa;h[1361]=pa;fa=+h[1260];if(!(pa<+h[1290]*fa)){ab=_a;U=62;break}c[426764]=-1;pa=+h[1252];O=pa*da;h[1368]=O;h[1263]=-1.0;if(O>fa*1.5){bb=O}else{h[1368]=fa;bb=fa}if((c[426756]|0)<=((c[426750]|0)+2|0)){Ha=pa;Ia=bb;Ja=-1;U=285;continue}O=fa*+h[1369]*.125*fa;h[1254]=O;da=+h[1365];N=+h[1364];ra=da>=N?da:N;h[A>>3]=ra;N=+h[1363];if(O>(ra>=N?ra:N)){cb=fa;db=pa;eb=-1}else{Ha=pa;Ia=bb;Ja=-1;U=285;continue}}else if((U|0)==285){U=0;pa=Ia*Ia*4.0;h[1362]=pa;L=c[b>>2]|0;c[426766]=1;if((L|0)<1){fb=Ja}else{K=Ja;fa=pa;J=1;while(1){h[1258]=0.0;ba=c[a>>2]|0;c[426772]=1;if((ba|0)<1){gb=0.0}else{X=1;pa=0.0;do{N=+h[n+((ga(X,B)|0)+C+J<<3)>>3];hb=N- +h[l+(X-1<<3)>>3];pa=pa+hb*hb;h[1258]=pa;X=X+1|0;}while((X|0)<=(ba|0));h[A>>3]=hb;c[426772]=X;gb=pa}if(gb>fa){c[426764]=J;h[1362]=gb;ib=J;jb=gb}else{ib=K;jb=fa}ba=J+1|0;c[426766]=ba;if((ba|0)>(L|0)){break}else{K=ib;fa=jb;J=ba}}if((ib|0)>0){U=293;break}else{fb=ib}}if(+h[1263]>0.0){U=54;continue}fa=+h[1361];qa=+h[1260];if((Ia>=fa?Ia:fa)>qa){U=54;continue}else{cb=qa;db=Ha;eb=fb}}if(!(cb>+h[f>>3])){U=308;break}qa=cb*+h[1290];h[1368]=qa;fa=cb/+h[f>>3];h[1263]=fa;do{if(fa>16.0){if(fa>250.0){N=db*cb;h[1260]=N;kb=N;break}else{N=+W(fa);ra=N*+h[f>>3];h[1260]=ra;kb=ra;break}}else{ra=+h[f>>3];h[1260]=ra;kb=ra}}while(0);h[1368]=qa>=kb?qa:kb;J=c[g>>2]|0;if((J|0)<=1){U=53;continue}if((J|0)>2){eR(10216)|0;OQ()|0}eR(10192)|0;vQ(20224,10080,8)|0;vQ(20224,1707024,4)|0;OQ()|0;eR(10168)|0;vQ(20224,10352,8)|0;J=c[a>>2]|0;c[426786]=1;if((J|0)>=1){K=1;do{L=K-1|0;h[A>>3]=+h[k+(L<<3)>>3]+ +h[l+(L<<3)>>3];vQ(20224,y,8)|0;K=(c[426786]|0)+1|0;c[426786]=K;}while((K|0)<=(J|0))}OQ()|0;U=53}if((U|0)==293){U=0;qa=Ha*+W(jb);fa=+h[1290]*Ia;ra=qa<=fa?qa:fa;h[A>>3]=ra;fa=+h[1260];qa=ra>=fa?ra:fa;h[1359]=qa;fa=qa*qa;h[1360]=fa;ab=fa;U=62}else if((U|0)==308){U=0;if(!((eb|0)==-1)){break a}}do{if((U|0)==62){U=0;fa=+h[1248];if(!(ab>fa*.001)){h[1253]=fa*.25;J=c[b>>2]|0;c[426766]=1;if((J|0)>=1){K=1;do{h[1258]=0.0;L=c[a>>2]|0;c[426786]=1;if((L|0)<1){lb=0.0}else{G=1;fa=0.0;do{qa=+h[n+((ga(G,B)|0)+C+K<<3)>>3];fa=fa+qa*+h[l+(G-1<<3)>>3];h[1258]=fa;G=G+1|0;}while((G|0)<=(L|0));c[426786]=G;lb=fa}h[1254]=+h[r+(K-1<<3)>>3]*lb;pa=lb- +h[1290]*+h[1248];h[1258]=pa;h[x+((c[b>>2]|0)-1+K<<3)>>3]=pa;L=c[a>>2]|0;c[426786]=1;if((L|0)>=1){X=1;do{ba=ga(X,B)|0;ca=n+(ba+C+K<<3)|0;Y=X-1|0;ea=p+(Y<<3)|0;h[ea>>3]=+h[ea>>3]+ +h[1254]*+h[ca>>3];ea=l+(Y<<3)|0;h[ca>>3]=+h[ca>>3]- +h[1290]*+h[ea>>3];ca=w+(Y<<3)|0;h[ca>>3]=+h[s+(K+E+(ga(X,D)|0)<<3)>>3];pa=+h[1258]*+h[n+(K+C+ba<<3)>>3]+ +h[1253]*+h[ea>>3];ea=x+(Y<<3)|0;h[ea>>3]=pa;Y=X+(c[b>>2]|0)|0;c[426780]=Y;c[426772]=1;if((X|0)>=1){ba=1;H=2;qa=pa;while(1){aa=s+((ga(ba,D)|0)+E+Y<<3)|0;Ua=ba-1|0;h[aa>>3]=+h[aa>>3]+ +h[ca>>3]*+h[x+(Ua<<3)>>3]+qa*+h[w+(Ua<<3)>>3];if((H|0)>(X|0)){break}ba=H;H=H+1|0;qa=+h[ea>>3]}c[426772]=H}X=X+1|0;c[426786]=X;}while((X|0)<=(L|0))}K=K+1|0;c[426766]=K;}while((K|0)<=(J|0))}J=c[426742]|0;c[426766]=1;if((J|0)>=1){K=1;do{h[1255]=0.0;L=c[b>>2]|0;c[426786]=1;b:do{if((L|0)>=1){X=1;fa=0.0;while(1){G=t+(X+C+(ga(K,B)|0)<<3)|0;h[1255]=+h[G>>3]+fa;h[x+(X-1<<3)>>3]=+h[x+((c[b>>2]|0)-1+X<<3)>>3]*+h[G>>3];G=X+1|0;c[426786]=G;if((G|0)>(L|0)){break b}X=G;fa=+h[1255]}}}while(0);L=c[a>>2]|0;c[426772]=1;if((L|0)>=1){X=1;do{H=X-1|0;fa=+h[1253]*+h[1255]*+h[l+(H<<3)>>3];h[1258]=fa;G=c[b>>2]|0;c[426786]=1;if((G|0)<1){mb=fa}else{ea=ga(X,B)|0;ba=1;qa=fa;do{qa=qa+ +h[x+(ba-1<<3)>>3]*+h[n+(ba+C+ea<<3)>>3];h[1258]=qa;ba=ba+1|0;}while((ba|0)<=(G|0));c[426786]=ba;mb=qa}h[w+(H<<3)>>3]=mb;if((K|0)<(c[426784]|0)){h[1258]=-0.0- +h[1258]}G=c[b>>2]|0;c[426786]=1;if((G|0)>=1){ea=ga(K,B)|0;ca=ga(X,D)|0;Y=1;Ua=2;while(1){aa=s+(Y+E+ca<<3)|0;h[aa>>3]=+h[1258]*+h[t+(Y+C+ea<<3)>>3]+ +h[aa>>3];if((Ua|0)>(G|0)){break}Y=Ua;Ua=Ua+1|0}c[426786]=Ua}X=X+1|0;c[426772]=X;}while((X|0)<=(L|0))}L=c[a>>2]|0;c[426786]=1;if((L|0)>=1){X=c[426784]|0;Y=1;do{G=(c[b>>2]|0)+Y|0;c[426780]=G;qa=+h[w+(Y-1<<3)>>3];if((K|0)<(X|0)){nb=-0.0-qa}else{nb=qa}h[1254]=nb;c[426772]=1;if((Y|0)>=1){ea=1;ca=2;qa=nb;while(1){H=s+((ga(ea,D)|0)+E+G<<3)|0;h[H>>3]=qa*+h[w+(ea-1<<3)>>3]+ +h[H>>3];if((ca|0)>(Y|0)){break}ea=ca;ca=ca+1|0;qa=+h[1254]}c[426772]=ca}Y=Y+1|0;c[426786]=Y;}while((Y|0)<=(L|0))}K=K+1|0;c[426766]=K;}while((K|0)<=(J|0))}c[426782]=0;J=c[a>>2]|0;c[426772]=1;if((J|0)>=1){K=1;L=0;while(1){Y=K-1|0;X=x+(Y<<3)|0;h[X>>3]=0.0;ea=c[b>>2]|0;c[426766]=1;if((ea|0)>=1){G=ga(K,B)|0;Ua=l+(Y<<3)|0;H=G+C|0;ba=1;qa=0.0;while(1){h[X>>3]=qa+ +h[r+(ba-1<<3)>>3]*+h[n+(ba+C+G<<3)>>3];aa=n+(H+ba<<3)|0;h[aa>>3]=+h[aa>>3]- +h[1290]*+h[Ua>>3];ob=ba+1|0;if((ob|0)>(ea|0)){break}ba=ob;qa=+h[X>>3]}c[426766]=ob}c[426786]=1;if((K|0)<1){pb=L}else{ba=L;ea=1;while(1){Ua=ba+1|0;c[426782]=Ua;H=q+(ba<<3)|0;if((ea|0)<(K|0)){G=ea-1|0;aa=l+(G<<3)|0;Ma=p+(Y<<3)|0;h[Ma>>3]=+h[Ma>>3]+ +h[H>>3]*+h[aa>>3];qb=G;rb=aa}else{aa=ea-1|0;qb=aa;rb=l+(aa<<3)|0}aa=l+(Y<<3)|0;G=p+(qb<<3)|0;h[G>>3]=+h[H>>3]*+h[aa>>3]+ +h[G>>3];h[H>>3]=+h[H>>3]+ +h[x+(qb<<3)>>3]*+h[aa>>3]+ +h[rb>>3]*+h[X>>3];aa=(c[b>>2]|0)+E|0;h[s+(aa+ea+(ga(K,D)|0)<<3)>>3]=+h[s+(aa+K+(ga(ea,D)|0)<<3)>>3];aa=ea+1|0;c[426786]=aa;if((aa|0)>(K|0)){pb=Ua;break}else{ba=Ua;ea=aa}}}ea=K+1|0;c[426772]=ea;if((ea|0)>(J|0)){break}else{K=ea;L=pb}}}L=c[a>>2]|0;c[426772]=1;if((L|0)>=1){K=1;do{J=K-1|0;ea=k+(J<<3)|0;h[ea>>3]=+h[l+(J<<3)>>3]+ +h[ea>>3];h[l+(K-1<<3)>>3]=0.0;K=K+1|0;}while((K|0)<=(L|0));c[426772]=K}h[1248]=0.0}if((c[426764]|0)>0){L=(c[426744]|0)-1|0;Gz(a,b,l,n,s,t,1707136,u,1707056,10872,v,10976,w,w+(c[b>>2]<<3)|0,x,x+(L<<3)|0,x+(L+(c[a>>2]|0)<<3)|0)|0}L=c[b>>2]|0;c[426766]=1;if((L|0)>=1){ea=1;do{h[1257]=0.0;h[1256]=0.0;h[1258]=0.0;J=c[a>>2]|0;c[426772]=1;if((J|0)<1){sb=0.0;tb=0.0}else{ba=ea+C|0;X=ea+E|0;Y=1;qa=0.0;fa=0.0;pa=0.0;do{ra=+h[n+((ga(Y,B)|0)+C+ea<<3)>>3];qa=qa+ra*+h[v+(Y-1<<3)>>3];h[1257]=qa;ra=+h[n+(ba+(ga(Y,B)|0)<<3)>>3];aa=Y-1|0;fa=fa+ra*+h[l+(aa<<3)>>3];h[1256]=fa;ra=+h[s+(X+(ga(Y,D)|0)<<3)>>3];pa=pa+ra*+h[v+(aa<<3)>>3];h[1258]=pa;Y=Y+1|0;}while((Y|0)<=(J|0));c[426772]=Y;sb=qa;tb=fa}J=ea-1|0;h[x+(J<<3)>>3]=sb*(sb*+h[1290]+tb);h[w+(J<<3)>>3]=+h[1258];ea=ea+1|0;c[426766]=ea;}while((ea|0)<=(L|0))}h[1371]=0.0;L=c[426742]|0;c[426766]=1;if((L|0)>=1){ea=1;do{h[1258]=0.0;K=c[b>>2]|0;c[426786]=1;if((K|0)<1){ub=0.0}else{J=1;pa=0.0;do{ra=+h[t+(J+C+(ga(ea,B)|0)<<3)>>3];pa=pa+ra*+h[x+(J-1<<3)>>3];h[1258]=pa;J=J+1|0;}while((J|0)<=(K|0));c[426786]=J;ub=pa}fa=ub*ub;qa=+h[1371];if((ea|0)<(c[426784]|0)){h[1371]=qa+fa;ra=-0.0-ub;h[1258]=ra;vb=ra}else{h[1371]=qa-fa;vb=ub}K=c[b>>2]|0;c[426786]=1;if((K|0)>=1){Y=ga(ea,B)|0;X=1;ba=2;fa=vb;while(1){aa=w+(X-1<<3)|0;h[aa>>3]=+h[aa>>3]+fa*+h[t+(X+C+Y<<3)>>3];if((ba|0)>(K|0)){break}X=ba;ba=ba+1|0;fa=+h[1258]}c[426786]=ba}ea=ea+1|0;c[426766]=ea;}while((ea|0)<=(L|0))}h[1370]=0.0;h[1358]=0.0;L=c[a>>2]|0;c[426772]=1;if((L|0)<1){wb=0.0;xb=0.0}else{ea=1;fa=0.0;while(1){h[1258]=0.0;X=c[b>>2]|0;c[426786]=1;if((X|0)<1){yb=0.0}else{K=ga(ea,D)|0;Y=1;pa=0.0;do{pa=pa+ +h[x+(Y-1<<3)>>3]*+h[s+(Y+E+K<<3)>>3];h[1258]=pa;Y=Y+1|0;}while((Y|0)<=(X|0));c[426786]=Y;yb=pa}X=ea-1|0;K=v+(X<<3)|0;h[1370]=fa+yb*+h[K>>3];ba=ea+(c[b>>2]|0)|0;c[426770]=ba;J=c[a>>2]|0;c[426766]=1;if((J|0)<1){zb=yb}else{aa=1;qa=yb;do{ra=+h[s+((ga(aa,D)|0)+E+ba<<3)>>3];qa=qa+ra*+h[v+(aa-1<<3)>>3];h[1258]=qa;aa=aa+1|0;}while((aa|0)<=(J|0));c[426766]=aa;zb=qa}h[w+(ba-1<<3)>>3]=zb;pa=+h[1370]+ +h[1258]*+h[K>>3];h[1370]=pa;ra=+h[1358]+ +h[K>>3]*+h[l+(X<<3)>>3];h[1358]=ra;J=ea+1|0;c[426772]=J;if((J|0)>(L|0)){wb=ra;xb=pa;break}else{ea=J;fa=pa}}}fa=+h[1360];h[1371]=+h[1371]+(wb*wb+fa*(wb+(wb+ +h[1248])+fa*+h[1290]))-xb;ea=w+((c[426762]|0)-1<<3)|0;h[ea>>3]=+h[1264]+ +h[ea>>3];ea=c[426764]|0;if((ea|0)<=0){break}fa=+h[w+(ea-1<<3)>>3];h[A>>3]=fa;pa=+h[1264]+ +h[1372]*+h[1371]/(fa*fa);h[1254]=pa;if(pa<0.0){Ab=-0.0-pa}else{Ab=pa}if(Ab>.8){break}ea=c[u>>2]|0;Fz(a,b,l,n,s,t,1707136,u,1707048,1707056,v,x,w,10968,m,x+(ea<<3)|0,x+((ea*6|0|1)-1<<3)|0)|0}}while(0);ea=c[a>>2]|0;c[426786]=1;if((ea|0)>=1){L=1;do{J=L-1|0;h[m+(J<<3)>>3]=+h[l+(J<<3)>>3]+ +h[v+(J<<3)>>3];J=L-1|0;h[d+(J<<3)>>3]=+h[k+(J<<3)>>3]+ +h[m+(J<<3)>>3];L=L+1|0;}while((L|0)<=(ea|0));c[426786]=L}ea=(c[426756]|0)+1|0;c[426756]=ea;if((ea|0)>(c[426748]|0)){T=ea;U=158;break a}}}do{if((U|0)==158){c[426756]=T-1;if((c[g>>2]|0)<=0){break}eR(10288)|0;OQ()|0}else if((U|0)==189){if((c[g>>2]|0)<=0){break}eR(10240)|0;OQ()|0}}while(0);Ab=+h[1294];if(!(Ab>+h[1357])){U=c[a>>2]|0;c[426786]=1;if((U|0)<1){Bb=Ab}else{T=1;do{m=T-1|0;h[d+(m<<3)>>3]=+h[k+(m<<3)>>3]+ +h[l+(m<<3)>>3];T=T+1|0;}while((T|0)<=(U|0));c[426786]=T;Bb=+h[1294]}h[1357]=Bb}if((c[g>>2]|0)<=0){i=z;return 0}eR(10144)|0;vQ(20224,1707024,4)|0;OQ()|0;eR(10120)|0;vQ(20224,10856,8)|0;g=c[a>>2]|0;c[426786]=1;if((g|0)>=1){a=1;do{vQ(20224,d+(a-1<<3)|0,8)|0;a=(c[426786]|0)+1|0;c[426786]=a;}while((a|0)<=(g|0))}OQ()|0;i=z;return 0}function pA(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0;g=c[e>>2]|0;e=~g;i=c[a>>2]|0;j=c[b>>2]|0;k=(i|0)>(j|0)?j:i;if((k|0)<2){l=j;m=i}else{i=2;j=0;while(1){n=j+2|0;o=d+(g+(ga(g,j)|0)<<3)|0;e1(o|0,0,((n|0)>2?(n<<3)-8|0:8)|0)|0;n=i+1|0;if((n|0)>(k|0)){break}else{i=n;j=j+1|0}}l=c[b>>2]|0;m=c[a>>2]|0}b=l+1|0;if((m|0)>=(b|0)){j=(m|0)<1;i=m<<3;n=b;b=0;while(1){o=ga(n,g)|0;if(!j){e1(d+((ga(l+b|0,g)|0)<<3)|0,0,i|0)|0}h[d+(n+e+o<<3)>>3]=1.0;o=n+1|0;if((o|0)>(m|0)){break}else{n=o;b=b+1|0}}}if((k|0)<1){return 0}b=c[a>>2]|0;a=1;do{n=k-a|0;m=n+1|0;i=(m|0)>(b|0);l=ga(m,g)|0;if(!i){j=l+e|0;o=m;do{p=d+(j+o<<3)|0;h[f+(o-1<<3)>>3]=+h[p>>3];h[p>>3]=0.0;o=o+1|0;}while((o|0)<=(b|0))}h[d+(m+e+l<<3)>>3]=1.0;o=f+(n<<3)|0;if(!(+h[o>>3]==0.0|i)){j=m;do{p=(ga(j,g)|0)+e|0;q=m;r=0.0;do{r=r+ +h[d+(p+q<<3)>>3]*+h[f+(q-1<<3)>>3];q=q+1|0;}while((q|0)<=(b|0));s=+h[o>>3];t=r/s;q=(ga(j,g)|0)+e|0;p=m;u=s;while(1){v=d+(q+p<<3)|0;h[v>>3]=+h[v>>3]-t*u;v=p+1|0;if((v|0)>(b|0)){break}s=+h[f+(p<<3)>>3];p=v;u=s}j=j+1|0;}while((j|0)<=(b|0))}a=a+1|0;}while((a|0)<=(k|0));return 0}function qA(a,b,d,e,f,g,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0.0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0,P=0,Q=0.0;j=i;i=i+16|0;n=j|0;o=j+8|0;p=c[e>>2]|0;e=~p;q=+gA(20216);r=c[b>>2]|0;if((r|0)<1){s=r}else{t=1;do{u=+hA(a,d+((ga(t,p)|0)-p<<3)|0);v=t-1|0;h[l+(v<<3)>>3]=u;h[k+(v<<3)>>3]=u;h[m+(v<<3)>>3]=u;if((c[f>>2]|0)!=0){c[g+(v<<2)>>2]=t}t=t+1|0;}while((t|0)<=(r|0));s=c[b>>2]|0}r=c[a>>2]|0;t=(r|0)>(s|0)?s:r;if((t|0)<1){i=j;return 0}else{w=1}while(1){do{if((c[f>>2]|0)!=0){r=c[b>>2]|0;c[n>>2]=r;if((w|0)>(r|0)){break}else{x=w;y=w}do{y=+h[k+(x-1<<3)>>3]>+h[k+(y-1<<3)>>3]?x:y;x=x+1|0;}while((x|0)<=(r|0));if((y|0)==(w|0)){break}r=c[a>>2]|0;c[n>>2]=r;if((r|0)>=1){s=(ga(w,p)|0)+e|0;l=(ga(y,p)|0)+e|0;v=1;do{z=d+(s+v<<3)|0;u=+h[z>>3];A=d+(l+v<<3)|0;h[z>>3]=+h[A>>3];h[A>>3]=u;v=v+1|0;}while((v|0)<=(r|0))}r=w-1|0;v=y-1|0;h[k+(v<<3)>>3]=+h[k+(r<<3)>>3];h[m+(v<<3)>>3]=+h[m+(r<<3)>>3];l=g+(r<<2)|0;r=c[l>>2]|0;s=g+(v<<2)|0;c[l>>2]=c[s>>2];c[s>>2]=r}}while(0);c[n>>2]=1-w+(c[a>>2]|0);r=ga(w,p)|0;s=w+e|0;l=d+(s+r<<3)|0;u=+hA(n,l);a:do{if(u==0.0){B=u;C=w+1|0}else{D=+h[l>>3];if(D<0.0){E=-0.0-u}else{E=u}v=c[a>>2]|0;c[n>>2]=v;if((w|0)>(v|0)){F=D}else{A=r+e|0;z=w;do{G=d+(A+z<<3)|0;h[G>>3]=+h[G>>3]/E;z=z+1|0;}while((z|0)<=(v|0));F=+h[l>>3]}h[l>>3]=F+1.0;z=w+1|0;A=c[b>>2]|0;if((A|0)<(z|0)){B=E;C=z;break}c[n>>2]=A;G=z+e|0;H=r+e|0;I=z;J=A;A=v;while(1){c[o>>2]=A;K=(w|0)>(A|0);do{if(K){c[o>>2]=A}else{L=(ga(I,p)|0)+e|0;M=w;D=0.0;do{D=D+ +h[d+(H+M<<3)>>3]*+h[d+(L+M<<3)>>3];M=M+1|0;}while((M|0)<=(A|0));N=D/+h[l>>3];c[o>>2]=A;if(K){break}M=(ga(I,p)|0)+e|0;L=w;do{O=d+(M+L<<3)|0;h[O>>3]=+h[O>>3]-N*+h[d+(H+L<<3)>>3];L=L+1|0;}while((L|0)<=(A|0))}}while(0);do{if((c[f>>2]|0)==0){P=J}else{K=I-1|0;L=k+(K<<3)|0;N=+h[L>>3];if(N==0.0){P=J;break}M=ga(I,p)|0;D=+h[d+(s+M<<3)>>3]/N;Q=1.0-D*D;D=N*+W(Q<=0.0?0.0:Q);h[L>>3]=D;O=m+(K<<3)|0;Q=D/+h[O>>3];if(Q*Q*.05>q){P=J;break}c[o>>2]=A-w;Q=+hA(o,d+(G+M<<3)|0);h[L>>3]=Q;h[O>>3]=Q;P=c[n>>2]|0}}while(0);O=I+1|0;if((O|0)>(P|0)){B=E;C=z;break a}I=O;J=P;A=c[a>>2]|0}}}while(0);h[k+(w-1<<3)>>3]=-0.0-B;if((C|0)>(t|0)){break}else{w=C}}i=j;return 0}function rA(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0;i=c[e>>2]|0;e=~i;j=c[b>>2]|0;b=j-1|0;if((b|0)<1){return 0}k=c[a>>2]|0;l=(k|0)<1;m=1;n=0.0;o=0.0;while(1){p=j-m|0;q=+h[f+(p-1<<3)>>3];r=q<0.0;if(r){s=-0.0-q}else{s=q}if(s>1.0){t=1.0/q}else{t=n}if(r){u=-0.0-q}else{u=q}if(u>1.0){v=+W(1.0-t*t)}else{v=o}if(r){w=-0.0-q;x=q<-1.0?v:q}else{w=q;x=q>1.0?v:q}if(w>1.0){y=t}else{y=+W(1.0-x*x)}if(!l){r=(ga(p,i)|0)+e|0;p=ga(j,i)|0;z=1;do{A=d+(r+z<<3)|0;q=+h[A>>3];B=d+(z+e+p<<3)|0;C=+h[B>>3];h[B>>3]=x*q+y*C;h[A>>3]=y*q-x*C;z=z+1|0;}while((z|0)<=(k|0))}z=m+1|0;if((z|0)>(b|0)){break}else{m=z;n=y;o=x}}m=c[a>>2]|0;a=(m|0)<1;k=1;o=y;y=x;while(1){x=+h[g+(k-1<<3)>>3];l=x<0.0;if(l){D=-0.0-x}else{D=x}if(D>1.0){E=1.0/x}else{E=o}if(l){F=-0.0-x}else{F=x}if(F>1.0){G=+W(1.0-E*E)}else{G=y}if(l){H=-0.0-x;I=x<-1.0?G:x}else{H=x;I=x>1.0?G:x}if(H>1.0){J=E}else{J=+W(1.0-I*I)}if(!a){l=(ga(k,i)|0)+e|0;f=ga(j,i)|0;x=-0.0-I;z=1;do{p=d+(l+z<<3)|0;n=+h[p>>3];r=d+(z+e+f<<3)|0;t=+h[r>>3];h[r>>3]=n*x+J*t;h[p>>3]=J*n+I*t;z=z+1|0;}while((z|0)<=(m|0))}z=k+1|0;if((z|0)>(b|0)){break}else{k=z;o=J;y=I}}return 0}function sA(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0;k=+gA(20080);e=c[b>>2]|0;l=c[a>>2]|0;m=(ga(1-e+(l<<1)|0,e)|0)/2|0;n=m+(e-l)|0;if((e|0)<=(l|0)){o=e;p=n;while(1){h[i+(o-1<<3)>>3]=+h[d+(p-1<<3)>>3];q=o+1|0;if((q|0)>(l|0)){break}else{o=q;p=p+1|0}}}p=e-1|0;o=(p|0)<1;if(o){r=n}else{q=e-2|0;s=e-3|0;t=(e<<1)+m+(ga(q,s-l|0)|0)-2-l|0;m=v1(q,0,s,0)|0;s=m>>>1|K<<31;m=n;n=1;do{q=e-n|0;m=m-1+q-l|0;u=q-1|0;h[i+(u<<3)>>3]=0.0;v=g+(u<<3)|0;w=+h[v>>3];do{if(!(w==0.0)){u=g+(p<<3)|0;x=+h[u>>3];if(x<0.0){y=-0.0-x}else{y=x}if(w<0.0){z=-0.0-w}else{z=w}do{if(y<z){A=x/w;B=.5/+W(A*A*.25+.25);C=A*B;if(C<0.0){D=-0.0-C}else{D=C}if(!(k*D>1.0)){E=1.0;F=B;G=C;break}E=1.0/C;F=B;G=C}else{C=w/x;B=.5/+W(C*C*.25+.25);A=C*B;E=A;F=A;G=B}}while(0);h[u>>3]=F*w+G*x;h[v>>3]=E;if((q|0)>(l|0)){break}else{H=q;I=m}while(1){J=d+(I-1<<3)|0;B=+h[J>>3];L=i+(H-1<<3)|0;A=+h[L>>3];h[L>>3]=F*B+G*A;h[J>>3]=G*B-F*A;J=H+1|0;if((J|0)>(l|0)){break}else{H=J;I=I+1|0}}}}while(0);n=n+1|0;}while((n|0)<=(p|0));r=t-l-s|0}if((l|0)>=1){s=g+(p<<3)|0;g=1;do{t=g-1|0;n=i+(t<<3)|0;h[n>>3]=+h[n>>3]+ +h[s>>3]*+h[f+(t<<3)>>3];g=g+1|0;}while((g|0)<=(l|0))}c[j>>2]=0;if(o){M=r}else{o=1;l=r;while(1){r=i+(o-1<<3)|0;F=+h[r>>3];g=d+(l-1<<3)|0;if(!(F==0.0)){G=+h[g>>3];if(G<0.0){N=-0.0-G}else{N=G}if(F<0.0){O=-0.0-F}else{O=F}do{if(N<O){E=G/F;D=.5/+W(E*E*.25+.25);z=E*D;if(z<0.0){P=-0.0-z}else{P=z}if(!(k*P>1.0)){Q=1.0;R=D;S=z;break}Q=1.0/z;R=D;S=z}else{z=F/G;D=.5/+W(z*z*.25+.25);E=z*D;Q=E;R=E;S=D}}while(0);f=c[a>>2]|0;a:do{if((o|0)<=(f|0)){D=-0.0-R;s=o;t=l;E=G;z=F;while(1){h[i+(s-1<<3)>>3]=E*D+S*z;h[d+(t-1<<3)>>3]=S*E+R*z;n=s+1|0;if((n|0)>(f|0)){break a}y=+h[d+(t<<3)>>3];w=+h[i+(s<<3)>>3];s=n;t=t+1|0;E=y;z=w}}}while(0);h[r>>3]=Q}if(+h[g>>3]==0.0){c[j>>2]=1}f=1-o+l+(c[a>>2]|0)|0;t=o+1|0;if((t|0)>(p|0)){M=f;break}else{o=t;l=f}}}l=c[a>>2]|0;a=c[b>>2]|0;if((a|0)<=(l|0)){b=a;a=M;while(1){h[d+(a-1<<3)>>3]=+h[i+(b-1<<3)>>3];o=b+1|0;if((o|0)>(l|0)){break}else{b=o;a=a+1|0}}}if(!(+h[d+(M-1<<3)>>3]==0.0)){return 0}c[j>>2]=1;return 0}function tA(b,d,e,f,g,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0.0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,X=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0,Ea=0,Fa=0.0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0,Ka=0.0,La=0.0,Ma=0,Na=0,Oa=0.0,Pa=0.0,Qa=0;r=c[d>>2]|0;s=~r;h[176]=.5;h[159]=6.283185307179586;t=+h[k>>3];h[184]=t*t;c[426580]=0;k=c[b>>2]|0;c[426578]=k;c[426576]=k;u=c[b>>2]|0;c[426586]=1;if((u|0)<1){v=0;w=k}else{x=1;do{y=x-1|0;h[m+(y<<3)>>3]=+h[e+(y<<3)>>3];x=x+1|0;}while((x|0)<=(u|0));c[426586]=x;v=0;w=k}a:while(1){x=c[b>>2]|0;c[426586]=1;if((x|0)>=1){u=1;do{h[o+(u-1<<3)>>3]=0.0;u=u+1|0;}while((u|0)<=(x|0));c[426586]=u}x=c[d>>2]|0;c[426572]=1;if((x|0)>=1){e=1;do{h[162]=0.0;y=c[b>>2]|0;c[426574]=1;if((y|0)<1){z=0.0}else{A=1;t=0.0;do{B=+h[f+((ga(A,r)|0)+s+e<<3)>>3];t=t+B*+h[m+(A-1<<3)>>3];h[162]=t;A=A+1|0;}while((A|0)<=(y|0));c[426574]=A;z=t}B=+h[j+(e-1<<3)>>3]*z;h[162]=B;y=c[b>>2]|0;c[426586]=1;if((y|0)>=1){C=1;D=2;E=B;while(1){B=E*+h[f+((ga(C,r)|0)+s+e<<3)>>3];F=o+(C-1<<3)|0;h[F>>3]=+h[F>>3]+B;if((D|0)>(y|0)){break}C=D;D=D+1|0;E=+h[162]}c[426586]=D}e=e+1|0;c[426572]=e;}while((e|0)<=(x|0))}c[426584]=0;x=c[b>>2]|0;c[426574]=1;if((x|0)>=1){e=1;u=0;while(1){if((e|0)<1){G=1;H=u}else{C=e-1|0;y=o+(C<<3)|0;A=m+(C<<3)|0;C=e+1|0;F=u;I=1;while(1){J=i+(F<<3)|0;if((I|0)<(e|0)){K=I-1|0;h[y>>3]=+h[y>>3]+ +h[J>>3]*+h[m+(K<<3)>>3];L=K}else{L=I-1|0}K=o+(L<<3)|0;h[K>>3]=+h[J>>3]*+h[A>>3]+ +h[K>>3];K=I+1|0;if((K|0)>(e|0)){break}else{F=F+1|0;I=K}}I=e+u|0;c[426584]=I;G=C;H=I}M=e+1|0;if((M|0)>(x|0)){break}else{e=M;u=H}}c[426586]=G;c[426574]=M}do{if((v|0)==0){h[170]=0.0;h[185]=0.0;u=c[b>>2]|0;c[426586]=1;if((u|0)>=1){e=1;do{h[l+(e-1<<3)>>3]=0.0;x=e-1|0;h[p+(x<<3)>>3]=0.0;E=+h[g+(x<<3)>>3]+ +h[o+(x<<3)>>3];h[n+(x<<3)>>3]=E;h[m+(x<<3)>>3]=-0.0-E;h[185]=+h[185]+E*E;e=e+1|0;}while((e|0)<=(u|0));c[426586]=e}h[q>>3]=0.0;E=+h[185];if(E==0.0){N=55;break a}h[180]=0.0;h[164]=0.0;h[179]=E;h[178]=E;O=0;P=+h[184];Q=0.0;R=0.0;S=E}else{if((v|0)>(w|0)){h[183]=0.0;h[182]=0.0;h[181]=0.0;u=c[b>>2]|0;c[426586]=1;if((u|0)<1){T=0.0;U=0.0;V=0.0}else{C=1;E=0.0;t=0.0;B=0.0;do{x=C-1|0;E=E+ +h[m+(x<<3)>>3]*+h[n+(x<<3)>>3];h[183]=E;x=C-1|0;I=o+(x<<3)|0;t=t+ +h[I>>3]*+h[m+(x<<3)>>3];h[182]=t;B=B+ +h[I>>3]*+h[l+(x<<3)>>3];h[181]=B;C=C+1|0;}while((C|0)<=(u|0));c[426586]=C;T=t;U=E;V=B}X=+h[176];_=X*(+h[165]-T);h[187]=_;$=+h[167];aa=$+_;h[173]=aa;h[169]=aa;h[172]=aa;c[426582]=0;a[1400]=1;ba=+h[159]/50.0;h[162]=ba;c[426586]=1;u=1;ca=aa;da=aa;e=0;while(1){ea=+(u|0)*ba;fa=+Y(ea);ha=+Z(ea);ia=fa*($+fa*_)+ha*(U+fa*V);do{if(ia<da){h[172]=ia;c[426582]=u;h[161]=ca;ja=ia;ka=u}else{if((u|0)!=(e+1|0)){ja=da;ka=e;break}h[160]=ia;ja=da;ka=e}}while(0);x=u+1|0;if((x|0)<50){u=x;ca=ia;da=ja;e=ka}else{break}}h[189]=ea;h[186]=fa;h[163]=ha;h[171]=ia;c[426586]=50;h[169]=ia;if((ka|0)==0){h[161]=ia;N=46}else if((ka|0)==49){h[160]=aa;la=aa}else{N=46}if((N|0)==46){N=0;la=+h[160]}h[189]=0.0;da=+h[161];if(da!=la){ca=da-ja;h[161]=ca;da=la-ja;h[160]=da;B=X*(ca-da)/(ca+da);h[189]=B;ma=B}else{ma=0.0}B=ba*(+(ka|0)+ma);h[189]=B;da=+Y(B);h[186]=da;ca=+Z(B);h[163]=ca;B=aa-da*($+da*_)-ca*(U+da*V);h[168]=B;h[179]=0.0;e=c[b>>2]|0;c[426586]=1;if((e|0)<1){na=B;oa=0.0}else{u=0;C=1;B=da;da=ca;while(1){x=l+(u<<3)|0;h[x>>3]=B*+h[x>>3]+da*+h[m+(u<<3)>>3];x=C-1|0;I=p+(x<<3)|0;ca=+h[186]*+h[I>>3]+ +h[163]*+h[o+(x<<3)>>3];h[I>>3]=ca;E=+h[n+(x<<3)>>3]+ca;pa=+h[179]+E*E;h[179]=pa;qa=C+1|0;if((qa|0)>(e|0)){break}u=C;C=qa;B=+h[186];da=+h[163]}c[426586]=qa;na=+h[168];oa=pa}da=na+ +h[170];h[170]=da;if((v|0)<(k|0)&na/da>.01){ra=w;sa=oa}else{N=55;break a}}else{h[182]=0.0;C=c[b>>2]|0;c[426574]=1;do{if((C|0)<1){da=+h[188];h[190]=da;ta=0.0;ua=da;N=11}else{u=1;da=0.0;do{e=u-1|0;da=da+ +h[m+(e<<3)>>3]*+h[o+(e<<3)>>3];h[182]=da;u=u+1|0;}while((u|0)<=(C|0));c[426574]=u;B=+h[188];h[190]=B;if(!(da>0.0)){ta=da;ua=B;N=11;break}B=da/+h[185];h[162]=B;if((v|0)==1){h[q>>3]=B;va=+h[162];wa=B}else{va=B;wa=+h[q>>3]}h[q>>3]=wa>va?va:wa;B=+h[190];_=+h[179];$=+h[182];aa=_/$;ba=B<=aa?B:aa;h[190]=ba;xa=ba;ya=$;za=_}}while(0);if((N|0)==11){N=0;xa=ua;ya=ta;za=+h[179]}_=xa*(za-xa*+h[176]*ya);h[174]=_;h[170]=+h[170]+_;h[177]=za;h[179]=0.0;C=c[b>>2]|0;c[426586]=1;if((C|0)<1){Aa=xa;Ba=0.0}else{_=xa;e=1;do{x=e-1|0;I=l+(x<<3)|0;h[I>>3]=+h[I>>3]+_*+h[m+(x<<3)>>3];x=e-1|0;I=p+(x<<3)|0;$=+h[I>>3]+ +h[190]*+h[o+(x<<3)>>3];h[I>>3]=$;ba=+h[n+(x<<3)>>3]+$;Ca=+h[179]+ba*ba;h[179]=Ca;e=e+1|0;_=+h[190]}while((e|0)<=(C|0));c[426586]=e;Aa=_;Ba=Ca}if(Aa<+h[188]){if(!(+h[174]>+h[170]*.01)){N=55;break a}if(Ba<=+h[178]*1.0e-4|(v|0)==(k|0)){N=55;break a}ba=Ba/+h[177];h[162]=ba;h[185]=0.0;h[180]=0.0;h[164]=0.0;C=c[b>>2]|0;c[426586]=1;if((C|0)<1){N=55;break a}else{Da=0;Ea=1;Fa=ba}while(1){x=m+(Da<<3)|0;h[x>>3]=Fa*+h[x>>3]- +h[n+(Da<<3)>>3]- +h[p+(Da<<3)>>3];x=Ea-1|0;I=m+(x<<3)|0;ba=+h[I>>3];Ga=+h[185]+ba*ba;h[185]=Ga;F=l+(x<<3)|0;Ha=+h[180]+ +h[I>>3]*+h[F>>3];h[180]=Ha;ba=+h[F>>3];Ia=+h[164]+ba*ba;h[164]=Ia;Ja=Ea+1|0;if((Ja|0)>(C|0)){break}Da=Ea;Ea=Ja;Fa=+h[162]}c[426586]=Ja;if(!(Ha>0.0)){N=55;break a}_=+h[184];if(Ia<_){O=v;P=_;Q=Ia;R=Ha;S=Ga;break}}h[q>>3]=0.0;c[426576]=v;ra=v;sa=+h[179]}if(!(sa>+h[178]*1.0e-4)){N=55;break a}h[167]=0.0;h[165]=0.0;C=c[b>>2]|0;c[426586]=1;if((C|0)<1){Ka=0.0;La=0.0}else{e=1;_=0.0;ba=0.0;do{F=e-1|0;_=_+ +h[l+(F<<3)>>3]*+h[n+(F<<3)>>3];h[167]=_;F=e-1|0;ba=ba+ +h[l+(F<<3)>>3]*+h[p+(F<<3)>>3];h[165]=ba;e=e+1|0;}while((e|0)<=(C|0));c[426586]=e;Ka=_;La=ba}$=Ka+La;h[166]=$;aa=+h[184];B=sa*aa;if(!($/+W(B)>-.99)){N=55;break a}C=v+1|0;c[426580]=C;X=+W(B-$*$);h[162]=X;B=aa/X;h[161]=B;aa=$/X;h[160]=aa;F=c[b>>2]|0;c[426586]=1;if((F|0)<1){v=C;w=ra;continue a}else{Ma=0;Na=1;Oa=B;Pa=aa}while(1){h[m+(Ma<<3)>>3]=Oa*(+h[n+(Ma<<3)>>3]+ +h[p+(Ma<<3)>>3])-Pa*+h[l+(Ma<<3)>>3];Qa=Na+1|0;if((Qa|0)>(F|0)){break}Ma=Na;Na=Qa;Oa=+h[161];Pa=+h[160]}c[426586]=Qa;v=C;w=ra;continue a}}while(0);F=O+1|0;c[426580]=F;ba=P-Q;h[162]=ba;h[188]=ba/(R+ +W(R*R+ba*S));v=F;w=w}if((N|0)==55){return 0}return 0}function uA(b,d,e,f,g,i,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0.0,B=0.0,C=0,D=0,E=0,F=0,G=0.0,H=0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,Q=0.0,R=0,S=0,T=0;n=c[d>>2]|0;o=~n;p=c[i>>2]|0;i=~p;h[155]=1.0;q=n-(c[b>>2]|0)-1|0;c[426558]=q;c[426562]=1;c[426568]=2;if((q|0)<2){r=1}else{s=2;t=1;while(1){do{if((s|0)==(c[g>>2]|0)){c[426562]=s;u=s}else{v=c[l>>2]|0;w=ga(s,n)|0;x=+h[f+(w+o+v<<3)>>3];if(!(x!=0.0)){u=t;break}y=ga(t,n)|0;z=v+o|0;v=f+(z+y<<3)|0;A=+h[v>>3];B=+W(x*x+A*A);h[150]=B;A=+h[v>>3]/B;h[149]=A;x=+h[f+(z+w<<3)>>3]/B;h[148]=x;z=c[d>>2]|0;c[426570]=1;if((z|0)>=1){v=1;B=A;A=x;while(1){C=v+o|0;h[150]=B*+h[f+(C+y<<3)>>3]+A*+h[f+(C+w<<3)>>3];C=v+o|0;D=f+(C+w<<3)|0;E=f+(C+y<<3)|0;h[D>>3]=B*+h[D>>3]-A*+h[E>>3];h[E>>3]=+h[150];F=v+1|0;if((F|0)>(z|0)){break}v=F;B=+h[149];A=+h[148]}c[426570]=F}h[f+((c[l>>2]|0)+o+w<<3)>>3]=0.0;u=t}}while(0);v=s+1|0;c[426568]=v;if((v|0)>(q|0)){r=u;break}else{s=v;t=u}}}u=c[l>>2]|0;A=+h[f+(u-1<<3)>>3];h[149]=A;if((c[g>>2]|0)>1){B=-0.0-A;h[149]=B;G=B}else{G=A}t=(r|0)>1;if(t){h[148]=+h[f+((ga(r,n)|0)+o+u<<3)>>3]}u=c[d>>2]|0;c[426570]=1;if((u|0)>=1){s=(ga(r,n)|0)+o|0;q=0;F=1;A=G;while(1){h[m+(q<<3)>>3]=A*+h[f+(q<<3)>>3];if(t){v=m+(F-1<<3)|0;h[v>>3]=+h[v>>3]+ +h[148]*+h[f+(s+F<<3)>>3]}H=F+1|0;if((H|0)>(u|0)){break}q=F;F=H;A=+h[149]}c[426570]=H}H=(c[l>>2]|0)-1|0;A=+h[m+(H<<3)>>3];h[158]=A;F=j+(H<<3)|0;G=+h[F>>3];h[152]=G;B=G*G;h[151]=B;h[157]=B+A*+h[k>>3];h[F>>3]=+h[F>>3]- +h[155];a[1248]=0;do{if((r|0)==1){A=+h[157];if(A<0.0){I=-0.0-A}else{I=A}A=+W(I);h[150]=A;B=+h[149]/A;h[148]=B;G=+h[152]/A;h[149]=G;F=c[d>>2]|0;c[426570]=1;if((F|0)<1){J=A}else{H=0;q=1;A=G;G=B;while(1){u=f+(H<<3)|0;h[u>>3]=A*+h[u>>3]-G*+h[j+(H<<3)>>3];K=q+1|0;if((K|0)>(F|0)){break}H=q;q=K;A=+h[149];G=+h[148]}c[426570]=K;J=+h[150]}q=c[g>>2]|0;if((q|0)==1&J<0.0){c[g>>2]=2;L=2}else{L=q}if((L|0)<2|J<0.0){break}M=48}else{c[426566]=1;if(+h[k>>3]<0.0){N=1}else{c[426566]=r;N=r}q=r+1-N|0;c[426564]=q;H=ga(q,n)|0;q=(c[l>>2]|0)+o|0;G=+h[157];A=+h[f+(q+H<<3)>>3]/G;h[150]=A;h[149]=A*+h[k>>3];B=+h[152];h[148]=A*B;F=ga(N,n)|0;A=+h[f+(q+F<<3)>>3];h[150]=A;x=+h[k>>3];if(x<0.0){O=-0.0-x}else{O=x}x=+h[155]/+W(+h[151]+A*O*A);h[154]=x;if(G<0.0){P=-0.0-G}else{P=G}h[153]=x*+W(P);q=c[d>>2]|0;c[426570]=1;if((q|0)<1){Q=G}else{u=1;G=x;x=B;B=A;while(1){s=f+(u+o+F<<3)|0;h[s>>3]=G*(x*+h[s>>3]-B*+h[j+(u-1<<3)>>3]);s=f+(u+o+H<<3)|0;t=u-1|0;h[s>>3]=+h[153]*(+h[s>>3]- +h[149]*+h[m+(t<<3)>>3]- +h[148]*+h[j+(t<<3)>>3]);R=u+1|0;if((R|0)>(q|0)){break}u=R;G=+h[154];x=+h[152];B=+h[150]}c[426570]=R;Q=+h[157]}if(Q>0.0){break}B=+h[k>>3];if(B<0.0){c[g>>2]=(c[g>>2]|0)+1}if(B<0.0){break}M=48}}while(0);do{if((M|0)==48){a[1248]=1;c[g>>2]=(c[g>>2]|0)-1;R=c[d>>2]|0;c[426570]=1;if((R|0)<1){break}else{S=1}do{N=f+(S-1<<3)|0;h[150]=+h[N>>3];r=f+(S+o+(ga(c[g>>2]|0,n)|0)<<3)|0;h[N>>3]=+h[r>>3];h[r>>3]=+h[150];S=S+1|0;c[426570]=S;}while((S|0)<=(R|0))}}while(0);S=c[b>>2]|0;c[426568]=1;if((S|0)<1){return 0}else{T=1}do{b=(c[d>>2]|0)+T|0;c[426560]=b;n=ga(T,p)|0;Q=+h[e+((c[l>>2]|0)+i+n<<3)>>3];g=b-1|0;o=m+(g<<3)|0;h[o>>3]=Q;f=j+(g<<3)|0;P=+h[152];O=+h[157];J=(+h[158]*+h[f>>3]-P*Q)/O;h[149]=J;Q=(+h[o>>3]*(-0.0- +h[k>>3])-P*+h[f>>3])/O;h[148]=Q;c[426570]=1;a:do{if((b|0)>=1){f=1;O=J;P=Q;while(1){o=e+(f+i+n<<3)|0;g=f-1|0;I=+h[o>>3]+O*+h[j+(g<<3)>>3]+P*+h[m+(g<<3)>>3];h[o>>3]=I;o=c[d>>2]|0;if((f|0)>(o|0)){h[e+((ga(f-o|0,p)|0)+i+b<<3)>>3]=I}o=f+1|0;c[426570]=o;if((o|0)>(b|0)){break a}f=o;O=+h[149];P=+h[148]}}}while(0);T=T+1|0;c[426568]=T;}while((T|0)<=(S|0));return 0}function vA(a,b,d,e,f,g,i,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0.0,D=0,E=0,F=0.0,G=0;if((b|0)<(d|0)){l=(b|0)<(e|0);m=b;n=-1;o=-1;p=0.0;while(1){if(l){q=c[f+(m<<2)>>2]|0;r=b;s=n;t=o;u=p;while(1){v=+V(+(+h[a+((ga(c[g+(r<<2)>>2]|0,d)|0)+q<<3)>>3]));w=v>u;x=w?m:s;y=w?r:t;z=w?v:u;w=r+1|0;if((w|0)<(e|0)){r=w;s=x;t=y;u=z}else{A=x;B=y;C=z;break}}}else{A=n;B=o;C=p}t=m+1|0;if((t|0)<(d|0)){m=t;n=A;o=B;p=C}else{D=A;E=B;F=C;break}}}else{D=-1;E=-1;F=0.0}if((E|D|0)<0){G=-1;return G|0}c[i>>2]=D;c[j>>2]=E;h[k>>3]=F;G=0;return G|0}function wA(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0;g=i;i=i+24|0;j=g|0;k=g+8|0;l=g+16|0;m=(b|0)<=(d|0)?b:d;if((m|0)>0){n=0}else{o=0;i=g;return o|0}while(1){p=e+(n<<2)|0;q=f+(n<<2)|0;r=+h[a+((ga(c[q>>2]|0,b)|0)+(c[p>>2]|0)<<3)>>3];if((vA(a,n,b,d,e,f,j,k,l)|0)!=0){o=-1;s=14;break}t=+V(+r);if(+h[l>>3]>t*1.125){u=c[p>>2]|0;v=e+(c[j>>2]<<2)|0;c[p>>2]=c[v>>2];c[v>>2]=u;u=c[q>>2]|0;v=f+(c[k>>2]<<2)|0;c[q>>2]=c[v>>2];c[v>>2]=u}u=c[p>>2]|0;p=ga(c[q>>2]|0,b)|0;t=+h[a+(p+u<<3)>>3];if(!(t!=0.0)){s=7;break}q=n+1|0;if((q|0)<(b|0)){v=(q|0)<(d|0);w=q;do{x=c[e+(w<<2)>>2]|0;y=a+(p+x<<3)|0;r=+h[y>>3];do{if(r!=0.0){z=(-0.0-r)/t;h[y>>3]=0.0;if(v){A=q}else{break}do{B=ga(c[f+(A<<2)>>2]|0,b)|0;C=a+(B+x<<3)|0;h[C>>3]=+h[C>>3]+z*+h[a+(u+B<<3)>>3];A=A+1|0;}while((A|0)<(d|0))}}while(0);w=w+1|0;}while((w|0)<(b|0))}if((q|0)<(m|0)){n=q}else{o=0;s=14;break}}if((s|0)==7){jd(25904,1659344,116,1683240);return 0}else if((s|0)==14){i=g;return o|0}return 0}function xA(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;f=i;g=e|0;c[g>>2]=0;j=b+280|0;k=1;while(1){if((k|0)>=8){break}if(($0(c[j>>2]|0,c[19248+(k<<2)>>2]|0)|0)==0){l=4;break}else{k=k+1|0}}do{if((l|0)==4){c[g>>2]=k;if((k|0)==0){break}m=c[19216+(k<<2)>>2]|0;Fx(23,0,1638384,(n=i,i=i+16|0,c[n>>2]=c[19248+(k<<2)>>2],c[n+8>>2]=m,n)|0);i=n;m=b+112|0;o=e+28|0;c[o>>2]=(c[m>>2]|0)+20;p=c[m>>2]|0;q=b+160|0;r=((c[q>>2]|0)*3|0)+50+(ga(p+9|0,p)|0)|0;c[e+32>>2]=r;p=D0(r,8)|0;c[e+40>>2]=p;r=b+536|0;Ix(c[r>>2]|0,(p|0)!=0|0,44664,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;p=D0(c[o>>2]|0,4)|0;c[e+36>>2]=p;Ix(c[r>>2]|0,(p|0)!=0|0,44664,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;c[e+56>>2]=c[q>>2];c[e+52>>2]=0;c[e+60>>2]=D0(c[q>>2]|0,4)|0;c[e+24>>2]=B0(8)|0;q=B0(4)|0;p=q;c[e+20>>2]=p;c[p>>2]=c[426544];Ix(c[r>>2]|0,(q|0)!=0|0,44664,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=c[m>>2]<<3;p=e+48|0;c[p>>2]=B0(q)|0;o=e+44|0;c[o>>2]=B0(q)|0;q=D0(15,4)|0;s=e+12|0;c[s>>2]=q;Ix(c[r>>2]|0,(q|0)!=0|0,44664,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=D0(5,4)|0;c[e+4>>2]=q;Ix(c[r>>2]|0,(q|0)!=0|0,44664,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=D0(5,4)|0;c[e+8>>2]=q;Ix(c[r>>2]|0,(q|0)!=0|0,44664,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;c[e+16>>2]=0;h[e+64>>3]=1.4901161193847656e-8;q=c[m>>2]<<3;c[e+72>>2]=B0(q)|0;c[e+76>>2]=B0(q)|0;c[e+80>>2]=B0(q)|0;q=c[s>>2]|0;c[q+8>>2]=1;r=c[g>>2]|0;a:do{switch(r|0){case 3:case 5:case 4:case 2:case 1:case 7:{if((Zd[c[(c[b+540>>2]|0)+140>>2]&255](b)|0)==0){t=c[s>>2]|0;c[t+16>>2]=1;u=c[g>>2]|0;v=t;l=17;break a}if((c[m>>2]|0)==1){Fx(23,0,39256,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}else{Fx(1,0,34440,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}c[g>>2]=6;l=18;break};default:{u=r;v=q;l=17}}}while(0);if((l|0)==17){if((u|0)==2){w=v}else{l=18}}if((l|0)==18){a[d+28|0]=1;w=c[s>>2]|0}c[w+4>>2]=1;q=c[m>>2]|0;if((q|0)<=0){i=f;return 0}r=b+272|0;t=c[o>>2]|0;x=c[b+8>>2]|0;y=c[p>>2]|0;z=0;do{h[t+(z<<3)>>3]=+h[r>>3];h[y+(z<<3)>>3]=+h[r>>3]*+h[x+(z*112|0)+80>>3];z=z+1|0;}while((z|0)<(q|0));i=f;return 0}}while(0);if((c[426553]|c[426616]|0)==0){A=b+536|0;B=c[A>>2]|0;C=c[j>>2]|0;Jx(B,1648392,(n=i,i=i+8|0,c[n>>2]=C,n)|0);i=n;return 0}Hx(23,1,25848,(n=i,i=i+8|0,c[n>>2]=c[j>>2],n)|0);i=n;f=1;do{w=c[19216+(f<<2)>>2]|0;Hx(23,0,1659328,(n=i,i=i+16|0,c[n>>2]=c[19248+(f<<2)>>2],c[n+8>>2]=w,n)|0);i=n;f=f+1|0;}while((f|0)<8);Wd[c[3794]&511](23);A=b+536|0;B=c[A>>2]|0;C=c[j>>2]|0;Jx(B,1648392,(n=i,i=i+8|0,c[n>>2]=C,n)|0);i=n;return 0}function yA(a){a=a|0;C0(c[a+40>>2]|0);C0(c[a+36>>2]|0);C0(c[a+20>>2]|0);C0(c[a+12>>2]|0);C0(c[a+4>>2]|0);C0(c[a+8>>2]|0);C0(a);return 0}function zA(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,u=0,v=0,w=0.0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0.0;e=i;i=i+8|0;f=e|0;h[f>>3]=0.0;g=b+4|0;j=c[g>>2]|0;k=c[j>>2]|0;l=c[d+48>>2]|0;m=(c[j+4>>2]|0)+8|0;j=c[m>>2]|0;n=b+112|0;o=c[n>>2]|0;p=j+(o<<3)|0;q=l+24|0;c[c[q>>2]>>2]=b;c[(c[q>>2]|0)+4>>2]=l;s=b+536|0;Ix(c[s>>2]|0,(c[q>>2]|0)!=0|0,29904,(u=i,i=i+1|0,i=i+7&-8,c[u>>2]=0,u)|0);i=u;if((c[d+36>>2]|0)!=0){c[c[l+12>>2]>>2]=0;c[l+16>>2]=0}v=d|0;w=+h[v>>3];x=d+8|0;y=w+ +h[x>>3];h[f>>3]=y;if(!(w-y<-1.0e-13)){Fx(3,0,22592,(u=i,i=i+1|0,i=i+7&-8,c[u>>2]=0,u)|0);i=u;Fx(3,0,1679296,(u=i,i=i+1|0,i=i+7&-8,c[u>>2]=0,u)|0);i=u;z=c[n>>2]|0;if((z|0)>0){A=c[m>>2]|0;m=c[k+8>>2]|0;B=0;do{h[m+(B<<3)>>3]=+h[A+(B<<3)>>3]+ +h[j+(B+o<<3)>>3]*+h[x>>3];B=B+1|0;}while((B|0)<(z|0))}h[k>>3]=+h[f>>3];Zd[c[(c[b+540>>2]|0)+28>>2]&255](b)|0;h[v>>3]=+h[f>>3];C=0;i=e;return C|0}Fx(3,0,1675032,(u=i,i=i+16|0,h[u>>3]=w,h[u+8>>3]=y,u)|0);i=u;z=l+16|0;B=b|0;x=d+24|0;d=l;o=l+12|0;j=l+44|0;A=l+48|0;m=l+40|0;D=l+32|0;E=l+36|0;F=l+28|0;G=l+20|0;H=l+52|0;I=l+56|0;J=l+60|0;K=c[t>>2]|0;L=c[r>>2]|0;M=b+248|0;N=b+440|0;O=b+540|0;P=p;p=k;w=y;a:while(1){Fx(23,0,1671472,(u=i,i=i+16|0,h[u>>3]=+h[v>>3],h[u+8>>3]=w,u)|0);i=u;if((c[z>>2]|0)==1){ez(c[B>>2]|0,1,c[g>>2]|0);k=c[g>>2]|0;Q=c[k>>2]|0;R=(c[(c[k+4>>2]|0)+8>>2]|0)+(c[n>>2]<<3)|0;h[Q>>3]=+h[v>>3];S=R;T=Q}else{S=P;T=p}if((c[x>>2]|0)!=5){if((a[N]|0)!=0){uC(b)|0}Zd[c[(c[O>>2]|0)+40>>2]&255](b)|0}Q=c[d>>2]|0;b:do{switch(Q|0){case 3:{Iz(4,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,8,6,I,c[J>>2]|0);break};case 7:{Iz(4,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,2,8,H,0);break};case 4:{Iz(4,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,10,6,I,c[J>>2]|0);break};case 5:{Iz(4,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,12,6,I,c[J>>2]|0);break};case 6:{Iz(4,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,14,6,I,c[J>>2]|0);break};default:{R=c[T+8>>2]|0;k=c[o>>2]|0;U=c[j>>2]|0;V=c[A>>2]|0;W=c[m>>2]|0;X=c[E>>2]|0;Y=c[q>>2]|0;Z=c[G>>2]|0;if((Q|0)==2){Iz(4,n,v,R,S,f,k,U,V,z,W,D,X,F,Y,Z,2,8,H,0);break b}else{Iz(4,n,v,R,S,f,k,U,V,z,W,D,X,F,Y,Z,2,6,I,c[J>>2]|0);break b}}}}while(0);Q=c[z>>2]|0;do{if((Q|0)==-1){Ta(K|0)|0;Ta(L|0)|0;Hx(3,0,1668352,(u=i,i=i+1|0,i=i+7&-8,c[u>>2]=0,u)|0);i=u;Fx(3,0,1665864,(u=i,i=i+1|0,i=i+7&-8,c[u>>2]=0,u)|0);i=u;c[c[o>>2]>>2]=1}else{if((Q|0)<0){_=27;break a}if((Q|0)!=4){break}c[(c[s>>2]|0)+84>>2]=4}}while(0);Q=c[z>>2]|0;if((Q|0)==(-1|0)){y=+h[v>>3];if(y>+h[M>>3]){$=y;break}}else if((Q|0)!=1){_=31;break}P=S;p=T;w=+h[f>>3]}if((_|0)==27){Ta(K|0)|0;Ta(L|0)|0;L=IA(c[z>>2]|0)|0;Zd[c[(c[O>>2]|0)+28>>2]&255](b)|0;Hx(1,0,1663104,(u=i,i=i+8|0,h[u>>3]=+h[T>>3],u)|0);i=u;C=L;i=e;return C|0}else if((_|0)==31){$=+h[v>>3]}h[T>>3]=$;if((c[426533]|0)!=0){Fx(3,1,1661464,(u=i,i=i+1|0,i=i+7&-8,c[u>>2]=0,u)|0);i=u;Fx(3,0,1660320,(u=i,i=i+8|0,c[u>>2]=c[z>>2],u)|0);i=u;Fx(3,0,1659392,(u=i,i=i+8|0,h[u>>3]=+h[v>>3],u)|0);i=u;Fx(3,0,1658608,(u=i,i=i+8|0,h[u>>3]=+h[(c[m>>2]|0)+24>>3],u)|0);i=u;Fx(3,0,1657800,(u=i,i=i+8|0,h[u>>3]=+h[(c[m>>2]|0)+16>>3],u)|0);i=u;Fx(3,0,1656320,(u=i,i=i+8|0,h[u>>3]=+h[(c[m>>2]|0)+48>>3],u)|0);i=u;Fx(3,0,1654896,(u=i,i=i+8|0,c[u>>2]=c[(c[E>>2]|0)+40>>2],u)|0);i=u;Fx(3,0,1653784,(u=i,i=i+8|0,c[u>>2]=c[(c[E>>2]|0)+44>>2],u)|0);i=u;Fx(3,0,1652704,(u=i,i=i+8|0,c[u>>2]=c[(c[E>>2]|0)+48>>2],u)|0);i=u;Fx(3,0,1651584,(u=i,i=i+8|0,c[u>>2]=c[(c[E>>2]|0)+52>>2],u)|0);i=u;Fx(3,0,1650456,(u=i,i=i+8|0,c[u>>2]=c[(c[E>>2]|0)+56>>2],u)|0);i=u;Wd[c[3794]&511](3)}m=c[F>>2]|0;F=l+8|0;l=0;do{v=l+10|0;if(!(v>>>0<m>>>0)){_=38;break}c[(c[F>>2]|0)+(l<<2)>>2]=c[(c[E>>2]|0)+(v<<2)>>2];l=l+1|0;}while(l>>>0<5>>>0);if((_|0)==38){jd(1649384,1648464,406,1683376);return 0}Fx(3,0,1647536,(u=i,i=i+1|0,i=i+7&-8,c[u>>2]=0,u)|0);i=u;C=0;i=e;return C|0}function AA(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0.0,l=0,m=0,n=0,o=0,p=0;i=c[g>>2]|0;g=i;f=i+536|0;b=g+4|0;j=c[c[b>>2]>>2]|0;k=+h[j>>3];h[j>>3]=+h[a>>3];a=(c[f>>2]|0)+84|0;j=c[a>>2]|0;c[a>>2]=2;Zd[c[(c[g+540>>2]|0)+28>>2]&255](g)|0;g=c[i+112>>2]|0;if((g|0)<=0){l=c[f>>2]|0;m=l+84|0;c[m>>2]=j;n=c[b>>2]|0;o=c[n>>2]|0;p=o|0;h[p>>3]=k;return 0}i=c[(c[c[b>>2]>>2]|0)+8>>2]|0;a=0;do{h[e+(a<<3)>>3]=+h[i+(g+a<<3)>>3]- +h[d+(a<<3)>>3];a=a+1|0;}while((a|0)<(g|0));l=c[f>>2]|0;m=l+84|0;c[m>>2]=j;n=c[b>>2]|0;o=c[n>>2]|0;p=o|0;h[p>>3]=k;return 0}function BA(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0.0;l=c[k>>2]|0;k=l;j=k+4|0;i=c[c[j>>2]>>2]|0;e=i+8|0;d=c[e>>2]|0;m=i|0;n=+h[m>>3];h[m>>3]=+h[a>>3];c[e>>2]=b;Zd[c[(c[k+540>>2]|0)+28>>2]&255](k)|0;KA(k,f)|0;k=c[l+112>>2]|0;if((k|0)>0){l=0;b=0;while(1){e=f+(b<<3)|0;h[e>>3]=+h[e>>3]- +h[g>>3];e=l+1|0;if((e|0)<(k|0)){l=e;b=b+1+k|0}else{break}}}c[(c[c[j>>2]>>2]|0)+8>>2]=d;h[c[c[j>>2]>>2]>>3]=n;return 0}function CA(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0.0;i=c[g>>2]|0;g=i;e=i+536|0;i=(c[e>>2]|0)+84|0;d=c[i>>2]|0;c[i>>2]=4;i=g+4|0;a=c[c[i>>2]>>2]|0;j=+h[a>>3];h[a>>3]=+h[b>>3];a=g+540|0;Zd[c[(c[a>>2]|0)+28>>2]&255](g)|0;Zd[c[(c[a>>2]|0)+32>>2]&255](g)|0;$d[c[(c[a>>2]|0)+92>>2]&127](g,f,b)|0;c[(c[e>>2]|0)+84>>2]=d;h[c[c[i>>2]>>2]>>3]=j;return 0}function DA(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;l=c[k>>2]|0;LA(l,a,b,d,e,f,0,i,j,k,0)|0;k=c[l+112>>2]|0;if((k|0)>0){m=0;n=0}else{return 0}while(1){l=f+(m<<3)|0;h[l>>3]=+h[l>>3]- +h[g>>3];l=n+1|0;if((l|0)<(k|0)){m=m+1+k|0;n=l}else{break}}return 0}function EA(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0.0;l=c[k>>2]|0;k=l;j=k+4|0;i=c[c[j>>2]>>2]|0;e=i+8|0;d=c[e>>2]|0;m=i|0;n=+h[m>>3];h[m>>3]=+h[a>>3];c[e>>2]=b;Zd[c[(c[k+540>>2]|0)+28>>2]&255](k)|0;JA(k,f)|0;k=c[l+112>>2]|0;if((k|0)>0){l=0;b=0;while(1){e=f+(b<<3)|0;h[e>>3]=+h[e>>3]- +h[g>>3];e=l+1|0;if((e|0)<(k|0)){l=e;b=b+1+k|0}else{break}}}c[(c[c[j>>2]>>2]|0)+8>>2]=d;h[c[c[j>>2]>>2]>>3]=n;return 0}function FA(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;return 0}function GA(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;l=c[k>>2]|0;MA(l,a,b,d,e,f,0,i,j,k,0)|0;k=c[l+112>>2]|0;if((k|0)>0){m=0;n=0}else{return 0}while(1){l=f+(n<<3)|0;h[l>>3]=+h[l>>3]- +h[g>>3];l=m+1|0;if((l|0)<(k|0)){m=l;n=n+1+k|0}else{break}}return 0}function HA(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return 0}function IA(a){a=a|0;var b=0,d=0,e=0;b=i;switch(a|0){case-1:{Hx(3,0,1668352,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=1;break};case-6:{Hx(1,0,1643936,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-6;break};case-3:{e=-3;break};case-12:{Hx(1,0,1638448,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-12;break};case-11:{Hx(1,0,1639320,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-11;break};case-33:{Hx(1,0,1637600,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-33;break};case-10:{Hx(1,0,1640176,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-10;break};case-7:{Hx(1,0,1643032,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-7;break};case-2:{Hx(1,0,1645080,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-2;break};case-9:{Hx(1,0,1640920,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-9;break};case-8:{Hx(1,0,1641928,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-8;break};default:{e=-1}}i=b;return e|0}function JA(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=a+540|0;e=c[(c[d>>2]|0)+120>>2]|0;f=a+464|0;g=c[f>>2]|0;if((c[g+(e*44|0)+24>>2]|0)==0){return 0}i=a;a=0;j=g;k=c[g+(e*44|0)>>2]|0;do{if((k|0)!=0){g=0;do{if(((c[(c[j+(e*44|0)+20>>2]|0)+(g<<2)>>2]|0)-1|0)==(a|0)){h[(c[j+(e*44|0)+28>>2]|0)+(g<<3)>>3]=1.0}g=g+1|0;}while(g>>>0<k>>>0)}Zd[c[(c[d>>2]|0)+160>>2]&255](i)|0;j=c[f>>2]|0;k=c[j+(e*44|0)>>2]|0;do{if((k|0)!=0){g=c[j+(e*44|0)+28>>2]|0;l=0;do{do{if(+h[g+(l<<3)>>3]==1.0){if((l|0)==0){m=0;n=j+(e*44|0)+8|0}else{o=j+(e*44|0)+8|0;m=c[(c[o>>2]|0)+(l-1<<2)>>2]|0;n=o}o=c[(c[n>>2]|0)+(l<<2)>>2]|0;if(!(m>>>0<o>>>0)){break}p=c[j+(e*44|0)+12>>2]|0;q=c[j+(e*44|0)+4>>2]|0;r=c[j+(e*44|0)+36>>2]|0;s=m;do{t=c[p+(s<<2)>>2]|0;u=(ga(q,l)|0)+t|0;h[b+(u<<3)>>3]=+h[r+(t<<3)>>3];s=s+1|0;}while(s>>>0<o>>>0)}}while(0);l=l+1|0;}while(l>>>0<k>>>0);if((k|0)==0){break}l=c[j+(e*44|0)+20>>2]|0;g=0;do{if(((c[l+(g<<2)>>2]|0)-1|0)==(a|0)){h[(c[j+(e*44|0)+28>>2]|0)+(g<<3)>>3]=0.0}g=g+1|0;}while(g>>>0<k>>>0)}}while(0);a=a+1|0;}while(a>>>0<(c[j+(e*44|0)+24>>2]|0)>>>0);return 0}function KA(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=a+540|0;e=c[d>>2]|0;f=c[e+120>>2]|0;g=a+464|0;i=c[g>>2]|0;if((c[i+(f*44|0)>>2]|0)==0){return 0}j=a;a=0;k=0;l=c[i+(f*44|0)+28>>2]|0;i=e;while(1){h[l+(a<<3)>>3]=1.0;Zd[c[i+160>>2]&255](j)|0;e=c[g>>2]|0;m=c[e+(f*44|0)+4>>2]|0;if((m|0)==0){n=k}else{o=m>>>0>1>>>0?m:1;p=c[e+(f*44|0)+36>>2]|0;q=0;r=k;while(1){h[b+(r<<3)>>3]=+h[p+(q<<3)>>3];s=q+1|0;if(s>>>0<m>>>0){q=s;r=r+1|0}else{break}}n=k+o|0}r=c[e+(f*44|0)+28>>2]|0;h[r+(a<<3)>>3]=0.0;q=a+1|0;if(!(q>>>0<(c[e+(f*44|0)>>2]|0)>>>0)){break}a=q;k=n;l=r;i=c[d>>2]|0}return 0}function LA(a,b,d,e,f,g,i,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0.0,o=0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0,z=0;m=c[l+4>>2]|0;n=+h[m+64>>3];i=a+112|0;a=c[i>>2]|0;if((a|0)<=0){return 0}o=m+80|0;m=a;do{m=m-1|0;p=+h[j>>3]*+h[e+(m<<3)>>3];a=d+(m<<3)|0;q=+h[a>>3];if(q<0.0){r=-0.0-q}else{r=q}s=p>=0.0;if(s){t=p}else{t=-0.0-p}p=+Yb(+r,+t);u=+h[k+(m<<3)>>3];if(u<0.0){v=-0.0-u}else{v=u}u=n*+Yb(+p,+v);if(s){w=u}else{w=-0.0-u}u=w+q-q;p=1.0/u;h[a>>3]=q+u;AA(b,0,e,c[o>>2]|0,0,l,0)|0;s=c[i>>2]|0;if((s|0)>0){x=c[o>>2]|0;y=ga(s,m)|0;z=s;do{z=z-1|0;h[g+(y+z<<3)>>3]=p*(+h[x+(z<<3)>>3]- +h[f+(z<<3)>>3]);}while((z|0)>0)}h[a>>3]=q;}while((m|0)>0);return 0}function MA(a,b,d,e,f,g,i,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0.0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;m=c[(c[a+540>>2]|0)+120>>2]|0;i=c[l+4>>2]|0;n=+h[i+64>>3];o=c[i+76>>2]|0;p=c[i+72>>2]|0;q=a+464|0;a=c[q>>2]|0;if((c[a+(m*44|0)+24>>2]|0)==0){return 0}r=i+80|0;i=0;s=a;t=c[a+(m*44|0)>>2]|0;do{if((t|0)!=0){a=0;do{if(((c[(c[s+(m*44|0)+20>>2]|0)+(a<<2)>>2]|0)-1|0)==(i|0)){u=+h[j>>3]*+h[e+(a<<3)>>3];v=d+(a<<3)|0;w=+h[v>>3];if(w<0.0){x=-0.0-w}else{x=w}y=u>=0.0;if(y){z=u}else{z=-0.0-u}u=+Yb(+x,+z);w=+h[k+(a<<3)>>3];if(w<0.0){A=-0.0-w}else{A=w}w=n*+Yb(+u,+A);B=o+(a<<3)|0;h[B>>3]=w;if(y){C=w}else{C=-0.0-w}h[B>>3]=C;w=+h[v>>3];h[B>>3]=C+w-w;h[p+(a<<3)>>3]=+h[v>>3];h[v>>3]=+h[B>>3]+ +h[v>>3];h[B>>3]=1.0/+h[B>>3]}a=a+1|0;}while(a>>>0<t>>>0)}AA(b,0,e,c[r>>2]|0,0,l,0)|0;s=c[q>>2]|0;t=c[s+(m*44|0)>>2]|0;if((t|0)!=0){a=c[s+(m*44|0)+20>>2]|0;B=0;do{if(((c[a+(B<<2)>>2]|0)-1|0)==(i|0)){if((B|0)==0){D=0;E=s+(m*44|0)+8|0}else{v=s+(m*44|0)+8|0;D=c[(c[v>>2]|0)+(B-1<<2)>>2]|0;E=v}v=c[(c[E>>2]|0)+(B<<2)>>2]|0;if(D>>>0<v>>>0){y=c[r>>2]|0;F=o+(B<<3)|0;G=c[s+(m*44|0)+12>>2]|0;H=c[s+(m*44|0)+4>>2]|0;I=D;do{J=c[G+(I<<2)>>2]|0;K=(ga(H,B)|0)+J|0;h[g+(K<<3)>>3]=(+h[y+(J<<3)>>3]- +h[f+(J<<3)>>3])*+h[F>>3];I=I+1|0;}while(I>>>0<v>>>0)}h[d+(B<<3)>>3]=+h[p+(B<<3)>>3]}B=B+1|0;}while(B>>>0<t>>>0)}i=i+1|0;}while(i>>>0<(c[s+(m*44|0)+24>>2]|0)>>>0);return 0}function NA(a,b){a=a|0;b=+b;h[a+496>>3]=b;return}function OA(a,b,d){a=a|0;b=+b;d=+d;var e=0,f=0,g=0,i=0,j=0.0,k=0.0,l=0.0,m=0;Wd[c[(c[a+540>>2]|0)+112>>2]&511](a);e=a+328|0;h[e>>3]=d+1.0;f=c[a+104>>2]|0;if((f|0)<=0){return}g=c[a+108>>2]|0;i=a+336|0;a=0;do{d=+h[g+(a*24|0)+8>>3];if(d>b){h[(c[i>>2]|0)+(a<<3)>>3]=d;j=d}else{k=+h[g+(a*24|0)+16>>3];l=d+k*+fa((b-d)/k);h[(c[i>>2]|0)+(a<<3)>>3]=l;j=l}if((a|0)==0){m=8}else{if(j<+h[e>>3]){m=8}}if((m|0)==8){m=0;h[e>>3]=j}a=a+1|0;}while((a|0)<(f|0));return}function PA(b,c){b=b|0;c=c|0;var d=0.0,e=0,f=0.0;d=+h[c>>3];e=c+8|0;f=+h[b+328>>3];if(f>d+ +h[e>>3]+1.0e-14){return}h[e>>3]=f-d;a[b+317|0]=1;return}function QA(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0;d=i;i=i+8|0;e=d|0;f=a+160|0;if((c[f>>2]|0)<=0){g=Zx(b)|0;j=(g|0)>0;k=j&1;i=d;return k|0}l=a+540|0;m=a+344|0;n=a+348|0;o=a+368|0;a=0;do{ie[c[(c[l>>2]|0)+104>>2]&127](a,e)|0;p=+h[(c[m>>2]|0)+(a<<3)>>3];if(p==1.0){if(+h[(c[n>>2]|0)+(a<<3)>>3]==-1.0){q=7}else{q=5}}else{q=5}do{if((q|0)==5){q=0;if(!(p==-1.0)){break}if(+h[(c[n>>2]|0)+(a<<3)>>3]==1.0){q=7}}}while(0);if((q|0)==7){q=0;Xx(b,(c[o>>2]|0)+(a<<2)|0)}a=a+1|0;}while((a|0)<(c[f>>2]|0));g=Zx(b)|0;j=(g|0)>0;k=j&1;i=d;return k|0}function RA(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;e=f+32|0;do{if((QA(b,c[e>>2]|0)|0)!=0){if((a[f+28|0]|0)!=0){break}SA(b,c[e>>2]|0,f|0)}}while(0);if((a[b+317|0]|0)==1){g=1;return g|0}b=(Zx(d)|0)>0;g=b?2:0;return g|0}function SA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0.0,x=0.0,y=0;e=i;i=i+24|0;f=e|0;g=e+8|0;j=e+16|0;k=a+112|0;l=c[k>>2]<<3;m=B0(l)|0;n=m;o=B0(l)|0;l=o;h[g>>3]=+h[a+376>>3];p=a+4|0;h[j>>3]=+h[c[c[p>>2]>>2]>>3];c[428926]=Vx(4)|0;if((m|0)==0){jd(1671440,1668320,308,1683360)}if((o|0)==0){jd(1665848,1668320,309,1683360)}q=ay(b)|0;if((q|0)!=0){r=q;do{q=c[(cy(r)|0)>>2]|0;Fx(27,0,1663056,(s=i,i=i+8|0,c[s>>2]=q,s)|0);i=s;r=by(r)|0;}while((r|0)!=0)}r=c[k>>2]|0;if((r|0)>0){q=c[(c[c[p>>2]>>2]|0)+8>>2]|0;t=(r|0)>1?r<<3:8;d1(o|0,c[a+384>>2]|0,t)|0;d1(m|0,q|0,t)|0}h[d>>3]=+VA(a,g,j,l,n,c[428926]|0,b);do{if((Zx(c[428926]|0)|0)==0){n=c[(_x(b)|0)>>2]|0;l=a+344|0;u=+V(+(+h[(c[l>>2]|0)+(n<<3)>>3]));n=ay(b)|0;if((n|0)==0){v=u}else{w=u;t=n;while(1){n=c[(cy(t)|0)>>2]|0;u=+V(+(+h[(c[l>>2]|0)+(n<<3)>>3]));x=w>u?u:w;n=by(t)|0;if((n|0)==0){v=x;break}else{w=x;t=n}}}Fx(27,0,1661392,(s=i,i=i+8|0,h[s>>3]=v,s)|0);i=s;t=ay(b)|0;if((t|0)==0){break}else{y=t}do{t=c[(cy(y)|0)>>2]|0;if(v==+V(+(+h[(c[l>>2]|0)+(t<<3)>>3]))){t=c[428926]|0;Yx(t,cy(y)|0);t=c[(cy(y)|0)>>2]|0;Fx(27,0,1660296,(s=i,i=i+8|0,c[s>>2]=t,s)|0);i=s}y=by(y)|0;}while((y|0)!=0)}}while(0);Wx(b);if((c[426537]|0)!=0){Zx(c[428926]|0)|0}if((Zx(c[428926]|0)|0)>0){y=f;do{l=c[(_x(c[428926]|0)|0)>>2]|0;c[f>>2]=l;$x(c[428926]|0);Fx(7,0,1657776,(s=i,i=i+8|0,c[s>>2]=l,s)|0);i=s;Xx(b,y);}while((Zx(c[428926]|0)|0)>0)}h[d>>3]=+h[j>>3];j=c[c[p>>2]>>2]|0;h[j>>3]=+h[g>>3];g=c[k>>2]|0;if((g|0)>0){d1(c[j+8>>2]|0,o|0,(g|0)>1?g<<3:8)|0}He(a);YA(a);a=c[c[p>>2]>>2]|0;h[a>>3]=+h[d>>3];d=c[k>>2]|0;if((d|0)<=0){C0(o);C0(m);i=e;return}d1(c[a+8>>2]|0,m|0,(d|0)>1?d<<3:8)|0;C0(o);C0(m);i=e;return}function TA(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0.0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0,B=0.0,C=0;g=i;i=i+16|0;j=g|0;k=g+8|0;l=b+4|0;m=+h[c[c[l>>2]>>2]>>3];n=b+317|0;do{if((a[n]|0)!=0){aB(b);o=b+104|0;p=c[o>>2]|0;if((p|0)<=0){break}q=b+336|0;r=m+1.0e-14;s=b+340|0;t=b+108|0;u=0;v=p;while(1){if(+h[(c[q>>2]|0)+(u<<3)>>3]>r){w=v}else{a[(c[s>>2]|0)+u|0]=1;p=c[t>>2]|0;x=+h[p+(u*24|0)+8>>3];y=+h[p+(u*24|0)+16>>3];Fx(7,0,26320,(z=i,i=i+24|0,c[z>>2]=c[p+(u*24|0)>>2],h[z+8>>3]=x,h[z+16>>3]=y,z)|0);i=z;w=c[o>>2]|0}p=u+1|0;if((p|0)<(w|0)){u=p;v=w}else{break}}}}while(0);w=b+512|0;v=b+524|0;u=b+516|0;o=b+528|0;c[o>>2]=(c[o>>2]|0)-(c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]|0);if((Zx(d)|0)>0){h[c[c[l>>2]>>2]>>3]=+h[e>>3];do{if((c[426537]|0)!=0){e=ay(d)|0;if((e|0)==0){break}l=b+540|0;t=e;do{e=c[(cy(t)|0)>>2]|0;s=ie[c[(c[l>>2]|0)+104>>2]&127](e,j)|0;Ex(7,0,c[j>>2]|0,22456,(z=i,i=i+16|0,c[z>>2]=e,c[z+8>>2]=s,z)|0);i=z;t=by(t)|0;}while((t|0)!=0)}}while(0);j=f+40|0;c[j>>2]=(c[j>>2]|0)+1;c[o>>2]=(c[o>>2]|0)+1;c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]=1;j=c[v>>2]|0;t=c[b+520>>2]|0;h[t+(j<<3)>>3]=m;l=b+532|0;do{if((c[l>>2]|0)==0){s=c[o>>2]|0;if((s|0)!=(c[w>>2]|0)){break}r=+h[t+(((j+1|0)%(s|0)|0)<<3)>>3];e=b+264|0;if(!(m-r<+h[e>>3])){break}q=c[(cy(ay(d)|0)|0)>>2]|0;p=ie[c[(c[b+540>>2]|0)+104>>2]&127](q,k)|0;y=+h[e>>3];Ex(1,0,c[k>>2]|0,1678856,(z=i,i=i+40|0,h[z>>3]=r,h[z+8>>3]=m,c[z+16>>2]=s,h[z+24>>3]=y,c[z+32>>2]=p,z)|0);i=z;c[l>>2]=1}}while(0);Wx(d)}else{c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]=0}c[v>>2]=((c[v>>2]|0)+1|0)%(c[w>>2]|0)|0;XA(b);UA(b);if((a[n]|0)==0){i=g;return}w=b+104|0;v=c[w>>2]|0;do{if((v|0)>0){u=b+340|0;d=b+108|0;l=b+336|0;z=0;k=v;while(1){j=(c[u>>2]|0)+z|0;if((a[j]|0)==0){A=k}else{a[j]=0;j=(c[l>>2]|0)+(z<<3)|0;h[j>>3]=+h[(c[d>>2]|0)+(z*24|0)+16>>3]+ +h[j>>3];A=c[w>>2]|0}j=z+1|0;if((j|0)<(A|0)){z=j;k=A}else{break}}if((A|0)<=0){break}k=b+336|0;z=b+328|0;d=0;do{l=c[k>>2]|0;if((d|0)==0){B=+h[l>>3];C=29}else{m=+h[l+(d<<3)>>3];if(m<+h[z>>3]){B=m;C=29}}if((C|0)==29){C=0;h[z>>3]=B}d=d+1|0;}while((d|0)<(A|0))}}while(0);a[n]=0;n=f+44|0;c[n>>2]=(c[n>>2]|0)+1;i=g;return}function UA(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;Fx(27,0,1649344,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;d=a+344|0;$d[c[(c[a+540>>2]|0)+92>>2]&127](a,c[d>>2]|0,c[c[a+4>>2]>>2]|0)|0;e=c[a+160>>2]|0;if((e|0)<=0){i=b;return}f=c[d>>2]|0;d=c[a+348>>2]|0;a=0;do{h[d+(a<<3)>>3]=+h[f+(a<<3)>>3];a=a+1|0;}while((a|0)<(e|0));i=b;return}function VA(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0;k=i;l=a+160|0;m=c[l>>2]|0;n=B0(m<<3)|0;o=n;if((n|0)==0){jd(1654880,1668320,409,1683520);return 0.0}if((m|0)>0){d1(n|0,c[a+344>>2]|0,(m|0)>1?m<<3:8)|0}p=+h[d>>3];Fx(27,0,1653736,(m=i,i=i+16|0,h[m>>3]=+h[b>>3],h[m+8>>3]=p,m)|0);i=m;Fx(27,0,1652680,(m=i,i=i+8|0,h[m>>3]=1.0e-9,m)|0);i=m;p=+h[d>>3];q=+h[b>>3];if(!(+V(+(p-q))>1.0e-9)){C0(n);r=+h[b>>3];s=+h[d>>3];t=r+s;u=t*.5;i=k;return+u}m=a+4|0;v=a+112|0;w=a+540|0;x=a+344|0;y=a+348|0;z=p;p=q;A=c[v>>2]|0;while(1){q=(z+p)*.5;B=c[c[m>>2]>>2]|0;h[B>>3]=q;if((A|0)>0){C=c[B+8>>2]|0;B=0;do{h[C+(B<<3)>>3]=(+h[e+(B<<3)>>3]+ +h[f+(B<<3)>>3])*.5;B=B+1|0;}while((B|0)<(A|0))}Zd[c[(c[w>>2]|0)+28>>2]&255](a)|0;Zd[c[(c[w>>2]|0)+32>>2]&255](a)|0;$d[c[(c[w>>2]|0)+92>>2]&127](a,c[x>>2]|0,c[c[m>>2]>>2]|0)|0;B=(WA(a,g,j)|0)==0;C=c[v>>2]|0;D=(C|0)>0;do{if(B){if(D){E=c[(c[c[m>>2]>>2]|0)+8>>2]|0;F=0;do{h[e+(F<<3)>>3]=+h[E+(F<<3)>>3];F=F+1|0;}while((F|0)<(C|0))}h[b>>3]=q;F=c[l>>2]|0;if((F|0)>0){E=c[x>>2]|0;G=c[y>>2]|0;H=0;do{I=E+(H<<3)|0;h[G+(H<<3)>>3]=+h[I>>3];h[I>>3]=+h[o+(H<<3)>>3];H=H+1|0;}while((H|0)<(F|0))}J=+h[d>>3]}else{if(D){F=c[(c[c[m>>2]>>2]|0)+8>>2]|0;H=0;do{h[f+(H<<3)>>3]=+h[F+(H<<3)>>3];H=H+1|0;}while((H|0)<(C|0))}h[d>>3]=q;H=c[l>>2]|0;if((H|0)<=0){J=q;break}d1(n|0,c[x>>2]|0,(H|0)>1?H<<3:8)|0;J=q}}while(0);q=+h[b>>3];if(+V(+(J-q))>1.0e-9){z=J;p=q;A=C}else{break}}C0(n);r=+h[b>>3];s=+h[d>>3];t=r+s;u=t*.5;i=k;return+u}function WA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;Wx(b);Fx(27,0,1651544,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=ay(d)|0;if((g|0)==0){j=Zx(b)|0;k=(j|0)>0;l=k&1;i=e;return l|0}d=a+344|0;m=a+348|0;a=g;do{g=c[(cy(a)|0)>>2]|0;if(+h[(c[d>>2]|0)+(g<<3)>>3]==-1.0){g=c[(cy(a)|0)>>2]|0;if(+h[(c[m>>2]|0)+(g<<3)>>3]==1.0){n=7}else{n=5}}else{n=5}do{if((n|0)==5){n=0;g=c[(cy(a)|0)>>2]|0;if(!(+h[(c[d>>2]|0)+(g<<3)>>3]==1.0)){break}g=c[(cy(a)|0)>>2]|0;if(+h[(c[m>>2]|0)+(g<<3)>>3]==-1.0){n=7}}}while(0);if((n|0)==7){n=0;g=c[(cy(a)|0)>>2]|0;o=c[(cy(a)|0)>>2]|0;p=+h[(c[m>>2]|0)+(o<<3)>>3]>0.0?38992:34112;o=c[(cy(a)|0)>>2]|0;q=+h[(c[d>>2]|0)+(o<<3)>>3]>0.0?38992:34112;Fx(27,0,1650352,(f=i,i=i+24|0,c[f>>2]=g,c[f+8>>2]=p,c[f+16>>2]=q,f)|0);i=f;Xx(b,cy(a)|0)}a=by(a)|0;}while((a|0)!=0);j=Zx(b)|0;k=(j|0)>0;l=k&1;i=e;return l|0}function XA(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;e=b+315|0;a[e]=0;f=b+540|0;ie[c[(c[f>>2]|0)+96>>2]&127](b,1)|0;YA(b);ZA(b);Zd[c[(c[f>>2]|0)+36>>2]&255](b)|0;_A(b,8);g=$A(b)|0;h=Zd[c[(c[f>>2]|0)+100>>2]&255](b)|0;j=b+312|0;if((a[j]|0)==0){k=1;l=h;m=g}else{ZA(b);i=d;return}while(1){if((l|0)==0){if((a[e]|m)<<24>>24==0){n=7;break}}aB(b);YA(b);_A(b,8);Zd[c[(c[f>>2]|0)+36>>2]&255](b)|0;if((k|0)>200){n=5;break}g=$A(b)|0;h=Zd[c[(c[f>>2]|0)+100>>2]&255](b)|0;if((a[j]|0)==0){k=k+1|0;l=h;m=g}else{n=7;break}}if((n|0)==5){Jx(c[b+536>>2]|0,1636656,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m}else if((n|0)==7){ZA(b);i=d;return}}function YA(a){a=a|0;d1(c[a+356>>2]|0,c[a+352>>2]|0,c[a+164>>2]|0)|0;return}function ZA(b){b=b|0;var d=0,e=0,f=0;d=b+164|0;if((c[d>>2]|0)<=0){return}e=b+352|0;f=b+360|0;b=0;do{a[(c[f>>2]|0)+b|0]=(a[(c[e>>2]|0)+b|0]|0)!=0|0;b=b+1|0;}while((b|0)<(c[d>>2]|0));return}function _A(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;if((c[1706120+(d<<2)>>2]|0)==0){i=e;return}Fx(d,1,1650264,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+164|0;if((c[g>>2]|0)>0){h=b+540|0;j=b+352|0;k=b+356|0;b=0;do{l=Zd[c[(c[h>>2]|0)+108>>2]&255](b)|0;m=(a[(c[j>>2]|0)+b|0]|0)!=0?84:70;n=Zd[c[(c[h>>2]|0)+108>>2]&255](b)|0;o=(a[(c[k>>2]|0)+b|0]|0)!=0?84:70;Fx(d,0,1649200,(f=i,i=i+40|0,c[f>>2]=b,c[f+8>>2]=l,c[f+16>>2]=m,c[f+24>>2]=n,c[f+32>>2]=o,f)|0);i=f;b=b+1|0;}while((b|0)<(c[g>>2]|0))}Wd[c[3794]&511](d);i=e;return}function $A(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+356|0;e=c[b+164>>2]|0;f=b+352|0;b=0;while(1){if((b|0)>=(e|0)){g=0;h=4;break}if((a[(c[d>>2]|0)+b|0]|0)==(a[(c[f>>2]|0)+b|0]|0)){b=b+1|0}else{g=1;h=4;break}}if((h|0)==4){return g|0}return 0}function aB(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;d1(c[a+400>>2]|0,c[b+8>>2]|0,c[a+116>>2]<<3)|0;d1(c[a+404>>2]|0,c[b+12>>2]|0,c[a+124>>2]<<2)|0;d1(c[a+408>>2]|0,c[b+16>>2]|0,c[a+128>>2]|0)|0;d1(c[a+412>>2]|0,c[b+20>>2]|0,c[a+132>>2]<<2)|0;return}function bB(a){a=a|0;var b=0,d=0,e=0,f=0;b=c[a+160>>2]|0;d=c[a+344>>2]|0;if((b|0)>0){e=c[a+348>>2]|0;f=0;do{h[e+(f<<3)>>3]=+h[d+(f<<3)>>3];f=f+1|0;}while((f|0)<(b|0))}$d[c[(c[a+540>>2]|0)+92>>2]&127](a,d,c[c[a+4>>2]>>2]|0)|0;return}function cB(a){a=a|0;dB(a);eB(a);aB(a);fB(a);return}



function qe(a){a=a|0;var b=0;b=i;i=i+a|0;i=i+7&-8;return b|0}function re(){return i|0}function se(a){a=a|0;i=a}function te(a,b){a=a|0;b=b|0;if((x|0)==0){x=a;y=b}}function ue(b){b=b|0;a[k]=a[b];a[k+1|0]=a[b+1|0];a[k+2|0]=a[b+2|0];a[k+3|0]=a[b+3|0]}function ve(b){b=b|0;a[k]=a[b];a[k+1|0]=a[b+1|0];a[k+2|0]=a[b+2|0];a[k+3|0]=a[b+3|0];a[k+4|0]=a[b+4|0];a[k+5|0]=a[b+5|0];a[k+6|0]=a[b+6|0];a[k+7|0]=a[b+7|0]}function we(a){a=a|0;K=a}function xe(a){a=a|0;L=a}function ye(a){a=a|0;M=a}function ze(a){a=a|0;N=a}function Ae(a){a=a|0;O=a}function Be(a){a=a|0;P=a}function Ce(a){a=a|0;Q=a}function De(a){a=a|0;R=a}function Ee(a){a=a|0;S=a}function Fe(a){a=a|0;T=a}function Ge(){c[422640]=q+8;c[422642]=q+8;c[422644]=u+8;c[422648]=u+8;c[422652]=u+8;c[422656]=u+8;c[422660]=u+8;c[422664]=u+8;c[422668]=q+8;c[422702]=u+8;c[422706]=u+8;c[422770]=u+8;c[422774]=u+8;c[422794]=q+8;c[422796]=u+8;c[422832]=u+8;c[422836]=u+8;c[422872]=u+8;c[422876]=u+8;c[422896]=q+8;c[422898]=q+8;c[422900]=u+8;c[422904]=u+8;c[422908]=u+8;c[422912]=u+8;c[422916]=u+8;c[422920]=q+8;c[422922]=q+8;c[422924]=q+8;c[422926]=u+8;c[422930]=u+8;c[422934]=q+8;c[422936]=q+8;c[422938]=q+8;c[422940]=q+8;c[422966]=u+8;c[422970]=u+8;c[422974]=q+8;c[422976]=u+8;c[422980]=u+8;c[422984]=u+8;c[422988]=q+8;c[422990]=q+8;c[422992]=q+8;c[422994]=q+8;c[423028]=q+8;c[423030]=q+8;c[423032]=q+8;c[423034]=u+8;c[423038]=u+8;c[423042]=u+8;c[423046]=u+8;c[423050]=u+8;c[423054]=u+8}function He(a){a=a|0;var b=0;b=a+540|0;Zd[c[(c[b>>2]|0)+40>>2]&255](a)|0;Zd[c[(c[b>>2]|0)+28>>2]&255](a)|0;Zd[c[(c[b>>2]|0)+32>>2]&255](a)|0;Zd[c[(c[b>>2]|0)+48>>2]&255](a)|0;Zd[c[(c[b>>2]|0)+52>>2]&255](a)|0;aB(a);return}function Ie(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;c[e>>2]=0;j=a+240|0;k=b|0;h[k>>3]=+h[j>>3];if((c[428836]|0)==0){l=0}else{m=c[a+88>>2]|0;n=b1(m|0)|0;o=B0(n+11|0)|0;c1(o|0,m|0,n|0)|0;d1(o+n|0,1683088,11)|0;n=zc(o|0,1683080)|0;if((n|0)==0){m=_c(c[(Zc()|0)>>2]|0)|0;Hx(23,0,1658544,(p=i,i=i+16|0,c[p>>2]=o,c[p+8>>2]=m,p)|0);i=p;Pa(0)|0;q=0}else{q=n}C0(o);l=q}q=a+248|0;o=a+536|0;n=a|0;m=a+4|0;s=b+36|0;t=b+16|0;u=a+256|0;v=b+8|0;w=b+24|0;x=b+32|0;y=a+540|0;z=b+48|0;A=c[r>>2]|0;B=e;C=f;D=a+64|0;E=a+72|0;F=g;G=0;H=l;while(1){if(!(+h[k>>3]<+h[q>>3])){I=0;J=H;break}ke[c[2181]&15]()|0;c[(c[o>>2]|0)+84>>2]=1;if((c[428836]|0)!=0){if(((c[E>>2]|0)+(c[D>>2]|0)|0)>0){l=0;do{qz(l+9|0);l=l+1|0;}while((l|0)<((c[E>>2]|0)+(c[D>>2]|0)|0))}qz(2);pz(2)}ez(c[n>>2]|0,1,c[m>>2]|0);if((c[s>>2]|0)==1){Fx(23,0,1647496,(p=i,i=i+8|0,h[p>>3]=+h[k>>3]- +h[t>>3],p)|0);i=p;K=G}else{K=G+1|0}L=+h[j>>3];h[v>>3]=L+ +(K>>>0>>>0)*(+h[q>>3]-L)/+(c[u>>2]|0)- +h[k>>3];PA(a,b);L=+h[k>>3];M=+h[v>>3];Fx(23,1,1637552,(p=i,i=i+24|0,h[p>>3]=L,h[p+8>>3]=L+M,h[p+16>>3]=M,p)|0);i=p;M=+h[j>>3];MO(44272,(+h[k>>3]-M)/(+h[q>>3]-M));N=cC(a,b)|0;if((c[w>>2]|0)==5){I=0;J=H;break}He(a);bB(a);if((c[426553]|0)!=0){Wd[c[3794]&511](23)}if((c[428836]|0)!=0){pz(4)}l=RA(a,c[x>>2]|0,k,b)|0;if((l|0)>0){c[(c[o>>2]|0)+84>>2]=4;M=+h[k>>3];Fx(7,1,38968,(p=i,i=i+16|0,c[p>>2]=(l|0)==1?34104:29648,h[p+8>>3]=M,p)|0);i=p;if((c[426734]|0)==0){Xd[c[2005]&127](8e3,a)}TA(a,c[x>>2]|0,k,b);if((c[426537]|0)!=0){Wd[c[3794]&511](7)}c[(c[o>>2]|0)+84>>2]=1;c[s>>2]=1;fB(a)}else{h[t>>3]=+h[k>>3];c[s>>2]=0}if((c[428836]|0)!=0){sz(4)}if((oC(a,1,1)|0)!=0){c[s>>2]=1;fB(a)}Zd[c[(c[y>>2]|0)+88>>2]&255](a)|0;aB(a);jB(a);bB(a);do{if((H|0)==0){O=0}else{pz(7);sz(2);l=(Ya(B|0,4,1,H|0)|0)==1;c[e>>2]=(c[e>>2]|0)+1;do{if(l){P=(Ya(c[c[m>>2]>>2]|0,8,1,H|0)|0)==1;h[f>>3]=+kz(2);if(!P){Q=0;break}Q=(Ya(C|0,8,1,H|0)|0)==1|0}else{h[f>>3]=+kz(2);Q=0}}while(0);l=c[D>>2]|0;P=c[E>>2]|0;if((P+l|0)>0){R=0;S=Q;while(1){c[g>>2]=fz(R+9|0)|0;if((S|0)==0){T=0}else{T=(Ya(F|0,4,1,H|0)|0)==1|0}U=R+1|0;V=c[D>>2]|0;W=c[E>>2]|0;if((U|0)<(W+V|0)){R=U;S=T}else{X=T;Y=V;Z=W;break}}}else{X=Q;Y=l;Z=P}if((Z+Y|0)>0){S=0;R=X;while(1){h[f>>3]=+kz(S+9|0);if((R|0)==0){_=0}else{_=(Ya(C|0,8,1,H|0)|0)==1|0}W=S+1|0;if((W|0)<((c[E>>2]|0)+(c[D>>2]|0)|0)){S=W;R=_}else{$=_;break}}}else{$=X}sz(7);if(($|0)!=0){O=H;break}R=_c(c[(Zc()|0)>>2]|0)|0;Hx(23,0,26240,(p=i,i=i+8|0,c[p>>2]=R,p)|0);i=p;Pa(H|0)|0;O=0}}while(0);if((c[426734]|0)==0){aa=47}else{R=c[s>>2]|0;if((R|0)==0){aa=47}else{ba=R}}if((aa|0)==47){aa=0;Xd[c[2005]&127](8e3,a);ba=c[s>>2]|0}do{if((ba|0)==1){if((c[w>>2]|0)!=3){break}R=c[z>>2]|0;S=c[R+8>>2]|0;P=c[R+4>>2]|0;c[P>>2]=(c[P>>2]|0)+(c[S>>2]|0);R=P+4|0;c[R>>2]=(c[R>>2]|0)+(c[S+4>>2]|0);R=P+8|0;c[R>>2]=(c[R>>2]|0)+(c[S+8>>2]|0);R=P+12|0;c[R>>2]=(c[R>>2]|0)+(c[S+12>>2]|0);R=P+16|0;c[R>>2]=(c[R>>2]|0)+(c[S+16>>2]|0)}}while(0);if((c[426588]|0)!=0){xx(A,1733552);Wa(10,A|0)|0;S=c[433386]|0;Fx(1,0,1683024,(p=i,i=i+16|0,h[p>>3]=+h[c[c[m>>2]>>2]>>3],c[p+8>>2]=S,p)|0);i=p;h[q>>3]=+h[k>>3]}if((N|0)!=0){aa=57;break}if((NB(a,0)|0)!=0){aa=58;break}if((FB(a,0)|0)!=0){aa=58;break}if((vB(a,0)|0)==0){G=K;H=O}else{aa=58;break}}do{if((aa|0)==57){Fx(1,0,1678784,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=N-1|0;J=O}else if((aa|0)==58){if((NB(a,0)|0)!=0){Fx(1,0,1674752,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=-2;J=O;break}if((FB(a,0)|0)!=0){Fx(1,0,1671352,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=-3;J=O;break}H=(vB(a,0)|0)==0;M=+h[k>>3];if(H){Fx(1,0,1665696,(p=i,i=i+8|0,h[p>>3]=M,p)|0);i=p;I=-1;J=O;break}else{Fx(1,0,1668224,(p=i,i=i+8|0,h[p>>3]=M,p)|0);i=p;I=-3;J=O;break}}}while(0);if((J|0)==0){i=d;return I|0}Pa(J|0)|0;i=d;return I|0}function Je(a){a=a|0;return 0}function Ke(a){a=a|0;return 0}function Le(a){a=a|0;return 0}function Me(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+8>>3]=0.0;return}function Ne(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0.0,k=0,l=0,m=0,n=0.0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0;d=b+314|0;do{if((a[d]|0)==0){e=a[c[b+356>>2]|0]|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[c[b+356>>2]|0]|0;i=nB(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+608>>3],a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=i;e=g;break}else{g=nB(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+608>>3],a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=g;e=g;break}}else{if(f){f=a[c[b+356>>2]|0]|0;g=pB(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+608>>3])|0;a[c[b+352>>2]|0]=g;e=f;break}else{f=pB(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+608>>3])|0;a[c[b+352>>2]|0]=f;e=f;break}}}}while(0);if(!(e<<24>>24==0)){j=0.0;k=b+416|0;l=c[k>>2]|0;m=l+600|0;n=+h[m>>3];o=j+n;p=b+4|0;q=c[p>>2]|0;r=c[q>>2]|0;s=r+8|0;t=c[s>>2]|0;u=t+512|0;h[u>>3]=o;return}do{if((a[d]|0)==0){v=a[(c[b+356>>2]|0)+1|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+1|0]|0;g=c[b+416>>2]|0;i=nB(+h[c[c[b+4>>2]>>2]>>3],+h[g+608>>3]+ +h[g+592>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=i;v=f;break}else{f=c[b+416>>2]|0;i=nB(+h[c[c[b+4>>2]>>2]>>3],+h[f+608>>3]+ +h[f+592>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=i;v=i;break}}else{if(e){e=a[(c[b+356>>2]|0)+1|0]|0;i=c[b+416>>2]|0;f=pB(+h[c[c[b+4>>2]>>2]>>3],+h[i+608>>3]+ +h[i+592>>3])|0;a[(c[b+352>>2]|0)+1|0]=f;v=e;break}else{e=c[b+416>>2]|0;f=pB(+h[c[c[b+4>>2]>>2]>>3],+h[e+608>>3]+ +h[e+592>>3])|0;a[(c[b+352>>2]|0)+1|0]=f;v=f;break}}}}while(0);if(v<<24>>24==0){v=b+416|0;j=+h[(c[v>>2]|0)+584>>3];k=v;l=c[k>>2]|0;m=l+600|0;n=+h[m>>3];o=j+n;p=b+4|0;q=c[p>>2]|0;r=c[q>>2]|0;s=r+8|0;t=c[s>>2]|0;u=t+512|0;h[u>>3]=o;return}w=+h[c[c[b+4>>2]>>2]>>3];v=b+416|0;d=c[v>>2]|0;x=w- +h[d+608>>3];y=+h[d+592>>3];z=+h[d+584>>3];do{if(y!=0.0){A=z/y}else{if(z==0.0){A=z;break}A=z/+Lx(c[b+536>>2]|0,y,1659368,1704424,w,(a[b+319|0]|0)!=0|0)}}while(0);j=x*A;k=v;l=c[k>>2]|0;m=l+600|0;n=+h[m>>3];o=j+n;p=b+4|0;q=c[p>>2]|0;r=c[q>>2]|0;s=r+8|0;t=c[s>>2]|0;u=t+512|0;h[u>>3]=o;return}function Oe(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+720>>3]=+h[b+512>>3]+-1.0e5;return}function Pe(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+696>>3]=+h[b+720>>3]+1.0e5;return}function Qe(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+664>>3]=+h[b+696>>3]*1.0e-5;return}function Re(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;tg(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+696>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+672>>3]=+h[d>>3];i=b;return}function Se(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+592>>3]=+h[b+1168>>3]*(1.0e5- +h[b+696>>3]);return}function Te(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1168>>3];i=+h[f+592>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+544|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+544|0;h[m>>3]=k;return}i=j/+Lx(c[b+536>>2]|0,g,1658528,1704416,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+544|0;h[m>>3]=k;return}function Ue(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+552>>3]=+h[b+696>>3]+-1.0e5;return}function Ve(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+56>>3]=+h[b+672>>3]*(2.0e5- +h[d+696>>3])*+h[b+704>>3];return}function We(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=c[b+416>>2]|0;e=+h[d+672>>3]*+h[d+704>>3];d=b+4|0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+56>>3];j=-0.0-i;if(e!=0.0){k=j/e;l=g;m=l+32|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=g;m=l+32|0;h[m>>3]=k;return}i=j/+Lx(c[b+536>>2]|0,e,1657728,1704408,+h[f>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+32|0;h[m>>3]=k;return}function Xe(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+184>>3]=+h[b+432>>3]*(2.0e5- +h[d+696>>3])*+h[b+464>>3];return}function Ye(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=c[b+416>>2]|0;e=+h[d+432>>3]*+h[d+464>>3];d=b+4|0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+184>>3];j=-0.0-i;if(e!=0.0){k=j/e;l=g;m=l+152|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=g;m=l+152|0;h[m>>3]=k;return}i=j/+Lx(c[b+536>>2]|0,e,1656248,1704400,+h[f>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+152|0;h[m>>3]=k;return}function Ze(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+124>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+600>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+600|0;h[c[f+128>>2]>>3]=+h[g>>3];i=+OB(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+600>>3]);d=c[e>>2]|0;h[c[d+132>>2]>>3]=i;g=c[b>>2]|0;h[(c[d+124>>2]|0)+8>>3]=+h[(c[(c[g>>2]|0)+8>>2]|0)+72>>3];f=(c[(c[g+4>>2]|0)+8>>2]|0)+72|0;h[(c[d+128>>2]|0)+8>>3]=+h[f>>3];i=+OB(a,+h[f>>3],+h[(c[(c[g+8>>2]|0)+8>>2]|0)+72>>3]);g=c[e>>2]|0;h[(c[g+132>>2]|0)+8>>3]=i;f=c[b>>2]|0;h[(c[g+124>>2]|0)+16>>3]=+h[(c[(c[f>>2]|0)+8>>2]|0)+728>>3];d=(c[(c[f+4>>2]|0)+8>>2]|0)+728|0;h[(c[g+128>>2]|0)+16>>3]=+h[d>>3];i=+OB(a,+h[d>>3],+h[(c[(c[f+8>>2]|0)+8>>2]|0)+728>>3]);f=c[e>>2]|0;h[(c[f+132>>2]|0)+16>>3]=i;d=c[b>>2]|0;h[(c[f+124>>2]|0)+24>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+560>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+560|0;h[(c[f+128>>2]|0)+24>>3]=+h[g>>3];i=+OB(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+560>>3]);d=c[e>>2]|0;h[(c[d+132>>2]|0)+24>>3]=i;g=c[b>>2]|0;h[(c[d+124>>2]|0)+32>>3]=+h[(c[(c[g>>2]|0)+8>>2]|0)+688>>3];f=(c[(c[g+4>>2]|0)+8>>2]|0)+688|0;h[(c[d+128>>2]|0)+32>>3]=+h[f>>3];i=+OB(a,+h[f>>3],+h[(c[(c[g+8>>2]|0)+8>>2]|0)+688>>3]);g=c[e>>2]|0;h[(c[g+132>>2]|0)+32>>3]=i;f=c[b>>2]|0;h[(c[g+124>>2]|0)+40>>3]=+h[(c[(c[f>>2]|0)+8>>2]|0)+632>>3];d=(c[(c[f+4>>2]|0)+8>>2]|0)+632|0;h[(c[g+128>>2]|0)+40>>3]=+h[d>>3];i=+OB(a,+h[d>>3],+h[(c[(c[f+8>>2]|0)+8>>2]|0)+632>>3]);h[(c[(c[e>>2]|0)+132>>2]|0)+40>>3]=i;MB(a,1)|0;f=c[(c[e>>2]|0)+124>>2]|0;e=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[e+600>>3]=+h[f>>3];h[e+72>>3]=+h[f+8>>3];h[e+728>>3]=+h[f+16>>3];h[e+560>>3]=+h[f+24>>3];h[e+688>>3]=+h[f+32>>3];h[e+632>>3]=+h[f+40>>3];_h(a);$h(a);ai(a);bi(a);ci(a);di(a);ei(a);fi(a);gi(a);hi(a);ii(a);ji(a);ki(a);li(a);mi(a);ni(a);oi(a);pi(a);qi(a);ri(a);si(a);ti(a);ui(a);vi(a);return}function _e(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+136>>3]=+h[b+464>>3]*(+h[d+472>>3]+ +h[d+480>>3])*+h[d+256>>3]*+h[b+488>>3]*.3926990816987241;return}function $e(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+528>>3]=+h[b+232>>3]- +h[d+312>>3]*+h[d+408>>3];return}function af(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0,n=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+256>>3]*+h[f+440>>3]*+h[(c[b+416>>2]|0)+488>>3];i=+h[f+248>>3]*+h[f+264>>3];j=g*g;if(i!=0.0){k=j/i;l=f;m=k*.6168502750680849;n=l+128|0;h[n>>3]=m;return}if(j==0.0){k=j;l=f;m=k*.6168502750680849;n=l+128|0;h[n>>3]=m;return}g=j/+Lx(c[b+536>>2]|0,i,1654824,1704272,+h[e>>3],(a[b+319|0]|0)!=0|0);k=g;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=k*.6168502750680849;n=l+128|0;h[n>>3]=m;return}function bf(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+464>>3];m=+h[k+504>>3];do{if(l!=0.0){n=m/l;o=k;p=l}else{if(m==0.0){n=m;o=k;p=l;break}q=m/+Lx(g,l,1653704,1704264,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);r=c[j>>2]|0;n=q;o=r;p=+h[r+464>>3]}}while(0);l=+h[o+552>>3];m=+h[o+560>>3];j=b+4|0;k=c[c[j>>2]>>2]|0;r=c[k+8>>2]|0;q=+h[r+176>>3];s=+h[r+440>>3];t=+h[o+400>>3];u=(t+t)*.5;t=+h[o+512>>3];do{if(p!=0.0){v=t/p;w=r}else{if(t==0.0){v=t;w=r;break}x=t/+Lx(c[f>>2]|0,p,1653704,1704264,+h[k>>3],(a[b+319|0]|0)!=0|0);v=x;w=c[(c[c[j>>2]>>2]|0)+8>>2]|0}}while(0);dg(e,g,n,l,l,m,m,q,s,u,v,+h[w+144>>3]);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+520>>3]=+h[e>>3];i=d;return}function cf(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;nh(d,c[f>>2]|0,+h[a+696>>3],+h[a+104>>3],0,0);a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;th(e,c[f>>2]|0,+h[a+696>>3],+h[a+104>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+96>>3]=+h[e>>3];i=b;return}function df(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+504>>3]=+h[b+104>>3]- +h[d+312>>3]*+h[d+648>>3];return}function ef(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;sh(d,c[a+536>>2]|0,+h[f+400>>3],+h[f+96>>3],+h[f+696>>3],0);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+280>>3]=+h[d>>3];i=b;return}function ff(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+672>>3]*+h[g+408>>3]*+h[d+616>>3];j=+h[g+72>>3];if(i!=0.0){k=j/i;l=g;m=l+88|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+88|0;h[m>>3]=k;return}n=j/+Lx(c[b+536>>2]|0,i,1652616,1704256,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+88|0;h[m>>3]=k;return}function gf(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;ag(d,c[a+536>>2]|0,+h[f+88>>3],+h[f+408>>3],+h[f+288>>3],+h[f+456>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+48>>3]=+h[d>>3];i=b;return}function hf(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+672>>3]*+h[g+400>>3]*+h[d+616>>3];j=+h[g+72>>3];if(i!=0.0){k=j/i;l=g;m=l+80|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+80|0;h[m>>3]=k;return}n=j/+Lx(c[b+536>>2]|0,i,1651480,1704248,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+80|0;h[m>>3]=k;return}function jf(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;ag(d,c[a+536>>2]|0,+h[f+80>>3],+h[f+400>>3],+h[f+280>>3],+h[f+448>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+40>>3]=+h[d>>3];i=b;return}function kf(a){a=a|0;var b=0,d=0;b=a+4|0;a=(rB(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+72>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+120>>3]=+h[(a?d+408|0:d+400|0)>>3];return}function lf(a){a=a|0;var b=0,d=0;b=a+4|0;a=(rB(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+72>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+112>>3]=+h[(a?d+288|0:d+280|0)>>3];return}function mf(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+24>>3]=+h[b+704>>3]*(+h[d+448>>3]+ +h[d+456>>3])*+h[d+112>>3]*+h[b+728>>3]*.3926990816987241;return}function nf(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0.0,m=0.0,n=0.0,o=0,p=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=(+h[f+448>>3]+ +h[f+456>>3])*.5;i=g*g;j=c[b+416>>2]|0;g=+h[j+736>>3]- +h[j+752>>3]*+h[j+648>>3];k=i*i;i=+h[f+120>>3];l=+h[j+744>>3]*+h[f+112>>3];m=+h[j+704>>3];do{if(l!=0.0){n=m/l;o=f}else{if(m==0.0){n=m;o=f;break}p=m/+Lx(c[b+536>>2]|0,l,1650288,1704240,+h[e>>3],(a[b+319|0]|0)!=0|0);n=p;o=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[o+16>>3]=g*k*i*n*.02454369260617026;return}function of(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+64>>3]=+h[b+72>>3]*+h[(c[a+416>>2]|0)+624>>3];return}function pf(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;nh(d,c[f>>2]|0,+h[a+696>>3],+h[a+624>>3],0,0);a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;th(e,c[f>>2]|0,+h[a+696>>3],+h[a+624>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+608>>3]=+h[e>>3];i=b;return}function qf(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=b+4|0;j=c[(c[c[g>>2]>>2]|0)+8>>2]|0;qg(e,c[f>>2]|0,+h[j+600>>3],+h[j+616>>3],+h[j+1016>>3],+h[(c[b+416>>2]|0)+216>>3]);k=+h[e>>3];e=c[c[g>>2]>>2]|0;j=c[e+8>>2]|0;l=+h[j+600>>3];if(k!=0.0){m=l/k;n=j;o=n+536|0;h[o>>3]=m;i=d;return}if(l==0.0){m=l;n=j;o=n+536|0;h[o>>3]=m;i=d;return}p=l/+Lx(c[f>>2]|0,k,1649232,1704232,+h[e>>3],(a[b+319|0]|0)!=0|0);m=p;n=c[(c[c[g>>2]>>2]|0)+8>>2]|0;o=n+536|0;h[o>>3]=m;i=d;return}function rf(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0;b=i;i=i+136|0;d=b|0;e=b+120|0;f=b+128|0;g=a+536|0;j=a+4|0;nh(d,c[g>>2]|0,1.0e5,+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+624>>3],0,0);th(e,c[g>>2]|0,1.0e5,+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+624>>3],d|0);d=c[(c[c[j>>2]>>2]|0)+8>>2]|0;qg(f,c[g>>2]|0,-0.0- +h[d+600>>3],+h[d+1008>>3],+h[e>>3],+h[(c[a+416>>2]|0)+216>>3]);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+568>>3]=+h[f>>3];i=b;return}function sf(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0;b=i;i=i+136|0;d=b|0;e=b+120|0;f=b+128|0;g=a+536|0;j=a+4|0;k=c[(c[c[j>>2]>>2]|0)+8>>2]|0;nh(d,c[g>>2]|0,+h[k+696>>3],+h[k+1072>>3],0,0);k=c[(c[c[j>>2]>>2]|0)+8>>2]|0;th(e,c[g>>2]|0,+h[k+696>>3],+h[k+1072>>3],d|0);d=c[(c[c[j>>2]>>2]|0)+8>>2]|0;qg(f,c[g>>2]|0,+h[d+600>>3],+h[d+608>>3],+h[e>>3],+h[(c[a+416>>2]|0)+216>>3]);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+576>>3]=+h[f>>3];i=b;return}function tf(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[(c[b+420>>2]|0)+8>>2]|0;e=+(d|0);f=b+4|0;g=c[c[f>>2]>>2]|0;i=c[g+8>>2]|0;j=+h[i+728>>3];if((d|0)!=0){k=j/e;l=i;m=l+712|0;h[m>>3]=k;return}if(j==0.0){k=j;l=i;m=l+712|0;h[m>>3]=k;return}n=j/+Lx(c[b+536>>2]|0,e,1648432,1704224,+h[g>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[f>>2]>>2]|0)+8>>2]|0;m=l+712|0;h[m>>3]=k;return}function uf(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+432>>3]*+h[g+424>>3]*+h[d+376>>3];j=+h[g+200>>3];if(i!=0.0){k=j/i;l=g;m=l+208|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+208|0;h[m>>3]=k;return}n=j/+Lx(c[b+536>>2]|0,i,1647432,1704216,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+208|0;h[m>>3]=k;return}function vf(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;ag(d,c[a+536>>2]|0,+h[f+208>>3],+h[f+424>>3],+h[f+296>>3],+h[f+472>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+160>>3]=+h[d>>3];i=b;return}function wf(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+432>>3]*+h[g+432>>3]*+h[d+376>>3];j=+h[g+200>>3];if(i!=0.0){k=j/i;l=g;m=l+216|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+216|0;h[m>>3]=k;return}n=j/+Lx(c[b+536>>2]|0,i,1646472,1704208,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+216|0;h[m>>3]=k;return}function xf(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;ag(d,c[a+536>>2]|0,+h[f+216>>3],+h[f+432>>3],+h[f+304>>3],+h[f+480>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+168>>3]=+h[d>>3];i=b;return}function yf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+192>>3]=+h[b+200>>3]*+h[(c[a+416>>2]|0)+384>>3];return}function zf(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[c[g>>2]>>2]|0;j=c[a+8>>2]|0;nh(d,c[f>>2]|0,+h[j+696>>3],+h[j+688>>3],c[(c[a+12>>2]|0)+16>>2]|0,0);a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;th(e,c[f>>2]|0,+h[a+696>>3],+h[a+688>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+272>>3]=+h[e>>3];i=b;return}function Af(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+656>>3]=+h[b+272>>3]+ -273.15;return}function Bf(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+688>>3];i=+h[f+648>>3];j=+h[f+696>>3];if(i!=0.0){k=j/i;l=f;m=g-k;n=l+680|0;h[n>>3]=m;return}if(j==0.0){k=j;l=f;m=g-k;n=l+680|0;h[n>>3]=m;return}o=j/+Lx(c[b+536>>2]|0,i,1644992,1704200,+h[e>>3],(a[b+319|0]|0)!=0|0);k=o;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=g-k;n=l+680|0;h[n>>3]=m;return}function Cf(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+32|0;d=b|0;e=b+16|0;zz(d,1,1643928,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;Qy(e,1,1.0,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;hg(c[a+536>>2]|0,1643016,d,0,1,e,1641912);i=b;return}function Df(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((sB(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+696>>3],0.0)|0)<<24>>24==0)){i=b;return}e=uy(uy(uy(uy(1640904,sy(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+696>>3],0,1,6)|0)|0,1640128)|0,1643016)|0,1639288)|0;f=uy(uy(e,sy(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+272>>3],0,1,6)|0)|0,1638440)|0;pe[c[2168]&63](c[a+536>>2]|0,1704152,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function Ef(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+32|0;d=b|0;e=b+16|0;zz(d,1,1643928,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;Qy(e,1,1.0,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;hg(c[a+536>>2]|0,1643016,d,0,1,e,1641912);i=b;return}function Ff(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+32|0;d=b|0;e=b+16|0;zz(d,1,1643928,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;Qy(e,1,1.0,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;hg(c[a+536>>2]|0,1643016,d,0,1,e,1641912);i=b;return}function Gf(a){a=a|0;var b=0,d=0;b=i;d=c[a+416>>2]|0;if(!((sB(+h[d+624>>3],+h[d+648>>3])|0)<<24>>24==0)){i=b;return}pe[c[2168]&63](c[a+536>>2]|0,1704176,1634832,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;i=b;return}function Hf(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+32|0;d=b|0;e=b+16|0;zz(d,1,1643928,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;Qy(e,1,1.0,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;hg(c[a+536>>2]|0,1643016,d,0,1,e,1641912);i=b;return}function If(a){a=a|0;var b=0,d=0;b=i;d=c[a+416>>2]|0;if(!((sB(+h[d+384>>3],+h[d+408>>3])|0)<<24>>24==0)){i=b;return}pe[c[2168]&63](c[a+536>>2]|0,1704176,1634832,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;i=b;return}function Jf(b){b=b|0;a[b+315|0]=0;a[b+314|0]=1;Me(b);Ne(b);Oe(b);Pe(b);Qe(b);Re(b);Se(b);Te(b);Ue(b);Ve(b);We(b);Xe(b);Ye(b);Ze(b);_e(b);$e(b);af(b);bf(b);cf(b);df(b);ef(b);ff(b);gf(b);hf(b);jf(b);kf(b);lf(b);mf(b);nf(b);of(b);pf(b);qf(b);rf(b);sf(b);tf(b);uf(b);vf(b);wf(b);xf(b);yf(b);zf(b);Af(b);Bf(b);Cf(b);Df(b);Ef(b);Ff(b);Gf(b);Hf(b);If(b);return 0}function Kf(b){b=b|0;a[b+314|0]=0;Lf(b);return 0}function Lf(a){a=a|0;Me(a);return}function Mf(a,b){a=a|0;b=+b;return 0}function Nf(a){a=a|0;var b=0,d=0;b=i;Ix(c[a+536>>2]|0,(a|0)!=0|0,1633792,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;c[a+540>>2]=1704544;c[a+84>>2]=1633072;c[a+88>>2]=1633072;c[a+92>>2]=1632384;c[a+96>>2]=1631704;c[a+100>>2]=1329680;c[a+60>>2]=45248;c[a+112>>2]=1;c[a+116>>2]=157;c[a+120>>2]=0;c[a+124>>2]=12;c[a+128>>2]=0;c[a+132>>2]=0;c[a+136>>2]=100;c[a+140>>2]=26;c[a+144>>2]=75;c[a+148>>2]=0;c[a+152>>2]=0;c[a+156>>2]=0;c[a+232>>2]=5;c[a+216>>2]=113;c[a+220>>2]=7;c[a+224>>2]=0;c[a+228>>2]=0;c[a+160>>2]=4;c[a+104>>2]=0;c[a+164>>2]=6;c[a+168>>2]=0;c[a+176>>2]=1;c[a+180>>2]=0;c[a+184>>2]=1;c[a+188>>2]=0;c[a+56>>2]=44792;c[a+64>>2]=114;c[a+72>>2]=0;c[a+68>>2]=602;c[a+192>>2]=0;c[a+196>>2]=0;c[a+200>>2]=2;c[a+204>>2]=0;c[a+208>>2]=0;c[a+212>>2]=0;c[a+172>>2]=0;i=b;return}function Of(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=i;i=i+952|0;e=1;f=0;g=i;i=i+168|0;c[g>>2]=0;while(1)switch(e|0){case 1:h=d|0;j=d+544|0;k=d+632|0;l=d+792|0;Ia(10);if((x|0)!=0&(y|0)!=0){f=g1(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[2176]=c[2170];c[2177]=c[2171];c[2178]=c[2172];c[2179]=c[2173];c[2180]=c[2174];c[2181]=c[2175];Ia(c[2176]|0);if((x|0)!=0&(y|0)!=0){f=g1(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;m=j;e1(m|0,0,88)|0;n=sa(202,c[428826]|0)|0;if((x|0)!=0&(y|0)!=0){f=g1(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Da(68,c[428826]|0,m|0)|0;if((x|0)!=0&(y|0)!=0){f=g1(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[j>>2]=k;o=f1(k|0,e,g)|0;e=7;break;case 7:if((o|0)==0){e=2;break}else{e=5;break};case 2:p=j+4|0;q=c[p>>2]|0;c[p>>2]=l;r=f1(l|0,e,g)|0;e=8;break;case 8:if((r|0)==0){e=3;break}else{e=4;break};case 3:pa(196,h|0);if((x|0)!=0&(y|0)!=0){f=g1(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[h+536>>2]=j;k=ua(74,a|0,b|0,h|0)|0;if((x|0)!=0&(y|0)!=0){f=g1(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[p>>2]=q;Ia(12);if((x|0)!=0&(y|0)!=0){f=g1(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Da(68,c[428826]|0,n|0)|0;if((x|0)!=0&(y|0)!=0){f=g1(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(90,0)|0;if((x|0)!=0&(y|0)!=0){f=g1(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(90,0)|0;if((x|0)!=0&(y|0)!=0){f=g1(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;pa(160,k|0);if((x|0)!=0&(y|0)!=0){f=g1(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;return 0;case 4:Ia(2);if((x|0)!=0&(y|0)!=0){f=g1(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ga(38,44112,154,1,c[t>>2]|0)|0;if((x|0)!=0&(y|0)!=0){f=g1(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ia(4);if((x|0)!=0&(y|0)!=0){f=g1(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(90,0)|0;if((x|0)!=0&(y|0)!=0){f=g1(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;e=6;break;case 5:Da(68,c[428826]|0,n|0)|0;if((x|0)!=0&(y|0)!=0){f=g1(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ia(2);if((x|0)!=0&(y|0)!=0){f=g1(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;e=6;break;case 6:i=d;return 1;case-1:if((f|0)==1){o=y;e=7}else if((f|0)==2){r=y;e=8}x=y=0;break}return 0}function Pf(){Ta(0)|0;Ya(43696,18,1,c[t>>2]|0)|0;Ta(0)|0;return}function Qf(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=+e;f=+f;g=+g;i=+i;c[a>>2]=d;h[a+8>>3]=e;h[a+16>>3]=f;h[a+24>>3]=g;h[a+32>>3]=i;return}function Rf(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;var e=0.0;e=c*c;h[a>>3]=d/(e*e*9.869604401089358)*8.0;return}function Sf(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;Tf(a,b,c,d,0);return}function Tf(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;var f=0,g=0;f=i;i=i+120|0;g=f|0;vh(g,b,c,d,e);uh(a,0,0.0,0.0,g|0);i=f;return}function Uf(a,b,d,e,f,g){a=a|0;b=b|0;d=+d;e=+e;f=f|0;g=g|0;var j=0,k=0,l=0.0,m=0.0;g=i;i=i+56|0;j=f;f=i;i=i+12|0;i=i+7&-8;c[f>>2]=c[j>>2];c[f+4>>2]=c[j+4>>2];c[f+8>>2]=c[j+8>>2];j=g|0;f=g+8|0;k=g+16|0;Sf(j,b,d,e,0);l=+h[j>>3];Vf(f,b,d,e,0);Qf(k,0,1,l,+h[f>>3],e,d);d=+h[k+8>>3];e=+h[k+16>>3];l=+h[k+24>>3];m=+h[k+32>>3];c[a>>2]=c[k>>2];h[a+8>>3]=d;h[a+16>>3]=e;h[a+24>>3]=l;h[a+32>>3]=m;i=g;return}function Vf(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;Wf(a,b,c,d,0);return}function Wf(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;var f=0,g=0;f=i;i=i+120|0;g=f|0;vh(g,b,c,d,e);wh(a,0,0.0,0.0,g|0);i=f;return}function Xf(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;b=i;d=c;c=i;i=i+40|0;d1(c,d,40)|0;h[a>>3]=+h[c+8>>3];i=b;return}function Yf(a,b,d,e,f,g){a=a|0;b=b|0;d=+d;e=+e;f=f|0;g=g|0;var h=0;g=i;i=i+40|0;h=f;f=i;i=i+12|0;i=i+7&-8;c[f>>2]=c[h>>2];c[f+4>>2]=c[h+4>>2];c[f+8>>2]=c[h+8>>2];h=g|0;Uf(h,b,d,e,f,0);Xf(a,0,h|0);i=g;return}function Zf(b,d,e,f,g){b=b|0;d=d|0;e=+e;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0;j=i;i=i+384|0;k=f;f=i;i=i+12|0;i=i+7&-8;c[f>>2]=c[k>>2];c[f+4>>2]=c[k+4>>2];c[f+8>>2]=c[k+8>>2];k=g;g=i;i=i+12|0;i=i+7&-8;c[g>>2]=c[k>>2];c[g+4>>2]=c[k+4>>2];c[g+8>>2]=c[k+8>>2];k=j|0;l=j+16|0;m=j+32|0;n=j+48|0;o=j+64|0;p=j+80|0;q=j+96|0;r=j+112|0;s=j+128|0;t=j+144|0;u=j+160|0;v=j+176|0;w=j+192|0;x=j+208|0;y=j+224|0;z=j+240|0;A=j+256|0;B=j+272|0;C=j+288|0;D=j+304|0;E=j+320|0;F=j+336|0;G=j+352|0;H=j+368|0;Jy(k,1,(I=i,i=i+8|0,c[I>>2]=3,I)|0);i=I;J=Ry(f,1,(I=i,i=i+8|0,c[I>>2]=1,I)|0)|0;i=I;K=+h[J>>3];J=Ry(f,1,(I=i,i=i+8|0,c[I>>2]=2,I)|0)|0;i=I;L=+h[J>>3];J=Ry(f,1,(I=i,i=i+8|0,c[I>>2]=3,I)|0)|0;i=I;M=+h[J>>3];Qy(l,3,K*K,(I=i,i=i+16|0,h[I>>3]=L*L,h[I+8>>3]=M*M,I)|0);i=I;Ly(l,k);l=Ry(f,1,(I=i,i=i+8|0,c[I>>2]=1,I)|0)|0;i=I;M=+h[l>>3];l=Ry(f,1,(I=i,i=i+8|0,c[I>>2]=2,I)|0)|0;i=I;L=+h[l>>3];l=Ry(f,1,(I=i,i=i+8|0,c[I>>2]=3,I)|0)|0;i=I;K=+h[l>>3];Qy(m,3,M*M,(I=i,i=i+16|0,h[I>>3]=L*L,h[I+8>>3]=K*K,I)|0);i=I;l=k;J=m;c[l>>2]=c[J>>2];c[l+4>>2]=c[J+4>>2];c[l+8>>2]=c[J+8>>2];Jy(n,1,(I=i,i=i+8|0,c[I>>2]=3,I)|0);i=I;Ty(1.0,2,p);J=Ry(f,1,(I=i,i=i+8|0,c[I>>2]=1,I)|0)|0;i=I;Ty(+h[J>>3],2,q);J=Ry(k,1,(I=i,i=i+8|0,c[I>>2]=1,I)|0)|0;i=I;Ty(+h[J>>3],2,r);Ty(1.0,2,t);J=Ry(f,1,(I=i,i=i+8|0,c[I>>2]=2,I)|0)|0;i=I;Ty(+h[J>>3],2,u);J=Ry(k,1,(I=i,i=i+8|0,c[I>>2]=2,I)|0)|0;i=I;Ty(+h[J>>3],2,v);Ty(1.0,2,x);J=Ry(f,1,(I=i,i=i+8|0,c[I>>2]=3,I)|0)|0;i=I;Ty(+h[J>>3],2,y);J=Ry(k,1,(I=i,i=i+8|0,c[I>>2]=3,I)|0)|0;i=I;Ty(+h[J>>3],2,z);Sy(2,o,3,p,(I=i,i=i+16|0,c[I>>2]=q,c[I+8>>2]=r,I)|0);i=I;Sy(2,s,3,t,(I=i,i=i+16|0,c[I>>2]=u,c[I+8>>2]=v,I)|0);i=I;Sy(2,w,3,x,(I=i,i=i+16|0,c[I>>2]=y,c[I+8>>2]=z,I)|0);i=I;Sy(1,A,3,o,(I=i,i=i+16|0,c[I>>2]=s,c[I+8>>2]=w,I)|0);i=I;w=Ry(g,1,(I=i,i=i+8|0,c[I>>2]=1,I)|0)|0;i=I;K=+h[w>>3];w=Ry(g,1,(I=i,i=i+8|0,c[I>>2]=2,I)|0)|0;i=I;L=+h[w>>3];w=Ry(g,1,(I=i,i=i+8|0,c[I>>2]=3,I)|0)|0;i=I;M=+h[w>>3];Qy(B,3,K,(I=i,i=i+16|0,h[I>>3]=L,h[I+8>>3]=M,I)|0);i=I;_f(C,d,A,B);B=C;C=n;c[C>>2]=c[B>>2];c[C+4>>2]=c[B+4>>2];c[C+8>>2]=c[B+8>>2];B=Ry(f,1,(I=i,i=i+8|0,c[I>>2]=1,I)|0)|0;i=I;M=+h[B>>3];B=Ry(f,1,(I=i,i=i+8|0,c[I>>2]=2,I)|0)|0;i=I;L=+h[B>>3];B=Ry(f,1,(I=i,i=i+8|0,c[I>>2]=3,I)|0)|0;i=I;K=+h[B>>3];Qy(D,3,M,(I=i,i=i+16|0,h[I>>3]=L,h[I+8>>3]=K,I)|0);i=I;K=+Wy(D);D=Ry(f,1,(I=i,i=i+8|0,c[I>>2]=1,I)|0)|0;i=I;L=+h[D>>3];D=Ry(f,1,(I=i,i=i+8|0,c[I>>2]=2,I)|0)|0;i=I;M=+h[D>>3];D=Ry(f,1,(I=i,i=i+8|0,c[I>>2]=3,I)|0)|0;i=I;N=+h[D>>3];Qy(E,3,L,(I=i,i=i+16|0,h[I>>3]=M,h[I+8>>3]=N,I)|0);i=I;N=+Vy(E);do{if(!(a[9688]|0)){E=Ry(f,1,(I=i,i=i+8|0,c[I>>2]=1,I)|0)|0;i=I;M=+h[E>>3];E=Ry(n,1,(I=i,i=i+8|0,c[I>>2]=3,I)|0)|0;i=I;L=M*+h[E>>3]*2.0;E=Ry(n,1,(I=i,i=i+8|0,c[I>>2]=2,I)|0)|0;i=I;M=L+ +h[E>>3];E=Ry(f,1,(I=i,i=i+8|0,c[I>>2]=2,I)|0)|0;i=I;L=+h[E>>3];E=Ry(n,1,(I=i,i=i+8|0,c[I>>2]=3,I)|0)|0;i=I;O=L*+h[E>>3]*2.0;E=Ry(n,1,(I=i,i=i+8|0,c[I>>2]=2,I)|0)|0;i=I;L=O+ +h[E>>3];E=Ry(f,1,(I=i,i=i+8|0,c[I>>2]=3,I)|0)|0;i=I;O=+h[E>>3];E=Ry(n,1,(I=i,i=i+8|0,c[I>>2]=3,I)|0)|0;i=I;P=O*+h[E>>3]*2.0;E=Ry(n,1,(I=i,i=i+8|0,c[I>>2]=2,I)|0)|0;i=I;O=P+ +h[E>>3];Qy(F,3,M,(I=i,i=i+16|0,h[I>>3]=L,h[I+8>>3]=O,I)|0);i=I;if(!(+Vy(F)>-1.0e-60)){break}me[c[2166]&15](9696,1698072,(I=i,i=i+1|0,i=i+7&-8,c[I>>2]=0,I)|0);i=I;a[9688]=1}}while(0);if(K>e){F=Ry(g,1,(I=i,i=i+8|0,c[I>>2]=1,I)|0)|0;i=I;O=+h[F>>3];F=Ry(g,1,(I=i,i=i+8|0,c[I>>2]=2,I)|0)|0;i=I;L=+h[F>>3];F=Ry(g,1,(I=i,i=i+8|0,c[I>>2]=3,I)|0)|0;i=I;M=+h[F>>3];Qy(G,3,O,(I=i,i=i+16|0,h[I>>3]=L,h[I+8>>3]=M,I)|0);i=I;M=+Vy(G);G=Ry(n,1,(I=i,i=i+8|0,c[I>>2]=2,I)|0)|0;i=I;L=+h[G>>3];G=Ry(n,1,(I=i,i=i+8|0,c[I>>2]=3,I)|0)|0;i=I;Q=M+(e-K)*(L+K*+h[G>>3]*2.0);R=b|0;h[R>>3]=Q;i=j;return}if(N<e){G=Ry(g,1,(I=i,i=i+8|0,c[I>>2]=1,I)|0)|0;i=I;K=+h[G>>3];G=Ry(g,1,(I=i,i=i+8|0,c[I>>2]=2,I)|0)|0;i=I;L=+h[G>>3];G=Ry(g,1,(I=i,i=i+8|0,c[I>>2]=3,I)|0)|0;i=I;M=+h[G>>3];Qy(H,3,K,(I=i,i=i+16|0,h[I>>3]=L,h[I+8>>3]=M,I)|0);i=I;M=+Wy(H);H=Ry(n,1,(I=i,i=i+8|0,c[I>>2]=2,I)|0)|0;i=I;L=+h[H>>3];H=Ry(n,1,(I=i,i=i+8|0,c[I>>2]=3,I)|0)|0;i=I;Q=M+(e-N)*(L+N*+h[H>>3]*2.0);R=b|0;h[R>>3]=Q;i=j;return}else{H=Ry(n,1,(I=i,i=i+8|0,c[I>>2]=1,I)|0)|0;i=I;N=+h[H>>3];H=Ry(n,1,(I=i,i=i+8|0,c[I>>2]=2,I)|0)|0;i=I;L=+h[H>>3];H=Ry(n,1,(I=i,i=i+8|0,c[I>>2]=3,I)|0)|0;i=I;Q=N+(L+ +h[H>>3]*e)*e;R=b|0;h[R>>3]=Q;i=j;return}}function _f(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;f=i;i=i+48|0;g=d;d=i;i=i+12|0;i=i+7&-8;c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];c[d+8>>2]=c[g+8>>2];g=e;e=i;i=i+12|0;i=i+7&-8;c[e>>2]=c[g>>2];c[e+4>>2]=c[g+4>>2];c[e+8>>2]=c[g+8>>2];g=f|0;h=f+16|0;j=f+32|0;k=ux(d,1)|0;l=g|0;Jy(l,1,(m=i,i=i+8|0,c[m>>2]=k,m)|0);i=m;k=ux(d,1)|0;Jy(h,1,(m=i,i=i+8|0,c[m>>2]=k,m)|0);i=m;kg(j,0,d,e);e=j;d=h;c[d>>2]=c[e>>2];c[d+4>>2]=c[e+4>>2];c[d+8>>2]=c[e+8>>2];if((c[j+12>>2]|0)==0){Ly(h,l);n=a;o=g;c[n>>2]=c[o>>2];c[n+4>>2]=c[o+4>>2];c[n+8>>2]=c[o+8>>2];i=f;return}pe[c[2168]&63](b,9568,1697328,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;Ly(h,l);n=a;o=g;c[n>>2]=c[o>>2];c[n+4>>2]=c[o+4>>2];c[n+8>>2]=c[o+8>>2];i=f;return}function $f(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;h[a>>3]=d;return}function ag(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=+d;e=+e;f=+f;h[a>>3]=+V(+c)*f/e*d;return}function bg(a,b,d,e,f,g,j,k,l,m,n,o){a=a|0;b=b|0;d=+d;e=+e;f=+f;g=+g;j=+j;k=+k;l=+l;m=+m;n=+n;o=+o;var p=0,q=0,r=0.0,s=0.0,t=0.0;p=i;if(!(m>1.0e-10)){pe[c[2168]&63](b,9664,1697992,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q}r=l/m*3.7;if(!(r>0.0)){pe[c[2168]&63](b,9304,1635096,(q=i,i=i+8|0,h[q>>3]=r,q)|0);i=q}m=+Mc(+r)*2.0;r=l*l;s=r*3.141592653589793;t=s*s/(k/(m*m*l)*8.0);m=e+f;s=g+j;j=s*l*o;cg(a,b,d,+Yb(+(j*j/(m*t*.5)*.1542125687670212),+n),t*e,t*f,1,m/(s*k/(r*r*3.141592653589793)*128.0));i=p;return}function cg(a,b,d,e,f,g,j,k){a=a|0;b=b|0;d=+d;e=+e;f=+f;g=+g;j=j|0;k=+k;var l=0,m=0,n=0,o=0.0,p=0.0,q=0;l=i;i=i+16|0;m=l|0;n=l+8|0;do{if(d<e){if(d>-0.0-e){if(f<g){fg(n,b,-0.0-d,e,g,f,j,k);o=-0.0- +h[n>>3];break}else{fg(m,b,d,e,f,g,j,k);o=+h[m>>3];break}}else{p=+V(+d)*g;if(p<0.0){pe[c[2168]&63](b,9304,1662112,(q=i,i=i+8|0,h[q>>3]=p,q)|0);i=q}o=-0.0- +W(p);break}}else{p=d*f;if(p<0.0){pe[c[2168]&63](b,9304,1667208,(q=i,i=i+8|0,h[q>>3]=p,q)|0);i=q}o=+W(p)}}while(0);h[a>>3]=o;i=l;return}function dg(a,b,d,e,f,g,j,k,l,m,n,o){a=a|0;b=b|0;d=+d;e=+e;f=+f;g=+g;j=+j;k=+k;l=+l;m=+m;n=+n;o=+o;var p=0,q=0,r=0.0,s=0.0,t=0.0;p=i;if(!(m>1.0e-10)){pe[c[2168]&63](b,9640,1697992,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q}r=l/m*3.7;if(!(r>0.0)){pe[c[2168]&63](b,9304,1635096,(q=i,i=i+8|0,h[q>>3]=r,q)|0);i=q}m=+Mc(+r)*2.0;r=l*l;s=r*3.141592653589793;t=k/(m*m*l)/(s*s)*8.0;s=g+j;eg(a,b,d,+Yb(+(s*o*l*.3926990816987241),+n),t/e,t/f,1,k/(r*r*3.141592653589793)*128.0*(s/(e+f)));i=p;return}function eg(a,b,c,d,e,f,g,j){a=a|0;b=b|0;c=+c;d=+d;e=+e;f=+f;g=g|0;j=+j;var k=0,l=0,m=0.0;b=i;i=i+16|0;k=b|0;l=b+8|0;do{if(c<d){if(!(c>-0.0-d)){m=c*c*(-0.0-f);break}if(e<f){pg(l,0,-0.0-c,d,f,e,g,j);m=-0.0- +h[l>>3];break}else{pg(k,0,c,d,e,f,g,j);m=+h[k>>3];break}}else{m=c*c*e}}while(0);h[a>>3]=m;i=b;return}function fg(a,b,d,e,f,g,j,k){a=a|0;b=b|0;d=+d;e=+e;f=+f;g=+g;j=j|0;k=+k;var l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0;l=i;i=i+16|0;m=l|0;n=l+8|0;o=f>0.0;if(o){if(f<0.0){pe[c[2168]&63](b,9304,37424,(p=i,i=i+8|0,h[p>>3]=f,p)|0);i=p}q=+W(f)}else{q=0.0}do{if(g>0.0){if(g<0.0){pe[c[2168]&63](b,9304,28688,(p=i,i=i+8|0,h[p>>3]=g,p)|0);i=p}r=g/f*(-0.0-e);s=+W(g)}else{if(o){r=-0.0-e;s=0.0;break}else{t=0.0;u=a|0;h[u>>3]=t;i=l;return}}}while(0);if(!(r<d)){t=+W(+V(+d))*(-0.0-s);u=a|0;h[u>>3]=t;i=l;return}o=e>=0.0;if(!o){pe[c[2168]&63](b,9304,1681784,(p=i,i=i+8|0,h[p>>3]=e,p)|0);i=p}g=+W(e);f=q*g;v=+V(+r);w=+W(v);x=w*(-0.0-s);if(!o){pe[c[2168]&63](b,9304,1681784,(p=i,i=i+8|0,h[p>>3]=e,p)|0);i=p}y=q/(g*2.0);g=s/(w*2.0);if(j<<24>>24==0){w=r/e;z=((x*3.0-r*g)/w-(f*3.0-y*e)*w)/((1.0-w)*e*2.0)}else{z=k}k=8.75/e;if(k<0.0){pe[c[2168]&63](b,9304,1670224,(p=i,i=i+8|0,h[p>>3]=k,p)|0);i=p}w=+rc(+z,+(+rc(+(q*+W(k)),+(s*+W(8.75/v)))*.9));v=d/e;if(d<0.0){d=e/f;gg(n,0,v,r/e,x/f,g*d,w*d);A=+h[n>>3]}else{d=e/f;gg(m,0,v,1.0,1.0,y*d,w*d);A=+h[m>>3]}t=f*A;u=a|0;h[u>>3]=t;i=l;return}function gg(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=+d;e=+e;f=+f;g=+g;var i=0.0;i=d*g;g=e*3.0+(i*-2.0-d*f);f=c/d;h[a>>3]=f*(i+f*(g+(-0.0-g-i+e)*f));return}function hg(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=i;l=d;d=i;i=i+12|0;i=i+7&-8;c[d>>2]=c[l>>2];c[d+4>>2]=c[l+4>>2];c[d+8>>2]=c[l+8>>2];l=g;g=i;i=i+12|0;i=i+7&-8;c[g>>2]=c[l>>2];c[g+4>>2]=c[l+4>>2];c[g+8>>2]=c[l+8>>2];l=ux(g,1)|0;if(e<<24>>24!=0&f<<24>>24==0){f=uy(uy(uy(uy(1697936,j)|0,1697904)|0,b)|0,1697784)|0;pe[c[2168]&63](a,9616,f,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m}if((l|0)<1){i=k;return}f=(ig(1,1,l)|0)==0;if(!f){e=1;do{n=Ry(g,1,(m=i,i=i+8|0,c[m>>2]=e,m)|0)|0;i=m;if(+h[n>>3]<0.0){n=uy(uy(uy(uy(1697736,b)|0,1697720)|0,j)|0,1697680)|0;o=uy(uy(n,ry(e,0,1)|0)|0,1697672)|0;n=Ry(g,1,(m=i,i=i+8|0,c[m>>2]=e,m)|0)|0;i=m;p=uy(uy(o,sy(+h[n>>3],0,1,6)|0)|0,1697632)|0;pe[c[2168]&63](a,9592,p,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m}e=e+1|0;}while((ig(e,1,l)|0)!=0)}if((l|0)<=0){i=k;return}if(!(+V(+(+Xy(g)+-1.0))>1.0e-10)){i=k;return}if(f){q=1729280}else{f=1729280;e=1;while(1){a=uy(f,1697616)|0;p=uy(uy(a,ry(e,0,1)|0)|0,1697608)|0;a=Ry(g,1,(m=i,i=i+8|0,c[m>>2]=e,m)|0)|0;i=m;n=uy(uy(p,sy(+h[a>>3],0,1,6)|0)|0,1697600)|0;a=Az(d,1,(m=i,i=i+8|0,c[m>>2]=e,m)|0)|0;i=m;p=uy(uy(n,c[a>>2]|0)|0,1697592)|0;a=e+1|0;if((ig(a,1,l)|0)==0){q=p;break}else{f=p;e=a}}}e=uy(uy(uy(uy(uy(1697552,b)|0,1697720)|0,j)|0,1697592)|0,1697504)|0;jg(0,uy(uy(uy(e,sy(+Xy(g),0,1,6)|0)|0,1697496)|0,q)|0);i=k;return}function ig(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;if((b|0)>(c|0)){if((a|0)<(c|0)|(a|0)>(b|0)){d=4}else{e=1}}else{if((a|0)<(b|0)|(a|0)>(c|0)){d=4}else{e=1}}if((d|0)==4){e=0}return e|0}function jg(a,b){a=a|0;b=b|0;Ez(b);return}function kg(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+136|0;f=d;d=i;i=i+12|0;i=i+7&-8;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];f=e;e=i;i=i+12|0;i=i+7&-8;c[e>>2]=c[f>>2];c[e+4>>2]=c[f+4>>2];c[e+8>>2]=c[f+8>>2];f=b|0;g=b+16|0;h=b+32|0;j=b+40|0;k=b+48|0;l=b+56|0;m=b+72|0;n=b+88|0;o=b+104|0;p=b+120|0;q=b+128|0;c[h>>2]=0;c[j>>2]=lg(ux(d,1)|0)|0;c[k>>2]=lg(ux(d,1)|0)|0;r=ux(d,1)|0;Nx(l,1,(s=i,i=i+8|0,c[s>>2]=r,s)|0);i=s;Tx(l,m);l=ux(d,1)|0;r=ux(d,1)|0;Jy(n,2,(s=i,i=i+16|0,c[s>>2]=l,c[s+8>>2]=r,s)|0);i=s;Ny(d,n);Yy(n,o);c[p>>2]=mg(d)|0;c[q>>2]=1;n=ux(d,1)|0;d=f|0;Jy(d,1,(s=i,i=i+8|0,c[s>>2]=n,s)|0);i=s;Ly(e,d);s=f;n=e;c[s>>2]=c[n>>2];c[s+4>>2]=c[n+4>>2];c[s+8>>2]=c[n+8>>2];Yy(d,g);n=ng(c[o+8>>2]|0)|0;o=og(c[m+8>>2]|0)|0;ps(p,q,n,j,o,ng(c[g+8>>2]|0)|0,k,h);Zy(g,d);c[f+12>>2]=c[h>>2];h=a;c[h>>2]=c[s>>2];c[h+4>>2]=c[s+4>>2];c[h+8>>2]=c[s+8>>2];c[h+12>>2]=c[s+12>>2];i=b;return}function lg(a){a=a|0;return((a|0)<1?1:a)|0}function mg(a){a=a|0;return ux(a,1)|0}function ng(a){a=a|0;return a|0}function og(a){a=a|0;return a|0}function pg(a,b,c,d,e,f,g,j){a=a|0;b=b|0;c=+c;d=+d;e=+e;f=+f;g=g|0;j=+j;var k=0,l=0,m=0.0,n=0.0,o=0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0;b=i;i=i+16|0;k=b|0;l=b+8|0;m=-0.0-d;if(!(c>m)){n=c*c*(-0.0-f);o=a|0;h[o>>3]=n;i=b;return}p=d*d;q=p*e;r=p*(-0.0-f);p=d*e;e=p*2.0;s=m*f*-2.0;if(g<<24>>24==0){t=m/d;u=((r*3.0-s*m)/t-(q*3.0-e*d)*t)/((1.0-t)*d*2.0)}else{u=j}j=p*2.23606797749979;p=+V(+m)*f*2.23606797749979;f=(j<p?j:p)*.9;p=f<u?f:u;if(c<0.0){gg(l,0,c,m,r,s,p);n=+h[l>>3];o=a|0;h[o>>3]=n;i=b;return}else{gg(k,0,c,d,q,e,p);n=+h[k>>3];o=a|0;h[o>>3]=n;i=b;return}}function qg(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=+d;e=+e;f=+f;var g=0.0,i=0.0;do{if(c>f){g=d}else{if(c<-0.0-f){g=e;break}if(f>0.0){i=c/f;g=(d+e)*.5+(e-d)/f*(i*i+-3.0)*c*.25;break}else{g=(d+e)*.5;break}}}while(0);h[a>>3]=g;return}function rg(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,f=0.0,g=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0;b=i;d=c;c=i;i=i+88|0;d1(c,d,88)|0;e=+h[c+32>>3];f=+h[c+16>>3];g=+h[c>>3];j=+h[c+8>>3];k=+h[c+24>>3];l=+h[c+48>>3];m=k*l;n=f*j*(m+e*+h[c+64>>3]);o=f*j*k*(l*2.0+k*+h[c+56>>3]);p=f*g*k*(l-e*+h[c+80>>3]);l=p/g;k=e*e*+h[c+72>>3]*(-0.0-f)+l;h[a>>3]=g*f*j*m;h[a+8>>3]=n;h[a+16>>3]=o;h[a+24>>3]=p;h[a+32>>3]=(o-j*l)/g;h[a+40>>3]=k;i=b;return}function sg(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,f=0.0,g=0.0,j=0.0,k=0.0;b=i;d=c;c=i;i=i+88|0;d1(c,d,88)|0;e=+h[c+16>>3];f=+h[c+8>>3];g=+h[c+24>>3];j=+h[c+48>>3];k=e*f*g*(j*2.0+g*+h[c+56>>3]);h[a>>3]=+h[c>>3]*e*f*g*j;h[a+8>>3]=k;i=b;return}function tg(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,j=0,k=0,l=0.0,m=0.0;e=i;i=i+16|0;f=e|0;Jy(f,1,(g=i,i=i+8|0,c[g>>2]=20,g)|0);i=g;if(!(d>611.657)){j=uy(uy(1697264,sy(d,0,1,6)|0)|0,1697256)|0;k=uy(uy(j,sy(611.657,0,1,6)|0)|0,1697224)|0;pe[c[2168]&63](b,9232,k,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g}l=+rc(+d,+22064.0e3)*1.0e-6;d=+X(+l,+.25);k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[k>>3]=d;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;d=+h[k>>3]*-3232555.0322333;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[k>>3]=d;d=+W(l);k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[k>>3]=d;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;d=+h[k>>3]*-724213.16703206;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;h[k>>3]=d;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;d=+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;l=d+ +h[k>>3]+405113.40542057;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;h[k>>3]=l;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;l=+h[k>>3]*-17.073846940092;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;h[k>>3]=l;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;l=+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;d=l+ +h[k>>3]+14.91510861353;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;h[k>>3]=d;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;d=+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;l=d*+h[k>>3]*-4.0;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;h[k>>3]=l;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;l=+h[k>>3]*12020.82470247;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;h[k>>3]=l;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;l=+h[k>>3]*1167.0521452767;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;h[k>>3]=l;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;l=+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;d=l+ +h[k>>3]+ -4823.2657361591;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;h[k>>3]=d;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;d=+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;h[k>>3]=d*d;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;d=+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;l=d+ +h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;h[k>>3]=l;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;l=+W(+h[k>>3]);k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;h[k>>3]=l;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;l=-0.0- +h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=15,g)|0)|0;i=g;h[k>>3]=l;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;l=+h[k>>3]*-12020.82470247;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=16,g)|0)|0;i=g;h[k>>3]=l;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;l=+h[k>>3]*-1167.0521452767;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=17,g)|0)|0;i=g;h[k>>3]=l;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=15,g)|0)|0;i=g;l=+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=16,g)|0)|0;i=g;d=+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=17,g)|0)|0;i=g;m=l+(d+ +h[k>>3])+4823.2657361591;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=18,g)|0)|0;i=g;h[k>>3]=m;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=18,g)|0)|0;i=g;m=1.0/+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=19,g)|0)|0;i=g;h[k>>3]=m;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=19,g)|0)|0;i=g;m=+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;d=m*+h[k>>3]*2.0;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=20,g)|0)|0;i=g;h[k>>3]=d;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=20,g)|0)|0;i=g;d=+h[k>>3]+650.17534844798;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=20,g)|0)|0;i=g;m=+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=19,g)|0)|0;i=g;l=+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;h[a>>3]=(m- +W(d*d+(l*+h[k>>3]*1300.35069689596+-.23855557567849)*-4.0)+650.17534844798)*.5;i=e;return}function ug(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,f=0.0,g=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0;b=i;d=c;c=i;i=i+88|0;d1(c,d,88)|0;e=+h[c+16>>3];f=+h[c>>3];g=+h[c+8>>3];j=+h[c+24>>3];k=+h[c+48>>3];l=j*k;m=+h[c+32>>3];n=m*+h[c+64>>3];o=e*(n- +h[c+40>>3]);p=j*(k-m*+h[c+80>>3]);q=+h[c+72>>3]*(-0.0-m*m);m=+h[c+56>>3];h[a>>3]=f;h[a+8>>3]=e*g*(l+n);h[a+16>>3]=e*g*n;h[a+24>>3]=o;h[a+32>>3]=e*(q+p*p/(l*2.0+j*j*m));h[a+40>>3]=e*q;h[a+48>>3]=e*f*p;h[a+56>>3]=e*g*j*(k*2.0+j*m);i=b;return}function vg(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,f=0.0,g=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0;b=i;d=c;c=i;i=i+88|0;d1(c,d,88)|0;e=+h[c>>3];f=+h[c+48>>3];g=+h[c+24>>3];j=f*g;k=+h[c+8>>3];l=+h[c+16>>3];m=+h[c+32>>3];n=m*+h[c+64>>3];o=l*(n- +h[c+40>>3]);p=-0.0-l;q=m*m;r=+h[c+72>>3];s=f-m*+h[c+80>>3];m=+h[c+56>>3];+Bz(e,-2);h[a>>3]=e/(j*k*l);h[a+8>>3]=l*k*n;h[a+16>>3]=k*l*(n-j);h[a+24>>3]=o;h[a+32>>3]=q*r*p;h[a+40>>3]=l*(r*(-0.0-q)+s*s/m);h[a+48>>3]=s/(m*g*k)*(-0.0-e);h[a+56>>3]=k*(f*f/m)*p;i=b;return}function wg(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;var j=0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0;b=i;j=c;c=i;i=i+64|0;d1(c,j,64)|0;j=d;d=i;i=i+64|0;d1(d,j,64)|0;k=+h[c>>3];l=+h[d>>3];if(k!=l){m=k*(l/(k-l))}else{m=0.0}n=m*(+h[d+24>>3]- +h[c+24>>3]);o=+h[c+48>>3];p=(o-n)/(k*k*+h[c+56>>3]);k=+h[d+48>>3];q=(k-n)/(l*l*+h[d+56>>3]);l=(o*f-g)*p+ +h[c+40>>3];h[a>>3]=l+(((k*f-g)*q+ +h[d+40>>3]-l)*e+(p+(q-p)*e)*(-0.0-m)*(+h[d+16>>3]- +h[c+16>>3]));i=b;return}function xg(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0;f=i;i=i+5472|0;Jy(f|0,1,(j=i,i=i+8|0,c[j>>2]=55,j)|0);i=j;if(!(d>0.0)){k=uy(uy(1697160,sy(d,0,1,6)|0)|0,1697144)|0;pe[c[2168]&63](b,9472,k,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}if(d>1.0e8){k=uy(uy(1697096,sy(d,0,1,6)|0)|0,1697064)|0;pe[c[2168]&63](b,9448,k,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}if(e<273.15){k=uy(uy(1697016,sy(e,0,1,6)|0)|0,1696984)|0;pe[c[2168]&63](b,9424,k,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}if(e>1073.15){k=uy(uy(1696928,sy(e,0,1,6)|0)|0,1696880)|0;pe[c[2168]&63](b,9400,k,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}l=540.0/e+-.5;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;h[k>>3]=l*l;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;m=l*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;m=+h[k>>3]*-.05032527872793;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;m=+h[k>>3]+-.057581259083432;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;m=l*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;m=+h[k>>3]+-.045996013696365;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;m=l*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;m=+h[k>>3]+-.017834862292358;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;m=l*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;m=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;h[k>>3]=m*m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;m=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;h[k>>3]=m*m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;m=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;h[k>>3]=m*m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;m=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;n=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;o=m*n*l*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;h[k>>3]=o;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;n=o*l*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;h[k>>3]=n;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;n=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;o=n*l*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;h[k>>3]=o;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;n=o*l*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;h[k>>3]=n;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;o=n*l*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;h[k>>3]=o;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;n=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;m=o*n*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=18,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;m=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;n=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;o=m*n*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;h[k>>3]=o;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;n=o*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;h[k>>3]=n;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;h[k>>3]=d/1.0e6*(d/1.0e6);k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;n=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;h[k>>3]=n*n;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;n=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;o=n*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=23,j)|0)|0;i=j;h[k>>3]=o;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;o=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;n=o*l*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;h[k>>3]=n;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;n=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=25,j)|0)|0;i=j;h[k>>3]=n*n;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;n=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;o=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=25,j)|0)|0;i=j;m=n*o*l*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=26,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;m=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;o=m*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=27,j)|0)|0;i=j;h[k>>3]=o;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;m=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;n=o*m*l*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=28,j)|0)|0;i=j;h[k>>3]=n;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;n=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;m=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=25,j)|0)|0;i=j;o=n*m*l*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=29,j)|0)|0;i=j;h[k>>3]=o;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;m=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=25,j)|0)|0;i=j;n=o*m*l*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=30,j)|0)|0;i=j;h[k>>3]=n;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;m=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;o=n*m*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=31,j)|0)|0;i=j;h[k>>3]=o;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;m=o*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=32,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=33,j)|0)|0;i=j;h[k>>3]=540.0/e*(540.0/e);k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=33,j)|0)|0;i=j;m=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=34,j)|0)|0;i=j;h[k>>3]=m*m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;m=+h[k>>3]*-53349095828174.0e-18;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=35,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=35,j)|0)|0;i=j;m=+h[k>>3]+-.087594591301146;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=36,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;m=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=36,j)|0)|0;i=j;o=m*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=37,j)|0)|0;i=j;h[k>>3]=o;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=37,j)|0)|0;i=j;o=+h[k>>3]+-.007878555448671;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=38,j)|0)|0;i=j;h[k>>3]=o;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=38,j)|0)|0;i=j;m=o*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=39,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=39,j)|0)|0;i=j;m=+h[k>>3]+-.0003789797503263;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=40,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=40,j)|0)|0;i=j;m=l*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=41,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=41,j)|0)|0;i=j;m=+h[k>>3]+-66065283340406.0e-18;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=42,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=42,j)|0)|0;i=j;m=l*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=43,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=44,j)|0)|0;i=j;h[k>>3]=l*57870447262208.0e-19;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;m=+h[k>>3]*-.30195167236758;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=45,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=45,j)|0)|0;i=j;m=+h[k>>3]+-.172743777250296;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=46,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=46,j)|0)|0;i=j;m=l*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=47,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=47,j)|0)|0;i=j;m=+h[k>>3]+-.09199202739273;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=48,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=48,j)|0)|0;i=j;m=l*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=49,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;m=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;o=m*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=50,j)|0)|0;i=j;h[k>>3]=o;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;o=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;m=o*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=51,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;m=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;o=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=25,j)|0)|0;i=j;n=m*o*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=52,j)|0)|0;i=j;h[k>>3]=n;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;n=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;o=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=25,j)|0)|0;i=j;m=n*o*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=53,j)|0)|0;i=j;h[k>>3]=m;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;m=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;o=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=25,j)|0)|0;i=j;n=m*o*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=54,j)|0)|0;i=j;h[k>>3]=n;k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;n=+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;o=n*l*+h[k>>3];k=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=55,j)|0)|0;i=j;h[k>>3]=o;if(!(d/1.0e6>0.0)){pe[c[2168]&63](b,9304,1648896,(j=i,i=i+8|0,h[j>>3]=d/1.0e6,j)|0);i=j}b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;o=+h[b>>3];b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[b>>3];b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;m=+h[b>>3]*-26674547914087.0e-18+-.043797295650573;b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;p=l*(l*(n*(m*+h[b>>3]+-.0039392777243355)+-.00018948987516315)+-33032641670203.0e-18);b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;m=+h[b>>3];b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;n=+h[b>>3]*-.040668253562649+-.0015033924542148;b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;q=l*(m*(n*+h[b>>3]+-3227767723857.0e-17)+4.3870667284435e-7);b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;n=+h[b>>3]*22922076337661.0e-19;b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;m=+h[b>>3];b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;r=m*(+h[b>>3]*-23.895741934104+-.0021171472321355)+-1.6714766451061e-11;b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;m=+h[b>>3]*r;b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;r=+h[b>>3];b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=18,j)|0)|0;i=j;s=r*(+h[b>>3]*-.038946842435739+-12621808899101.0e-19);b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;r=+h[b>>3];b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;t=r*(+h[b>>3]*-8.2311340897998+1.1256211360459e-11);b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;r=+h[b>>3]*1.9809712802088e-8;b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;u=+h[b>>3];b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;v=+h[b>>3]*-1.0018179379511e-9+-1.0234747095929e-13;b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;w=u*(v*+h[b>>3]+1.0406965210174e-19);b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=23,j)|0)|0;i=j;v=+h[b>>3];b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;u=+h[b>>3];b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;x=u*(+h[b>>3]*.10693031879409+-8.0882908646985e-11);b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;u=+h[b>>3];b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=26,j)|0)|0;i=j;y=+h[b>>3]*-.33662250574171;b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;z=+h[b>>3];b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=27,j)|0)|0;i=j;A=+h[b>>3];b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;C=+h[b>>3]*-42002467698208.0e-19+3.0629316876232e-13;b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=28,j)|0)|0;i=j;D=A*(C*+h[b>>3]+8.9185845355421e-25);b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;C=+h[b>>3]*-5.9056029685639e-26;b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=29,j)|0)|0;i=j;A=+h[b>>3]*37826947613457.0e-19;b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=30,j)|0)|0;i=j;E=+h[b>>3]*-1.2768608934681e-15;b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=31,j)|0)|0;i=j;F=+h[b>>3];b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=18,j)|0)|0;i=j;G=+h[b>>3];b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=32,j)|0)|0;i=j;H=d/1.0e6*(o+d/1.0e6*(p+d/1.0e6*(q+d/1.0e6*(l*(l*(l*4.8225372718507e-7+1.2790717852285e-8)+-7.8847309559367e-10)+d/1.0e6*(n+d/1.0e6*(m+d/1.0e6*(s+d/1.0e6*(t+d/1.0e6*(r+d/1.0e6*(w+v*(x+u*(y+z*(D+d/1.0e6*(C+d/1.0e6*(A+d/1.0e6*(E+F*d/1.0e6*(G*(+h[b>>3]*-9.436970724121e-7+5.5414715350778e-17)+7.3087610595061e-29))))))))))+-5.905956432427e-18))))+2.0481737692309e-8))+-.0017731742473213);G=540.0/e*(540.0/e*(540.0/e*(540.0/e*(540.0/e*(540.0/e*(540.0/e*(540.0/e*.02126846353307+-.2840863260772)+10.08665568018)+ +ea(d/1.0e6)+ -9.692768600217)+ -4.38395111945)+1.424081971444)+-.4071049823928)+.07145273881455)+-.00560879118302;b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=34,j)|0)|0;i=j;F=G/(540.0/e*+h[b>>3])+H;b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;H=+h[b>>3];b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=43,j)|0)|0;i=j;G=+h[b>>3];b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;E=+h[b>>3];b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;A=+h[b>>3]*-.122004760687947+-.0045101773626444;b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;C=l*(E*(A*+h[b>>3]+-9683303171571.0e-17)+131612001853305.0e-20);b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;A=+h[b>>3]*114610381688305.0e-19;b=Ry(f|0,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;E=+h[b>>3];c[f+24>>2]=a;g[f+40>>2]=d;g[f+48>>2]=e;g[f+88>>2]=l;g[f+2488>>2]=F;g[f+2504>>2]=H;g[f+2520>>2]=G;g[f+2568>>2]=C;g[f+2584>>2]=A;g[f+2600>>2]=E;c[f+5408>>2]=j;c[f+5424>>2]=0;c[f+5428>>2]=0;_omc_Modelica_Media_Water_IF97__Utilities_BaseIF97_Basic_g2$0(f);j=c[f+5408>>2]|0;I=c[f+5424>>2]|0;B=c[f+5428>>2]|0;J=+g[f+5428>>2];c[f+5424>>2]=0;c[f+5428>>2]=0;if((I|0)==5){return}}function yg(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0,k=0.0,l=0.0,m=0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0;f=i;i=i+16|0;g=f|0;Jy(g,1,(j=i,i=i+8|0,c[j>>2]=40,j)|0);i=j;k=647.096/e;if(d==322.0&e==647.096){l=.999999999999999}else{l=+V(+(d/322.0))}m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;h[m>>3]=k*k;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;h[m>>3]=n*n;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;n=k*+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;h[m>>3]=n;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=k*+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;h[m>>3]=n;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;n=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;h[m>>3]=n*n;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;o=n*k*+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;h[m>>3]=o;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;o=k*+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;h[m>>3]=o;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[m>>3]*-.64207765181607;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;h[m>>3]=o;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;o=+h[m>>3]+.88521043984318;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;h[m>>3]=o;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;o=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;n=o*+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;h[m>>3]=n;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;n=+h[m>>3]+ -1.1524407806681;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;h[m>>3]=n;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;n=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;o=n*+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;h[m>>3]=o;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;o=+h[m>>3]+ -1.2654315477714;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;h[m>>3]=o;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;n=o*+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;h[m>>3]=n;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;o=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;p=n*o*k*+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;h[m>>3]=p;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;p=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;o=p*+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;h[m>>3]=o;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;p=o*+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;h[m>>3]=p;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;p=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=18,j)|0)|0;i=j;h[m>>3]=p*p;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;p=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=18,j)|0)|0;i=j;o=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;n=p*o*+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;h[m>>3]=n;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=18,j)|0)|0;i=j;o=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;p=n*o*k*+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;h[m>>3]=p;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=18,j)|0)|0;i=j;p=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;o=p*+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;h[m>>3]=o;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=18,j)|0)|0;i=j;p=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;n=o*p*+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;h[m>>3]=n;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;n=+h[m>>3]*.25116816848616;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=23,j)|0)|0;i=j;h[m>>3]=n;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=23,j)|0)|0;i=j;n=+h[m>>3]+.078841073758308;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;h[m>>3]=n;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;n=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;p=n*+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=25,j)|0)|0;i=j;h[m>>3]=p;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=25,j)|0)|0;i=j;p=+h[m>>3]+ -6.100523451393;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=26,j)|0)|0;i=j;h[m>>3]=p;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=26,j)|0)|0;i=j;p=k*+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=27,j)|0)|0;i=j;h[m>>3]=p;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=27,j)|0)|0;i=j;p=+h[m>>3]+9.7944563083754;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=28,j)|0)|0;i=j;h[m>>3]=p;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;p=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=28,j)|0)|0;i=j;n=p*+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=29,j)|0)|0;i=j;h[m>>3]=n;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=29,j)|0)|0;i=j;n=+h[m>>3]+ -1.70429417648412;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=30,j)|0)|0;i=j;h[m>>3]=n;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=30,j)|0)|0;i=j;p=n*+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=31,j)|0)|0;i=j;h[m>>3]=p;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=32,j)|0)|0;i=j;h[m>>3]=l*l;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;p=+h[m>>3]*-10.9153200808732;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=33,j)|0)|0;i=j;h[m>>3]=p;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=33,j)|0)|0;i=j;p=+h[m>>3]+13.2781565976477;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=34,j)|0)|0;i=j;h[m>>3]=p;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=34,j)|0)|0;i=j;p=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;n=p*+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=35,j)|0)|0;i=j;h[m>>3]=n;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=35,j)|0)|0;i=j;n=+h[m>>3]+ -6.9146446840086;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=36,j)|0)|0;i=j;h[m>>3]=n;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;n=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=36,j)|0)|0;i=j;p=n*+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=37,j)|0)|0;i=j;h[m>>3]=p;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=37,j)|0)|0;i=j;p=+h[m>>3]+ -2.5308630955428;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=38,j)|0)|0;i=j;h[m>>3]=p;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=38,j)|0)|0;i=j;p=k*+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=39,j)|0)|0;i=j;h[m>>3]=p;m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=18,j)|0)|0;i=j;p=+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;n=p*k*+h[m>>3];m=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=40,j)|0)|0;i=j;h[m>>3]=n;if(!(l>0.0)){pe[c[2168]&63](b,9304,1647984,(j=i,i=i+8|0,h[j>>3]=l,j)|0);i=j}b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;n=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;p=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;q=k*(k*(n*(p*(o*(+h[b>>3]*-.0084566812812502+1.2053369696517)+ -2.808078114862)+2.6185947787954)+ -7.6867707878716)+20.944396974307);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;o=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;p=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;n=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;r=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;s=p*(n*(k*(r*(+h[b>>3]*.12558408424308+.039420536879154)+ -3.0502617256965)+4.8972281541877)+-.85214708824206);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;r=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;p=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;t=r*(n*(p*(+h[b>>3]*-.47596035734923+-.0082147637173963)+ -2.018991502357)+1.389979956946);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;p=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;r=p*(n*(+h[b>>3]*.70522450087967+.90572070719733)+-.44476435428739);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;p=n*(+h[b>>3]*.16436278447961+.094260751665092);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[b>>3]*-.013503372241348;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;u=+h[b>>3]*-.014834345352472;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;v=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;w=v*(+h[b>>3]*.0032308904703711+.00057922953628084);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;v=l*(p+l*(n+l*(u+l*(w+l*(k*-.00016557679795037+l*+h[b>>3]*-44923899061815.0e-18+80964802996215.0e-18))))+-.022175400873096);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;w=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;u=q+(+ea(l)*1.0658070028513+l*(o+l*(s+l*(t+l*(r+l*(k*(w*(+h[b>>3]*-.50871062041158+-.32913623258954)+.10770512626332)+v)+.0439840744735)+-.2799932969871)+.38493460186671)))+ -15.732845290239;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;v=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=31,j)|0)|0;i=j;w=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;r=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;t=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;s=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;o=r*(t*(s*(+h[b>>3]*-1.42788107204769+-.0246442911521889)+ -6.056974507071)+4.169939870838);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;s=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;t=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;r=s*(t*(+h[b>>3]*2.82089800351868+3.6228828287893)+ -1.77905741714956);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;t=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;s=t*(+h[b>>3]*.98617670687766+.56556450999055);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;t=+h[b>>3]*-.094523605689436;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;q=+h[b>>3]*-.118674762819776;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;p=n*(+h[b>>3]*.0290780142333399+.0052130658265276);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;n=l*(s+l*(t+l*(q+l*(p+l*(k*-.0016557679795037+l*+h[b>>3]*-.00049416288967996+.00080964802996215))))+-.133052405238576);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;p=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;q=(l*(v+l*(w+l*(o+l*(r+l*(k*(p*(+h[b>>3]*-2.5435531020579+ -1.6456811629477)+.5385256313166)+n)+.175936297894)+-.8399798909613)+.76986920373342))+1.0658070028513)/l;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=32,j)|0)|0;i=j;n=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=31,j)|0)|0;i=j;p=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;r=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;w=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;v=r*(o*(w*(+h[b>>3]*-2.85576214409538+-.049288582304378)+ -12.113949014142)+8.339879741676);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;w=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;r=w*(o*(+h[b>>3]*8.462694010556+10.868648486368)+ -5.3371722514487);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;w=o*(+h[b>>3]*4.9308835343883+2.82782254995276);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[b>>3]*-.56714163413662;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;t=+h[b>>3]*-.83072333973843;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;s=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;x=s*(+h[b>>3]*.232624113866719+.04170452661222);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;s=l*(w+l*(o+l*(t+l*(x+l*(k*-.0149019118155333+l*+h[b>>3]*-.0049416288967996+.0072868322696594))))+-.66526202619288);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;x=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;t=n*(p+l*(v+l*(r+l*(k*(x*(+h[b>>3]*-10.1742124082316+ -6.5827246517908)+2.1541025252664)+s)+.527808893682)+ -1.6799597819226)+.76986920373342)+ -1.0658070028513;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=32,j)|0)|0;i=j;s=t/+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;t=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;x=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;r=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;v=k*(t*(x*(r*(+h[b>>3]*-.194503669468755+14.4640436358204)+ -28.08078114862)+18.3301634515678)+ -15.3735415757432);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=39,j)|0)|0;i=j;r=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;x=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;t=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;p=k*(x*(k*(t*(+h[b>>3]*3.2651861903201+.86725181134139)+ -21.3518320798755)+29.3833689251262)+ -1.70429417648412);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;t=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;x=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;n=k*(t*(x*(+h[b>>3]*-12.37496929108+-.131436219478341)+ -8.075966009428)+2.779959913892);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;x=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;t=k*(x*(+h[b>>3]*18.3358370228714+3.6228828287893)+-.88952870857478);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;x=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;o=x*(+h[b>>3]*-13.2264761307011+-.98740869776862);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;x=k*(+h[b>>3]*4.2734323964699+.188521503330184);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=40,j)|0)|0;i=j;w=+h[b>>3]*-.38569297916427;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=40,j)|0)|0;i=j;y=l*(l*+h[b>>3]*-.00116802137560719+-.00016557679795037);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;z=v+l*(r+l*(p+l*(n+l*(t+l*(o+l*(x+l*(k*-.027006744482696+l*(w+l*(y+k*(+h[b>>3]*.084003152229649+.00115845907256168)))))+.10770512626332)))))+20.944396974307;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;y=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;w=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;x=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;o=y*(w*(x*(+h[b>>3]*-4.2790807283126+159.104479994024)+ -252.72703033758)+109.980980709407);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;x=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;w=+h[b>>3]*-174.645121293971+185.894192367068;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;y=x*(w*+h[b>>3]+ -34.573223420043);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;w=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;x=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;t=w*(k*(x*(+h[b>>3]*81.629654758002+18.2122880381691)+ -128.110992479253)+146.916844625631);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;x=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;w=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;n=x*(w*(+h[b>>3]*-309.374232277+ -1.97154329217511)+ -24.227898028284);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;w=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;x=w*(+h[b>>3]*458.39592557179+10.868648486368);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;w=+h[b>>3]*106.835809911747;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;p=+h[b>>3]*-9.6423244791068;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;r=+h[b>>3]*2.10007880574121;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;v=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=32,j)|0)|0;i=j;A=l*(w+l*(l*(p+l*(r+v*+h[b>>3]*-.0292005343901797+.00115845907256168))+-.027006744482696)+.188521503330184);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;v=o+l*(y+l*(t+l*(n+l*(x+l*(k*(+h[b>>3]*-330.66190326753+ -1.97481739553724)+A)+-.88952870857478)+2.779959913892)+ -1.70429417648412)+ -2.5308630955428)+ -15.3735415757432;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=39,j)|0)|0;i=j;A=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;x=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;n=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;t=k*(x*(k*(n*(+h[b>>3]*6.5303723806402+1.73450362268278)+ -42.703664159751)+58.766737850252)+ -3.4085883529682);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;x=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;y=k*(n*(x*(+h[b>>3]*-37.12490787324+-.39430865843502)+ -24.227898028284)+8.339879741676);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;x=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;n=k*(x*(+h[b>>3]*73.343348091486+14.4915313151573)+ -3.5581148342991);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;x=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;o=x*(+h[b>>3]*-66.132380653505+ -4.9370434888431);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;x=k*(+h[b>>3]*25.6405943788192+1.1311290199811);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=40,j)|0)|0;i=j;r=+h[b>>3]*-3.08554383331418;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=40,j)|0)|0;i=j;p=l*(l*+h[b>>3]*-.0128482351316791+-.0016557679795037);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;w=A+l*(t+l*(y+l*(n+l*(o+l*(x+l*(k*-.189047211378872+l*(r+l*(p+k*(+h[b>>3]*.75602837006684+.0104261316530551)))))+.5385256313166))));h[a>>3]=d;h[a+8>>3]=e;h[a+16>>3]=461.526;h[a+24>>3]=l;h[a+32>>3]=k;h[a+40>>3]=u;h[a+48>>3]=q;h[a+56>>3]=s;h[a+64>>3]=z;h[a+72>>3]=v;h[a+80>>3]=w;i=f;return}function zg(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0;b=i;i=i+48|0;f=b|0;g=b+16|0;j=b+32|0;Jy(f,1,(k=i,i=i+8|0,c[k>>2]=33,k)|0);i=k;l=f;c[l>>2]=c[424216];c[l+4>>2]=c[424217];c[l+8>>2]=c[424218];Jy(g,1,(k=i,i=i+8|0,c[k>>2]=33,k)|0);i=k;l=g;c[l>>2]=c[424144];c[l+4>>2]=c[424145];c[l+8>>2]=c[424146];Jy(j,1,(k=i,i=i+8|0,c[k>>2]=33,k)|0);i=k;k=j;c[k>>2]=c[424072];c[k+4>>2]=c[424073];c[k+8>>2]=c[424074];m=e/28.0e5+-.72;e=m*m;n=d/1.0e8+.298;d=n*n;o=32325457364492.0e-18/+Bz(n,12);p=m*+Bz(n,-12)*-.000127575556587181;q=-.000475851877356068/+Bz(n,10);r=m*+Bz(n,-10)*.00156183014181602;s=+Bz(n,-10);t=s*+Bz(m,5)*.105724860113781;s=+Bz(n,-10);u=s*+Bz(m,10)*-85.8514221132534;s=+Bz(n,-10);v=s*+Bz(m,12)*724.140095480911;s=.00296475810273257/+Bz(n,8);w=m*+Bz(n,-8)*-.00592721983365988;x=e*+Bz(n,-8)*-.0126305422818666;y=e*e;z=y*+Bz(n,-8)*-.115716196364853;A=+Bz(n,-8);B=A*+Bz(m,10)*84.9000969739595;A=-.0108602260086615/+Bz(n,6);C=m*+Bz(n,-6)*.0154304475328851;D=e*+Bz(n,-6)*.0750455441524466;E=m*+Bz(n,-4)*-.0602507901232996;F=+Bz(n,-3);G=F*+Bz(m,5)*-3.07622221350501;F=y*+Bz(n,-2)*5.03471360939849;H=+Bz(m,6)/n*-77.314600713019;I=+Bz(m,10)/n*9493.08762098587;J=+Bz(m,14)/n*-1410437.19679409;K=+Bz(m,16)/n*8491662.30819026;L=m*+Bz(n,5)*.286596714529479;M=m*+Bz(n,6)*-.131778331276228;h[a>>3]=(o+(p+(q+(r+(t+(u+(v+(s+(w+(x+(z+(B+(A+(C+(D+(.0252520973612982/(d*d)+(E+(G+(-.0574011959864879/d+(F+(e/n*-.925081888584834+(y/n*3.91733882917546+(H+(I+(J+(K+(e*.32334644281172+(n*m*.873281936020439+(m*n*d*-.436653048526683+(L+(M+m*+Bz(n,8)*.00676682064330275))))))))))))))))))))))))))))))+.861095729446704)*860.0;i=b;return}function Ag(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0;b=i;i=i+48|0;f=b|0;g=b+16|0;j=b+32|0;Jy(f,1,(k=i,i=i+8|0,c[k>>2]=31,k)|0);i=k;l=f;c[l>>2]=c[424e3];c[l+4>>2]=c[424001];c[l+8>>2]=c[424002];Jy(g,1,(k=i,i=i+8|0,c[k>>2]=31,k)|0);i=k;l=g;c[l>>2]=c[423932];c[l+4>>2]=c[423933];c[l+8>>2]=c[423934];Jy(j,1,(k=i,i=i+8|0,c[k>>2]=31,k)|0);i=k;k=j;c[k>>2]=c[423864];c[k+4>>2]=c[423865];c[k+8>>2]=c[423866];m=e/23.0e5+-.615;e=m*m;n=d/1.0e8+.24;d=n*n;o=-1.33645667811215e-7/+Bz(n,12);p=m*+Bz(n,-12)*455912656802978.0e-20;q=e*+Bz(n,-12)*-146294640700979.0e-19;r=+Bz(n,-12);s=r*+Bz(m,6)*.0063934131297008;r=+Bz(n,-12);t=r*+Bz(m,14)*372.783927268847;r=+Bz(n,-12);u=r*+Bz(m,16)*-7186.54377460447;r=+Bz(n,-12);v=r*+Bz(m,20)*573494.7521034;r=+Bz(n,-12);w=r*+Bz(m,22)*-2675693.29111439;r=m*+Bz(n,-10)*-334066283302614.0e-19;x=+Bz(n,-10);y=x*+Bz(m,5)*-.0245479214069597;x=+Bz(n,-10);z=x*+Bz(m,12)*47.8087847764996;x=764664131818904.0e-20/+Bz(n,8);A=e*+Bz(n,-8)*.00128350627676972;B=e*e;C=B*+Bz(n,-8)*.0171219081377331;D=+Bz(n,-8);E=D*+Bz(m,10)*-8.51007304583213;D=e*+Bz(n,-5)*-.0136513461629781;F=n*d;G=m*+Bz(n,-2)*.00337423807911655;H=m*e;I=H*+Bz(n,-2)*-.551624873066791;J=B*+Bz(n,-2)*.72920227710747;K=d*d;d=B*+Bz(n,10)*.0136176427574291;B=+Bz(n,12);h[a>>3]=(o+(p+(q+(s+(t+(u+(v+(w+(r+(y+(z+(x+(A+(C+(E+(D+(-384460997596657.0e-20/F+(G+(I+(J+(-.00992522757376041/n+(e/n*-.119308831407288+(m*.454270731799386+(n*m*.20999859125991+(F*-.00642109823904738+(m*F*-.023515586860454+(K*.00252233108341612+(K*H*-.00764885133368119+(d+B*+Bz(m,5)*-.0133027883575669))))))))))))))))))))))))))))+.793929190615421)*760.0;i=b;return}function Bg(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,j=0.0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0;e=i;i=i+16|0;f=e|0;Jy(f,1,(g=i,i=i+8|0,c[g>>2]=31,g)|0);i=g;j=+rc(+d,647.096);k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[k>>3]=j+ -650.17534844798;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;d=1.0/+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[k>>3]=d;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;d=+h[k>>3]*-.23855557567849;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[k>>3]=d;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;d=j+ +h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;h[k>>3]=d;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;d=+h[k>>3]*-4823.2657361591;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;h[k>>3]=d;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;d=+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;h[k>>3]=d*d;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;d=+h[k>>3]*14.91510861353;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;h[k>>3]=d;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;d=+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;j=d+ +h[k>>3]+405113.40542057;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;h[k>>3]=j;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;j=+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;h[k>>3]=j*j;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;j=+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;h[k>>3]=j*j;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;j=+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;h[k>>3]=j*j;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;j=1.0/+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;h[k>>3]=j;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;j=+h[k>>3]*.23855557567849;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;h[k>>3]=j;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;j=+h[k>>3]+1.0;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;h[k>>3]=j;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;j=+h[k>>3]*12020.82470247;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=15,g)|0)|0;i=g;h[k>>3]=j;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;j=+h[k>>3]*-17.073846940092;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=16,g)|0)|0;i=g;h[k>>3]=j;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=15,g)|0)|0;i=g;j=+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=16,g)|0)|0;i=g;d=j+ +h[k>>3]+ -3232555.0322333;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=17,g)|0)|0;i=g;h[k>>3]=d;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;d=+h[k>>3]*-4823.2657361591;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=18,g)|0)|0;i=g;h[k>>3]=d;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;d=+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;j=d*+h[k>>3]*29.83021722706;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=19,g)|0)|0;i=g;h[k>>3]=j;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=18,g)|0)|0;i=g;j=+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=19,g)|0)|0;i=g;d=j+ +h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=20,g)|0)|0;i=g;h[k>>3]=d;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;d=+h[k>>3]*1167.0521452767;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=21,g)|0)|0;i=g;h[k>>3]=d;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=21,g)|0)|0;i=g;d=+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;j=d+ +h[k>>3]+ -724213.16703206;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=22,g)|0)|0;i=g;h[k>>3]=j;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=17,g)|0)|0;i=g;j=+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=23,g)|0)|0;i=g;h[k>>3]=j*j;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=22,g)|0)|0;i=g;j=+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;d=j*+h[k>>3]*-4.0;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=24,g)|0)|0;i=g;h[k>>3]=d;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=23,g)|0)|0;i=g;d=+h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=24,g)|0)|0;i=g;j=d+ +h[k>>3];k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=25,g)|0)|0;i=g;h[k>>3]=j;k=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=25,g)|0)|0;i=g;j=+h[k>>3];if(j<0.0){pe[c[2168]&63](b,9304,1646904,(g=i,i=i+8|0,h[g>>3]=j,g)|0);i=g}d=+W(j);b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=26,g)|0)|0;i=g;h[b>>3]=d;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;d=+h[b>>3]*-12020.82470247;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=27,g)|0)|0;i=g;h[b>>3]=d;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;d=+h[b>>3]*17.073846940092;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=28,g)|0)|0;i=g;h[b>>3]=d;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=26,g)|0)|0;i=g;d=+h[b>>3];b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=27,g)|0)|0;i=g;j=+h[b>>3];b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=28,g)|0)|0;i=g;l=d+(j+ +h[b>>3])+3232555.0322333;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=29,g)|0)|0;i=g;h[b>>3]=l;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=29,g)|0)|0;i=g;l=+h[b>>3];b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=30,g)|0)|0;i=g;h[b>>3]=l*l;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=30,g)|0)|0;i=g;l=+h[b>>3];b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=31,g)|0)|0;i=g;h[b>>3]=l*l;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;l=+h[b>>3];b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;j=+h[b>>3]*-12020.82470247;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;d=+h[b>>3];b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;m=d*+h[b>>3]*34.147693880184;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=20,g)|0)|0;i=g;d=+h[b>>3];b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=22,g)|0)|0;i=g;n=d*+h[b>>3]*-4.0;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=17,g)|0)|0;i=g;d=+h[b>>3];b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;o=+h[b>>3]*12020.82470247;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;p=+h[b>>3];b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;q=d*(o+p*+h[b>>3]*-34.147693880184)*2.0;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;p=+h[b>>3]*1167.0521452767;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;o=+h[b>>3];b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;d=p+o*+h[b>>3]*2.0;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;o=n+(q+ +h[b>>3]*d*-4.0);b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=26,g)|0)|0;i=g;d=j+(m+o/+h[b>>3]*.5);b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=31,g)|0)|0;i=g;o=+h[b>>3];b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=29,g)|0)|0;i=g;m=l*(d/(o*+h[b>>3]))*-64.0;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=20,g)|0)|0;i=g;o=+h[b>>3];b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;d=+h[b>>3];b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;l=+h[b>>3];b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=31,g)|0)|0;i=g;h[a>>3]=(m+o*d*(l/+h[b>>3])*64.0)*1.0e6;i=e;return}function Cg(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0;f=i;i=i+16|0;g=f|0;Jy(g,1,(j=i,i=i+8|0,c[j>>2]=45,j)|0);i=j;if(!(d>611.657)){k=uy(uy(1695136,sy(d,0,1,6)|0)|0,1697256)|0;l=uy(uy(k,sy(611.657,0,1,6)|0)|0,1697224)|0;pe[c[2168]&63](b,9544,l,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}if(d>1.0e8){l=uy(uy(1695088,sy(d,0,1,6)|0)|0,1697064)|0;pe[c[2168]&63](b,9520,l,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}if(e<273.15){l=uy(uy(1695040,sy(e,0,1,6)|0)|0,1696984)|0;pe[c[2168]&63](b,9496,l,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}m=d/1653.0e4;n=1386.0/e;o=7.1-m;p=n+ -1.222;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;h[l>>3]=p*p;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;h[l>>3]=q*q;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;h[l>>3]=q*q;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;q=p*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;h[l>>3]=q;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;q=1.0/+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;h[l>>3]=q;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;r=q*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;h[l>>3]=r;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;r=p*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;h[l>>3]=r;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;r=1.0/+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;h[l>>3]=r;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;r=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;s=r*q*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;h[l>>3]=s;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;s=1.0/+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;h[l>>3]=s;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;s=p*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;h[l>>3]=s;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;s=1.0/+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;h[l>>3]=s;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;s=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;q=s*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;h[l>>3]=q;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;q=1.0/+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;h[l>>3]=q;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;h[l>>3]=o*o;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;q=o*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;h[l>>3]=q;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;h[l>>3]=q*q;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=18,j)|0)|0;i=j;h[l>>3]=q*q;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=18,j)|0)|0;i=j;s=q*o*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;h[l>>3]=s;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;s=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;q=s*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;h[l>>3]=q;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;h[l>>3]=q*q;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;h[l>>3]=q*q;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;s=q*p*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=23,j)|0)|0;i=j;h[l>>3]=s;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=23,j)|0)|0;i=j;s=1.0/+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;h[l>>3]=s;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;s=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;q=s*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=25,j)|0)|0;i=j;h[l>>3]=q;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=25,j)|0)|0;i=j;q=1.0/+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=26,j)|0)|0;i=j;h[l>>3]=q;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;s=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;r=q*s*p*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=27,j)|0)|0;i=j;h[l>>3]=r;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=27,j)|0)|0;i=j;r=1.0/+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=28,j)|0)|0;i=j;h[l>>3]=r;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;r=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;s=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;q=r*s*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=29,j)|0)|0;i=j;h[l>>3]=q;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=29,j)|0)|0;i=j;q=1.0/+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=30,j)|0)|0;i=j;h[l>>3]=q;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;s=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;r=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;t=q*s*r*p*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=31,j)|0)|0;i=j;h[l>>3]=t;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=31,j)|0)|0;i=j;t=1.0/+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=32,j)|0)|0;i=j;h[l>>3]=t;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;t=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;r=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;s=t*r*p*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=33,j)|0)|0;i=j;h[l>>3]=s;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=33,j)|0)|0;i=j;s=1.0/+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=34,j)|0)|0;i=j;h[l>>3]=s;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;s=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;r=s*p*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=35,j)|0)|0;i=j;h[l>>3]=r;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=35,j)|0)|0;i=j;r=1.0/+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=36,j)|0)|0;i=j;h[l>>3]=r;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;r=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;s=r*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=37,j)|0)|0;i=j;h[l>>3]=s;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=37,j)|0)|0;i=j;s=1.0/+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=38,j)|0)|0;i=j;h[l>>3]=s;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;s=1.0/+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=39,j)|0)|0;i=j;h[l>>3]=s;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;s=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;r=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;t=s*r*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=40,j)|0)|0;i=j;h[l>>3]=t;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=40,j)|0)|0;i=j;t=1.0/+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=41,j)|0)|0;i=j;h[l>>3]=t;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;t=1.0/+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=42,j)|0)|0;i=j;h[l>>3]=t;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;t=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;r=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;s=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;q=t*r*s*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=43,j)|0)|0;i=j;h[l>>3]=q;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=43,j)|0)|0;i=j;q=1.0/+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=44,j)|0)|0;i=j;h[l>>3]=q;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;q=1.0/+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=45,j)|0)|0;i=j;h[l>>3]=q;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;s=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;r=q*(s*(+h[l>>3]*-8.5205128120103e-10+-28270797985312.0e-19)+-31679644845054.0e-18);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;s=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;q=+h[l>>3]*-1.4341729937924e-13+-6.5171222895601e-7;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;t=s*(q*+h[l>>3]+-22425281908.0e-16);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;q=+h[l>>3]*-4.0516996860117e-7;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;s=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;u=+h[l>>3]*-1.7424871230634e-10+-1.2734301741641e-9;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=36,j)|0)|0;i=j;v=u*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;u=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=34,j)|0)|0;i=j;w=+h[l>>3]*-6.8762131295531e-19;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;x=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=32,j)|0)|0;i=j;y=+h[l>>3]*1.4478307828521e-20;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;z=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=30,j)|0)|0;i=j;A=+h[l>>3]*2.6335781662795e-23;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=28,j)|0)|0;i=j;B=+h[l>>3]*-1.1947622640071e-23;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=26,j)|0)|0;i=j;C=+h[l>>3]*1.8228094581404e-24;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;D=o*(r+o*(t+o*(q+s*(v+u*(w+x*(y+z*(A+o*(B+o*(C+o*+h[l>>3]*-9.3537087292458e-26)))))))));l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;C=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;B=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;A=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;z=o*(C*(B*(p*(A*(+h[l>>3]*-7.2694996297594e-16+-44141845330846.0e-19)+47661393906987.0e-18)+-.00030001780793026)+-.00047184321073267)+D);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;D=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;A=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;B=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;C=o*(z+D*(A*(B*(p*(p*(+h[l>>3]*-5283835796993.0e-17+-.021841717175414)+-.032529748770505)+-.018990068218419)+-.00060706301565874)+.00028319080123804));l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;B=(p*(p*(p*(p*(p*(p*(p*.00081214629983568+-.016616417199501)+.15772038513228)+-.95791963387872)+3.3855169168385)+ -3.756360367204)+-.84548187169114)+.14632971213167)/+h[l>>3]+C;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;C=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;A=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;D=C*(A*(+h[l>>3]*2.55615384360309e-9+84812393955936.0e-19)+95038934535162.0e-18);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;A=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;C=+h[l>>3]*5.7366919751696e-13+260684891582404.0e-20;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;z=A*(C*+h[l>>3]+89701127632.0e-16);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;C=+h[l>>3]*202584984300585.0e-20;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;A=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;y=+h[l>>3]*1.39398969845072e-9+1.01874413933128e-8;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=36,j)|0)|0;i=j;x=y*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;y=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=34,j)|0)|0;i=j;w=+h[l>>3]*1.44400475720615e-17;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;u=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=32,j)|0)|0;i=j;v=+h[l>>3]*-3.3300108005598e-19;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;s=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=30,j)|0)|0;i=j;q=+h[l>>3]*-7.6373766822106e-22;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=28,j)|0)|0;i=j;t=+h[l>>3]*3.5842867920213e-22;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=26,j)|0)|0;i=j;r=+h[l>>3]*-5.6507093202352e-23;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;E=o*(D+o*(z+o*(C+A*(x+y*(w+u*(v+s*(q+o*(t+o*(r+o*+h[l>>3]*2.99318679335866e-24)))))))));l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;r=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;t=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;s=o*(r*(t*(p*(q*(+h[l>>3]*1.45389992595188e-15+88283690661692.0e-19)+-95322787813974.0e-18)+.00060003561586052)+.00094368642146534)+E);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;E=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;t=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;r=s+E*(q*(t*(p*(p*(+h[l>>3]*5283835796993.0e-17+.021841717175414)+.032529748770505)+.018990068218419)+.00060706301565874)+-.00028319080123804);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;t=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;E=t*(q*(+h[l>>3]*-5.1123076872062e-9+-169624787911872.0e-19)+-.000190077869070324);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;t=+h[l>>3]*-1.72100759255088e-12+-78205467474721.0e-19;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;s=q*(t*+h[l>>3]+-269103382896.0e-16);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;t=+h[l>>3]*-81033993720234.0e-19;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;v=+h[l>>3]*-9.757927889155e-9+-7.131208975319e-8;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=36,j)|0)|0;i=j;u=v*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;v=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=34,j)|0)|0;i=j;w=+h[l>>3]*-2.8880095144123e-16;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;y=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=32,j)|0)|0;i=j;x=+h[l>>3]*7.3260237612316e-18;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;A=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=30,j)|0)|0;i=j;C=+h[l>>3]*2.13846547101895e-20;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=28,j)|0)|0;i=j;z=+h[l>>3]*-1.03944316968618e-20;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=26,j)|0)|0;i=j;D=+h[l>>3]*1.69521279607057e-21;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;F=o*(E+o*(s+o*(t+q*(u+v*(w+y*(x+A*(C+o*(z+o*(D+o*+h[l>>3]*-9.2788790594118e-23)))))))));l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;D=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;z=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;C=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;A=D*(z*(p*(C*(+h[l>>3]*-1.45389992595188e-15+-88283690661692.0e-19)+95322787813974.0e-18)+-.00060003561586052)+-.00094368642146534)+F;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=38,j)|0)|0;i=j;F=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;C=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;z=+h[l>>3]*-.00015851507390979+-.021841717175414;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;D=z*+h[l>>3]+.018990068218419;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;z=F*(C*(D*+h[l>>3]+.0042494411096112)+-.00254871721114236);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;D=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;C=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;F=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;x=D*(C*(F*(+h[l>>3]*-1.2358149370591e-14+-132425535992538.0e-19)+47661393906987.0e-18)+.00141552963219801);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;F=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=37,j)|0)|0;i=j;C=F*(+h[l>>3]*-5.1123076872062e-9+.000126718579380216);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=39,j)|0)|0;i=j;F=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;D=+h[l>>3]*-1.4341729937924e-12+130342445791202.0e-20;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;y=F*(D*+h[l>>3]+11212640954.0e-15);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;D=+h[l>>3]*32413597488094.0e-19;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;F=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;w=+h[l>>3]*1.04549227383804e-9+1.40077319158051e-8;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=45,j)|0)|0;i=j;v=w*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;w=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=44,j)|0)|0;i=j;u=+h[l>>3]*1.9941018075704e-17;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=42,j)|0)|0;i=j;t=+h[l>>3]*-4.4882754268415e-19;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;s=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=28,j)|0)|0;i=j;E=+h[l>>3]*-1.00075970318621e-21;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=26,j)|0)|0;i=j;G=+h[l>>3]*4.6595728296277e-22;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;H=+h[l>>3]*-7.2912378325616e-23;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=41,j)|0)|0;i=j;I=o*(z+o*(x+o*(C+o*(y+o*(D+F*(v+w*(u+q*(t+s*(E+o*(G+o*(H+o*+h[l>>3]*3.8350205789908e-24)))))))))));l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;H=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;G=H*(p*((p*(p*(p*(p*.0040607314991784+-.066465668798004)+.47316115539684)+ -1.91583926775744)+3.3855169168385)*+h[l>>3]+.84548187169114)+-.29265942426334)+I;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=36,j)|0)|0;i=j;I=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;H=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;E=+h[l>>3]*-.00031703014781958+-.037980136436838;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;s=I*(H*(E*+h[l>>3]+-.033995528876889)+.0254871721114236);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;E=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;H=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;I=E*(H*(+h[l>>3]*-1.97730389929456e-13+-264851071985076.0e-19)+-.005662118528792);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=37,j)|0)|0;i=j;H=+h[l>>3]*-2.55615384360309e-8+-.00063359289690108;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=39,j)|0)|0;i=j;E=H*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=38,j)|0)|0;i=j;H=+h[l>>3]*-291722377392842.0e-19;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;t=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=32,j)|0)|0;i=j;u=+h[l>>3]*-5.9823054227112e-16;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;w=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;v=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=26,j)|0)|0;i=j;F=+h[l>>3]*3.9029628424262e-20;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;D=+h[l>>3]*-1.86382913185108e-20;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=41,j)|0)|0;i=j;y=+h[l>>3]*2.98940751135026e-21;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;C=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;x=C*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;C=v*(F+o*(D+o*(y+o/(p*x*+h[l>>3])*-1.61070864317613e-22)));l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;x=q*(u+w*(1.43624813658928e-17/(p*+h[l>>3])+C));l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;C=+h[l>>3]*-7.3184459168663e-9+-1.68092782989661e-7;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;w=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;u=o*(H+t*(C/(p*w*+h[l>>3])+x));l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;x=+h[l>>3]*-1.29075569441316e-11+-39102733737361.0e-19;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;w=x*+h[l>>3]+-67275845724.0e-15;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;x=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;C=o*(s+o*(I+o*(E+o*(u+w/(p*x*+h[l>>3])))));l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;x=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;w=C+x*(p*((p*(p*(p*.0162429259967136+-.199397006394012)+.94632231079368)+ -1.91583926775744)*+h[l>>3]+ -1.69096374338228)+.87797827279002);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=38,j)|0)|0;i=j;p=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;x=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;C=+h[l>>3]*.00015851507390979+.021841717175414;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;u=C*+h[l>>3]+-.018990068218419;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;C=p*(x*(u*+h[l>>3]+-.0042494411096112)+.00254871721114236);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;u=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;x=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;p=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;E=u*(x*(p*(+h[l>>3]*2.4716298741182e-14+264851071985076.0e-19)+-95322787813974.0e-18)+-.00283105926439602);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;p=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=37,j)|0)|0;i=j;x=p*(+h[l>>3]*1.53369230616185e-8+-.00038015573814065);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=39,j)|0)|0;i=j;p=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;u=+h[l>>3]*5.7366919751696e-12+-52136978316481.0e-19;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;I=p*(u*+h[l>>3]+-44850563816.0e-15);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;u=+h[l>>3]*-162067987440468.0e-19;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;p=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;s=+h[l>>3]*-8.3639381907043e-9+-1.12061855326441e-7;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=45,j)|0)|0;i=j;t=s*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;s=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=44,j)|0)|0;i=j;H=+h[l>>3]*-4.1876137958978e-16;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=42,j)|0)|0;i=j;y=+h[l>>3]*1.03230334817355e-17;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;D=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=28,j)|0)|0;i=j;F=+h[l>>3]*2.90220313924001e-20;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=26,j)|0)|0;i=j;v=+h[l>>3]*-1.39787184888831e-20;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;z=+h[l>>3]*2.2602837280941e-21;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=41,j)|0)|0;i=j;J=C+o*(E+o*(x+o*(I+o*(u+p*(t+s*(H+q*(y+D*(F+o*(v+o*(z+o*+h[l>>3]*-1.22720658527705e-22))))))))));h[a>>3]=d;h[a+8>>3]=e;h[a+16>>3]=461.526;h[a+24>>3]=m;h[a+32>>3]=n;h[a+40>>3]=B;h[a+48>>3]=r;h[a+56>>3]=A;h[a+64>>3]=G;h[a+72>>3]=w;h[a+80>>3]=J;i=f;return}function Dg(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0;e=i;i=i+16|0;f=e|0;Jy(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0);i=g;j=+rc(+d,647.096);if(d<273.16){pe[c[2168]&63](b,9280,1694928,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g}b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[b>>3]=j+ -650.17534844798;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;d=1.0/+h[b>>3];b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[b>>3]=d;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;d=+h[b>>3]*-.23855557567849;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[b>>3]=d;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;d=j+ +h[b>>3];b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;h[b>>3]=d;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;d=+h[b>>3]*-4823.2657361591;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;h[b>>3]=d;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;d=+h[b>>3];b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;h[b>>3]=d*d;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;d=+h[b>>3]*14.91510861353;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;h[b>>3]=d;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;d=+h[b>>3];b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;j=d+ +h[b>>3]+405113.40542057;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;h[b>>3]=j;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;j=+h[b>>3]*12020.82470247;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;d=j+ +h[b>>3]*-17.073846940092+ -3232555.0322333;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;j=+h[b>>3];b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;k=+h[b>>3]*-12020.82470247;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;l=+h[b>>3]*17.073846940092;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;m=+h[b>>3]*1167.0521452767;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;n=m+ +h[b>>3]+ -724213.16703206;b=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;m=j/(k+(l+ +W(d*d+n*+h[b>>3]*-4.0))+3232555.0322333);n=m*m;h[a>>3]=n*n*16.0e6;i=e;return}function Eg(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0;f=i;i=i+16|0;g=f|0;Jy(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0);i=j;if(!(d>0.0)){k=uy(uy(1694864,sy(d,0,1,6)|0)|0,1697144)|0;pe[c[2168]&63](b,9376,k,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}if(d>1.0e7){k=uy(uy(1694816,sy(d,0,1,6)|0)|0,1694776)|0;pe[c[2168]&63](b,9352,k,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}if(e>2273.15){k=uy(uy(1694728,sy(e,0,1,6)|0)|0,1694672)|0;pe[c[2168]&63](b,9328,k,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}l=d/1.0e6;m=1.0e3/e;k=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;h[k>>3]=m*m;k=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[k>>3]*-.004594282089991;k=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;h[k>>3]=n;k=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;n=+h[k>>3]+.0021774678714571;k=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;h[k>>3]=n;k=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;n=m*+h[k>>3];k=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;h[k>>3]=n;k=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=m*+h[k>>3];k=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;h[k>>3]=n;k=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[k>>3];k=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;h[k>>3]=n*n;k=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;n=+h[k>>3];k=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;h[k>>3]=n*n;k=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;n=m*+h[k>>3];k=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;h[k>>3]=n;k=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;n=+h[k>>3]*-79449656719138.0e-19;k=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;h[k>>3]=n;k=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;h[k>>3]=l*l;k=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[k>>3]*-.013782846269973;k=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;h[k>>3]=n;if(!(l>0.0)){pe[c[2168]&63](b,9304,1648896,(j=i,i=i+8|0,h[j>>3]=l,j)|0);i=j}b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;n=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;o=+h[b>>3]*-39724828359569.0e-19;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;p=l*(n+l*(o+l*+h[b>>3]*1.2919228289784e-7)+-.00012563183589592);o=m*(m*(m*(m*(m*-.32961626538917+6.8540841634434)+ +ea(l)+ -13.179983674201)+ -3.1161318213925)+.36901534980333)+-.024805148933466;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;n=o/+h[b>>3]+p;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;p=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;o=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;q=(l*(p+l*(o+l*+h[b>>3]*3.8757684869352e-7)+-.00012563183589592)+1.0)/l;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;o=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;p=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;r=o*(p+l*+h[b>>3]*7.7515369738704e-7)+-1.0;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;p=r/+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;r=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;o=+h[b>>3]*-35752345523612.0e-18;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;s=l*(r+l*(o+l*+h[b>>3]*3.8757684869352e-7)+.0021774678714571);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=m*(m*((m*-.65923253077834+6.8540841634434)*+h[b>>3]+3.1161318213925)+-.73803069960666)+.074415446800398;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;r=o/+h[b>>3]+s;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;s=m*(m*(+h[b>>3]*-.65923253077834+ -6.232263642785)+2.21409209881998)+-.297661787201592;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;o=s/(m*+h[b>>3]);b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;s=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;t=o+l*(m*-.027565692539946+l*(l*m*7.7515369738704e-7+s*m*+h[b>>3]*-.000286018764188897));b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;s=+h[b>>3];b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;o=+h[b>>3]*-71504691047224.0e-18;b=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;u=s+l*(o+l*+h[b>>3]*116273054608056.0e-20)+.0021774678714571;h[a>>3]=d;h[a+8>>3]=e;h[a+16>>3]=461.526;h[a+24>>3]=l;h[a+32>>3]=m;h[a+40>>3]=n;h[a+48>>3]=q;h[a+56>>3]=p;h[a+64>>3]=r;h[a+72>>3]=t;h[a+80>>3]=u;i=f;return}function Fg(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0.0;b=i;i=i+16|0;Jy(b|0,1,(e=i,i=i+8|0,c[e>>2]=4,e)|0);i=e;f=d/1.0e6;d=f*f;h[a>>3]=(f*3.74696550136983+(d*-.0219921901054187+f*d*87513168600995.0e-18)+2014.64004206875)*1.0e3;i=b;return}function Gg(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0;f=i;i=i+16|0;g=f|0;Jy(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0);i=j;if(!(d>611.657)){k=uy(uy(1694608,sy(d,0,1,6)|0)|0,1697256)|0;l=uy(uy(k,sy(611.657,0,1,6)|0)|0,1697224)|0;pe[c[2168]&63](b,9256,l,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}m=d/1.0e6;d=e/25.0e5+1.0;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;h[l>>3]=d*d;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;e=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;h[l>>3]=e*e;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;e=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;h[l>>3]=e*e;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;e=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;n=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;o=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;p=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;h[a>>3]=m*-13.391744872602+d*(m*43.211039183559+d*(m*-54.010067170506+d*(m*30.535892203916+d*(m*-6.5964749423638+e*(n*(m*(m*(m*6.6456186191635e-8+-25858641282073.0e-18)+.0093965400878363)+o*p*(q*(m*(m*(m*(m*(m*(m*-1.5020185953503e-17+5.8265442020601e-15)+-9.3477771213947e-13)+8.0670734103027e-11)+-4.0644363084799e-9)+1.157364750534e-7)+-10866707695377.0e-19)*+h[l>>3]+-.0001528548241314))+ -5.8457616048039)))+113.49746881718)+404.21188637945)+ -238.72489924521;i=f;return}function _omc_Modelica_Media_Water_IF97__Utilities_BaseIF97_Basic_g2$0(a){a=a|0;var b=0,d=0.0,e=0.0,f=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0;b=c[a+24>>2]|0;d=+g[a+40>>2];e=+g[a+48>>2];f=+g[a+88>>2];j=+g[a+2488>>2];k=+g[a+2504>>2];l=+g[a+2520>>2];m=+g[a+2568>>2];n=+g[a+2584>>2];o=+g[a+2600>>2];p=c[a+5408>>2]|0;a:do{q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=16,p)|0)|0;i=p;r=o*(+h[q>>3]*-143.374451604624+-.012702883392813)+-1.00288598706366e-10;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;s=+h[q>>3]*r;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=17,p)|0)|0;i=p;r=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=18,p)|0)|0;i=p;t=r*(+h[q>>3]*-.272627897050173+-88352662293707.0e-19);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=11,p)|0)|0;i=p;r=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=19,p)|0)|0;i=p;u=r*(+h[q>>3]*-65.849072718398+9.0049690883672e-11);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=15,p)|0)|0;i=p;r=+h[q>>3]*1.78287415218792e-7;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=10,p)|0)|0;i=p;v=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=10,p)|0)|0;i=p;w=+h[q>>3]*-1.0018179379511e-8+-1.0234747095929e-12;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=20,p)|0)|0;i=p;x=v*(w*+h[q>>3]+1.0406965210174e-18);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=23,p)|0)|0;i=p;w=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=13,p)|0)|0;i=p;v=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=24,p)|0)|0;i=p;y=v*(+h[q>>3]*1.71088510070544+-1.29412653835176e-9);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;v=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=26,p)|0)|0;i=p;z=+h[q>>3]*-6.0592051033508;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;A=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=27,p)|0)|0;i=p;B=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=15,p)|0)|0;i=p;C=+h[q>>3]*-84004935396416.0e-18+6.1258633752464e-12;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=28,p)|0)|0;i=p;D=B*(C*+h[q>>3]+1.78371690710842e-23);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=24,p)|0)|0;i=p;C=+h[q>>3]*-1.24017662339842e-24;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=29,p)|0)|0;i=p;B=+h[q>>3]*83219284749605.0e-18;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=30,p)|0)|0;i=p;E=+h[q>>3]*-2.93678005497663e-14;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=31,p)|0)|0;i=p;F=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=18,p)|0)|0;i=p;G=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=32,p)|0)|0;i=p;H=(d/1.0e6*(k+d/1.0e6*(l+d/1.0e6*(m+d/1.0e6*(f*(f*(f*192901490874028.0e-20+5.116287140914e-8)+-3.15389238237468e-9)+d/1.0e6*(n+d/1.0e6*(s+d/1.0e6*(t+d/1.0e6*(u+d/1.0e6*(r+d/1.0e6*(x+w*(y+v*(z+A*(D+d/1.0e6*(C+d/1.0e6*(B+d/1.0e6*(E+F*d/1.0e6*(G*(+h[q>>3]*-226487297378904.0e-19+1.32995316841867e-15)+1.75410265428146e-27))))))))))+-4.1341695026989e-17))))+6.1445213076927e-8))+-.0017731742473213)+1.0)/(d/1.0e6);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;G=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=43,p)|0)|0;i=p;F=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;E=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=13,p)|0)|0;i=p;B=+h[q>>3]*-.244009521375894+-.0090203547252888;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;C=f*(E*(B*+h[q>>3]+-.00019366606343142)+26322400370661.0e-19);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=14,p)|0)|0;i=p;B=+h[q>>3]*45844152675322.0e-18;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=15,p)|0)|0;i=p;E=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=16,p)|0)|0;i=p;D=E*(+h[q>>3]*-716.87225802312+-.063514416964065)+-5.0144299353183e-10;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;E=+h[q>>3]*D;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=17,p)|0)|0;i=p;D=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=18,p)|0)|0;i=p;A=D*(+h[q>>3]*-1.63576738230104+-53011597376224.0e-18);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=11,p)|0)|0;i=p;D=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=19,p)|0)|0;i=p;z=D*(+h[q>>3]*-460.94350902879+6.303478361857e-10);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=15,p)|0)|0;i=p;D=+h[q>>3]*142629932175034.0e-20;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=10,p)|0)|0;i=p;v=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=10,p)|0)|0;i=p;y=+h[q>>3]*-9.0163614415599e-8+-9.2112723863361e-12;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=20,p)|0)|0;i=p;w=v*(y*+h[q>>3]+9.3662686891566e-18);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=23,p)|0)|0;i=p;y=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=13,p)|0)|0;i=p;v=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=24,p)|0)|0;i=p;x=v*(+h[q>>3]*25.6632765105816+-1.94118980752764e-8);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;v=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=26,p)|0)|0;i=p;r=+h[q>>3]*-103.006486756963;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;u=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=27,p)|0)|0;i=p;t=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=15,p)|0)|0;i=p;s=+h[q>>3]*-.0015960937725319+1.16391404129682e-10;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=28,p)|0)|0;i=p;I=t*(s*+h[q>>3]+3.389062123506e-22);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=24,p)|0)|0;i=p;s=+h[q>>3]*-2.48035324679684e-23;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=29,p)|0)|0;i=p;t=+h[q>>3]*.00174760497974171;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=30,p)|0)|0;i=p;J=+h[q>>3]*-6.4609161209486e-13;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=31,p)|0)|0;i=p;K=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=18,p)|0)|0;i=p;L=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=32,p)|0)|0;i=p;M=d/1.0e6*(B+d/1.0e6*(E+d/1.0e6*(A+d/1.0e6*(z+d/1.0e6*(D+d/1.0e6*(w+y*(x+v*(r+u*(I+d/1.0e6*(s+d/1.0e6*(t+d/1.0e6*(J+K*d/1.0e6*(L*(+h[q>>3]*-.00052092078397148+3.05889228736295e-14)+4.0344361048474e-26))))))))))+-2.48050170161934e-16)));q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=44,p)|0)|0;i=p;L=G*(F+d/1.0e6*(C+d/1.0e6*(f*(f*(+h[q>>3]+1.5348861422742e-7)+-9.461677147124e-9)+M)+1.22890426153854e-7))+-1.0;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;M=L/+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=33,p)|0)|0;i=p;L=540.0/e*(540.0/e*(540.0/e*(540.0/e*((540.0/e*(540.0/e*.06380539059921+-.5681726521544)+10.08665568018)*+h[q>>3]+4.38395111945)+ -2.848163942888)+1.2213149471784)+-.2858109552582)+.0280439559151;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=33,p)|0)|0;i=p;C=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=34,p)|0)|0;i=p;F=L/(C*+h[q>>3]);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=49,p)|0)|0;i=p;C=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;L=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=13,p)|0)|0;i=p;G=+h[q>>3]*-.00096028372490713+-.306581069554011;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;K=f*(L*(G*+h[q>>3]+-.015757110897342)+-.0003789797503263);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;G=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=13,p)|0)|0;i=p;L=+h[q>>3]*-1.42338887469272+-.0090203547252888;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;J=G*(L*+h[q>>3]+-9683303171571.0e-17);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=20,p)|0)|0;i=p;L=+h[q>>3]*160454534363627.0e-19;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;G=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=15,p)|0)|0;i=p;t=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=16,p)|0)|0;i=p;s=G*(t*(+h[q>>3]*-836.35096769364+-.033874355714168)+-5.0144299353183e-11);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=18,p)|0)|0;i=p;t=+h[q>>3]*-.97367106089347+-138839897890111.0e-19;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=50,p)|0)|0;i=p;G=t*+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=14,p)|0)|0;i=p;t=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=19,p)|0)|0;i=p;I=t*(+h[q>>3]*-296.320827232793+9.0049690883672e-11);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=51,p)|0)|0;i=p;t=+h[q>>3]*2.57526266427144e-7;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;u=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=10,p)|0)|0;i=p;r=+h[q>>3]*-1.40254511313154e-8+-1.0234747095929e-12;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=20,p)|0)|0;i=p;v=u*(r*+h[q>>3]+4.1627860840696e-19);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=23,p)|0)|0;i=p;r=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=19,p)|0)|0;i=p;u=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=24,p)|0)|0;i=p;x=u*(+h[q>>3]*5.3465159397045+-2.34560435076256e-9);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;u=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=52,p)|0)|0;i=p;y=+h[q>>3]*-19.1874828272775;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;w=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=16,p)|0)|0;i=p;D=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=15,p)|0)|0;i=p;z=+h[q>>3]*-.000201611844951398+1.07202609066812e-11;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=28,p)|0)|0;i=p;A=D*(z*+h[q>>3]+1.78371690710842e-23);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=27,p)|0)|0;i=p;z=+h[q>>3]*-1.24017662339842e-24;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=53,p)|0)|0;i=p;D=+h[q>>3]*.000200482822351322;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=54,p)|0)|0;i=p;E=+h[q>>3]*-4.9797574845256e-14;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=18,p)|0)|0;i=p;B=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=32,p)|0)|0;i=p;N=B*(+h[q>>3]*-54734430199902.0e-18+2.21658861403112e-15)+1.90027787547159e-27;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=55,p)|0)|0;i=p;B=F+d/1.0e6*(C+d/1.0e6*(K+d/1.0e6*(J+d/1.0e6*(f*(f*144676118155521.0e-20+2.558143570457e-8)+d/1.0e6*(L+d/1.0e6*(s+d/1.0e6*(G+d/1.0e6*(I+d/1.0e6*(t+d/1.0e6*(v+r*(x+u*(y+w*(A+d/1.0e6*(z+d/1.0e6*(D+d/1.0e6*(E+d/1.0e6*+h[q>>3]*N))))))))))))+-7.8847309559367e-10)+4.3870667284435e-7)+-33032641670203.0e-18)+-.017834862292358);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=33,p)|0)|0;i=p;N=540.0/e*(540.0/e*(540.0/e*(540.0/e*(540.0/e*(540.0/e*.12761078119842+-.5681726521544)*+h[q>>3]+ -8.7679022389)+8.544491828664)+ -4.8852597887136)+1.429054776291)+-.1682637354906;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=33,p)|0)|0;i=p;E=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=34,p)|0)|0;i=p;D=N/(540.0/e*E*+h[q>>3]);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;E=f*(+h[q>>3]*-1.5097583618379+-.34548755450059);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;N=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=13,p)|0)|0;i=p;z=+h[q>>3]*-.03360993037175+ -1.83948641732407;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;A=N*(z*+h[q>>3]+-.047271332692026);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=13,p)|0)|0;i=p;z=+h[q>>3]*-48.395221739552+-.045101773626444;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;N=f*(z*+h[q>>3]+-.00019366606343142);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=10,p)|0)|0;i=p;z=f*+h[q>>3]*96272720618176.0e-18;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=15,p)|0)|0;i=p;w=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=16,p)|0)|0;i=p;y=f*(w*(+h[q>>3]*-28435.9329015838+-.50811533571252)+-1.00288598706366e-10);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=11,p)|0)|0;i=p;w=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=18,p)|0)|0;i=p;u=w*f*(+h[q>>3]*-23.3681054614434+-.000138839897890111);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=19,p)|0)|0;i=p;w=+h[q>>3]*-10371.2289531477+6.303478361857e-10;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=20,p)|0)|0;i=p;x=w*+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=17,p)|0)|0;i=p;w=+h[q>>3]*309031519712573.0e-20;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;r=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=10,p)|0)|0;i=p;v=+h[q>>3]*-1.823308647071e-7+-9.2112723863361e-12;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=20,p)|0)|0;i=p;t=r*(v*+h[q>>3]+1.24883582522088e-18);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=23,p)|0)|0;i=p;v=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;r=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=11,p)|0)|0;i=p;I=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=12,p)|0)|0;i=p;G=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=24,p)|0)|0;i=p;s=r*I*G*f*(+h[q>>3]*261.979281045521+-6.5676921821352e-8);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;G=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;I=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=10,p)|0)|0;i=p;r=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=12,p)|0)|0;i=p;L=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=25,p)|0)|0;i=p;J=I*r*L*f*+h[q>>3]*-1074.49903832754;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;L=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=15,p)|0)|0;i=p;r=+h[q>>3]*-.0094757567127157+3.6448887082716e-10;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=28,p)|0)|0;i=p;I=r*+h[q>>3]+3.389062123506e-22;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=32,p)|0)|0;i=p;r=I*+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=16,p)|0)|0;i=p;I=+h[q>>3]*-2.48035324679684e-23;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;K=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=12,p)|0)|0;i=p;C=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=25,p)|0)|0;i=p;F=K*C*f*+h[q>>3]*.0104251067622687;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=11,p)|0)|0;i=p;C=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=12,p)|0)|0;i=p;K=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=18,p)|0)|0;i=p;O=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=32,p)|0)|0;i=p;P=C*K*d/1.0e6*(O*(+h[q>>3]*-.0031198625213944+8.6446955947214e-14)+4.750694688679e-26);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=10,p)|0)|0;i=p;O=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=25,p)|0)|0;i=p;K=D+d/1.0e6*(E+d/1.0e6*(A+d/1.0e6*(N+d/1.0e6*(f*289352236311042.0e-20+d/1.0e6*(z+d/1.0e6*(y+d/1.0e6*(u+d/1.0e6*(x+d/1.0e6*(w+d/1.0e6*(t+v*(s+G*(J+L*(r+d/1.0e6*(I+d/1.0e6*(F+d/1.0e6*(P+O*f*+h[q>>3]*-1.89230784411972e-12))))))))))))+2.558143570457e-8))+-.0003789797503263)+-.09199202739273);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=49,p)|0)|0;i=p;O=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;P=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=13,p)|0)|0;i=p;F=+h[q>>3]*-.00192056744981426+-.61316213910802;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;I=f*(P*(F*+h[q>>3]+-.031514221794684)+-.0007579595006526);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;F=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=13,p)|0)|0;i=p;P=+h[q>>3]*-4.2701666240781+-.0270610641758664;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;r=F*(P*+h[q>>3]+-.00029049909514713);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=20,p)|0)|0;i=p;P=+h[q>>3]*80227267181813.0e-18;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;F=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=15,p)|0)|0;i=p;L=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=16,p)|0)|0;i=p;J=F*(L*(+h[q>>3]*-5018.1058061618+-.203246134285008)+-3.00865796119098e-10);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=18,p)|0)|0;i=p;L=+h[q>>3]*-6.8156974262543+-97187928523078.0e-18;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=50,p)|0)|0;i=p;F=L*+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=14,p)|0)|0;i=p;L=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=19,p)|0)|0;i=p;G=L*(+h[q>>3]*-2370.56661786234+7.2039752706938e-10);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=51,p)|0)|0;i=p;L=+h[q>>3]*23177363978443.0e-19;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;s=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=10,p)|0)|0;i=p;v=+h[q>>3]*-1.40254511313154e-7+-1.0234747095929e-11;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=20,p)|0)|0;i=p;t=s*(v*+h[q>>3]+4.1627860840696e-18);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=23,p)|0)|0;i=p;v=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=19,p)|0)|0;i=p;s=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=24,p)|0)|0;i=p;w=s*(+h[q>>3]*85.544255035272+-3.7529669612201e-8);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;s=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=52,p)|0)|0;i=p;x=+h[q>>3]*-345.37469089099;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;u=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=16,p)|0)|0;i=p;y=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=15,p)|0)|0;i=p;z=+h[q>>3]*-.004032236899028+2.14405218133624e-10;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=28,p)|0)|0;i=p;N=y*(z*+h[q>>3]+3.5674338142168e-22);q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=27,p)|0)|0;i=p;z=+h[q>>3]*-2.60437090913668e-23;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=53,p)|0)|0;i=p;y=+h[q>>3]*.0044106220917291;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=54,p)|0)|0;i=p;A=+h[q>>3]*-1.14534422144089e-12;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=18,p)|0)|0;i=p;E=+h[q>>3];q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=32,p)|0)|0;i=p;D=E*(+h[q>>3]*-.00131362632479764+5.3198126736747e-14)+4.5606669011318e-26;q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=55,p)|0)|0;i=p;E=d/1.0e6*(P+d/1.0e6*(J+d/1.0e6*(F+d/1.0e6*(G+d/1.0e6*(L+d/1.0e6*(t+v*(w+s*(x+u*(N+d/1.0e6*(z+d/1.0e6*(y+d/1.0e6*(A+d/1.0e6*+h[q>>3]*D))))))))))));q=Ry(a|0,1,(p=i,i=i+8|0,c[p>>2]=44,p)|0)|0;i=p;D=O+d/1.0e6*(I+d/1.0e6*(r+d/1.0e6*(f*(+h[q>>3]+1.0232574281828e-7)+E+-3.15389238237468e-9)+131612001853305.0e-20)+-66065283340406.0e-18)+-.017834862292358;h[b>>3]=d;h[b+8>>3]=e;h[b+16>>3]=461.526;h[b+24>>3]=d/1.0e6;h[b+32>>3]=540.0/e;h[b+40>>3]=j;h[b+48>>3]=H;h[b+56>>3]=M;h[b+64>>3]=B;h[b+72>>3]=K;h[b+80>>3]=D;i=a;c[a+5424>>2]=5;break a}while(0);c[a+5408>>2]=p}



function ij(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;nh(d,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1040>>3],0,0);xh(e,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1040>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+408>>3]=+h[e>>3];i=b;return}function jj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;nh(d,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1040>>3],0,0);th(e,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1040>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+392>>3]=+h[e>>3];i=b;return}function kj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;i=i+224|0;d=b|0;e=b+104|0;f=b+208|0;g=b+216|0;j=a+536|0;Lg(d,c[j>>2]|0,2.0e5);eh(f,c[j>>2]|0,2.0e5,d|0);d=a+4|0;a=pB(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1056>>3],+h[f>>3])|0;bh(e,c[j>>2]|0,2.0e5);eh(g,c[j>>2]|0,2.0e5,e|0);e=rB(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1056>>3],+h[g>>3])|0;if(!(a<<24>>24==0)){k=1;l=c[d>>2]|0;m=c[l>>2]|0;n=m+12|0;o=c[n>>2]|0;p=o+40|0;c[p>>2]=k;i=b;return}k=e<<24>>24!=0?1:2;l=c[d>>2]|0;m=c[l>>2]|0;n=m+12|0;o=c[n>>2]|0;p=o+40|0;c[p>>2]=k;i=b;return}function lj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;i=i+224|0;d=b|0;e=b+104|0;f=b+208|0;g=b+216|0;j=a+536|0;Lg(d,c[j>>2]|0,1.0e5);eh(f,c[j>>2]|0,1.0e5,d|0);d=a+4|0;a=pB(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1072>>3],+h[f>>3])|0;bh(e,c[j>>2]|0,1.0e5);eh(g,c[j>>2]|0,1.0e5,e|0);e=rB(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1072>>3],+h[g>>3])|0;if(!(a<<24>>24==0)){k=1;l=c[d>>2]|0;m=c[l>>2]|0;n=m+12|0;o=c[n>>2]|0;p=o+36|0;c[p>>2]=k;i=b;return}k=e<<24>>24!=0?1:2;l=c[d>>2]|0;m=c[l>>2]|0;n=m+12|0;o=c[n>>2]|0;p=o+36|0;c[p>>2]=k;i=b;return}function mj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;nh(d,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1072>>3],0,0);xh(e,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1072>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1016>>3]=+h[e>>3];i=b;return}function nj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;nh(d,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1072>>3],0,0);th(e,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1072>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1008>>3]=+h[e>>3];i=b;return}function oj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;nh(d,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1104>>3],0,0);xh(e,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1104>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+992>>3]=+h[e>>3];i=b;return}function pj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;nh(d,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1104>>3],0,0);th(e,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1104>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+984>>3]=+h[e>>3];i=b;return}function qj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;i=i+224|0;d=b|0;e=b+104|0;f=b+208|0;g=b+216|0;j=a+536|0;Lg(d,c[j>>2]|0,1.0e5);eh(f,c[j>>2]|0,1.0e5,d|0);d=a+4|0;a=pB(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1104>>3],+h[f>>3])|0;bh(e,c[j>>2]|0,1.0e5);eh(g,c[j>>2]|0,1.0e5,e|0);e=rB(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1104>>3],+h[g>>3])|0;if(!(a<<24>>24==0)){k=1;l=c[d>>2]|0;m=c[l>>2]|0;n=m+12|0;o=c[n>>2]|0;p=o+32|0;c[p>>2]=k;i=b;return}k=e<<24>>24!=0?1:2;l=c[d>>2]|0;m=c[l>>2]|0;n=m+12|0;o=c[n>>2]|0;p=o+32|0;c[p>>2]=k;i=b;return}function rj(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;sh(d,c[a+536>>2]|0,+h[f+432>>3],+h[f+416>>3],2.0e5,0);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+304>>3]=+h[d>>3];i=b;return}function sj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[c[g>>2]>>2]|0;nh(d,c[f>>2]|0,2.0e5,+h[(c[a+8>>2]|0)+1040>>3],c[(c[a+12>>2]|0)+44>>2]|0,0);th(e,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1040>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+888>>3]=+h[e>>3];i=b;return}function tj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[c[g>>2]>>2]|0;nh(d,c[f>>2]|0,2.0e5,+h[(c[a+8>>2]|0)+1040>>3],c[(c[a+12>>2]|0)+44>>2]|0,0);xh(e,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1040>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+880>>3]=+h[e>>3];i=b;return}function uj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1040>>3];i=+h[f+880>>3];if(i!=0.0){j=i;k=f;l=-2.0e5/j;m=g+l;n=k+872|0;h[n>>3]=m;return}o=+Lx(c[b+536>>2]|0,i,42136,1704088,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-2.0e5/j;m=g+l;n=k+872|0;h[n>>3]=m;return}function vj(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;sh(d,c[a+536>>2]|0,+h[f+408>>3],+h[f+392>>3],2.0e5,0);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+288>>3]=+h[d>>3];i=b;return}function wj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[c[g>>2]>>2]|0;nh(d,c[f>>2]|0,2.0e5,+h[(c[a+8>>2]|0)+1056>>3],c[(c[a+12>>2]|0)+40>>2]|0,0);th(e,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1056>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+864>>3]=+h[e>>3];i=b;return}function xj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[c[g>>2]>>2]|0;nh(d,c[f>>2]|0,2.0e5,+h[(c[a+8>>2]|0)+1056>>3],c[(c[a+12>>2]|0)+40>>2]|0,0);xh(e,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1056>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+856>>3]=+h[e>>3];i=b;return}function yj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1056>>3];i=+h[f+856>>3];if(i!=0.0){j=i;k=f;l=-2.0e5/j;m=g+l;n=k+848|0;h[n>>3]=m;return}o=+Lx(c[b+536>>2]|0,i,37176,1703744,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-2.0e5/j;m=g+l;n=k+848|0;h[n>>3]=m;return}function zj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[c[g>>2]>>2]|0;nh(d,c[f>>2]|0,1.0e5,+h[(c[a+8>>2]|0)+1072>>3],c[(c[a+12>>2]|0)+36>>2]|0,0);th(e,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1072>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+840>>3]=+h[e>>3];i=b;return}function Aj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[c[g>>2]>>2]|0;nh(d,c[f>>2]|0,1.0e5,+h[(c[a+8>>2]|0)+1072>>3],c[(c[a+12>>2]|0)+36>>2]|0,0);xh(e,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1072>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+832>>3]=+h[e>>3];i=b;return}function Bj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1072>>3];i=+h[f+832>>3];if(i!=0.0){j=i;k=f;l=-1.0e5/j;m=g+l;n=k+824|0;h[n>>3]=m;return}o=+Lx(c[b+536>>2]|0,i,32624,1702872,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-1.0e5/j;m=g+l;n=k+824|0;h[n>>3]=m;return}function Cj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[c[g>>2]>>2]|0;nh(d,c[f>>2]|0,1.0e5,+h[(c[a+8>>2]|0)+1104>>3],c[(c[a+12>>2]|0)+32>>2]|0,0);th(e,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1104>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+816>>3]=+h[e>>3];i=b;return}function Dj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[c[g>>2]>>2]|0;nh(d,c[f>>2]|0,1.0e5,+h[(c[a+8>>2]|0)+1104>>3],c[(c[a+12>>2]|0)+32>>2]|0,0);xh(e,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1104>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+808>>3]=+h[e>>3];i=b;return}function Ej(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1104>>3];i=+h[f+808>>3];if(i!=0.0){j=i;k=f;l=-1.0e5/j;m=g+l;n=k+800|0;h[n>>3]=m;return}o=+Lx(c[b+536>>2]|0,i,28392,1701976,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-1.0e5/j;m=g+l;n=k+800|0;h[n>>3]=m;return}function Fj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+792>>3]=+h[b+888>>3]+ -273.15;return}function Gj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+784>>3]=+h[b+864>>3]+ -273.15;return}function Hj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+776>>3]=+h[b+840>>3]+ -273.15;return}function Ij(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+768>>3]=+h[b+816>>3]+ -273.15;return}function Jj(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0.0,k=0,l=0,m=0,n=0.0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0;d=b+314|0;do{if((a[d]|0)==0){e=a[c[b+356>>2]|0]|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[c[b+356>>2]|0]|0;i=nB(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+608>>3],a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=i;e=g;break}else{g=nB(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+608>>3],a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=g;e=g;break}}else{if(f){f=a[c[b+356>>2]|0]|0;g=pB(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+608>>3])|0;a[c[b+352>>2]|0]=g;e=f;break}else{f=pB(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+608>>3])|0;a[c[b+352>>2]|0]=f;e=f;break}}}}while(0);if(!(e<<24>>24==0)){j=0.0;k=b+416|0;l=c[k>>2]|0;m=l+600|0;n=+h[m>>3];o=j+n;p=b+4|0;q=c[p>>2]|0;r=c[q>>2]|0;s=r+8|0;t=c[s>>2]|0;u=t+512|0;h[u>>3]=o;return}do{if((a[d]|0)==0){v=a[(c[b+356>>2]|0)+1|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+1|0]|0;g=c[b+416>>2]|0;i=nB(+h[c[c[b+4>>2]>>2]>>3],+h[g+608>>3]+ +h[g+592>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=i;v=f;break}else{f=c[b+416>>2]|0;i=nB(+h[c[c[b+4>>2]>>2]>>3],+h[f+608>>3]+ +h[f+592>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=i;v=i;break}}else{if(e){e=a[(c[b+356>>2]|0)+1|0]|0;i=c[b+416>>2]|0;f=pB(+h[c[c[b+4>>2]>>2]>>3],+h[i+608>>3]+ +h[i+592>>3])|0;a[(c[b+352>>2]|0)+1|0]=f;v=e;break}else{e=c[b+416>>2]|0;f=pB(+h[c[c[b+4>>2]>>2]>>3],+h[e+608>>3]+ +h[e+592>>3])|0;a[(c[b+352>>2]|0)+1|0]=f;v=f;break}}}}while(0);if(v<<24>>24==0){v=b+416|0;j=+h[(c[v>>2]|0)+584>>3];k=v;l=c[k>>2]|0;m=l+600|0;n=+h[m>>3];o=j+n;p=b+4|0;q=c[p>>2]|0;r=c[q>>2]|0;s=r+8|0;t=c[s>>2]|0;u=t+512|0;h[u>>3]=o;return}w=+h[c[c[b+4>>2]>>2]>>3];v=b+416|0;d=c[v>>2]|0;x=w- +h[d+608>>3];y=+h[d+592>>3];z=+h[d+584>>3];do{if(y!=0.0){A=z/y}else{if(z==0.0){A=z;break}A=z/+Lx(c[b+536>>2]|0,y,24376,1701256,w,(a[b+319|0]|0)!=0|0)}}while(0);j=x*A;k=v;l=c[k>>2]|0;m=l+600|0;n=+h[m>>3];o=j+n;p=b+4|0;q=c[p>>2]|0;r=c[q>>2]|0;s=r+8|0;t=c[s>>2]|0;u=t+512|0;h[u>>3]=o;return}function Kj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+720>>3]=+h[b+512>>3]+-1.0e5;return}function Lj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+696>>3]=+h[b+720>>3]+1.0e5;return}function Mj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+664>>3]=+h[b+696>>3]*1.0e-5;return}function Nj(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;tg(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+696>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+672>>3]=+h[d>>3];i=b;return}function Oj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+592>>3]=+h[b+1168>>3]*(1.0e5- +h[b+696>>3]);return}function Pj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1168>>3];i=+h[f+592>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+544|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+544|0;h[m>>3]=k;return}i=j/+Lx(c[b+536>>2]|0,g,1681544,1700240,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+544|0;h[m>>3]=k;return}function Qj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+552>>3]=+h[b+696>>3]+-1.0e5;return}function Rj(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+56>>3]=+h[b+672>>3]*(2.0e5- +h[d+696>>3])*+h[b+704>>3];return}function Sj(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=c[b+416>>2]|0;e=+h[d+672>>3]*+h[d+704>>3];d=b+4|0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+56>>3];j=-0.0-i;if(e!=0.0){k=j/e;l=g;m=l+32|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=g;m=l+32|0;h[m>>3]=k;return}i=j/+Lx(c[b+536>>2]|0,e,1677384,1700232,+h[f>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+32|0;h[m>>3]=k;return}function Tj(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+184>>3]=+h[b+432>>3]*(2.0e5- +h[d+696>>3])*+h[b+464>>3];return}function Uj(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=c[b+416>>2]|0;e=+h[d+432>>3]*+h[d+464>>3];d=b+4|0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+184>>3];j=-0.0-i;if(e!=0.0){k=j/e;l=g;m=l+152|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=g;m=l+152|0;h[m>>3]=k;return}i=j/+Lx(c[b+536>>2]|0,e,1673480,1700224,+h[f>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+152|0;h[m>>3]=k;return}function Vj(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+520>>3]=+h[b+344>>3];return}function Wj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+44>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+600>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+600|0;h[c[f+48>>2]>>3]=+h[g>>3];i=+OB(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+600>>3]);d=c[e>>2]|0;h[c[d+52>>2]>>3]=i;g=c[b>>2]|0;h[(c[d+44>>2]|0)+8>>3]=+h[(c[(c[g>>2]|0)+8>>2]|0)+728>>3];f=(c[(c[g+4>>2]|0)+8>>2]|0)+728|0;h[(c[d+48>>2]|0)+8>>3]=+h[f>>3];i=+OB(a,+h[f>>3],+h[(c[(c[g+8>>2]|0)+8>>2]|0)+728>>3]);g=c[e>>2]|0;h[(c[g+52>>2]|0)+8>>3]=i;f=c[b>>2]|0;h[(c[g+44>>2]|0)+16>>3]=+h[(c[(c[f>>2]|0)+8>>2]|0)+72>>3];d=(c[(c[f+4>>2]|0)+8>>2]|0)+72|0;h[(c[g+48>>2]|0)+16>>3]=+h[d>>3];i=+OB(a,+h[d>>3],+h[(c[(c[f+8>>2]|0)+8>>2]|0)+72>>3]);f=c[e>>2]|0;h[(c[f+52>>2]|0)+16>>3]=i;d=c[b>>2]|0;h[(c[f+44>>2]|0)+24>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+560>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+560|0;h[(c[f+48>>2]|0)+24>>3]=+h[g>>3];i=+OB(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+560>>3]);d=c[e>>2]|0;h[(c[d+52>>2]|0)+24>>3]=i;g=c[b>>2]|0;h[(c[d+44>>2]|0)+32>>3]=+h[(c[(c[g>>2]|0)+8>>2]|0)+632>>3];f=(c[(c[g+4>>2]|0)+8>>2]|0)+632|0;h[(c[d+48>>2]|0)+32>>3]=+h[f>>3];i=+OB(a,+h[f>>3],+h[(c[(c[g+8>>2]|0)+8>>2]|0)+632>>3]);g=c[e>>2]|0;h[(c[g+52>>2]|0)+32>>3]=i;f=c[b>>2]|0;h[(c[g+44>>2]|0)+40>>3]=+h[(c[(c[f>>2]|0)+8>>2]|0)+688>>3];d=(c[(c[f+4>>2]|0)+8>>2]|0)+688|0;h[(c[g+48>>2]|0)+40>>3]=+h[d>>3];i=+OB(a,+h[d>>3],+h[(c[(c[f+8>>2]|0)+8>>2]|0)+688>>3]);h[(c[(c[e>>2]|0)+52>>2]|0)+40>>3]=i;MB(a,0)|0;f=c[(c[e>>2]|0)+44>>2]|0;e=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[e+600>>3]=+h[f>>3];h[e+728>>3]=+h[f+8>>3];h[e+72>>3]=+h[f+16>>3];h[e+560>>3]=+h[f+24>>3];h[e+632>>3]=+h[f+32>>3];h[e+688>>3]=+h[f+40>>3];Ah(a);Bh(a);Ch(a);Dh(a);Eh(a);Fh(a);Gh(a);Hh(a);Ih(a);Jh(a);Kh(a);Lh(a);Mh(a);Nh(a);Oh(a);Ph(a);Qh(a);Rh(a);Sh(a);Th(a);Uh(a);Vh(a);Wh(a);Xh(a);return}function Xj(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+528>>3]=+h[b+232>>3]- +h[d+312>>3]*+h[d+408>>3];return}function Yj(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=b+4|0;j=c[(c[c[g>>2]>>2]|0)+8>>2]|0;qg(e,c[f>>2]|0,+h[j+600>>3],+h[j+616>>3],+h[j+1016>>3],+h[(c[b+416>>2]|0)+216>>3]);k=+h[e>>3];e=c[c[g>>2]>>2]|0;j=c[e+8>>2]|0;l=+h[j+600>>3];if(k!=0.0){m=l/k;n=j;o=n+536|0;h[o>>3]=m;i=d;return}if(l==0.0){m=l;n=j;o=n+536|0;h[o>>3]=m;i=d;return}p=l/+Lx(c[f>>2]|0,k,1669968,1704536,+h[e>>3],(a[b+319|0]|0)!=0|0);m=p;n=c[(c[c[g>>2]>>2]|0)+8>>2]|0;o=n+536|0;h[o>>3]=m;i=d;return}function Zj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;nh(d,c[f>>2]|0,+h[a+696>>3],+h[a+624>>3],0,0);a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;th(e,c[f>>2]|0,+h[a+696>>3],+h[a+624>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+608>>3]=+h[e>>3];i=b;return}function _j(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0;b=i;i=i+136|0;d=b|0;e=b+120|0;f=b+128|0;g=a+536|0;j=a+4|0;k=c[(c[c[j>>2]>>2]|0)+8>>2]|0;nh(d,c[g>>2]|0,+h[k+696>>3],+h[k+1072>>3],0,0);k=c[(c[c[j>>2]>>2]|0)+8>>2]|0;th(e,c[g>>2]|0,+h[k+696>>3],+h[k+1072>>3],d|0);d=c[(c[c[j>>2]>>2]|0)+8>>2]|0;qg(f,c[g>>2]|0,+h[d+600>>3],+h[d+608>>3],+h[e>>3],+h[(c[a+416>>2]|0)+216>>3]);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+576>>3]=+h[f>>3];i=b;return}function $j(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0;b=i;i=i+136|0;d=b|0;e=b+120|0;f=b+128|0;g=a+536|0;j=a+4|0;nh(d,c[g>>2]|0,1.0e5,+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+624>>3],0,0);th(e,c[g>>2]|0,1.0e5,+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+624>>3],d|0);d=c[(c[c[j>>2]>>2]|0)+8>>2]|0;qg(f,c[g>>2]|0,-0.0- +h[d+600>>3],+h[d+1008>>3],+h[e>>3],+h[(c[a+416>>2]|0)+216>>3]);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+568>>3]=+h[f>>3];i=b;return}function ak(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[(c[b+420>>2]|0)+8>>2]|0;e=+(d|0);f=b+4|0;g=c[c[f>>2]>>2]|0;i=c[g+8>>2]|0;j=+h[i+728>>3];if((d|0)!=0){k=j/e;l=i;m=l+712|0;h[m>>3]=k;return}if(j==0.0){k=j;l=i;m=l+712|0;h[m>>3]=k;return}n=j/+Lx(c[b+536>>2]|0,e,1667176,1704528,+h[g>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[f>>2]>>2]|0)+8>>2]|0;m=l+712|0;h[m>>3]=k;return}function bk(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+504>>3]=+h[b+104>>3]- +h[d+312>>3]*+h[d+648>>3];return}function ck(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;nh(d,c[f>>2]|0,+h[a+696>>3],+h[a+104>>3],0,0);a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;th(e,c[f>>2]|0,+h[a+696>>3],+h[a+104>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+96>>3]=+h[e>>3];i=b;return}function dk(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;sh(d,c[a+536>>2]|0,+h[f+400>>3],+h[f+96>>3],+h[f+696>>3],0);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+280>>3]=+h[d>>3];i=b;return}function ek(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+64>>3]=+h[b+72>>3]*+h[(c[a+416>>2]|0)+624>>3];return}function fk(a){a=a|0;var b=0,d=0;b=a+4|0;a=(rB(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+72>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+112>>3]=+h[(a?d+288|0:d+280|0)>>3];return}function gk(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+24>>3]=+h[b+704>>3]*(+h[d+448>>3]+ +h[d+456>>3])*+h[d+112>>3]*+h[b+728>>3]*.3926990816987241;return}function hk(a){a=a|0;var b=0,d=0;b=a+4|0;a=(rB(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+72>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+120>>3]=+h[(a?d+408|0:d+400|0)>>3];return}function ik(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0.0,m=0.0,n=0.0,o=0,p=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=(+h[f+448>>3]+ +h[f+456>>3])*.5;i=g*g;j=c[b+416>>2]|0;g=+h[j+736>>3]- +h[j+752>>3]*+h[j+648>>3];k=i*i;i=+h[f+120>>3];l=+h[j+744>>3]*+h[f+112>>3];m=+h[j+704>>3];do{if(l!=0.0){n=m/l;o=f}else{if(m==0.0){n=m;o=f;break}p=m/+Lx(c[b+536>>2]|0,l,1664704,1704520,+h[e>>3],(a[b+319|0]|0)!=0|0);n=p;o=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[o+16>>3]=g*k*i*n*.02454369260617026;return}function jk(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+672>>3]*+h[g+400>>3]*+h[d+616>>3];j=+h[g+72>>3];if(i!=0.0){k=j/i;l=g;m=l+80|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+80|0;h[m>>3]=k;return}n=j/+Lx(c[b+536>>2]|0,i,1662184,1704512,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+80|0;h[m>>3]=k;return}function kk(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;ag(d,c[a+536>>2]|0,+h[f+80>>3],+h[f+400>>3],+h[f+280>>3],+h[f+448>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+40>>3]=+h[d>>3];i=b;return}function lk(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+672>>3]*+h[g+408>>3]*+h[d+616>>3];j=+h[g+72>>3];if(i!=0.0){k=j/i;l=g;m=l+88|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+88|0;h[m>>3]=k;return}n=j/+Lx(c[b+536>>2]|0,i,1660736,1704504,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+88|0;h[m>>3]=k;return}function mk(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;ag(d,c[a+536>>2]|0,+h[f+88>>3],+h[f+408>>3],+h[f+288>>3],+h[f+456>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+48>>3]=+h[d>>3];i=b;return}function nk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+192>>3]=+h[b+200>>3]*+h[(c[a+416>>2]|0)+384>>3];return}function ok(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+432>>3]*+h[g+432>>3]*+h[d+376>>3];j=+h[g+200>>3];if(i!=0.0){k=j/i;l=g;m=l+216|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+216|0;h[m>>3]=k;return}n=j/+Lx(c[b+536>>2]|0,i,1659944,1704496,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+216|0;h[m>>3]=k;return}function pk(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;ag(d,c[a+536>>2]|0,+h[f+216>>3],+h[f+432>>3],+h[f+304>>3],+h[f+480>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+168>>3]=+h[d>>3];i=b;return}function qk(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+432>>3]*+h[g+424>>3]*+h[d+376>>3];j=+h[g+200>>3];if(i!=0.0){k=j/i;l=g;m=l+208|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+208|0;h[m>>3]=k;return}n=j/+Lx(c[b+536>>2]|0,i,1659048,1704488,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+208|0;h[m>>3]=k;return}function rk(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+688>>3];i=+h[f+648>>3];j=+h[f+696>>3];if(i!=0.0){k=j/i;l=f;m=g-k;n=l+680|0;h[n>>3]=m;return}if(j==0.0){k=j;l=f;m=g-k;n=l+680|0;h[n>>3]=m;return}o=j/+Lx(c[b+536>>2]|0,i,1658216,1704480,+h[e>>3],(a[b+319|0]|0)!=0|0);k=o;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=g-k;n=l+680|0;h[n>>3]=m;return}function sk(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[c[g>>2]>>2]|0;j=c[a+8>>2]|0;nh(d,c[f>>2]|0,+h[j+696>>3],+h[j+688>>3],c[(c[a+12>>2]|0)+16>>2]|0,0);a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;th(e,c[f>>2]|0,+h[a+696>>3],+h[a+688>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+272>>3]=+h[e>>3];i=b;return}function tk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+656>>3]=+h[b+272>>3]+ -273.15;return}function uk(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;ag(d,c[a+536>>2]|0,+h[f+208>>3],+h[f+424>>3],+h[f+296>>3],+h[f+472>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+160>>3]=+h[d>>3];i=b;return}function vk(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0,n=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+256>>3]*+h[f+440>>3]*+h[(c[b+416>>2]|0)+488>>3];i=+h[f+248>>3]*+h[f+264>>3];j=g*g;if(i!=0.0){k=j/i;l=f;m=k*.6168502750680849;n=l+128|0;h[n>>3]=m;return}if(j==0.0){k=j;l=f;m=k*.6168502750680849;n=l+128|0;h[n>>3]=m;return}g=j/+Lx(c[b+536>>2]|0,i,1657112,1704472,+h[e>>3],(a[b+319|0]|0)!=0|0);k=g;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=k*.6168502750680849;n=l+128|0;h[n>>3]=m;return}function wk(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+136>>3]=+h[b+464>>3]*(+h[d+472>>3]+ +h[d+480>>3])*+h[d+256>>3]*+h[b+488>>3]*.3926990816987241;return}function xk(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0.0;d=i;i=i+8|0;e=d|0;f=b+536|0;g=c[f>>2]|0;j=b+416|0;k=c[j>>2]|0;l=+h[k+464>>3];m=+h[k+504>>3];do{if(l!=0.0){n=m/l;o=k;p=l}else{if(m==0.0){n=m;o=k;p=l;break}q=m/+Lx(g,l,1655544,1704464,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);r=c[j>>2]|0;n=q;o=r;p=+h[r+464>>3]}}while(0);l=+h[o+552>>3];m=+h[o+560>>3];j=b+4|0;k=c[c[j>>2]>>2]|0;r=c[k+8>>2]|0;q=+h[r+176>>3];s=+h[r+440>>3];t=+h[o+400>>3];u=(t+t)*.5;t=+h[o+512>>3];do{if(p!=0.0){v=t/p;w=r}else{if(t==0.0){v=t;w=r;break}x=t/+Lx(c[f>>2]|0,p,1655544,1704464,+h[k>>3],(a[b+319|0]|0)!=0|0);v=x;w=c[(c[c[j>>2]>>2]|0)+8>>2]|0}}while(0);dg(e,g,n,l,l,m,m,q,s,u,v,+h[w+144>>3]);h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+520>>3]=+h[e>>3];i=d;return}function yk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+368>>3]=+h[b+304>>3];return}function zk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+360>>3]=+h[b+296>>3];return}function Ak(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+416>>3]=+h[b+360>>3];return}function Bk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+448>>3]=+h[b+416>>3];return}function Ck(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+480>>3]=+h[b+448>>3];return}function Dk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+472>>3]=+h[b+416>>3];return}function Ek(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+656>>3]=+h[b+360>>3];return}function Fk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+688>>3]=+h[b+656>>3];return}function Gk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+720>>3]=+h[b+688>>3];return}function Hk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+712>>3]=+h[b+656>>3];return}function Ik(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+120>>3]=+h[b+360>>3];return}function Jk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+152>>3]=+h[b+120>>3];return}function Kk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+184>>3]=+h[b+152>>3];return}function Lk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+80>>3]=+h[b+368>>3];return}function Mk(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;Qy(d,1,+h[(c[f>>2]|0)+8>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Yf(e,c[a+536>>2]|0,+h[g+184>>3],+h[g+80>>3],d,0);h[(c[f>>2]|0)+88>>3]=+h[e>>3];i=b;return}function Nk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+328>>3]=+h[b+352>>3]*100.0;return}function Ok(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+272>>3]=+h[b+248>>3];return}function Pk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+264>>3]=+h[b+320>>3];return}function Qk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+208>>3]=+h[b+304>>3];return}function Rk(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+20|0]=a[d+11|0]|0;return}function Sk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+128>>3]=+h[b+320>>3];return}function Tk(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1248>>3]=2.0e5;return}function Uk(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1240>>3]=2.0e5;return}function Vk(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1232>>3]=1.0e5;return}function Wk(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1224>>3]=1.0e5;return}function Xk(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+496>>3]=0.0;return}function Yk(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+488>>3]=0.0;return}function Zk(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+12>>2]=0;return}function _k(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+8>>2]=0;return}function $k(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1216>>3]=293.15;return}function al(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+464>>3]=0.0;return}function bl(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+4>>2]=0;return}function cl(a){a=a|0;c[c[(c[c[a+4>>2]>>2]|0)+12>>2]>>2]=0;return}function dl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1208>>3]=293.15;return}function el(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1200>>3]=293.15;return}function fl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1192>>3]=0.0;return}function gl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1184>>3]=0.0;return}function hl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1176>>3]=293.15;return}function il(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1160>>3]=0.0;return}function jl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1152>>3]=0.0;return}function kl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1144>>3]=1.0;return}function ll(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1136>>3]=1.0;return}function ml(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1128>>3]=2.0;return}function nl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1120>>3]=2.0;return}function ol(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;d=b|0;tg(d,c[a+536>>2]|0,1.0e5);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1112>>3]=+h[d>>3];i=b;return}function pl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1096>>3]=0.0;return}function ql(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1088>>3]=0.0;return}function rl(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;d=b|0;tg(d,c[a+536>>2]|0,1.0e5);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1080>>3]=+h[d>>3];i=b;return}function sl(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;d=b|0;tg(d,c[a+536>>2]|0,2.0e5);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1064>>3]=+h[d>>3];i=b;return}function tl(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;d=b|0;tg(d,c[a+536>>2]|0,2.0e5);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1048>>3]=+h[d>>3];i=b;return}function ul(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1e3>>3]=0.0;return}function vl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+384>>3]=1.0;return}function wl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+376>>3]=1.0;return}function xl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+976>>3]=461.5236365065454;return}function yl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+968>>3]=.018015268;return}function zl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+368>>3]=1.0;return}function Al(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+360>>3]=1.0;return}function Bl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+960>>3]=461.5236365065454;return}function Cl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+952>>3]=.018015268;return}function Dl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+352>>3]=1.0;return}function El(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+344>>3]=1.0;return}function Fl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+944>>3]=461.5236365065454;return}function Gl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+936>>3]=.018015268;return}function Hl(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+28>>2]=0;return}function Il(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+24>>2]=0;return}function Jl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+928>>3]=0.0;return}function Kl(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+20>>2]=0;return}function Ll(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+336>>3]=0.0;return}function Ml(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+328>>3]=1.0;return}function Nl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+920>>3]=461.5236365065454;return}function Ol(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+912>>3]=.018015268;return}function Pl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+320>>3]=1.0;return}function Ql(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+312>>3]=1.0;return}function Rl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+904>>3]=461.5236365065454;return}function Sl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+896>>3]=.018015268;return}function Tl(b){b=b|0;var c=0;c=b+314|0;a[c]=1;Ji(b);Ki(b);Li(b);Mi(b);Ni(b);Oi(b);Pi(b);Qi(b);Ri(b);Si(b);Ti(b);Ui(b);Vi(b);Wi(b);Xi(b);Yi(b);Zi(b);_i(b);$i(b);aj(b);bj(b);cj(b);dj(b);ej(b);fj(b);gj(b);hj(b);ij(b);jj(b);kj(b);lj(b);mj(b);nj(b);oj(b);pj(b);qj(b);rj(b);sj(b);tj(b);uj(b);vj(b);wj(b);xj(b);yj(b);zj(b);Aj(b);Bj(b);Cj(b);Dj(b);Ej(b);Fj(b);Gj(b);Hj(b);Ij(b);Jj(b);Kj(b);Lj(b);Mj(b);Nj(b);Oj(b);Pj(b);Qj(b);Rj(b);Sj(b);Tj(b);Uj(b);Vj(b);Wj(b);Xj(b);Yj(b);Zj(b);_j(b);$j(b);ak(b);bk(b);ck(b);dk(b);ek(b);fk(b);gk(b);hk(b);ik(b);jk(b);kk(b);lk(b);mk(b);nk(b);ok(b);pk(b);qk(b);rk(b);sk(b);tk(b);uk(b);vk(b);wk(b);xk(b);yk(b);zk(b);Ak(b);Bk(b);Ck(b);Dk(b);Ek(b);Fk(b);Gk(b);Hk(b);Ik(b);Jk(b);Kk(b);Lk(b);Mk(b);Nk(b);Ok(b);Pk(b);Qk(b);Rk(b);Sk(b);Tk(b);Uk(b);Vk(b);Wk(b);Xk(b);Yk(b);Zk(b);_k(b);$k(b);al(b);bl(b);cl(b);dl(b);el(b);fl(b);gl(b);hl(b);il(b);jl(b);kl(b);ll(b);ml(b);nl(b);ol(b);pl(b);ql(b);rl(b);sl(b);tl(b);ul(b);vl(b);wl(b);xl(b);yl(b);zl(b);Al(b);Bl(b);Cl(b);Dl(b);El(b);Fl(b);Gl(b);Hl(b);Il(b);Jl(b);Kl(b);Ll(b);Ml(b);Nl(b);Ol(b);Pl(b);Ql(b);Rl(b);Sl(b);a[c]=0;return 0}function Ul(a){a=a|0;return}function Vl(a){a=a|0;return 0}function Wl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+32>>3]=+h[b+712>>3]- +h[b+720>>3];return}function Xl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+152>>3]=+h[b+472>>3]- +h[b+480>>3];return}function Yl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+544>>3]=+h[(c[a+416>>2]|0)+272>>3];return}function Zl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+552>>3]=+h[(c[a+416>>2]|0)+272>>3];return}function _l(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+560>>3]=+h[(c[a+416>>2]|0)+232>>3];return}function $l(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+600>>3]=+h[(c[a+416>>2]|0)+264>>3];return}function am(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+632>>3]=+h[(c[a+416>>2]|0)+64>>3];return}function bm(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+272>>3]=+h[(c[a+416>>2]|0)+80>>3];return}function cm(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+688>>3]=+h[(c[a+416>>2]|0)+88>>3];return}function dm(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+696>>3]=+h[(c[a+416>>2]|0)+152>>3];return}function em(b){b=b|0;var d=0,e=0.0,f=0.0,g=0.0;d=c[b+416>>2]|0;e=+(c[(c[b+420>>2]|0)+8>>2]|0)*+h[d+144>>3];f=+h[d+128>>3];do{if(e!=0.0){g=f/e}else{if(f==0.0){g=f;break}g=f/+Lx(c[b+536>>2]|0,e,1650912,1704144,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+704>>3]=g;return}function fm(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+728>>3]=+h[(c[a+416>>2]|0)+128>>3];return}function gm(a){a=a|0;var b=0,d=0,e=0,f=0.0,g=0;b=i;Fx(9,1,1672184,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;if((c[426539]|0)!=0){Wd[c[3794]&511](9)}Fx(9,1,1655032,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;if((c[426539]|0)!=0){Wd[c[3794]&511](9)}Fx(9,1,1644080,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;if((c[426539]|0)!=0){Wd[c[3794]&511](9)}Wl(a);Xl(a);Yl(a);Zl(a);_l(a);$l(a);am(a);bm(a);cm(a);dm(a);em(a);fm(a);Fx(9,1,1633912,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a+4|0;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+32>>3];g=a+8|0;a=c[g>>2]|0;h[a+544>>3]=f;Fx(9,0,42072,(d=i,i=i+16|0,c[d>>2]=c[a+452>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+152>>3];a=c[g>>2]|0;h[a+2224>>3]=f;Fx(9,0,42072,(d=i,i=i+16|0,c[d>>2]=c[a+2132>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+544>>3];a=c[g>>2]|0;h[a+7712>>3]=f;Fx(9,0,42072,(d=i,i=i+16|0,c[d>>2]=c[a+7620>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+552>>3];a=c[g>>2]|0;h[a+7824>>3]=f;Fx(9,0,42072,(d=i,i=i+16|0,c[d>>2]=c[a+7732>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+560>>3];a=c[g>>2]|0;h[a+7936>>3]=f;Fx(9,0,42072,(d=i,i=i+16|0,c[d>>2]=c[a+7844>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+600>>3];a=c[g>>2]|0;h[a+8496>>3]=f;Fx(9,0,42072,(d=i,i=i+16|0,c[d>>2]=c[a+8404>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+632>>3];a=c[g>>2]|0;h[a+8944>>3]=f;Fx(9,0,42072,(d=i,i=i+16|0,c[d>>2]=c[a+8852>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+272>>3];a=c[g>>2]|0;h[a+3904>>3]=f;Fx(9,0,42072,(d=i,i=i+16|0,c[d>>2]=c[a+3812>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+688>>3];a=c[g>>2]|0;h[a+9728>>3]=f;Fx(9,0,42072,(d=i,i=i+16|0,c[d>>2]=c[a+9636>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+696>>3];a=c[g>>2]|0;h[a+9840>>3]=f;Fx(9,0,42072,(d=i,i=i+16|0,c[d>>2]=c[a+9748>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+704>>3];a=c[g>>2]|0;h[a+9952>>3]=f;Fx(9,0,42072,(d=i,i=i+16|0,c[d>>2]=c[a+9860>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+728>>3];e=c[g>>2]|0;h[e+10288>>3]=f;Fx(9,0,42072,(d=i,i=i+16|0,c[d>>2]=c[e+10196>>2],h[d+8>>3]=f,d)|0);i=d;if((c[426539]|0)==0){i=b;return 0}Wd[c[3794]&511](9);i=b;return 0}function hm(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+896>>3]=.018015268;return}function im(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+904>>3]=461.5236365065454;return}function jm(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+312>>3]=1.0;return}function km(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+320>>3]=1.0;return}function lm(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+912>>3]=.018015268;return}function mm(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+920>>3]=461.5236365065454;return}function nm(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+328>>3]=1.0;return}function om(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+336>>3]=0.0;return}function pm(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+20>>2]=0;return}function qm(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+928>>3]=0.0;return}function rm(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+24>>2]=0;return}function sm(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+28>>2]=0;return}function tm(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+936>>3]=.018015268;return}function um(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+944>>3]=461.5236365065454;return}function vm(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+344>>3]=1.0;return}function wm(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+352>>3]=1.0;return}function xm(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+952>>3]=.018015268;return}function ym(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+960>>3]=461.5236365065454;return}function zm(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+360>>3]=1.0;return}function Am(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+368>>3]=1.0;return}function Bm(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+968>>3]=.018015268;return}function Cm(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+976>>3]=461.5236365065454;return}function Dm(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+376>>3]=1.0;return}function Em(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+384>>3]=1.0;return}function Fm(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1e3>>3]=0.0;return}function Gm(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;vh(d,c[f>>2]|0,2.0e5,293.15,0);uh(e,c[f>>2]|0,2.0e5,293.15,d|0);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1040>>3]=+h[e>>3];i=b;return}function Hm(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;i=i+224|0;d=b|0;e=b+104|0;f=b+208|0;g=b+216|0;j=a+536|0;Lg(d,c[j>>2]|0,2.0e5);eh(f,c[j>>2]|0,2.0e5,d|0);d=a+4|0;a=pB(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1040>>3],+h[f>>3])|0;bh(e,c[j>>2]|0,2.0e5);eh(g,c[j>>2]|0,2.0e5,e|0);e=rB(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1040>>3],+h[g>>3])|0;if(!(a<<24>>24==0)){k=1;l=c[d>>2]|0;m=c[l>>2]|0;n=m+12|0;o=c[n>>2]|0;p=o+44|0;c[p>>2]=k;i=b;return}k=e<<24>>24!=0?1:2;l=c[d>>2]|0;m=c[l>>2]|0;n=m+12|0;o=c[n>>2]|0;p=o+44|0;c[p>>2]=k;i=b;return}function Im(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+1024>>3]=+h[b+1040>>3]+ +h[d+312>>3]*+h[d+648>>3];return}function Jm(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;nh(d,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1040>>3],0,0);xh(e,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1040>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+408>>3]=+h[e>>3];i=b;return}function Km(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;nh(d,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1040>>3],0,0);th(e,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1040>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+392>>3]=+h[e>>3];i=b;return}function Lm(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;sh(d,c[a+536>>2]|0,+h[f+408>>3],+h[f+392>>3],2.0e5,0);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+288>>3]=+h[d>>3];i=b;return}function Mm(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[c[g>>2]>>2]|0;nh(d,c[f>>2]|0,2.0e5,+h[(c[a+8>>2]|0)+1040>>3],c[(c[a+12>>2]|0)+44>>2]|0,0);th(e,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1040>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+888>>3]=+h[e>>3];i=b;return}function Nm(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+792>>3]=+h[b+888>>3]+ -273.15;return}function Om(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[c[g>>2]>>2]|0;nh(d,c[f>>2]|0,2.0e5,+h[(c[a+8>>2]|0)+1040>>3],c[(c[a+12>>2]|0)+44>>2]|0,0);xh(e,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1040>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+880>>3]=+h[e>>3];i=b;return}function Pm(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1040>>3];i=+h[f+880>>3];if(i!=0.0){j=i;k=f;l=-2.0e5/j;m=g+l;n=k+872|0;h[n>>3]=m;return}o=+Lx(c[b+536>>2]|0,i,37056,1704136,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-2.0e5/j;m=g+l;n=k+872|0;h[n>>3]=m;return}function Qm(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;d=b|0;tg(d,c[a+536>>2]|0,2.0e5);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1048>>3]=+h[d>>3];i=b;return}function Rm(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;vh(d,c[f>>2]|0,2.0e5,293.15,0);uh(e,c[f>>2]|0,2.0e5,293.15,d|0);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1056>>3]=+h[e>>3];i=b;return}function Sm(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+1032>>3]=+h[b+1056>>3]+ +h[d+312>>3]*+h[d+408>>3];return}function Tm(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;nh(d,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1056>>3],0,0);xh(e,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1056>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+432>>3]=+h[e>>3];i=b;return}function Um(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;nh(d,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1056>>3],0,0);th(e,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1056>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+416>>3]=+h[e>>3];i=b;return}function Vm(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;sh(d,c[a+536>>2]|0,+h[f+432>>3],+h[f+416>>3],2.0e5,0);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+304>>3]=+h[d>>3];i=b;return}function Wm(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;i=i+224|0;d=b|0;e=b+104|0;f=b+208|0;g=b+216|0;j=a+536|0;Lg(d,c[j>>2]|0,2.0e5);eh(f,c[j>>2]|0,2.0e5,d|0);d=a+4|0;a=pB(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1056>>3],+h[f>>3])|0;bh(e,c[j>>2]|0,2.0e5);eh(g,c[j>>2]|0,2.0e5,e|0);e=rB(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1056>>3],+h[g>>3])|0;if(!(a<<24>>24==0)){k=1;l=c[d>>2]|0;m=c[l>>2]|0;n=m+12|0;o=c[n>>2]|0;p=o+40|0;c[p>>2]=k;i=b;return}k=e<<24>>24!=0?1:2;l=c[d>>2]|0;m=c[l>>2]|0;n=m+12|0;o=c[n>>2]|0;p=o+40|0;c[p>>2]=k;i=b;return}function Xm(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[c[g>>2]>>2]|0;nh(d,c[f>>2]|0,2.0e5,+h[(c[a+8>>2]|0)+1056>>3],c[(c[a+12>>2]|0)+40>>2]|0,0);th(e,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1056>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+864>>3]=+h[e>>3];i=b;return}function Ym(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+784>>3]=+h[b+864>>3]+ -273.15;return}function Zm(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[c[g>>2]>>2]|0;nh(d,c[f>>2]|0,2.0e5,+h[(c[a+8>>2]|0)+1056>>3],c[(c[a+12>>2]|0)+40>>2]|0,0);xh(e,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1056>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+856>>3]=+h[e>>3];i=b;return}function _m(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1056>>3];i=+h[f+856>>3];if(i!=0.0){j=i;k=f;l=-2.0e5/j;m=g+l;n=k+848|0;h[n>>3]=m;return}o=+Lx(c[b+536>>2]|0,i,32504,1704128,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-2.0e5/j;m=g+l;n=k+848|0;h[n>>3]=m;return}function $m(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;d=b|0;tg(d,c[a+536>>2]|0,2.0e5);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1064>>3]=+h[d>>3];i=b;return}function an(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;vh(d,c[f>>2]|0,1.0e5,293.15,0);uh(e,c[f>>2]|0,1.0e5,293.15,d|0);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1072>>3]=+h[e>>3];i=b;return}function bn(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;i=i+224|0;d=b|0;e=b+104|0;f=b+208|0;g=b+216|0;j=a+536|0;Lg(d,c[j>>2]|0,1.0e5);eh(f,c[j>>2]|0,1.0e5,d|0);d=a+4|0;a=pB(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1072>>3],+h[f>>3])|0;bh(e,c[j>>2]|0,1.0e5);eh(g,c[j>>2]|0,1.0e5,e|0);e=rB(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1072>>3],+h[g>>3])|0;if(!(a<<24>>24==0)){k=1;l=c[d>>2]|0;m=c[l>>2]|0;n=m+12|0;o=c[n>>2]|0;p=o+36|0;c[p>>2]=k;i=b;return}k=e<<24>>24!=0?1:2;l=c[d>>2]|0;m=c[l>>2]|0;n=m+12|0;o=c[n>>2]|0;p=o+36|0;c[p>>2]=k;i=b;return}function cn(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;nh(d,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1072>>3],0,0);xh(e,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1072>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1016>>3]=+h[e>>3];i=b;return}function dn(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;nh(d,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1072>>3],0,0);th(e,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1072>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1008>>3]=+h[e>>3];i=b;return}function en(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[c[g>>2]>>2]|0;nh(d,c[f>>2]|0,1.0e5,+h[(c[a+8>>2]|0)+1072>>3],c[(c[a+12>>2]|0)+36>>2]|0,0);th(e,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1072>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+840>>3]=+h[e>>3];i=b;return}function fn(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+776>>3]=+h[b+840>>3]+ -273.15;return}function gn(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[c[g>>2]>>2]|0;nh(d,c[f>>2]|0,1.0e5,+h[(c[a+8>>2]|0)+1072>>3],c[(c[a+12>>2]|0)+36>>2]|0,0);xh(e,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1072>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+832>>3]=+h[e>>3];i=b;return}function hn(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1072>>3];i=+h[f+832>>3];if(i!=0.0){j=i;k=f;l=-1.0e5/j;m=g+l;n=k+824|0;h[n>>3]=m;return}o=+Lx(c[b+536>>2]|0,i,28376,1704120,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-1.0e5/j;m=g+l;n=k+824|0;h[n>>3]=m;return}function jn(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;d=b|0;tg(d,c[a+536>>2]|0,1.0e5);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1080>>3]=+h[d>>3];i=b;return}function kn(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1088>>3]=0.0;return}function ln(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1096>>3]=0.0;return}function mn(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;vh(d,c[f>>2]|0,1.0e5,293.15,0);uh(e,c[f>>2]|0,1.0e5,293.15,d|0);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1104>>3]=+h[e>>3];i=b;return}function nn(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;nh(d,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1104>>3],0,0);xh(e,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1104>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+992>>3]=+h[e>>3];i=b;return}function on(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;nh(d,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1104>>3],0,0);th(e,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1104>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+984>>3]=+h[e>>3];i=b;return}function pn(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;i=i+224|0;d=b|0;e=b+104|0;f=b+208|0;g=b+216|0;j=a+536|0;Lg(d,c[j>>2]|0,1.0e5);eh(f,c[j>>2]|0,1.0e5,d|0);d=a+4|0;a=pB(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1104>>3],+h[f>>3])|0;bh(e,c[j>>2]|0,1.0e5);eh(g,c[j>>2]|0,1.0e5,e|0);e=rB(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1104>>3],+h[g>>3])|0;if(!(a<<24>>24==0)){k=1;l=c[d>>2]|0;m=c[l>>2]|0;n=m+12|0;o=c[n>>2]|0;p=o+32|0;c[p>>2]=k;i=b;return}k=e<<24>>24!=0?1:2;l=c[d>>2]|0;m=c[l>>2]|0;n=m+12|0;o=c[n>>2]|0;p=o+32|0;c[p>>2]=k;i=b;return}function qn(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[c[g>>2]>>2]|0;nh(d,c[f>>2]|0,1.0e5,+h[(c[a+8>>2]|0)+1104>>3],c[(c[a+12>>2]|0)+32>>2]|0,0);th(e,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1104>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+816>>3]=+h[e>>3];i=b;return}function rn(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+768>>3]=+h[b+816>>3]+ -273.15;return}function sn(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[c[g>>2]>>2]|0;nh(d,c[f>>2]|0,1.0e5,+h[(c[a+8>>2]|0)+1104>>3],c[(c[a+12>>2]|0)+32>>2]|0,0);xh(e,c[f>>2]|0,1.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1104>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+808>>3]=+h[e>>3];i=b;return}function tn(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1104>>3];i=+h[f+808>>3];if(i!=0.0){j=i;k=f;l=-1.0e5/j;m=g+l;n=k+800|0;h[n>>3]=m;return}o=+Lx(c[b+536>>2]|0,i,24360,1704112,+h[e>>3],(a[b+319|0]|0)!=0|0);j=o;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=-1.0e5/j;m=g+l;n=k+800|0;h[n>>3]=m;return}function un(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;d=b|0;tg(d,c[a+536>>2]|0,1.0e5);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1112>>3]=+h[d>>3];i=b;return}function vn(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1120>>3]=2.0;return}function wn(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1128>>3]=2.0;return}function xn(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1136>>3]=1.0;return}function yn(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1144>>3]=1.0;return}function zn(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1152>>3]=0.0;return}function An(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1160>>3]=0.0;return}function Bn(a){a=a|0;var b=0.0;b=+h[(c[a+416>>2]|0)+224>>3];h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1168>>3]=b*b*.7853981633974483;return}function Cn(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1176>>3]=293.15;return}function Dn(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1184>>3]=0.0;return}function En(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1192>>3]=0.0;return}function Fn(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1200>>3]=293.15;return}function Gn(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1208>>3]=293.15;return}function Hn(a){a=a|0;c[c[(c[c[a+4>>2]>>2]|0)+12>>2]>>2]=0;return}function In(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+4>>2]=0;return}function Jn(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+464>>3]=0.0;return}function Kn(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1216>>3]=293.15;return}function Ln(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+8>>2]=0;return}function Mn(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+12>>2]=0;return}function Nn(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+488>>3]=0.0;return}function On(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+496>>3]=0.0;return}function Pn(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1224>>3]=1.0e5;return}function Qn(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1232>>3]=1.0e5;return}function Rn(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1240>>3]=2.0e5;return}function Sn(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1248>>3]=2.0e5;return}function Tn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+128>>3]=+h[b+320>>3];return}function Un(b){b=b|0;var d=0;d=c[b+424>>2]|0;a[d+20|0]=a[d+11|0]|0;return}function Vn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+208>>3]=+h[b+304>>3];return}function Wn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+216>>3]=+h[b+352>>3];return}function Xn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+256>>3]=+h[b+344>>3];return}function Yn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+264>>3]=+h[b+320>>3];return}function Zn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+272>>3]=+h[b+248>>3];return}function _n(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+328>>3]=+h[b+352>>3]*100.0;return}function $n(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+360>>3]=+h[b+296>>3];return}function ao(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+120>>3]=+h[b+360>>3];return}function bo(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+152>>3]=+h[b+120>>3];return}function co(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+184>>3]=+h[b+152>>3];return}function eo(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+368>>3]=+h[b+304>>3];return}function fo(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+80>>3]=+h[b+368>>3];return}function go(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+24|0;d=b|0;e=b+16|0;f=a+416|0;Qy(d,1,+h[(c[f>>2]|0)+8>>3],(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=c[f>>2]|0;Yf(e,c[a+536>>2]|0,+h[g+184>>3],+h[g+80>>3],d,0);h[(c[f>>2]|0)+88>>3]=+h[e>>3];i=b;return}function ho(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+416>>3]=+h[b+360>>3];return}function io(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+392>>3];h[b+432>>3]=d*d*.7853981633974483;return}function jo(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+440>>3]=+h[b+392>>3]*3.141592653589793;return}function ko(b){b=b|0;var d=0,e=0.0,f=0.0,g=0.0;d=c[b+416>>2]|0;e=+h[d+440>>3];f=+h[d+432>>3];do{if(e!=0.0){g=f/e}else{if(f==0.0){g=f;break}g=f/+Lx(c[b+536>>2]|0,e,1681528,1704104,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+480>>3]=g*4.0;return}function lo(b){b=b|0;var d=0,e=0.0,f=0.0,g=0.0;d=c[b+416>>2]|0;e=+h[d+440>>3];f=+h[d+432>>3];do{if(e!=0.0){g=f/e}else{if(f==0.0){g=f;break}g=f/+Lx(c[b+536>>2]|0,e,1681528,1704096,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+472>>3]=g*4.0;return}function mo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+440>>3]=(+h[b+472>>3]+ +h[b+480>>3])*.5;return}function no(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+448>>3]=+h[b+416>>3];return}function oo(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+464>>3]=+h[b+376>>3];return}function po(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+472>>3]=+h[b+416>>3];return}function qo(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+480>>3]=+h[b+448>>3];return}function ro(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+512>>3]=+h[b+352>>3];return}function so(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+528>>3]=+h[b+40>>3];return}function to(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+536>>3]=+h[b+312>>3];return}function uo(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+656>>3]=+h[b+360>>3];return}function vo(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+632>>3];h[b+672>>3]=d*d*.7853981633974483;return}function wo(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+680>>3]=+h[b+632>>3]*3.141592653589793;return}function xo(b){b=b|0;var d=0,e=0.0,f=0.0,g=0.0;d=c[b+416>>2]|0;e=+h[d+680>>3];f=+h[d+672>>3];do{if(e!=0.0){g=f/e}else{if(f==0.0){g=f;break}g=f/+Lx(c[b+536>>2]|0,e,1677320,1704080,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+456>>3]=g*4.0;return}function yo(b){b=b|0;var d=0,e=0.0,f=0.0,g=0.0;d=c[b+416>>2]|0;e=+h[d+680>>3];f=+h[d+672>>3];do{if(e!=0.0){g=f/e}else{if(f==0.0){g=f;break}g=f/+Lx(c[b+536>>2]|0,e,1677320,1704072,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+448>>3]=g*4.0;return}function zo(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+688>>3]=+h[b+656>>3];return}function Ao(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+704>>3]=+h[b+616>>3];return}function Bo(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+712>>3]=+h[b+656>>3];return}function Co(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+720>>3]=+h[b+688>>3];return}function Do(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+752>>3]=+h[b+312>>3];return}function Eo(b){b=b|0;var d=0,e=0;d=i;if(a[1704064]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+32>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+32>>3],1.0)|0)<<24>>24==0)){i=d;return}b=uy(1669856,oy(+h[(c[e>>2]|0)+32>>3],1673472)|0)|0;me[c[2166]&15](1702112,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1704064]=1;i=d;return}function Fo(b){b=b|0;var d=0,e=0;d=i;if(a[1704056]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+792>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+792>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(1664600,oy(+h[(c[e>>2]|0)+792>>3],1673472)|0)|0;me[c[2166]&15](1702080,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1704056]=1;i=d;return}function Go(b){b=b|0;var d=0,e=0;d=i;if(a[1704048]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+784>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+784>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(1662008,oy(+h[(c[e>>2]|0)+784>>3],1673472)|0)|0;me[c[2166]&15](1702048,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1704048]=1;i=d;return}function Ho(b){b=b|0;var d=0,e=0;d=i;if(a[1704040]|0){i=d;return}e=b+420|0;b=sB(+(c[(c[e>>2]|0)+100>>2]|0),1.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[e>>2]|0)+100>>2]|0),3.0)|0)<<24>>24==0)){i=d;return}b=uy(1659720,qy(c[(c[e>>2]|0)+100>>2]|0,1660728)|0)|0;me[c[2166]&15](1702016,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1704040]=1;i=d;return}function Io(b){b=b|0;var d=0,e=0;d=i;if(a[1704032]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+776>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(1658936,oy(+h[(c[e>>2]|0)+776>>3],1673472)|0)|0;me[c[2166]&15](1703824,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1704032]=1;i=d;return}function Jo(b){b=b|0;var d=0,e=0;d=i;if(a[1704024]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+768>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(1657e3,oy(+h[(c[e>>2]|0)+768>>3],1673472)|0)|0;me[c[2166]&15](1703792,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1704024]=1;i=d;return}function Ko(b){b=b|0;var d=0,e=0;d=i;if(a[1704016]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+760>>3],-1.0e5)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+760>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1655304,oy(+h[(c[e>>2]|0)+760>>3],1673472)|0)|0;me[c[2166]&15](1703760,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1704016]=1;i=d;return}function Lo(b){b=b|0;var d=0,e=0;d=i;if(a[1704008]|0){i=d;return}e=b+420|0;b=sB(+(c[(c[e>>2]|0)+92>>2]|0),1.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[e>>2]|0)+92>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=uy(1654168,qy(c[(c[e>>2]|0)+92>>2]|0,1660728)|0)|0;me[c[2166]&15](1703720,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1704008]=1;i=d;return}function Mo(b){b=b|0;var d=0,e=0;d=i;if(a[1703976]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+736>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(1653168,oy(+h[(c[e>>2]|0)+736>>3],1673472)|0)|0;me[c[2166]&15](1703984,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703976]=1;i=d;return}function No(b){b=b|0;var d=0,e=0;d=i;if(a[1703968]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+720>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+720>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(1652056,oy(+h[(c[e>>2]|0)+720>>3],1673472)|0)|0;me[c[2166]&15](1703592,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703968]=1;i=d;return}function Oo(b){b=b|0;var d=0,e=0;d=i;if(a[1703960]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+712>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+712>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(1650960,oy(+h[(c[e>>2]|0)+712>>3],1673472)|0)|0;me[c[2166]&15](1703560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703960]=1;i=d;return}function Po(b){b=b|0;var d=0,e=0;d=i;if(a[1703952]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+688>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+688>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(1649744,oy(+h[(c[e>>2]|0)+688>>3],1673472)|0)|0;me[c[2166]&15](1703528,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703952]=1;i=d;return}function Qo(b){b=b|0;var d=0,e=0;d=i;if(a[1703944]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+664>>3],-1.0e5)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+664>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1648760,oy(+h[(c[e>>2]|0)+664>>3],1673472)|0)|0;me[c[2166]&15](1703496,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703944]=1;i=d;return}function Ro(b){b=b|0;var d=0,e=0;d=i;if(a[1703936]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+656>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+656>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(1647856,oy(+h[(c[e>>2]|0)+656>>3],1673472)|0)|0;me[c[2166]&15](1703464,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703936]=1;i=d;return}function So(b){b=b|0;var d=0,e=0;d=i;if(a[1703928]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+640>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(1646968,oy(+h[(c[e>>2]|0)+640>>3],1673472)|0)|0;me[c[2166]&15](1703432,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703928]=1;i=d;return}function To(b){b=b|0;var d=0,e=0;d=i;if(a[1703920]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+632>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(1645856,oy(+h[(c[e>>2]|0)+632>>3],1673472)|0)|0;me[c[2166]&15](1703400,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703920]=1;i=d;return}function Uo(b){b=b|0;var d=0,e=0;d=i;if(a[1703912]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+616>>3],1.0)|0)<<24>>24==0)){i=d;return}b=uy(1644352,oy(+h[(c[e>>2]|0)+616>>3],1673472)|0)|0;me[c[2166]&15](1703368,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703912]=1;i=d;return}function Vo(b){b=b|0;var d=0,e=0;d=i;if(a[1703880]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+592>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(1643448,oy(+h[(c[e>>2]|0)+592>>3],1673472)|0)|0;me[c[2166]&15](1703888,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703880]=1;i=d;return}function Wo(b){b=b|0;var d=0,e=0;d=i;if(a[1703872]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+24>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+24>>3],1.0)|0)<<24>>24==0)){i=d;return}b=uy(1641448,oy(+h[(c[e>>2]|0)+24>>3],1673472)|0)|0;me[c[2166]&15](1702112,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703872]=1;i=d;return}function Xo(b){b=b|0;var d=0,e=0;d=i;if(a[1703864]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+576>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+576>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(1640568,oy(+h[(c[e>>2]|0)+576>>3],1673472)|0)|0;me[c[2166]&15](1702080,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703864]=1;i=d;return}function Yo(b){b=b|0;var d=0,e=0;d=i;if(a[1703856]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+568>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+568>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(1639744,oy(+h[(c[e>>2]|0)+568>>3],1673472)|0)|0;me[c[2166]&15](1702048,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703856]=1;i=d;return}function Zo(b){b=b|0;var d=0,e=0;d=i;if(a[1703848]|0){i=d;return}e=b+420|0;b=sB(+(c[(c[e>>2]|0)+80>>2]|0),1.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[e>>2]|0)+80>>2]|0),3.0)|0)<<24>>24==0)){i=d;return}b=uy(1638880,qy(c[(c[e>>2]|0)+80>>2]|0,1660728)|0)|0;me[c[2166]&15](1702016,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703848]=1;i=d;return}function _o(b){b=b|0;var d=0,e=0;d=i;if(a[1703816]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+560>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(1638048,oy(+h[(c[e>>2]|0)+560>>3],1673472)|0)|0;me[c[2166]&15](1703824,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703816]=1;i=d;return}function $o(b){b=b|0;var d=0,e=0;d=i;if(a[1703784]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+552>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(1637128,oy(+h[(c[e>>2]|0)+552>>3],1673472)|0)|0;me[c[2166]&15](1703792,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703784]=1;i=d;return}function ap(b){b=b|0;var d=0,e=0;d=i;if(a[1703752]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+544>>3],-1.0e5)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+544>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1635864,oy(+h[(c[e>>2]|0)+544>>3],1673472)|0)|0;me[c[2166]&15](1703760,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703752]=1;i=d;return}function bp(b){b=b|0;var d=0,e=0;d=i;if(a[1703712]|0){i=d;return}e=b+420|0;b=sB(+(c[(c[e>>2]|0)+72>>2]|0),1.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[e>>2]|0)+72>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=uy(1634168,qy(c[(c[e>>2]|0)+72>>2]|0,1660728)|0)|0;me[c[2166]&15](1703720,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703712]=1;i=d;return}function cp(b){b=b|0;var d=0,e=0;d=i;if(a[1703680]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+528>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(1633456,oy(+h[(c[e>>2]|0)+528>>3],1673472)|0)|0;me[c[2166]&15](1703688,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703680]=1;i=d;return}function dp(b){b=b|0;var d=0,e=0;d=i;if(a[1703648]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+520>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(1632592,oy(+h[(c[e>>2]|0)+520>>3],1673472)|0)|0;me[c[2166]&15](1703656,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703648]=1;i=d;return}function ep(b){b=b|0;var d=0,e=0;d=i;if(a[1703616]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+496>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(1632008,oy(+h[(c[e>>2]|0)+496>>3],1673472)|0)|0;me[c[2166]&15](1703624,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703616]=1;i=d;return}function fp(b){b=b|0;var d=0,e=0;d=i;if(a[1703584]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+480>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+480>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(1631360,oy(+h[(c[e>>2]|0)+480>>3],1673472)|0)|0;me[c[2166]&15](1703592,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703584]=1;i=d;return}function gp(b){b=b|0;var d=0,e=0;d=i;if(a[1703552]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+472>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+472>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(1328584,oy(+h[(c[e>>2]|0)+472>>3],1673472)|0)|0;me[c[2166]&15](1703560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703552]=1;i=d;return}function hp(b){b=b|0;var d=0,e=0;d=i;if(a[1703520]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+448>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+448>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(44968,oy(+h[(c[e>>2]|0)+448>>3],1673472)|0)|0;me[c[2166]&15](1703528,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703520]=1;i=d;return}function ip(b){b=b|0;var d=0,e=0;d=i;if(a[1703488]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+424>>3],-1.0e5)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+424>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(44392,oy(+h[(c[e>>2]|0)+424>>3],1673472)|0)|0;me[c[2166]&15](1703496,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703488]=1;i=d;return}function jp(b){b=b|0;var d=0,e=0;d=i;if(a[1703456]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+416>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+416>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(43808,oy(+h[(c[e>>2]|0)+416>>3],1673472)|0)|0;me[c[2166]&15](1703464,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703456]=1;i=d;return}function kp(b){b=b|0;var d=0,e=0;d=i;if(a[1703424]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+400>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(43224,oy(+h[(c[e>>2]|0)+400>>3],1673472)|0)|0;me[c[2166]&15](1703432,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703424]=1;i=d;return}function lp(b){b=b|0;var d=0,e=0;d=i;if(a[1703392]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+392>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(42152,oy(+h[(c[e>>2]|0)+392>>3],1673472)|0)|0;me[c[2166]&15](1703400,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703392]=1;i=d;return}function mp(b){b=b|0;var d=0,e=0;d=i;if(a[1703360]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+376>>3],1.0)|0)<<24>>24==0)){i=d;return}b=uy(41760,oy(+h[(c[e>>2]|0)+376>>3],1673472)|0)|0;me[c[2166]&15](1703368,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703360]=1;i=d;return}function np(b){b=b|0;var d=0,e=0;d=i;if(a[1703328]|0){i=d;return}e=b+420|0;b=sB(+(c[(c[e>>2]|0)+60>>2]|0),1.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[e>>2]|0)+60>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=uy(41192,qy(c[(c[e>>2]|0)+60>>2]|0,1660728)|0)|0;me[c[2166]&15](1703336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703328]=1;i=d;return}function op(b){b=b|0;var d=0,e=0;d=i;if(a[1703296]|0){i=d;return}e=b+420|0;b=sB(+(c[(c[e>>2]|0)+56>>2]|0),1.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[e>>2]|0)+56>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=uy(40392,qy(c[(c[e>>2]|0)+56>>2]|0,1660728)|0)|0;me[c[2166]&15](1703304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703296]=1;i=d;return}function pp(b){b=b|0;var d=0,e=0;d=i;if(a[1703264]|0){i=d;return}e=b+420|0;b=sB(+(c[(c[e>>2]|0)+52>>2]|0),1.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[e>>2]|0)+52>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=uy(39776,qy(c[(c[e>>2]|0)+52>>2]|0,1660728)|0)|0;me[c[2166]&15](1703272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703264]=1;i=d;return}function qp(b){b=b|0;var d=0,e=0;d=i;if(a[1703232]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+368>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(39464,oy(+h[(c[e>>2]|0)+368>>3],1673472)|0)|0;me[c[2166]&15](1703240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703232]=1;i=d;return}function rp(b){b=b|0;var d=0,e=0;d=i;if(a[1703200]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+360>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(39056,oy(+h[(c[e>>2]|0)+360>>3],1673472)|0)|0;me[c[2166]&15](1703208,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703200]=1;i=d;return}function sp(b){b=b|0;var d=0,e=0;d=i;if(a[1703168]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+352>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(38736,oy(+h[(c[e>>2]|0)+352>>3],1673472)|0)|0;me[c[2166]&15](1703176,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703168]=1;i=d;return}function tp(b){b=b|0;var d=0,e=0;d=i;if(a[1703136]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+344>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(38160,oy(+h[(c[e>>2]|0)+344>>3],1673472)|0)|0;me[c[2166]&15](1703144,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703136]=1;i=d;return}function up(b){b=b|0;var d=0,e=0;d=i;if(a[1703104]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+336>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(37192,oy(+h[(c[e>>2]|0)+336>>3],1673472)|0)|0;me[c[2166]&15](1703112,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703104]=1;i=d;return}function vp(b){b=b|0;var d=0,e=0;d=i;if(a[1703072]|0){i=d;return}e=b+420|0;b=sB(+(c[(c[e>>2]|0)+48>>2]|0),1.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[e>>2]|0)+48>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=uy(36728,qy(c[(c[e>>2]|0)+48>>2]|0,1660728)|0)|0;me[c[2166]&15](1703080,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703072]=1;i=d;return}function wp(b){b=b|0;var d=0,e=0;d=i;if(a[1703040]|0){i=d;return}e=b+420|0;b=sB(+(c[(c[e>>2]|0)+44>>2]|0),1.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[e>>2]|0)+44>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=uy(36064,qy(c[(c[e>>2]|0)+44>>2]|0,1660728)|0)|0;me[c[2166]&15](1703048,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703040]=1;i=d;return}function xp(b){b=b|0;var d=0,e=0;d=i;if(a[1703008]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+304>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(35776,oy(+h[(c[e>>2]|0)+304>>3],1673472)|0)|0;me[c[2166]&15](1703016,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1703008]=1;i=d;return}function yp(b){b=b|0;var d=0,e=0;d=i;if(a[1702976]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+296>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(35352,oy(+h[(c[e>>2]|0)+296>>3],1673472)|0)|0;me[c[2166]&15](1702984,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702976]=1;i=d;return}function zp(b){b=b|0;var d=0,e=0;d=i;if(a[1702968]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+16>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+16>>3],1.0)|0)<<24>>24==0)){i=d;return}b=uy(35024,oy(+h[(c[e>>2]|0)+16>>3],1673472)|0)|0;me[c[2166]&15](1702112,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702968]=1;i=d;return}function Ap(b){b=b|0;var d=0,e=0;d=i;if(a[1702960]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+288>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+288>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(34648,oy(+h[(c[e>>2]|0)+288>>3],1673472)|0)|0;me[c[2166]&15](1702080,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702960]=1;i=d;return}function Bp(b){b=b|0;var d=0,e=0;d=i;if(a[1702952]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+280>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+280>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(34264,oy(+h[(c[e>>2]|0)+280>>3],1673472)|0)|0;me[c[2166]&15](1702048,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702952]=1;i=d;return}function Cp(b){b=b|0;var d=0,e=0;d=i;if(a[1702944]|0){i=d;return}e=b+420|0;b=sB(+(c[(c[e>>2]|0)+40>>2]|0),1.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[e>>2]|0)+40>>2]|0),3.0)|0)<<24>>24==0)){i=d;return}b=uy(33840,qy(c[(c[e>>2]|0)+40>>2]|0,1660728)|0)|0;me[c[2166]&15](1702016,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702944]=1;i=d;return}function Dp(b){b=b|0;var d=0,e=0;d=i;if(a[1702912]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+272>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+272>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(33360,oy(+h[(c[e>>2]|0)+272>>3],1673472)|0)|0;me[c[2166]&15](1702920,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702912]=1;i=d;return}function Ep(b){b=b|0;var d=0,e=0;d=i;if(a[1702880]|0){i=d;return}e=b+420|0;b=sB(+(c[(c[e>>2]|0)+32>>2]|0),1.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[e>>2]|0)+32>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=uy(32176,qy(c[(c[e>>2]|0)+32>>2]|0,1660728)|0)|0;me[c[2166]&15](1702888,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702880]=1;i=d;return}function Fp(b){b=b|0;var d=0,e=0;d=i;if(a[1702840]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+264>>3],-1.0e5)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+264>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(31664,oy(+h[(c[e>>2]|0)+264>>3],1673472)|0)|0;me[c[2166]&15](1702848,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702840]=1;i=d;return}function Gp(b){b=b|0;var d=0,e=0;d=i;if(a[1702808]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+256>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+256>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(31192,oy(+h[(c[e>>2]|0)+256>>3],1673472)|0)|0;me[c[2166]&15](1702816,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702808]=1;i=d;return}function Hp(b){b=b|0;var d=0,e=0;d=i;if(a[1702776]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+224>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(30256,oy(+h[(c[e>>2]|0)+224>>3],1673472)|0)|0;me[c[2166]&15](1702784,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702776]=1;i=d;return}function Ip(b){b=b|0;var d=0,e=0;d=i;if(a[1702744]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+216>>3],-1.0e5)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+216>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(29960,oy(+h[(c[e>>2]|0)+216>>3],1673472)|0)|0;me[c[2166]&15](1702752,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702744]=1;i=d;return}function Jp(b){b=b|0;var d=0,e=0;d=i;if(a[1702712]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+208>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(29656,oy(+h[(c[e>>2]|0)+208>>3],1673472)|0)|0;me[c[2166]&15](1702720,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702712]=1;i=d;return}function Kp(b){b=b|0;var d=0,e=0;d=i;if(a[1702680]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+192>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(29488,oy(+h[(c[e>>2]|0)+192>>3],1673472)|0)|0;me[c[2166]&15](1702688,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702680]=1;i=d;return}function Lp(b){b=b|0;var d=0,e=0;d=i;if(a[1702648]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+184>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+184>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(28408,oy(+h[(c[e>>2]|0)+184>>3],1673472)|0)|0;me[c[2166]&15](1702656,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702648]=1;i=d;return}function Mp(b){b=b|0;var d=0,e=0;d=i;if(a[1702616]|0){i=d;return}e=b+416|0;if(!((sB(+h[(c[e>>2]|0)+176>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(28160,oy(+h[(c[e>>2]|0)+176>>3],1673472)|0)|0;me[c[2166]&15](1702624,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702616]=1;i=d;return}function Np(b){b=b|0;var d=0,e=0;d=i;if(a[1702584]|0){i=d;return}e=b+420|0;b=sB(+(c[(c[e>>2]|0)+24>>2]|0),1.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[e>>2]|0)+24>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=uy(27872,qy(c[(c[e>>2]|0)+24>>2]|0,1660728)|0)|0;me[c[2166]&15](1702592,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702584]=1;i=d;return}function Op(b){b=b|0;var d=0,e=0;d=i;if(a[1702552]|0){i=d;return}e=b+420|0;b=sB(+(c[(c[e>>2]|0)+20>>2]|0),1.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[e>>2]|0)+20>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=uy(27560,qy(c[(c[e>>2]|0)+20>>2]|0,1660728)|0)|0;me[c[2166]&15](1702560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702552]=1;i=d;return}function Pp(b){b=b|0;var d=0,e=0;d=i;if(a[1702520]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+152>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+152>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(27264,oy(+h[(c[e>>2]|0)+152>>3],1673472)|0)|0;me[c[2166]&15](1702528,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702520]=1;i=d;return}function Qp(b){b=b|0;var d=0,e=0;d=i;if(a[1702488]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+8>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+8>>3],1.0)|0)<<24>>24==0)){i=d;return}b=uy(27e3,oy(+h[(c[e>>2]|0)+8>>3],1673472)|0)|0;me[c[2166]&15](1702496,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702488]=1;i=d;return}function Rp(b){b=b|0;var d=0,e=0;d=i;if(a[1702456]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+144>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+144>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(26672,oy(+h[(c[e>>2]|0)+144>>3],1673472)|0)|0;me[c[2166]&15](1702464,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702456]=1;i=d;return}function Sp(b){b=b|0;var d=0,e=0;d=i;if(a[1702424]|0){i=d;return}e=b+420|0;b=sB(+(c[(c[e>>2]|0)+16>>2]|0),1.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[e>>2]|0)+16>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=uy(26344,qy(c[(c[e>>2]|0)+16>>2]|0,1660728)|0)|0;me[c[2166]&15](1702432,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702424]=1;i=d;return}function Tp(b){b=b|0;var d=0,e=0;d=i;if(a[1702392]|0){i=d;return}e=b+420|0;b=sB(+(c[(c[e>>2]|0)+12>>2]|0),1.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[e>>2]|0)+12>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=uy(25920,qy(c[(c[e>>2]|0)+12>>2]|0,1660728)|0)|0;me[c[2166]&15](1702400,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702392]=1;i=d;return}function Up(b){b=b|0;var d=0,e=0;d=i;if(a[1702360]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+128>>3],-1.0e5)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+128>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(25400,oy(+h[(c[e>>2]|0)+128>>3],1673472)|0)|0;me[c[2166]&15](1702368,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702360]=1;i=d;return}function Vp(b){b=b|0;var d=0,e=0;d=i;if(a[1702328]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+120>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+120>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(24392,oy(+h[(c[e>>2]|0)+120>>3],1673472)|0)|0;me[c[2166]&15](1702336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702328]=1;i=d;return}function Wp(b){b=b|0;var d=0,e=0;d=i;if(a[1702296]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+112>>3],-1.0e5)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+112>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(24136,oy(+h[(c[e>>2]|0)+112>>3],1673472)|0)|0;me[c[2166]&15](1702304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702296]=1;i=d;return}function Xp(b){b=b|0;var d=0,e=0;d=i;if(a[1702264]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+104>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+104>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(23656,oy(+h[(c[e>>2]|0)+104>>3],1673472)|0)|0;me[c[2166]&15](1702272,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702264]=1;i=d;return}function Yp(b){b=b|0;var d=0,e=0;d=i;if(a[1702232]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+96>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+96>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(23432,oy(+h[(c[e>>2]|0)+96>>3],1673472)|0)|0;me[c[2166]&15](1702240,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702232]=1;i=d;return}function Zp(b){b=b|0;var d=0,e=0;d=i;if(a[1702200]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+88>>3],-1.0e10)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+88>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=uy(23224,oy(+h[(c[e>>2]|0)+88>>3],1673472)|0)|0;me[c[2166]&15](1702208,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702200]=1;i=d;return}function _p(b){b=b|0;var d=0,e=0;d=i;if(a[1702168]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+80>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+80>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(22896,oy(+h[(c[e>>2]|0)+80>>3],1673472)|0)|0;me[c[2166]&15](1702176,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702168]=1;i=d;return}function $p(b){b=b|0;var d=0,e=0;d=i;if(a[1702136]|0){i=d;return}e=b+420|0;if(!((sB(+(c[(c[e>>2]|0)+8>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=uy(22672,qy(c[(c[e>>2]|0)+8>>2]|0,1660728)|0)|0;me[c[2166]&15](1702144,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702136]=1;i=d;return}function aq(b){b=b|0;var d=0,e=0;d=i;if(a[1702104]|0){i=d;return}e=b+416|0;b=sB(+h[c[e>>2]>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[c[e>>2]>>3],1.0)|0)<<24>>24==0)){i=d;return}b=uy(22472,oy(+h[c[e>>2]>>3],1673472)|0)|0;me[c[2166]&15](1702112,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702104]=1;i=d;return}function bq(b){b=b|0;var d=0,e=0;d=i;if(a[1702072]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+56>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+56>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(1682824,oy(+h[(c[e>>2]|0)+56>>3],1673472)|0)|0;me[c[2166]&15](1702080,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702072]=1;i=d;return}function cq(b){b=b|0;var d=0,e=0;d=i;if(a[1702040]|0){i=d;return}e=b+416|0;b=sB(+h[(c[e>>2]|0)+48>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[e>>2]|0)+48>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(1682376,oy(+h[(c[e>>2]|0)+48>>3],1673472)|0)|0;me[c[2166]&15](1702048,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702040]=1;i=d;return}function dq(b){b=b|0;var d=0,e=0;d=i;if(a[1702008]|0){i=d;return}e=b+420|0;b=sB(+(c[(c[e>>2]|0)+4>>2]|0),1.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[e>>2]|0)+4>>2]|0),3.0)|0)<<24>>24==0)){i=d;return}b=uy(1681560,qy(c[(c[e>>2]|0)+4>>2]|0,1660728)|0)|0;me[c[2166]&15](1702016,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702008]=1;i=d;return}function eq(b){b=b|0;var d=0,e=0;d=i;if(a[1702e3]|0){i=d;return}e=b+4|0;b=sB(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+12>>2]|0),0.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+12>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=uy(1681136,qy(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+12>>2]|0,1660728)|0)|0;me[c[2166]&15](1701480,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1702e3]=1;i=d;return}function fq(b){b=b|0;var d=0,e=0;d=i;if(a[1701992]|0){i=d;return}e=b+4|0;b=sB(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+8>>2]|0),0.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+8>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=uy(1680400,qy(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+8>>2]|0,1660728)|0)|0;me[c[2166]&15](1701480,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701992]=1;i=d;return}function gq(b){b=b|0;var d=0,e=0;d=i;if(a[1701984]|0){i=d;return}e=b+4|0;b=sB(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+4>>2]|0),0.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+4>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=uy(1680056,qy(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+4>>2]|0,1660728)|0)|0;me[c[2166]&15](1701480,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701984]=1;i=d;return}function hq(b){b=b|0;var d=0,e=0;d=i;if(a[1701968]|0){i=d;return}e=b+4|0;b=sB(+(c[c[(c[c[e>>2]>>2]|0)+12>>2]>>2]|0),0.0)|0;if(!(b<<24>>24==0|(qB(+(c[c[(c[c[e>>2]>>2]|0)+12>>2]>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=uy(1679688,qy(c[c[(c[c[e>>2]>>2]|0)+12>>2]>>2]|0,1660728)|0)|0;me[c[2166]&15](1701480,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701968]=1;i=d;return}function iq(b){b=b|0;var d=0,e=0;d=i;if(a[1701960]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1112>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1112>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(1679432,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1112>>3],1673472)|0)|0;me[c[2166]&15](1701864,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701960]=1;i=d;return}function jq(b){b=b|0;var d=0,e=0;d=i;if(a[1701952]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1104>>3],-1.0e10)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1104>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=uy(1679088,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1104>>3],1673472)|0)|0;me[c[2166]&15](1701832,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701952]=1;i=d;return}function kq(b){b=b|0;var d=0,e=0;d=i;if(a[1701920]|0){i=d;return}e=b+4|0;if(!((sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1096>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(1678632,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1096>>3],1673472)|0)|0;me[c[2166]&15](1701928,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701920]=1;i=d;return}function lq(b){b=b|0;var d=0,e=0;d=i;if(a[1701912]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1080>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1080>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(1678072,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1080>>3],1673472)|0)|0;me[c[2166]&15](1701864,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701912]=1;i=d;return}function mq(b){b=b|0;var d=0,e=0;d=i;if(a[1701904]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1072>>3],-1.0e10)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1072>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=uy(1677464,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1072>>3],1673472)|0)|0;me[c[2166]&15](1701832,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701904]=1;i=d;return}function nq(b){b=b|0;var d=0,e=0;d=i;if(a[1701896]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1064>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1064>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(1677048,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1064>>3],1673472)|0)|0;me[c[2166]&15](1701864,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701896]=1;i=d;return}function oq(b){b=b|0;var d=0,e=0;d=i;if(a[1701888]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1056>>3],-1.0e10)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1056>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=uy(1676440,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1056>>3],1673472)|0)|0;me[c[2166]&15](1701832,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701888]=1;i=d;return}function pq(b){b=b|0;var d=0,e=0;d=i;if(a[1701856]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1048>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1048>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(1676184,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1048>>3],1673472)|0)|0;me[c[2166]&15](1701864,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701856]=1;i=d;return}function qq(b){b=b|0;var d=0,e=0;d=i;if(a[1701824]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1040>>3],-1.0e10)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1040>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=uy(1675968,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1040>>3],1673472)|0)|0;me[c[2166]&15](1701832,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701824]=1;i=d;return}function rq(b){b=b|0;var d=0,e=0;d=i;if(a[1701816]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1032>>3],-1.0e10)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1032>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=uy(1675528,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1032>>3],1673472)|0)|0;me[c[2166]&15](1701768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701816]=1;i=d;return}function sq(b){b=b|0;var d=0,e=0;d=i;if(a[1701808]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+432>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+432>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1675200,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+432>>3],1673472)|0)|0;me[c[2166]&15](1701736,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701808]=1;i=d;return}function tq(b){b=b|0;var d=0,e=0;d=i;if(a[1701800]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+416>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+416>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(1674856,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+416>>3],1673472)|0)|0;me[c[2166]&15](1701632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701800]=1;i=d;return}function uq(b){b=b|0;var d=0,e=0;d=i;if(a[1701792]|0){i=d;return}e=b+4|0;b=sB(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+44>>2]|0),0.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+44>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=uy(1674128,qy(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+44>>2]|0,1660728)|0)|0;me[c[2166]&15](1701600,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701792]=1;i=d;return}function vq(b){b=b|0;var d=0,e=0;d=i;if(a[1701760]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1024>>3],-1.0e10)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1024>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=uy(1673560,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1024>>3],1673472)|0)|0;me[c[2166]&15](1701768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701760]=1;i=d;return}function wq(b){b=b|0;var d=0,e=0;d=i;if(a[1701728]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+408>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+408>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1673152,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+408>>3],1673472)|0)|0;me[c[2166]&15](1701736,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701728]=1;i=d;return}function xq(b){b=b|0;var d=0,e=0;d=i;if(a[1701720]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+392>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+392>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(1672696,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+392>>3],1673472)|0)|0;me[c[2166]&15](1701632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701720]=1;i=d;return}function yq(b){b=b|0;var d=0,e=0;d=i;if(a[1701712]|0){i=d;return}e=b+4|0;b=sB(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+40>>2]|0),0.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+40>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=uy(1672488,qy(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+40>>2]|0,1660728)|0)|0;me[c[2166]&15](1701600,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701712]=1;i=d;return}function zq(b){b=b|0;var d=0,e=0;d=i;if(a[1701704]|0){i=d;return}e=b+4|0;b=sB(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+36>>2]|0),0.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+36>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=uy(1672208,qy(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+36>>2]|0,1660728)|0)|0;me[c[2166]&15](1701600,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701704]=1;i=d;return}function Aq(b){b=b|0;var d=0,e=0;d=i;if(a[1701696]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1016>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1016>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1672056,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1016>>3],1673472)|0)|0;me[c[2166]&15](1701664,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701696]=1;i=d;return}function Bq(b){b=b|0;var d=0,e=0;d=i;if(a[1701688]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1008>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1008>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(1671720,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1008>>3],1673472)|0)|0;me[c[2166]&15](1701632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701688]=1;i=d;return}function Cq(b){b=b|0;var d=0,e=0;d=i;if(a[1701656]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+992>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+992>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1671512,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+992>>3],1673472)|0)|0;me[c[2166]&15](1701664,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701656]=1;i=d;return}function Dq(b){b=b|0;var d=0,e=0;d=i;if(a[1701624]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+984>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+984>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(1671200,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+984>>3],1673472)|0)|0;me[c[2166]&15](1701632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701624]=1;i=d;return}function Eq(b){b=b|0;var d=0,e=0;d=i;if(a[1701592]|0){i=d;return}e=b+4|0;b=sB(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+32>>2]|0),0.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+32>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=uy(1670920,qy(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+32>>2]|0,1660728)|0)|0;me[c[2166]&15](1701600,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701592]=1;i=d;return}function Fq(b){b=b|0;var d=0,e=0;d=i;if(a[1701584]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+376>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+376>>3],1.0)|0)<<24>>24==0)){i=d;return}b=uy(1670080,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+376>>3],1673472)|0)|0;me[c[2166]&15](1701424,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701584]=1;i=d;return}function Gq(b){b=b|0;var d=0,e=0;d=i;if(a[1701576]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+976>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+976>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=uy(1669736,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+976>>3],1673472)|0)|0;me[c[2166]&15](1701392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701576]=1;i=d;return}function Hq(b){b=b|0;var d=0,e=0;d=i;if(a[1701568]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+968>>3],.001)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+968>>3],.25)|0)<<24>>24==0)){i=d;return}b=uy(1669552,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+968>>3],1673472)|0)|0;me[c[2166]&15](1701360,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701568]=1;i=d;return}function Iq(b){b=b|0;var d=0,e=0;d=i;if(a[1701560]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+360>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+360>>3],1.0)|0)<<24>>24==0)){i=d;return}b=uy(1669256,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+360>>3],1673472)|0)|0;me[c[2166]&15](1701424,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701560]=1;i=d;return}function Jq(b){b=b|0;var d=0,e=0;d=i;if(a[1701552]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+960>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+960>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=uy(1669032,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+960>>3],1673472)|0)|0;me[c[2166]&15](1701392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701552]=1;i=d;return}function Kq(b){b=b|0;var d=0,e=0;d=i;if(a[1701544]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+952>>3],.001)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+952>>3],.25)|0)<<24>>24==0)){i=d;return}b=uy(1668856,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+952>>3],1673472)|0)|0;me[c[2166]&15](1701360,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701544]=1;i=d;return}function Lq(b){b=b|0;var d=0,e=0;d=i;if(a[1701536]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+344>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+344>>3],1.0)|0)<<24>>24==0)){i=d;return}b=uy(1668608,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+344>>3],1673472)|0)|0;me[c[2166]&15](1701424,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701536]=1;i=d;return}function Mq(b){b=b|0;var d=0,e=0;d=i;if(a[1701528]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+944>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+944>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=uy(1668448,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+944>>3],1673472)|0)|0;me[c[2166]&15](1701392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701528]=1;i=d;return}function Nq(b){b=b|0;var d=0,e=0;d=i;if(a[1701520]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+936>>3],.001)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+936>>3],.25)|0)<<24>>24==0)){i=d;return}b=uy(1668104,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+936>>3],1673472)|0)|0;me[c[2166]&15](1701360,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701520]=1;i=d;return}function Oq(b){b=b|0;var d=0,e=0;d=i;if(a[1701512]|0){i=d;return}e=b+4|0;b=sB(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+28>>2]|0),0.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+28>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=uy(1667840,qy(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+28>>2]|0,1660728)|0)|0;me[c[2166]&15](1701480,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701512]=1;i=d;return}function Pq(b){b=b|0;var d=0,e=0;d=i;if(a[1701504]|0){i=d;return}e=b+4|0;b=sB(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+24>>2]|0),0.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+24>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=uy(1667288,qy(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+24>>2]|0,1660728)|0)|0;me[c[2166]&15](1701480,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701504]=1;i=d;return}function Qq(b){b=b|0;var d=0,e=0;d=i;if(a[1701472]|0){i=d;return}e=b+4|0;b=sB(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+20>>2]|0),0.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+20>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=uy(1666944,qy(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+20>>2]|0,1660728)|0)|0;me[c[2166]&15](1701480,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701472]=1;i=d;return}function Rq(b){b=b|0;var d=0,e=0;d=i;if(a[1701464]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+328>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+328>>3],1.0)|0)<<24>>24==0)){i=d;return}b=uy(1666752,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+328>>3],1673472)|0)|0;me[c[2166]&15](1701424,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701464]=1;i=d;return}function Sq(b){b=b|0;var d=0,e=0;d=i;if(a[1701456]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+920>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+920>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=uy(1666496,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+920>>3],1673472)|0)|0;me[c[2166]&15](1701392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701456]=1;i=d;return}function Tq(b){b=b|0;var d=0,e=0;d=i;if(a[1701448]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+912>>3],.001)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+912>>3],.25)|0)<<24>>24==0)){i=d;return}b=uy(1666352,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+912>>3],1673472)|0)|0;me[c[2166]&15](1701360,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701448]=1;i=d;return}function Uq(b){b=b|0;var d=0,e=0;d=i;if(a[1701416]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+312>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+312>>3],1.0)|0)<<24>>24==0)){i=d;return}b=uy(1666216,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+312>>3],1673472)|0)|0;me[c[2166]&15](1701424,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701416]=1;i=d;return}function Vq(b){b=b|0;var d=0,e=0;d=i;if(a[1701384]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+904>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+904>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=uy(1666032,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+904>>3],1673472)|0)|0;me[c[2166]&15](1701392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701384]=1;i=d;return}function Wq(b){b=b|0;var d=0,e=0;d=i;if(a[1701352]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+896>>3],.001)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+896>>3],.25)|0)<<24>>24==0)){i=d;return}b=uy(1665888,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+896>>3],1673472)|0)|0;me[c[2166]&15](1701360,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701352]=1;i=d;return}function Xq(b){b=b|0;var d=0,e=0;d=i;if(a[1701344]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+304>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+304>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(1665552,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+304>>3],1673472)|0)|0;me[c[2166]&15](1701296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701344]=1;i=d;return}function Yq(b){b=b|0;var d=0,e=0;d=i;if(a[1701336]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+888>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+888>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(1665432,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+888>>3],1673472)|0)|0;me[c[2166]&15](1701208,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701336]=1;i=d;return}function Zq(b){b=b|0;var d=0,e=0;d=i;if(a[1701328]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+880>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+880>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1664808,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+880>>3],1673472)|0)|0;me[c[2166]&15](1701176,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701328]=1;i=d;return}function _q(b){b=b|0;var d=0,e=0;d=i;if(a[1701320]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+872>>3],-1.0e8)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+872>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(1664440,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+872>>3],1673472)|0)|0;me[c[2166]&15](1701144,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701320]=1;i=d;return}function $q(b){b=b|0;var d=0,e=0;d=i;if(a[1701288]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+288>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+288>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(1664288,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+288>>3],1673472)|0)|0;me[c[2166]&15](1701296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701288]=1;i=d;return}function ar(b){b=b|0;var d=0,e=0;d=i;if(a[1701280]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+864>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+864>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(1663936,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+864>>3],1673472)|0)|0;me[c[2166]&15](1701208,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701280]=1;i=d;return}function br(b){b=b|0;var d=0,e=0;d=i;if(a[1701272]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+856>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+856>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1663800,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+856>>3],1673472)|0)|0;me[c[2166]&15](1701176,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701272]=1;i=d;return}function cr(b){b=b|0;var d=0,e=0;d=i;if(a[1701264]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+848>>3],-1.0e8)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+848>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(1663608,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+848>>3],1673472)|0)|0;me[c[2166]&15](1701144,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701264]=1;i=d;return}function dr(b){b=b|0;var d=0,e=0;d=i;if(a[1701248]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+840>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+840>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(1663296,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+840>>3],1673472)|0)|0;me[c[2166]&15](1701208,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701248]=1;i=d;return}function er(b){b=b|0;var d=0,e=0;d=i;if(a[1701240]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+832>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+832>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1663152,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+832>>3],1673472)|0)|0;me[c[2166]&15](1701176,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701240]=1;i=d;return}function fr(b){b=b|0;var d=0,e=0;d=i;if(a[1701232]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+824>>3],-1.0e8)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+824>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(1662856,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+824>>3],1673472)|0)|0;me[c[2166]&15](1701144,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701232]=1;i=d;return}function gr(b){b=b|0;var d=0,e=0;d=i;if(a[1701200]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+816>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+816>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(1662728,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+816>>3],1673472)|0)|0;me[c[2166]&15](1701208,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701200]=1;i=d;return}function hr(b){b=b|0;var d=0,e=0;d=i;if(a[1701168]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+808>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+808>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1662256,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+808>>3],1673472)|0)|0;me[c[2166]&15](1701176,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701168]=1;i=d;return}function ir(b){b=b|0;var d=0,e=0;d=i;if(a[1701136]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+800>>3],-1.0e8)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+800>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(1661872,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+800>>3],1673472)|0)|0;me[c[2166]&15](1701144,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701136]=1;i=d;return}function jr(a){a=a|0;hm(a);im(a);jm(a);km(a);lm(a);mm(a);nm(a);om(a);pm(a);qm(a);rm(a);sm(a);tm(a);um(a);vm(a);wm(a);xm(a);ym(a);zm(a);Am(a);Bm(a);Cm(a);Dm(a);Em(a);Fm(a);Gm(a);Hm(a);Im(a);Jm(a);Km(a);Lm(a);Mm(a);Nm(a);Om(a);Pm(a);Qm(a);Rm(a);Sm(a);Tm(a);Um(a);Vm(a);Wm(a);Xm(a);Ym(a);Zm(a);_m(a);$m(a);an(a);bn(a);cn(a);dn(a);en(a);fn(a);gn(a);hn(a);jn(a);kn(a);ln(a);mn(a);nn(a);on(a);pn(a);qn(a);rn(a);sn(a);tn(a);un(a);vn(a);wn(a);xn(a);yn(a);zn(a);An(a);Bn(a);Cn(a);Dn(a);En(a);Fn(a);Gn(a);Hn(a);In(a);Jn(a);Kn(a);Ln(a);Mn(a);Nn(a);On(a);Pn(a);Qn(a);Rn(a);Sn(a);Tn(a);Un(a);Vn(a);Wn(a);Xn(a);Yn(a);Zn(a);_n(a);$n(a);ao(a);bo(a);co(a);eo(a);fo(a);go(a);ho(a);io(a);jo(a);ko(a);lo(a);mo(a);no(a);oo(a);po(a);qo(a);ro(a);so(a);to(a);uo(a);vo(a);wo(a);xo(a);yo(a);zo(a);Ao(a);Bo(a);Co(a);Do(a);Eo(a);Fo(a);Go(a);Ho(a);Io(a);Jo(a);Ko(a);Lo(a);Mo(a);No(a);Oo(a);Po(a);Qo(a);Ro(a);So(a);To(a);Uo(a);Vo(a);Wo(a);Xo(a);Yo(a);Zo(a);_o(a);$o(a);ap(a);bp(a);cp(a);dp(a);ep(a);fp(a);gp(a);hp(a);ip(a);jp(a);kp(a);lp(a);mp(a);np(a);op(a);pp(a);qp(a);rp(a);sp(a);tp(a);up(a);vp(a);wp(a);xp(a);yp(a);zp(a);Ap(a);Bp(a);Cp(a);Dp(a);Ep(a);Fp(a);Gp(a);Hp(a);Ip(a);Jp(a);Kp(a);Lp(a);Mp(a);Np(a);Op(a);Pp(a);Qp(a);Rp(a);Sp(a);Tp(a);Up(a);Vp(a);Wp(a);Xp(a);Yp(a);Zp(a);_p(a);$p(a);aq(a);bq(a);cq(a);dq(a);eq(a);fq(a);gq(a);hq(a);iq(a);jq(a);kq(a);lq(a);mq(a);nq(a);oq(a);pq(a);qq(a);rq(a);sq(a);tq(a);uq(a);vq(a);wq(a);xq(a);yq(a);zq(a);Aq(a);Bq(a);Cq(a);Dq(a);Eq(a);Fq(a);Gq(a);Hq(a);Iq(a);Jq(a);Kq(a);Lq(a);Mq(a);Nq(a);Oq(a);Pq(a);Qq(a);Rq(a);Sq(a);Tq(a);Uq(a);Vq(a);Wq(a);Xq(a);Yq(a);Zq(a);_q(a);$q(a);ar(a);br(a);cr(a);dr(a);er(a);fr(a);gr(a);hr(a);ir(a);return 0}function kr(b){b=b|0;a[b+314|0]=0;lr(b);return 0}function lr(a){a=a|0;Ne(a);Oe(a);Pe(a);Qe(a);Re(a);Se(a);Te(a);Ue(a);Ve(a);We(a);Xe(a);Ye(a);Ze(a);_e(a);$e(a);af(a);bf(a);cf(a);df(a);ef(a);ff(a);gf(a);hf(a);jf(a);kf(a);lf(a);mf(a);nf(a);of(a);pf(a);qf(a);rf(a);sf(a);tf(a);uf(a);vf(a);wf(a);xf(a);yf(a);zf(a);Af(a);Bf(a);Cf(a);Df(a);Ef(a);Ff(a);Gf(a);Hf(a);If(a);return}function mr(b){b=b|0;var d=0,e=0;d=i;if(a[1701104]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+728>>3],-1.0e+60)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+728>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1667976,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+728>>3],1637664)|0)|0;me[c[2166]&15](1701112,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701104]=1;i=d;return}function nr(b){b=b|0;var d=0,e=0;d=i;if(a[1701072]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+696>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+696>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(1642888,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+696>>3],1637664)|0)|0;me[c[2166]&15](1701080,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701072]=1;i=d;return}function or(b){b=b|0;var d=0,e=0;d=i;if(a[1701040]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+688>>3],-1.0e10)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+688>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=uy(41520,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+688>>3],1637664)|0)|0;me[c[2166]&15](1701048,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701040]=1;i=d;return}function pr(b){b=b|0;var d=0,e=0;d=i;if(a[1701008]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+680>>3],-1.0e8)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+680>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(36408,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+680>>3],1637664)|0)|0;me[c[2166]&15](1701016,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1701008]=1;i=d;return}function qr(b){b=b|0;var d=0,e=0;d=i;if(a[1700976]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+672>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+672>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(31896,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+672>>3],1637664)|0)|0;me[c[2166]&15](1700984,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700976]=1;i=d;return}function rr(b){b=b|0;var d=0,e=0;d=i;if(a[1700944]|0){i=d;return}e=b+4|0;b=sB(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+16>>2]|0),0.0)|0;if(!(b<<24>>24==0|(qB(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+16>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=uy(24016,qy(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+16>>2]|0,28152)|0)|0;me[c[2166]&15](1700952,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700944]=1;i=d;return}function sr(b){b=b|0;var d=0,e=0;d=i;if(a[1700912]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+272>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+272>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(1676744,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+272>>3],1637664)|0)|0;me[c[2166]&15](1700920,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700912]=1;i=d;return}function tr(b){b=b|0;var d=0,e=0;d=i;if(a[1700880]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+648>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+648>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1669416,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+648>>3],1637664)|0)|0;me[c[2166]&15](1700888,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700880]=1;i=d;return}function ur(b){b=b|0;var d=0,e=0;d=i;if(a[1700848]|0){i=d;return}e=b+4|0;if(!((sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+640>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(1666672,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+640>>3],1637664)|0)|0;me[c[2166]&15](1700856,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700848]=1;i=d;return}function vr(b){b=b|0;var d=0,e=0;d=i;if(a[1700840]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+624>>3],-1.0e10)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+624>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=uy(1664080,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+624>>3],1637664)|0)|0;me[c[2166]&15](1700512,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700840]=1;i=d;return}function wr(b){b=b|0;var d=0,e=0;d=i;if(a[1700808]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+616>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+616>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1661720,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+616>>3],1637664)|0)|0;me[c[2166]&15](1700816,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700808]=1;i=d;return}function xr(b){b=b|0;var d=0,e=0;d=i;if(a[1700800]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+608>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+608>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(1660568,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+608>>3],1637664)|0)|0;me[c[2166]&15](1700320,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700800]=1;i=d;return}function yr(b){b=b|0;var d=0,e=0;d=i;if(a[1700768]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+600>>3],-1.0e+60)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+600>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1659584,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+600>>3],1637664)|0)|0;me[c[2166]&15](1700776,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700768]=1;i=d;return}function zr(b){b=b|0;var d=0,e=0;d=i;if(a[1700736]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+584>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+584>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1658824,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+584>>3],1637664)|0)|0;me[c[2166]&15](1700744,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700736]=1;i=d;return}function Ar(b){b=b|0;var d=0,e=0;d=i;if(a[1700704]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+576>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+576>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(1656680,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+576>>3],1637664)|0)|0;me[c[2166]&15](1700712,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700704]=1;i=d;return}function Br(b){b=b|0;var d=0,e=0;d=i;if(a[1700672]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+568>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+568>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(1655152,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+568>>3],1637664)|0)|0;me[c[2166]&15](1700680,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700672]=1;i=d;return}function Cr(b){b=b|0;var d=0,e=0;d=i;if(a[1700664]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+528>>3],-1.0e10)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+528>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=uy(1653992,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+528>>3],1637664)|0)|0;me[c[2166]&15](1700512,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700664]=1;i=d;return}function Dr(b){b=b|0;var d=0,e=0;d=i;if(a[1700656]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+424>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+424>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1653016,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+424>>3],1637664)|0)|0;me[c[2166]&15](1700480,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700656]=1;i=d;return}function Er(b){b=b|0;var d=0,e=0;d=i;if(a[1700648]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+264>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+264>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1650728,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+264>>3],1637664)|0)|0;me[c[2166]&15](1700448,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700648]=1;i=d;return}function Fr(b){b=b|0;var d=0,e=0;d=i;if(a[1700640]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+296>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+296>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(1649592,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+296>>3],1637664)|0)|0;me[c[2166]&15](1700416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700640]=1;i=d;return}function Gr(b){b=b|0;var d=0,e=0;d=i;if(a[1700632]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+256>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+256>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(1648600,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+256>>3],1637664)|0)|0;me[c[2166]&15](1700384,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700632]=1;i=d;return}function Hr(b){b=b|0;var d=0,e=0;d=i;if(a[1700624]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+232>>3],-1.0e10)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+232>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=uy(1647680,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+232>>3],1637664)|0)|0;me[c[2166]&15](1700352,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700624]=1;i=d;return}function Ir(b){b=b|0;var d=0,e=0;d=i;if(a[1700616]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+224>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+224>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(1646744,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+224>>3],1637664)|0)|0;me[c[2166]&15](1700320,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700616]=1;i=d;return}function Jr(b){b=b|0;var d=0,e=0;d=i;if(a[1700608]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+200>>3],-1.0e+60)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+200>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1645488,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+200>>3],1637664)|0)|0;me[c[2166]&15](1700288,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700608]=1;i=d;return}function Kr(b){b=b|0;var d=0,e=0;d=i;if(a[1700576]|0){i=d;return}e=b+4|0;if(!((sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+520>>3],0.0)|0)<<24>>24==0)){i=d;return}b=uy(1644200,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+520>>3],1637664)|0)|0;me[c[2166]&15](1700584,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700576]=1;i=d;return}function Lr(b){b=b|0;var d=0,e=0;d=i;if(a[1700568]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+136>>3],-1.0e5)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+136>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1643224,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+136>>3],1637664)|0)|0;me[c[2166]&15](1700256,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700568]=1;i=d;return}function Mr(b){b=b|0;var d=0,e=0;d=i;if(a[1700536]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+128>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+128>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(1642144,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+128>>3],1637664)|0)|0;me[c[2166]&15](1700544,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700536]=1;i=d;return}function Nr(b){b=b|0;var d=0,e=0;d=i;if(a[1700504]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+504>>3],-1.0e10)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+504>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=uy(1641280,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+504>>3],1637664)|0)|0;me[c[2166]&15](1700512,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700504]=1;i=d;return}function Or(b){b=b|0;var d=0,e=0;d=i;if(a[1700472]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+400>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+400>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1640424,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+400>>3],1637664)|0)|0;me[c[2166]&15](1700480,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700472]=1;i=d;return}function Pr(b){b=b|0;var d=0,e=0;d=i;if(a[1700440]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+120>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+120>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1639536,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+120>>3],1637664)|0)|0;me[c[2166]&15](1700448,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700440]=1;i=d;return}function Qr(b){b=b|0;var d=0,e=0;d=i;if(a[1700408]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+280>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+280>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(1638736,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+280>>3],1637664)|0)|0;me[c[2166]&15](1700416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700408]=1;i=d;return}function Rr(b){b=b|0;var d=0,e=0;d=i;if(a[1700376]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+112>>3],0.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+112>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=uy(1637888,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+112>>3],1637664)|0)|0;me[c[2166]&15](1700384,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700376]=1;i=d;return}function Sr(b){b=b|0;var d=0,e=0;d=i;if(a[1700344]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+104>>3],-1.0e10)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+104>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=uy(1636952,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+104>>3],1637664)|0)|0;me[c[2166]&15](1700352,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700344]=1;i=d;return}function Tr(b){b=b|0;var d=0,e=0;d=i;if(a[1700312]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+96>>3],1.0)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+96>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=uy(1635448,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+96>>3],1637664)|0)|0;me[c[2166]&15](1700320,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700312]=1;i=d;return}function Ur(b){b=b|0;var d=0,e=0;d=i;if(a[1700280]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+72>>3],-1.0e+60)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+72>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1633976,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+72>>3],1637664)|0)|0;me[c[2166]&15](1700288,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700280]=1;i=d;return}function Vr(b){b=b|0;var d=0,e=0;d=i;if(a[1700248]|0){i=d;return}e=b+4|0;b=sB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+24>>3],-1.0e5)|0;if(!(b<<24>>24==0|(qB(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+24>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=uy(1633240,oy(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+24>>3],1637664)|0)|0;me[c[2166]&15](1700256,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1700248]=1;i=d;return}function Wr(a){a=a|0;mr(a);nr(a);or(a);pr(a);qr(a);rr(a);sr(a);tr(a);ur(a);vr(a);wr(a);xr(a);yr(a);zr(a);Ar(a);Br(a);Cr(a);Dr(a);Er(a);Fr(a);Gr(a);Hr(a);Ir(a);Jr(a);Kr(a);Lr(a);Mr(a);Nr(a);Or(a);Pr(a);Qr(a);Rr(a);Sr(a);Tr(a);Ur(a);Vr(a);return 0}function Xr(a){a=a|0;return 1}function Yr(a){a=a|0;return 1}function Zr(a){a=a|0;return 1}function _r(a){a=a|0;return 1}function $r(a){a=a|0;return 1}function as(a){a=a|0;return 0}function bs(a){a=a|0;return 0}function cs(a){a=a|0;return 0}function ds(a){a=a|0;return 0}function es(a){a=a|0;return 0}function fs(a,b){a=a|0;b=b|0;return-1|0}function gs(a,b){a=a|0;b=b|0;return-1|0}function hs(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return-1|0}function is(){return 1329032}function js(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0;e=c[a>>2]|0;if((e|0)<1){f=0;return f|0}a=c[d>>2]|0;if((a|0)<1){f=0;return f|0}if((e|0)==1){f=1;return f|0}g=+h[b>>3];d=g<0.0;if((a|0)==1){if(d){i=-0.0-g}else{i=g}if((e|0)<2){f=1;return f|0}else{j=1;k=2;l=i}while(1){i=+h[b+(k-1<<3)>>3];m=i<0.0;if(m){n=-0.0-i}else{n=i}o=n<=l;if(o|m^1){p=o?l:i;q=o?j:k}else{p=-0.0-i;q=k}o=k+1|0;if((o|0)>(e|0)){f=q;break}else{j=q;k=o;l=p}}return f|0}if(d){r=-0.0-g}else{r=g}if((e|0)<2){f=1;return f|0}d=1;k=2;q=a+1|0;g=r;while(1){r=+h[b+(q-1<<3)>>3];j=r<0.0;if(j){s=-0.0-r}else{s=r}o=s<=g;if(o|j^1){t=o?g:r;u=o?d:k}else{t=-0.0-r;u=k}o=k+1|0;if((o|0)>(e|0)){f=u;break}else{d=u;k=o;q=a+q|0;g=t}}return f|0}function ks(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0,m=0;f=c[a>>2]|0;if((f|0)<1){return 0}g=c[e>>2]|0;if((g|0)<1){return 0}if((g|0)!=1){e=ga(g,f)|0;if((e|0)>0){i=1}else{return 0}do{j=d+(i-1<<3)|0;h[j>>3]=+h[b>>3]*+h[j>>3];i=i+g|0;}while((i|0)<=(e|0));return 0}e=(f|0)%5|0;do{if((e|0)==0){k=f}else{if((e|0)<1){l=f}else{i=1;do{g=d+(i-1<<3)|0;h[g>>3]=+h[b>>3]*+h[g>>3];i=i+1|0;}while((i|0)<=(e|0));l=c[a>>2]|0}if((l|0)>=5){k=l;break}return 0}}while(0);l=e+1|0;if((l|0)>(k|0)){return 0}else{m=l}do{l=d+(m-1<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m+1<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m+2<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m+3<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];m=m+5|0;}while((m|0)<=(k|0));return 0}function ls(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0;g=c[a>>2]|0;if((g|0)<1){return 0}i=c[d>>2]|0;do{if((i|0)==1){j=c[f>>2]|0;if((j|0)!=1){k=1;l=j;break}j=(g|0)%3|0;do{if((j|0)==0){m=g}else{if((j|0)<1){n=g}else{o=1;do{p=o-1|0;q=b+(p<<3)|0;r=+h[q>>3];s=e+(p<<3)|0;h[q>>3]=+h[s>>3];h[s>>3]=r;o=o+1|0;}while((o|0)<=(j|0));n=c[a>>2]|0}if((n|0)>=3){m=n;break}return 0}}while(0);o=j+1|0;if((o|0)>(m|0)){return 0}else{t=o}do{o=t-1|0;s=b+(o<<3)|0;r=+h[s>>3];q=e+(o<<3)|0;h[s>>3]=+h[q>>3];h[q>>3]=r;q=b+(t<<3)|0;r=+h[q>>3];s=e+(t<<3)|0;h[q>>3]=+h[s>>3];h[s>>3]=r;s=t+1|0;q=b+(s<<3)|0;r=+h[q>>3];o=e+(s<<3)|0;h[q>>3]=+h[o>>3];h[o>>3]=r;t=t+3|0;}while((t|0)<=(m|0));return 0}else{if((i|0)<0){u=(ga(1-g|0,i)|0)+1|0}else{u=1}k=u;l=c[f>>2]|0}}while(0);if((l|0)<0){v=1;w=k;x=(ga(1-g|0,l)|0)+1|0}else{v=1;w=k;x=1}while(1){k=b+(w-1<<3)|0;r=+h[k>>3];l=e+(x-1<<3)|0;h[k>>3]=+h[l>>3];h[l>>3]=r;l=v+1|0;if((l|0)>(g|0)){break}else{v=l;w=(c[d>>2]|0)+w|0;x=(c[f>>2]|0)+x|0}}return 0}function ms(a,b,d,e,f,g,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;m=i;i=i+8|0;n=m|0;o=c[l>>2]|0;l=~o;c[n>>2]=0;p=c[a>>2]|0;do{if((p|0)<0){c[n>>2]=1}else{q=c[b>>2]|0;if((q|0)<0){c[n>>2]=2;break}r=c[f>>2]|0;if((r|0)==0){c[n>>2]=5;break}s=c[j>>2]|0;if((s|0)==0){c[n>>2]=7;break}if((o|0)<(((p|0)>1?p:1)|0)){c[n>>2]=9;break}if((p|0)==0|(q|0)==0){i=m;return 0}if(+h[d>>3]==0.0){i=m;return 0}if((s|0)>0){t=1}else{t=1-(ga(s,q-1|0)|0)|0}if((r|0)==1){if((q|0)<1){i=m;return 0}else{u=1;v=t;w=s}while(1){x=+h[g+(v-1<<3)>>3];do{if(x!=0.0){y=x*+h[d>>3];z=c[a>>2]|0;if((z|0)<1){A=w;break}B=(ga(u,o)|0)+l|0;C=1;do{D=k+(B+C<<3)|0;h[D>>3]=+h[D>>3]+y*+h[e+(C-1<<3)>>3];C=C+1|0;}while((C|0)<=(z|0));A=c[j>>2]|0}else{A=w}}while(0);z=u+1|0;if((z|0)>(q|0)){break}else{u=z;v=A+v|0;w=A}}i=m;return 0}if((r|0)>0){E=1}else{E=1-(ga(p-1|0,r)|0)|0}if((q|0)<1){i=m;return 0}else{F=1;G=t;H=s}while(1){x=+h[g+(G-1<<3)>>3];do{if(x!=0.0){y=x*+h[d>>3];z=c[a>>2]|0;if((z|0)<1){I=H;break}C=(ga(F,o)|0)+l|0;B=1;D=E;while(1){J=k+(C+B<<3)|0;h[J>>3]=+h[J>>3]+y*+h[e+(D-1<<3)>>3];J=B+1|0;if((J|0)>(z|0)){break}else{B=J;D=(c[f>>2]|0)+D|0}}I=c[j>>2]|0}else{I=H}}while(0);D=F+1|0;if((D|0)>(q|0)){break}else{F=D;G=I+G|0;H=I}}i=m;return 0}}while(0);Fc(1664696,n|0)|0;i=m;return 0}function ns(a,b,d,e,f,g,j,k,l,m,n,o,p){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0.0,U=0.0,V=0,W=0.0,X=0,Y=0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0,da=0;q=i;i=i+8|0;r=q|0;s=c[k>>2]|0;t=~s;u=c[m>>2]|0;v=~u;w=c[p>>2]|0;x=~w;y=jA(a,1661672,0,0)|0;z=jA(b,1661672,0,0)|0;A=(y|0)!=0;y=c[(A?d:f)>>2]|0;B=(z|0)!=0;z=c[(B?f:e)>>2]|0;c[r>>2]=0;do{if(A){C=5}else{if((jA(a,1675960,0,0)|0)!=0){C=5;break}if((jA(a,1656536,0,0)|0)!=0){C=5;break}c[r>>2]=1}}while(0);a:do{if((C|0)==5){do{if(!B){if((jA(b,1675960,0,0)|0)!=0){break}if((jA(b,1656536,0,0)|0)!=0){break}c[r>>2]=2;break a}}while(0);a=c[d>>2]|0;if((a|0)<0){c[r>>2]=3;break}D=c[e>>2]|0;if((D|0)<0){c[r>>2]=4;break}E=c[f>>2]|0;if((E|0)<0){c[r>>2]=5;break}if((c[k>>2]|0)<(((y|0)>1?y:1)|0)){c[r>>2]=8;break}if((c[m>>2]|0)<(((z|0)>1?z:1)|0)){c[r>>2]=10;break}if((c[p>>2]|0)<(((a|0)>1?a:1)|0)){c[r>>2]=13;break}if((c[r>>2]|0)!=0){break}if((a|0)==0|(D|0)==0){i=q;return 0}F=+h[g>>3]==0.0;do{if(F|(E|0)==0){if(+h[n>>3]==1.0){i=q;return 0}if(!F){break}G=(D|0)<1;if(+h[n>>3]==0.0){if(G){i=q;return 0}else{H=2;I=0;J=a}while(1){if((J|0)>=1){e1(o+((ga(w,I)|0)<<3)|0,0,J<<3|0)|0}if((H|0)>(D|0)){break}H=H+1|0;I=I+1|0;J=c[d>>2]|0}i=q;return 0}if(G){i=q;return 0}else{K=1;L=a}while(1){if((L|0)>=1){M=(ga(K,w)|0)+x|0;N=1;do{O=o+(M+N<<3)|0;h[O>>3]=+h[n>>3]*+h[O>>3];N=N+1|0;}while((N|0)<=(L|0))}N=K+1|0;if((N|0)>(D|0)){break}K=N;L=c[d>>2]|0}i=q;return 0}}while(0);F=(D|0)<1;if(B){if(!A){if(F){i=q;return 0}else{P=1;Q=a}while(1){if((Q|0)>=1){E=(ga(P,w)|0)+x|0;G=(ga(P,u)|0)+v|0;N=1;do{M=c[f>>2]|0;if((M|0)<1){R=0.0}else{O=(ga(N,s)|0)+t|0;S=1;T=0.0;while(1){U=T+ +h[j+(O+S<<3)>>3]*+h[l+(G+S<<3)>>3];V=S+1|0;if((V|0)>(M|0)){R=U;break}else{S=V;T=U}}}T=+h[n>>3];U=R*+h[g>>3];S=o+(E+N<<3)|0;if(T==0.0){W=U}else{W=U+T*+h[S>>3]}h[S>>3]=W;N=N+1|0;}while((N|0)<=(Q|0))}N=P+1|0;if((N|0)>(D|0)){break}P=N;Q=c[d>>2]|0}i=q;return 0}if(F){i=q;return 0}else{X=1;Y=0}while(1){N=o+((ga(w,Y)|0)<<3)|0;T=+h[n>>3];b:do{if(T==0.0){E=c[d>>2]|0;if((E|0)<1){break}e1(N|0,0,E<<3|0)|0}else{if(!(T!=1.0)){break}E=c[d>>2]|0;if((E|0)<1){break}G=(ga(X,w)|0)+x|0;S=1;U=T;while(1){M=o+(G+S<<3)|0;h[M>>3]=U*+h[M>>3];M=S+1|0;if((M|0)>(E|0)){break b}S=M;U=+h[n>>3]}}}while(0);N=c[f>>2]|0;if((N|0)>=1){S=(ga(X,u)|0)+v|0;E=(ga(X,w)|0)+x|0;G=1;do{T=+h[l+(S+G<<3)>>3];do{if(T!=0.0){U=T*+h[g>>3];M=c[d>>2]|0;if((M|0)<1){break}O=(ga(G,s)|0)+t|0;V=1;do{Z=o+(E+V<<3)|0;h[Z>>3]=+h[Z>>3]+U*+h[j+(O+V<<3)>>3];V=V+1|0;}while((V|0)<=(M|0))}}while(0);G=G+1|0;}while((G|0)<=(N|0))}N=X+1|0;if((N|0)>(D|0)){break}X=N;Y=Y+1|0}i=q;return 0}else{if(!A){if(F){i=q;return 0}else{_=1;$=a}while(1){if(($|0)>=1){N=(ga(_,w)|0)+x|0;G=_+v|0;E=1;do{S=c[f>>2]|0;if((S|0)<1){aa=0.0}else{M=(ga(E,s)|0)+t|0;V=1;T=0.0;while(1){U=T+ +h[j+(M+V<<3)>>3]*+h[l+(G+(ga(V,u)|0)<<3)>>3];O=V+1|0;if((O|0)>(S|0)){aa=U;break}else{V=O;T=U}}}T=+h[n>>3];U=aa*+h[g>>3];V=o+(N+E<<3)|0;if(T==0.0){ba=U}else{ba=U+T*+h[V>>3]}h[V>>3]=ba;E=E+1|0;}while((E|0)<=($|0))}E=_+1|0;if((E|0)>(D|0)){break}_=E;$=c[d>>2]|0}i=q;return 0}if(F){i=q;return 0}else{ca=1;da=0}while(1){a=o+((ga(w,da)|0)<<3)|0;T=+h[n>>3];c:do{if(T==0.0){E=c[d>>2]|0;if((E|0)<1){break}e1(a|0,0,E<<3|0)|0}else{if(!(T!=1.0)){break}E=c[d>>2]|0;if((E|0)<1){break}N=(ga(ca,w)|0)+x|0;G=1;U=T;while(1){V=o+(N+G<<3)|0;h[V>>3]=U*+h[V>>3];V=G+1|0;if((V|0)>(E|0)){break c}G=V;U=+h[n>>3]}}}while(0);a=c[f>>2]|0;if((a|0)>=1){G=ca+v|0;E=(ga(ca,w)|0)+x|0;N=1;do{T=+h[l+(G+(ga(N,u)|0)<<3)>>3];do{if(T!=0.0){U=T*+h[g>>3];V=c[d>>2]|0;if((V|0)<1){break}S=(ga(N,s)|0)+t|0;M=1;do{O=o+(E+M<<3)|0;h[O>>3]=+h[O>>3]+U*+h[j+(S+M<<3)>>3];M=M+1|0;}while((M|0)<=(V|0))}}while(0);N=N+1|0;}while((N|0)<=(a|0))}a=ca+1|0;if((a|0)>(D|0)){break}ca=a;da=da+1|0}i=q;return 0}}}while(0);Fc(1645360,r|0)|0;i=q;return 0}



function PV(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];QV(a,0,j,k,f,g,h);i=b;return}function QV(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;iW(m,g,s,l);g=n;e1(g|0,0,12)|0;FS(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Zd[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Zd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){L=(C&255)>>>1}else{L=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(L|0)){if(F){M=(C&255)>>>1;N=(C&255)>>>1}else{C=c[y>>2]|0;M=C;N=C}FS(n,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}FS(n,O,0);if((a[g]&1)==0){P=v}else{P=c[w>>2]|0}c[o>>2]=P+N;Q=P}else{Q=l}C=B+12|0;F=c[C>>2]|0;R=B+16|0;if((F|0)==(c[R>>2]|0)){S=Zd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{S=c[F>>2]|0}if((eW(S,t,Q,o,r,z,m,k,q,s)|0)!=0){I=Q;J=H;break}F=c[C>>2]|0;if((F|0)==(c[R>>2]|0)){Zd[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=Q;u=B;continue}else{c[C>>2]=F+4;l=Q;u=B;continue}}u=a[m]|0;if((u&1)==0){T=(u&255)>>>1}else{T=c[m+4>>2]|0}do{if((T|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}Q=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=Q}}while(0);r=a$(I,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;sY(m,k,c[q>>2]|0,h);do{if((B|0)==0){U=1;V=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){W=Zd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{W=c[q>>2]|0}if(!((W|0)==-1)){U=0;V=B;break}c[x>>2]=0;U=1;V=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){X=Zd[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{X=c[x>>2]|0}if((X|0)==-1){c[e>>2]=0;E=67;break}if(!U){break}Y=b|0;c[Y>>2]=V;wS(n);wS(m);i=d;return}}while(0);do{if((E|0)==67){if(U){break}Y=b|0;c[Y>>2]=V;wS(n);wS(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;Y=b|0;c[Y>>2]=V;wS(n);wS(m);i=d;return}function RV(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];SV(a,0,j,k,f,g,h);i=b;return}function SV(d,e,f,g,h,j,k){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;e=i;i=i+328|0;l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[l>>2];l=e|0;m=e+104|0;n=e+112|0;o=e+128|0;p=e+144|0;q=e+152|0;r=e+312|0;s=e+320|0;t=c[h+4>>2]&74;if((t|0)==0){u=0}else if((t|0)==8){u=16}else if((t|0)==64){u=8}else{u=10}t=l|0;iW(n,h,t,m);h=o;e1(h|0,0,12)|0;FS(o,10,0);if((a[h]&1)==0){l=o+1|0;v=l;w=l;x=o+8|0}else{l=o+8|0;v=c[l>>2]|0;w=o+1|0;x=l}c[p>>2]=v;l=q|0;c[r>>2]=l;c[s>>2]=0;y=f|0;f=g|0;g=o|0;z=o+4|0;A=c[m>>2]|0;m=v;v=c[y>>2]|0;a:while(1){do{if((v|0)==0){B=1;C=0}else{D=c[v+12>>2]|0;if((D|0)==(c[v+16>>2]|0)){E=Zd[c[(c[v>>2]|0)+36>>2]&255](v)|0}else{E=c[D>>2]|0}if(!((E|0)==-1)){B=0;C=v;break}c[y>>2]=0;B=1;C=0}}while(0);D=c[f>>2]|0;do{if((D|0)==0){F=22}else{G=c[D+12>>2]|0;if((G|0)==(c[D+16>>2]|0)){H=Zd[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{H=c[G>>2]|0}if((H|0)==-1){c[f>>2]=0;F=22;break}else{if(B){I=D;break}else{J=m;K=D;break a}}}}while(0);if((F|0)==22){F=0;if(B){J=m;K=0;break}else{I=0}}D=a[h]|0;G=(D&1)==0;if(G){L=(D&255)>>>1}else{L=c[z>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(G){M=(D&255)>>>1;N=(D&255)>>>1}else{D=c[z>>2]|0;M=D;N=D}FS(o,M<<1,0);if((a[h]&1)==0){O=10}else{O=(c[g>>2]&-2)-1|0}FS(o,O,0);if((a[h]&1)==0){P=w}else{P=c[x>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}D=C+12|0;G=c[D>>2]|0;R=C+16|0;if((G|0)==(c[R>>2]|0)){S=Zd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{S=c[G>>2]|0}if((eW(S,u,Q,p,s,A,n,l,r,t)|0)!=0){J=Q;K=I;break}G=c[D>>2]|0;if((G|0)==(c[R>>2]|0)){Zd[c[(c[C>>2]|0)+40>>2]&255](C)|0;m=Q;v=C;continue}else{c[D>>2]=G+4;m=Q;v=C;continue}}v=a[n]|0;if((v&1)==0){T=(v&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){v=c[r>>2]|0;if((v-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=v+4;c[v>>2]=Q}}while(0);b[k>>1]=$_(J,c[p>>2]|0,j,u)|0;sY(n,l,c[r>>2]|0,j);do{if((C|0)==0){U=1;V=0}else{r=c[C+12>>2]|0;if((r|0)==(c[C+16>>2]|0)){W=Zd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{W=c[r>>2]|0}if(!((W|0)==-1)){U=0;V=C;break}c[y>>2]=0;U=1;V=0}}while(0);do{if((K|0)==0){F=67}else{y=c[K+12>>2]|0;if((y|0)==(c[K+16>>2]|0)){X=Zd[c[(c[K>>2]|0)+36>>2]&255](K)|0}else{X=c[y>>2]|0}if((X|0)==-1){c[f>>2]=0;F=67;break}if(!U){break}Y=d|0;c[Y>>2]=V;wS(o);wS(n);i=e;return}}while(0);do{if((F|0)==67){if(U){break}Y=d|0;c[Y>>2]=V;wS(o);wS(n);i=e;return}}while(0);c[j>>2]=c[j>>2]|2;Y=d|0;c[Y>>2]=V;wS(o);wS(n);i=e;return}function TV(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];UV(a,0,j,k,f,g,h);i=b;return}function UV(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==8){t=16}else if((s|0)==0){t=0}else{t=10}s=k|0;iW(m,g,s,l);g=n;e1(g|0,0,12)|0;FS(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Zd[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Zd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}FS(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}FS(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=Zd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((eW(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){Zd[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=__(I,c[o>>2]|0,h,t)|0;sY(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=Zd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=Zd[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;wS(n);wS(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;wS(n);wS(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;wS(n);wS(m);i=d;return}function VV(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];WV(a,0,j,k,f,g,h);i=b;return}function WV(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;iW(m,g,s,l);g=n;e1(g|0,0,12)|0;FS(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Zd[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Zd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}FS(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}FS(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=Zd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((eW(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){Zd[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=Z_(I,c[o>>2]|0,h,t)|0;sY(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=Zd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=Zd[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;wS(n);wS(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;wS(n);wS(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;wS(n);wS(m);i=d;return}function XV(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];YV(a,0,j,k,f,g,h);i=b;return}function YV(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==0){t=0}else if((s|0)==8){t=16}else if((s|0)==64){t=8}else{t=10}s=k|0;iW(m,g,s,l);g=n;e1(g|0,0,12)|0;FS(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Zd[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Zd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){L=(C&255)>>>1}else{L=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(L|0)){if(F){M=(C&255)>>>1;N=(C&255)>>>1}else{C=c[y>>2]|0;M=C;N=C}FS(n,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}FS(n,O,0);if((a[g]&1)==0){P=v}else{P=c[w>>2]|0}c[o>>2]=P+N;Q=P}else{Q=l}C=B+12|0;F=c[C>>2]|0;R=B+16|0;if((F|0)==(c[R>>2]|0)){S=Zd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{S=c[F>>2]|0}if((eW(S,t,Q,o,r,z,m,k,q,s)|0)!=0){I=Q;J=H;break}F=c[C>>2]|0;if((F|0)==(c[R>>2]|0)){Zd[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=Q;u=B;continue}else{c[C>>2]=F+4;l=Q;u=B;continue}}u=a[m]|0;if((u&1)==0){T=(u&255)>>>1}else{T=c[m+4>>2]|0}do{if((T|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}Q=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=Q}}while(0);r=Y_(I,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;sY(m,k,c[q>>2]|0,h);do{if((B|0)==0){U=1;V=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){W=Zd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{W=c[q>>2]|0}if(!((W|0)==-1)){U=0;V=B;break}c[x>>2]=0;U=1;V=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){X=Zd[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{X=c[x>>2]|0}if((X|0)==-1){c[e>>2]=0;E=67;break}if(!U){break}Y=b|0;c[Y>>2]=V;wS(n);wS(m);i=d;return}}while(0);do{if((E|0)==67){if(U){break}Y=b|0;c[Y>>2]=V;wS(n);wS(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;Y=b|0;c[Y>>2]=V;wS(n);wS(m);i=d;return}function ZV(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];_V(a,0,j,k,f,g,h);i=b;return}function _V(b,d,e,f,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;jW(n,h,v,l,m);h=o;e1(h|0,0,12)|0;FS(o,10,0);if((a[h]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=Zd[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Zd[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[h]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}FS(o,O<<1,0);if((a[h]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}FS(o,Q,0);if((a[h]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=Zd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((kW(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){Zd[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);g[k>>2]=+X_(L,c[p>>2]|0,j);sY(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=Zd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=Zd[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;wS(o);wS(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;wS(o);wS(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;wS(o);wS(n);i=d;return}function $V(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];aW(a,0,j,k,f,g,h);i=b;return}function aW(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;jW(n,g,v,l,m);g=o;e1(g|0,0,12)|0;FS(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=Zd[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Zd[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[g]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}FS(o,O<<1,0);if((a[g]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}FS(o,Q,0);if((a[g]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=Zd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((kW(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){Zd[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);h[k>>3]=+W_(L,c[p>>2]|0,j);sY(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=Zd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=Zd[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;wS(o);wS(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;wS(o);wS(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;wS(o);wS(n);i=d;return}function bW(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];cW(a,0,j,k,f,g,h);i=b;return}function cW(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;jW(n,g,v,l,m);g=o;e1(g|0,0,12)|0;FS(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=Zd[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Zd[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[g]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}FS(o,O<<1,0);if((a[g]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}FS(o,Q,0);if((a[g]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=Zd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((kW(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){Zd[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);h[k>>3]=+V_(L,c[p>>2]|0,j);sY(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=Zd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=Zd[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;wS(o);wS(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;wS(o);wS(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;wS(o);wS(n);i=d;return}function dW(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+344|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+120|0;n=d+136|0;o=d+144|0;p=d+160|0;q=d+168|0;r=d+328|0;s=d+336|0;e1(m|0,0,12)|0;sT(n,g);g=n|0;n=c[g>>2]|0;if(!((c[433212]|0)==-1)){c[k>>2]=1732848;c[k+4>>2]=18;c[k+8>>2]=0;hS(1732848,k,126)}k=(c[433213]|0)-1|0;t=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-t>>2>>>0>k>>>0){u=c[t+(k<<2)>>2]|0;if((u|0)==0){break}v=l|0;le[c[(c[u>>2]|0)+48>>2]&127](u,1692352,1692378,v)|0;OR(c[g>>2]|0)|0;u=o;e1(u|0,0,12)|0;FS(o,10,0);if((a[u]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;A=e|0;B=f|0;C=o|0;D=o+4|0;E=x;F=c[A>>2]|0;a:while(1){do{if((F|0)==0){G=1;H=0}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Zd[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if(!((J|0)==-1)){G=0;H=F;break}c[A>>2]=0;G=1;H=0}}while(0);I=c[B>>2]|0;do{if((I|0)==0){K=26}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){M=Zd[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{M=c[L>>2]|0}if((M|0)==-1){c[B>>2]=0;K=26;break}else{if(G){break}else{N=E;break a}}}}while(0);if((K|0)==26){K=0;if(G){N=E;break}}I=a[u]|0;L=(I&1)==0;if(L){O=(I&255)>>>1}else{O=c[D>>2]|0}if(((c[p>>2]|0)-E|0)==(O|0)){if(L){P=(I&255)>>>1;Q=(I&255)>>>1}else{I=c[D>>2]|0;P=I;Q=I}FS(o,P<<1,0);if((a[u]&1)==0){R=10}else{R=(c[C>>2]&-2)-1|0}FS(o,R,0);if((a[u]&1)==0){S=y}else{S=c[z>>2]|0}c[p>>2]=S+Q;T=S}else{T=E}I=H+12|0;L=c[I>>2]|0;U=H+16|0;if((L|0)==(c[U>>2]|0)){V=Zd[c[(c[H>>2]|0)+36>>2]&255](H)|0}else{V=c[L>>2]|0}if((eW(V,16,T,p,s,0,m,w,r,v)|0)!=0){N=T;break}L=c[I>>2]|0;if((L|0)==(c[U>>2]|0)){Zd[c[(c[H>>2]|0)+40>>2]&255](H)|0;E=T;F=H;continue}else{c[I>>2]=L+4;E=T;F=H;continue}}a[N+3|0]=0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);F=IV(N,c[432856]|0,1643008,(E=i,i=i+8|0,c[E>>2]=j,E)|0)|0;i=E;if((F|0)!=1){c[h>>2]=4}F=c[A>>2]|0;do{if((F|0)==0){W=1;X=0}else{E=c[F+12>>2]|0;if((E|0)==(c[F+16>>2]|0)){Y=Zd[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{Y=c[E>>2]|0}if(!((Y|0)==-1)){W=0;X=F;break}c[A>>2]=0;W=1;X=0}}while(0);A=c[B>>2]|0;do{if((A|0)==0){K=74}else{F=c[A+12>>2]|0;if((F|0)==(c[A+16>>2]|0)){Z=Zd[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{Z=c[F>>2]|0}if((Z|0)==-1){c[B>>2]=0;K=74;break}if(!W){break}_=b|0;c[_>>2]=X;wS(o);wS(m);i=d;return}}while(0);do{if((K|0)==74){if(W){break}_=b|0;c[_>>2]=X;wS(o);wS(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;_=b|0;c[_>>2]=X;wS(o);wS(m);i=d;return}}while(0);d=Bd(4)|0;g0(d);vc(d|0,1690592,180)}function eW(b,d,e,f,g,h,i,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;m=c[f>>2]|0;n=(m|0)==(e|0);do{if(n){o=(c[l+96>>2]|0)==(b|0);if(!o){if((c[l+100>>2]|0)!=(b|0)){break}}c[f>>2]=e+1;a[e]=o?43:45;c[g>>2]=0;p=0;return p|0}}while(0);o=a[i]|0;if((o&1)==0){q=(o&255)>>>1}else{q=c[i+4>>2]|0}if((q|0)!=0&(b|0)==(h|0)){h=c[k>>2]|0;if((h-j|0)>=160){p=0;return p|0}j=c[g>>2]|0;c[k>>2]=h+4;c[h>>2]=j;c[g>>2]=0;p=0;return p|0}j=l+104|0;h=l;while(1){if((h|0)==(j|0)){r=j;break}if((c[h>>2]|0)==(b|0)){r=h;break}else{h=h+4|0}}h=r-l|0;l=h>>2;if((h|0)>92){p=-1;return p|0}do{if((d|0)==16){if((h|0)<88){break}if(n){p=-1;return p|0}if((m-e|0)>=3){p=-1;return p|0}if((a[m-1|0]|0)!=48){p=-1;return p|0}c[g>>2]=0;r=a[1692352+l|0]|0;c[f>>2]=m+1;a[m]=r;p=0;return p|0}else if((d|0)==8|(d|0)==10){if((l|0)<(d|0)){break}else{p=-1}return p|0}}while(0);d=a[1692352+l|0]|0;c[f>>2]=m+1;a[m]=d;c[g>>2]=(c[g>>2]|0)+1;p=0;return p|0}function fW(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=i;i=i+40|0;h=g|0;j=g+16|0;k=g+32|0;sT(k,d);d=k|0;k=c[d>>2]|0;if(!((c[433214]|0)==-1)){c[j>>2]=1732856;c[j+4>>2]=18;c[j+8>>2]=0;hS(1732856,j,126)}j=(c[433215]|0)-1|0;l=c[k+8>>2]|0;do{if((c[k+12>>2]|0)-l>>2>>>0>j>>>0){m=c[l+(j<<2)>>2]|0;if((m|0)==0){break}le[c[(c[m>>2]|0)+32>>2]&127](m,1692352,1692378,e)|0;m=c[d>>2]|0;if(!((c[433118]|0)==-1)){c[h>>2]=1732472;c[h+4>>2]=18;c[h+8>>2]=0;hS(1732472,h,126)}n=(c[433119]|0)-1|0;o=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-o>>2>>>0>n>>>0){p=c[o+(n<<2)>>2]|0;if((p|0)==0){break}q=p;a[f]=Zd[c[(c[p>>2]|0)+16>>2]&255](q)|0;Xd[c[(c[p>>2]|0)+20>>2]&127](b,q);OR(c[d>>2]|0)|0;i=g;return}}while(0);n=Bd(4)|0;g0(n);vc(n|0,1690592,180)}}while(0);g=Bd(4)|0;g0(g);vc(g|0,1690592,180)}function gW(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;i=i+40|0;j=h|0;k=h+16|0;l=h+32|0;sT(l,d);d=l|0;l=c[d>>2]|0;if(!((c[433214]|0)==-1)){c[k>>2]=1732856;c[k+4>>2]=18;c[k+8>>2]=0;hS(1732856,k,126)}k=(c[433215]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}le[c[(c[n>>2]|0)+32>>2]&127](n,1692352,1692384,e)|0;n=c[d>>2]|0;if(!((c[433118]|0)==-1)){c[j>>2]=1732472;c[j+4>>2]=18;c[j+8>>2]=0;hS(1732472,j,126)}o=(c[433119]|0)-1|0;p=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-p>>2>>>0>o>>>0){q=c[p+(o<<2)>>2]|0;if((q|0)==0){break}r=q;s=q;a[f]=Zd[c[(c[s>>2]|0)+12>>2]&255](r)|0;a[g]=Zd[c[(c[s>>2]|0)+16>>2]&255](r)|0;Xd[c[(c[q>>2]|0)+20>>2]&127](b,r);OR(c[d>>2]|0)|0;i=h;return}}while(0);o=Bd(4)|0;g0(o);vc(o|0,1690592,180)}}while(0);h=Bd(4)|0;g0(h);vc(h|0,1690592,180)}function hW(b,d,e,f,g,h,i,j,k,l,m,n){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0;if(b<<24>>24==h<<24>>24){if((a[d]|0)==0){o=-1;return o|0}a[d]=0;h=c[g>>2]|0;c[g>>2]=h+1;a[h]=46;h=a[j]|0;if((h&1)==0){p=(h&255)>>>1}else{p=c[j+4>>2]|0}if((p|0)==0){o=0;return o|0}p=c[l>>2]|0;if((p-k|0)>=160){o=0;return o|0}h=c[m>>2]|0;c[l>>2]=p+4;c[p>>2]=h;o=0;return o|0}do{if(b<<24>>24==i<<24>>24){h=a[j]|0;if((h&1)==0){q=(h&255)>>>1}else{q=c[j+4>>2]|0}if((q|0)==0){break}if((a[d]|0)==0){o=-1;return o|0}h=c[l>>2]|0;if((h-k|0)>=160){o=0;return o|0}p=c[m>>2]|0;c[l>>2]=h+4;c[h>>2]=p;c[m>>2]=0;o=0;return o|0}}while(0);q=n+32|0;i=n;while(1){if((i|0)==(q|0)){r=q;break}if((a[i]|0)==b<<24>>24){r=i;break}else{i=i+1|0}}i=r-n|0;if((i|0)>31){o=-1;return o|0}n=a[1692352+i|0]|0;if((i|0)==25|(i|0)==24){r=c[g>>2]|0;do{if((r|0)!=(f|0)){if((a[r-1|0]&95|0)==(a[e]&127|0)){break}else{o=-1}return o|0}}while(0);c[g>>2]=r+1;a[r]=n;o=0;return o|0}else if((i|0)==22|(i|0)==23){a[e]=80;r=c[g>>2]|0;c[g>>2]=r+1;a[r]=n;o=0;return o|0}else{r=a[e]|0;do{if((n&95|0)==(r<<24>>24|0)){a[e]=r|-128;if((a[d]|0)==0){break}a[d]=0;f=a[j]|0;if((f&1)==0){s=(f&255)>>>1}else{s=c[j+4>>2]|0}if((s|0)==0){break}f=c[l>>2]|0;if((f-k|0)>=160){break}b=c[m>>2]|0;c[l>>2]=f+4;c[f>>2]=b}}while(0);l=c[g>>2]|0;c[g>>2]=l+1;a[l]=n;if((i|0)>21){o=0;return o|0}c[m>>2]=(c[m>>2]|0)+1;o=0;return o|0}return 0}function iW(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=i;i=i+40|0;g=f|0;h=f+16|0;j=f+32|0;sT(j,b);b=j|0;j=c[b>>2]|0;if(!((c[433212]|0)==-1)){c[h>>2]=1732848;c[h+4>>2]=18;c[h+8>>2]=0;hS(1732848,h,126)}h=(c[433213]|0)-1|0;k=c[j+8>>2]|0;do{if((c[j+12>>2]|0)-k>>2>>>0>h>>>0){l=c[k+(h<<2)>>2]|0;if((l|0)==0){break}le[c[(c[l>>2]|0)+48>>2]&127](l,1692352,1692378,d)|0;l=c[b>>2]|0;if(!((c[433116]|0)==-1)){c[g>>2]=1732464;c[g+4>>2]=18;c[g+8>>2]=0;hS(1732464,g,126)}m=(c[433117]|0)-1|0;n=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-n>>2>>>0>m>>>0){o=c[n+(m<<2)>>2]|0;if((o|0)==0){break}p=o;c[e>>2]=Zd[c[(c[o>>2]|0)+16>>2]&255](p)|0;Xd[c[(c[o>>2]|0)+20>>2]&127](a,p);OR(c[b>>2]|0)|0;i=f;return}}while(0);m=Bd(4)|0;g0(m);vc(m|0,1690592,180)}}while(0);f=Bd(4)|0;g0(f);vc(f|0,1690592,180)}function jW(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=i;i=i+40|0;h=g|0;j=g+16|0;k=g+32|0;sT(k,b);b=k|0;k=c[b>>2]|0;if(!((c[433212]|0)==-1)){c[j>>2]=1732848;c[j+4>>2]=18;c[j+8>>2]=0;hS(1732848,j,126)}j=(c[433213]|0)-1|0;l=c[k+8>>2]|0;do{if((c[k+12>>2]|0)-l>>2>>>0>j>>>0){m=c[l+(j<<2)>>2]|0;if((m|0)==0){break}le[c[(c[m>>2]|0)+48>>2]&127](m,1692352,1692384,d)|0;m=c[b>>2]|0;if(!((c[433116]|0)==-1)){c[h>>2]=1732464;c[h+4>>2]=18;c[h+8>>2]=0;hS(1732464,h,126)}n=(c[433117]|0)-1|0;o=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-o>>2>>>0>n>>>0){p=c[o+(n<<2)>>2]|0;if((p|0)==0){break}q=p;r=p;c[e>>2]=Zd[c[(c[r>>2]|0)+12>>2]&255](q)|0;c[f>>2]=Zd[c[(c[r>>2]|0)+16>>2]&255](q)|0;Xd[c[(c[p>>2]|0)+20>>2]&127](a,q);OR(c[b>>2]|0)|0;i=g;return}}while(0);n=Bd(4)|0;g0(n);vc(n|0,1690592,180)}}while(0);g=Bd(4)|0;g0(g);vc(g|0,1690592,180)}function kW(b,d,e,f,g,h,i,j,k,l,m,n){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0;if((b|0)==(h|0)){if((a[d]|0)==0){o=-1;return o|0}a[d]=0;h=c[g>>2]|0;c[g>>2]=h+1;a[h]=46;h=a[j]|0;if((h&1)==0){p=(h&255)>>>1}else{p=c[j+4>>2]|0}if((p|0)==0){o=0;return o|0}p=c[l>>2]|0;if((p-k|0)>=160){o=0;return o|0}h=c[m>>2]|0;c[l>>2]=p+4;c[p>>2]=h;o=0;return o|0}do{if((b|0)==(i|0)){h=a[j]|0;if((h&1)==0){q=(h&255)>>>1}else{q=c[j+4>>2]|0}if((q|0)==0){break}if((a[d]|0)==0){o=-1;return o|0}h=c[l>>2]|0;if((h-k|0)>=160){o=0;return o|0}p=c[m>>2]|0;c[l>>2]=h+4;c[h>>2]=p;c[m>>2]=0;o=0;return o|0}}while(0);q=n+128|0;i=n;while(1){if((i|0)==(q|0)){r=q;break}if((c[i>>2]|0)==(b|0)){r=i;break}else{i=i+4|0}}i=r-n|0;n=i>>2;if((i|0)>124){o=-1;return o|0}r=a[1692352+n|0]|0;do{if((n|0)==25|(n|0)==24){b=c[g>>2]|0;do{if((b|0)!=(f|0)){if((a[b-1|0]&95|0)==(a[e]&127|0)){break}else{o=-1}return o|0}}while(0);c[g>>2]=b+1;a[b]=r;o=0;return o|0}else if((n|0)==22|(n|0)==23){a[e]=80}else{q=a[e]|0;if((r&95|0)!=(q<<24>>24|0)){break}a[e]=q|-128;if((a[d]|0)==0){break}a[d]=0;q=a[j]|0;if((q&1)==0){s=(q&255)>>>1}else{s=c[j+4>>2]|0}if((s|0)==0){break}q=c[l>>2]|0;if((q-k|0)>=160){break}p=c[m>>2]|0;c[l>>2]=q+4;c[q>>2]=p}}while(0);l=c[g>>2]|0;c[g>>2]=l+1;a[l]=r;if((i|0)>84){o=0;return o|0}c[m>>2]=(c[m>>2]|0)+1;o=0;return o|0}function lW(a){a=a|0;MR(a|0);J0(a);return}function mW(a){a=a|0;MR(a|0);return}function nW(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;j=i;i=i+48|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+16|0;m=j+24|0;n=j+32|0;if((c[f+4>>2]&1|0)==0){o=c[(c[d>>2]|0)+24>>2]|0;c[l>>2]=c[e>>2];ce[o&63](b,d,l,f,g,h&1);i=j;return}sT(m,f);f=m|0;m=c[f>>2]|0;if(!((c[433118]|0)==-1)){c[k>>2]=1732472;c[k+4>>2]=18;c[k+8>>2]=0;hS(1732472,k,126)}k=(c[433119]|0)-1|0;g=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-g>>2>>>0>k>>>0){l=c[g+(k<<2)>>2]|0;if((l|0)==0){break}d=l;OR(c[f>>2]|0)|0;o=c[l>>2]|0;if(h){Xd[c[o+24>>2]&127](n,d)}else{Xd[c[o+28>>2]&127](n,d)}d=n;o=a[d]|0;if((o&1)==0){l=n+1|0;p=l;q=l;r=n+8|0}else{l=n+8|0;p=c[l>>2]|0;q=n+1|0;r=l}l=e|0;s=n+4|0;t=p;u=o;while(1){if((u&1)==0){v=(u&255)>>>1;w=q}else{v=c[s>>2]|0;w=c[r>>2]|0}if((t|0)==(w+v|0)){break}o=a[t]|0;x=c[l>>2]|0;do{if((x|0)!=0){y=x+24|0;z=c[y>>2]|0;if((z|0)!=(c[x+28>>2]|0)){c[y>>2]=z+1;a[z]=o;break}if(!((ie[c[(c[x>>2]|0)+52>>2]&127](x,o&255)|0)==-1)){break}c[l>>2]=0}}while(0);t=t+1|0;u=a[d]|0}c[b>>2]=c[l>>2];wS(n);i=j;return}}while(0);j=Bd(4)|0;g0(j);vc(j|0,1690592,180)}function oW(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+80|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+72|0;q=j|0;a[q]=a[1684144]|0;a[q+1|0]=a[1684145]|0;a[q+2|0]=a[1684146]|0;a[q+3|0]=a[1684147]|0;a[q+4|0]=a[1684148]|0;a[q+5|0]=a[1684149]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=100}}while(0);u=k|0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);t=pW(u,12,c[432856]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==32){w=q}else if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;sT(o,f);qW(u,w,q,x,m,n,o);OR(c[o>>2]|0)|0;c[p>>2]=c[e>>2];UO(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function pW(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;g=i;i=i+16|0;h=g|0;j=h;c[j>>2]=f;c[j+4>>2]=0;j=gd(d|0)|0;d=hd(a|0,b|0,e|0,h|0)|0;if((j|0)==0){i=g;return d|0}gd(j|0)|0;i=g;return d|0}function qW(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[433214]|0)==-1)){c[m>>2]=1732856;c[m+4>>2]=18;c[m+8>>2]=0;hS(1732856,m,126)}m=(c[433215]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Bd(4)|0;r=q;g0(r);vc(q|0,1690592,180)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Bd(4)|0;r=q;g0(r);vc(q|0,1690592,180)}q=j;r=c[o>>2]|0;if(!((c[433118]|0)==-1)){c[l>>2]=1732472;c[l+4>>2]=18;c[l+8>>2]=0;hS(1732472,l,126)}l=(c[433119]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Bd(4)|0;t=s;g0(t);vc(s|0,1690592,180)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Bd(4)|0;t=s;g0(t);vc(s|0,1690592,180)}s=r;Xd[c[(c[r>>2]|0)+20>>2]&127](n,s);t=n;l=a[t]|0;if((l&1)==0){u=(l&255)>>>1}else{u=c[n+4>>2]|0}do{if((u|0)==0){le[c[(c[j>>2]|0)+32>>2]&127](q,b,e,f)|0;c[h>>2]=f+(e-b)}else{c[h>>2]=f;l=a[b]|0;if((l<<24>>24|0)==45|(l<<24>>24|0)==43){o=ie[c[(c[j>>2]|0)+28>>2]&127](q,l)|0;l=c[h>>2]|0;c[h>>2]=l+1;a[l]=o;v=b+1|0}else{v=b}do{if((e-v|0)>1){if((a[v]|0)!=48){w=v;break}o=v+1|0;l=a[o]|0;if(!((l<<24>>24|0)==120|(l<<24>>24|0)==88)){w=v;break}l=j;m=ie[c[(c[l>>2]|0)+28>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+1;a[p]=m;m=ie[c[(c[l>>2]|0)+28>>2]&127](q,a[o]|0)|0;o=c[h>>2]|0;c[h>>2]=o+1;a[o]=m;w=v+2|0}else{w=v}}while(0);do{if((w|0)!=(e|0)){m=e-1|0;if(m>>>0>w>>>0){x=w;y=m}else{break}do{m=a[x]|0;a[x]=a[y]|0;a[y]=m;x=x+1|0;y=y-1|0;}while(x>>>0<y>>>0)}}while(0);m=Zd[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(w>>>0<e>>>0){o=n+1|0;l=j;p=n+4|0;z=n+8|0;A=0;B=0;C=w;while(1){D=(a[t]&1)==0;do{if((a[(D?o:c[z>>2]|0)+B|0]|0)==0){E=B;F=A}else{if((A|0)!=(a[(D?o:c[z>>2]|0)+B|0]|0)){E=B;F=A;break}G=c[h>>2]|0;c[h>>2]=G+1;a[G]=m;G=a[t]|0;if((G&1)==0){H=(G&255)>>>1}else{H=c[p>>2]|0}E=(B>>>0<(H-1|0)>>>0)+B|0;F=0}}while(0);D=ie[c[(c[l>>2]|0)+28>>2]&127](q,a[C]|0)|0;G=c[h>>2]|0;c[h>>2]=G+1;a[G]=D;D=C+1|0;if(D>>>0<e>>>0){A=F+1|0;B=E;C=D}else{break}}}C=f+(w-b)|0;B=c[h>>2]|0;if((C|0)==(B|0)){break}A=B-1|0;if(A>>>0>C>>>0){I=C;J=A}else{break}do{A=a[I]|0;a[I]=a[J]|0;a[J]=A;I=I+1|0;J=J-1|0;}while(I>>>0<J>>>0)}}while(0);if((d|0)==(e|0)){K=c[h>>2]|0;c[g>>2]=K;wS(n);i=k;return}else{K=f+(d-b)|0;c[g>>2]=K;wS(n);i=k;return}}function rW(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+112|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+80|0;o=d+88|0;p=d+96|0;q=d+104|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=100}}while(0);u=l|0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);t=pW(u,22,c[432856]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;sT(p,f);qW(u,w,r,x,n,o,p);OR(c[p>>2]|0)|0;c[q>>2]=c[e>>2];UO(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function sW(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+80|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+72|0;q=j|0;a[q]=a[1684144]|0;a[q+1|0]=a[1684145]|0;a[q+2|0]=a[1684146]|0;a[q+3|0]=a[1684147]|0;a[q+4|0]=a[1684148]|0;a[q+5|0]=a[1684149]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=117}}while(0);u=k|0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);v=pW(u,12,c[432856]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+v|0;h=c[s>>2]&176;do{if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else if((h|0)==32){w=q}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;sT(o,f);qW(u,w,q,x,m,n,o);OR(c[o>>2]|0)|0;c[p>>2]=c[e>>2];UO(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function tW(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+112|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+80|0;o=d+88|0;p=d+96|0;q=d+104|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=117}}while(0);u=l|0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);v=pW(u,23,c[432856]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+v|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;sT(p,f);qW(u,w,r,x,n,o,p);OR(c[p>>2]|0)|0;c[q>>2]=c[e>>2];UO(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function uW(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+152|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+112|0;p=d+120|0;q=d+128|0;r=d+136|0;s=d+144|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){if((k&1|0)==0){a[x]=97;y=0;break}else{a[x]=65;y=0;break}}else{a[x]=46;v=x+2|0;a[x+1|0]=42;if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);l=c[432856]|0;if(y){w=pW(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=pW(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[1733416]|0)==0;if(y){do{if(w){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);l=vW(m,c[432856]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);w=vW(m,c[432856]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}O0();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else if((B|0)==32){F=A}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=B0(C<<1)|0;if((G|0)!=0){H=G;I=G;J=E;break}O0();H=0;I=0;J=c[m>>2]|0}}while(0);sT(q,f);wW(J,F,A,H,o,p,q);OR(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];UO(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){C0(I)}if((D|0)==0){i=d;return}C0(D);i=d;return}function vW(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+16|0;g=f|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=gd(b|0)|0;b=Jb(a|0,d|0,g|0)|0;if((h|0)==0){i=f;return b|0}gd(h|0)|0;i=f;return b|0}function wW(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[433214]|0)==-1)){c[m>>2]=1732856;c[m+4>>2]=18;c[m+8>>2]=0;hS(1732856,m,126)}m=(c[433215]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Bd(4)|0;r=q;g0(r);vc(q|0,1690592,180)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Bd(4)|0;r=q;g0(r);vc(q|0,1690592,180)}q=j;r=c[o>>2]|0;if(!((c[433118]|0)==-1)){c[l>>2]=1732472;c[l+4>>2]=18;c[l+8>>2]=0;hS(1732472,l,126)}l=(c[433119]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Bd(4)|0;t=s;g0(t);vc(s|0,1690592,180)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Bd(4)|0;t=s;g0(t);vc(s|0,1690592,180)}s=r;Xd[c[(c[r>>2]|0)+20>>2]&127](n,s);c[h>>2]=f;t=a[b]|0;if((t<<24>>24|0)==45|(t<<24>>24|0)==43){l=ie[c[(c[j>>2]|0)+28>>2]&127](q,t)|0;t=c[h>>2]|0;c[h>>2]=t+1;a[t]=l;u=b+1|0}else{u=b}l=e;a:do{if((l-u|0)>1){if((a[u]|0)!=48){v=u;w=34;break}t=u+1|0;o=a[t]|0;if(!((o<<24>>24|0)==120|(o<<24>>24|0)==88)){v=u;w=34;break}o=j;m=ie[c[(c[o>>2]|0)+28>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+1;a[p]=m;m=u+2|0;p=ie[c[(c[o>>2]|0)+28>>2]&127](q,a[t]|0)|0;t=c[h>>2]|0;c[h>>2]=t+1;a[t]=p;p=m;while(1){if(!(p>>>0<e>>>0)){x=m;y=p;break a}t=a[p]|0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);if((ib(t<<24>>24|0,c[432856]|0)|0)==0){x=m;y=p;break}else{p=p+1|0}}}else{v=u;w=34}}while(0);b:do{if((w|0)==34){while(1){w=0;if(!(v>>>0<e>>>0)){x=u;y=v;break b}p=a[v]|0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);if((Ib(p<<24>>24|0,c[432856]|0)|0)==0){x=u;y=v;break}else{v=v+1|0;w=34}}}}while(0);w=n;v=a[w]|0;if((v&1)==0){z=(v&255)>>>1}else{z=c[n+4>>2]|0}do{if((z|0)==0){le[c[(c[j>>2]|0)+32>>2]&127](q,x,y,c[h>>2]|0)|0;c[h>>2]=(c[h>>2]|0)+(y-x)}else{do{if((x|0)!=(y|0)){v=y-1|0;if(v>>>0>x>>>0){A=x;B=v}else{break}do{v=a[A]|0;a[A]=a[B]|0;a[B]=v;A=A+1|0;B=B-1|0;}while(A>>>0<B>>>0)}}while(0);p=Zd[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<y>>>0){v=n+1|0;u=n+4|0;t=n+8|0;m=j;o=0;C=0;D=x;while(1){E=(a[w]&1)==0;do{if((a[(E?v:c[t>>2]|0)+C|0]|0)>0){if((o|0)!=(a[(E?v:c[t>>2]|0)+C|0]|0)){F=C;G=o;break}H=c[h>>2]|0;c[h>>2]=H+1;a[H]=p;H=a[w]|0;if((H&1)==0){I=(H&255)>>>1}else{I=c[u>>2]|0}F=(C>>>0<(I-1|0)>>>0)+C|0;G=0}else{F=C;G=o}}while(0);E=ie[c[(c[m>>2]|0)+28>>2]&127](q,a[D]|0)|0;H=c[h>>2]|0;c[h>>2]=H+1;a[H]=E;E=D+1|0;if(E>>>0<y>>>0){o=G+1|0;C=F;D=E}else{break}}}D=f+(x-b)|0;C=c[h>>2]|0;if((D|0)==(C|0)){break}o=C-1|0;if(o>>>0>D>>>0){J=D;K=o}else{break}do{o=a[J]|0;a[J]=a[K]|0;a[K]=o;J=J+1|0;K=K-1|0;}while(J>>>0<K>>>0)}}while(0);c:do{if(y>>>0<e>>>0){K=j;J=y;while(1){x=a[J]|0;if(x<<24>>24==46){break}F=ie[c[(c[K>>2]|0)+28>>2]&127](q,x)|0;x=c[h>>2]|0;c[h>>2]=x+1;a[x]=F;F=J+1|0;if(F>>>0<e>>>0){J=F}else{L=F;break c}}K=Zd[c[(c[r>>2]|0)+12>>2]&255](s)|0;F=c[h>>2]|0;c[h>>2]=F+1;a[F]=K;L=J+1|0}else{L=y}}while(0);le[c[(c[j>>2]|0)+32>>2]&127](q,L,e,c[h>>2]|0)|0;q=(c[h>>2]|0)+(l-L)|0;c[h>>2]=q;if((d|0)==(e|0)){M=q;c[g>>2]=M;wS(n);i=k;return}M=f+(d-b)|0;c[g>>2]=M;wS(n);i=k;return}function xW(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+152|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+112|0;p=d+120|0;q=d+128|0;r=d+136|0;s=d+144|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){a[x]=76;v=x+1|0;if((k&1|0)==0){a[v]=97;y=0;break}else{a[v]=65;y=0;break}}else{a[x]=46;a[x+1|0]=42;a[x+2|0]=76;v=x+3|0;if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);l=c[432856]|0;if(y){w=pW(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=pW(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[1733416]|0)==0;if(y){do{if(w){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);l=vW(m,c[432856]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);w=vW(m,c[432856]|0,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}O0();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==32){F=A}else if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=B0(C<<1)|0;if((G|0)!=0){H=G;I=G;J=E;break}O0();H=0;I=0;J=c[m>>2]|0}}while(0);sT(q,f);wW(J,F,A,H,o,p,q);OR(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];UO(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){C0(I)}if((D|0)==0){i=d;return}C0(D);i=d;return}function yW(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=i;i=i+104|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+24|0;l=d+48|0;m=d+88|0;n=d+96|0;o=d+16|0;a[o]=a[1684152]|0;a[o+1|0]=a[1684153]|0;a[o+2|0]=a[1684154]|0;a[o+3|0]=a[1684155]|0;a[o+4|0]=a[1684156]|0;a[o+5|0]=a[1684157]|0;p=k|0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);q=pW(p,20,c[432856]|0,o,(o=i,i=i+8|0,c[o>>2]=h,o)|0)|0;i=o;o=k+q|0;h=c[f+4>>2]&176;do{if((h|0)==16){r=a[p]|0;if((r<<24>>24|0)==45|(r<<24>>24|0)==43){s=k+1|0;break}if(!((q|0)>1&r<<24>>24==48)){t=12;break}r=a[k+1|0]|0;if(!((r<<24>>24|0)==120|(r<<24>>24|0)==88)){t=12;break}s=k+2|0}else if((h|0)==32){s=o}else{t=12}}while(0);if((t|0)==12){s=p}sT(m,f);t=m|0;m=c[t>>2]|0;if(!((c[433214]|0)==-1)){c[j>>2]=1732856;c[j+4>>2]=18;c[j+8>>2]=0;hS(1732856,j,126)}j=(c[433215]|0)-1|0;h=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-h>>2>>>0>j>>>0){r=c[h+(j<<2)>>2]|0;if((r|0)==0){break}OR(c[t>>2]|0)|0;u=l|0;le[c[(c[r>>2]|0)+32>>2]&127](r,p,o,u)|0;r=l+q|0;if((s|0)==(o|0)){v=r;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;UO(b,n,u,v,r,f,g);i=d;return}v=l+(s-k)|0;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;UO(b,n,u,v,r,f,g);i=d;return}}while(0);d=Bd(4)|0;g0(d);vc(d|0,1690592,180)}function zW(a){a=a|0;MR(a|0);J0(a);return}function AW(a){a=a|0;MR(a|0);return}function BW(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;j=i;i=i+48|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+16|0;m=j+24|0;n=j+32|0;if((c[f+4>>2]&1|0)==0){o=c[(c[d>>2]|0)+24>>2]|0;c[l>>2]=c[e>>2];ce[o&63](b,d,l,f,g,h&1);i=j;return}sT(m,f);f=m|0;m=c[f>>2]|0;if(!((c[433116]|0)==-1)){c[k>>2]=1732464;c[k+4>>2]=18;c[k+8>>2]=0;hS(1732464,k,126)}k=(c[433117]|0)-1|0;g=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-g>>2>>>0>k>>>0){l=c[g+(k<<2)>>2]|0;if((l|0)==0){break}d=l;OR(c[f>>2]|0)|0;o=c[l>>2]|0;if(h){Xd[c[o+24>>2]&127](n,d)}else{Xd[c[o+28>>2]&127](n,d)}d=n;o=a[d]|0;if((o&1)==0){l=n+4|0;p=l;q=l;r=n+8|0}else{l=n+8|0;p=c[l>>2]|0;q=n+4|0;r=l}l=e|0;s=p;t=o;while(1){if((t&1)==0){u=(t&255)>>>1;v=q}else{u=c[q>>2]|0;v=c[r>>2]|0}if((s|0)==(v+(u<<2)|0)){break}o=c[s>>2]|0;w=c[l>>2]|0;do{if((w|0)!=0){x=w+24|0;y=c[x>>2]|0;if((y|0)==(c[w+28>>2]|0)){z=ie[c[(c[w>>2]|0)+52>>2]&127](w,o)|0}else{c[x>>2]=y+4;c[y>>2]=o;z=o}if(!((z|0)==-1)){break}c[l>>2]=0}}while(0);s=s+4|0;t=a[d]|0}c[b>>2]=c[l>>2];_S(n);i=j;return}}while(0);j=Bd(4)|0;g0(j);vc(j|0,1690592,180)}function CW(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+144|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+112|0;n=d+120|0;o=d+128|0;p=d+136|0;q=j|0;a[q]=a[1684144]|0;a[q+1|0]=a[1684145]|0;a[q+2|0]=a[1684146]|0;a[q+3|0]=a[1684147]|0;a[q+4|0]=a[1684148]|0;a[q+5|0]=a[1684149]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=100}}while(0);u=k|0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);v=pW(u,12,c[432856]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+v|0;h=c[s>>2]&176;do{if((h|0)==32){w=q}else if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;sT(o,f);DW(u,w,q,x,m,n,o);OR(c[o>>2]|0)|0;c[p>>2]=c[e>>2];EW(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function DW(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[433212]|0)==-1)){c[m>>2]=1732848;c[m+4>>2]=18;c[m+8>>2]=0;hS(1732848,m,126)}m=(c[433213]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Bd(4)|0;r=q;g0(r);vc(q|0,1690592,180)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Bd(4)|0;r=q;g0(r);vc(q|0,1690592,180)}q=j;r=c[o>>2]|0;if(!((c[433116]|0)==-1)){c[l>>2]=1732464;c[l+4>>2]=18;c[l+8>>2]=0;hS(1732464,l,126)}l=(c[433117]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Bd(4)|0;t=s;g0(t);vc(s|0,1690592,180)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Bd(4)|0;t=s;g0(t);vc(s|0,1690592,180)}s=r;Xd[c[(c[r>>2]|0)+20>>2]&127](n,s);t=n;l=a[t]|0;if((l&1)==0){u=(l&255)>>>1}else{u=c[n+4>>2]|0}do{if((u|0)==0){le[c[(c[j>>2]|0)+48>>2]&127](q,b,e,f)|0;l=f+(e-b<<2)|0;c[h>>2]=l;v=l}else{c[h>>2]=f;l=a[b]|0;if((l<<24>>24|0)==45|(l<<24>>24|0)==43){o=ie[c[(c[j>>2]|0)+44>>2]&127](q,l)|0;l=c[h>>2]|0;c[h>>2]=l+4;c[l>>2]=o;w=b+1|0}else{w=b}do{if((e-w|0)>1){if((a[w]|0)!=48){x=w;break}o=w+1|0;l=a[o]|0;if(!((l<<24>>24|0)==120|(l<<24>>24|0)==88)){x=w;break}l=j;m=ie[c[(c[l>>2]|0)+44>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+4;c[p>>2]=m;m=ie[c[(c[l>>2]|0)+44>>2]&127](q,a[o]|0)|0;o=c[h>>2]|0;c[h>>2]=o+4;c[o>>2]=m;x=w+2|0}else{x=w}}while(0);do{if((x|0)!=(e|0)){m=e-1|0;if(m>>>0>x>>>0){y=x;z=m}else{break}do{m=a[y]|0;a[y]=a[z]|0;a[z]=m;y=y+1|0;z=z-1|0;}while(y>>>0<z>>>0)}}while(0);m=Zd[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<e>>>0){o=n+1|0;l=j;p=n+4|0;A=n+8|0;B=0;C=0;D=x;while(1){E=(a[t]&1)==0;do{if((a[(E?o:c[A>>2]|0)+C|0]|0)==0){F=C;G=B}else{if((B|0)!=(a[(E?o:c[A>>2]|0)+C|0]|0)){F=C;G=B;break}H=c[h>>2]|0;c[h>>2]=H+4;c[H>>2]=m;H=a[t]|0;if((H&1)==0){I=(H&255)>>>1}else{I=c[p>>2]|0}F=(C>>>0<(I-1|0)>>>0)+C|0;G=0}}while(0);E=ie[c[(c[l>>2]|0)+44>>2]&127](q,a[D]|0)|0;H=c[h>>2]|0;J=H+4|0;c[h>>2]=J;c[H>>2]=E;E=D+1|0;if(E>>>0<e>>>0){B=G+1|0;C=F;D=E}else{K=J;break}}}else{K=c[h>>2]|0}D=f+(x-b<<2)|0;if((D|0)==(K|0)){v=K;break}C=K-4|0;if(C>>>0>D>>>0){L=D;M=C}else{v=K;break}while(1){C=c[L>>2]|0;c[L>>2]=c[M>>2];c[M>>2]=C;C=L+4|0;D=M-4|0;if(C>>>0<D>>>0){L=C;M=D}else{v=K;break}}}}while(0);if((d|0)==(e|0)){N=v;c[g>>2]=N;wS(n);i=k;return}N=f+(d-b<<2)|0;c[g>>2]=N;wS(n);i=k;return}function EW(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=k|0;m=d|0;d=c[m>>2]|0;if((d|0)==0){c[b>>2]=0;i=k;return}n=g;g=e;o=n-g>>2;p=h+12|0;h=c[p>>2]|0;q=(h|0)>(o|0)?h-o|0:0;o=f;h=o-g|0;g=h>>2;do{if((h|0)>0){if(($d[c[(c[d>>2]|0)+48>>2]&127](d,e,g)|0)==(g|0)){break}c[m>>2]=0;c[b>>2]=0;i=k;return}}while(0);do{if((q|0)>0){ZS(l,q,j);if((a[l]&1)==0){r=l+4|0}else{r=c[l+8>>2]|0}if(($d[c[(c[d>>2]|0)+48>>2]&127](d,r,q)|0)==(q|0)){_S(l);break}c[m>>2]=0;c[b>>2]=0;_S(l);i=k;return}}while(0);l=n-o|0;o=l>>2;do{if((l|0)>0){if(($d[c[(c[d>>2]|0)+48>>2]&127](d,f,o)|0)==(o|0)){break}c[m>>2]=0;c[b>>2]=0;i=k;return}}while(0);c[p>>2]=0;c[b>>2]=d;i=k;return}function FW(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+232|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+200|0;o=d+208|0;p=d+216|0;q=d+224|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=100}}while(0);u=l|0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);t=pW(u,22,c[432856]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==32){w=r}else if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;sT(p,f);DW(u,w,r,x,n,o,p);OR(c[p>>2]|0)|0;c[q>>2]=c[e>>2];EW(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function GW(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+144|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+112|0;n=d+120|0;o=d+128|0;p=d+136|0;q=j|0;a[q]=a[1684144]|0;a[q+1|0]=a[1684145]|0;a[q+2|0]=a[1684146]|0;a[q+3|0]=a[1684147]|0;a[q+4|0]=a[1684148]|0;a[q+5|0]=a[1684149]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=117}}while(0);u=k|0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);v=pW(u,12,c[432856]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+v|0;h=c[s>>2]&176;do{if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else if((h|0)==32){w=q}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;sT(o,f);DW(u,w,q,x,m,n,o);OR(c[o>>2]|0)|0;c[p>>2]=c[e>>2];EW(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function HW(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+240|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+208|0;o=d+216|0;p=d+224|0;q=d+232|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=117}}while(0);u=l|0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);v=pW(u,23,c[432856]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+v|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;sT(p,f);DW(u,w,r,x,n,o,p);OR(c[p>>2]|0)|0;c[q>>2]=c[e>>2];EW(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function IW(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+320|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+280|0;p=d+288|0;q=d+296|0;r=d+304|0;s=d+312|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){if((k&1|0)==0){a[x]=97;y=0;break}else{a[x]=65;y=0;break}}else{a[x]=46;v=x+2|0;a[x+1|0]=42;if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);l=c[432856]|0;if(y){w=pW(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=pW(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[1733416]|0)==0;if(y){do{if(w){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);l=vW(m,c[432856]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);w=vW(m,c[432856]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}O0();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else if((B|0)==32){F=A}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=B0(C<<3)|0;B=G;if((G|0)!=0){H=B;I=B;J=E;break}O0();H=B;I=B;J=c[m>>2]|0}}while(0);sT(q,f);JW(J,F,A,H,o,p,q);OR(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];EW(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){C0(I)}if((D|0)==0){i=d;return}C0(D);i=d;return}function JW(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[433212]|0)==-1)){c[m>>2]=1732848;c[m+4>>2]=18;c[m+8>>2]=0;hS(1732848,m,126)}m=(c[433213]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Bd(4)|0;r=q;g0(r);vc(q|0,1690592,180)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Bd(4)|0;r=q;g0(r);vc(q|0,1690592,180)}q=j;r=c[o>>2]|0;if(!((c[433116]|0)==-1)){c[l>>2]=1732464;c[l+4>>2]=18;c[l+8>>2]=0;hS(1732464,l,126)}l=(c[433117]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Bd(4)|0;t=s;g0(t);vc(s|0,1690592,180)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Bd(4)|0;t=s;g0(t);vc(s|0,1690592,180)}s=r;Xd[c[(c[r>>2]|0)+20>>2]&127](n,s);c[h>>2]=f;t=a[b]|0;if((t<<24>>24|0)==45|(t<<24>>24|0)==43){l=ie[c[(c[j>>2]|0)+44>>2]&127](q,t)|0;t=c[h>>2]|0;c[h>>2]=t+4;c[t>>2]=l;u=b+1|0}else{u=b}l=e;a:do{if((l-u|0)>1){if((a[u]|0)!=48){v=u;w=34;break}t=u+1|0;o=a[t]|0;if(!((o<<24>>24|0)==120|(o<<24>>24|0)==88)){v=u;w=34;break}o=j;m=ie[c[(c[o>>2]|0)+44>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+4;c[p>>2]=m;m=u+2|0;p=ie[c[(c[o>>2]|0)+44>>2]&127](q,a[t]|0)|0;t=c[h>>2]|0;c[h>>2]=t+4;c[t>>2]=p;p=m;while(1){if(!(p>>>0<e>>>0)){x=m;y=p;break a}t=a[p]|0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);if((ib(t<<24>>24|0,c[432856]|0)|0)==0){x=m;y=p;break}else{p=p+1|0}}}else{v=u;w=34}}while(0);b:do{if((w|0)==34){while(1){w=0;if(!(v>>>0<e>>>0)){x=u;y=v;break b}p=a[v]|0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);if((Ib(p<<24>>24|0,c[432856]|0)|0)==0){x=u;y=v;break}else{v=v+1|0;w=34}}}}while(0);w=n;v=a[w]|0;if((v&1)==0){z=(v&255)>>>1}else{z=c[n+4>>2]|0}do{if((z|0)==0){le[c[(c[j>>2]|0)+48>>2]&127](q,x,y,c[h>>2]|0)|0;v=(c[h>>2]|0)+(y-x<<2)|0;c[h>>2]=v;A=v}else{do{if((x|0)!=(y|0)){v=y-1|0;if(v>>>0>x>>>0){B=x;C=v}else{break}do{v=a[B]|0;a[B]=a[C]|0;a[C]=v;B=B+1|0;C=C-1|0;}while(B>>>0<C>>>0)}}while(0);p=Zd[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<y>>>0){v=n+1|0;u=n+4|0;t=n+8|0;m=j;o=0;D=0;E=x;while(1){F=(a[w]&1)==0;do{if((a[(F?v:c[t>>2]|0)+D|0]|0)>0){if((o|0)!=(a[(F?v:c[t>>2]|0)+D|0]|0)){G=D;H=o;break}I=c[h>>2]|0;c[h>>2]=I+4;c[I>>2]=p;I=a[w]|0;if((I&1)==0){J=(I&255)>>>1}else{J=c[u>>2]|0}G=(D>>>0<(J-1|0)>>>0)+D|0;H=0}else{G=D;H=o}}while(0);F=ie[c[(c[m>>2]|0)+44>>2]&127](q,a[E]|0)|0;I=c[h>>2]|0;K=I+4|0;c[h>>2]=K;c[I>>2]=F;F=E+1|0;if(F>>>0<y>>>0){o=H+1|0;D=G;E=F}else{L=K;break}}}else{L=c[h>>2]|0}E=f+(x-b<<2)|0;if((E|0)==(L|0)){A=L;break}D=L-4|0;if(D>>>0>E>>>0){M=E;N=D}else{A=L;break}while(1){D=c[M>>2]|0;c[M>>2]=c[N>>2];c[N>>2]=D;D=M+4|0;E=N-4|0;if(D>>>0<E>>>0){M=D;N=E}else{A=L;break}}}}while(0);c:do{if(y>>>0<e>>>0){L=j;N=y;while(1){M=a[N]|0;if(M<<24>>24==46){break}x=ie[c[(c[L>>2]|0)+44>>2]&127](q,M)|0;M=c[h>>2]|0;G=M+4|0;c[h>>2]=G;c[M>>2]=x;x=N+1|0;if(x>>>0<e>>>0){N=x}else{O=x;P=G;break c}}L=Zd[c[(c[r>>2]|0)+12>>2]&255](s)|0;G=c[h>>2]|0;x=G+4|0;c[h>>2]=x;c[G>>2]=L;O=N+1|0;P=x}else{O=y;P=A}}while(0);le[c[(c[j>>2]|0)+48>>2]&127](q,O,e,P)|0;P=(c[h>>2]|0)+(l-O<<2)|0;c[h>>2]=P;if((d|0)==(e|0)){Q=P;c[g>>2]=Q;wS(n);i=k;return}Q=f+(d-b<<2)|0;c[g>>2]=Q;wS(n);i=k;return}function KW(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+320|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+280|0;p=d+288|0;q=d+296|0;r=d+304|0;s=d+312|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){a[x]=76;v=x+1|0;if((k&1|0)==0){a[v]=97;y=0;break}else{a[v]=65;y=0;break}}else{a[x]=46;a[x+1|0]=42;a[x+2|0]=76;v=x+3|0;if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);l=c[432856]|0;if(y){w=pW(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=pW(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[1733416]|0)==0;if(y){do{if(w){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);l=vW(m,c[432856]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);w=vW(m,c[432856]|0,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}O0();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==32){F=A}else if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=B0(C<<3)|0;B=G;if((G|0)!=0){H=B;I=B;J=E;break}O0();H=B;I=B;J=c[m>>2]|0}}while(0);sT(q,f);JW(J,F,A,H,o,p,q);OR(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];EW(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){C0(I)}if((D|0)==0){i=d;return}C0(D);i=d;return}function LW(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=i;i=i+216|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+24|0;l=d+48|0;m=d+200|0;n=d+208|0;o=d+16|0;a[o]=a[1684152]|0;a[o+1|0]=a[1684153]|0;a[o+2|0]=a[1684154]|0;a[o+3|0]=a[1684155]|0;a[o+4|0]=a[1684156]|0;a[o+5|0]=a[1684157]|0;p=k|0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);q=pW(p,20,c[432856]|0,o,(o=i,i=i+8|0,c[o>>2]=h,o)|0)|0;i=o;o=k+q|0;h=c[f+4>>2]&176;do{if((h|0)==32){r=o}else if((h|0)==16){s=a[p]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){r=k+1|0;break}if(!((q|0)>1&s<<24>>24==48)){t=12;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){t=12;break}r=k+2|0}else{t=12}}while(0);if((t|0)==12){r=p}sT(m,f);t=m|0;m=c[t>>2]|0;if(!((c[433212]|0)==-1)){c[j>>2]=1732848;c[j+4>>2]=18;c[j+8>>2]=0;hS(1732848,j,126)}j=(c[433213]|0)-1|0;h=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-h>>2>>>0>j>>>0){s=c[h+(j<<2)>>2]|0;if((s|0)==0){break}OR(c[t>>2]|0)|0;u=l|0;le[c[(c[s>>2]|0)+48>>2]&127](s,p,o,u)|0;s=l+(q<<2)|0;if((r|0)==(o|0)){v=s;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;EW(b,n,u,v,s,f,g);i=d;return}v=l+(r-k<<2)|0;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;EW(b,n,u,v,s,f,g);i=d;return}}while(0);d=Bd(4)|0;g0(d);vc(d|0,1690592,180)}function MW(d,e,f,g,h,j,k,l,m){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;n=i;i=i+48|0;o=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[o>>2];o=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[o>>2];o=n|0;p=n+16|0;q=n+24|0;r=n+32|0;s=n+40|0;sT(p,h);t=p|0;p=c[t>>2]|0;if(!((c[433214]|0)==-1)){c[o>>2]=1732856;c[o+4>>2]=18;c[o+8>>2]=0;hS(1732856,o,126)}o=(c[433215]|0)-1|0;u=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-u>>2>>>0>o>>>0){v=c[u+(o<<2)>>2]|0;if((v|0)==0){break}w=v;OR(c[t>>2]|0)|0;c[j>>2]=0;x=f|0;a:do{if((l|0)==(m|0)){y=67}else{z=g|0;A=v;B=v;C=v+8|0;D=e;E=r|0;F=s|0;G=q|0;H=l;I=0;b:while(1){J=I;while(1){if((J|0)!=0){y=67;break a}K=c[x>>2]|0;do{if((K|0)==0){L=0}else{if((c[K+12>>2]|0)!=(c[K+16>>2]|0)){L=K;break}if(!((Zd[c[(c[K>>2]|0)+36>>2]&255](K)|0)==-1)){L=K;break}c[x>>2]=0;L=0}}while(0);K=(L|0)==0;M=c[z>>2]|0;c:do{if((M|0)==0){y=20}else{do{if((c[M+12>>2]|0)==(c[M+16>>2]|0)){if(!((Zd[c[(c[M>>2]|0)+36>>2]&255](M)|0)==-1)){break}c[z>>2]=0;y=20;break c}}while(0);if(K){N=M}else{y=21;break b}}}while(0);if((y|0)==20){y=0;if(K){y=21;break b}else{N=0}}if(($d[c[(c[A>>2]|0)+36>>2]&127](w,a[H]|0,0)|0)<<24>>24==37){y=24;break}M=a[H]|0;if(!(M<<24>>24<0)){O=c[C>>2]|0;if(!((b[O+(M<<24>>24<<1)>>1]&8192)==0)){P=H;y=35;break}}Q=L+12|0;M=c[Q>>2]|0;R=L+16|0;if((M|0)==(c[R>>2]|0)){S=(Zd[c[(c[L>>2]|0)+36>>2]&255](L)|0)&255}else{S=a[M]|0}M=ie[c[(c[B>>2]|0)+12>>2]&127](w,S)|0;if(M<<24>>24==(ie[c[(c[B>>2]|0)+12>>2]&127](w,a[H]|0)|0)<<24>>24){y=62;break}c[j>>2]=4;J=4}d:do{if((y|0)==24){y=0;J=H+1|0;if((J|0)==(m|0)){y=25;break b}M=$d[c[(c[A>>2]|0)+36>>2]&127](w,a[J]|0,0)|0;if((M<<24>>24|0)==69|(M<<24>>24|0)==48){T=H+2|0;if((T|0)==(m|0)){y=28;break b}U=M;V=$d[c[(c[A>>2]|0)+36>>2]&127](w,a[T]|0,0)|0;W=T}else{U=0;V=M;W=J}J=c[(c[D>>2]|0)+36>>2]|0;c[E>>2]=L;c[F>>2]=N;he[J&7](q,e,r,s,h,j,k,V,U);c[x>>2]=c[G>>2];X=W+1|0}else if((y|0)==35){while(1){y=0;J=P+1|0;if((J|0)==(m|0)){Y=m;break}M=a[J]|0;if(M<<24>>24<0){Y=J;break}if((b[O+(M<<24>>24<<1)>>1]&8192)==0){Y=J;break}else{P=J;y=35}}K=L;J=N;M=N;while(1){do{if((K|0)==0){Z=0}else{if((c[K+12>>2]|0)!=(c[K+16>>2]|0)){Z=K;break}if(!((Zd[c[(c[K>>2]|0)+36>>2]&255](K)|0)==-1)){Z=K;break}c[x>>2]=0;Z=0}}while(0);T=(Z|0)==0;do{if((J|0)==0){_=M;y=48}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(T){$=J;aa=M;break}else{X=Y;break d}}if((Zd[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[z>>2]=0;_=0;y=48;break}else{if(T^(M|0)==0){$=M;aa=M;break}else{X=Y;break d}}}}while(0);if((y|0)==48){y=0;if(T){X=Y;break d}else{$=0;aa=_}}ba=Z+12|0;ca=c[ba>>2]|0;da=Z+16|0;if((ca|0)==(c[da>>2]|0)){ea=(Zd[c[(c[Z>>2]|0)+36>>2]&255](Z)|0)&255}else{ea=a[ca]|0}if(ea<<24>>24<0){X=Y;break d}if((b[(c[C>>2]|0)+(ea<<24>>24<<1)>>1]&8192)==0){X=Y;break d}ca=c[ba>>2]|0;if((ca|0)==(c[da>>2]|0)){Zd[c[(c[Z>>2]|0)+40>>2]&255](Z)|0;K=Z;J=$;M=aa;continue}else{c[ba>>2]=ca+1;K=Z;J=$;M=aa;continue}}}else if((y|0)==62){y=0;M=c[Q>>2]|0;if((M|0)==(c[R>>2]|0)){Zd[c[(c[L>>2]|0)+40>>2]&255](L)|0}else{c[Q>>2]=M+1}X=H+1|0}}while(0);if((X|0)==(m|0)){y=67;break a}H=X;I=c[j>>2]|0}if((y|0)==21){c[j>>2]=4;fa=L;break}else if((y|0)==25){c[j>>2]=4;fa=L;break}else if((y|0)==28){c[j>>2]=4;fa=L;break}}}while(0);if((y|0)==67){fa=c[x>>2]|0}w=f|0;do{if((fa|0)==0){ga=0}else{if((c[fa+12>>2]|0)!=(c[fa+16>>2]|0)){ga=fa;break}if(!((Zd[c[(c[fa>>2]|0)+36>>2]&255](fa)|0)==-1)){ga=fa;break}c[w>>2]=0;ga=0}}while(0);w=(ga|0)==0;x=g|0;v=c[x>>2]|0;e:do{if((v|0)==0){y=77}else{do{if((c[v+12>>2]|0)==(c[v+16>>2]|0)){if(!((Zd[c[(c[v>>2]|0)+36>>2]&255](v)|0)==-1)){break}c[x>>2]=0;y=77;break e}}while(0);if(!w){break}ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);do{if((y|0)==77){if(w){break}ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);c[j>>2]=c[j>>2]|2;ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);n=Bd(4)|0;g0(n);vc(n|0,1690592,180)}function NW(a){a=a|0;MR(a|0);J0(a);return}function OW(a){a=a|0;MR(a|0);return}function PW(a){a=a|0;return 2}function QW(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;j=i;i=i+16|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;c[k>>2]=c[d>>2];c[l>>2]=c[e>>2];MW(a,b,k,l,f,g,h,1684136,1684144);i=j;return}function RW(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+8|0;n=d+8|0;o=Zd[c[(c[n>>2]|0)+20>>2]&255](n)|0;c[l>>2]=c[e>>2];c[m>>2]=c[f>>2];f=a[o]|0;if((f&1)==0){p=(f&255)>>>1;q=o+1|0;r=o+1|0}else{f=c[o+8>>2]|0;p=c[o+4>>2]|0;q=f;r=f}MW(b,d,l,m,g,h,j,q,r+p|0);i=k;return}function SW(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;sT(m,f);f=m|0;m=c[f>>2]|0;if(!((c[433214]|0)==-1)){c[l>>2]=1732856;c[l+4>>2]=18;c[l+8>>2]=0;hS(1732856,l,126)}l=(c[433215]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}OR(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Zd[c[c[q>>2]>>2]&255](q)|0;c[k>>2]=p;p=(nV(d,k,r,r+168|0,o,g,0)|0)-r|0;if((p|0)>=168){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+24>>2]=((p|0)/12|0|0)%7|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Bd(4)|0;g0(j);vc(j|0,1690592,180)}function TW(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;sT(m,f);f=m|0;m=c[f>>2]|0;if(!((c[433214]|0)==-1)){c[l>>2]=1732856;c[l+4>>2]=18;c[l+8>>2]=0;hS(1732856,l,126)}l=(c[433215]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}OR(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Zd[c[(c[q>>2]|0)+4>>2]&255](q)|0;c[k>>2]=p;p=(nV(d,k,r,r+288|0,o,g,0)|0)-r|0;if((p|0)>=288){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+16>>2]=((p|0)/12|0|0)%12|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Bd(4)|0;g0(j);vc(j|0,1690592,180)}function UW(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+32|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;l=b+24|0;sT(l,f);f=l|0;l=c[f>>2]|0;if(!((c[433214]|0)==-1)){c[k>>2]=1732856;c[k+4>>2]=18;c[k+8>>2]=0;hS(1732856,k,126)}k=(c[433215]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}OR(c[f>>2]|0)|0;c[j>>2]=c[e>>2];o=ZW(d,j,g,n,4)|0;if((c[g>>2]&4|0)!=0){p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}if((o|0)<69){s=o+2e3|0}else{s=(o-69|0)>>>0<31>>>0?o+1900|0:o}c[h+20>>2]=s-1900;p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}}while(0);b=Bd(4)|0;g0(b);vc(b|0,1690592,180)}function VW(b,d,e,f,g,h,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;l=i;i=i+328|0;m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[m>>2];m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+64|0;v=l+72|0;w=l+80|0;x=l+88|0;y=l+96|0;z=l+112|0;A=l+120|0;B=l+128|0;C=l+136|0;D=l+144|0;E=l+152|0;F=l+160|0;G=l+168|0;H=l+176|0;I=l+184|0;J=l+192|0;K=l+200|0;L=l+208|0;M=l+216|0;N=l+224|0;O=l+232|0;P=l+240|0;Q=l+248|0;R=l+256|0;S=l+264|0;T=l+272|0;U=l+280|0;V=l+288|0;W=l+296|0;X=l+304|0;Y=l+312|0;Z=l+320|0;c[h>>2]=0;sT(z,g);_=z|0;z=c[_>>2]|0;if(!((c[433214]|0)==-1)){c[y>>2]=1732856;c[y+4>>2]=18;c[y+8>>2]=0;hS(1732856,y,126)}y=(c[433215]|0)-1|0;$=c[z+8>>2]|0;do{if((c[z+12>>2]|0)-$>>2>>>0>y>>>0){aa=c[$+(y<<2)>>2]|0;if((aa|0)==0){break}ba=aa;OR(c[_>>2]|0)|0;a:do{switch(k<<24>>24|0){case 37:{c[Z>>2]=c[f>>2];YW(0,e,Z,h,ba);break};case 114:{aa=e|0;c[M>>2]=c[aa>>2];c[N>>2]=c[f>>2];MW(L,d,M,N,g,h,j,1684104,1684115);c[aa>>2]=c[L>>2];break};case 82:{aa=e|0;c[P>>2]=c[aa>>2];c[Q>>2]=c[f>>2];MW(O,d,P,Q,g,h,j,1684096,1684101);c[aa>>2]=c[O>>2];break};case 83:{c[p>>2]=c[f>>2];aa=ZW(e,p,h,ba,2)|0;ca=c[h>>2]|0;if((ca&4|0)==0&(aa|0)<61){c[j>>2]=aa;break a}else{c[h>>2]=ca|4;break a}break};case 68:{ca=e|0;c[E>>2]=c[ca>>2];c[F>>2]=c[f>>2];MW(D,d,E,F,g,h,j,1684128,1684136);c[ca>>2]=c[D>>2];break};case 98:case 66:case 104:{ca=c[f>>2]|0;aa=d+8|0;da=Zd[c[(c[aa>>2]|0)+4>>2]&255](aa)|0;c[w>>2]=ca;ca=(nV(e,w,da,da+288|0,ba,h,0)|0)-da|0;if((ca|0)>=288){break a}c[j+16>>2]=((ca|0)/12|0|0)%12|0;break};case 73:{ca=j+8|0;c[t>>2]=c[f>>2];da=ZW(e,t,h,ba,2)|0;aa=c[h>>2]|0;do{if((aa&4|0)==0){if(!((da-1|0)>>>0<12>>>0)){break}c[ca>>2]=da;break a}}while(0);c[h>>2]=aa|4;break};case 70:{da=e|0;c[H>>2]=c[da>>2];c[I>>2]=c[f>>2];MW(G,d,H,I,g,h,j,1684120,1684128);c[da>>2]=c[G>>2];break};case 121:{c[n>>2]=c[f>>2];da=ZW(e,n,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}if((da|0)<69){ea=da+2e3|0}else{ea=(da-69|0)>>>0<31>>>0?da+1900|0:da}c[j+20>>2]=ea-1900;break};case 100:case 101:{da=j+12|0;c[v>>2]=c[f>>2];ca=ZW(e,v,h,ba,2)|0;fa=c[h>>2]|0;do{if((fa&4|0)==0){if(!((ca-1|0)>>>0<31>>>0)){break}c[da>>2]=ca;break a}}while(0);c[h>>2]=fa|4;break};case 110:case 116:{c[J>>2]=c[f>>2];WW(0,e,J,h,ba);break};case 112:{c[K>>2]=c[f>>2];XW(d,j+8|0,e,K,h,ba);break};case 106:{c[s>>2]=c[f>>2];ca=ZW(e,s,h,ba,3)|0;da=c[h>>2]|0;if((da&4|0)==0&(ca|0)<366){c[j+28>>2]=ca;break a}else{c[h>>2]=da|4;break a}break};case 89:{c[m>>2]=c[f>>2];da=ZW(e,m,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}c[j+20>>2]=da-1900;break};case 88:{da=d+8|0;ca=Zd[c[(c[da>>2]|0)+24>>2]&255](da)|0;da=e|0;c[X>>2]=c[da>>2];c[Y>>2]=c[f>>2];aa=a[ca]|0;if((aa&1)==0){ga=(aa&255)>>>1;ha=ca+1|0;ia=ca+1|0}else{aa=c[ca+8>>2]|0;ga=c[ca+4>>2]|0;ha=aa;ia=aa}MW(W,d,X,Y,g,h,j,ha,ia+ga|0);c[da>>2]=c[W>>2];break};case 72:{c[u>>2]=c[f>>2];da=ZW(e,u,h,ba,2)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(da|0)<24){c[j+8>>2]=da;break a}else{c[h>>2]=aa|4;break a}break};case 109:{c[r>>2]=c[f>>2];aa=(ZW(e,r,h,ba,2)|0)-1|0;da=c[h>>2]|0;if((da&4|0)==0&(aa|0)<12){c[j+16>>2]=aa;break a}else{c[h>>2]=da|4;break a}break};case 99:{da=d+8|0;aa=Zd[c[(c[da>>2]|0)+12>>2]&255](da)|0;da=e|0;c[B>>2]=c[da>>2];c[C>>2]=c[f>>2];ca=a[aa]|0;if((ca&1)==0){ja=(ca&255)>>>1;ka=aa+1|0;la=aa+1|0}else{ca=c[aa+8>>2]|0;ja=c[aa+4>>2]|0;ka=ca;la=ca}MW(A,d,B,C,g,h,j,ka,la+ja|0);c[da>>2]=c[A>>2];break};case 77:{c[q>>2]=c[f>>2];da=ZW(e,q,h,ba,2)|0;ca=c[h>>2]|0;if((ca&4|0)==0&(da|0)<60){c[j+4>>2]=da;break a}else{c[h>>2]=ca|4;break a}break};case 120:{ca=c[(c[d>>2]|0)+20>>2]|0;c[U>>2]=c[e>>2];c[V>>2]=c[f>>2];fe[ca&127](b,d,U,V,g,h,j);i=l;return};case 97:case 65:{ca=c[f>>2]|0;da=d+8|0;aa=Zd[c[c[da>>2]>>2]&255](da)|0;c[x>>2]=ca;ca=(nV(e,x,aa,aa+168|0,ba,h,0)|0)-aa|0;if((ca|0)>=168){break a}c[j+24>>2]=((ca|0)/12|0|0)%7|0;break};case 84:{ca=e|0;c[S>>2]=c[ca>>2];c[T>>2]=c[f>>2];MW(R,d,S,T,g,h,j,1684088,1684096);c[ca>>2]=c[R>>2];break};case 119:{c[o>>2]=c[f>>2];ca=ZW(e,o,h,ba,1)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(ca|0)<7){c[j+24>>2]=ca;break a}else{c[h>>2]=aa|4;break a}break};default:{c[h>>2]=c[h>>2]|4}}}while(0);c[b>>2]=c[e>>2];i=l;return}}while(0);l=Bd(4)|0;g0(l);vc(l|0,1690592,180)}function WW(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=i;j=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[j>>2];j=e|0;e=f|0;f=h+8|0;a:while(1){h=c[j>>2]|0;do{if((h|0)==0){k=0}else{if((c[h+12>>2]|0)!=(c[h+16>>2]|0)){k=h;break}if((Zd[c[(c[h>>2]|0)+36>>2]&255](h)|0)==-1){c[j>>2]=0;k=0;break}else{k=c[j>>2]|0;break}}}while(0);h=(k|0)==0;l=c[e>>2]|0;do{if((l|0)==0){m=12}else{if((c[l+12>>2]|0)!=(c[l+16>>2]|0)){if(h){n=l;break}else{o=l;break a}}if((Zd[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1){c[e>>2]=0;m=12;break}else{if(h){n=l;break}else{o=l;break a}}}}while(0);if((m|0)==12){m=0;if(h){o=0;break}else{n=0}}l=c[j>>2]|0;p=c[l+12>>2]|0;if((p|0)==(c[l+16>>2]|0)){q=(Zd[c[(c[l>>2]|0)+36>>2]&255](l)|0)&255}else{q=a[p]|0}if(q<<24>>24<0){o=n;break}if((b[(c[f>>2]|0)+(q<<24>>24<<1)>>1]&8192)==0){o=n;break}p=c[j>>2]|0;l=p+12|0;r=c[l>>2]|0;if((r|0)==(c[p+16>>2]|0)){Zd[c[(c[p>>2]|0)+40>>2]&255](p)|0;continue}else{c[l>>2]=r+1;continue}}n=c[j>>2]|0;do{if((n|0)==0){s=0}else{if((c[n+12>>2]|0)!=(c[n+16>>2]|0)){s=n;break}if((Zd[c[(c[n>>2]|0)+36>>2]&255](n)|0)==-1){c[j>>2]=0;s=0;break}else{s=c[j>>2]|0;break}}}while(0);j=(s|0)==0;b:do{if((o|0)==0){m=32}else{do{if((c[o+12>>2]|0)==(c[o+16>>2]|0)){if(!((Zd[c[(c[o>>2]|0)+36>>2]&255](o)|0)==-1)){break}c[e>>2]=0;m=32;break b}}while(0);if(!j){break}i=d;return}}while(0);do{if((m|0)==32){if(j){break}i=d;return}}while(0);c[g>>2]=c[g>>2]|2;i=d;return}function XW(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;i=i+8|0;k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=j|0;l=b+8|0;b=Zd[c[(c[l>>2]|0)+8>>2]&255](l)|0;l=a[b]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[b+4>>2]|0}l=a[b+12|0]|0;if((l&1)==0){n=(l&255)>>>1}else{n=c[b+16>>2]|0}if((m|0)==(-n|0)){c[g>>2]=c[g>>2]|4;i=j;return}c[k>>2]=c[f>>2];f=nV(e,k,b,b+24|0,h,g,0)|0;g=f-b|0;do{if((f|0)==(b|0)){if((c[d>>2]|0)!=12){break}c[d>>2]=0;i=j;return}}while(0);if((g|0)!=12){i=j;return}g=c[d>>2]|0;if((g|0)>=12){i=j;return}c[d>>2]=g+12;i=j;return}function YW(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;b=i;h=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[h>>2];h=d|0;d=c[h>>2]|0;do{if((d|0)==0){j=0}else{if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){j=d;break}if((Zd[c[(c[d>>2]|0)+36>>2]&255](d)|0)==-1){c[h>>2]=0;j=0;break}else{j=c[h>>2]|0;break}}}while(0);d=(j|0)==0;j=e|0;e=c[j>>2]|0;a:do{if((e|0)==0){k=11}else{do{if((c[e+12>>2]|0)==(c[e+16>>2]|0)){if(!((Zd[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1)){break}c[j>>2]=0;k=11;break a}}while(0);if(d){l=e}else{k=12}}}while(0);if((k|0)==11){if(d){k=12}else{l=0}}if((k|0)==12){c[f>>2]=c[f>>2]|6;i=b;return}d=c[h>>2]|0;e=c[d+12>>2]|0;if((e|0)==(c[d+16>>2]|0)){m=(Zd[c[(c[d>>2]|0)+36>>2]&255](d)|0)&255}else{m=a[e]|0}if(!(($d[c[(c[g>>2]|0)+36>>2]&127](g,m,0)|0)<<24>>24==37)){c[f>>2]=c[f>>2]|4;i=b;return}m=c[h>>2]|0;g=m+12|0;e=c[g>>2]|0;if((e|0)==(c[m+16>>2]|0)){Zd[c[(c[m>>2]|0)+40>>2]&255](m)|0}else{c[g>>2]=e+1}e=c[h>>2]|0;do{if((e|0)==0){n=0}else{if((c[e+12>>2]|0)!=(c[e+16>>2]|0)){n=e;break}if((Zd[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1){c[h>>2]=0;n=0;break}else{n=c[h>>2]|0;break}}}while(0);h=(n|0)==0;b:do{if((l|0)==0){k=31}else{do{if((c[l+12>>2]|0)==(c[l+16>>2]|0)){if(!((Zd[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1)){break}c[j>>2]=0;k=31;break b}}while(0);if(!h){break}i=b;return}}while(0);do{if((k|0)==31){if(h){break}i=b;return}}while(0);c[f>>2]=c[f>>2]|2;i=b;return}function ZW(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;j=i;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;d=c[k>>2]|0;do{if((d|0)==0){l=0}else{if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){l=d;break}if((Zd[c[(c[d>>2]|0)+36>>2]&255](d)|0)==-1){c[k>>2]=0;l=0;break}else{l=c[k>>2]|0;break}}}while(0);d=(l|0)==0;l=e|0;e=c[l>>2]|0;a:do{if((e|0)==0){m=11}else{do{if((c[e+12>>2]|0)==(c[e+16>>2]|0)){if(!((Zd[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1)){break}c[l>>2]=0;m=11;break a}}while(0);if(d){n=e}else{m=12}}}while(0);if((m|0)==11){if(d){m=12}else{n=0}}if((m|0)==12){c[f>>2]=c[f>>2]|6;o=0;i=j;return o|0}d=c[k>>2]|0;e=c[d+12>>2]|0;if((e|0)==(c[d+16>>2]|0)){p=(Zd[c[(c[d>>2]|0)+36>>2]&255](d)|0)&255}else{p=a[e]|0}do{if(!(p<<24>>24<0)){e=g+8|0;if((b[(c[e>>2]|0)+(p<<24>>24<<1)>>1]&2048)==0){break}d=g;q=($d[c[(c[d>>2]|0)+36>>2]&127](g,p,0)|0)<<24>>24;r=c[k>>2]|0;s=r+12|0;t=c[s>>2]|0;if((t|0)==(c[r+16>>2]|0)){Zd[c[(c[r>>2]|0)+40>>2]&255](r)|0;u=q;v=h;w=n;x=n}else{c[s>>2]=t+1;u=q;v=h;w=n;x=n}while(1){y=u-48|0;q=v-1|0;t=c[k>>2]|0;do{if((t|0)==0){z=0}else{if((c[t+12>>2]|0)!=(c[t+16>>2]|0)){z=t;break}if((Zd[c[(c[t>>2]|0)+36>>2]&255](t)|0)==-1){c[k>>2]=0;z=0;break}else{z=c[k>>2]|0;break}}}while(0);t=(z|0)==0;do{if((w|0)==0){A=0;B=x}else{if((c[w+12>>2]|0)!=(c[w+16>>2]|0)){A=w;B=x;break}if(!((Zd[c[(c[w>>2]|0)+36>>2]&255](w)|0)==-1)){A=x;B=x;break}c[l>>2]=0;A=0;B=0}}while(0);C=c[k>>2]|0;if(!((t^(A|0)==0)&(q|0)>0)){m=40;break}s=c[C+12>>2]|0;if((s|0)==(c[C+16>>2]|0)){D=(Zd[c[(c[C>>2]|0)+36>>2]&255](C)|0)&255}else{D=a[s]|0}if(D<<24>>24<0){o=y;m=52;break}if((b[(c[e>>2]|0)+(D<<24>>24<<1)>>1]&2048)==0){o=y;m=52;break}s=(($d[c[(c[d>>2]|0)+36>>2]&127](g,D,0)|0)<<24>>24)+(y*10|0)|0;r=c[k>>2]|0;E=r+12|0;F=c[E>>2]|0;if((F|0)==(c[r+16>>2]|0)){Zd[c[(c[r>>2]|0)+40>>2]&255](r)|0;u=s;v=q;w=A;x=B;continue}else{c[E>>2]=F+1;u=s;v=q;w=A;x=B;continue}}if((m|0)==40){do{if((C|0)==0){G=0}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){G=C;break}if((Zd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[k>>2]=0;G=0;break}else{G=c[k>>2]|0;break}}}while(0);d=(G|0)==0;b:do{if((B|0)==0){m=50}else{do{if((c[B+12>>2]|0)==(c[B+16>>2]|0)){if(!((Zd[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){break}c[l>>2]=0;m=50;break b}}while(0);if(d){o=y}else{break}i=j;return o|0}}while(0);do{if((m|0)==50){if(d){break}else{o=y}i=j;return o|0}}while(0);c[f>>2]=c[f>>2]|2;o=y;i=j;return o|0}else if((m|0)==52){i=j;return o|0}}}while(0);c[f>>2]=c[f>>2]|4;o=0;i=j;return o|0}function _W(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0;l=i;i=i+48|0;m=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[m>>2];m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=l|0;n=l+16|0;o=l+24|0;p=l+32|0;q=l+40|0;sT(n,f);r=n|0;n=c[r>>2]|0;if(!((c[433212]|0)==-1)){c[m>>2]=1732848;c[m+4>>2]=18;c[m+8>>2]=0;hS(1732848,m,126)}m=(c[433213]|0)-1|0;s=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-s>>2>>>0>m>>>0){t=c[s+(m<<2)>>2]|0;if((t|0)==0){break}u=t;OR(c[r>>2]|0)|0;c[g>>2]=0;v=d|0;a:do{if((j|0)==(k|0)){w=71}else{x=e|0;y=t;z=t;A=t;B=b;C=p|0;D=q|0;E=o|0;F=j;G=0;b:while(1){H=G;while(1){if((H|0)!=0){w=71;break a}I=c[v>>2]|0;do{if((I|0)==0){J=1;K=0}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){M=Zd[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{M=c[L>>2]|0}if(!((M|0)==-1)){J=0;K=I;break}c[v>>2]=0;J=1;K=0}}while(0);I=c[x>>2]|0;do{if((I|0)==0){w=23}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){N=Zd[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{N=c[L>>2]|0}if((N|0)==-1){c[x>>2]=0;w=23;break}else{if(J){O=I;break}else{w=25;break b}}}}while(0);if((w|0)==23){w=0;if(J){w=25;break b}else{O=0}}if(($d[c[(c[y>>2]|0)+52>>2]&127](u,c[F>>2]|0,0)|0)<<24>>24==37){w=28;break}if($d[c[(c[z>>2]|0)+12>>2]&127](u,8192,c[F>>2]|0)|0){P=F;w=38;break}Q=K+12|0;I=c[Q>>2]|0;R=K+16|0;if((I|0)==(c[R>>2]|0)){S=Zd[c[(c[K>>2]|0)+36>>2]&255](K)|0}else{S=c[I>>2]|0}I=ie[c[(c[A>>2]|0)+28>>2]&127](u,S)|0;if((I|0)==(ie[c[(c[A>>2]|0)+28>>2]&127](u,c[F>>2]|0)|0)){w=66;break}c[g>>2]=4;H=4}c:do{if((w|0)==28){w=0;H=F+4|0;if((H|0)==(k|0)){w=29;break b}I=$d[c[(c[y>>2]|0)+52>>2]&127](u,c[H>>2]|0,0)|0;if((I<<24>>24|0)==69|(I<<24>>24|0)==48){L=F+8|0;if((L|0)==(k|0)){w=32;break b}T=I;U=$d[c[(c[y>>2]|0)+52>>2]&127](u,c[L>>2]|0,0)|0;V=L}else{T=0;U=I;V=H}H=c[(c[B>>2]|0)+36>>2]|0;c[C>>2]=K;c[D>>2]=O;he[H&7](o,b,p,q,f,g,h,U,T);c[v>>2]=c[E>>2];W=V+4|0}else if((w|0)==38){while(1){w=0;H=P+4|0;if((H|0)==(k|0)){X=k;break}if($d[c[(c[z>>2]|0)+12>>2]&127](u,8192,c[H>>2]|0)|0){P=H;w=38}else{X=H;break}}H=K;I=O;L=O;while(1){do{if((H|0)==0){Y=1;Z=0}else{_=c[H+12>>2]|0;if((_|0)==(c[H+16>>2]|0)){$=Zd[c[(c[H>>2]|0)+36>>2]&255](H)|0}else{$=c[_>>2]|0}if(!(($|0)==-1)){Y=0;Z=H;break}c[v>>2]=0;Y=1;Z=0}}while(0);do{if((I|0)==0){aa=L;w=53}else{_=c[I+12>>2]|0;if((_|0)==(c[I+16>>2]|0)){ba=Zd[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{ba=c[_>>2]|0}if((ba|0)==-1){c[x>>2]=0;aa=0;w=53;break}else{if(Y^(L|0)==0){ca=L;da=L;break}else{W=X;break c}}}}while(0);if((w|0)==53){w=0;if(Y){W=X;break c}else{ca=0;da=aa}}_=Z+12|0;ea=c[_>>2]|0;fa=Z+16|0;if((ea|0)==(c[fa>>2]|0)){ga=Zd[c[(c[Z>>2]|0)+36>>2]&255](Z)|0}else{ga=c[ea>>2]|0}if(!($d[c[(c[z>>2]|0)+12>>2]&127](u,8192,ga)|0)){W=X;break c}ea=c[_>>2]|0;if((ea|0)==(c[fa>>2]|0)){Zd[c[(c[Z>>2]|0)+40>>2]&255](Z)|0;H=Z;I=ca;L=da;continue}else{c[_>>2]=ea+4;H=Z;I=ca;L=da;continue}}}else if((w|0)==66){w=0;L=c[Q>>2]|0;if((L|0)==(c[R>>2]|0)){Zd[c[(c[K>>2]|0)+40>>2]&255](K)|0}else{c[Q>>2]=L+4}W=F+4|0}}while(0);if((W|0)==(k|0)){w=71;break a}F=W;G=c[g>>2]|0}if((w|0)==25){c[g>>2]=4;ha=K;break}else if((w|0)==29){c[g>>2]=4;ha=K;break}else if((w|0)==32){c[g>>2]=4;ha=K;break}}}while(0);if((w|0)==71){ha=c[v>>2]|0}u=d|0;do{if((ha|0)==0){ia=1;ja=0}else{t=c[ha+12>>2]|0;if((t|0)==(c[ha+16>>2]|0)){ka=Zd[c[(c[ha>>2]|0)+36>>2]&255](ha)|0}else{ka=c[t>>2]|0}if(!((ka|0)==-1)){ia=0;ja=ha;break}c[u>>2]=0;ia=1;ja=0}}while(0);u=e|0;v=c[u>>2]|0;do{if((v|0)==0){w=84}else{t=c[v+12>>2]|0;if((t|0)==(c[v+16>>2]|0)){la=Zd[c[(c[v>>2]|0)+36>>2]&255](v)|0}else{la=c[t>>2]|0}if((la|0)==-1){c[u>>2]=0;w=84;break}if(!ia){break}ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);do{if((w|0)==84){if(ia){break}ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);c[g>>2]=c[g>>2]|2;ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);l=Bd(4)|0;g0(l);vc(l|0,1690592,180)}function $W(a){a=a|0;MR(a|0);J0(a);return}function aX(a){a=a|0;MR(a|0);return}function bX(a){a=a|0;return 2}function cX(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;j=i;i=i+16|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;c[k>>2]=c[d>>2];c[l>>2]=c[e>>2];_W(a,b,k,l,f,g,h,1684056,1684088);i=j;return}function dX(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+8|0;n=d+8|0;o=Zd[c[(c[n>>2]|0)+20>>2]&255](n)|0;c[l>>2]=c[e>>2];c[m>>2]=c[f>>2];f=a[o]|0;if((f&1)==0){p=(f&255)>>>1;q=o+4|0;r=o+4|0}else{f=c[o+8>>2]|0;p=c[o+4>>2]|0;q=f;r=f}_W(b,d,l,m,g,h,j,q,r+(p<<2)|0);i=k;return}function eX(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;sT(m,f);f=m|0;m=c[f>>2]|0;if(!((c[433212]|0)==-1)){c[l>>2]=1732848;c[l+4>>2]=18;c[l+8>>2]=0;hS(1732848,l,126)}l=(c[433213]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}OR(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Zd[c[c[q>>2]>>2]&255](q)|0;c[k>>2]=p;p=(MV(d,k,r,r+168|0,o,g,0)|0)-r|0;if((p|0)>=168){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+24>>2]=((p|0)/12|0|0)%7|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Bd(4)|0;g0(j);vc(j|0,1690592,180)}function fX(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;sT(m,f);f=m|0;m=c[f>>2]|0;if(!((c[433212]|0)==-1)){c[l>>2]=1732848;c[l+4>>2]=18;c[l+8>>2]=0;hS(1732848,l,126)}l=(c[433213]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}OR(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Zd[c[(c[q>>2]|0)+4>>2]&255](q)|0;c[k>>2]=p;p=(MV(d,k,r,r+288|0,o,g,0)|0)-r|0;if((p|0)>=288){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+16>>2]=((p|0)/12|0|0)%12|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Bd(4)|0;g0(j);vc(j|0,1690592,180)}function gX(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+32|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;l=b+24|0;sT(l,f);f=l|0;l=c[f>>2]|0;if(!((c[433212]|0)==-1)){c[k>>2]=1732848;c[k+4>>2]=18;c[k+8>>2]=0;hS(1732848,k,126)}k=(c[433213]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}OR(c[f>>2]|0)|0;c[j>>2]=c[e>>2];o=lX(d,j,g,n,4)|0;if((c[g>>2]&4|0)!=0){p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}if((o|0)<69){s=o+2e3|0}else{s=(o-69|0)>>>0<31>>>0?o+1900|0:o}c[h+20>>2]=s-1900;p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}}while(0);b=Bd(4)|0;g0(b);vc(b|0,1690592,180)}function hX(b,d,e,f,g,h,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;l=i;i=i+328|0;m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[m>>2];m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+64|0;v=l+72|0;w=l+80|0;x=l+88|0;y=l+96|0;z=l+112|0;A=l+120|0;B=l+128|0;C=l+136|0;D=l+144|0;E=l+152|0;F=l+160|0;G=l+168|0;H=l+176|0;I=l+184|0;J=l+192|0;K=l+200|0;L=l+208|0;M=l+216|0;N=l+224|0;O=l+232|0;P=l+240|0;Q=l+248|0;R=l+256|0;S=l+264|0;T=l+272|0;U=l+280|0;V=l+288|0;W=l+296|0;X=l+304|0;Y=l+312|0;Z=l+320|0;c[h>>2]=0;sT(z,g);_=z|0;z=c[_>>2]|0;if(!((c[433212]|0)==-1)){c[y>>2]=1732848;c[y+4>>2]=18;c[y+8>>2]=0;hS(1732848,y,126)}y=(c[433213]|0)-1|0;$=c[z+8>>2]|0;do{if((c[z+12>>2]|0)-$>>2>>>0>y>>>0){aa=c[$+(y<<2)>>2]|0;if((aa|0)==0){break}ba=aa;OR(c[_>>2]|0)|0;a:do{switch(k<<24>>24|0){case 77:{c[q>>2]=c[f>>2];aa=lX(e,q,h,ba,2)|0;ca=c[h>>2]|0;if((ca&4|0)==0&(aa|0)<60){c[j+4>>2]=aa;break a}else{c[h>>2]=ca|4;break a}break};case 100:case 101:{ca=j+12|0;c[v>>2]=c[f>>2];aa=lX(e,v,h,ba,2)|0;da=c[h>>2]|0;do{if((da&4|0)==0){if(!((aa-1|0)>>>0<31>>>0)){break}c[ca>>2]=aa;break a}}while(0);c[h>>2]=da|4;break};case 120:{aa=c[(c[d>>2]|0)+20>>2]|0;c[U>>2]=c[e>>2];c[V>>2]=c[f>>2];fe[aa&127](b,d,U,V,g,h,j);i=l;return};case 88:{aa=d+8|0;ca=Zd[c[(c[aa>>2]|0)+24>>2]&255](aa)|0;aa=e|0;c[X>>2]=c[aa>>2];c[Y>>2]=c[f>>2];ea=a[ca]|0;if((ea&1)==0){fa=(ea&255)>>>1;ga=ca+4|0;ha=ca+4|0}else{ea=c[ca+8>>2]|0;fa=c[ca+4>>2]|0;ga=ea;ha=ea}_W(W,d,X,Y,g,h,j,ga,ha+(fa<<2)|0);c[aa>>2]=c[W>>2];break};case 99:{aa=d+8|0;ea=Zd[c[(c[aa>>2]|0)+12>>2]&255](aa)|0;aa=e|0;c[B>>2]=c[aa>>2];c[C>>2]=c[f>>2];ca=a[ea]|0;if((ca&1)==0){ia=(ca&255)>>>1;ja=ea+4|0;ka=ea+4|0}else{ca=c[ea+8>>2]|0;ia=c[ea+4>>2]|0;ja=ca;ka=ca}_W(A,d,B,C,g,h,j,ja,ka+(ia<<2)|0);c[aa>>2]=c[A>>2];break};case 70:{aa=e|0;c[H>>2]=c[aa>>2];c[I>>2]=c[f>>2];_W(G,d,H,I,g,h,j,1683888,1683920);c[aa>>2]=c[G>>2];break};case 98:case 66:case 104:{aa=c[f>>2]|0;ca=d+8|0;ea=Zd[c[(c[ca>>2]|0)+4>>2]&255](ca)|0;c[w>>2]=aa;aa=(MV(e,w,ea,ea+288|0,ba,h,0)|0)-ea|0;if((aa|0)>=288){break a}c[j+16>>2]=((aa|0)/12|0|0)%12|0;break};case 109:{c[r>>2]=c[f>>2];aa=(lX(e,r,h,ba,2)|0)-1|0;ea=c[h>>2]|0;if((ea&4|0)==0&(aa|0)<12){c[j+16>>2]=aa;break a}else{c[h>>2]=ea|4;break a}break};case 97:case 65:{ea=c[f>>2]|0;aa=d+8|0;ca=Zd[c[c[aa>>2]>>2]&255](aa)|0;c[x>>2]=ea;ea=(MV(e,x,ca,ca+168|0,ba,h,0)|0)-ca|0;if((ea|0)>=168){break a}c[j+24>>2]=((ea|0)/12|0|0)%7|0;break};case 82:{ea=e|0;c[P>>2]=c[ea>>2];c[Q>>2]=c[f>>2];_W(O,d,P,Q,g,h,j,1683952,1683972);c[ea>>2]=c[O>>2];break};case 37:{c[Z>>2]=c[f>>2];kX(0,e,Z,h,ba);break};case 114:{ea=e|0;c[M>>2]=c[ea>>2];c[N>>2]=c[f>>2];_W(L,d,M,N,g,h,j,1683976,1684020);c[ea>>2]=c[L>>2];break};case 73:{ea=j+8|0;c[t>>2]=c[f>>2];ca=lX(e,t,h,ba,2)|0;aa=c[h>>2]|0;do{if((aa&4|0)==0){if(!((ca-1|0)>>>0<12>>>0)){break}c[ea>>2]=ca;break a}}while(0);c[h>>2]=aa|4;break};case 110:case 116:{c[J>>2]=c[f>>2];iX(0,e,J,h,ba);break};case 84:{ca=e|0;c[S>>2]=c[ca>>2];c[T>>2]=c[f>>2];_W(R,d,S,T,g,h,j,1683920,1683952);c[ca>>2]=c[R>>2];break};case 119:{c[o>>2]=c[f>>2];ca=lX(e,o,h,ba,1)|0;ea=c[h>>2]|0;if((ea&4|0)==0&(ca|0)<7){c[j+24>>2]=ca;break a}else{c[h>>2]=ea|4;break a}break};case 112:{c[K>>2]=c[f>>2];jX(d,j+8|0,e,K,h,ba);break};case 83:{c[p>>2]=c[f>>2];ea=lX(e,p,h,ba,2)|0;ca=c[h>>2]|0;if((ca&4|0)==0&(ea|0)<61){c[j>>2]=ea;break a}else{c[h>>2]=ca|4;break a}break};case 68:{ca=e|0;c[E>>2]=c[ca>>2];c[F>>2]=c[f>>2];_W(D,d,E,F,g,h,j,1684024,1684056);c[ca>>2]=c[D>>2];break};case 121:{c[n>>2]=c[f>>2];ca=lX(e,n,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}if((ca|0)<69){la=ca+2e3|0}else{la=(ca-69|0)>>>0<31>>>0?ca+1900|0:ca}c[j+20>>2]=la-1900;break};case 72:{c[u>>2]=c[f>>2];ca=lX(e,u,h,ba,2)|0;ea=c[h>>2]|0;if((ea&4|0)==0&(ca|0)<24){c[j+8>>2]=ca;break a}else{c[h>>2]=ea|4;break a}break};case 89:{c[m>>2]=c[f>>2];ea=lX(e,m,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}c[j+20>>2]=ea-1900;break};case 106:{c[s>>2]=c[f>>2];ea=lX(e,s,h,ba,3)|0;ca=c[h>>2]|0;if((ca&4|0)==0&(ea|0)<366){c[j+28>>2]=ea;break a}else{c[h>>2]=ca|4;break a}break};default:{c[h>>2]=c[h>>2]|4}}}while(0);c[b>>2]=c[e>>2];i=l;return}}while(0);l=Bd(4)|0;g0(l);vc(l|0,1690592,180)}function iX(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;a=i;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=b|0;b=d|0;d=f;a:while(1){h=c[g>>2]|0;do{if((h|0)==0){j=1}else{k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){l=Zd[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{l=c[k>>2]|0}if((l|0)==-1){c[g>>2]=0;j=1;break}else{j=(c[g>>2]|0)==0;break}}}while(0);h=c[b>>2]|0;do{if((h|0)==0){m=15}else{k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){n=Zd[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{n=c[k>>2]|0}if((n|0)==-1){c[b>>2]=0;m=15;break}else{if(j){o=h;break}else{p=h;break a}}}}while(0);if((m|0)==15){m=0;if(j){p=0;break}else{o=0}}h=c[g>>2]|0;k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){q=Zd[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{q=c[k>>2]|0}if(!($d[c[(c[d>>2]|0)+12>>2]&127](f,8192,q)|0)){p=o;break}k=c[g>>2]|0;h=k+12|0;r=c[h>>2]|0;if((r|0)==(c[k+16>>2]|0)){Zd[c[(c[k>>2]|0)+40>>2]&255](k)|0;continue}else{c[h>>2]=r+4;continue}}o=c[g>>2]|0;do{if((o|0)==0){s=1}else{q=c[o+12>>2]|0;if((q|0)==(c[o+16>>2]|0)){t=Zd[c[(c[o>>2]|0)+36>>2]&255](o)|0}else{t=c[q>>2]|0}if((t|0)==-1){c[g>>2]=0;s=1;break}else{s=(c[g>>2]|0)==0;break}}}while(0);do{if((p|0)==0){m=37}else{g=c[p+12>>2]|0;if((g|0)==(c[p+16>>2]|0)){u=Zd[c[(c[p>>2]|0)+36>>2]&255](p)|0}else{u=c[g>>2]|0}if((u|0)==-1){c[b>>2]=0;m=37;break}if(!s){break}i=a;return}}while(0);do{if((m|0)==37){if(s){break}i=a;return}}while(0);c[e>>2]=c[e>>2]|2;i=a;return}function jX(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;i=i+8|0;k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=j|0;l=b+8|0;b=Zd[c[(c[l>>2]|0)+8>>2]&255](l)|0;l=a[b]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[b+4>>2]|0}l=a[b+12|0]|0;if((l&1)==0){n=(l&255)>>>1}else{n=c[b+16>>2]|0}if((m|0)==(-n|0)){c[g>>2]=c[g>>2]|4;i=j;return}c[k>>2]=c[f>>2];f=MV(e,k,b,b+24|0,h,g,0)|0;g=f-b|0;do{if((f|0)==(b|0)){if((c[d>>2]|0)!=12){break}c[d>>2]=0;i=j;return}}while(0);if((g|0)!=12){i=j;return}g=c[d>>2]|0;if((g|0)>=12){i=j;return}c[d>>2]=g+12;i=j;return}function kX(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;a=i;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=b|0;b=c[g>>2]|0;do{if((b|0)==0){h=1}else{j=c[b+12>>2]|0;if((j|0)==(c[b+16>>2]|0)){k=Zd[c[(c[b>>2]|0)+36>>2]&255](b)|0}else{k=c[j>>2]|0}if((k|0)==-1){c[g>>2]=0;h=1;break}else{h=(c[g>>2]|0)==0;break}}}while(0);k=d|0;d=c[k>>2]|0;do{if((d|0)==0){l=14}else{b=c[d+12>>2]|0;if((b|0)==(c[d+16>>2]|0)){m=Zd[c[(c[d>>2]|0)+36>>2]&255](d)|0}else{m=c[b>>2]|0}if((m|0)==-1){c[k>>2]=0;l=14;break}else{if(h){n=d;break}else{l=16;break}}}}while(0);if((l|0)==14){if(h){l=16}else{n=0}}if((l|0)==16){c[e>>2]=c[e>>2]|6;i=a;return}h=c[g>>2]|0;d=c[h+12>>2]|0;if((d|0)==(c[h+16>>2]|0)){o=Zd[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{o=c[d>>2]|0}if(!(($d[c[(c[f>>2]|0)+52>>2]&127](f,o,0)|0)<<24>>24==37)){c[e>>2]=c[e>>2]|4;i=a;return}o=c[g>>2]|0;f=o+12|0;d=c[f>>2]|0;if((d|0)==(c[o+16>>2]|0)){Zd[c[(c[o>>2]|0)+40>>2]&255](o)|0}else{c[f>>2]=d+4}d=c[g>>2]|0;do{if((d|0)==0){p=1}else{f=c[d+12>>2]|0;if((f|0)==(c[d+16>>2]|0)){q=Zd[c[(c[d>>2]|0)+36>>2]&255](d)|0}else{q=c[f>>2]|0}if((q|0)==-1){c[g>>2]=0;p=1;break}else{p=(c[g>>2]|0)==0;break}}}while(0);do{if((n|0)==0){l=38}else{g=c[n+12>>2]|0;if((g|0)==(c[n+16>>2]|0)){r=Zd[c[(c[n>>2]|0)+36>>2]&255](n)|0}else{r=c[g>>2]|0}if((r|0)==-1){c[k>>2]=0;l=38;break}if(!p){break}i=a;return}}while(0);do{if((l|0)==38){if(p){break}i=a;return}}while(0);c[e>>2]=c[e>>2]|2;i=a;return}function lX(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;g=i;h=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[h>>2];h=a|0;a=c[h>>2]|0;do{if((a|0)==0){j=1}else{k=c[a+12>>2]|0;if((k|0)==(c[a+16>>2]|0)){l=Zd[c[(c[a>>2]|0)+36>>2]&255](a)|0}else{l=c[k>>2]|0}if((l|0)==-1){c[h>>2]=0;j=1;break}else{j=(c[h>>2]|0)==0;break}}}while(0);l=b|0;b=c[l>>2]|0;do{if((b|0)==0){m=14}else{a=c[b+12>>2]|0;if((a|0)==(c[b+16>>2]|0)){n=Zd[c[(c[b>>2]|0)+36>>2]&255](b)|0}else{n=c[a>>2]|0}if((n|0)==-1){c[l>>2]=0;m=14;break}else{if(j){o=b;break}else{m=16;break}}}}while(0);if((m|0)==14){if(j){m=16}else{o=0}}if((m|0)==16){c[d>>2]=c[d>>2]|6;p=0;i=g;return p|0}j=c[h>>2]|0;b=c[j+12>>2]|0;if((b|0)==(c[j+16>>2]|0)){q=Zd[c[(c[j>>2]|0)+36>>2]&255](j)|0}else{q=c[b>>2]|0}b=e;if(!($d[c[(c[b>>2]|0)+12>>2]&127](e,2048,q)|0)){c[d>>2]=c[d>>2]|4;p=0;i=g;return p|0}j=e;n=($d[c[(c[j>>2]|0)+52>>2]&127](e,q,0)|0)<<24>>24;q=c[h>>2]|0;a=q+12|0;k=c[a>>2]|0;if((k|0)==(c[q+16>>2]|0)){Zd[c[(c[q>>2]|0)+40>>2]&255](q)|0;r=n;s=f;t=o;u=o}else{c[a>>2]=k+4;r=n;s=f;t=o;u=o}while(1){v=r-48|0;o=s-1|0;f=c[h>>2]|0;do{if((f|0)==0){w=1}else{n=c[f+12>>2]|0;if((n|0)==(c[f+16>>2]|0)){x=Zd[c[(c[f>>2]|0)+36>>2]&255](f)|0}else{x=c[n>>2]|0}if((x|0)==-1){c[h>>2]=0;w=1;break}else{w=(c[h>>2]|0)==0;break}}}while(0);do{if((t|0)==0){y=1;z=0;A=u}else{f=c[t+12>>2]|0;if((f|0)==(c[t+16>>2]|0)){B=Zd[c[(c[t>>2]|0)+36>>2]&255](t)|0}else{B=c[f>>2]|0}if((B|0)==-1){c[l>>2]=0;y=1;z=0;A=0;break}else{y=(u|0)==0;z=u;A=u;break}}}while(0);C=c[h>>2]|0;if(!((w^y)&(o|0)>0)){break}f=c[C+12>>2]|0;if((f|0)==(c[C+16>>2]|0)){D=Zd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{D=c[f>>2]|0}if(!($d[c[(c[b>>2]|0)+12>>2]&127](e,2048,D)|0)){p=v;m=63;break}f=(($d[c[(c[j>>2]|0)+52>>2]&127](e,D,0)|0)<<24>>24)+(v*10|0)|0;n=c[h>>2]|0;k=n+12|0;a=c[k>>2]|0;if((a|0)==(c[n+16>>2]|0)){Zd[c[(c[n>>2]|0)+40>>2]&255](n)|0;r=f;s=o;t=z;u=A;continue}else{c[k>>2]=a+4;r=f;s=o;t=z;u=A;continue}}if((m|0)==63){i=g;return p|0}do{if((C|0)==0){E=1}else{u=c[C+12>>2]|0;if((u|0)==(c[C+16>>2]|0)){F=Zd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{F=c[u>>2]|0}if((F|0)==-1){c[h>>2]=0;E=1;break}else{E=(c[h>>2]|0)==0;break}}}while(0);do{if((A|0)==0){m=60}else{h=c[A+12>>2]|0;if((h|0)==(c[A+16>>2]|0)){G=Zd[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{G=c[h>>2]|0}if((G|0)==-1){c[l>>2]=0;m=60;break}if(E){p=v}else{break}i=g;return p|0}}while(0);do{if((m|0)==60){if(E){break}else{p=v}i=g;return p|0}}while(0);c[d>>2]=c[d>>2]|2;p=v;i=g;return p|0}function mX(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+8|0;e=c[d>>2]|0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);if((e|0)==(c[432856]|0)){f=b|0;MR(f);g=b;J0(g);return}Ub(c[d>>2]|0);f=b|0;MR(f);g=b;J0(g);return}function nX(b){b=b|0;var d=0,e=0,f=0;d=b+8|0;e=c[d>>2]|0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);if((e|0)==(c[432856]|0)){f=b|0;MR(f);return}Ub(c[d>>2]|0);f=b|0;MR(f);return}function oX(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;g=i;i=i+112|0;f=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[f>>2];f=g|0;l=g+8|0;m=l|0;n=f|0;a[n]=37;o=f+1|0;a[o]=j;p=f+2|0;a[p]=k;a[f+3|0]=0;if(!(k<<24>>24==0)){a[o]=k;a[p]=j}j=md(m|0,100,n|0,h|0,c[d+8>>2]|0)|0;d=l+j|0;l=c[e>>2]|0;if((j|0)==0){q=l;r=b|0;c[r>>2]=q;i=g;return}else{s=m;t=l;u=l}while(1){l=a[s]|0;do{if((t|0)==0){v=0;w=u}else{m=t+24|0;j=c[m>>2]|0;if((j|0)==(c[t+28>>2]|0)){e=(ie[c[(c[t>>2]|0)+52>>2]&127](t,l&255)|0)==-1;v=e?0:t;w=e?0:u;break}else{c[m>>2]=j+1;a[j]=l;v=t;w=u;break}}}while(0);l=s+1|0;if((l|0)==(d|0)){q=w;break}else{s=l;t=v;u=w}}r=b|0;c[r>>2]=q;i=g;return}function pX(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+8|0;e=c[d>>2]|0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);if((e|0)==(c[432856]|0)){f=b|0;MR(f);g=b;J0(g);return}Ub(c[d>>2]|0);f=b|0;MR(f);g=b;J0(g);return}function qX(b){b=b|0;var d=0,e=0,f=0;d=b+8|0;e=c[d>>2]|0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);if((e|0)==(c[432856]|0)){f=b|0;MR(f);return}Ub(c[d>>2]|0);f=b|0;MR(f);return}function rX(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f=i;i=i+408|0;e=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[e>>2];e=f|0;k=f+400|0;l=e|0;c[k>>2]=e+400;sX(b+8|0,l,k,g,h,j);j=c[k>>2]|0;k=c[d>>2]|0;if((l|0)==(j|0)){m=k;n=a|0;c[n>>2]=m;i=f;return}else{o=l;p=k;q=k}while(1){k=c[o>>2]|0;if((p|0)==0){r=0;s=q}else{l=p+24|0;d=c[l>>2]|0;if((d|0)==(c[p+28>>2]|0)){t=ie[c[(c[p>>2]|0)+52>>2]&127](p,k)|0}else{c[l>>2]=d+4;c[d>>2]=k;t=k}k=(t|0)==-1;r=k?0:p;s=k?0:q}k=o+4|0;if((k|0)==(j|0)){m=s;break}else{o=k;p=r;q=s}}n=a|0;c[n>>2]=m;i=f;return}function sX(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=i;i=i+120|0;k=j|0;l=j+112|0;m=i;i=i+4|0;i=i+7&-8;n=j+8|0;o=k|0;a[o]=37;p=k+1|0;a[p]=g;q=k+2|0;a[q]=h;a[k+3|0]=0;if(!(h<<24>>24==0)){a[p]=h;a[q]=g}g=b|0;md(n|0,100,o|0,f|0,c[g>>2]|0)|0;c[l>>2]=0;c[l+4>>2]=0;c[m>>2]=n;n=(c[e>>2]|0)-d>>2;f=gd(c[g>>2]|0)|0;g=E$(d,m,n,l)|0;if((f|0)!=0){gd(f|0)|0}if((g|0)==-1){oY(1638272)}else{c[e>>2]=d+(g<<2);i=j;return}}function tX(a){a=a|0;MR(a|0);J0(a);return}function uX(a){a=a|0;MR(a|0);return}function vX(a){a=a|0;return 127}function wX(a){a=a|0;return 127}function xX(a,b){a=a|0;b=b|0;e1(a|0,0,12)|0;return}function yX(a,b){a=a|0;b=b|0;e1(a|0,0,12)|0;return}function zX(a,b){a=a|0;b=b|0;e1(a|0,0,12)|0;return}function AX(a,b){a=a|0;b=b|0;sS(a,1,45);return}function BX(a){a=a|0;return 0}function CX(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function DX(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function EX(a){a=a|0;MR(a|0);J0(a);return}function FX(a){a=a|0;MR(a|0);return}function GX(a){a=a|0;return 127}function HX(a){a=a|0;return 127}function IX(a,b){a=a|0;b=b|0;e1(a|0,0,12)|0;return}function JX(a,b){a=a|0;b=b|0;e1(a|0,0,12)|0;return}function KX(a,b){a=a|0;b=b|0;e1(a|0,0,12)|0;return}function LX(a,b){a=a|0;b=b|0;sS(a,1,45);return}function MX(a){a=a|0;return 0}function NX(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function OX(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function PX(a){a=a|0;MR(a|0);J0(a);return}function QX(a){a=a|0;MR(a|0);return}function RX(a){a=a|0;return 2147483647}function SX(a){a=a|0;return 2147483647}function TX(a,b){a=a|0;b=b|0;e1(a|0,0,12)|0;return}function UX(a,b){a=a|0;b=b|0;e1(a|0,0,12)|0;return}function VX(a,b){a=a|0;b=b|0;e1(a|0,0,12)|0;return}function WX(a,b){a=a|0;b=b|0;ZS(a,1,45);return}function XX(a){a=a|0;return 0}function YX(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function ZX(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function _X(a){a=a|0;MR(a|0);J0(a);return}function $X(a){a=a|0;MR(a|0);return}function aY(a){a=a|0;return 2147483647}function bY(a){a=a|0;return 2147483647}function cY(a,b){a=a|0;b=b|0;e1(a|0,0,12)|0;return}function dY(a,b){a=a|0;b=b|0;e1(a|0,0,12)|0;return}function eY(a,b){a=a|0;b=b|0;e1(a|0,0,12)|0;return}function fY(a,b){a=a|0;b=b|0;ZS(a,1,45);return}function gY(a){a=a|0;return 0}function hY(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function iY(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function jY(a){a=a|0;MR(a|0);J0(a);return}function kY(a){a=a|0;MR(a|0);return}function lY(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+120|0;o=d+128|0;p=d+136|0;q=d+144|0;r=d+152|0;s=d+160|0;t=d+176|0;u=n|0;c[u>>2]=m;v=n+4|0;c[v>>2]=214;w=m+100|0;sT(p,h);m=p|0;x=c[m>>2]|0;if(!((c[433214]|0)==-1)){c[l>>2]=1732856;c[l+4>>2]=18;c[l+8>>2]=0;hS(1732856,l,126)}l=(c[433215]|0)-1|0;y=c[x+8>>2]|0;do{if((c[x+12>>2]|0)-y>>2>>>0>l>>>0){z=c[y+(l<<2)>>2]|0;if((z|0)==0){break}A=z;a[q]=0;B=f|0;c[r>>2]=c[B>>2];do{if(nY(e,r,g,p,c[h+4>>2]|0,j,q,A,n,o,w)|0){C=s|0;le[c[(c[z>>2]|0)+32>>2]&127](A,1683872,1683882,C)|0;D=t|0;E=c[o>>2]|0;F=c[u>>2]|0;G=E-F|0;do{if((G|0)>98){H=B0(G+2|0)|0;if((H|0)!=0){I=H;J=H;break}O0();I=0;J=0}else{I=D;J=0}}while(0);if((a[q]|0)==0){K=I}else{a[I]=45;K=I+1|0}if(F>>>0<E>>>0){G=s+10|0;H=s;L=K;M=F;while(1){N=C;while(1){if((N|0)==(G|0)){O=G;break}if((a[N]|0)==(a[M]|0)){O=N;break}else{N=N+1|0}}a[L]=a[1683872+(O-H)|0]|0;N=M+1|0;P=L+1|0;if(N>>>0<(c[o>>2]|0)>>>0){L=P;M=N}else{Q=P;break}}}else{Q=K}a[Q]=0;M=vb(D|0,1669696,(L=i,i=i+8|0,c[L>>2]=k,L)|0)|0;i=L;if((M|0)==1){if((J|0)==0){break}C0(J);break}M=Bd(8)|0;UR(M,1666872);vc(M|0,1690608,34)}}while(0);A=e|0;z=c[A>>2]|0;do{if((z|0)==0){R=0}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){R=z;break}if(!((Zd[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1)){R=z;break}c[A>>2]=0;R=0}}while(0);A=(R|0)==0;z=c[B>>2]|0;do{if((z|0)==0){S=45}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){if(A){break}else{S=47;break}}if((Zd[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1){c[B>>2]=0;S=45;break}else{if(A){break}else{S=47;break}}}}while(0);if((S|0)==45){if(A){S=47}}if((S|0)==47){c[j>>2]=c[j>>2]|2}c[b>>2]=R;OR(c[m>>2]|0)|0;B=c[u>>2]|0;c[u>>2]=0;if((B|0)==0){i=d;return}Wd[c[v>>2]&511](B);i=d;return}}while(0);d=Bd(4)|0;g0(d);vc(d|0,1690592,180)}function mY(a){a=a|0;return}function nY(e,f,g,h,j,k,l,m,n,o,p){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0;q=i;i=i+520|0;r=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[r>>2];r=q|0;s=q+400|0;t=q+408|0;u=q+416|0;v=q+424|0;w=q+440|0;x=q+456|0;y=q+472|0;z=q+488|0;A=q+504|0;B=q+512|0;C=r|0;D=v;e1(D|0,0,12)|0;E=w;e1(E|0,0,12)|0;F=x;e1(F|0,0,12)|0;G=y;e1(G|0,0,12)|0;H=z;e1(H|0,0,12)|0;rY(g,h,s,t,u,v,w,x,y,A);h=n|0;c[o>>2]=c[h>>2];g=e|0;e=f|0;f=m+8|0;m=y+1|0;I=y+4|0;J=y+8|0;K=x+1|0;L=x+4|0;M=x+8|0;N=(j&512|0)!=0;j=w+1|0;O=w+8|0;P=w+4|0;Q=z;R=Q+1|0;S=z+8|0;T=z+4|0;U=s+3|0;V=v+4|0;W=n+4|0;n=p;p=214;X=C;Y=C;C=r+400|0;r=0;Z=0;a:while(1){_=c[g>>2]|0;do{if((_|0)==0){$=0}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){$=_;break}if((Zd[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[g>>2]=0;$=0;break}else{$=c[g>>2]|0;break}}}while(0);_=($|0)==0;aa=c[e>>2]|0;do{if((aa|0)==0){ba=15}else{if((c[aa+12>>2]|0)!=(c[aa+16>>2]|0)){if(_){ca=aa;break}else{da=p;ea=X;fa=Y;ga=Z;ba=310;break a}}if((Zd[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)==-1){c[e>>2]=0;ba=15;break}else{if(_){ca=aa;break}else{da=p;ea=X;fa=Y;ga=Z;ba=310;break a}}}}while(0);if((ba|0)==15){ba=0;if(_){da=p;ea=X;fa=Y;ga=Z;ba=310;break}else{ca=0}}b:do{switch(a[s+r|0]|0){case 3:{aa=a[F]|0;ha=(aa&1)==0;if(ha){ia=(aa&255)>>>1}else{ia=c[L>>2]|0}ja=a[G]|0;ka=(ja&1)==0;if(ka){la=(ja&255)>>>1}else{la=c[I>>2]|0}if((ia|0)==(-la|0)){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}if(ha){sa=(aa&255)>>>1}else{sa=c[L>>2]|0}do{if((sa|0)!=0){if(ka){ta=(ja&255)>>>1}else{ta=c[I>>2]|0}if((ta|0)==0){break}ua=c[g>>2]|0;va=c[ua+12>>2]|0;wa=c[ua+16>>2]|0;if((va|0)==(wa|0)){xa=(Zd[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)&255;ya=c[g>>2]|0;za=xa;Aa=a[F]|0;Ba=ya;Ca=c[ya+12>>2]|0;Da=c[ya+16>>2]|0}else{za=a[va]|0;Aa=aa;Ba=ua;Ca=va;Da=wa}wa=Ba+12|0;va=(Ca|0)==(Da|0);if(za<<24>>24==(a[(Aa&1)==0?K:c[M>>2]|0]|0)){if(va){Zd[c[(c[Ba>>2]|0)+40>>2]&255](Ba)|0}else{c[wa>>2]=Ca+1}wa=a[F]|0;if((wa&1)==0){Ea=(wa&255)>>>1}else{Ea=c[L>>2]|0}ma=Ea>>>0>1>>>0?x:Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}if(va){Fa=(Zd[c[(c[Ba>>2]|0)+36>>2]&255](Ba)|0)&255}else{Fa=a[Ca]|0}if(!(Fa<<24>>24==(a[(a[G]&1)==0?m:c[J>>2]|0]|0))){ba=136;break a}va=c[g>>2]|0;wa=va+12|0;ua=c[wa>>2]|0;if((ua|0)==(c[va+16>>2]|0)){Zd[c[(c[va>>2]|0)+40>>2]&255](va)|0}else{c[wa>>2]=ua+1}a[l]=1;ua=a[G]|0;if((ua&1)==0){Ga=(ua&255)>>>1}else{Ga=c[I>>2]|0}ma=Ga>>>0>1>>>0?y:Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}}while(0);if(ha){Ha=(aa&255)>>>1}else{Ha=c[L>>2]|0}ka=c[g>>2]|0;ua=c[ka+12>>2]|0;wa=(ua|0)==(c[ka+16>>2]|0);if((Ha|0)==0){if(wa){va=(Zd[c[(c[ka>>2]|0)+36>>2]&255](ka)|0)&255;Ia=va;Ja=a[G]|0}else{Ia=a[ua]|0;Ja=ja}if(!(Ia<<24>>24==(a[(Ja&1)==0?m:c[J>>2]|0]|0))){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}va=c[g>>2]|0;ya=va+12|0;xa=c[ya>>2]|0;if((xa|0)==(c[va+16>>2]|0)){Zd[c[(c[va>>2]|0)+40>>2]&255](va)|0}else{c[ya>>2]=xa+1}a[l]=1;xa=a[G]|0;if((xa&1)==0){Ka=(xa&255)>>>1}else{Ka=c[I>>2]|0}ma=Ka>>>0>1>>>0?y:Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}if(wa){wa=(Zd[c[(c[ka>>2]|0)+36>>2]&255](ka)|0)&255;La=wa;Ma=a[F]|0}else{La=a[ua]|0;Ma=aa}if(!(La<<24>>24==(a[(Ma&1)==0?K:c[M>>2]|0]|0))){a[l]=1;ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}ua=c[g>>2]|0;wa=ua+12|0;ka=c[wa>>2]|0;if((ka|0)==(c[ua+16>>2]|0)){Zd[c[(c[ua>>2]|0)+40>>2]&255](ua)|0}else{c[wa>>2]=ka+1}ka=a[F]|0;if((ka&1)==0){Na=(ka&255)>>>1}else{Na=c[L>>2]|0}ma=Na>>>0>1>>>0?x:Z;na=C;oa=Y;pa=X;qa=p;ra=n;break};case 1:{if((r|0)==3){da=p;ea=X;fa=Y;ga=Z;ba=310;break a}ka=c[g>>2]|0;wa=c[ka+12>>2]|0;if((wa|0)==(c[ka+16>>2]|0)){Oa=(Zd[c[(c[ka>>2]|0)+36>>2]&255](ka)|0)&255}else{Oa=a[wa]|0}if(Oa<<24>>24<0){ba=41;break a}if((b[(c[f>>2]|0)+(Oa<<24>>24<<1)>>1]&8192)==0){ba=41;break a}wa=c[g>>2]|0;ka=wa+12|0;ua=c[ka>>2]|0;if((ua|0)==(c[wa+16>>2]|0)){Pa=(Zd[c[(c[wa>>2]|0)+40>>2]&255](wa)|0)&255}else{c[ka>>2]=ua+1;Pa=a[ua]|0}OS(z,Pa);ba=42;break};case 0:{ba=42;break};case 2:{if(!((Z|0)!=0|r>>>0<2>>>0)){if((r|0)==2){Qa=(a[U]|0)!=0}else{Qa=0}if(!(N|Qa)){ma=0;na=C;oa=Y;pa=X;qa=p;ra=n;break b}}ua=a[E]|0;ka=(ua&1)==0;wa=ka?j:c[O>>2]|0;c:do{if((r|0)==0){Ra=wa;Sa=ua;Ta=ca;Ua=ca}else{if(!((d[s+(r-1)|0]|0)>>>0<2>>>0)){Ra=wa;Sa=ua;Ta=ca;Ua=ca;break}xa=wa+(ka?(ua&255)>>>1:c[P>>2]|0)|0;ya=wa;while(1){if((ya|0)==(xa|0)){Va=xa;break}va=a[ya]|0;if(va<<24>>24<0){Va=ya;break}if((b[(c[f>>2]|0)+(va<<24>>24<<1)>>1]&8192)==0){Va=ya;break}else{ya=ya+1|0}}ya=Va-wa|0;xa=a[H]|0;va=(xa&1)==0;if(va){Wa=(xa&255)>>>1}else{Wa=c[T>>2]|0}if(ya>>>0>Wa>>>0){Ra=wa;Sa=ua;Ta=ca;Ua=ca;break}if(va){va=(xa&255)>>>1;Xa=va;Ya=R;Za=va-ya+(Q+1)|0}else{va=c[S>>2]|0;xa=c[T>>2]|0;Xa=xa;Ya=va;Za=va+(xa-ya)|0}ya=Ya+Xa|0;if((Za|0)==(ya|0)){Ra=Va;Sa=ua;Ta=ca;Ua=ca;break}else{_a=Za;$a=wa}while(1){if((a[_a]|0)!=(a[$a]|0)){Ra=wa;Sa=ua;Ta=ca;Ua=ca;break c}xa=_a+1|0;if((xa|0)==(ya|0)){Ra=Va;Sa=ua;Ta=ca;Ua=ca;break}else{_a=xa;$a=$a+1|0}}}}while(0);d:while(1){if((Sa&1)==0){ab=(Sa&255)>>>1;bb=j}else{ab=c[P>>2]|0;bb=c[O>>2]|0}if((Ra|0)==(bb+ab|0)){break}ua=c[g>>2]|0;do{if((ua|0)==0){cb=0}else{if((c[ua+12>>2]|0)!=(c[ua+16>>2]|0)){cb=ua;break}if((Zd[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)==-1){c[g>>2]=0;cb=0;break}else{cb=c[g>>2]|0;break}}}while(0);ua=(cb|0)==0;do{if((Ta|0)==0){db=Ua;ba=173}else{if((c[Ta+12>>2]|0)!=(c[Ta+16>>2]|0)){if(ua){eb=Ta;fb=Ua;break}else{break d}}if((Zd[c[(c[Ta>>2]|0)+36>>2]&255](Ta)|0)==-1){c[e>>2]=0;db=0;ba=173;break}else{if(ua^(Ua|0)==0){eb=Ua;fb=Ua;break}else{break d}}}}while(0);if((ba|0)==173){ba=0;if(ua){break}else{eb=0;fb=db}}wa=c[g>>2]|0;ka=c[wa+12>>2]|0;if((ka|0)==(c[wa+16>>2]|0)){gb=(Zd[c[(c[wa>>2]|0)+36>>2]&255](wa)|0)&255}else{gb=a[ka]|0}if(!(gb<<24>>24==(a[Ra]|0))){break}ka=c[g>>2]|0;wa=ka+12|0;aa=c[wa>>2]|0;if((aa|0)==(c[ka+16>>2]|0)){Zd[c[(c[ka>>2]|0)+40>>2]&255](ka)|0}else{c[wa>>2]=aa+1}Ra=Ra+1|0;Sa=a[E]|0;Ta=eb;Ua=fb}if(!N){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}aa=a[E]|0;if((aa&1)==0){hb=(aa&255)>>>1;ib=j}else{hb=c[P>>2]|0;ib=c[O>>2]|0}if((Ra|0)==(ib+hb|0)){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n}else{ba=189;break a}break};case 4:{aa=0;wa=C;ka=Y;ja=X;ha=p;ya=n;e:while(1){xa=c[g>>2]|0;do{if((xa|0)==0){jb=0}else{if((c[xa+12>>2]|0)!=(c[xa+16>>2]|0)){jb=xa;break}if((Zd[c[(c[xa>>2]|0)+36>>2]&255](xa)|0)==-1){c[g>>2]=0;jb=0;break}else{jb=c[g>>2]|0;break}}}while(0);xa=(jb|0)==0;ua=c[e>>2]|0;do{if((ua|0)==0){ba=202}else{if((c[ua+12>>2]|0)!=(c[ua+16>>2]|0)){if(xa){break}else{break e}}if((Zd[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)==-1){c[e>>2]=0;ba=202;break}else{if(xa){break}else{break e}}}}while(0);if((ba|0)==202){ba=0;if(xa){break}}ua=c[g>>2]|0;va=c[ua+12>>2]|0;if((va|0)==(c[ua+16>>2]|0)){kb=(Zd[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)&255}else{kb=a[va]|0}do{if(kb<<24>>24<0){ba=221}else{if((b[(c[f>>2]|0)+(kb<<24>>24<<1)>>1]&2048)==0){ba=221;break}va=c[o>>2]|0;if((va|0)==(ya|0)){ua=(c[W>>2]|0)!=214;lb=c[h>>2]|0;mb=ya-lb|0;nb=mb>>>0<2147483647>>>0?mb<<1:-1;ob=E0(ua?lb:0,nb)|0;if((ob|0)==0){O0()}do{if(ua){c[h>>2]=ob;pb=ob}else{lb=c[h>>2]|0;c[h>>2]=ob;if((lb|0)==0){pb=ob;break}Wd[c[W>>2]&511](lb);pb=c[h>>2]|0}}while(0);c[W>>2]=104;ob=pb+mb|0;c[o>>2]=ob;qb=(c[h>>2]|0)+nb|0;rb=ob}else{qb=ya;rb=va}c[o>>2]=rb+1;a[rb]=kb;sb=aa+1|0;tb=wa;ub=ka;vb=ja;wb=ha;xb=qb}}while(0);if((ba|0)==221){ba=0;xa=a[D]|0;if((xa&1)==0){yb=(xa&255)>>>1}else{yb=c[V>>2]|0}if((yb|0)==0|(aa|0)==0){break}if(!(kb<<24>>24==(a[u]|0))){break}if((ka|0)==(wa|0)){xa=ka-ja|0;ob=xa>>>0<2147483647>>>0?xa<<1:-1;if((ha|0)==214){zb=0}else{zb=ja}ua=E0(zb,ob)|0;lb=ua;if((ua|0)==0){O0()}Ab=lb+(ob>>>2<<2)|0;Bb=lb+(xa>>2<<2)|0;Cb=lb;Db=104}else{Ab=wa;Bb=ka;Cb=ja;Db=ha}c[Bb>>2]=aa;sb=0;tb=Ab;ub=Bb+4|0;vb=Cb;wb=Db;xb=ya}lb=c[g>>2]|0;xa=lb+12|0;ob=c[xa>>2]|0;if((ob|0)==(c[lb+16>>2]|0)){Zd[c[(c[lb>>2]|0)+40>>2]&255](lb)|0;aa=sb;wa=tb;ka=ub;ja=vb;ha=wb;ya=xb;continue}else{c[xa>>2]=ob+1;aa=sb;wa=tb;ka=ub;ja=vb;ha=wb;ya=xb;continue}}if((ja|0)==(ka|0)|(aa|0)==0){Eb=wa;Fb=ka;Gb=ja;Hb=ha}else{if((ka|0)==(wa|0)){ob=ka-ja|0;xa=ob>>>0<2147483647>>>0?ob<<1:-1;if((ha|0)==214){Ib=0}else{Ib=ja}lb=E0(Ib,xa)|0;ua=lb;if((lb|0)==0){O0()}Jb=ua+(xa>>>2<<2)|0;Kb=ua+(ob>>2<<2)|0;Lb=ua;Mb=104}else{Jb=wa;Kb=ka;Lb=ja;Mb=ha}c[Kb>>2]=aa;Eb=Jb;Fb=Kb+4|0;Gb=Lb;Hb=Mb}if((c[A>>2]|0)>0){ua=c[g>>2]|0;do{if((ua|0)==0){Nb=0}else{if((c[ua+12>>2]|0)!=(c[ua+16>>2]|0)){Nb=ua;break}if((Zd[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)==-1){c[g>>2]=0;Nb=0;break}else{Nb=c[g>>2]|0;break}}}while(0);ua=(Nb|0)==0;aa=c[e>>2]|0;do{if((aa|0)==0){ba=257}else{if((c[aa+12>>2]|0)!=(c[aa+16>>2]|0)){if(ua){Ob=aa;break}else{ba=264;break a}}if((Zd[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)==-1){c[e>>2]=0;ba=257;break}else{if(ua){Ob=aa;break}else{ba=264;break a}}}}while(0);if((ba|0)==257){ba=0;if(ua){ba=264;break a}else{Ob=0}}aa=c[g>>2]|0;ha=c[aa+12>>2]|0;if((ha|0)==(c[aa+16>>2]|0)){Pb=(Zd[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)&255}else{Pb=a[ha]|0}if(!(Pb<<24>>24==(a[t]|0))){ba=264;break a}ha=c[g>>2]|0;aa=ha+12|0;ja=c[aa>>2]|0;if((ja|0)==(c[ha+16>>2]|0)){Zd[c[(c[ha>>2]|0)+40>>2]&255](ha)|0;Qb=ya;Rb=Ob;Sb=Ob}else{c[aa>>2]=ja+1;Qb=ya;Rb=Ob;Sb=Ob}while(1){ja=c[g>>2]|0;do{if((ja|0)==0){Tb=0}else{if((c[ja+12>>2]|0)!=(c[ja+16>>2]|0)){Tb=ja;break}if((Zd[c[(c[ja>>2]|0)+36>>2]&255](ja)|0)==-1){c[g>>2]=0;Tb=0;break}else{Tb=c[g>>2]|0;break}}}while(0);ja=(Tb|0)==0;do{if((Rb|0)==0){Ub=Sb;ba=280}else{if((c[Rb+12>>2]|0)!=(c[Rb+16>>2]|0)){if(ja){Vb=Sb;Wb=Rb;break}else{ba=288;break a}}if((Zd[c[(c[Rb>>2]|0)+36>>2]&255](Rb)|0)==-1){c[e>>2]=0;Ub=0;ba=280;break}else{if(ja^(Sb|0)==0){Vb=Sb;Wb=Sb;break}else{ba=288;break a}}}}while(0);if((ba|0)==280){ba=0;if(ja){ba=288;break a}else{Vb=Ub;Wb=0}}aa=c[g>>2]|0;ha=c[aa+12>>2]|0;if((ha|0)==(c[aa+16>>2]|0)){Xb=(Zd[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)&255}else{Xb=a[ha]|0}if(Xb<<24>>24<0){ba=288;break a}if((b[(c[f>>2]|0)+(Xb<<24>>24<<1)>>1]&2048)==0){ba=288;break a}ha=c[o>>2]|0;if((ha|0)==(Qb|0)){aa=(c[W>>2]|0)!=214;ka=c[h>>2]|0;wa=Qb-ka|0;ob=wa>>>0<2147483647>>>0?wa<<1:-1;xa=E0(aa?ka:0,ob)|0;if((xa|0)==0){O0()}do{if(aa){c[h>>2]=xa;Yb=xa}else{ka=c[h>>2]|0;c[h>>2]=xa;if((ka|0)==0){Yb=xa;break}Wd[c[W>>2]&511](ka);Yb=c[h>>2]|0}}while(0);c[W>>2]=104;xa=Yb+wa|0;c[o>>2]=xa;Zb=(c[h>>2]|0)+ob|0;_b=xa}else{Zb=Qb;_b=ha}xa=c[g>>2]|0;aa=c[xa+12>>2]|0;if((aa|0)==(c[xa+16>>2]|0)){ja=(Zd[c[(c[xa>>2]|0)+36>>2]&255](xa)|0)&255;$b=ja;ac=c[o>>2]|0}else{$b=a[aa]|0;ac=_b}c[o>>2]=ac+1;a[ac]=$b;aa=(c[A>>2]|0)-1|0;c[A>>2]=aa;ja=c[g>>2]|0;xa=ja+12|0;ka=c[xa>>2]|0;if((ka|0)==(c[ja+16>>2]|0)){Zd[c[(c[ja>>2]|0)+40>>2]&255](ja)|0}else{c[xa>>2]=ka+1}if((aa|0)>0){Qb=Zb;Rb=Wb;Sb=Vb}else{bc=Zb;break}}}else{bc=ya}if((c[o>>2]|0)==(c[h>>2]|0)){ba=308;break a}else{ma=Z;na=Eb;oa=Fb;pa=Gb;qa=Hb;ra=bc}break};default:{ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n}}}while(0);f:do{if((ba|0)==42){ba=0;if((r|0)==3){da=p;ea=X;fa=Y;ga=Z;ba=310;break a}else{cc=ca;dc=ca}while(1){_=c[g>>2]|0;do{if((_|0)==0){ec=0}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){ec=_;break}if((Zd[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[g>>2]=0;ec=0;break}else{ec=c[g>>2]|0;break}}}while(0);_=(ec|0)==0;do{if((cc|0)==0){fc=dc;ba=55}else{if((c[cc+12>>2]|0)!=(c[cc+16>>2]|0)){if(_){gc=cc;hc=dc;break}else{ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}}if((Zd[c[(c[cc>>2]|0)+36>>2]&255](cc)|0)==-1){c[e>>2]=0;fc=0;ba=55;break}else{if(_^(dc|0)==0){gc=dc;hc=dc;break}else{ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}}}}while(0);if((ba|0)==55){ba=0;if(_){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}else{gc=0;hc=fc}}ha=c[g>>2]|0;ob=c[ha+12>>2]|0;if((ob|0)==(c[ha+16>>2]|0)){ic=(Zd[c[(c[ha>>2]|0)+36>>2]&255](ha)|0)&255}else{ic=a[ob]|0}if(ic<<24>>24<0){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}if((b[(c[f>>2]|0)+(ic<<24>>24<<1)>>1]&8192)==0){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}ob=c[g>>2]|0;ha=ob+12|0;wa=c[ha>>2]|0;if((wa|0)==(c[ob+16>>2]|0)){jc=(Zd[c[(c[ob>>2]|0)+40>>2]&255](ob)|0)&255}else{c[ha>>2]=wa+1;jc=a[wa]|0}OS(z,jc);cc=gc;dc=hc}}}while(0);ya=r+1|0;if(ya>>>0<4>>>0){n=ra;p=qa;X=pa;Y=oa;C=na;r=ya;Z=ma}else{da=qa;ea=pa;fa=oa;ga=ma;ba=310;break}}g:do{if((ba|0)==41){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==136){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==189){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==264){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==288){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==308){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==310){h:do{if((ga|0)!=0){ma=ga;oa=ga+1|0;pa=ga+8|0;qa=ga+4|0;Z=1;i:while(1){r=a[ma]|0;if((r&1)==0){nc=(r&255)>>>1}else{nc=c[qa>>2]|0}if(!(Z>>>0<nc>>>0)){break h}r=c[g>>2]|0;do{if((r|0)==0){oc=0}else{if((c[r+12>>2]|0)!=(c[r+16>>2]|0)){oc=r;break}if((Zd[c[(c[r>>2]|0)+36>>2]&255](r)|0)==-1){c[g>>2]=0;oc=0;break}else{oc=c[g>>2]|0;break}}}while(0);r=(oc|0)==0;_=c[e>>2]|0;do{if((_|0)==0){ba=328}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){if(r){break}else{break i}}if((Zd[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[e>>2]=0;ba=328;break}else{if(r){break}else{break i}}}}while(0);if((ba|0)==328){ba=0;if(r){break}}_=c[g>>2]|0;na=c[_+12>>2]|0;if((na|0)==(c[_+16>>2]|0)){pc=(Zd[c[(c[_>>2]|0)+36>>2]&255](_)|0)&255}else{pc=a[na]|0}if((a[ma]&1)==0){qc=oa}else{qc=c[pa>>2]|0}if(!(pc<<24>>24==(a[qc+Z|0]|0))){break}na=Z+1|0;_=c[g>>2]|0;C=_+12|0;Y=c[C>>2]|0;if((Y|0)==(c[_+16>>2]|0)){Zd[c[(c[_>>2]|0)+40>>2]&255](_)|0;Z=na;continue}else{c[C>>2]=Y+1;Z=na;continue}}c[k>>2]=c[k>>2]|4;kc=0;lc=ea;mc=da;break g}}while(0);if((ea|0)==(fa|0)){kc=1;lc=fa;mc=da;break}c[B>>2]=0;sY(v,ea,fa,B);if((c[B>>2]|0)==0){kc=1;lc=ea;mc=da;break}c[k>>2]=c[k>>2]|4;kc=0;lc=ea;mc=da}}while(0);wS(z);wS(y);wS(x);wS(w);wS(v);if((lc|0)==0){i=q;return kc|0}Wd[mc&511](lc);i=q;return kc|0}function oY(a){a=a|0;var b=0;b=Bd(8)|0;UR(b,a);vc(b|0,1690608,34)}



function Hg(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0.0,k=0.0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0;b=i;i=i+16|0;f=b|0;Jy(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0);i=g;j=d*1.0e-6;d=e*5.0e-7;k=e*.001;if(j<4.0){e=d+ -2.1;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[l>>3]=e*e;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;m=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[l>>3]=m*m;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[l>>3]=j*j;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;m=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;h[l>>3]=m*m;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;m=j*+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;h[l>>3]=m;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;m=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;n=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;o=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;p=+h[l>>3]*1.3865724283226;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;q=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;r=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;s=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;t=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;u=+h[l>>3]*-13551.334240775;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;v=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;w=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;x=w*j*+h[l>>3]*-62.459855192507;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;w=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;y=(j*7399.9835474766+235988.32556514)*+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;z=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;A=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;B=A*+h[l>>3]*19127.72923966;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;A=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;C=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;D=C*(+h[l>>3]*-551966.9703006+128127984.04046);l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;C=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;E=+h[l>>3]*-985549096.23276;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;F=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;G=+h[l>>3]*2822454697.3002;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;H=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;I=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;J=I*(+h[l>>3]*3715408.5996233+ -3594897141.0703);l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;I=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;K=j*(j*-.0061707422868339+1.844574935579)+e*(j*-4.1792700549624+e*(j*(j*-.31078046629583+6.2478196935812)+e*(j*-17.344563108114+m*(j*(j*11.670873077107+ -200.58176862096)+n*(j*271.96065473796+o*(j*-455.11318285818+e*(p+q*r*(j*3091.9688604755+s*(t*(u+v*(x+w*(y+z*(B+A*(D+C*(E+F*(G+H*(J+I*j*(j*(j*(j*(+h[l>>3]*-415351.64835634+ -13105236.545054)+12848734.66465)+1722734991.3197)+252266.40357872)))))))))+11.765048724356)))))+ -7.4232016790248)+33.153654801263)+ -107.81748091826)+849.51654495535)+1089.8952318288;L=a|0;h[L>>3]=K;i=b;return}if(j<k*(k*.00012809002730136+-.67955786399241)+905.84278514723){k=d+ -2.6;I=j+-2.0;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[l>>3]=I*I;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;J=I*+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[l>>3]=J;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;J=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[l>>3]=J*J;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;h[l>>3]=k*k;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;J=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;h[l>>3]=J*J;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;J=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;H=J*+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;h[l>>3]=H;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;H=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;h[l>>3]=H*H;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;H=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;J=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;G=H*(J*+h[l>>3]*-1.7565233969407e-18+.00011032831789999);l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;J=I*(I*(I*(I*(+h[l>>3]*-8.1456365207833e-14+2.8640237477456e-7)+.00018955248387902)+-.021810755324761)+3.3593118604916);l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;H=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;F=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;E=+h[l>>3]*-.10829784403677;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;C=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;D=I*((I*-10779857357512.0e-18+.0030891541160537)*+h[l>>3]+.16844539671904);l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;A=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;B=I*(I*((I*2.821728163504e-7+-76462712454814.0e-18)*+h[l>>3]+-.046333324635812)+.73875745236695);l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;z=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;y=I*((I*(I*12704902271945.0e-19+14052392818316.0e-18)+.0013555504554949)*+h[l>>3]+-.47128737436186);l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;w=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;x=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;v=I*(x*((I*-2.5180545682962e-11+-1.1030139238909e-8)*+h[l>>3]+-31083814331434.0e-18)+.15020273139707);l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;x=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;u=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;t=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;K=I*.93747147377932+k*(G+k*(J+H*(I*3.3809355601454+F*(E+C*(D+A*(B+z*(y+w*(v+x*u*(I*(I*(t*(I*(+h[l>>3]*8.6934156344163e-15+7.3803353468292e-8)+-10302738212103.0e-19)+71280351959551.0e-18)+-.002176411421975)+.0085208123431544)+-.47811863648625)+1.1385952129658)+-.63281320016026)+2.4742464705674)))+ -97.708318797837)+743.07798314034)+1489.5041079516;L=a|0;h[L>>3]=K;i=b;return}else{I=d+ -1.8;d=j+25.0;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[l>>3]=d*d;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;j=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[l>>3]=j*j;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;j=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;t=j*d*+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[l>>3]=t;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;t=1.0/+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;h[l>>3]=t;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;t=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;j=t*+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;h[l>>3]=j;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;h[l>>3]=I*I;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;j=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;h[l>>3]=j*j;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;j=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;h[l>>3]=j*j;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;j=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;t=j*(+h[l>>3]*1.126159740723e-12+482.19755109255)+859777.2253558;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;j=t/+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;t=d*(+h[l>>3]*31081.088422714+20825544563.171)+ -583401318515.9;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;u=t/+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;t=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;x=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;v=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;w=+h[l>>3]*1.2324579690832e-7;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;y=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;z=+h[l>>3]*-11606921130984.0e-19;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;B=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;A=+h[l>>3]*27846367088554.0e-18;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;D=+h[l>>3]*-.00059270038474176;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;C=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;E=D+C*+h[l>>3]*.0012918582991878;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;C=x*(d*-10.842984880077+v*(w+y*(z+B*(A+ +h[l>>3]*E))));l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;E=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;A=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;B=I*(j+I*(u+t*(C+E*(A*(d*(+h[l>>3]*-1.7804982240686e-11+-.04536417267666)+3.7966001272486)+7326335090218.1))));l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;A=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;E=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;K=B+A*(d*(d*(E*d*(d*(d*(+h[l>>3]*1.4559115658698e-13+1208.2315865936)+ -25745.72360417)+610747.83564516)+ -10783068217.47)+358250899454.47)+ -3236839855524.2);L=a|0;h[L>>3]=K;i=b;return}}function Ig(a,b,c){a=a|0;b=b|0;c=+c;var d=0.0,e=0,f=0.0;if(!(c<22064.0e3)){d=322.0;e=a|0;h[e>>3]=d;return}f=+$(c/22064.0e3);d=(f*(f*(f*(f*(f*(f*(f*(f*(f*(f*.00052536560808895+ -191.4307733640516)+673.2581177021598)+ -994.5385383600702)+796.6627910598293)+ -369.3676833623383)+94.34196116778385)+ -8.191449323843552)+ -2.531486180240112)+1.903224079094824)+1.0)*322.0;e=a|0;h[e>>3]=d;return}function Jg(a,b,c){a=a|0;b=b|0;c=+c;var d=0.0;d=+$(c/22064.0e3);h[a>>3]=(d*(d*(d*(d*(d*(d*(d*(d*-.0001152032945617821+-.717981855497894)+3.558919744656498)+ -6.75820241066552)+6.679385472887931)+ -3.889388153209752)+1.346800016564904)+-.4945586958175176)+1.0)*2087546.84511715;return}function Kg(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0.0,k=0.0,l=0.0,m=0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0;b=i;i=i+16|0;f=b|0;Jy(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0);i=g;j=d/1653.0e4;k=7.1-j;l=1386.0/e+ -1.222;m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[m>>3]=l*l;m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;n=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[m>>3]=n*n;m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;n=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[m>>3]=n*n;m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;n=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;o=n*+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;h[m>>3]=o;m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;o=l*+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;h[m>>3]=o;m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;o=l*+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;h[m>>3]=o;m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;h[m>>3]=k*k;m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;o=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;h[m>>3]=o*o;m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;o=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;h[m>>3]=o*o;m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;o=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;h[m>>3]=o*o;m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;o=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;h[m>>3]=o*o;m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;o=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;n=o*(+h[m>>3]*2.55615384360309e-9+84812393955936.0e-19)+95038934535162.0e-18;m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;o=n/+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;n=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;p=n*+h[m>>3]*5.7366919751696e-13+260684891582404.0e-20;m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;n=+h[m>>3]*p+89701127632.0e-16;m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;p=n/+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;n=202584984300585.0e-20/+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;q=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;r=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;s=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;t=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;u=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;v=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;w=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;x=k/(l*w*+h[m>>3])*2.99318679335866e-24;m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;w=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;y=k*(x+-5.65070932023524e-23/(w*+h[m>>3]));m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;w=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;x=w*+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;w=k*(y+3.5842867920213e-22/(l*x*+h[m>>3]));m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;x=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;y=x*+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;x=u*v*(w+-7.63737668221055e-22/(y*+h[m>>3]));m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;y=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;w=y*+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;y=w*+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;w=t*(x+-3.33001080055983e-19/(l*y*+h[m>>3]));m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;y=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;x=y*+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;y=r*s*k*(w+1.44400475720615e-17/(l*x*+h[m>>3]));m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;x=+h[m>>3]*1.39398969845072e-9+1.01874413933128e-8;m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;w=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;s=k*(o+k*(p+k*(n+q*k*(y+x/(l*w*+h[m>>3])))));m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;w=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;x=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;y=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;q=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;n=w*(l*(x*(y*q*+h[m>>3]*1.45389992595188e-15+88283690661692.0e-19)+-95322787813974.0e-18)+.00060003561586052)+.00094368642146534;m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;q=k*(s+n/+h[m>>3]);m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;n=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;s=+h[m>>3];m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;k=n*(s*(l*(l*(+h[m>>3]*5283835796993.0e-17+.021841717175414)+.032529748770505)+.018990068218419)+.00060706301565874)+-.00028319080123804;m=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[a>>3]=d/(j*(q+k/(l*+h[m>>3]))*e*461.526);i=b;return}function Lg(b,c,d){b=b|0;c=c|0;d=+d;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0;e=i;i=i+216|0;f=e|0;g=e+8|0;j=e+16|0;k=e+24|0;l=e+112|0;m=e+120|0;n=e+208|0;o=+rc(+d,22063999.9999999);tg(g,c,o);p=+h[g>>3];Bg(j,c,p);q=+h[j>>3];j=p>623.15;g=j&1;if(j){Ig(l,0,o);r=+h[l>>3];yg(m,c,r,p);s=+h[m+16>>3];t=+h[m+24>>3];u=+h[m+32>>3];v=+h[m+40>>3];w=+h[m+48>>3];x=+h[m+56>>3];y=+h[m+64>>3];z=+h[m+72>>3];A=+h[m+80>>3];Jg(n,0,o);B=0.0;C=0.0;D=p*t*(w*2.0+t*x)*461.526;E=r*t*(w-u*A)*461.526;F=z*(-0.0-u*u)*461.526;G=0.0;H=s*(u*y-v);I=+h[n>>3];J=r}else{Cg(k,c,d,p);r=+h[k+24>>3];v=+h[k+32>>3];y=+h[k+48>>3];u=+h[k+56>>3];s=+h[k+80>>3];z=r*y;A=v*+h[k+64>>3];if(o<d){K=2087546.84511715}else{K=p*A*461.526}o=+h[k+16>>3]*(A- +h[k+40>>3]);A=v*v*+h[k+72>>3]*-461.526;B=p*r*r*u*+Bz(d,-2)*461.526;C=(z-v*r*s)/d*461.526;D=p*(y*y/u)*-461.526;E=(y-v*s)/(p*r*u)*(-0.0-d);F=0.0;G=A;H=o;I=K;J=d/(p*z*461.526)}k=f|0;f=b|0;a[f]=g;g=f+1|0;a[g]=a[k]|0;a[g+1|0]=a[k+1|0]|0;a[g+2|0]=a[k+2|0]|0;a[g+3|0]=a[k+3|0]|0;a[g+4|0]=a[k+4|0]|0;a[g+5|0]=a[k+5|0]|0;a[g+6|0]=a[k+6|0]|0;h[b+8>>3]=461.526;h[b+16>>3]=p;h[b+24>>3]=J;h[b+32>>3]=I;h[b+40>>3]=H;h[b+48>>3]=G;h[b+56>>3]=F;h[b+64>>3]=q;h[b+72>>3]=E;h[b+80>>3]=D;h[b+88>>3]=C;h[b+96>>3]=B;i=e;return}function Mg(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0;f=i;i=i+16|0;g=f|0;Jy(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0);i=j;if(!(d>611.657)){k=uy(uy(1694544,sy(d,0,1,6)|0)|0,1697256)|0;l=uy(uy(k,sy(611.657,0,1,6)|0)|0,1697224)|0;pe[c[2168]&63](b,9016,l,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}m=d/1.0e6;d=540.0/e;n=d+-.5;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;h[l>>3]=d*d;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;h[l>>3]=o*o;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;h[l>>3]=n*n;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;o=n*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;h[l>>3]=o;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;o=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;h[l>>3]=o*o;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;o=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;h[l>>3]=o*o;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;o=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;h[l>>3]=o*o;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;o=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;p=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;q=o*p*n*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;h[l>>3]=q;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;p=q*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;h[l>>3]=p;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;p=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;q=p*n*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;h[l>>3]=q;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;p=q*n*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;h[l>>3]=p;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;p=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;o=p*q*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;h[l>>3]=o;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;o=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;p=o*q*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;h[l>>3]=p;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;h[l>>3]=m*m;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;p=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;h[l>>3]=p*p;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;p=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;h[l>>3]=p*p;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;p=d*(d*(d*(d*((d*(d*.06380539059921+-.5681726521544)+10.08665568018)*+h[l>>3]+4.38395111945)+ -2.848163942888)+1.2213149471784)+-.2858109552582)+.0280439559151;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;q=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=p/(q*+h[l>>3]);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;q=n*(n*(+h[l>>3]*-.30195167236758+-.172743777250296)+-.09199202739273);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;p=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;r=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;s=n*(p*(r*(+h[l>>3]*-.000960283724907132+-.306581069554011)+-.015757110897342)+-.0003789797503263);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;r=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;p=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;t=r*(p*(+h[l>>3]*-1.42338887469272+-.0090203547252888)+-9683303171571.0e-17);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;p=+h[l>>3]*160454534363627.0e-19;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;r=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;u=r*(+h[l>>3]*-836.35096769364+-.033874355714168)+-5.0144299353183e-11;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;r=+h[l>>3]*u;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;u=+h[l>>3]*-.973671060893475+-138839897890111.0e-19;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;v=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;w=u*v*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;v=+h[l>>3]*-296.320827232793+9.0049690883672e-11;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;u=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;x=v*u*n*+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;u=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;v=u*+h[l>>3]*2.57526266427144e-7;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;u=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;y=+h[l>>3]*-1.40254511313154e-8+-1.0234747095929e-12;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;z=u*(y*+h[l>>3]+4.1627860840696e-19);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;y=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;u=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;A=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;B=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;C=A*(B*n*+h[l>>3]*5.3465159397045+-2.34560435076256e-9);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;B=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;A=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;D=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;E=A*D*+h[l>>3]*-19.1874828272775;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;D=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;A=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;F=+h[l>>3]*-.000201611844951398+1.07202609066812e-11;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;G=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;H=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;I=A*(F*G*H*n*+h[l>>3]+1.78371690710842e-23);l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;H=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;G=H*+h[l>>3]*-1.24017662339842e-24;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;H=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;F=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;A=H*F*+h[l>>3]*.000200482822351322;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;F=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;H=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;J=F*H*+h[l>>3]*-4.97975748452559e-14;l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;H=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;F=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;K=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;L=+h[l>>3];l=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;h[a>>3]=d*(o+m*(q+m*(s+m*(t+m*(n*(n*144676118155521.0e-20+2.558143570457e-8)+m*(p+m*(r+m*(w+m*(x+m*(v+m*(z+y*u*(C+B*(E+D*(I+m*(G+m*(A+m*(J+H*F*m*n*(K*(L*+h[l>>3]*-547344301999018.0e-19+2.21658861403112e-15)+1.90027787547159e-27)))))))))))))+-7.8847309559367e-10)+4.3870667284435e-7)+-33032641670203.0e-18)+-.017834862292358))*e*461.526;i=f;return}function Ng(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0,k=0.0,l=0.0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0;f=i;i=i+16|0;g=f|0;Jy(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0);i=j;k=1386.0/e;l=7.1-d/1653.0e4;if(!(d>611.657)){m=uy(uy(1694480,sy(d,0,1,6)|0)|0,1697256)|0;n=uy(uy(m,sy(611.657,0,1,6)|0)|0,1697224)|0;pe[c[2168]&63](b,9040,n,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}d=k+ -1.222;n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;h[n>>3]=d*d;n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=d*+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;h[n>>3]=o;n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;h[n>>3]=o*o;n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;o=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;h[n>>3]=o*o;n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;p=o*+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;h[n>>3]=p;n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;p=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;o=p*+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;h[n>>3]=o;n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;o=d*+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;h[n>>3]=o;n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;o=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;p=o*+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;h[n>>3]=p;n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;h[n>>3]=l*l;n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;p=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;h[n>>3]=p*p;n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;p=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;h[n>>3]=p*p;n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;p=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;h[n>>3]=p*p;n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;p=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;h[n>>3]=p*p;n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;p=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[n>>3]*-.00015851507390979+-.021841717175414;n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;q=o*+h[n>>3]+.018990068218419;n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;o=p*(q*+h[n>>3]+.00424944110961118)+-.00254871721114236;n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;q=o/+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;o=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;p=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;r=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;s=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;t=o*(p*(r*s*+h[n>>3]*-1.2358149370591e-14+-132425535992538.0e-19)+47661393906987.0e-18)+.00141552963219801;n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;s=t/+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;t=+h[n>>3]*-5.11230768720618e-9+.000126718579380216;n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;r=t/+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;t=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;p=t*(+h[n>>3]*-1.4341729937924e-12+130342445791202.0e-20)+11212640954.0e-15;n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;t=p/+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;p=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;o=+h[n>>3]*1.04549227383804e-9+1.40077319158051e-8;n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;u=o/+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;o=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;v=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;w=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;x=w*+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;w=x*+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;x=1.9941018075704e-17/(w*+h[n>>3]);n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;w=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;y=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;z=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;A=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;B=4.65957282962769e-22/(A*+h[n>>3]);n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;A=+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;C=A*+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;A=l/(C*+h[n>>3])*3.83502057899078e-24;n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;C=d*+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;D=l*(B+l*(A+-7.2912378325616e-23/(C*+h[n>>3])));n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;C=d*+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;A=C*+h[n>>3];n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;C=y*z*(D+-1.00075970318621e-21/(A*+h[n>>3]));n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;A=p*l*(u+o*v*l*(x+w*(C+-4.48827542684151e-19/+h[n>>3])));n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;C=l*(q+l*(s+l*(r+l*(t+l*(324135974880936.0e-20/(d*+h[n>>3])+A)))));n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;A=d*((d*(d*(d*(d*.0040607314991784+-.066465668798004)+.47316115539684)+ -1.91583926775744)+3.3855169168385)*+h[n>>3]+.84548187169114)+-.29265942426334;n=Ry(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;h[a>>3]=k*(A/+h[n>>3]+C)*e*461.526;i=f;return}function Og(a,b,d,e,f,g){a=a|0;b=b|0;d=+d;e=+e;f=+f;g=+g;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0,ga=0,ha=0,ia=0;j=i;i=i+296|0;k=j|0;l=j+88|0;m=j+96|0;n=j+104|0;o=j+112|0;p=j+120|0;q=j+128|0;r=j+136|0;s=j+144|0;t=j+232|0;u=j+280|0;do{if(d<22064.0e3){Pg(l,b,d);if(+h[l>>3]+10.0>e){v=6;break}Qg(m,b,d);if(!(+h[m>>3]+-10.0>=e)){v=7;break}pe[c[2168]&63](b,9112,1694400,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);i=w;v=7}else{Fg(n,0,d);if(+h[n>>3]>e){v=6}else{v=7}}}while(0);if((v|0)==6){Ag(o,0,d,e);x=+h[o>>3];Rg(q,0,d,e);y=+h[q>>3];z=x}else if((v|0)==7){zg(p,0,d,e);x=+h[p>>3];Sg(r,0,d,e);y=+h[r>>3];z=x}r=s|0;p=s+8|0;v=s+16|0;q=s+24|0;o=s+32|0;n=s+40|0;m=s+48|0;l=s+56|0;A=s+64|0;B=s+72|0;C=s+80|0;D=k|0;E=k+8|0;F=k+16|0;G=k+24|0;H=k+32|0;I=k+40|0;J=k+48|0;K=k+56|0;L=k+64|0;M=k+72|0;N=k+80|0;O=t|0;P=t+8|0;Q=t+16|0;R=t+24|0;S=t+32|0;T=t+40|0;U=u|0;W=u+8|0;X=0;x=z;z=1.0/y;do{yg(s,b,z,x);y=+h[p>>3];Y=+h[v>>3];Z=+h[q>>3];_=+h[o>>3];$=+h[n>>3];aa=+h[m>>3];ba=+h[l>>3];ca=+h[A>>3];da=+h[B>>3];ea=+h[C>>3];h[D>>3]=+h[r>>3];h[E>>3]=y;h[F>>3]=Y;h[G>>3]=Z;h[H>>3]=_;h[I>>3]=$;h[J>>3]=aa;h[K>>3]=ba;h[L>>3]=ca;h[M>>3]=da;h[N>>3]=ea;rg(t,0,k);ea=+h[Q>>3];da=+h[R>>3];ca=+h[S>>3];ba=+h[T>>3];aa=+h[P>>3]-e;$=+h[O>>3]-d;do{if(+V(+(aa/e))>g){fa=1}else{if(+V(+($/d))>f){fa=1;break}fa=0}}while(0);_=ea*ba-da*ca;X=X+1|0;Tg(u,0,z-($*ba-aa*da)/_,x-(ea*aa-$*ca)/_);z=+h[U>>3];x=+h[W>>3];}while((X|0)<50&fa);X=fa&1;if(!fa){ga=a|0;h[ga>>3]=z;ha=a+8|0;h[ha>>3]=x;ia=a+16|0;c[ia>>2]=X;i=j;return}pe[c[2168]&63](b,9088,1694344,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);i=w;ga=a|0;h[ga>>3]=z;ha=a+8|0;h[ha>>3]=x;ia=a+16|0;c[ia>>2]=X;i=j;return}function Pg(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0;d=i;i=i+104|0;e=d|0;Lg(e,b,c);eh(a,0,0.0,e|0);i=d;return}function Qg(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0;d=i;i=i+104|0;e=d|0;bh(e,b,c);eh(a,0,0.0,e|0);i=d;return}function Rg(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0;b=i;i=i+48|0;f=b|0;g=b+16|0;j=b+32|0;Jy(f,1,(k=i,i=i+8|0,c[k>>2]=32,k)|0);i=k;l=f;c[l>>2]=c[423384];c[l+4>>2]=c[423385];c[l+8>>2]=c[423386];Jy(g,1,(k=i,i=i+8|0,c[k>>2]=32,k)|0);i=k;l=g;c[l>>2]=c[423314];c[l+4>>2]=c[423315];c[l+8>>2]=c[423316];Jy(j,1,(k=i,i=i+8|0,c[k>>2]=32,k)|0);i=k;k=j;c[k>>2]=c[423244];c[k+4>>2]=c[423245];c[k+8>>2]=c[423246];m=e/21.0e5+-.727;e=m*m;n=d/1.0e8+.128;d=n*m;o=n*n;p=+Bz(n,-12);q=p*+Bz(m,6)*.00529944062966028;p=+Bz(n,-12);r=p*+Bz(m,8)*-.170099690234461;p=+Bz(n,-12);s=p*+Bz(m,12)*11.1323814312927;p=+Bz(n,-12);t=p*+Bz(m,18)*-2178.98123145125;p=e*e;u=p*+Bz(n,-10)*-.000506061827980875;v=+Bz(n,-10);w=v*+Bz(m,7)*.556495239685324;v=+Bz(n,-10);x=v*+Bz(m,10)*-9.43672726094016;v=+Bz(n,-8);y=v*+Bz(m,5)*-.297856807561527;v=+Bz(n,-8);z=v*+Bz(m,12)*93.9353943717186;v=m*e;A=v*+Bz(n,-6)*.0192944939465981;B=p*+Bz(n,-6)*.421740664704763;p=+Bz(n,-6);C=p*+Bz(m,22)*-3689141.2628233;p=e*+Bz(n,-4)*-.00737566847600639;D=v*+Bz(n,-4)*-.354753242424366;E=+Bz(n,-3);F=E*+Bz(m,7)*-1.99768169338727;E=v*+Bz(n,-2)*1.15456297059049;G=+Bz(n,-2);H=G*+Bz(m,16)*5683.6687581596;G=e*+Bz(n,5)*1.10533464706142;h[a>>3]=(q+(r+(s+(t+(u+(w+(x+(y+(z+(A+(B+(C+(p+(D+(F+(E+(H+(.00808169540124668/n+(m/n*.172416341519307+(e/n*1.04270175292927+(v/n*-.297691372792847+(m*.275234661176914+(n*-.148347894866012+(d*-.0651142513478515+(n*e*-2.92468715386302+(o*.0664876096952665+(d*d*3.52335014263844+(n*o*-.0146340792313332+(o*o*e*-2.24503486668184+(G+e*+Bz(n,8)*-.0408757344495612)))))))))))))))))))))))))))))+.560394465163593)*.0028;i=b;return}function Sg(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0;b=i;i=i+48|0;f=b|0;g=b+16|0;j=b+32|0;Jy(f,1,(k=i,i=i+8|0,c[k>>2]=30,k)|0);i=k;l=f;c[l>>2]=c[423582];c[l+4>>2]=c[423583];c[l+8>>2]=c[423584];Jy(g,1,(k=i,i=i+8|0,c[k>>2]=30,k)|0);i=k;l=g;c[l>>2]=c[423516];c[l+4>>2]=c[423517];c[l+8>>2]=c[423518];Jy(j,1,(k=i,i=i+8|0,c[k>>2]=30,k)|0);i=k;k=j;c[k>>2]=c[423450];c[k+4>>2]=c[423451];c[k+8>>2]=c[423452];m=e/28.0e5+-.72;e=d/1.0e8+.0661;d=m*m;n=e*m;o=-2.25196934336318e-9/+Bz(e,12);p=m*+Bz(e,-12)*1.40674363313486e-8;q=23378408528056.0e-19/+Bz(e,8);r=m*+Bz(e,-8)*-331833715229001.0e-19;s=m*d;t=s*+Bz(e,-8)*.00107956778514318;u=+Bz(e,-8);v=u*+Bz(m,6)*-.271382067378863;u=+Bz(e,-8);w=u*+Bz(m,7)*1.07202262490333;u=+Bz(e,-8);x=u*+Bz(m,8)*-.853821329075382;u=-215214194340526.0e-19/+Bz(e,6);y=m*+Bz(e,-6)*.00076965608822273;z=d*+Bz(e,-6)*-.00431136580433864;A=+Bz(e,-6);B=A*+Bz(m,5)*.453342167309331;A=+Bz(e,-6);C=A*+Bz(m,6)*-.507749535873652;A=+Bz(e,-6);D=A*+Bz(m,10)*-100.475154528389;A=s*+Bz(e,-4)*-.219201924648793;s=+Bz(e,-4);E=s*+Bz(m,6)*-3.21087965668917;s=+Bz(e,-4);F=s*+Bz(m,10)*607.567815637771;s=e*e;G=d*+Bz(e,-3)*.18749904002955;H=m*+Bz(e,-2)*.00905368030448107;I=d*+Bz(e,-2)*.285417173048685;J=+Bz(m,5)/e*-11.8035753702231;h[a>>3]=(o+(p+(q+(r+(t+(v+(w+(x+(u+(y+(z+(B+(C+(D+(A+(E+(F+(.000557686450685932/(e*s)+(G+(H+(I+(.0329924030996098/e+(m/e*.239897419685483+(d*d/e*4.82754995951394+(J+(e*-.0179967222507787+(n*.0371810116332674+(n*n*-.0536288335065096+s*+Bz(m,6)*1.6069710109252)))))))))))))))))))))))))))+.169490044091791)*.0088;i=b;return}function Tg(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;var e=0.0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0.0;do{if(c>765.0){e=765.0;f=4}else{g=c<110.0?110.0:c;if(!(g<390.0)){e=g;f=4;break}i=g*.809344262+554.3557377;j=g}}while(0);if((f|0)==4){i=e*-.632948717+1116.85;j=e}e=j+-322.0;c=e*e;if(j<322.0){k=c/1.0e6}else{k=c/144.0e4}c=(1.0-k)*647.096;if(c>d){l=c}else{l=i<d?i:d}h[a>>3]=j;h[a+8>>3]=l;return}function Ug(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=+e;f=+f;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0.0,U=0.0,W=0.0,X=0.0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0,ba=0.0,ca=0.0,da=0,ea=0,fa=0;g=i;i=i+280|0;j=g|0;k=g+88|0;l=g+96|0;m=g+104|0;n=g+112|0;o=g+120|0;p=g+128|0;q=g+136|0;r=g+144|0;s=g+152|0;t=g+160|0;u=g+168|0;v=g+176|0;w=g+264|0;if(d<16529200.0){x=uy(uy(1692640,sy(d,0,1,6)|0)|0,1692632)|0;y=uy(uy(x,sy(16529200.0,0,1,6)|0)|0,1692624)|0;pe[c[2168]&63](b,9208,y,(z=i,i=i+1|0,i=i+7&-8,c[z>>2]=0,z)|0);i=z}if(e<623.15){y=uy(uy(1692552,sy(e,0,1,6)|0)|0,1692544)|0;x=uy(uy(y,sy(623.15,0,1,6)|0)|0,1692536)|0;pe[c[2168]&63](b,9184,x,(z=i,i=i+1|0,i=i+7&-8,c[z>>2]=0,z)|0);i=z}Vg(k,0,e);if(+h[k>>3]>d){k=uy(uy(1692464,sy(d,0,1,6)|0)|0,1692448)|0;x=uy(uy(k,sy(e,0,1,6)|0)|0,1692536)|0;pe[c[2168]&63](b,9160,x,(z=i,i=i+1|0,i=i+7&-8,c[z>>2]=0,z)|0);i=z}Wg(l,b,d);do{if(d>22064.0e3){A=+h[l>>3];Xg(m,0,d);B=+h[m>>3];Yg(n,0,d);C=+h[n>>3];D=B-(e+ -623.15)*((B-C)/(623.15-A));E=C;F=B}else{tg(o,b,d);if(+h[o>>3]>e){Xg(p,0,d);B=+h[p>>3];Ig(q,0,d);C=+h[q>>3];Zg(r,b,e);D=+h[r>>3]*1.1;E=C;F=B;break}else{_g(s,0,d);B=+h[s>>3];Yg(t,0,d);C=+h[t>>3];$g(u,b,e);D=+h[u>>3]*.9;E=C;F=B;break}}}while(0);u=v|0;t=v+8|0;s=v+16|0;r=v+24|0;q=v+32|0;p=v+40|0;o=v+48|0;n=v+56|0;m=v+64|0;l=v+72|0;x=v+80|0;k=j|0;y=j+8|0;G=j+16|0;H=j+24|0;I=j+32|0;J=j+40|0;K=j+48|0;L=j+56|0;M=j+64|0;N=j+72|0;O=j+80|0;P=w|0;Q=w+8|0;B=F+-3.162277660168379e-8;C=E+3.162277660168379e-8;R=0;A=D;while(1){yg(v,b,A,e);D=+h[t>>3];S=+h[s>>3];T=+h[r>>3];U=+h[q>>3];W=+h[p>>3];X=+h[o>>3];Y=+h[n>>3];Z=+h[m>>3];_=+h[l>>3];$=+h[x>>3];h[k>>3]=+h[u>>3];h[y>>3]=D;h[G>>3]=S;h[H>>3]=T;h[I>>3]=U;h[J>>3]=W;h[K>>3]=X;h[L>>3]=Y;h[M>>3]=Z;h[N>>3]=_;h[O>>3]=$;sg(w,0,j);$=+h[P>>3]-d;aa=+V(+($/d))>f;ba=A-$*(1.0/+h[Q>>3]);do{if(ba>E&ba<F){ca=ba}else{if(ba>F){ca=B;break}ca=C}}while(0);da=R+1|0;if((da|0)<50&aa){R=da;A=ca}else{break}}R=aa&1;if(!aa){ea=a|0;h[ea>>3]=ba;fa=a+8|0;c[fa>>2]=R;i=g;return}pe[c[2168]&63](b,9136,1692392,(z=i,i=i+1|0,i=i+7&-8,c[z>>2]=0,z)|0);i=z;ea=a|0;h[ea>>3]=ba;fa=a+8|0;c[fa>>2]=R;i=g;return}function Vg(a,b,d){a=a|0;b=b|0;d=+d;var e=0;b=i;i=i+16|0;Jy(b|0,1,(e=i,i=i+8|0,c[e>>2]=5,e)|0);i=e;h[a>>3]=((d*.0010192970039326+ -1.1671859879975)*d+348.05185628969)*1.0e6;i=b;return}function Wg(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,j=0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0;e=i;i=i+16|0;f=e|0;Jy(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0);i=g;j=f;c[j>>2]=c[424864];c[j+4>>2]=c[424865];c[j+8>>2]=c[424866];k=d/1.0e6;if(d>611.657){l=k/.0010192970039326;m=l+ -13655.33276873084;n=+W(m);o=n+572.54459862746;p=a|0;h[p>>3]=o;i=e;return}j=uy(uy(1699336,sy(d,0,1,6)|0)|0,1697256)|0;f=uy(uy(j,sy(611.657,0,1,6)|0)|0,1697224)|0;pe[c[2168]&63](b,8992,f,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;l=k/.0010192970039326;m=l+ -13655.33276873084;n=+W(m);o=n+572.54459862746;p=a|0;h[p>>3]=o;i=e;return}function Xg(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0.0,j=0,k=0.0,l=0.0,m=0.0,n=0.0;b=i;i=i+16|0;e=b|0;Jy(e,1,(f=i,i=i+8|0,c[f>>2]=3,f)|0);i=f;g=d*-6.04960677555959e-8+7.1;j=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=1,f)|0)|0;i=f;h[j>>3]=g*g;j=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=1,f)|0)|0;i=f;d=+h[j>>3];j=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=2,f)|0)|0;i=f;h[j>>3]=d*d;j=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=2,f)|0)|0;i=f;d=+h[j>>3];j=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=3,f)|0)|0;i=f;h[j>>3]=d*d;j=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=1,f)|0)|0;i=f;d=+h[j>>3];j=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=2,f)|0)|0;i=f;k=+h[j>>3];j=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=3,f)|0)|0;i=f;l=+h[j>>3];j=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=1,f)|0)|0;i=f;m=+h[j>>3];j=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=1,f)|0)|0;i=f;n=+h[j>>3];j=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=2,f)|0)|0;i=f;h[a>>3]=57.4756752485113/(g*(g*(g*(g*(d*g*(k*l*g*(m*(n*(g*(g*(g*2.73712834080283e-24+-5.17859076694812e-23)+3.29199117056433e-22)+-7.02987180039442e-22)*+h[j>>3]+-3.11228834832975e-19)+1.35549330686006e-17)+1.13217858826367e-8)+199080616601101.0e-20)+114683182476084.0e-19)+.000102697173772229)+.00145092247736023)+.0737412153522555);i=b;return}function Yg(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0;b=i;i=i+16|0;e=b|0;Jy(e,1,(f=i,i=i+8|0,c[f>>2]=13,f)|0);i=f;g=d/1.0e6;j=+W(g+ -13.91883977887);k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=1,f)|0)|0;i=f;h[k>>3]=j;k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=1,f)|0)|0;i=f;l=540.0/(+h[k>>3]*31.3220101646784+572.54459862746)+-.5;k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=2,f)|0)|0;i=f;h[k>>3]=l*l;k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=2,f)|0)|0;i=f;m=l*+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=3,f)|0)|0;i=f;h[k>>3]=m;k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=2,f)|0)|0;i=f;m=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=4,f)|0)|0;i=f;h[k>>3]=m*m;k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=4,f)|0)|0;i=f;m=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=5,f)|0)|0;i=f;h[k>>3]=m*m;k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=5,f)|0)|0;i=f;m=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=6,f)|0)|0;i=f;h[k>>3]=m*m;k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=4,f)|0)|0;i=f;m=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=5,f)|0)|0;i=f;n=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=6,f)|0)|0;i=f;o=m*n*l*+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=7,f)|0)|0;i=f;h[k>>3]=o;k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=4,f)|0)|0;i=f;o=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=5,f)|0)|0;i=f;n=o*l*+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=8,f)|0)|0;i=f;h[k>>3]=n;k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=2,f)|0)|0;i=f;n=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=4,f)|0)|0;i=f;o=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=5,f)|0)|0;i=f;m=n*o*+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=9,f)|0)|0;i=f;h[k>>3]=m;k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=10,f)|0)|0;i=f;h[k>>3]=g*g;k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=10,f)|0)|0;i=f;m=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=11,f)|0)|0;i=f;h[k>>3]=m*m;k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=4,f)|0)|0;i=f;m=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=6,f)|0)|0;i=f;o=m*l*+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=12,f)|0)|0;i=f;h[k>>3]=o;k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=6,f)|0)|0;i=f;o=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=13,f)|0)|0;i=f;h[k>>3]=o*o;k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=3,f)|0)|0;i=f;o=l*(l*(l*(+h[k>>3]*-.05032527872793+-.057581259083432)+-.045996013696365)+-.017834862292358);k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=2,f)|0)|0;i=f;m=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=3,f)|0)|0;i=f;n=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=7,f)|0)|0;i=f;p=l*(l*(m*(n*(+h[k>>3]*-53349095828174.0e-18+-.087594591301146)+-.007878555448671)+-.0003789797503263)+-66065283340406.0e-18);k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=2,f)|0)|0;i=f;n=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=3,f)|0)|0;i=f;m=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=7,f)|0)|0;i=f;q=l*(n*(m*(+h[k>>3]*-.122004760687947+-.0045101773626444)+-9683303171571.0e-17)+131612001853305.0e-20);k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=2,f)|0)|0;i=f;m=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=4,f)|0)|0;i=f;n=m*l*+h[k>>3]*114610381688305.0e-19;k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=3,f)|0)|0;i=f;m=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=8,f)|0)|0;i=f;r=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=2,f)|0)|0;i=f;s=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=6,f)|0)|0;i=f;t=m*(r*(s*l*+h[k>>3]*-143.374451604624+-.012702883392813)+-1.00288598706366e-10);k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=2,f)|0)|0;i=f;s=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=5,f)|0)|0;i=f;r=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=9,f)|0)|0;i=f;m=s*r*l*(+h[k>>3]*-.272627897050173+-88352662293707.0e-19);k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=5,f)|0)|0;i=f;r=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=4,f)|0)|0;i=f;s=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=5,f)|0)|0;i=f;u=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=6,f)|0)|0;i=f;v=r*(s*u*+h[k>>3]*-65.8490727183984+9.0049690883672e-11);k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=8,f)|0)|0;i=f;u=+h[k>>3]*1.78287415218792e-7;k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=4,f)|0)|0;i=f;s=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=2,f)|0)|0;i=f;r=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=4,f)|0)|0;i=f;w=+h[k>>3]*-1.0018179379511e-8+-1.0234747095929e-12;k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=4,f)|0)|0;i=f;x=s*(r*w*+h[k>>3]+1.0406965210174e-18);k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=10,f)|0)|0;i=f;w=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=11,f)|0)|0;i=f;r=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=12,f)|0)|0;i=f;s=+h[k>>3]*1.71088510070544+-1.29412653835176e-9;k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=7,f)|0)|0;i=f;y=s*+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=10,f)|0)|0;i=f;s=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=13,f)|0)|0;i=f;z=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=5,f)|0)|0;i=f;A=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=6,f)|0)|0;i=f;B=z*A*l*+h[k>>3]*-6.05920510335078;k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=10,f)|0)|0;i=f;A=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=4,f)|0)|0;i=f;z=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=6,f)|0)|0;i=f;C=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=2,f)|0)|0;i=f;D=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=4,f)|0)|0;i=f;E=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=5,f)|0)|0;i=f;F=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=8,f)|0)|0;i=f;G=z*C*(D*E*F*l*(+h[k>>3]*-84004935396416.0e-18+6.1258633752464e-12)+1.78371690710842e-23);k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=12,f)|0)|0;i=f;F=+h[k>>3]*-1.24017662339842e-24;k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=13,f)|0)|0;i=f;E=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=4,f)|0)|0;i=f;D=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=6,f)|0)|0;i=f;C=E*D*l*+h[k>>3]*832192847496054.0e-19;k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=2,f)|0)|0;i=f;D=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=5,f)|0)|0;i=f;E=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=6,f)|0)|0;i=f;z=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=2,f)|0)|0;i=f;H=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=6,f)|0)|0;i=f;I=H*+h[k>>3]*-226487297378904.0e-19+1.32995316841867e-15;k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=9,f)|0)|0;i=f;H=D*E*z*g*(+h[k>>3]*I+1.75410265428146e-27);k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=13,f)|0)|0;i=f;I=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=2,f)|0)|0;i=f;z=+h[k>>3];k=Ry(e,1,(f=i,i=i+8|0,c[f>>2]=4,f)|0)|0;i=f;h[a>>3]=d/((j*31.3220101646784+572.54459862746)*g*((g*(o+g*(p+g*(q+g*(l*(l*(l*192901490874028.0e-20+5.116287140914e-8)+-3.15389238237468e-9)+g*(n+g*(t+g*(m+g*(v+g*(u+g*(x+w*r*(y+s*(B+A*(G+g*(F+g*(C+g*(H+I*z*l*+h[k>>3]*-2.93678005497663e-14)))))))))+-4.1341695026989e-17))))+6.1445213076927e-8))+-.0017731742473213)+1.0)/g)*461.526);i=b;return}function Zg(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,j=0.0,k=0.0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;Dg(e,b,c);j=+h[e>>3];do{if(c<623.15){Kg(f,0,j,c);k=+h[f>>3]}else{if(!(c<647.096)){k=322.0;break}Ig(g,0,j);k=+h[g>>3]}}while(0);h[a>>3]=k;i=d;return}function _g(a,b,c){a=a|0;b=b|0;c=+c;var d=0.0,e=0,f=0.0;if(!(c<22064.0e3)){d=322.0;e=a|0;h[e>>3]=d;return}f=+$(c/22064.0e3);d=(f*(f*(f*(f*(f*(f*(f*(f*(f*(f*-.001115111165833234+725.8761975803782)+ -2537.375817253895)+3740.579034867006)+ -3015.853540307519)+1437.200724533239)+ -403.5391431811611)+59.18702203076563)+ -1.144787271887849)+ -1.84638508033626)+1.0)*322.0;e=a|0;h[e>>3]=d;return}function $g(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,j=0.0,k=0.0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;Dg(e,b,c);j=+h[e>>3];do{if(c<623.15){dh(f,0,j,c);k=+h[f>>3]}else{if(!(c<647.096)){k=322.0;break}_g(g,0,j);k=+h[g>>3]}}while(0);h[a>>3]=k;i=d;return}function ah(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=+e;f=+f;var g=0,j=0,k=0,l=0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0,s=0,t=0,u=0;g=i;i=i+88|0;j=g|0;k=j+32|0;l=j+64|0;m=j+72|0;n=0;o=1500.0;do{Eg(j,b,d,o);p=+h[k>>3];q=o*p*+h[l>>3]*461.526-e;r=+V(+(q/e))<f;o=o-q/(p*p*+h[m>>3]*-461.526);n=n+1|0;s=r^1;}while((n|0)<50&s);n=s&1;if(r){t=a|0;h[t>>3]=o;u=a+8|0;c[u>>2]=n;i=g;return}pe[c[2168]&63](b,9064,1699472,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;t=a|0;h[t>>3]=o;u=a+8|0;c[u>>2]=n;i=g;return}function bh(b,c,d){b=b|0;c=c|0;d=+d;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0;e=i;i=i+216|0;f=e|0;g=e+8|0;j=e+16|0;k=e+24|0;l=e+112|0;m=e+120|0;n=e+208|0;o=+rc(+d,22063999.9999999);tg(g,c,o);p=+h[g>>3];Bg(j,c,p);q=+h[j>>3];j=p>623.15;g=j&1;if(j){_g(l,0,o);r=+h[l>>3];yg(m,c,r,p);s=+h[m+16>>3];t=+h[m+24>>3];u=+h[m+32>>3];v=+h[m+40>>3];w=+h[m+48>>3];x=+h[m+56>>3];y=+h[m+64>>3];z=+h[m+72>>3];A=+h[m+80>>3];ch(n,0,o);B=0.0;C=0.0;D=p*t*(w*2.0+t*x)*461.526;E=r*t*(w-u*A)*461.526;F=z*(-0.0-u*u)*461.526;G=0.0;H=s*(u*y-v);I=+h[n>>3];J=r}else{xg(k,c,d,p);r=+h[k+24>>3];v=+h[k+32>>3];y=+h[k+48>>3];u=+h[k+56>>3];s=+h[k+80>>3];z=r*y;A=v*+h[k+64>>3];if(o<d){K=2087546.84511715}else{K=p*A*461.526}o=+h[k+16>>3]*(A- +h[k+40>>3]);A=v*v*+h[k+72>>3]*-461.526;B=p*r*r*u*+Bz(d,-2)*461.526;C=(z-v*r*s)/d*461.526;D=p*(y*y/u)*-461.526;E=(y-v*s)/(p*r*u)*(-0.0-d);F=0.0;G=A;H=o;I=K;J=d/(p*z*461.526)}k=f|0;f=b|0;a[f]=g;g=f+1|0;a[g]=a[k]|0;a[g+1|0]=a[k+1|0]|0;a[g+2|0]=a[k+2|0]|0;a[g+3|0]=a[k+3|0]|0;a[g+4|0]=a[k+4|0]|0;a[g+5|0]=a[k+5|0]|0;a[g+6|0]=a[k+6|0]|0;h[b+8>>3]=461.526;h[b+16>>3]=p;h[b+24>>3]=J;h[b+32>>3]=I;h[b+40>>3]=H;h[b+48>>3]=G;h[b+56>>3]=F;h[b+64>>3]=q;h[b+72>>3]=E;h[b+80>>3]=D;h[b+88>>3]=C;h[b+96>>3]=B;i=e;return}function ch(a,b,c){a=a|0;b=b|0;c=+c;var d=0.0;d=+$(c/22064.0e3);h[a>>3]=(d*(d*(d*(d*(d*(d*(d*(d*.0006616936460057692+ -16.98555442961553)+45.66489164833212)+ -48.38215180269516)+25.08887602293532)+ -6.084122698421623)+.2079670746250689)+.4880153718655694)+1.0)*2087546.84511715;return}function dh(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0.0,k=0.0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0;b=i;i=i+16|0;f=b|0;Jy(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0);i=g;j=d/1.0e6;k=540.0/e+-.5;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[l>>3]=k*k;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;m=k*+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[l>>3]=m;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;m=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[l>>3]=m*m;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;m=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;h[l>>3]=m*m;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;m=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;h[l>>3]=m*m;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;m=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;n=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;o=m*n*k*+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;h[l>>3]=o;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;o=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;n=o*k*+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;h[l>>3]=n;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;n=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;o=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;m=n*o*+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;h[l>>3]=m;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;h[l>>3]=j*j;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;m=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;h[l>>3]=m*m;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;m=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;o=m*k*+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;h[l>>3]=o;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;o=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;h[l>>3]=o*o;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;o=k*(k*(k*(+h[l>>3]*-.05032527872793+-.057581259083432)+-.045996013696365)+-.017834862292358);l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;m=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;n=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;p=k*(k*(m*(n*(+h[l>>3]*-53349095828174.0e-18+-.087594591301146)+-.007878555448671)+-.0003789797503263)+-66065283340406.0e-18);l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;n=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;m=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;q=k*(n*(m*(+h[l>>3]*-.122004760687947+-.0045101773626444)+-9683303171571.0e-17)+131612001853305.0e-20);l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;m=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;n=m*k*+h[l>>3]*114610381688305.0e-19;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;m=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;r=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;s=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;t=m*(r*(s*k*+h[l>>3]*-143.374451604624+-.012702883392813)+-1.00288598706366e-10);l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;s=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;r=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;m=s*r*k*(+h[l>>3]*-.272627897050173+-88352662293707.0e-19);l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;r=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;s=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;u=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;v=r*(s*u*+h[l>>3]*-65.8490727183984+9.0049690883672e-11);l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;u=+h[l>>3]*1.78287415218792e-7;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;s=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;r=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;w=+h[l>>3]*-1.0018179379511e-8+-1.0234747095929e-12;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;x=s*(r*w*+h[l>>3]+1.0406965210174e-18);l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;w=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;r=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;s=+h[l>>3]*1.71088510070544+-1.29412653835176e-9;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;y=s*+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;s=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;z=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;A=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;B=z*A*k*+h[l>>3]*-6.05920510335078;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;A=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;z=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;C=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;D=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;E=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;F=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;G=z*C*(D*E*F*k*(+h[l>>3]*-84004935396416.0e-18+6.1258633752464e-12)+1.78371690710842e-23);l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;F=+h[l>>3]*-1.24017662339842e-24;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;E=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;D=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;C=E*D*k*+h[l>>3]*832192847496054.0e-19;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;D=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;E=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;z=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;H=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;I=H*+h[l>>3]*-226487297378904.0e-19+1.32995316841867e-15;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;H=D*E*z*j*(+h[l>>3]*I+1.75410265428146e-27);l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;I=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;z=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[a>>3]=d/(j*((j*(o+j*(p+j*(q+j*(k*(k*(k*192901490874028.0e-20+5.116287140914e-8)+-3.15389238237468e-9)+j*(n+j*(t+j*(m+j*(v+j*(u+j*(x+w*r*(y+s*(B+A*(G+j*(F+j*(C+j*(H+I*z*k*+h[l>>3]*-2.93678005497663e-14)))))))))+-4.1341695026989e-17))))+6.1445213076927e-8))+-.0017731742473213)+1.0)/j)*e*461.526);i=b;return}function eh(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0;b=i;e=d;d=i;i=i+104|0;d1(d,e,104)|0;h[a>>3]=+h[d+32>>3];i=b;return}function fh(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0;e=i;i=i+16|0;f=e|0;Jy(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0);i=g;j=7.1-d/1653.0e4;if(!(d>611.657)){k=uy(uy(1699264,sy(d,0,1,6)|0)|0,1697256)|0;l=uy(uy(k,sy(611.657,0,1,6)|0)|0,1697224)|0;pe[c[2168]&63](b,8896,l,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g}l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[l>>3]=j*j;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;d=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[l>>3]=d*d;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;d=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[l>>3]=d*d;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;d=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;m=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;n=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;o=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;p=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[a>>3]=(j*(j*(j*(j*(j*(d*j*(m*n*j*(o*(p*(j*(j*(j*3.49930466305574e-24+-6.66749357417962e-23)+4.27026404402408e-22)+-9.19148577641497e-22)*+h[l>>3]+-4.18568363667416e-19)+1.86779322717506e-17)+1.46754947271665e-8)+317834967400818.0e-20)+123617764767172.0e-19)+.000125338925082983)+.00143759406818289)+-.00141131225285294)+2.42896927729349)*639675.036;i=e;return}function gh(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0;e=i;i=i+16|0;f=e|0;Jy(f,1,(g=i,i=i+8|0,c[g>>2]=18,g)|0);i=g;j=d/1.0e6;if(!(d>611.657)){k=uy(uy(1699192,sy(d,0,1,6)|0)|0,1697256)|0;l=uy(uy(k,sy(611.657,0,1,6)|0)|0,1697224)|0;pe[c[2168]&63](b,8944,l,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g}d=+W(j+ -13.91883977887)*31.3220101646784+572.54459862746;m=540.0/d+-.5;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[l>>3]=d*d;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;n=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[l>>3]=n*n;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;n=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[l>>3]=n*n;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;h[l>>3]=j*j;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;n=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;h[l>>3]=n*n;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;h[l>>3]=m*m;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;n=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;h[l>>3]=n*n;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;n=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;o=n*+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;h[l>>3]=o;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;o=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;h[l>>3]=o*o;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;o=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;h[l>>3]=o*o;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;o=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;h[l>>3]=o*o;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;o=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;h[l>>3]=o*o;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;o=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;h[l>>3]=o*o;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;o=m*+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;h[l>>3]=o;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;o=m*+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=15,g)|0)|0;i=g;h[l>>3]=o;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;o=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;n=o*+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=16,g)|0)|0;i=g;h[l>>3]=n;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;n=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;o=n*+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=17,g)|0)|0;i=g;h[l>>3]=o;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;o=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;n=o*m*+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=18,g)|0)|0;i=g;h[l>>3]=n;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;n=+h[l>>3]*3.74686560065793;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;o=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;p=o*+h[l>>3]*357966647812489.0e-20;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;o=+h[l>>3]*2.81881548488163e-13;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;q=d*+h[l>>3]*-.00450789338787835;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;r=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;s=r*d*+h[l>>3]*-1.55131504410292e-9;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;r=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;t=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;u=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;v=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;w=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;x=t*u*v*w*+h[l>>3]*-4781981.98764471;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;w=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;v=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;u=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;t=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;y=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;z=w*v*u*t*y*+h[l>>3]*49.9651389369988;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=15,g)|0)|0;i=g;y=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;t=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=16,g)|0)|0;i=g;u=+h[l>>3]*-.00349547959376899;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;v=u+ +h[l>>3]*-2.55074501962569e-7+1.03746636552761e-13;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;u=y*t*+h[l>>3]*v;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;v=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;t=v*+h[l>>3]*-242662.235426958;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=16,g)|0)|0;i=g;v=t+ +h[l>>3]*-3.46022402653609;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;t=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;y=v*t*j*+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;t=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;v=+h[l>>3]*-2248.08924686956;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=17,g)|0)|0;i=g;w=+h[l>>3]*-354742.725841972;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;A=t*j*(v+(w+ +h[l>>3]*-24.1331193696374)+.109336249381227);l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;w=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;v=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;t=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;B=w*v*t*j*+h[l>>3]*-3.09081828396912e-19;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;t=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;v=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;w=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;C=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;D=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;E=t*v*w*C*D*j*+h[l>>3]*-1.24107527851371e-8;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;D=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;C=D*j*+h[l>>3]*3.99891272904219;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;D=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;w=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;v=D*w*j*+h[l>>3]*.0641817365250892;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;w=+h[l>>3]*-75253.6156722047;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;D=j*(w+(m*-22926.6247146068+ +h[l>>3]*-43051.9020511789)+ -4444.87643334512);l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;w=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=15,g)|0)|0;i=g;j=+h[l>>3]*-3927.0508365636;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=18,g)|0)|0;i=g;t=+h[l>>3]*-239.325789467604;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;F=w*(j+(t+(m*-94.4508644545118+ +h[l>>3]*-76407.3727417716))+ -8.23252840892034);l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;t=(m+-.0161221195808321)*(m+.0338039844460968)*+h[l>>3]*.360567666582363;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;j=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;w=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;G=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;H=w*G*+h[l>>3]*-.000584580992538624;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;G=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;w=j*(H+G*m*+h[l>>3]*1332480.30241755);l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;G=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=18,g)|0)|0;i=g;H=+h[l>>3]*-73850273.6990986;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;j=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;I=G*(H+j*m*+h[l>>3]*224425477627799.0e-19);l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;j=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;H=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=17,g)|0)|0;i=g;G=+h[l>>3]*-208438767.026518;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;J=+h[l>>3]*-124971648677697.0e-19;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;K=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;L=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;M=j*H*(G+(J+K*L*m*+h[l>>3]*-8442.30378348203));l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;L=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;K=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;J=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;G=J*m*+h[l>>3]*4.73594929247646e-22;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;J=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;H=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;j=J*H*m*+h[l>>3]*-13.6411358215175;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;H=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;J=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;N=K*(G+(j+H*J*m*+h[l>>3]*5.52427169406836e-10));l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;J=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=17,g)|0)|0;i=g;H=+h[l>>3]*267174673301715.0e-20;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;j=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;G=j*m*+h[l>>3]*4.44545133805865e-18;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;j=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;K=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;O=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;P=n+(p+(o+(d*-76465233.2452145+(q+(s+r*(x+(z+(u+(y+(A+(B+(E+(C+(v+(D+(F+(t+(w+(I+(M+L*(N+J*(H+(G+j*K*O*m*+h[l>>3]*-50.2465185106411)))))))))))))))))+2513837.07870341))))))+4636975733.03507;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[a>>3]=P/+h[l>>3];i=e;return}function hh(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0;e=i;i=i+16|0;f=e|0;Jy(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0);i=g;j=7.1-d/1653.0e4;if(!(d>611.657)){k=uy(uy(1699120,sy(d,0,1,6)|0)|0,1697256)|0;l=uy(uy(k,sy(611.657,0,1,6)|0)|0,1697224)|0;pe[c[2168]&63](b,8968,l,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g}l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[l>>3]=j*j;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;d=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[l>>3]=d*d;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;d=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[l>>3]=d*d;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;d=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;m=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;n=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;o=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;p=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[a>>3]=(j*(j*(j*(j*(j*(d*j*(m*n*j*(o*(p*(j*(j*(j*9.64504638626269e-49+-7.06381628462585e-47)+1.73894459122923e-45)+-1.43870236842915e-44)*+h[l>>3]+-8.12140581014818e-38)+5.35429206228374e-35)+8.43755552264362e-14)+1.73545618580828e-11)+-2.41630417490008e-7)+-418695814670391.0e-20)+-.00017146768241932)+-.022914084306349)+.173379420894777)*639675.036;i=e;return}function ih(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0.0,g=0,j=0;e=i;f=d/1.0e6;if(!(d>611.657)){g=uy(uy(1699048,sy(d,0,1,6)|0)|0,1697256)|0;j=uy(uy(g,sy(611.657,0,1,6)|0)|0,1697224)|0;pe[c[2168]&63](b,8920,j,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}h[a>>3]=(f*(f*(f*3.36540214679088e-7+-203245575263501.0e-19)+-.00979043490246092)+9.01505286876203)*461526.0;i=e;return}function jh(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0.0,g=0,j=0;e=i;f=d/1.0e6;if(!(d>611.657)){g=uy(uy(1698976,sy(d,0,1,6)|0)|0,1697256)|0;j=uy(uy(g,sy(611.657,0,1,6)|0)|0,1697224)|0;pe[c[2168]&63](b,8848,j,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}h[a>>3]=(f*(f*(f*7.5006972718273e-8+-5.01510211858761e-8)+-.000489898813722568)+15.9838891400332)*461526.0;i=e;return}function kh(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,j=0.0,k=0,l=0,m=0.0;e=i;i=i+16|0;f=e|0;Jy(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0);i=g;j=d/1.0e6;if(!(d>611.657)){k=uy(uy(1698904,sy(d,0,1,6)|0)|0,1697256)|0;l=uy(uy(k,sy(611.657,0,1,6)|0)|0,1697224)|0;pe[c[2168]&63](b,8872,l,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g}l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[l>>3]=j*j;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;d=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[l>>3]=d*d*d;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;d=+h[l>>3];l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;m=d*((j*(j*(j*(j*1.88543121025106e-84+-1.76117969553159e-103)+8.06630589170884e-129)+-3.71600586812966e-69)+1.6746290980312e-65)*+h[l>>3]+-8.00969737237617e-134)+-7.5656940729795e-74;l=Ry(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[a>>3]=j*(j*(j*(j*(j*(j*(j*(j*(j*(j*(+h[l>>3]*m+3.37267475986401e-21)+7.16825117265975e-32)+7.56960433802525e-23)+-3.79407294691742e-25)+-1.27295130636232e-10)+4.2261295097284e-15)+-.000172486052272327)+.109090430596056)+ -8.53409968320258)+ -4518.48617188327)+4160663.37647071;i=e;return}function lh(a,b,d,e,f,g){a=a|0;b=b|0;d=+d;e=+e;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0.0,B=0.0,C=0,D=0;j=i;i=i+104|0;k=j|0;l=j+8|0;m=j+16|0;n=j+24|0;o=j+32|0;p=j+40|0;q=j+48|0;r=j+56|0;s=j+64|0;t=j+72|0;u=j+80|0;v=j+88|0;w=j+96|0;do{if((g|0)==0){Pg(k,b,d);x=+h[k>>3];Qg(l,b,d);y=+h[l>>3];if((f|0)==2){z=4;break}hh(m,b,d);A=+h[m>>3];jh(n,b,d);B=+h[n>>3];kh(o,b,d);if(d<611.657|d>1.0e8|A>e){z=-1;break}C=d<1.0e7;if(C&B<e){z=-1;break}if(d>=1.0e7&+h[o>>3]<e){z=-1;break}D=e<2087546.84511715;if(!(d<16529200.0)){if(D){fh(v,b,d);if(+h[v>>3]>e){z=1;break}z=x>e|d>22064.0e3?3:4;break}else{gh(w,b,d);if(+h[w>>3]<e){z=2;break}z=y<e|d>22064.0e3?3:4;break}}if(D){if((f|0)==1){z=1;break}tg(p,b,d);Ng(q,b,d,+h[p>>3]);z=+h[q>>3]>e?1:4;break}ih(r,b,d);if(!(+h[r>>3]<e)){if((f|0)==1){z=2;break}tg(t,b,d);Mg(u,b,d,+h[t>>3]);z=+h[u>>3]<e?2:4;break}jh(s,b,d);if(C){if(+h[s>>3]>e){z=5;break}}z=-2}else{z=g}}while(0);c[a>>2]=z;i=j;return}function mh(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=+e;f=f|0;var g=0,j=0,k=0,l=0;g=i;i=i+16|0;j=g|0;k=g+8|0;do{if((f|0)==0){if(d<16529200.0){if(e>1073.15){l=5;break}tg(j,b,d);l=+h[j>>3]<e?2:1;break}else{if(e<623.15){l=1;break}Wg(k,b,d);l=+h[k>>3]>e?3:2;break}}else{l=f}}while(0);c[a>>2]=l;i=g;return}function nh(a,b,d,e,f,g){a=a|0;b=b|0;d=+d;e=+e;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0,S=0.0,T=0.0,U=0,W=0,X=0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0,ta=0,ua=0.0,va=0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0.0,Ga=0.0,Ha=0.0;j=i;i=i+1576|0;k=j|0;l=j+64|0;m=j+128|0;n=j+216|0;o=j+304|0;p=j+392|0;q=j+480|0;r=j+488|0;s=j+496|0;t=j+584|0;u=j+592|0;v=j+680|0;w=j+704|0;x=j+792|0;y=j+800|0;z=j+808|0;A=j+816|0;B=j+824|0;C=j+912|0;D=j+1e3|0;E=j+1064|0;F=j+1128|0;G=j+1136|0;H=j+1144|0;I=j+1152|0;J=j+1240|0;K=j+1328|0;L=j+1392|0;M=j+1456|0;N=j+1464|0;O=j+1472|0;P=j+1488|0;do{if((g|0)==0){if((f|0)==2){Q=+Yb(+d,611.657);R=2;S=Q;T=+Yb(+e,+1.0e3);U=11;break}else{lh(q,b,d,e,f,0);W=c[q>>2]|0;U=5;break}}else{W=g;U=5}}while(0);a:do{if((U|0)==5){if((f|0)==0){X=(W|0)==4?2:1}else{X=f}Q=+Yb(+d,611.657);Y=+Yb(+e,+1.0e3);switch(W|0){case 3:{Og(v,b,Q,Y,1.0e-7,1.0e-6);Z=+h[v>>3];_=+h[v+8>>3];yg(w,b,Z,_);$=+h[w+24>>3];aa=+h[w+32>>3];ba=+h[w+48>>3];ca=aa*+h[w+64>>3];da=_*$*(ba*2.0+$*+h[w+56>>3])*461.526;ea=Z*$*(ba-aa*+h[w+80>>3])*461.526;fa=+V(+(+h[w+72>>3]*(-0.0-aa*aa)*461.526));aa=Z*Z;ga=ea;ha=0.0;ia=0.0;ja=0.0;ka=da;la=ea;ma=(ca- +h[w+40>>3])*461.526;na=Z;oa=fa;pa=(aa*fa*da+_*ea*ea)/(aa*da);qa=_*($*ba+ca)*461.526;ra=_;sa=3;ta=X;ua=Q;break a;break};case 5:{ah(O,b,Q,Y,1.0e-7);_=+h[O>>3];if((c[O+8>>2]|0)!=0){pe[c[2168]&63](b,8752,1698784,(va=i,i=i+1|0,i=i+7&-8,c[va>>2]=0,va)|0);i=va}Eg(P,b,Q,_);ca=+h[P+24>>3];ba=+h[P+32>>3];$=+h[P+48>>3];da=+h[P+56>>3];aa=+h[P+72>>3];ea=+h[P+80>>3];fa=(ba*+h[P+64>>3]- +h[P+40>>3])*461.526;Z=ca*$;wa=(Z-ba*ca*ea)/d*461.526;xa=_*ca*ca*da*+Bz(d,-2)*461.526;ca=ba*ba;ya=$-ba*ea;ga=(-0.0-wa)/xa;ha=0.0;ia=xa;ja=wa;ka=0.0;la=0.0;ma=fa;na=d/(_*Z*461.526);oa=(aa*(-0.0-ca)+ya*ya/da)*461.526;pa=ca*aa*-461.526;qa=Y;ra=_;sa=5;ta=X;ua=Q;break a;break};case 4:{R=X;S=Q;T=Y;U=11;break a;break};case 1:{Gg(r,b,Q,Y);_=+h[r>>3];Cg(s,b,d,_);aa=+h[s+24>>3];ca=+h[s+32>>3];da=+h[s+48>>3];ya=+h[s+56>>3];Z=+h[s+72>>3];fa=+h[s+80>>3];wa=(ca*+h[s+64>>3]- +h[s+40>>3])*461.526;xa=aa*da;ea=(xa-ca*aa*fa)/d*461.526;ba=_*aa*aa*ya*+Bz(d,-2)*461.526;aa=ca*ca;$=da-ca*fa;ga=(-0.0-ea)/ba;ha=0.0;ia=ba;ja=ea;ka=0.0;la=0.0;ma=wa;na=d/(_*xa*461.526);oa=(Z*(-0.0-aa)+$*$/ya)*461.526;pa=aa*Z*-461.526;qa=Y;ra=_;sa=1;ta=X;ua=Q;break a;break};case 2:{Hg(t,0,Q,Y);_=+h[t>>3];xg(u,b,d,_);Z=+h[u+24>>3];aa=+h[u+32>>3];ya=+h[u+48>>3];$=+h[u+56>>3];xa=+h[u+72>>3];wa=+h[u+80>>3];ea=(aa*+h[u+64>>3]- +h[u+40>>3])*461.526;ba=Z*ya;fa=(ba-aa*Z*wa)/d*461.526;ca=_*Z*Z*$*+Bz(d,-2)*461.526;Z=aa*aa;da=ya-aa*wa;ga=(-0.0-fa)/ca;ha=1.0;ia=ca;ja=fa;ka=0.0;la=0.0;ma=ea;na=d/(_*ba*461.526);oa=(xa*(-0.0-Z)+da*da/$)*461.526;pa=Z*xa*-461.526;qa=Y;ra=_;sa=2;ta=X;ua=Q;break a;break};default:{g=uy(uy(uy(uy(1698848,sy(d,0,1,6)|0)|0,1698840)|0,sy(e,0,1,6)|0)|0,1698832)|0;pe[c[2168]&63](b,8728,g,(va=i,i=i+1|0,i=i+7&-8,c[va>>2]=0,va)|0);i=va;ga=0.0;ha=0.0;ia=0.0;ja=0.0;ka=0.0;la=0.0;ma=0.0;na=0.0;oa=0.0;pa=0.0;qa=Y;ra=0.0;sa=W;ta=X;ua=Q;break a}}}}while(0);if((U|0)==11){oh(x,b,d);Q=+h[x>>3];ph(y,b,d);Y=+h[y>>3];if(Y!=Q){za=(e-Q)/(Y-Q)}else{za=1.0}if(d<16529200.0){Gg(z,b,S,Q);Q=+h[z>>3];Hg(A,0,S,Y);Y=+h[A>>3];Cg(B,b,S,Q);e=+h[B+8>>3];_=+h[B+16>>3];xa=+h[B+24>>3];Z=+h[B+32>>3];$=+h[B+40>>3];da=+h[B+48>>3];ba=+h[B+56>>3];ea=+h[B+64>>3];fa=+h[B+72>>3];ca=+h[B+80>>3];h[m>>3]=+h[B>>3];h[m+8>>3]=e;h[m+16>>3]=_;h[m+24>>3]=xa;h[m+32>>3]=Z;h[m+40>>3]=$;h[m+48>>3]=da;h[m+56>>3]=ba;h[m+64>>3]=ea;h[m+72>>3]=fa;h[m+80>>3]=ca;xg(C,b,S,Y);ca=+h[C+8>>3];fa=+h[C+16>>3];ea=+h[C+24>>3];ba=+h[C+32>>3];da=+h[C+40>>3];$=+h[C+48>>3];Z=+h[C+56>>3];xa=+h[C+64>>3];_=+h[C+72>>3];e=+h[C+80>>3];h[n>>3]=+h[C>>3];h[n+8>>3]=ca;h[n+16>>3]=fa;h[n+24>>3]=ea;h[n+32>>3]=ba;h[n+40>>3]=da;h[n+48>>3]=$;h[n+56>>3]=Z;h[n+64>>3]=xa;h[n+72>>3]=_;h[n+80>>3]=e;vg(D,0,m);e=+h[D+8>>3];_=+h[D+16>>3];xa=+h[D+24>>3];Z=+h[D+32>>3];$=+h[D+40>>3];da=+h[D+48>>3];ba=+h[D+56>>3];h[k>>3]=+h[D>>3];h[k+8>>3]=e;h[k+16>>3]=_;h[k+24>>3]=xa;h[k+32>>3]=Z;h[k+40>>3]=$;h[k+48>>3]=da;h[k+56>>3]=ba;vg(E,0,n);ba=+h[E>>3];da=+h[E+8>>3];$=+h[E+16>>3];Z=+h[E+24>>3];xa=+h[E+32>>3];_=+h[E+40>>3];e=+h[E+48>>3];ea=+h[E+56>>3];h[l>>3]=ba;h[l+8>>3]=da;h[l+16>>3]=$;h[l+24>>3]=Z;h[l+32>>3]=xa;h[l+40>>3]=_;h[l+48>>3]=e;h[l+56>>3]=ea;Aa=Q+za*(Y-Q);Ba=ba;Ca=Z}else{tg(F,b,S);Z=+h[F>>3];qh(G,b,Z);ba=+h[G>>3];rh(H,b,Z);Q=+h[H>>3];yg(I,b,ba,Z);ba=+h[I+8>>3];Y=+h[I+16>>3];ea=+h[I+24>>3];e=+h[I+32>>3];_=+h[I+40>>3];xa=+h[I+48>>3];$=+h[I+56>>3];da=+h[I+64>>3];fa=+h[I+72>>3];ca=+h[I+80>>3];h[o>>3]=+h[I>>3];h[o+8>>3]=ba;h[o+16>>3]=Y;h[o+24>>3]=ea;h[o+32>>3]=e;h[o+40>>3]=_;h[o+48>>3]=xa;h[o+56>>3]=$;h[o+64>>3]=da;h[o+72>>3]=fa;h[o+80>>3]=ca;yg(J,b,Q,Z);Q=+h[J+8>>3];ca=+h[J+16>>3];fa=+h[J+24>>3];da=+h[J+32>>3];$=+h[J+40>>3];xa=+h[J+48>>3];_=+h[J+56>>3];e=+h[J+64>>3];ea=+h[J+72>>3];Y=+h[J+80>>3];h[p>>3]=+h[J>>3];h[p+8>>3]=Q;h[p+16>>3]=ca;h[p+24>>3]=fa;h[p+32>>3]=da;h[p+40>>3]=$;h[p+48>>3]=xa;h[p+56>>3]=_;h[p+64>>3]=e;h[p+72>>3]=ea;h[p+80>>3]=Y;ug(K,0,o);Y=+h[K+8>>3];ea=+h[K+16>>3];e=+h[K+24>>3];_=+h[K+32>>3];xa=+h[K+40>>3];$=+h[K+48>>3];da=+h[K+56>>3];h[k>>3]=+h[K>>3];h[k+8>>3]=Y;h[k+16>>3]=ea;h[k+24>>3]=e;h[k+32>>3]=_;h[k+40>>3]=xa;h[k+48>>3]=$;h[k+56>>3]=da;ug(L,0,p);da=+h[L>>3];$=+h[L+8>>3];xa=+h[L+16>>3];_=+h[L+24>>3];e=+h[L+32>>3];ea=+h[L+40>>3];Y=+h[L+48>>3];fa=+h[L+56>>3];h[l>>3]=da;h[l+8>>3]=$;h[l+16>>3]=xa;h[l+24>>3]=_;h[l+32>>3]=e;h[l+40>>3]=ea;h[l+48>>3]=Y;h[l+56>>3]=fa;Aa=Z;Ba=da;Ca=_}L=k|0;_=+h[L>>3];if(_!=Ba){da=+h[k+24>>3];Da=(Ca-da)*_*(Ba/(_-Ba));Ea=da;Fa=Ca;Ga=_;Ha=Ba}else{Bg(M,b,Aa);Da=+h[M>>3];Ea=+h[k+24>>3];Fa=+h[l+24>>3];Ga=+h[L>>3];Ha=+h[l>>3]}wg(N,0,k,l,za,Aa,d);d=+h[k+32>>3];Ba=+h[k+48>>3];_=+h[k+56>>3];ga=Da;ha=za;ia=0.0;ja=0.0;ka=_+za*(+h[l+56>>3]-_);la=Ba+za*(+h[l+48>>3]-Ba);ma=Ea+za*(Fa-Ea);na=Ga*(Ha/(Ha+za*(Ga-Ha)));oa=+h[N>>3];pa=d+za*(+h[l+32>>3]-d);qa=T;ra=Aa;sa=4;ta=R;ua=S}c[a>>2]=ta;c[a+4>>2]=sa;h[a+8>>3]=ua;h[a+16>>3]=ra;h[a+24>>3]=qa;h[a+32>>3]=461.526;h[a+40>>3]=pa;h[a+48>>3]=oa;h[a+56>>3]=na;h[a+64>>3]=ma;h[a+72>>3]=la;h[a+80>>3]=ka;h[a+88>>3]=ja;h[a+96>>3]=ia;h[a+104>>3]=ha;h[a+112>>3]=ga;i=j;return}function oh(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0;d=i;i=i+104|0;e=d|0;Lg(e,b,c);eh(a,0,0.0,e|0);i=d;return}function ph(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0;d=i;i=i+104|0;e=d|0;bh(e,b,c);eh(a,0,0.0,e|0);i=d;return}function qh(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,j=0.0,k=0.0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;Dg(e,b,c);j=+h[e>>3];do{if(c<623.15){Kg(f,0,j,c);k=+h[f>>3]}else{if(!(c<647.096)){k=322.0;break}Ig(g,0,j);k=+h[g>>3]}}while(0);h[a>>3]=k;i=d;return}function rh(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,j=0.0,k=0.0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;Dg(e,b,c);j=+h[e>>3];do{if(c<623.15){dh(f,0,j,c);k=+h[f>>3]}else{if(!(c<647.096)){k=322.0;break}_g(g,0,j);k=+h[g>>3]}}while(0);h[a>>3]=k;i=d;return}function sh(a,b,d,e,f,g){a=a|0;b=b|0;d=+d;e=+e;f=+f;g=g|0;var j=0,k=0,l=0,m=0.0,n=0.0,o=0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0;g=i;i=i+16|0;j=g|0;Jy(j,1,(k=i,i=i+8|0,c[k>>2]=42,k)|0);i=k;l=j;c[l>>2]=c[424692];c[l+4>>2]=c[424693];c[l+8>>2]=c[424694];m=e+ -273.15;n=d/317.763;if(!(d>.004854575724778614)){l=uy(uy(1698344,sy(d,0,1,6)|0)|0,1698336)|0;j=uy(uy(l,sy(.004854575724778614,0,1,6)|0)|0,1698312)|0;pe[c[2168]&63](b,8824,j,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}if(f>5.0e8){o=5}else{if(!(m>=0.0&m<=150.0)){o=5}}do{if((o|0)==5){if(!(f>35.0e7)){if(m>150.0&m<=600.0){break}}if(!(f>3.0e8)){if(m>600.0&m<=900.0){break}}j=uy(uy(1698200,sy(f,0,1,6)|0)|0,1698184)|0;l=uy(uy(j,sy(m,0,1,6)|0)|0,1692536)|0;pe[c[2168]&63](b,8800,l,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}}while(0);m=n+-1.0;f=647.226/e;e=f+-1.0;d=+X(+f,+-.5)/(f*(f*(f*-.202354+.579829)+.978197)+1.0);if((ig(1,1,6)|0)==0){p=0.0;q=n*p;r=+da(q);s=d*r;t=s*55071.0e-9;u=a|0;h[u>>3]=t;i=g;return}k=(ig(0,0,6)|0)==0;f=1.0;v=0.0;b=1;while(1){if((b|0)==1){w=f}else{w=e*f}if(k){x=v}else{o=b-1|0;y=1.0;z=v;l=0;while(1){if((l|0)==0){A=y}else{A=m*y}B=z+ +Hy(1698768,o+(l*6|0)|0)*w*A;j=l+1|0;if((ig(j,0,6)|0)==0){x=B;break}else{y=A;z=B;l=j}}}l=b+1|0;if((ig(l,1,6)|0)==0){p=x;break}else{f=w;v=x;b=l}}q=n*p;r=+da(q);s=d*r;t=s*55071.0e-9;u=a|0;h[u>>3]=t;i=g;return}function th(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;var f=0;b=i;f=e;e=i;i=i+120|0;d1(e,f,120)|0;h[a>>3]=+h[e+16>>3];i=b;return}function uh(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;var f=0;b=i;f=e;e=i;i=i+120|0;d1(e,f,120)|0;h[a>>3]=+h[e+24>>3];i=b;return}function vh(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=+e;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0;g=i;i=i+376|0;j=g|0;k=g+8|0;l=g+96|0;m=g+184|0;n=g+200|0;o=g+288|0;if((f|0)==0){mh(j,b,d,e,0);p=c[j>>2]|0}else{p=f}if((p|0)==1){Cg(k,b,d,e);q=+h[k+24>>3];r=+h[k+32>>3];s=+h[k+48>>3];t=+h[k+56>>3];u=+h[k+72>>3];v=+h[k+80>>3];w=r*+h[k+64>>3];x=(w- +h[k+40>>3])*461.526;y=q*s;z=(y-r*q*v)/d*461.526;A=q*q*t*+Bz(d,-2)*e*461.526;q=r*r;B=s-r*v;C=(-0.0-z)/A;D=0.0;E=A;F=z;G=0.0;H=0.0;I=x;J=d/(y*e*461.526);K=(u*(-0.0-q)+B*B/t)*461.526;L=q*u*-461.526;M=w*e*461.526}else if((p|0)==2){xg(l,b,d,e);w=+h[l+24>>3];u=+h[l+32>>3];q=+h[l+48>>3];t=+h[l+56>>3];B=+h[l+72>>3];y=+h[l+80>>3];x=u*+h[l+64>>3];z=(x- +h[l+40>>3])*461.526;A=w*q;v=(A-u*w*y)/d*461.526;r=w*w*t*+Bz(d,-2)*e*461.526;w=u*u;s=q-u*y;C=(-0.0-v)/r;D=1.0;E=r;F=v;G=0.0;H=0.0;I=z;J=d/(A*e*461.526);K=(B*(-0.0-w)+s*s/t)*461.526;L=w*B*-461.526;M=x*e*461.526}else if((p|0)==3){Ug(m,b,d,e,1.0e-7);x=+h[m>>3];yg(n,b,x,e);B=+h[n+24>>3];w=+h[n+32>>3];t=+h[n+48>>3];s=w*+h[n+64>>3];A=x*B*(t-w*+h[n+80>>3])*461.526;C=A;D=0.0;E=0.0;F=0.0;G=B*(t*2.0+B*+h[n+56>>3])*e*461.526;H=A;I=(s- +h[n+40>>3])*461.526;J=x;K=+h[n+72>>3]*(-0.0-w*w)*461.526;L=0.0;M=(B*t+s)*e*461.526}else if((p|0)==5){Eg(o,b,d,e);s=+h[o+24>>3];t=+h[o+32>>3];B=+h[o+48>>3];w=+h[o+56>>3];x=+h[o+72>>3];A=+h[o+80>>3];z=t*+h[o+64>>3];v=(z- +h[o+40>>3])*461.526;r=s*B;y=(r-t*s*A)/d*461.526;u=s*s*w*+Bz(d,-2)*e*461.526;s=t*t;q=B-t*A;C=(-0.0-y)/u;D=1.0;E=u;F=y;G=0.0;H=0.0;I=v;J=d/(r*e*461.526);K=(x*(-0.0-s)+q*q/w)*461.526;L=s*x*-461.526;M=z*e*461.526}else{o=uy(uy(1698848,sy(d,0,1,6)|0)|0,1698176)|0;n=uy(uy(o,sy(e,0,1,6)|0)|0,1698832)|0;pe[c[2168]&63](b,8776,n,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;C=0.0;D=0.0;E=0.0;F=0.0;G=0.0;H=0.0;I=0.0;J=0.0;K=0.0;L=0.0;M=0.0}c[a>>2]=1;c[a+4>>2]=p;h[a+8>>3]=d;h[a+16>>3]=e;h[a+24>>3]=M;h[a+32>>3]=461.526;h[a+40>>3]=L;h[a+48>>3]=K;h[a+56>>3]=J;h[a+64>>3]=I;h[a+72>>3]=H;h[a+80>>3]=G;h[a+88>>3]=F;h[a+96>>3]=E;h[a+104>>3]=D;h[a+112>>3]=C;i=g;return}function wh(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;var f=0;b=i;f=e;e=i;i=i+120|0;d1(e,f,120)|0;h[a>>3]=+h[e+56>>3];i=b;return}function xh(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;var f=0;b=i;f=e;e=i;i=i+120|0;d1(e,f,120)|0;h[a>>3]=+h[e+56>>3];i=b;return}function yh(a){a=a|0;var b=0;a=i;Fx(4,0,1672416,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;Fx(4,0,1677336,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;i=a;return}function zh(a){a=a|0;var b=0;b=a+320|0;a=c[b>>2]|0;if((a|0)==0){return}C0(a);c[b>>2]=0;return}function Ah(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+224|0;e=d|0;f=d+104|0;g=d+208|0;j=d+216|0;k=b+536|0;l=b+4|0;Lg(e,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+696>>3]);eh(g,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+696>>3],e|0);m=+h[g>>3];g=b+314|0;do{if((a[g]|0)==0){n=a[(c[b+356>>2]|0)+2|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){o=a[(c[b+356>>2]|0)+2|0]|0;p=nB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+688>>3],m,a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=p;n=o;break}else{o=nB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+688>>3],m,a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=o;n=o;break}}else{if(e){e=a[(c[b+356>>2]|0)+2|0]|0;o=pB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+688>>3],m)|0;a[(c[b+352>>2]|0)+2|0]=o;n=e;break}else{e=pB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+688>>3],m)|0;a[(c[b+352>>2]|0)+2|0]=e;n=e;break}}}}while(0);bh(f,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+696>>3]);eh(j,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+696>>3],f|0);m=+h[j>>3];do{if((a[g]|0)==0){q=a[(c[b+356>>2]|0)+3|0]|0}else{j=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(j){f=a[(c[b+356>>2]|0)+3|0]|0;k=oB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+688>>3],m,a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=k;q=f;break}else{f=oB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+688>>3],m,a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=f;q=f;break}}else{if(j){j=a[(c[b+356>>2]|0)+3|0]|0;f=rB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+688>>3],m)|0;a[(c[b+352>>2]|0)+3|0]=f;q=j;break}else{j=rB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+688>>3],m)|0;a[(c[b+352>>2]|0)+3|0]=j;q=j;break}}}}while(0);do{if((a[g]|0)==0){r=a[(c[b+356>>2]|0)+4|0]|0}else{j=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(j){f=a[(c[b+356>>2]|0)+4|0]|0;k=oB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+696>>3],22064.0e3,a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=k;r=f;break}else{f=oB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+696>>3],22064.0e3,a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=f;r=f;break}}else{if(j){j=a[(c[b+356>>2]|0)+4|0]|0;f=rB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+696>>3],22064.0e3)|0;a[(c[b+352>>2]|0)+4|0]=f;r=j;break}else{j=rB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+696>>3],22064.0e3)|0;a[(c[b+352>>2]|0)+4|0]=j;r=j;break}}}}while(0);if(!((q|n)<<24>>24==0)){s=1;t=c[l>>2]|0;u=c[t>>2]|0;v=u+12|0;w=c[v>>2]|0;x=w+16|0;c[x>>2]=s;i=d;return}s=r<<24>>24!=0?1:2;t=c[l>>2]|0;u=c[t>>2]|0;v=u+12|0;w=c[v>>2]|0;x=w+16|0;c[x>>2]=s;i=d;return}function Bh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[c[g>>2]>>2]|0;j=c[a+8>>2]|0;nh(d,c[f>>2]|0,+h[j+696>>3],+h[j+688>>3],c[(c[a+12>>2]|0)+16>>2]|0,0);a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;xh(e,c[f>>2]|0,+h[a+696>>3],+h[a+688>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+648>>3]=+h[e>>3];i=b;return}function Ch(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+648>>3]*9.80665;i=+h[f+720>>3];if(g!=0.0){j=i/g;k=f;l=k+640|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+640|0;h[l>>3]=j;return}m=i/+Lx(c[b+536>>2]|0,g,1677216,1700216,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+640|0;h[l>>3]=j;return}function Dh(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0,o=0.0,p=0,q=0,r=0.0,s=0,t=0.0,u=0.0,v=0;d=+h[b+304>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+648>>3];j=+h[g+728>>3];do{if(i!=0.0){k=j/i;l=f;m=g;n=j}else{if(j==0.0){k=j;l=f;m=g;n=j;break}o=j/+Lx(c[b+536>>2]|0,i,1656888,1700208,+h[f>>3],(a[b+319|0]|0)!=0|0);p=c[c[e>>2]>>2]|0;q=c[p+8>>2]|0;k=o;l=p;m=q;n=+h[q+728>>3]}}while(0);i=d*k;k=1.0-d;d=+h[(c[b+416>>2]|0)+144>>3];if(d!=0.0){r=n/d;s=m;t=k*r;u=i+t;v=s+752|0;h[v>>3]=u;return}if(n==0.0){r=n;s=m;t=k*r;u=i+t;v=s+752|0;h[v>>3]=u;return}j=n/+Lx(c[b+536>>2]|0,d,1645768,1700208,+h[l>>3],(a[b+319|0]|0)!=0|0);r=j;s=c[(c[c[e>>2]>>2]|0)+8>>2]|0;t=k*r;u=i+t;v=s+752|0;h[v>>3]=u;return}function Eh(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[(c[b+420>>2]|0)+8>>2]|0;e=+(d|0);f=b+4|0;g=c[c[f>>2]>>2]|0;i=c[g+8>>2]|0;j=+h[i+752>>3];if((d|0)!=0){k=j/e;l=i;m=l+704|0;h[m>>3]=k;return}if(j==0.0){k=j;l=i;m=l+704|0;h[m>>3]=k;return}n=j/+Lx(c[b+536>>2]|0,e,1635760,1700200,+h[g>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[f>>2]>>2]|0)+8>>2]|0;m=l+704|0;h[m>>3]=k;return}function Fh(b){b=b|0;var d=0,e=0,f=0,g=0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0.0,r=0.0,s=0.0;d=i;i=i+16|0;e=d|0;f=d+8|0;g=b+304|0;j=+h[g>>3];k=b+536|0;l=c[k>>2]|0;m=b+4|0;n=c[c[m>>2]>>2]|0;o=c[n+8>>2]|0;p=+h[o+704>>3];q=+h[o+632>>3];r=+h[(c[b+416>>2]|0)+64>>3];do{if(q!=0.0){s=r/q}else{if(r==0.0){s=r;break}s=r/+Lx(l,q,43080,1700192,+h[n>>3],(a[b+319|0]|0)!=0|0)}}while(0);$f(e,l,p*s,.8);s=+h[e>>3];p=+h[g>>3];$f(f,c[k>>2]|0,0.0,.8);h[(c[(c[c[m>>2]>>2]|0)+8>>2]|0)+736>>3]=j*s+(1.0-p)*+h[f>>3];i=d;return}function Gh(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0.0;d=+h[b+304>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+720>>3];j=+h[g+736>>3];k=+h[g+704>>3];do{if(j!=0.0){l=k/j;m=g}else{if(k==0.0){l=k;m=g;break}n=k/+Lx(c[b+536>>2]|0,j,37984,1700184,+h[f>>3],(a[b+319|0]|0)!=0|0);l=n;m=c[(c[c[e>>2]>>2]|0)+8>>2]|0}}while(0);h[m+744>>3]=d*i*l;return}function Hh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+760>>3]=+(c[(c[a+420>>2]|0)+8>>2]|0)*(-0.0- +h[b+744>>3]);return}function Ih(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+200>>3]=+h[b+728>>3]- +h[b+72>>3]- +h[b+600>>3];return}function Jh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0,o=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+Yb(+(+h[f+728>>3]),+1.0e-15);i=+Yb(+(-0.0- +h[f+600>>3]),+1.0e-15);j=+Yb(+(-0.0- +h[f+200>>3]),+1.0e-15);k=g+(i+j);l=g*+h[f+688>>3]+(i*+h[f+1072>>3]+j*+h[f+1032>>3]);if(k!=0.0){m=l/k;n=f;o=n+104|0;h[o>>3]=m;return}if(l==0.0){m=l;n=f;o=n+104|0;h[o>>3]=m;return}j=l/+Lx(c[b+536>>2]|0,k,33200,1700176,+h[e>>3],(a[b+319|0]|0)!=0|0);m=j;n=c[(c[c[d>>2]>>2]|0)+8>>2]|0;o=n+104|0;h[o>>3]=m;return}function Kh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;nh(d,c[f>>2]|0,+h[a+696>>3],+h[a+104>>3],0,0);a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;xh(e,c[f>>2]|0,+h[a+696>>3],+h[a+104>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+400>>3]=+h[e>>3];i=b;return}function Lh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0,o=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+Yb(+(+h[f+728>>3]),+1.0e-15);i=+Yb(+(-0.0- +h[f+72>>3]),+1.0e-15);j=+Yb(+(-0.0- +h[f+200>>3]),+1.0e-15);k=g+(i+j);l=g*+h[f+688>>3]+(i*+h[f+1024>>3]+j*+h[f+1032>>3]);if(k!=0.0){m=l/k;n=f;o=n+624|0;h[o>>3]=m;return}if(l==0.0){m=l;n=f;o=n+624|0;h[o>>3]=m;return}j=l/+Lx(c[b+536>>2]|0,k,28944,1700168,+h[e>>3],(a[b+319|0]|0)!=0|0);m=j;n=c[(c[c[d>>2]>>2]|0)+8>>2]|0;o=n+624|0;h[o>>3]=m;return}function Mh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;nh(d,c[f>>2]|0,+h[a+696>>3],+h[a+624>>3],0,0);a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;xh(e,c[f>>2]|0,+h[a+696>>3],+h[a+624>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+616>>3]=+h[e>>3];i=b;return}function Nh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+584>>3]=(+h[b+616>>3]+ +h[b+1016>>3])*.5;return}function Oh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0,o=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+Yb(+(+h[f+728>>3]),+1.0e-15);i=+Yb(+(-0.0- +h[f+600>>3]),+1.0e-15);j=+Yb(+(-0.0- +h[f+72>>3]),+1.0e-15);k=g+(i+j);l=g*+h[f+688>>3]+(i*+h[f+1072>>3]+j*+h[f+1024>>3]);if(k!=0.0){m=l/k;n=f;o=n+232|0;h[o>>3]=m;return}if(l==0.0){m=l;n=f;o=n+232|0;h[o>>3]=m;return}j=l/+Lx(c[b+536>>2]|0,k,25256,1700160,+h[e>>3],(a[b+319|0]|0)!=0|0);m=j;n=c[(c[c[d>>2]>>2]|0)+8>>2]|0;o=n+232|0;h[o>>3]=m;return}function Ph(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;nh(d,c[f>>2]|0,+h[a+696>>3],+h[a+232>>3],0,0);a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;th(e,c[f>>2]|0,+h[a+696>>3],+h[a+232>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+224>>3]=+h[e>>3];i=b;return}function Qh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;nh(d,c[f>>2]|0,+h[a+696>>3],+h[a+232>>3],0,0);a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;xh(e,c[f>>2]|0,+h[a+696>>3],+h[a+232>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+424>>3]=+h[e>>3];i=b;return}function Rh(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;sh(d,c[a+536>>2]|0,+h[f+424>>3],+h[f+224>>3],+h[f+696>>3],0);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+296>>3]=+h[d>>3];i=b;return}function Sh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+256>>3]=(+h[b+296>>3]+ +h[b+304>>3])*.5;return}function Th(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+464>>3]*+h[g+440>>3]*+h[g+256>>3]*.7853981633974483;j=+h[d+528>>3];if(i!=0.0){k=j/i;l=g;m=l+144|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+144|0;h[m>>3]=k;return}n=j/+Lx(c[b+536>>2]|0,i,1682208,1700152,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+144|0;h[m>>3]=k;return}function Uh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+264>>3]=(+h[b+424>>3]+ +h[b+432>>3])*.5;return}function Vh(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0,n=0,o=0;d=b+416|0;e=c[d>>2]|0;f=+h[e+464>>3];g=+h[e+504>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+Lx(c[b+536>>2]|0,f,1677984,1700144,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);d=b+4|0;e=c[c[d>>2]>>2]|0;l=c[e+8>>2]|0;f=+h[l+264>>3];g=f*(+h[j+496>>3]- +h[j+536>>3]*f*+h[j+408>>3]);f=i*i;if(g!=0.0){m=f/g;n=l;o=n+248|0;h[o>>3]=m;return}if(f==0.0){m=f;n=l;o=n+248|0;h[o>>3]=m;return}i=f/+Lx(c[b+536>>2]|0,g,1673960,1700144,+h[e>>3],(a[b+319|0]|0)!=0|0);m=i;n=c[(c[c[d>>2]>>2]|0)+8>>2]|0;o=n+248|0;h[o>>3]=m;return}function Wh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+440>>3];i=g*g*3.141592653589793;g=+h[f+248>>3]*8.0;j=i*i;if(g!=0.0){k=j/g;l=f;m=l+240|0;h[m>>3]=k;return}if(j==0.0){k=j;l=f;m=l+240|0;h[m>>3]=k;return}i=j/+Lx(c[b+536>>2]|0,g,1670552,1700136,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+240|0;h[m>>3]=k;return}function Xh(b){b=b|0;var d=0,e=0.0,f=0.0,g=0,j=0,k=0.0;d=i;e=+h[(c[b+416>>2]|0)+400>>3];f=(e+e)*.5;g=b+4|0;j=c[c[g>>2]>>2]|0;e=+h[(c[j+8>>2]|0)+440>>3];do{if(f!=0.0){k=e/f}else{if(e==0.0){k=e;break}k=e/+Lx(c[b+536>>2]|0,f,1667536,1700128,+h[j>>3],(a[b+319|0]|0)!=0|0)}}while(0);f=k*3.7;if(!(f>0.0)){pe[c[2168]&63](c[b+536>>2]|0,1704344,1664984,(b=i,i=i+8|0,h[b>>3]=f,b)|0);i=b}k=+Mc(+f)*2.0;b=c[(c[c[g>>2]>>2]|0)+8>>2]|0;h[b+176>>3]=+h[b+240>>3]*k*k*+h[b+440>>3];i=d;return}function Yh(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=c[a+8>>2]|0;a=c[b+16>>2]|0;h[a>>3]=+h[d+8480>>3];e=c[b+8>>2]|0;h[e>>3]=+h[d+8456>>3];f=c[b+12>>2]|0;h[f>>3]=+h[d+8464>>3];h[a+8>>3]=+h[d+10272>>3];h[e+8>>3]=+h[d+10248>>3];h[f+8>>3]=+h[d+10256>>3];h[a+16>>3]=+h[d+1088>>3];h[e+16>>3]=+h[d+1064>>3];h[f+16>>3]=+h[d+1072>>3];h[a+24>>3]=+h[d+7920>>3];h[e+24>>3]=+h[d+7896>>3];h[f+24>>3]=+h[d+7904>>3];h[a+32>>3]=+h[d+8928>>3];h[e+32>>3]=+h[d+8904>>3];h[f+32>>3]=+h[d+8912>>3];h[a+40>>3]=+h[d+9712>>3];h[e+40>>3]=+h[d+9688>>3];h[f+40>>3]=+h[d+9696>>3];return}function Zh(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0.0,B=0.0,C=0.0,D=0,E=0,F=0.0,G=0.0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0,N=0.0,O=0,P=0.0,Q=0.0,R=0.0,S=0,T=0,U=0.0,V=0,W=0,X=0.0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0;f=i;i=i+120|0;g=f|0;j=f+16|0;k=f+32|0;l=f+48|0;m=f+64|0;n=f+72|0;o=f+80|0;p=f+88|0;q=f+96|0;r=f+104|0;s=f+112|0;t=b;u=b+4|0;v=c[(c[c[u>>2]>>2]|0)+8>>2]|0;h[v+600>>3]=+h[d>>3];h[v+728>>3]=+h[d+8>>3];h[v+72>>3]=+h[d+16>>3];h[v+560>>3]=+h[d+24>>3];h[v+632>>3]=+h[d+32>>3];h[v+688>>3]=+h[d+40>>3];Ah(t);Bh(t);Ch(t);Dh(t);Eh(t);Fh(t);Gh(t);Hh(t);Ih(t);Jh(t);Kh(t);Lh(t);Mh(t);Nh(t);Oh(t);Ph(t);Qh(t);Rh(t);Sh(t);Th(t);Uh(t);Vh(t);Wh(t);Xh(t);do{if((a[b+314|0]|0)==0){w=a[(c[b+356>>2]|0)+5|0]|0}else{t=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(t){d=a[(c[b+356>>2]|0)+5|0]|0;v=oB(+h[(c[(c[c[u>>2]>>2]|0)+8>>2]|0)+72>>3],0.0,a[(c[b+360>>2]|0)+5|0]|0)|0;a[(c[b+352>>2]|0)+5|0]=v;w=d;break}else{d=oB(+h[(c[(c[c[u>>2]>>2]|0)+8>>2]|0)+72>>3],0.0,a[(c[b+360>>2]|0)+5|0]|0)|0;a[(c[b+352>>2]|0)+5|0]=d;w=d;break}}else{if(t){t=a[(c[b+356>>2]|0)+5|0]|0;d=rB(+h[(c[(c[c[u>>2]>>2]|0)+8>>2]|0)+72>>3],0.0)|0;a[(c[b+352>>2]|0)+5|0]=d;w=t;break}else{t=rB(+h[(c[(c[c[u>>2]>>2]|0)+8>>2]|0)+72>>3],0.0)|0;a[(c[b+352>>2]|0)+5|0]=t;w=t;break}}}}while(0);t=c[c[u>>2]>>2]|0;d=c[t+8>>2]|0;x=+h[d+32>>3];y=-0.0- +h[d+72>>3];v=b+416|0;z=c[v>>2]|0;A=+h[z+744>>3];B=+h[z+736>>3];do{if(A!=0.0){C=B/A;D=z;E=d}else{if(B==0.0){C=B;D=z;E=d;break}F=B/+Lx(c[b+536>>2]|0,A,1662472,8096,+h[t>>3],(a[b+319|0]|0)!=0|0);C=F;D=c[v>>2]|0;E=c[(c[c[u>>2]>>2]|0)+8>>2]|0}}while(0);h[e>>3]=x+(C*y+ +h[D+648>>3]*+h[(w<<24>>24==0?E+408|0:E+400|0)>>3]*(-0.0- +h[D+752>>3]));D=rB(-0.0- +h[E+728>>3],0.0)|0;E=rB(+h[(c[(c[c[u>>2]>>2]|0)+8>>2]|0)+728>>3],0.0)|0;w=c[c[u>>2]>>2]|0;t=c[w+8>>2]|0;y=+h[t+760>>3];C=+h[t+728>>3];do{if(D<<24>>24==0){G=+h[t+688>>3];H=t;I=C}else{x=+Yb(+(-0.0- +h[t+600>>3]),+1.0e-15);A=+Yb(+(-0.0- +h[t+72>>3]),+1.0e-15);B=+Yb(+(-0.0- +h[t+200>>3]),+1.0e-15);F=x+(A+B);J=x*+h[t+1072>>3]+(A*+h[t+1024>>3]+B*+h[t+1032>>3]);if(F!=0.0){G=J/F;H=t;I=C;break}if(J==0.0){G=J;H=t;I=C;break}B=J/+Lx(c[b+536>>2]|0,F,1660920,8096,+h[w>>3],(a[b+319|0]|0)!=0|0);d=c[(c[c[u>>2]>>2]|0)+8>>2]|0;G=B;H=d;I=+h[d+728>>3]}}while(0);h[e+8>>3]=y+(C*G+ +h[(E<<24>>24==0?H+688|0:H+1104|0)>>3]*(-0.0-I));E=b+536|0;Rf(m,c[E>>2]|0,+h[(c[v>>2]|0)+224>>3],+h[H+560>>3]);H=c[v>>2]|0;I=+h[H+240>>3];G=+h[H+248>>3];C=-0.0- +h[m>>3];m=c[c[u>>2]>>2]|0;w=c[m+8>>2]|0;y=+h[w+584>>3];B=I*I;do{if(y!=0.0){K=B/y;L=w;M=H}else{if(B==0.0){K=B;L=w;M=H;break}I=B/+Lx(c[E>>2]|0,y,1660064,8096,+h[m>>3],(a[b+319|0]|0)!=0|0);K=I;L=c[(c[c[u>>2]>>2]|0)+8>>2]|0;M=c[v>>2]|0}}while(0);h[e+16>>3]=G+K*C;m=b+304|0;C=+h[m>>3];K=+h[L+264>>3];G=+h[L+256>>3];y=+h[M+400>>3];bg(n,c[E>>2]|0,+h[L+152>>3]- +h[M+536>>3]*+h[M+408>>3]*K,K,K,G,G,+h[L+176>>3],+h[L+440>>3],(y+y)*.5,+h[M+520>>3],+h[L+144>>3]);y=+h[n>>3];n=c[c[u>>2]>>2]|0;L=c[n+8>>2]|0;G=+h[L+200>>3];K=C+-1.0;M=c[v>>2]|0;B=+h[L+152>>3]- +h[M+408>>3]*+h[M+536>>3]*+h[M+552>>3];I=+h[M+496>>3];F=+h[M+504>>3];do{if(I!=0.0){N=F/I;O=M}else{if(F==0.0){N=F;O=M;break}J=F/+Lx(c[E>>2]|0,I,1659176,8096,+h[n>>3],(a[b+319|0]|0)!=0|0);N=J;O=c[v>>2]|0}}while(0);h[e+24>>3]=G+(K*B*N+y*+h[O+464>>3]*(-0.0-C));C=+h[m>>3];Qy(g,3,0.0,(O=i,i=i+16|0,h[O>>3]=.001001797131419643,h[O+8>>3]=.001502695697129464,O)|0);i=O;Qy(j,3,20.4309755404678,(O=i,i=i+16|0,h[O>>3]=10.2154877702339,h[O+8>>3]=0.0,O)|0);i=O;Zf(o,c[E>>2]|0,0.0,g,j);y=+h[o>>3];N=+h[m>>3];B=+h[(c[v>>2]|0)+64>>3];o=c[c[u>>2]>>2]|0;K=+h[(c[o+8>>2]|0)+632>>3];do{if(B!=0.0){P=K/B}else{if(K==0.0){P=K;break}P=K/+Lx(c[E>>2]|0,B,1658328,8096,+h[o>>3],(a[b+319|0]|0)!=0|0)}}while(0);Qy(k,3,0.0,(O=i,i=i+16|0,h[O>>3]=.001001797131419643,h[O+8>>3]=.001502695697129464,O)|0);i=O;Qy(l,3,20.4309755404678,(O=i,i=i+16|0,h[O>>3]=10.2154877702339,h[O+8>>3]=0.0,O)|0);i=O;O=c[E>>2]|0;o=c[c[u>>2]>>2]|0;j=c[o+8>>2]|0;B=+h[j+704>>3];K=+h[j+632>>3];G=+h[(c[v>>2]|0)+64>>3];do{if(K!=0.0){Q=G/K}else{if(G==0.0){Q=G;break}Q=G/+Lx(O,K,43080,8096,+h[o>>3],(a[b+319|0]|0)!=0|0)}}while(0);Zf(p,O,B*Q,k,l);Q=+h[p>>3];p=c[c[u>>2]>>2]|0;l=c[p+8>>2]|0;B=+h[l+640>>3];K=C+-1.0;C=+h[l+632>>3];k=c[v>>2]|0;G=+h[k+64>>3];do{if(G!=0.0){R=y/G;S=k;T=l}else{if(y==0.0){R=y;S=k;T=l;break}I=y/+Lx(c[E>>2]|0,G,1658328,8096,+h[p>>3],(a[b+319|0]|0)!=0|0);R=I;S=c[v>>2]|0;T=c[(c[c[u>>2]>>2]|0)+8>>2]|0}}while(0);h[e+32>>3]=B+(P*P*Q*(-0.0-N)+K*C*R);R=+h[m>>3];Rf(q,c[E>>2]|0,+h[S+224>>3],+h[T+560>>3]);C=+h[q>>3];Rf(r,c[E>>2]|0,+h[(c[v>>2]|0)+224>>3],+h[(c[(c[c[u>>2]>>2]|0)+8>>2]|0)+560>>3]);K=+h[r>>3];r=c[E>>2]|0;q=c[c[u>>2]>>2]|0;T=c[q+8>>2]|0;N=+h[T+544>>3];Q=+h[(c[v>>2]|0)+256>>3];P=+h[T+616>>3];do{if(C!=0.0){U=P/C;V=q;W=T}else{if(P==0.0){U=P;V=q;W=T;break}B=P/+Lx(r,C,1657312,8096,+h[q>>3],(a[b+319|0]|0)!=0|0);S=c[c[u>>2]>>2]|0;U=B;V=S;W=c[S+8>>2]|0}}while(0);C=+h[W+1016>>3];do{if(K!=0.0){X=C/K}else{if(C==0.0){X=C;break}X=C/+Lx(c[E>>2]|0,K,1657312,8096,+h[V>>3],(a[b+319|0]|0)!=0|0)}}while(0);cg(s,r,N,Q,U,X,0,1.0);X=+h[s>>3];s=c[c[u>>2]>>2]|0;u=c[s+8>>2]|0;U=+h[u+600>>3];Q=R+-1.0;r=c[v>>2]|0;N=+h[r+240>>3];K=+h[r+248>>3];C=+h[u+544>>3];if(K!=0.0){Y=C/K;Z=N*Y;_=Q*Z;$=-0.0-R;aa=X*$;ba=aa+_;ca=U+ba;da=e+40|0;h[da>>3]=ca;i=f;return}if(C==0.0){Y=C;Z=N*Y;_=Q*Z;$=-0.0-R;aa=X*$;ba=aa+_;ca=U+ba;da=e+40|0;h[da>>3]=ca;i=f;return}Y=C/+Lx(c[E>>2]|0,K,1655608,8096,+h[s>>3],(a[b+319|0]|0)!=0|0);Z=N*Y;_=Q*Z;$=-0.0-R;aa=X*$;ba=aa+_;ca=U+ba;da=e+40|0;h[da>>3]=ca;i=f;return}function _h(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+224|0;e=d|0;f=d+104|0;g=d+208|0;j=d+216|0;k=b+536|0;l=b+4|0;Lg(e,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+696>>3]);eh(g,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+696>>3],e|0);m=+h[g>>3];g=b+314|0;do{if((a[g]|0)==0){n=a[(c[b+356>>2]|0)+2|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){o=a[(c[b+356>>2]|0)+2|0]|0;p=nB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+688>>3],m,a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=p;n=o;break}else{o=nB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+688>>3],m,a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=o;n=o;break}}else{if(e){e=a[(c[b+356>>2]|0)+2|0]|0;o=pB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+688>>3],m)|0;a[(c[b+352>>2]|0)+2|0]=o;n=e;break}else{e=pB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+688>>3],m)|0;a[(c[b+352>>2]|0)+2|0]=e;n=e;break}}}}while(0);bh(f,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+696>>3]);eh(j,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+696>>3],f|0);m=+h[j>>3];do{if((a[g]|0)==0){q=a[(c[b+356>>2]|0)+3|0]|0}else{j=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(j){f=a[(c[b+356>>2]|0)+3|0]|0;k=oB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+688>>3],m,a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=k;q=f;break}else{f=oB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+688>>3],m,a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=f;q=f;break}}else{if(j){j=a[(c[b+356>>2]|0)+3|0]|0;f=rB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+688>>3],m)|0;a[(c[b+352>>2]|0)+3|0]=f;q=j;break}else{j=rB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+688>>3],m)|0;a[(c[b+352>>2]|0)+3|0]=j;q=j;break}}}}while(0);do{if((a[g]|0)==0){r=a[(c[b+356>>2]|0)+4|0]|0}else{j=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(j){f=a[(c[b+356>>2]|0)+4|0]|0;k=oB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+696>>3],22064.0e3,a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=k;r=f;break}else{f=oB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+696>>3],22064.0e3,a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=f;r=f;break}}else{if(j){j=a[(c[b+356>>2]|0)+4|0]|0;f=rB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+696>>3],22064.0e3)|0;a[(c[b+352>>2]|0)+4|0]=f;r=j;break}else{j=rB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+696>>3],22064.0e3)|0;a[(c[b+352>>2]|0)+4|0]=j;r=j;break}}}}while(0);if(!((q|n)<<24>>24==0)){s=1;t=c[l>>2]|0;u=c[t>>2]|0;v=u+12|0;w=c[v>>2]|0;x=w+16|0;c[x>>2]=s;i=d;return}s=r<<24>>24!=0?1:2;t=c[l>>2]|0;u=c[t>>2]|0;v=u+12|0;w=c[v>>2]|0;x=w+16|0;c[x>>2]=s;i=d;return}function $h(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0,o=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+Yb(+(+h[f+728>>3]),+1.0e-15);i=+Yb(+(-0.0- +h[f+600>>3]),+1.0e-15);j=+Yb(+(-0.0- +h[f+72>>3]),+1.0e-15);k=g+(i+j);l=g*+h[f+688>>3]+(i*+h[f+1072>>3]+j*+h[f+1024>>3]);if(k!=0.0){m=l/k;n=f;o=n+232|0;h[o>>3]=m;return}if(l==0.0){m=l;n=f;o=n+232|0;h[o>>3]=m;return}j=l/+Lx(c[b+536>>2]|0,k,25256,1704392,+h[e>>3],(a[b+319|0]|0)!=0|0);m=j;n=c[(c[c[d>>2]>>2]|0)+8>>2]|0;o=n+232|0;h[o>>3]=m;return}function ai(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;nh(d,c[f>>2]|0,+h[a+696>>3],+h[a+232>>3],0,0);a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;xh(e,c[f>>2]|0,+h[a+696>>3],+h[a+232>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+424>>3]=+h[e>>3];i=b;return}function bi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+264>>3]=(+h[b+424>>3]+ +h[b+432>>3])*.5;return}function ci(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0,n=0,o=0;d=b+416|0;e=c[d>>2]|0;f=+h[e+464>>3];g=+h[e+504>>3];do{if(f!=0.0){i=g/f;j=e}else{if(g==0.0){i=g;j=e;break}k=g/+Lx(c[b+536>>2]|0,f,1677984,1704384,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);d=b+4|0;e=c[c[d>>2]>>2]|0;l=c[e+8>>2]|0;f=+h[l+264>>3];g=f*(+h[j+496>>3]- +h[j+536>>3]*f*+h[j+408>>3]);f=i*i;if(g!=0.0){m=f/g;n=l;o=n+248|0;h[o>>3]=m;return}if(f==0.0){m=f;n=l;o=n+248|0;h[o>>3]=m;return}i=f/+Lx(c[b+536>>2]|0,g,1673960,1704384,+h[e>>3],(a[b+319|0]|0)!=0|0);m=i;n=c[(c[c[d>>2]>>2]|0)+8>>2]|0;o=n+248|0;h[o>>3]=m;return}function di(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+440>>3];i=g*g*3.141592653589793;g=+h[f+248>>3]*8.0;j=i*i;if(g!=0.0){k=j/g;l=f;m=l+240|0;h[m>>3]=k;return}if(j==0.0){k=j;l=f;m=l+240|0;h[m>>3]=k;return}i=j/+Lx(c[b+536>>2]|0,g,1670552,1704376,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+240|0;h[m>>3]=k;return}function ei(b){b=b|0;var d=0,e=0.0,f=0.0,g=0,j=0,k=0.0;d=i;e=+h[(c[b+416>>2]|0)+400>>3];f=(e+e)*.5;g=b+4|0;j=c[c[g>>2]>>2]|0;e=+h[(c[j+8>>2]|0)+440>>3];do{if(f!=0.0){k=e/f}else{if(e==0.0){k=e;break}k=e/+Lx(c[b+536>>2]|0,f,1667536,1704368,+h[j>>3],(a[b+319|0]|0)!=0|0)}}while(0);f=k*3.7;if(!(f>0.0)){pe[c[2168]&63](c[b+536>>2]|0,1704344,1664984,(b=i,i=i+8|0,h[b>>3]=f,b)|0);i=b}k=+Mc(+f)*2.0;b=c[(c[c[g>>2]>>2]|0)+8>>2]|0;h[b+176>>3]=+h[b+240>>3]*k*k*+h[b+440>>3];i=d;return}function fi(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;nh(d,c[f>>2]|0,+h[a+696>>3],+h[a+232>>3],0,0);a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;th(e,c[f>>2]|0,+h[a+696>>3],+h[a+232>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+224>>3]=+h[e>>3];i=b;return}function gi(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+8>>2]|0;sh(d,c[a+536>>2]|0,+h[f+424>>3],+h[f+224>>3],+h[f+696>>3],0);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+296>>3]=+h[d>>3];i=b;return}function hi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+256>>3]=(+h[b+296>>3]+ +h[b+304>>3])*.5;return}function ii(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[b+416>>2]|0;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[d+464>>3]*+h[g+440>>3]*+h[g+256>>3]*.7853981633974483;j=+h[d+528>>3];if(i!=0.0){k=j/i;l=g;m=l+144|0;h[m>>3]=k;return}if(j==0.0){k=j;l=g;m=l+144|0;h[m>>3]=k;return}n=j/+Lx(c[b+536>>2]|0,i,1682208,1704336,+h[f>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+144|0;h[m>>3]=k;return}function ji(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+200>>3]=+h[b+728>>3]- +h[b+72>>3]- +h[b+600>>3];return}function ki(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0,o=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+Yb(+(+h[f+728>>3]),+1.0e-15);i=+Yb(+(-0.0- +h[f+600>>3]),+1.0e-15);j=+Yb(+(-0.0- +h[f+200>>3]),+1.0e-15);k=g+(i+j);l=g*+h[f+688>>3]+(i*+h[f+1072>>3]+j*+h[f+1032>>3]);if(k!=0.0){m=l/k;n=f;o=n+104|0;h[o>>3]=m;return}if(l==0.0){m=l;n=f;o=n+104|0;h[o>>3]=m;return}j=l/+Lx(c[b+536>>2]|0,k,33200,1704328,+h[e>>3],(a[b+319|0]|0)!=0|0);m=j;n=c[(c[c[d>>2]>>2]|0)+8>>2]|0;o=n+104|0;h[o>>3]=m;return}function li(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;nh(d,c[f>>2]|0,+h[a+696>>3],+h[a+104>>3],0,0);a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;xh(e,c[f>>2]|0,+h[a+696>>3],+h[a+104>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+400>>3]=+h[e>>3];i=b;return}function mi(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0,o=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+Yb(+(+h[f+728>>3]),+1.0e-15);i=+Yb(+(-0.0- +h[f+72>>3]),+1.0e-15);j=+Yb(+(-0.0- +h[f+200>>3]),+1.0e-15);k=g+(i+j);l=g*+h[f+688>>3]+(i*+h[f+1024>>3]+j*+h[f+1032>>3]);if(k!=0.0){m=l/k;n=f;o=n+624|0;h[o>>3]=m;return}if(l==0.0){m=l;n=f;o=n+624|0;h[o>>3]=m;return}j=l/+Lx(c[b+536>>2]|0,k,28944,1704320,+h[e>>3],(a[b+319|0]|0)!=0|0);m=j;n=c[(c[c[d>>2]>>2]|0)+8>>2]|0;o=n+624|0;h[o>>3]=m;return}function ni(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;nh(d,c[f>>2]|0,+h[a+696>>3],+h[a+624>>3],0,0);a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;xh(e,c[f>>2]|0,+h[a+696>>3],+h[a+624>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+616>>3]=+h[e>>3];i=b;return}function oi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+584>>3]=(+h[b+616>>3]+ +h[b+1016>>3])*.5;return}function pi(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[c[g>>2]>>2]|0;j=c[a+8>>2]|0;nh(d,c[f>>2]|0,+h[j+696>>3],+h[j+688>>3],c[(c[a+12>>2]|0)+16>>2]|0,0);a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;xh(e,c[f>>2]|0,+h[a+696>>3],+h[a+688>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+648>>3]=+h[e>>3];i=b;return}function qi(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+648>>3];i=+h[f+728>>3];if(g!=0.0){j=i/g;k=f;l=k+752|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+752|0;h[l>>3]=j;return}m=i/+Lx(c[b+536>>2]|0,g,1656888,1704312,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+752|0;h[l>>3]=j;return}function ri(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0,j=0.0,k=0.0,l=0,m=0,n=0.0;d=c[(c[b+420>>2]|0)+8>>2]|0;e=+(d|0);f=b+4|0;g=c[c[f>>2]>>2]|0;i=c[g+8>>2]|0;j=+h[i+752>>3];if((d|0)!=0){k=j/e;l=i;m=l+704|0;h[m>>3]=k;return}if(j==0.0){k=j;l=i;m=l+704|0;h[m>>3]=k;return}n=j/+Lx(c[b+536>>2]|0,e,1635760,1704304,+h[g>>3],(a[b+319|0]|0)!=0|0);k=n;l=c[(c[c[f>>2]>>2]|0)+8>>2]|0;m=l+704|0;h[m>>3]=k;return}function si(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,p=0.0,q=0.0;d=i;i=i+16|0;e=d|0;f=d+8|0;g=b+536|0;j=c[g>>2]|0;k=b+4|0;l=c[c[k>>2]>>2]|0;m=c[l+8>>2]|0;n=+h[m+704>>3];o=+h[m+632>>3];p=+h[(c[b+416>>2]|0)+64>>3];do{if(o!=0.0){q=p/o}else{if(p==0.0){q=p;break}q=p/+Lx(j,o,43080,1704296,+h[l>>3],(a[b+319|0]|0)!=0|0)}}while(0);$f(e,j,n*q,.8);q=+h[e>>3];$f(f,c[g>>2]|0,0.0,.8);h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+736>>3]=q;i=d;return}function ti(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+720>>3];i=+h[f+736>>3];j=+h[f+704>>3];if(i!=0.0){k=j/i;l=f;m=g*k;n=l+744|0;h[n>>3]=m;return}if(j==0.0){k=j;l=f;m=g*k;n=l+744|0;h[n>>3]=m;return}o=j/+Lx(c[b+536>>2]|0,i,37984,1704288,+h[e>>3],(a[b+319|0]|0)!=0|0);k=o;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=g*k;n=l+744|0;h[n>>3]=m;return}function ui(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+760>>3]=+(c[(c[a+420>>2]|0)+8>>2]|0)*(-0.0- +h[b+744>>3]);return}function vi(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+648>>3]*9.80665;i=+h[f+720>>3];if(g!=0.0){j=i/g;k=f;l=k+640|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+640|0;h[l>>3]=j;return}m=i/+Lx(c[b+536>>2]|0,g,1677216,1704280,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+640|0;h[l>>3]=j;return}function wi(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=c[a+8>>2]|0;a=c[b+16>>2]|0;h[a>>3]=+h[d+8480>>3];e=c[b+8>>2]|0;h[e>>3]=+h[d+8456>>3];f=c[b+12>>2]|0;h[f>>3]=+h[d+8464>>3];h[a+8>>3]=+h[d+1088>>3];h[e+8>>3]=+h[d+1064>>3];h[f+8>>3]=+h[d+1072>>3];h[a+16>>3]=+h[d+10272>>3];h[e+16>>3]=+h[d+10248>>3];h[f+16>>3]=+h[d+10256>>3];h[a+24>>3]=+h[d+7920>>3];h[e+24>>3]=+h[d+7896>>3];h[f+24>>3]=+h[d+7904>>3];h[a+32>>3]=+h[d+9712>>3];h[e+32>>3]=+h[d+9688>>3];h[f+32>>3]=+h[d+9696>>3];h[a+40>>3]=+h[d+8928>>3];h[e+40>>3]=+h[d+8904>>3];h[f+40>>3]=+h[d+8912>>3];return}function xi(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0.0,H=0.0,I=0.0,J=0.0,K=0,L=0,M=0.0,N=0,O=0,P=0.0,Q=0,R=0.0,S=0,T=0;f=i;i=i+120|0;g=f|0;j=f+16|0;k=f+32|0;l=f+48|0;m=f+64|0;n=f+72|0;o=f+80|0;p=f+88|0;q=f+96|0;r=f+104|0;s=f+112|0;t=b;u=b+4|0;v=c[(c[c[u>>2]>>2]|0)+8>>2]|0;h[v+600>>3]=+h[d>>3];h[v+72>>3]=+h[d+8>>3];h[v+728>>3]=+h[d+16>>3];h[v+560>>3]=+h[d+24>>3];h[v+688>>3]=+h[d+32>>3];h[v+632>>3]=+h[d+40>>3];_h(t);$h(t);ai(t);bi(t);ci(t);di(t);ei(t);fi(t);gi(t);hi(t);ii(t);ji(t);ki(t);li(t);mi(t);ni(t);oi(t);pi(t);qi(t);ri(t);si(t);ti(t);ui(t);vi(t);t=b+416|0;w=+h[(c[t>>2]|0)+64>>3];d=c[c[u>>2]>>2]|0;x=+h[(c[d+8>>2]|0)+632>>3];do{if(w!=0.0){y=x/w}else{if(x==0.0){y=x;break}y=x/+Lx(c[b+536>>2]|0,w,1658328,8104,+h[d>>3],(a[b+319|0]|0)!=0|0)}}while(0);Qy(g,3,0.0,(d=i,i=i+16|0,h[d>>3]=.001001797131419643,h[d+8>>3]=.001502695697129464,d)|0);i=d;Qy(j,3,20.4309755404678,(d=i,i=i+16|0,h[d>>3]=10.2154877702339,h[d+8>>3]=0.0,d)|0);i=d;v=b+536|0;z=c[v>>2]|0;A=c[c[u>>2]>>2]|0;B=c[A+8>>2]|0;w=+h[B+704>>3];x=+h[B+632>>3];C=+h[(c[t>>2]|0)+64>>3];do{if(x!=0.0){D=C/x}else{if(C==0.0){D=C;break}D=C/+Lx(z,x,43080,8104,+h[A>>3],(a[b+319|0]|0)!=0|0)}}while(0);Zf(m,z,w*D,g,j);D=+h[m>>3];Qy(k,3,0.0,(d=i,i=i+16|0,h[d>>3]=.001001797131419643,h[d+8>>3]=.001502695697129464,d)|0);i=d;Qy(l,3,20.4309755404678,(d=i,i=i+16|0,h[d>>3]=10.2154877702339,h[d+8>>3]=0.0,d)|0);i=d;Zf(n,c[v>>2]|0,0.0,k,l);l=c[(c[c[u>>2]>>2]|0)+8>>2]|0;h[e>>3]=+h[l+640>>3]-y*y*D;k=rB(-0.0- +h[l+728>>3],0.0)|0;l=rB(+h[(c[(c[c[u>>2]>>2]|0)+8>>2]|0)+728>>3],0.0)|0;n=c[c[u>>2]>>2]|0;d=c[n+8>>2]|0;D=+h[d+760>>3];y=+h[d+728>>3];do{if(k<<24>>24==0){E=+h[d+688>>3];F=d;G=y}else{w=+Yb(+(-0.0- +h[d+600>>3]),+1.0e-15);x=+Yb(+(-0.0- +h[d+72>>3]),+1.0e-15);C=+Yb(+(-0.0- +h[d+200>>3]),+1.0e-15);H=w+(x+C);I=w*+h[d+1072>>3]+(x*+h[d+1024>>3]+C*+h[d+1032>>3]);if(H!=0.0){E=I/H;F=d;G=y;break}if(I==0.0){E=I;F=d;G=y;break}C=I/+Lx(c[v>>2]|0,H,1660920,8104,+h[n>>3],(a[b+319|0]|0)!=0|0);m=c[(c[c[u>>2]>>2]|0)+8>>2]|0;E=C;F=m;G=+h[m+728>>3]}}while(0);h[e+8>>3]=D+(y*E+ +h[(l<<24>>24==0?F+688|0:F+1104|0)>>3]*(-0.0-G));Rf(o,c[v>>2]|0,+h[(c[t>>2]|0)+224>>3],+h[F+560>>3]);F=c[t>>2]|0;G=+h[F+240>>3];E=+h[F+248>>3];y=-0.0- +h[o>>3];o=c[c[u>>2]>>2]|0;l=c[o+8>>2]|0;D=+h[l+584>>3];C=G*G;do{if(D!=0.0){J=C/D;K=F;L=l}else{if(C==0.0){J=C;K=F;L=l;break}G=C/+Lx(c[v>>2]|0,D,1660064,8104,+h[o>>3],(a[b+319|0]|0)!=0|0);J=G;K=c[t>>2]|0;L=c[(c[c[u>>2]>>2]|0)+8>>2]|0}}while(0);h[e+16>>3]=E+J*y;Rf(p,c[v>>2]|0,+h[K+224>>3],+h[L+560>>3]);y=+h[p>>3];Rf(q,c[v>>2]|0,+h[(c[t>>2]|0)+224>>3],+h[(c[(c[c[u>>2]>>2]|0)+8>>2]|0)+560>>3]);J=+h[q>>3];q=c[v>>2]|0;p=c[c[u>>2]>>2]|0;L=c[p+8>>2]|0;E=+h[L+544>>3];D=+h[(c[t>>2]|0)+256>>3];C=+h[L+616>>3];do{if(y!=0.0){M=C/y;N=p;O=L}else{if(C==0.0){M=C;N=p;O=L;break}G=C/+Lx(q,y,1657312,8104,+h[p>>3],(a[b+319|0]|0)!=0|0);K=c[c[u>>2]>>2]|0;M=G;N=K;O=c[K+8>>2]|0}}while(0);y=+h[O+1016>>3];do{if(J!=0.0){P=y/J}else{if(y==0.0){P=y;break}P=y/+Lx(c[v>>2]|0,J,1657312,8104,+h[N>>3],(a[b+319|0]|0)!=0|0)}}while(0);cg(r,q,E,D,M,P,0,1.0);q=c[(c[c[u>>2]>>2]|0)+8>>2]|0;h[e+24>>3]=+h[q+600>>3]- +h[r>>3];do{if((a[b+314|0]|0)==0){Q=a[(c[b+356>>2]|0)+5|0]|0}else{r=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(r){N=a[(c[b+356>>2]|0)+5|0]|0;O=oB(+h[q+72>>3],0.0,a[(c[b+360>>2]|0)+5|0]|0)|0;a[(c[b+352>>2]|0)+5|0]=O;Q=N;break}else{N=oB(+h[q+72>>3],0.0,a[(c[b+360>>2]|0)+5|0]|0)|0;a[(c[b+352>>2]|0)+5|0]=N;Q=N;break}}else{if(r){r=a[(c[b+356>>2]|0)+5|0]|0;N=rB(+h[q+72>>3],0.0)|0;a[(c[b+352>>2]|0)+5|0]=N;Q=r;break}else{r=rB(+h[q+72>>3],0.0)|0;a[(c[b+352>>2]|0)+5|0]=r;Q=r;break}}}}while(0);q=c[c[u>>2]>>2]|0;r=c[q+8>>2]|0;P=+h[r+32>>3];M=-0.0- +h[r+72>>3];N=c[t>>2]|0;D=+h[N+744>>3];E=+h[N+736>>3];do{if(D!=0.0){R=E/D;S=N;T=r}else{if(E==0.0){R=E;S=N;T=r;break}J=E/+Lx(c[v>>2]|0,D,1662472,8104,+h[q>>3],(a[b+319|0]|0)!=0|0);R=J;S=c[t>>2]|0;T=c[(c[c[u>>2]>>2]|0)+8>>2]|0}}while(0);h[e+32>>3]=P+(R*M+ +h[S+648>>3]*+h[(Q<<24>>24==0?T+408|0:T+400|0)>>3]*(-0.0- +h[S+752>>3]));M=+h[T+264>>3];R=+h[T+256>>3];P=+h[S+400>>3];bg(s,c[v>>2]|0,+h[T+152>>3]- +h[S+536>>3]*+h[S+408>>3]*M,M,M,R,R,+h[T+176>>3],+h[T+440>>3],(P+P)*.5,+h[S+520>>3],+h[T+144>>3]);h[e+40>>3]=+h[(c[(c[c[u>>2]>>2]|0)+8>>2]|0)+200>>3]- +h[s>>3]*+h[(c[t>>2]|0)+464>>3];i=f;return}function yi(a){a=a|0;c[a+4>>2]=98;c[a>>2]=6;c[a+56>>2]=0;c[a+32>>2]=12;c[a+20>>2]=0;c[a+24>>2]=0;c[a+28>>2]=-1;c[a+36>>2]=82;c[a+84>>2]=247;c[a+80>>2]=6;c[a+136>>2]=0;c[a+112>>2]=2;c[a+100>>2]=0;c[a+104>>2]=0;c[a+108>>2]=-1;c[a+116>>2]=66;return}function zi(a){a=a|0;return}function Ai(a,b){a=a|0;b=b|0;return}function Bi(a){a=a|0;return}function Ci(a,b){a=a|0;b=b|0;c[b>>2]=c[1700080+(a<<2)>>2];return c[1700032+(a<<2)>>2]|0}function Di(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0;e=i;i=i+224|0;f=e|0;g=e+104|0;j=e+208|0;k=e+216|0;l=b+4|0;m=b+416|0;n=b+360|0;o=(nB(+h[c[c[l>>2]>>2]>>3],+h[(c[m>>2]|0)+608>>3],a[c[n>>2]|0]|0)|0)<<24>>24!=0;h[d>>3]=o?1.0:-1.0;o=c[m>>2]|0;m=(nB(+h[c[c[l>>2]>>2]>>3],+h[o+608>>3]+ +h[o+592>>3],a[(c[n>>2]|0)+1|0]|0)|0)<<24>>24!=0;h[d+8>>3]=m?1.0:-1.0;m=b+536|0;Lg(f,c[m>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+696>>3]);eh(j,c[m>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+696>>3],f|0);f=nB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+688>>3],+h[j>>3],a[(c[n>>2]|0)+2|0]|0)|0;bh(g,c[m>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+696>>3]);eh(k,c[m>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+696>>3],g|0);g=oB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+688>>3],+h[k>>3],a[(c[n>>2]|0)+3|0]|0)|0;k=oB(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+696>>3],22064.0e3,a[(c[n>>2]|0)+4|0]|0)|0;if(!((g|f)<<24>>24==0)){p=1.0;q=d+16|0;h[q>>3]=p;r=c[l>>2]|0;s=c[r>>2]|0;t=s+8|0;u=c[t>>2]|0;v=u+72|0;w=+h[v>>3];x=c[n>>2]|0;y=x+5|0;z=a[y]|0;A=oB(w,0.0,z)|0;B=A<<24>>24!=0;C=B?1.0:-1.0;D=d+24|0;h[D>>3]=C;i=e;return 0}p=k<<24>>24!=0?1.0:-1.0;q=d+16|0;h[q>>3]=p;r=c[l>>2]|0;s=c[r>>2]|0;t=s+8|0;u=c[t>>2]|0;v=u+72|0;w=+h[v>>3];x=c[n>>2]|0;y=x+5|0;z=a[y]|0;A=oB(w,0.0,z)|0;B=A<<24>>24!=0;C=B?1.0:-1.0;D=d+24|0;h[D>>3]=C;i=e;return 0}function Ei(a){a=a|0;return c[1700096+(a<<2)>>2]|0}function Fi(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0,s=0.0,t=0;e=i;i=i+448|0;f=e|0;g=e+104|0;j=e+208|0;k=e+312|0;l=e+416|0;m=e+424|0;n=e+432|0;o=e+440|0;p=b+4|0;q=+h[c[c[p>>2]>>2]>>3];r=b+416|0;s=+h[(c[r>>2]|0)+608>>3];if((d|0)==0){d=b+352|0;a[c[d>>2]|0]=q<s|0;t=c[r>>2]|0;a[(c[d>>2]|0)+1|0]=+h[c[c[p>>2]>>2]>>3]<+h[t+608>>3]+ +h[t+592>>3]|0;t=b+536|0;Lg(j,c[t>>2]|0,+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+696>>3]);eh(n,c[t>>2]|0,+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+696>>3],j|0);a[(c[d>>2]|0)+2|0]=+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+688>>3]<+h[n>>3]|0;bh(k,c[t>>2]|0,+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+696>>3]);eh(o,c[t>>2]|0,+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+696>>3],k|0);a[(c[d>>2]|0)+3|0]=+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+688>>3]>+h[o>>3]|0;a[(c[d>>2]|0)+4|0]=+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+696>>3]>22064.0e3|0;a[(c[d>>2]|0)+5|0]=+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+72>>3]>0.0|0;i=e;return 0}else{d=b+360|0;o=nB(q,s,a[c[d>>2]|0]|0)|0;k=b+352|0;a[c[k>>2]|0]=o;o=c[r>>2]|0;r=nB(+h[c[c[p>>2]>>2]>>3],+h[o+608>>3]+ +h[o+592>>3],a[(c[d>>2]|0)+1|0]|0)|0;a[(c[k>>2]|0)+1|0]=r;r=b+536|0;Lg(f,c[r>>2]|0,+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+696>>3]);eh(l,c[r>>2]|0,+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+696>>3],f|0);f=nB(+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+688>>3],+h[l>>3],a[(c[d>>2]|0)+2|0]|0)|0;a[(c[k>>2]|0)+2|0]=f;bh(g,c[r>>2]|0,+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+696>>3]);eh(m,c[r>>2]|0,+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+696>>3],g|0);g=oB(+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+688>>3],+h[m>>3],a[(c[d>>2]|0)+3|0]|0)|0;a[(c[k>>2]|0)+3|0]=g;g=oB(+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+696>>3],22064.0e3,a[(c[d>>2]|0)+4|0]|0)|0;a[(c[k>>2]|0)+4|0]=g;g=oB(+h[(c[(c[c[p>>2]>>2]|0)+8>>2]|0)+72>>3],0.0,a[(c[d>>2]|0)+5|0]|0)|0;a[(c[k>>2]|0)+5|0]=g;i=e;return 0}return 0}function Gi(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;Fx(8,1,32768,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+16>>2]|0;f=c[(c[a+404>>2]|0)+16>>2]|0;if((e|0)==(f|0)){g=0}else{Fx(8,0,28560,(d=i,i=i+16|0,c[d>>2]=f,c[d+8>>2]=e,d)|0);i=d;g=1}if((c[426538]|0)==0){i=b;return g|0}Wd[c[3794]&511](8);i=b;return g|0}function Hi(a){a=a|0;return c[1700120+(a<<2)>>2]|0}function Ii(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0.0;d=i;Fx(21,1,1673440,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=c[a+416>>2]|0;g=+h[f+520>>3]- +h[f+344>>3];h[b>>3]=g;b=Hi(0)|0;Fx(21,0,1655280,(e=i,i=i+24|0,c[e>>2]=1,c[e+8>>2]=b,h[e+16>>3]=g,e)|0);i=e;if((c[426551]|0)==0){i=d;return 0}Wd[c[3794]&511](21);i=d;return 0}function Ji(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+752>>3]=+h[b+312>>3];return}function Ki(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+704>>3]=+h[b+616>>3];return}function Li(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+680>>3]=+h[b+632>>3]*3.141592653589793;return}function Mi(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+632>>3];h[b+672>>3]=d*d*.7853981633974483;return}function Ni(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+536>>3]=+h[b+312>>3];return}function Oi(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+528>>3]=+h[b+40>>3];return}function Pi(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+512>>3]=+h[b+352>>3];return}function Qi(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+464>>3]=+h[b+376>>3];return}function Ri(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+440>>3]=+h[b+392>>3]*3.141592653589793;return}function Si(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+392>>3];h[b+432>>3]=d*d*.7853981633974483;return}function Ti(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+256>>3]=+h[b+344>>3];return}function Ui(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+216>>3]=+h[b+352>>3];return}function Vi(b){b=b|0;var d=0,e=0.0,f=0.0,g=0.0;d=c[b+416>>2]|0;e=+h[d+440>>3];f=+h[d+432>>3];do{if(e!=0.0){g=f/e}else{if(f==0.0){g=f;break}g=f/+Lx(c[b+536>>2]|0,e,1644328,1704456,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+480>>3]=g*4.0;return}function Wi(b){b=b|0;var d=0,e=0.0,f=0.0,g=0.0;d=c[b+416>>2]|0;e=+h[d+440>>3];f=+h[d+432>>3];do{if(e!=0.0){g=f/e}else{if(f==0.0){g=f;break}g=f/+Lx(c[b+536>>2]|0,e,1644328,1704448,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+472>>3]=g*4.0;return}function Xi(b){b=b|0;var d=0,e=0.0,f=0.0,g=0.0;d=c[b+416>>2]|0;e=+h[d+680>>3];f=+h[d+672>>3];do{if(e!=0.0){g=f/e}else{if(f==0.0){g=f;break}g=f/+Lx(c[b+536>>2]|0,e,1634152,1704440,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+456>>3]=g*4.0;return}function Yi(b){b=b|0;var d=0,e=0.0,f=0.0,g=0.0;d=c[b+416>>2]|0;e=+h[d+680>>3];f=+h[d+672>>3];do{if(e!=0.0){g=f/e}else{if(f==0.0){g=f;break}g=f/+Lx(c[b+536>>2]|0,e,1634152,1704432,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+448>>3]=g*4.0;return}function Zi(a){a=a|0;var b=0.0;b=+h[(c[a+416>>2]|0)+224>>3];h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1168>>3]=b*b*.7853981633974483;return}function _i(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;vh(d,c[f>>2]|0,1.0e5,293.15,0);uh(e,c[f>>2]|0,1.0e5,293.15,d|0);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1104>>3]=+h[e>>3];i=b;return}function $i(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;vh(d,c[f>>2]|0,1.0e5,293.15,0);uh(e,c[f>>2]|0,1.0e5,293.15,d|0);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1072>>3]=+h[e>>3];i=b;return}function aj(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;vh(d,c[f>>2]|0,2.0e5,293.15,0);uh(e,c[f>>2]|0,2.0e5,293.15,d|0);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1056>>3]=+h[e>>3];i=b;return}function bj(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;vh(d,c[f>>2]|0,2.0e5,293.15,0);uh(e,c[f>>2]|0,2.0e5,293.15,d|0);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1040>>3]=+h[e>>3];i=b;return}function cj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+440>>3]=(+h[b+472>>3]+ +h[b+480>>3])*.5;return}function dj(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+1032>>3]=+h[b+1056>>3]+ +h[d+312>>3]*+h[d+408>>3];return}function ej(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;nh(d,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1056>>3],0,0);xh(e,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1056>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+432>>3]=+h[e>>3];i=b;return}function fj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;nh(d,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1056>>3],0,0);th(e,c[f>>2]|0,2.0e5,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+1056>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+416>>3]=+h[e>>3];i=b;return}function gj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;i=i+224|0;d=b|0;e=b+104|0;f=b+208|0;g=b+216|0;j=a+536|0;Lg(d,c[j>>2]|0,2.0e5);eh(f,c[j>>2]|0,2.0e5,d|0);d=a+4|0;a=pB(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1040>>3],+h[f>>3])|0;bh(e,c[j>>2]|0,2.0e5);eh(g,c[j>>2]|0,2.0e5,e|0);e=rB(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+1040>>3],+h[g>>3])|0;if(!(a<<24>>24==0)){k=1;l=c[d>>2]|0;m=c[l>>2]|0;n=m+12|0;o=c[n>>2]|0;p=o+44|0;c[p>>2]=k;i=b;return}k=e<<24>>24!=0?1:2;l=c[d>>2]|0;m=c[l>>2]|0;n=m+12|0;o=c[n>>2]|0;p=o+44|0;c[p>>2]=k;i=b;return}function hj(a){a=a|0;var b=0,d=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=c[a+416>>2]|0;h[b+1024>>3]=+h[b+1040>>3]+ +h[d+312>>3]*+h[d+648>>3];return}



function Ut(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;j=i;i=i+8|0;k=j|0;l=b;b=e;e=f;f=g;g=h;h=l;while(1){if((c[b>>2]|0)==(e|0)){m=3;break}n=h+888+(d[c[b>>2]|0]<<2)|0;o=n;n=o+1|0;p=a[o]|0;if((p|0)==0){p=Nt(ie[c[h+368>>2]&127](c[h+372>>2]|0,c[b>>2]|0)|0,k|0)|0;if((p|0)>(g-(c[f>>2]|0)|0)){m=6;break}n=k|0;o=b;c[o>>2]=(c[o>>2]|0)+((d[l+76+(d[c[b>>2]|0]|0)|0]|0)-3)}else{if((p|0)>(g-(c[f>>2]|0)|0)){m=9;break}o=b;c[o>>2]=(c[o>>2]|0)+1}do{o=n;n=o+1|0;q=a[o]|0;o=f;r=c[o>>2]|0;c[o>>2]=r+1;a[r]=q;q=p-1|0;p=q;}while((q|0)!=0)}if((m|0)==3){i=j;return}else if((m|0)==6){i=j;return}else if((m|0)==9){i=j;return}}function Vt(a,e,f,g,h){a=a|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0;j=i;k=a;a=e;e=f;f=g;g=h;h=k;while(1){if((c[a>>2]|0)!=(e|0)){l=(c[f>>2]|0)!=(g|0)}else{l=0}if(!l){break}m=b[h+376+((d[c[a>>2]|0]|0)<<1)>>1]|0;if((m&65535|0)==0){m=(ie[c[h+368>>2]&127](c[h+372>>2]|0,c[a>>2]|0)|0)&65535;n=a;c[n>>2]=(c[n>>2]|0)+((d[k+76+(d[c[a>>2]|0]|0)|0]|0)-3)}else{n=a;c[n>>2]=(c[n>>2]|0)+1}n=f;o=c[n>>2]|0;c[n>>2]=o+2;b[o>>1]=m}i=j;return}function Wt(){return 17136}function Xt(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=b;b=d;d=Yt(e)|0;if((d|0)==-1){h=0;j=h;i=f;return j|0}else{a[g+73|0]=d;c[g>>2]=40;c[g+4>>2]=80;c[g+52>>2]=10;c[g+76>>2]=b;c[b>>2]=g;h=1;j=h;i=f;return j|0}return 0}function Yt(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a;do{if((d|0)==0){e=6}else{a=0;while(1){if((a|0)>=6){f=9;break}if((ku(d,c[17600+(a<<2)>>2]|0)|0)!=0){f=6;break}a=a+1|0}if((f|0)==6){e=a;break}else if((f|0)==9){e=-1;break}}}while(0);i=b;return e|0}function Zt(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=iw(17744,a,0,b,c,d)|0;i=e;return f|0}function _t(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=iw(17744,a,1,b,c,d)|0;i=e;return f|0}function $t(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=i;Hv(816,b,c,d);i=a;return}function au(a,b,c,d,e,f,g,h,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0;l=i;m=bu(14,a,b,c,d,e,f,g,h,j,k)|0;i=l;return m|0}function bu(a,b,d,e,f,g,h,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;n=i;i=i+32|0;o=n|0;p=n+8|0;q=n+16|0;r=n+24|0;s=a;a=b;b=d;c[o>>2]=e;e=f;f=g;g=h;h=j;j=k;k=l;l=m;c[p>>2]=0;c[q>>2]=0;c[r>>2]=0;c[o>>2]=(c[o>>2]|0)+((c[b+68>>2]|0)*5|0);e=e+(-(c[b+68>>2]<<1)|0)|0;do{if((jw(b,c[o>>2]|0,e,q,r,p,o)|0)!=0){if((c[q>>2]|0)==0){break}do{if((le[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,1704992)|0)!=0){if((g|0)!=0){c[g>>2]=c[p>>2]}if((h|0)!=0){c[h>>2]=c[o>>2]}if((jw(b,c[o>>2]|0,e,q,r,p,o)|0)==0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}if((c[q>>2]|0)!=0){break}if((a|0)!=0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}else{t=1;u=t;i=n;return u|0}}else{if((a|0)!=0){break}c[f>>2]=c[q>>2];t=0;u=t;i=n;return u|0}}while(0);do{if((le[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,1705024)|0)!=0){m=kw(b,c[p>>2]|0,e)|0;if(97<=(m|0)){if((m|0)>122){v=22}}else{v=22}do{if((v|0)==22){if(65<=(m|0)){if((m|0)<=90){break}}c[f>>2]=c[p>>2];t=0;u=t;i=n;return u|0}}while(0);if((j|0)!=0){c[j>>2]=c[p>>2]}if((k|0)!=0){c[k>>2]=$d[s&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0}if((jw(b,c[o>>2]|0,e,q,r,p,o)|0)==0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}if((c[q>>2]|0)!=0){break}t=1;u=t;i=n;return u|0}}while(0);do{if((le[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,1705e3)|0)!=0){if((a|0)!=0){break}if((le[c[b+28>>2]&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0,1704984)|0)!=0){if((l|0)!=0){c[l>>2]=1}}else{if((le[c[b+28>>2]&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0,1705016)|0)==0){c[f>>2]=c[p>>2];t=0;u=t;i=n;return u|0}if((l|0)!=0){c[l>>2]=0}}while(1){if((lw(kw(b,c[o>>2]|0,e)|0)|0)==0){break}c[o>>2]=(c[o>>2]|0)+(c[b+68>>2]|0)}if((c[o>>2]|0)!=(e|0)){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}else{t=1;u=t;i=n;return u|0}}}while(0);c[f>>2]=c[q>>2];t=0;u=t;i=n;return u|0}}while(0);c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}function cu(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+144|0;g=f|0;h=f+8|0;j=f+136|0;k=b;c[g>>2]=d;d=e;c[j>>2]=h;Vd[c[k+60>>2]&31](k,g,d,j,(c[j>>2]|0)+128-1|0);if((c[g>>2]|0)!=(d|0)){l=0;m=l;i=f;return m|0}a[c[j>>2]|0]=0;do{if((ku(h|0,1705080)|0)!=0){if((c[k+68>>2]|0)!=2){break}l=k;m=l;i=f;return m|0}}while(0);k=Yt(h|0)|0;if((k|0)==-1){l=0;m=l;i=f;return m|0}else{l=c[17744+(k<<2)>>2]|0;m=l;i=f;return m|0}return 0}function du(){return 16768}function eu(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=b;b=d;d=Yt(e)|0;if((d|0)==-1){h=0;j=h;i=f;return j|0}else{a[g+73|0]=d;c[g>>2]=14;c[g+4>>2]=92;c[g+52>>2]=10;c[g+76>>2]=b;c[b>>2]=g;h=1;j=h;i=f;return j|0}return 0}function fu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=iw(17712,a,0,b,c,d)|0;i=e;return f|0}function gu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=iw(17712,a,1,b,c,d)|0;i=e;return f|0}function hu(a,b,c,d,e,f,g,h,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0;l=i;m=bu(52,a,b,c,d,e,f,g,h,j,k)|0;i=l;return m|0}function iu(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+144|0;g=f|0;h=f+8|0;j=f+136|0;k=b;c[g>>2]=d;d=e;c[j>>2]=h;Vd[c[k+60>>2]&31](k,g,d,j,(c[j>>2]|0)+128-1|0);if((c[g>>2]|0)!=(d|0)){l=0;m=l;i=f;return m|0}a[c[j>>2]|0]=0;do{if((ku(h|0,1705080)|0)!=0){if((c[k+68>>2]|0)!=2){break}l=k;m=l;i=f;return m|0}}while(0);k=Yt(h|0)|0;if((k|0)==-1){l=0;m=l;i=f;return m|0}else{l=c[17712+(k<<2)>>2]|0;m=l;i=f;return m|0}return 0}function ju(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=Pt(b,c,d,e)|0;if((g|0)==0){h=g;i=f;return h|0}a[g+134|0]=23;h=g;i=f;return h|0}function ku(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;e=b;b=c;do{c=e;e=c+1|0;f=a[c]|0;c=b;b=c+1|0;g=a[c]|0;do{if(97<=(f<<24>>24|0)){if((f<<24>>24|0)>122){break}f=(f<<24>>24)-32&255}}while(0);do{if(97<=(g<<24>>24|0)){if((g<<24>>24|0)>122){break}g=(g<<24>>24)-32&255}}while(0);if((f<<24>>24|0)!=(g<<24>>24|0)){h=9;break}}while(f<<24>>24!=0);if((h|0)==9){j=0;k=j;i=d;return k|0}j=1;k=j;i=d;return k|0}function lu(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)==0){k=-1;break a}else{e=b+g|0;break}}}while(0);if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Cu(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 12:{k=Ou(12,j,b+2|0,e,f)|0;break a;break};case 31:{c[f>>2]=b+2;k=23;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 21:case 10:{m=26;break};case 36:{c[f>>2]=b+2;k=21;break a;break};case 11:{c[f>>2]=b+2;k=17;break a;break};case 29:{if((c[13344+((d[9728+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){b=b+2|0;n=18;m=86;break b}if((c[13344+((d[14624+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){b=b+2|0;n=19;m=86;break b}else{m=85;break b}break};case 22:case 24:{n=18;b=b+2|0;m=86;break};case 25:case 26:case 27:case 23:{n=19;b=b+2|0;m=86;break};case 35:{c[f>>2]=b+2;k=38;break a;break};case 20:{c[f>>2]=b+2;k=25;break a;break};case 13:{k=Ou(13,j,b+2|0,e,f)|0;break a;break};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}if((b+2|0)==(e|0)){k=-1;break a}do{if((a[b+3|0]|0)==0){if((a[b+2|0]|0)!=62){break}c[f>>2]=b+4;k=34;break a}}while(0)}}while(0);c[f>>2]=b;k=26;break a;break};case 19:{k=Qu(j,b+2|0,e,f)|0;break a;break};case 2:{b=b+2|0;if((b|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Cu(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 15:{k=Ku(j,b+2|0,e,f)|0;break a;break};case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-2;k=29;break a;break};case 16:{k=Pu(j,b+2|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 9:{if((b+2|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{m=26;break b}break};case 30:{k=Eu(j,b+2|0,e,f)|0;break a;break};case 32:{b=b+2|0;if((b|0)==(e|0)){k=-24;break a}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Cu(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};case 15:{c[f>>2]=b+2;k=35;break a;break};case 34:{c[f>>2]=b+2;k=37;break a;break};case 33:{c[f>>2]=b+2;k=36;break a;break};default:{c[f>>2]=b;k=0;break a}}break};default:{m=85}}}while(0);if((m|0)==26){while(1){b=b+2|0;if((b|0)==(e|0)){m=28;break}if((a[b+1|0]|0)==0){q=d[j+76+(d[b]|0)|0]|0}else{q=Cu(a[b+1|0]|0,a[b|0]|0)|0}if(!((q|0)==21|(q|0)==10))if((q|0)==9){if((b+2|0)==(e|0)){m=36;break}}else{break}}if((m|0)==28){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((m|0)==85){c[f>>2]=b;k=0;break}else if((m|0)==86){c:while(1){if((b|0)==(e|0)){m=141;break}if((a[b+1|0]|0)==0){r=d[j+76+(d[b]|0)|0]|0}else{r=Cu(a[b+1|0]|0,a[b|0]|0)|0}switch(r|0){case 6:{m=99;break c;break};case 5:{m=96;break c;break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{m=105;break c;break};case 34:{m=130;break c;break};case 23:{b=b+2|0;g=n;if((g|0)==41){n=19}else if((g|0)==18){if((b|0)==(e|0)){m=108;break c}n=41;if((a[b+1|0]|0)==0){s=d[j+76+(d[b]|0)|0]|0}else{s=Cu(a[b+1|0]|0,a[b|0]|0)|0}switch(s|0){case 7:{m=123;break c;break};case 29:{if((c[13344+((d[14624+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=114;break c}m=116;break};case 22:case 24:case 25:case 26:case 27:{m=116;break};case 6:{m=120;break c;break};case 5:{m=117;break c;break};default:{n=19}}if((m|0)==116){m=0;b=b+2|0}}break};case 22:case 24:case 25:case 26:case 27:{m=95;break};case 7:{m=102;break c;break};case 29:{if((c[13344+((d[14624+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=93;break c}m=95;break};case 15:{m=136;break c;break};case 33:{m=133;break c;break};default:{m=139;break c}}if((m|0)==95){m=0;b=b+2|0}}if((m|0)==93){c[f>>2]=b;k=0;break}else if((m|0)==96){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==99){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==102){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==105){c[f>>2]=b;k=n;break}else if((m|0)==108){k=-1;break}else if((m|0)==114){c[f>>2]=b;k=0;break}else if((m|0)==117){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==120){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==123){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==130){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=32;break}}else if((m|0)==133){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=31;break}}else if((m|0)==136){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=30;break}}else if((m|0)==139){c[f>>2]=b;k=0;break}else if((m|0)==141){k=-n|0;break}}}}while(0);i=h;return k|0}function mu(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Cu(a[b+1|0]|0,a[b|0]|0)|0}a:do{switch(m|0){case 9:{b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Cu(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 2:{k=Hu(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 3:{k=Du(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=73;break}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Cu(a[b+1|0]|0,a[b|0]|0)|0}c:do{switch(p|0){case 5:{if((e-b|0)<2){o=51;break b}b=b+2|0;break};case 4:{if((b+2|0)==(e|0)){o=69;break b}do{if((a[b+3|0]|0)==0){if((a[b+2|0]|0)!=93){break}if((b+4|0)==(e|0)){o=68;break b}if((a[b+5|0]|0)==0){if((a[b+4|0]|0)==62){o=67;break b}}b=b+2|0;break c}}while(0);b=b+2|0;break};case 6:{if((e-b|0)<3){o=54;break b}b=b+3|0;break};case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};case 7:{if((e-b|0)<4){o=57;break b}b=b+4|0;break};default:{b=b+2|0}}}while(0)}if((o|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==67){c[f>>2]=b+4;k=0;l=k;i=h;return l|0}else if((o|0)==68){o=69}else if((o|0)==73){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function nu(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Cu(a[b+1|0]|0,a[b|0]|0)|0}a:do{switch(m|0){case 9:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Cu(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;k=40;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=60;break}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Cu(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 5:{if((e-b|0)<2){o=49;break b}b=b+2|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{o=57;break b;break};case 7:{if((e-b|0)<4){o=55;break b}b=b+4|0;break};case 6:{if((e-b|0)<3){o=52;break b}b=b+3|0;break};default:{b=b+2|0}}}if((o|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==52){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==55){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==60){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function ou(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;g=0;k=e-b|0;if((k&1|0)!=0){k=k&-2;e=b+k|0}a:while(1){if((b|0)==(e|0)){l=45;break}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Cu(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 7:{if((e-b|0)<4){l=16;break a}b=b+4|0;break};case 4:{k=b+2|0;b=k;if((k|0)==(e|0)){l=31;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=35;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}b=b+2|0;if((g|0)==0){l=39;break a}g=g-1|0}}while(0)}}while(0);break};case 0:case 1:case 8:{l=18;break a;break};case 2:{k=b+2|0;b=k;if((k|0)==(e|0)){l=20;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=33){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=24;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=91){break}g=g+1|0;b=b+2|0}}while(0)}}while(0);break};case 5:{if((e-b|0)<2){l=10;break a}b=b+2|0;break};case 6:{if((e-b|0)<3){l=13;break a}b=b+3|0;break};default:{b=b+2|0}}}if((l|0)==10){n=-2;o=n;i=h;return o|0}else if((l|0)==13){n=-2;o=n;i=h;return o|0}else if((l|0)==16){n=-2;o=n;i=h;return o|0}else if((l|0)==18){c[f>>2]=b;n=0;o=n;i=h;return o|0}else if((l|0)==20){n=-1;o=n;i=h;return o|0}else if((l|0)==24){n=-1;o=n;i=h;return o|0}else if((l|0)==31){n=-1;o=n;i=h;return o|0}else if((l|0)==35){n=-1;o=n;i=h;return o|0}else if((l|0)==39){c[f>>2]=b;n=42;o=n;i=h;return o|0}else if((l|0)==45){n=-1;o=n;i=h;return o|0}return 0}function pu(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)==(e|0)){k=-4}else{g=b;a:while(1){if((b|0)==(e|0)){l=34;break}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Cu(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 10:{l=16;break a;break};case 3:{l=12;break a;break};case 2:{l=15;break a;break};case 5:{b=b+2|0;break};case 9:{l=19;break a;break};case 7:{b=b+4|0;break};case 21:{l=29;break a;break};case 6:{b=b+3|0;break};default:{b=b+2|0}}}if((l|0)==12){if((b|0)==(g|0)){k=Du(j,b+2|0,e,f)|0;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==16){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==19){if((b|0)!=(g|0)){c[f>>2]=b;k=6;break}b=b+2|0;if((b|0)==(e|0)){k=-3;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Cu(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;break}else if((l|0)==29){if((b|0)==(g|0)){c[f>>2]=b+2;k=39;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==34){c[f>>2]=b;k=6;break}}}while(0);i=h;return k|0}function qu(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=b;a:while(1){if((b|0)==(e|0)){m=36;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Cu(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 7:{b=b+4|0;break};case 30:{m=15;break a;break};case 9:{m=24;break a;break};case 10:{m=21;break a;break};case 6:{b=b+3|0;break};case 5:{b=b+2|0;break};case 3:{m=12;break a;break};default:{b=b+2|0}}}if((m|0)==12){if((b|0)==(g|0)){k=Du(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==15){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}n=Eu(j,b+2|0,e,f)|0;if((n|0)==22){o=0}else{o=n}k=o;l=k;i=h;return l|0}else if((m|0)==21){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==24){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Cu(a[b+1|0]|0,a[b|0]|0)|0}if((p|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0}else if((m|0)==36){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function ru(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;f=i;g=b;b=c;c=e;a:while(1){if((a[b+1|0]|0)==0){h=d[g+76+(d[b]|0)|0]|0}else{h=Cu(a[b+1|0]|0,a[b|0]|0)|0}switch(h|0){case 7:{e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){k=7;break a}k=9;break};case 5:{k=12;break};case 6:{k=9;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{j=c;c=j+1|0;e=b;b=e+1|0;if((a[j]|0)!=(a[e]|0)){k=18;break a}e=c;c=e+1|0;j=b;b=j+1|0;if((a[e]|0)!=(a[j]|0)){k=20;break a}break};default:{k=22;break a}}if((k|0)==9){k=0;j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){k=10;break}k=12}if((k|0)==12){k=0;e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){k=13;break}j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){k=15;break}}}if((k|0)==7){l=0;m=l;i=f;return m|0}else if((k|0)==10){l=0;m=l;i=f;return m|0}else if((k|0)==13){l=0;m=l;i=f;return m|0}else if((k|0)==15){l=0;m=l;i=f;return m|0}else if((k|0)==18){l=0;m=l;i=f;return m|0}else if((k|0)==20){l=0;m=l;i=f;return m|0}else if((k|0)==22){if((a[c+1|0]|0)==0){n=d[g+76+(d[c]|0)|0]|0}else{n=Cu(a[c+1|0]|0,a[c|0]|0)|0}switch(n|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{l=0;m=l;i=f;return m|0};default:{l=1;m=l;i=f;return m|0}}}return 0}function su(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=10;break}if((f|0)==(c|0)){g=4;break}if((a[f+1|0]|0)!=0){g=7;break}if((a[f|0]|0)!=(a[d]|0)){g=7;break}f=f+2|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==7){h=0;j=h;i=b;return j|0}else if((g|0)==10){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function tu(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;c=b;a:while(1){if((a[b+1|0]|0)==0){g=d[f+76+(d[b]|0)|0]|0}else{g=Cu(a[b+1|0]|0,a[b|0]|0)|0}switch(g|0){case 29:case 22:case 23:case 24:case 25:case 26:case 27:{b=b+2|0;break};case 5:{b=b+2|0;break};case 7:{b=b+4|0;break};case 6:{b=b+3|0;break};default:{break a}}}i=e;return b-c|0}function uu(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;while(1){if((a[b+1|0]|0)==0){g=d[f+76+(d[b]|0)|0]|0}else{g=Cu(a[b+1|0]|0,a[b|0]|0)|0}if(!((g|0)==10|(g|0)==9|(g|0)==21)){break}b=b+2|0}i=e;return b|0}function vu(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+2|0;a:while(1){if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Cu(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b|0;break};case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b+1|0]|0)==0){n=a[b|0]|0}else{n=-1}if((n|0)!=32){break}if((a[b+3|0]|0)==0){o=a[b+2|0]|0}else{o=-1}if((o|0)==32){break}if((a[b+3|0]|0)==0){p=d[j+76+(d[b+2|0]|0)|0]|0}else{p=Cu(a[b+3|0]|0,a[b+2|0]|0)|0}if((p|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 11:case 17:{if((g|0)!=2){break a}break};default:{}}b=b+2|0}i=h;return k|0}function wu(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c;c=0;d=d+4|0;do{if((a[d+1|0]|0)==0){if((a[d|0]|0)!=120){e=19;break}d=d+2|0;while(1){if((a[d+1|0]|0)==0){f=(a[d|0]|0)==59}else{f=0}if(!(f^1)){e=18;break}if((a[d+1|0]|0)==0){g=a[d|0]|0}else{g=-1}h=g;switch(h|0){case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|h-48;break};case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(h-97+10)|0;break};case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(h-65+10)|0;break};default:{}}if((c|0)>=1114112){break}d=d+2|0}if((e|0)==18){break}j=-1;k=j;i=b;return k|0}else{e=19}}while(0);do{if((e|0)==19){while(1){if((a[d+1|0]|0)==0){l=(a[d|0]|0)==59}else{l=0}if(!(l^1)){e=30;break}if((a[d+1|0]|0)==0){m=a[d|0]|0}else{m=-1}c=c*10|0;c=c+(m-48)|0;if((c|0)>=1114112){break}d=d+2|0}if((e|0)==30){break}j=-1;k=j;i=b;return k|0}}while(0);j=Qt(c)|0;k=j;i=b;return k|0}function xu(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;b=i;e=c;c=(d-e|0)/2|0;if((c|0)==3){do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=97){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=109){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=112){break}f=38;g=f;i=b;return g|0}}while(0)}}while(0)}}while(0)}else if((c|0)==2){do{if((a[e+3|0]|0)==0){if((a[e+2|0]|0)!=116){break}if((a[e+1|0]|0)==0){h=a[e|0]|0}else{h=-1}if((h|0)==108){f=60;g=f;i=b;return g|0}else if((h|0)==103){f=62;g=f;i=b;return g|0}else{break}}}while(0)}else if((c|0)==4){if((a[e+1|0]|0)==0){j=a[e|0]|0}else{j=-1}if((j|0)==97){e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=112){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=111){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=115){break}f=39;g=f;i=b;return g|0}}while(0)}}while(0)}}while(0)}else if((j|0)==113){e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=117){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=111){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=116){break}f=34;g=f;i=b;return g|0}}while(0)}}while(0)}}while(0)}}f=0;g=f;i=b;return g|0}function yu(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;while(1){if(!(b>>>0<e>>>0)){break}if((a[b+1|0]|0)==0){k=d[j+76+(d[b]|0)|0]|0}else{k=Cu(a[b+1|0]|0,a[b|0]|0)|0}switch(k|0){case 6:{b=b+3|0;break};case 7:{b=b+4|0;break};case 5:{b=b+2|0;break};case 9:{g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;do{if((b|0)!=(e|0)){if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Cu(a[b+1|0]|0,a[b|0]|0)|0}if((l|0)!=10){break}b=b+2|0}}while(0);c[f+4>>2]=-1;break};case 10:{c[f+4>>2]=-1;g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;break};default:{b=b+2|0}}g=f+4|0;c[g>>2]=(c[g>>2]|0)+1}i=h;return}function zu(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;b=b+2|0;e=e-2|0;a:while(1){if((b|0)==(e|0)){k=27;break}if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Cu(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 26:case 22:{if((a[b+1|0]|0)==0){m=a[b|0]|0}else{m=-1}if((m&-128|0)!=0){k=18;break b}else{break b}break};case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};case 21:{if((a[b+1|0]|0)==0){if((a[b|0]|0)==9){k=10;break a}}break};default:{k=18}}}while(0);if((k|0)==18){k=0;if((a[b+1|0]|0)==0){n=a[b|0]|0}else{n=-1}if(!((n|0)==36|(n|0)==64)){k=23;break}}b=b+2|0}if((k|0)==10){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==23){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==27){o=1;p=o;i=h;return p|0}return 0}function Au(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;h=d;d=e;e=f;f=g;g=c[h>>2]|0;a:while(1){if((g|0)==(d|0)){j=20;break}k=a[g|0]|0;l=a[g+1|0]|0;b:do{switch(l&255|0){case 0:{if((k&255|0)>=128){j=9;break b}if((c[e>>2]|0)==(f|0)){j=6;break a}m=e;n=c[m>>2]|0;c[m>>2]=n+1;a[n]=k;break};case 216:case 217:case 218:case 219:{if((f-(c[e>>2]|0)|0)<4){j=16;break a}n=((l&3)<<2|(k&255)>>6&3)+1|0;m=e;o=c[m>>2]|0;c[m>>2]=o+1;a[o]=n>>2|240;o=e;m=c[o>>2]|0;c[o>>2]=m+1;a[m]=(k&255)>>2&15|(n&3)<<4|128;g=g+2|0;n=a[g|0]|0;m=((k&3)<<4|(a[g+1|0]&3)<<2|(n&255)>>6|128)&255;o=e;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=m;m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=n&63|128;break};case 1:case 2:case 3:case 4:case 5:case 6:case 7:{j=9;break};default:{if((f-(c[e>>2]|0)|0)<3){j=13;break a}n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=(l&255)>>4|224;p=e;n=c[p>>2]|0;c[p>>2]=n+1;a[n]=(l&15)<<2|(k&255)>>6|128;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=k&63|128}}}while(0);if((j|0)==9){j=0;if((f-(c[e>>2]|0)|0)<2){j=10;break}p=e;n=c[p>>2]|0;c[p>>2]=n+1;a[n]=(k&255)>>6|(l&255)<<2|192;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=k&63|128}g=g+2|0}if((j|0)==6){c[h>>2]=g;i=b;return}else if((j|0)==10){c[h>>2]=g;i=b;return}else if((j|0)==13){c[h>>2]=g;i=b;return}else if((j|0)==16){c[h>>2]=g;i=b;return}else if((j|0)==20){c[h>>2]=g;i=b;return}}function Bu(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0;e=i;k=f;f=g;g=h;h=j;do{if((f-(c[k>>2]|0)|0)>(((h-(c[g>>2]|0)|0)/2|0)<<1|0)){if((a[f-2+1|0]&248|0)!=216){break}f=f-2|0}}while(0);while(1){if((c[k>>2]|0)!=(f|0)){l=(c[g>>2]|0)!=(h|0)}else{l=0}if(!l){break}j=((d[(c[k>>2]|0)+1|0]|0)<<8|(d[c[k>>2]|0]|0))&65535;m=g;n=c[m>>2]|0;c[m>>2]=n+2;b[n>>1]=j;j=k;c[j>>2]=(c[j>>2]|0)+2}i=e;return}function Cu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;a:do{switch(a&255|0){case 255:{c=b&255;if((c|0)==255|(c|0)==254){d=0;break a}else{e=7;break a}break};case 220:case 221:case 222:case 223:{d=8;break};case 216:case 217:case 218:case 219:{d=7;break};default:{e=7}}}while(0);if((e|0)==7){d=29}i=i;return d|0}function Du(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Cu(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 19:{k=Fu(j,b+2|0,e,f)|0;break a;break};case 29:{if((c[13344+((d[9728+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Cu(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 7:{m=38;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 6:{m=35;break c;break};case 5:{m=32;break c;break};case 29:{if((c[13344+((d[14624+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=29;break c}break};case 18:{m=41;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=9;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function Eu(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Cu(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 21:case 10:case 9:case 30:{c[f>>2]=b;k=22;break a;break};case 22:case 24:{break};case 29:{if((c[13344+((d[9728+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Cu(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 29:{if((c[13344+((d[14624+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=29;break c}break};case 6:{m=35;break c;break};case 7:{m=38;break c;break};case 18:{m=41;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 5:{m=32;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=28;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function Fu(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=120){break}k=Gu(j,b+2|0,e,f)|0;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Cu(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=22;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Cu(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==18){n=18;break}else if((o|0)!=25){n=19;break}b=b+2|0}if((n|0)==18){c[f>>2]=b+2;k=10;l=k;i=h;return l|0}else if((n|0)==19){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==22){break}}}while(0);k=-1;l=k;i=h;return l|0}function Gu(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b+1|0]|0)==0){k=d[j+76+(d[b]|0)|0]|0}else{k=Cu(a[b+1|0]|0,a[b|0]|0)|0}if(!((k|0)==25|(k|0)==24)){c[f>>2]=b;l=0;m=l;i=h;return m|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=19;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Cu(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==18){n=15;break}else if(!((o|0)==25|(o|0)==24)){n=16;break}b=b+2|0}if((n|0)==15){c[f>>2]=b+2;l=10;m=l;i=h;return m|0}else if((n|0)==16){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((n|0)==19){break}}}while(0);l=-1;m=l;i=h;return m|0}function Hu(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Cu(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 22:case 24:{break};case 16:{g=b+2|0;b=g;if((g|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Cu(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)==27){k=Iu(j,b+2|0,e,f)|0;break a}else if((m|0)==20){k=Ju(j,b+2|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 17:{k=Lu(j,b+2|0,e,f)|0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 15:{k=Ku(j,b+2|0,e,f)|0;break a;break};case 29:{if((c[13344+((d[9728+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;g=0;c:while(1){if((b|0)==(e|0)){n=110;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Cu(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 29:{if((c[13344+((d[14624+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=39;break c}n=41;break};case 23:{if((g|0)!=0){n=52;break c}g=1;b=b+2|0;if((b|0)==(e|0)){n=54;break c}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Cu(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 7:{n=69;break c;break};case 6:{n=66;break c;break};case 22:case 24:{break};case 5:{n=63;break c;break};case 29:{if((c[13344+((d[9728+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=60;break c}break};default:{n=72;break c}}b=b+2|0;break};case 6:{n=45;break c;break};case 5:{n=42;break c;break};case 7:{n=48;break c;break};case 22:case 24:case 25:case 26:case 27:{n=41;break};case 11:{n=99;break c;break};case 21:case 9:case 10:{n=74;break c;break};case 17:{n=101;break c;break};default:{n=108;break c}}if((n|0)==41){n=0;b=b+2|0}}d:do{if((n|0)==39){c[f>>2]=b;k=0;break a}else if((n|0)==42){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==45){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==48){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==52){c[f>>2]=b;k=0;break a}else if((n|0)==54){k=-1;break a}else if((n|0)==60){c[f>>2]=b;k=0;break a}else if((n|0)==63){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==66){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==69){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==72){c[f>>2]=b;k=0;break a}else if((n|0)==74){b=b+2|0;e:while(1){if((b|0)==(e|0)){n=98;break}if((a[b+1|0]|0)==0){q=d[j+76+(d[b]|0)|0]|0}else{q=Cu(a[b+1|0]|0,a[b|0]|0)|0}switch(q|0){case 6:{n=87;break e;break};case 22:case 24:{break e;break};case 5:{n=84;break e;break};case 29:{n=80;break e;break};case 7:{n=90;break e;break};case 11:{n=93;break e;break};case 17:{n=94;break e;break};case 21:case 9:case 10:{break};default:{n=96;break e}}b=b+2|0}do{if((n|0)==80){if((c[13344+((d[9728+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break}else{c[f>>2]=b;k=0;break a}}else if((n|0)==84){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==87){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==90){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==93){n=100;break d}else if((n|0)==94){break d}else if((n|0)==96){c[f>>2]=b;k=0;break a}else if((n|0)==98){k=-1;break a}}while(0);b=b+2|0;k=Mu(j,b,e,f)|0;break a}else if((n|0)==99){n=100}else if((n|0)!=101)if((n|0)==108){c[f>>2]=b;k=0;break a}else if((n|0)==110){k=-1;break a}}while(0);if((n|0)==100){c[f>>2]=b+2;k=2;break}b=b+2|0;if((b|0)==(e|0)){k=-1;break}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;k=4;break a}}while(0);c[f>>2]=b;k=0}}while(0);i=h;return k|0}function Iu(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)!=(e|0)){do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=45){break}b=b+2|0;b:while(1){if((b|0)==(e|0)){k=34;break}if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Cu(a[b+1|0]|0,a[b|0]|0)|0}switch(l|0){case 6:{if((e-b|0)<3){k=15;break b}b=b+3|0;break};case 27:{g=b+2|0;b=g;if((g|0)==(e|0)){k=22;break b}if((a[b+1|0]|0)==0){if((a[b|0]|0)==45){k=25;break b}}break};case 5:{if((e-b|0)<2){k=12;break b}b=b+2|0;break};case 0:case 1:case 8:{k=20;break b;break};case 7:{if((e-b|0)<4){k=18;break b}b=b+4|0;break};default:{b=b+2|0}}}if((k|0)==12){m=-2;n=m;i=h;return n|0}else if((k|0)==15){m=-2;n=m;i=h;return n|0}else if((k|0)==18){m=-2;n=m;i=h;return n|0}else if((k|0)==20){c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==22){m=-1;n=m;i=h;return n|0}else if((k|0)==25){g=b+2|0;b=g;if((g|0)==(e|0)){m=-1;n=m;i=h;return n|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;m=13;n=m;i=h;return n|0}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==34){break a}}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}}while(0);m=-1;n=m;i=h;return n|0}function Ju(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<12){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=10;break}if((a[g+1|0]|0)!=0){k=7;break}if((a[g|0]|0)!=(a[15200+e|0]|0)){k=7;break}e=e+1|0;g=g+2|0}if((k|0)==7){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==10){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function Ku(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{if((a[b+1|0]|0)==0){m=d[k+76+(d[b]|0)|0]|0}else{m=Cu(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(m|0){case 7:{if((e-b|0)<4){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 29:{if((c[13344+((d[9728+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;l=0;break a}break};case 22:case 24:{break};case 5:{if((e-b|0)<2){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 6:{if((e-b|0)<3){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};default:{c[f>>2]=b;l=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){n=77;break}if((a[b+1|0]|0)==0){o=d[k+76+(d[b]|0)|0]|0}else{o=Cu(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 6:{n=34;break c;break};case 29:{if((c[13344+((d[14624+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=28;break c}break};case 5:{n=31;break c;break};case 7:{n=37;break c;break};case 15:{n=67;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 21:case 9:case 10:{n=40;break c;break};default:{break c}}b=b+2|0}if((n|0)==28){c[f>>2]=b;l=0;break}else if((n|0)==31){if((e-b|0)<2){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==34){if((e-b|0)<3){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==37){if((e-b|0)<4){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==40){if((Nu(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;d:while(1){if((b|0)==(e|0)){n=66;break}if((a[b+1|0]|0)==0){p=d[k+76+(d[b]|0)|0]|0}else{p=Cu(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 6:{if((e-b|0)<3){n=52;break d}b=b+3|0;break};case 15:{b=b+2|0;if((b|0)==(e|0)){n=59;break d}if((a[b+1|0]|0)==0){if((a[b|0]|0)==62){n=62;break d}}break};case 0:case 1:case 8:{n=57;break d;break};case 7:{if((e-b|0)<4){n=55;break d}b=b+4|0;break};case 5:{if((e-b|0)<2){n=49;break d}b=b+2|0;break};default:{b=b+2|0}}}if((n|0)==49){l=-2;break}else if((n|0)==52){l=-2;break}else if((n|0)==55){l=-2;break}else if((n|0)==57){c[f>>2]=b;l=0;break}else if((n|0)==59){l=-1;break}else if((n|0)==62){c[f>>2]=b+2;l=c[j>>2]|0;break}else if((n|0)==66){l=-1;break}}else if((n|0)==67){if((Nu(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;if((b|0)==(e|0)){l=-1;break}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;l=c[j>>2]|0;break a}}while(0)}else if((n|0)==77){l=-1;break}c[f>>2]=b;l=0}}while(0);i=h;return l|0}function Lu(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Cu(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 22:case 24:{break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[13344+((d[9728+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=56;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Cu(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 21:case 9:case 10:{m=40;break c;break};case 29:{if((c[13344+((d[14624+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=28;break c}m=30;break};case 7:{m=37;break c;break};case 23:{b=b+2|0;break};case 11:{m=53;break c;break};case 22:case 24:case 25:case 26:case 27:{m=30;break};case 5:{m=31;break c;break};case 6:{m=34;break c;break};default:{m=54;break c}}if((m|0)==30){m=0;b=b+2|0}}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){b=b+2|0;while(1){if((b|0)==(e|0)){m=51;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Cu(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==11){m=47;break}else if(!((o|0)==21|(o|0)==9|(o|0)==10)){m=48;break}b=b+2|0}if((m|0)==47){c[f>>2]=b+2;k=5;break}else if((m|0)==48){c[f>>2]=b;k=0;break}else if((m|0)==51){k=-1;break}}else if((m|0)==53){c[f>>2]=b+2;k=5;break}else if((m|0)==54){c[f>>2]=b;k=0;break}else if((m|0)==56){k=-1;break}}}while(0);i=h;return k|0}function Mu(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=141;break}if((a[(c[j>>2]|0)+1|0]|0)==0){m=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{m=Cu(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(m|0){case 23:{if((g|0)!=0){l=21;break a}g=1;c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=23;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){n=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{n=Cu(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(n|0){case 29:{if((c[13344+((d[9728+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=29;break a}break};case 22:case 24:{break};case 5:{l=32;break a;break};case 6:{l=35;break a;break};case 7:{l=38;break a;break};default:{l=41;break a}}c[j>>2]=(c[j>>2]|0)+2;break};case 5:{l=11;break a;break};case 29:{if((c[13344+((d[14624+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=8;break a}l=10;break};case 14:{l=56;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=45;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){o=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{o=Cu(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}b=o;if((b|0)==14){break}p=b;if(!((p|0)==21|(p|0)==10|(p|0)==9)){l=53;break a}}l=56;break};case 22:case 24:case 25:case 26:case 27:{l=10;break};case 7:{l=17;break a;break};case 6:{l=14;break a;break};default:{l=139;break a}}if((l|0)==10){l=0;c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==56){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=58;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){q=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{q=Cu(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}r=q;if((r|0)==12){break}if((r|0)==13){break}p=r;if(!((p|0)==21|(p|0)==10|(p|0)==9)){l=67;break a}}c[j>>2]=(c[j>>2]|0)+2;while(1){if((c[j>>2]|0)==(e|0)){l=71;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){s=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{s=Cu(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}p=s;if((p|0)==(r|0)){break}switch(p|0){case 6:{if((e-(c[j>>2]|0)|0)<3){l=82;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 2:{l=93;break a;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=85;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=79;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 0:case 1:case 8:{l=87;break a;break};case 3:{t=Du(k,(c[j>>2]|0)+2|0,e,j)|0;if((t|0)<=0){l=89;break a}break};default:{c[j>>2]=(c[j>>2]|0)+2}}}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=97;break}if((a[(c[j>>2]|0)+1|0]|0)==0){u=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{u=Cu(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(u|0){case 21:case 9:case 10:{break};case 11:{l=104;break a;break};case 17:{l=103;break a;break};default:{l=105;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=108;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){v=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{v=Cu(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(v|0){case 7:{l=123;break a;break};case 11:{l=127;break a;break};case 17:{l=129;break a;break};case 6:{l=120;break a;break};case 21:case 9:case 10:{break};case 29:{l=113;break b;break};case 22:case 24:{break b;break};case 5:{l=117;break a;break};default:{l=136;break a}}}if((l|0)==113){l=0;if((c[13344+((d[9728+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=114;break}}c[j>>2]=(c[j>>2]|0)+2}}if((l|0)==8){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==11){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==14){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==17){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==21){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==23){w=-1;x=w;i=h;return x|0}else if((l|0)==29){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==32){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==35){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==38){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==41){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==45){w=-1;x=w;i=h;return x|0}else if((l|0)==53){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==58){w=-1;x=w;i=h;return x|0}else if((l|0)==67){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==71){w=-1;x=w;i=h;return x|0}else if((l|0)==79){w=-2;x=w;i=h;return x|0}else if((l|0)==82){w=-2;x=w;i=h;return x|0}else if((l|0)==85){w=-2;x=w;i=h;return x|0}else if((l|0)==87){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==89){if((t|0)==0){c[f>>2]=c[j>>2]}w=t;x=w;i=h;return x|0}else if((l|0)==93){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==97){w=-1;x=w;i=h;return x|0}else if((l|0)!=103)if((l|0)==104){l=128}else if((l|0)==105){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==108){w=-1;x=w;i=h;return x|0}else if((l|0)==114){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==117){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==120){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==123){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==127){l=128}else if((l|0)!=129)if((l|0)==136){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==139){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==141){w=-1;x=w;i=h;return x|0}if((l|0)==128){c[f>>2]=(c[j>>2]|0)+2;w=1;x=w;i=h;return x|0}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){w=-1;x=w;i=h;return x|0}do{if((a[(c[j>>2]|0)+1|0]|0)==0){if((a[c[j>>2]|0]|0)!=62){break}c[f>>2]=(c[j>>2]|0)+2;w=3;x=w;i=h;return x|0}}while(0);c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}function Nu(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=6){h=1}else{if((a[g+1|0]|0)==0){j=a[g|0]|0}else{j=-1}if((j|0)==88){f=1}else if((j|0)!=120){h=1;break}g=g+2|0;if((a[g+1|0]|0)==0){k=a[g|0]|0}else{k=-1}if((k|0)!=109)if((k|0)==77){f=1}else{h=1;break}g=g+2|0;if((a[g+1|0]|0)==0){l=a[g|0]|0}else{l=-1}if((l|0)==76){f=1}else if((l|0)!=108){h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function Ou(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=b;b=e;e=f;f=g;g=h;a:while(1){if((e|0)==(f|0)){l=29;break}if((a[e+1|0]|0)==0){m=d[b+76+(d[e]|0)|0]|0}else{m=Cu(a[e+1|0]|0,a[e|0]|0)|0}h=m;switch(h|0){case 0:case 1:case 8:{l=16;break a;break};case 7:{if((f-e|0)<4){l=14;break a}e=e+4|0;break};case 12:case 13:{e=e+2|0;if((h|0)==(k|0)){l=19;break a}break};case 6:{if((f-e|0)<3){l=11;break a}e=e+3|0;break};case 5:{if((f-e|0)<2){l=8;break a}e=e+2|0;break};default:{e=e+2|0}}}if((l|0)==8){n=-2;o=n;i=j;return o|0}else if((l|0)==11){n=-2;o=n;i=j;return o|0}else if((l|0)==14){n=-2;o=n;i=j;return o|0}else if((l|0)==16){c[g>>2]=e;n=0;o=n;i=j;return o|0}else if((l|0)==19){if((e|0)==(f|0)){n=-27;o=n;i=j;return o|0}c[g>>2]=e;if((a[e+1|0]|0)==0){p=d[b+76+(d[e]|0)|0]|0}else{p=Cu(a[e+1|0]|0,a[e|0]|0)|0}switch(p|0){case 21:case 9:case 10:case 11:case 30:case 20:{n=27;o=n;i=j;return o|0};default:{n=0;o=n;i=j;return o|0}}}else if((l|0)==29){n=-1;o=n;i=j;return o|0}return 0}function Pu(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Cu(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)==20){c[f>>2]=b+2;k=33;l=k;i=h;return l|0}else if((m|0)==27){k=Iu(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else if((m|0)==22|(m|0)==24){b=b+2|0;a:while(1){if((b|0)==(e|0)){n=29;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Cu(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 21:case 9:case 10:{break a;break};case 30:{n=17;break a;break};case 22:case 24:{break};default:{n=27;break a}}b=b+2|0}do{if((n|0)==17){if((b+2|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+3|0]|0)==0){p=d[j+76+(d[b+2|0]|0)|0]|0}else{p=Cu(a[b+3|0]|0,a[b+2|0]|0)|0}if(!((p|0)==21|(p|0)==9|(p|0)==10|(p|0)==30)){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==27){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==29){k=-1;l=k;i=h;return l|0}}while(0);c[f>>2]=b;k=16;l=k;i=h;return l|0}else{c[f>>2]=b;k=0;l=k;i=h;return l|0}return 0}function Qu(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Cu(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 29:{if((c[13344+((d[9728+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=43;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Cu(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 9:case 10:case 21:case 32:case 11:case 30:case 36:{m=40;break c;break};case 7:{m=37;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 5:{m=31;break c;break};case 6:{m=34;break c;break};case 29:{if((c[13344+((d[14624+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=28;break c}break};default:{m=41;break c}}b=b+2|0}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){c[f>>2]=b;k=20;break}else if((m|0)==41){c[f>>2]=b;k=0;break}else if((m|0)==43){k=-20;break}}}while(0);i=h;return k|0}function Ru(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)==0){k=-1;break a}else{e=b+g|0;break}}}while(0);if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Cu(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 19:{k=tv(j,b+2|0,e,f)|0;break a;break};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}if((b+2|0)==(e|0)){k=-1;break a}do{if((a[b+2|0]|0)==0){if((a[b+3|0]|0)!=62){break}c[f>>2]=b+4;k=34;break a}}while(0)}}while(0);c[f>>2]=b;k=26;break a;break};case 36:{c[f>>2]=b+2;k=21;break a;break};case 13:{k=rv(13,j,b+2|0,e,f)|0;break a;break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 2:{b=b+2|0;if((b|0)==(e|0)){k=-1;break a}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Cu(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 15:{k=nv(j,b+2|0,e,f)|0;break a;break};case 16:{k=sv(j,b+2|0,e,f)|0;break a;break};case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-2;k=29;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 11:{c[f>>2]=b+2;k=17;break a;break};case 29:{if((c[13344+((d[9728+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){b=b+2|0;n=18;o=86;break b}if((c[13344+((d[14624+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){b=b+2|0;n=19;o=86;break b}else{o=85;break b}break};case 9:{if((b+2|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{o=26;break b}break};case 21:case 10:{o=26;break};case 31:{c[f>>2]=b+2;k=23;break a;break};case 30:{k=hv(j,b+2|0,e,f)|0;break a;break};case 32:{b=b+2|0;if((b|0)==(e|0)){k=-24;break a}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=Cu(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 33:{c[f>>2]=b+2;k=36;break a;break};case 15:{c[f>>2]=b+2;k=35;break a;break};case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};case 34:{c[f>>2]=b+2;k=37;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 12:{k=rv(12,j,b+2|0,e,f)|0;break a;break};case 22:case 24:{n=18;b=b+2|0;o=86;break};case 25:case 26:case 27:case 23:{n=19;b=b+2|0;o=86;break};case 20:{c[f>>2]=b+2;k=25;break a;break};case 35:{c[f>>2]=b+2;k=38;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{o=85}}}while(0);if((o|0)==26){while(1){b=b+2|0;if((b|0)==(e|0)){o=28;break}if((a[b|0]|0)==0){q=d[j+76+(d[b+1|0]|0)|0]|0}else{q=Cu(a[b|0]|0,a[b+1|0]|0)|0}if(!((q|0)==21|(q|0)==10))if((q|0)==9){if((b+2|0)==(e|0)){o=36;break}}else{break}}if((o|0)==28){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((o|0)==85){c[f>>2]=b;k=0;break}else if((o|0)==86){c:while(1){if((b|0)==(e|0)){o=141;break}if((a[b|0]|0)==0){r=d[j+76+(d[b+1|0]|0)|0]|0}else{r=Cu(a[b|0]|0,a[b+1|0]|0)|0}switch(r|0){case 34:{o=130;break c;break};case 7:{o=102;break c;break};case 29:{if((c[13344+((d[14624+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){o=93;break c}o=95;break};case 22:case 24:case 25:case 26:case 27:{o=95;break};case 15:{o=136;break c;break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{o=105;break c;break};case 23:{b=b+2|0;g=n;if((g|0)==41){n=19}else if((g|0)==18){if((b|0)==(e|0)){o=108;break c}n=41;if((a[b|0]|0)==0){s=d[j+76+(d[b+1|0]|0)|0]|0}else{s=Cu(a[b|0]|0,a[b+1|0]|0)|0}switch(s|0){case 29:{if((c[13344+((d[14624+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){o=114;break c}o=116;break};case 6:{o=120;break c;break};case 22:case 24:case 25:case 26:case 27:{o=116;break};case 5:{o=117;break c;break};case 7:{o=123;break c;break};default:{n=19}}if((o|0)==116){o=0;b=b+2|0}}break};case 6:{o=99;break c;break};case 33:{o=133;break c;break};case 5:{o=96;break c;break};default:{o=139;break c}}if((o|0)==95){o=0;b=b+2|0}}if((o|0)==93){c[f>>2]=b;k=0;break}else if((o|0)==96){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==99){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==102){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==105){c[f>>2]=b;k=n;break}else if((o|0)==108){k=-1;break}else if((o|0)==114){c[f>>2]=b;k=0;break}else if((o|0)==117){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==120){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==123){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==130){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=32;break}}else if((o|0)==133){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=31;break}}else if((o|0)==136){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=30;break}}else if((o|0)==139){c[f>>2]=b;k=0;break}else if((o|0)==141){k=-n|0;break}}}}while(0);i=h;return k|0}function Su(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Cu(a[b|0]|0,a[b+1|0]|0)|0}a:do{switch(m|0){case 3:{k=gv(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Cu(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 2:{k=kv(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=73;break}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=Cu(a[b|0]|0,a[b+1|0]|0)|0}c:do{switch(p|0){case 6:{if((e-b|0)<3){o=54;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){o=57;break b}b=b+4|0;break};case 5:{if((e-b|0)<2){o=51;break b}b=b+2|0;break};case 4:{if((b+2|0)==(e|0)){o=69;break b}do{if((a[b+2|0]|0)==0){if((a[b+3|0]|0)!=93){break}if((b+4|0)==(e|0)){o=68;break b}if((a[b+4|0]|0)==0){if((a[b+5|0]|0)==62){o=67;break b}}b=b+2|0;break c}}while(0);b=b+2|0;break};case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};default:{b=b+2|0}}}while(0)}if((o|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==67){c[f>>2]=b+4;k=0;l=k;i=h;return l|0}else if((o|0)==68){o=69}else if((o|0)==73){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function Tu(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Cu(a[b|0]|0,a[b+1|0]|0)|0}a:do{switch(m|0){case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;k=40;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Cu(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=60;break}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=Cu(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 7:{if((e-b|0)<4){o=55;break b}b=b+4|0;break};case 5:{if((e-b|0)<2){o=49;break b}b=b+2|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{o=57;break b;break};case 6:{if((e-b|0)<3){o=52;break b}b=b+3|0;break};default:{b=b+2|0}}}if((o|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==52){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==55){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==60){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function Uu(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;g=0;k=e-b|0;if((k&1|0)!=0){k=k&-2;e=b+k|0}a:while(1){if((b|0)==(e|0)){l=45;break}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Cu(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 5:{if((e-b|0)<2){l=10;break a}b=b+2|0;break};case 7:{if((e-b|0)<4){l=16;break a}b=b+4|0;break};case 4:{k=b+2|0;b=k;if((k|0)==(e|0)){l=31;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=35;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}b=b+2|0;if((g|0)==0){l=39;break a}g=g-1|0}}while(0)}}while(0);break};case 6:{if((e-b|0)<3){l=13;break a}b=b+3|0;break};case 2:{k=b+2|0;b=k;if((k|0)==(e|0)){l=20;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=33){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=24;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=91){break}g=g+1|0;b=b+2|0}}while(0)}}while(0);break};case 0:case 1:case 8:{l=18;break a;break};default:{b=b+2|0}}}if((l|0)==10){n=-2;o=n;i=h;return o|0}else if((l|0)==13){n=-2;o=n;i=h;return o|0}else if((l|0)==16){n=-2;o=n;i=h;return o|0}else if((l|0)==18){c[f>>2]=b;n=0;o=n;i=h;return o|0}else if((l|0)==20){n=-1;o=n;i=h;return o|0}else if((l|0)==24){n=-1;o=n;i=h;return o|0}else if((l|0)==31){n=-1;o=n;i=h;return o|0}else if((l|0)==35){n=-1;o=n;i=h;return o|0}else if((l|0)==39){c[f>>2]=b;n=42;o=n;i=h;return o|0}else if((l|0)==45){n=-1;o=n;i=h;return o|0}return 0}function Vu(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)==(e|0)){k=-4}else{g=b;a:while(1){if((b|0)==(e|0)){l=34;break}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Cu(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 6:{b=b+3|0;break};case 2:{l=15;break a;break};case 9:{l=19;break a;break};case 5:{b=b+2|0;break};case 10:{l=16;break a;break};case 21:{l=29;break a;break};case 3:{l=12;break a;break};case 7:{b=b+4|0;break};default:{b=b+2|0}}}if((l|0)==12){if((b|0)==(g|0)){k=gv(j,b+2|0,e,f)|0;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==16){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==19){if((b|0)!=(g|0)){c[f>>2]=b;k=6;break}b=b+2|0;if((b|0)==(e|0)){k=-3;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Cu(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;break}else if((l|0)==29){if((b|0)==(g|0)){c[f>>2]=b+2;k=39;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==34){c[f>>2]=b;k=6;break}}}while(0);i=h;return k|0}function Wu(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=b;a:while(1){if((b|0)==(e|0)){m=36;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Cu(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 9:{m=24;break a;break};case 5:{b=b+2|0;break};case 30:{m=15;break a;break};case 7:{b=b+4|0;break};case 3:{m=12;break a;break};case 6:{b=b+3|0;break};case 10:{m=21;break a;break};default:{b=b+2|0}}}if((m|0)==12){if((b|0)==(g|0)){k=gv(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==15){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}n=hv(j,b+2|0,e,f)|0;if((n|0)==22){o=0}else{o=n}k=o;l=k;i=h;return l|0}else if((m|0)==21){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==24){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=Cu(a[b|0]|0,a[b+1|0]|0)|0}if((p|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0}else if((m|0)==36){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function Xu(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;f=i;g=b;b=c;c=e;a:while(1){if((a[b|0]|0)==0){h=d[g+76+(d[b+1|0]|0)|0]|0}else{h=Cu(a[b|0]|0,a[b+1|0]|0)|0}switch(h|0){case 6:{j=9;break};case 7:{e=b;b=e+1|0;k=c;c=k+1|0;if((a[e]|0)!=(a[k]|0)){j=7;break a}j=9;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{k=c;c=k+1|0;e=b;b=e+1|0;if((a[k]|0)!=(a[e]|0)){j=18;break a}e=c;c=e+1|0;k=b;b=k+1|0;if((a[e]|0)!=(a[k]|0)){j=20;break a}break};case 5:{j=12;break};default:{j=22;break a}}if((j|0)==9){j=0;k=b;b=k+1|0;e=c;c=e+1|0;if((a[k]|0)!=(a[e]|0)){j=10;break}j=12}if((j|0)==12){j=0;e=b;b=e+1|0;k=c;c=k+1|0;if((a[e]|0)!=(a[k]|0)){j=13;break}k=b;b=k+1|0;e=c;c=e+1|0;if((a[k]|0)!=(a[e]|0)){j=15;break}}}if((j|0)==7){l=0;m=l;i=f;return m|0}else if((j|0)==10){l=0;m=l;i=f;return m|0}else if((j|0)==13){l=0;m=l;i=f;return m|0}else if((j|0)==15){l=0;m=l;i=f;return m|0}else if((j|0)==18){l=0;m=l;i=f;return m|0}else if((j|0)==20){l=0;m=l;i=f;return m|0}else if((j|0)==22){if((a[c|0]|0)==0){n=d[g+76+(d[c+1|0]|0)|0]|0}else{n=Cu(a[c|0]|0,a[c+1|0]|0)|0}switch(n|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{l=0;m=l;i=f;return m|0};default:{l=1;m=l;i=f;return m|0}}}return 0}function Yu(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=10;break}if((f|0)==(c|0)){g=4;break}if((a[f|0]|0)!=0){g=7;break}if((a[f+1|0]|0)!=(a[d]|0)){g=7;break}f=f+2|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==7){h=0;j=h;i=b;return j|0}else if((g|0)==10){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function Zu(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;c=b;a:while(1){if((a[b|0]|0)==0){g=d[f+76+(d[b+1|0]|0)|0]|0}else{g=Cu(a[b|0]|0,a[b+1|0]|0)|0}switch(g|0){case 7:{b=b+4|0;break};case 5:{b=b+2|0;break};case 6:{b=b+3|0;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{b=b+2|0;break};default:{break a}}}i=e;return b-c|0}function _u(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;while(1){if((a[b|0]|0)==0){g=d[f+76+(d[b+1|0]|0)|0]|0}else{g=Cu(a[b|0]|0,a[b+1|0]|0)|0}if(!((g|0)==10|(g|0)==9|(g|0)==21)){break}b=b+2|0}i=e;return b|0}function $u(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+2|0;a:while(1){if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Cu(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b|0;break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 11:case 17:{if((g|0)!=2){break a}break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b|0]|0)==0){n=a[b+1|0]|0}else{n=-1}if((n|0)!=32){break}if((a[b+2|0]|0)==0){o=a[b+3|0]|0}else{o=-1}if((o|0)==32){break}if((a[b+2|0]|0)==0){p=d[j+76+(d[b+3|0]|0)|0]|0}else{p=Cu(a[b+2|0]|0,a[b+3|0]|0)|0}if((p|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};default:{}}b=b+2|0}i=h;return k|0}function av(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c;c=0;d=d+4|0;do{if((a[d|0]|0)==0){if((a[d+1|0]|0)!=120){e=19;break}d=d+2|0;while(1){if((a[d|0]|0)==0){f=(a[d+1|0]|0)==59}else{f=0}if(!(f^1)){e=18;break}if((a[d|0]|0)==0){g=a[d+1|0]|0}else{g=-1}h=g;switch(h|0){case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(h-97+10)|0;break};case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(h-65+10)|0;break};case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|h-48;break};default:{}}if((c|0)>=1114112){break}d=d+2|0}if((e|0)==18){break}j=-1;k=j;i=b;return k|0}else{e=19}}while(0);do{if((e|0)==19){while(1){if((a[d|0]|0)==0){l=(a[d+1|0]|0)==59}else{l=0}if(!(l^1)){e=30;break}if((a[d|0]|0)==0){m=a[d+1|0]|0}else{m=-1}c=c*10|0;c=c+(m-48)|0;if((c|0)>=1114112){break}d=d+2|0}if((e|0)==30){break}j=-1;k=j;i=b;return k|0}}while(0);j=Qt(c)|0;k=j;i=b;return k|0}function bv(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;b=i;e=c;c=(d-e|0)/2|0;if((c|0)==2){do{if((a[e+2|0]|0)==0){if((a[e+3|0]|0)!=116){break}if((a[e|0]|0)==0){f=a[e+1|0]|0}else{f=-1}if((f|0)==108){g=60;h=g;i=b;return h|0}else if((f|0)==103){g=62;h=g;i=b;return h|0}else{break}}}while(0)}else if((c|0)==3){do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=97){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=109){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=112){break}g=38;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}else if((c|0)==4){if((a[e|0]|0)==0){j=a[e+1|0]|0}else{j=-1}if((j|0)==113){e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=117){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=111){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=116){break}g=34;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}else if((j|0)==97){e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=112){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=111){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=115){break}g=39;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}}g=0;h=g;i=b;return h|0}function cv(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;while(1){if(!(b>>>0<e>>>0)){break}if((a[b|0]|0)==0){k=d[j+76+(d[b+1|0]|0)|0]|0}else{k=Cu(a[b|0]|0,a[b+1|0]|0)|0}switch(k|0){case 10:{c[f+4>>2]=-1;g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;break};case 5:{b=b+2|0;break};case 7:{b=b+4|0;break};case 6:{b=b+3|0;break};case 9:{g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;do{if((b|0)!=(e|0)){if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Cu(a[b|0]|0,a[b+1|0]|0)|0}if((l|0)!=10){break}b=b+2|0}}while(0);c[f+4>>2]=-1;break};default:{b=b+2|0}}g=f+4|0;c[g>>2]=(c[g>>2]|0)+1}i=h;return}function dv(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;b=b+2|0;e=e-2|0;a:while(1){if((b|0)==(e|0)){k=27;break}if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Cu(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};case 21:{if((a[b|0]|0)==0){if((a[b+1|0]|0)==9){k=10;break a}}break};case 26:case 22:{if((a[b|0]|0)==0){m=a[b+1|0]|0}else{m=-1}if((m&-128|0)!=0){k=18;break b}else{break b}break};default:{k=18}}}while(0);if((k|0)==18){k=0;if((a[b|0]|0)==0){n=a[b+1|0]|0}else{n=-1}if(!((n|0)==36|(n|0)==64)){k=23;break}}b=b+2|0}if((k|0)==10){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==23){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==27){o=1;p=o;i=h;return p|0}return 0}function ev(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;h=d;d=e;e=f;f=g;g=c[h>>2]|0;a:while(1){if((g|0)==(d|0)){j=20;break}k=a[g+1|0]|0;l=a[g|0]|0;b:do{switch(l&255|0){case 0:{if((k&255|0)>=128){j=9;break b}if((c[e>>2]|0)==(f|0)){j=6;break a}m=e;n=c[m>>2]|0;c[m>>2]=n+1;a[n]=k;break};case 1:case 2:case 3:case 4:case 5:case 6:case 7:{j=9;break};case 216:case 217:case 218:case 219:{if((f-(c[e>>2]|0)|0)<4){j=16;break a}n=((l&3)<<2|(k&255)>>6&3)+1|0;m=e;o=c[m>>2]|0;c[m>>2]=o+1;a[o]=n>>2|240;o=e;m=c[o>>2]|0;c[o>>2]=m+1;a[m]=(k&255)>>2&15|(n&3)<<4|128;g=g+2|0;n=a[g+1|0]|0;m=((k&3)<<4|(a[g|0]&3)<<2|(n&255)>>6|128)&255;o=e;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=m;m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=n&63|128;break};default:{if((f-(c[e>>2]|0)|0)<3){j=13;break a}n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=(l&255)>>4|224;p=e;n=c[p>>2]|0;c[p>>2]=n+1;a[n]=(l&15)<<2|(k&255)>>6|128;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=k&63|128}}}while(0);if((j|0)==9){j=0;if((f-(c[e>>2]|0)|0)<2){j=10;break}p=e;n=c[p>>2]|0;c[p>>2]=n+1;a[n]=(k&255)>>6|(l&255)<<2|192;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=k&63|128}g=g+2|0}if((j|0)==6){c[h>>2]=g;i=b;return}else if((j|0)==10){c[h>>2]=g;i=b;return}else if((j|0)==13){c[h>>2]=g;i=b;return}else if((j|0)==16){c[h>>2]=g;i=b;return}else if((j|0)==20){c[h>>2]=g;i=b;return}}function fv(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0;e=i;k=f;f=g;g=h;h=j;do{if((f-(c[k>>2]|0)|0)>(((h-(c[g>>2]|0)|0)/2|0)<<1|0)){if((a[f-2|0]&248|0)!=216){break}f=f-2|0}}while(0);while(1){if((c[k>>2]|0)!=(f|0)){l=(c[g>>2]|0)!=(h|0)}else{l=0}if(!l){break}j=((d[c[k>>2]|0]|0)<<8|(d[(c[k>>2]|0)+1|0]|0))&65535;m=g;n=c[m>>2]|0;c[m>>2]=n+2;b[n>>1]=j;j=k;c[j>>2]=(c[j>>2]|0)+2}i=e;return}function gv(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Cu(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 19:{k=iv(j,b+2|0,e,f)|0;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[13344+((d[9728+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Cu(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 22:case 24:case 25:case 26:case 27:{break};case 7:{m=38;break c;break};case 18:{m=41;break c;break};case 29:{if((c[13344+((d[14624+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=29;break c}break};case 6:{m=35;break c;break};case 5:{m=32;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=9;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function hv(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Cu(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 29:{if((c[13344+((d[9728+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 21:case 10:case 9:case 30:{c[f>>2]=b;k=22;break a;break};case 22:case 24:{break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Cu(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 7:{m=38;break c;break};case 18:{m=41;break c;break};case 6:{m=35;break c;break};case 29:{if((c[13344+((d[14624+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=29;break c}break};case 5:{m=32;break c;break};case 22:case 24:case 25:case 26:case 27:{break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=28;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function iv(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=120){break}k=jv(j,b+2|0,e,f)|0;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Cu(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=22;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Cu(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==18){n=18;break}else if((o|0)!=25){n=19;break}b=b+2|0}if((n|0)==18){c[f>>2]=b+2;k=10;l=k;i=h;return l|0}else if((n|0)==19){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==22){break}}}while(0);k=-1;l=k;i=h;return l|0}function jv(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b|0]|0)==0){k=d[j+76+(d[b+1|0]|0)|0]|0}else{k=Cu(a[b|0]|0,a[b+1|0]|0)|0}if(!((k|0)==25|(k|0)==24)){c[f>>2]=b;l=0;m=l;i=h;return m|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=19;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Cu(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==18){n=15;break}else if(!((o|0)==25|(o|0)==24)){n=16;break}b=b+2|0}if((n|0)==15){c[f>>2]=b+2;l=10;m=l;i=h;return m|0}else if((n|0)==16){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((n|0)==19){break}}}while(0);l=-1;m=l;i=h;return m|0}function kv(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Cu(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 17:{k=ov(j,b+2|0,e,f)|0;break a;break};case 15:{k=nv(j,b+2|0,e,f)|0;break a;break};case 29:{if((c[13344+((d[9728+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 16:{g=b+2|0;b=g;if((g|0)==(e|0)){k=-1;break a}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Cu(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)==27){k=lv(j,b+2|0,e,f)|0;break a}else if((m|0)==20){k=mv(j,b+2|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;g=0;c:while(1){if((b|0)==(e|0)){n=110;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Cu(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 29:{if((c[13344+((d[14624+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=39;break c}n=41;break};case 7:{n=48;break c;break};case 21:case 9:case 10:{n=74;break c;break};case 22:case 24:case 25:case 26:case 27:{n=41;break};case 6:{n=45;break c;break};case 11:{n=99;break c;break};case 17:{n=101;break c;break};case 5:{n=42;break c;break};case 23:{if((g|0)!=0){n=52;break c}g=1;b=b+2|0;if((b|0)==(e|0)){n=54;break c}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=Cu(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 5:{n=63;break c;break};case 6:{n=66;break c;break};case 29:{if((c[13344+((d[9728+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=60;break c}break};case 7:{n=69;break c;break};case 22:case 24:{break};default:{n=72;break c}}b=b+2|0;break};default:{n=108;break c}}if((n|0)==41){n=0;b=b+2|0}}d:do{if((n|0)==39){c[f>>2]=b;k=0;break a}else if((n|0)==42){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==45){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==48){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==52){c[f>>2]=b;k=0;break a}else if((n|0)==54){k=-1;break a}else if((n|0)==60){c[f>>2]=b;k=0;break a}else if((n|0)==63){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==66){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==69){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==72){c[f>>2]=b;k=0;break a}else if((n|0)==74){b=b+2|0;e:while(1){if((b|0)==(e|0)){n=98;break}if((a[b|0]|0)==0){q=d[j+76+(d[b+1|0]|0)|0]|0}else{q=Cu(a[b|0]|0,a[b+1|0]|0)|0}switch(q|0){case 11:{n=93;break e;break};case 17:{n=94;break e;break};case 21:case 9:case 10:{break};case 22:case 24:{break e;break};case 5:{n=84;break e;break};case 6:{n=87;break e;break};case 7:{n=90;break e;break};case 29:{n=80;break e;break};default:{n=96;break e}}b=b+2|0}do{if((n|0)==80){if((c[13344+((d[9728+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break}else{c[f>>2]=b;k=0;break a}}else if((n|0)==84){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==87){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==90){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==93){n=100;break d}else if((n|0)==94){break d}else if((n|0)==96){c[f>>2]=b;k=0;break a}else if((n|0)==98){k=-1;break a}}while(0);b=b+2|0;k=pv(j,b,e,f)|0;break a}else if((n|0)==99){n=100}else if((n|0)!=101)if((n|0)==108){c[f>>2]=b;k=0;break a}else if((n|0)==110){k=-1;break a}}while(0);if((n|0)==100){c[f>>2]=b+2;k=2;break}b=b+2|0;if((b|0)==(e|0)){k=-1;break}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;k=4;break a}}while(0);c[f>>2]=b;k=0}}while(0);i=h;return k|0}function lv(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)!=(e|0)){do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=45){break}b=b+2|0;b:while(1){if((b|0)==(e|0)){k=34;break}if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Cu(a[b|0]|0,a[b+1|0]|0)|0}switch(l|0){case 0:case 1:case 8:{k=20;break b;break};case 27:{g=b+2|0;b=g;if((g|0)==(e|0)){k=22;break b}if((a[b|0]|0)==0){if((a[b+1|0]|0)==45){k=25;break b}}break};case 5:{if((e-b|0)<2){k=12;break b}b=b+2|0;break};case 7:{if((e-b|0)<4){k=18;break b}b=b+4|0;break};case 6:{if((e-b|0)<3){k=15;break b}b=b+3|0;break};default:{b=b+2|0}}}if((k|0)==12){m=-2;n=m;i=h;return n|0}else if((k|0)==15){m=-2;n=m;i=h;return n|0}else if((k|0)==18){m=-2;n=m;i=h;return n|0}else if((k|0)==20){c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==22){m=-1;n=m;i=h;return n|0}else if((k|0)==25){g=b+2|0;b=g;if((g|0)==(e|0)){m=-1;n=m;i=h;return n|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;m=13;n=m;i=h;return n|0}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==34){break a}}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}}while(0);m=-1;n=m;i=h;return n|0}function mv(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<12){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=10;break}if((a[g|0]|0)!=0){k=7;break}if((a[g+1|0]|0)!=(a[20864+e|0]|0)){k=7;break}e=e+1|0;g=g+2|0}if((k|0)==7){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==10){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function nv(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{if((a[b|0]|0)==0){m=d[k+76+(d[b+1|0]|0)|0]|0}else{m=Cu(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(m|0){case 22:case 24:{break};case 29:{if((c[13344+((d[9728+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;l=0;break a}break};case 5:{if((e-b|0)<2){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 6:{if((e-b|0)<3){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 7:{if((e-b|0)<4){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};default:{c[f>>2]=b;l=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){n=77;break}if((a[b|0]|0)==0){o=d[k+76+(d[b+1|0]|0)|0]|0}else{o=Cu(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 29:{if((c[13344+((d[14624+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=28;break c}break};case 6:{n=34;break c;break};case 21:case 9:case 10:{n=40;break c;break};case 15:{n=67;break c;break};case 7:{n=37;break c;break};case 5:{n=31;break c;break};case 22:case 24:case 25:case 26:case 27:{break};default:{break c}}b=b+2|0}if((n|0)==28){c[f>>2]=b;l=0;break}else if((n|0)==31){if((e-b|0)<2){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==34){if((e-b|0)<3){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==37){if((e-b|0)<4){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==40){if((qv(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;d:while(1){if((b|0)==(e|0)){n=66;break}if((a[b|0]|0)==0){p=d[k+76+(d[b+1|0]|0)|0]|0}else{p=Cu(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 5:{if((e-b|0)<2){n=49;break d}b=b+2|0;break};case 15:{b=b+2|0;if((b|0)==(e|0)){n=59;break d}if((a[b|0]|0)==0){if((a[b+1|0]|0)==62){n=62;break d}}break};case 0:case 1:case 8:{n=57;break d;break};case 6:{if((e-b|0)<3){n=52;break d}b=b+3|0;break};case 7:{if((e-b|0)<4){n=55;break d}b=b+4|0;break};default:{b=b+2|0}}}if((n|0)==49){l=-2;break}else if((n|0)==52){l=-2;break}else if((n|0)==55){l=-2;break}else if((n|0)==57){c[f>>2]=b;l=0;break}else if((n|0)==59){l=-1;break}else if((n|0)==62){c[f>>2]=b+2;l=c[j>>2]|0;break}else if((n|0)==66){l=-1;break}}else if((n|0)==67){if((qv(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;if((b|0)==(e|0)){l=-1;break}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;l=c[j>>2]|0;break a}}while(0)}else if((n|0)==77){l=-1;break}c[f>>2]=b;l=0}}while(0);i=h;return l|0}function ov(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Cu(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 29:{if((c[13344+((d[9728+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=56;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Cu(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 29:{if((c[13344+((d[14624+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=28;break c}m=30;break};case 6:{m=34;break c;break};case 11:{m=53;break c;break};case 22:case 24:case 25:case 26:case 27:{m=30;break};case 23:{b=b+2|0;break};case 21:case 9:case 10:{m=40;break c;break};case 5:{m=31;break c;break};case 7:{m=37;break c;break};default:{m=54;break c}}if((m|0)==30){m=0;b=b+2|0}}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){b=b+2|0;while(1){if((b|0)==(e|0)){m=51;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Cu(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==11){m=47;break}else if(!((o|0)==21|(o|0)==9|(o|0)==10)){m=48;break}b=b+2|0}if((m|0)==47){c[f>>2]=b+2;k=5;break}else if((m|0)==48){c[f>>2]=b;k=0;break}else if((m|0)==51){k=-1;break}}else if((m|0)==53){c[f>>2]=b+2;k=5;break}else if((m|0)==54){c[f>>2]=b;k=0;break}else if((m|0)==56){k=-1;break}}}while(0);i=h;return k|0}function pv(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=141;break}if((a[c[j>>2]|0]|0)==0){m=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{m=Cu(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(m|0){case 23:{if((g|0)!=0){l=21;break a}g=1;c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=23;break a}if((a[c[j>>2]|0]|0)==0){n=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{n=Cu(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(n|0){case 22:case 24:{break};case 5:{l=32;break a;break};case 29:{if((c[13344+((d[9728+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=29;break a}break};case 6:{l=35;break a;break};case 7:{l=38;break a;break};default:{l=41;break a}}c[j>>2]=(c[j>>2]|0)+2;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=45;break a}if((a[c[j>>2]|0]|0)==0){o=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{o=Cu(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}b=o;if((b|0)==14){break}p=b;if(!((p|0)==21|(p|0)==10|(p|0)==9)){l=53;break a}}l=56;break};case 5:{l=11;break a;break};case 14:{l=56;break};case 29:{if((c[13344+((d[14624+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=8;break a}l=10;break};case 7:{l=17;break a;break};case 22:case 24:case 25:case 26:case 27:{l=10;break};case 6:{l=14;break a;break};default:{l=139;break a}}if((l|0)==10){l=0;c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==56){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=58;break a}if((a[c[j>>2]|0]|0)==0){q=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{q=Cu(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}r=q;if((r|0)==12){break}if((r|0)==13){break}p=r;if(!((p|0)==21|(p|0)==10|(p|0)==9)){l=67;break a}}c[j>>2]=(c[j>>2]|0)+2;while(1){if((c[j>>2]|0)==(e|0)){l=71;break a}if((a[c[j>>2]|0]|0)==0){s=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{s=Cu(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}p=s;if((p|0)==(r|0)){break}switch(p|0){case 0:case 1:case 8:{l=87;break a;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=79;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 3:{t=gv(k,(c[j>>2]|0)+2|0,e,j)|0;if((t|0)<=0){l=89;break a}break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=82;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=85;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 2:{l=93;break a;break};default:{c[j>>2]=(c[j>>2]|0)+2}}}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=97;break}if((a[c[j>>2]|0]|0)==0){u=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{u=Cu(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(u|0){case 21:case 9:case 10:{break};case 17:{l=103;break a;break};case 11:{l=104;break a;break};default:{l=105;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=108;break a}if((a[c[j>>2]|0]|0)==0){v=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{v=Cu(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(v|0){case 7:{l=123;break a;break};case 6:{l=120;break a;break};case 17:{l=129;break a;break};case 29:{l=113;break b;break};case 22:case 24:{break b;break};case 5:{l=117;break a;break};case 21:case 9:case 10:{break};case 11:{l=127;break a;break};default:{l=136;break a}}}if((l|0)==113){l=0;if((c[13344+((d[9728+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=114;break}}c[j>>2]=(c[j>>2]|0)+2}}if((l|0)==8){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==11){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==14){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==17){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==21){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==23){w=-1;x=w;i=h;return x|0}else if((l|0)==29){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==32){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==35){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==38){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==41){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==45){w=-1;x=w;i=h;return x|0}else if((l|0)==53){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==58){w=-1;x=w;i=h;return x|0}else if((l|0)==67){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==71){w=-1;x=w;i=h;return x|0}else if((l|0)==79){w=-2;x=w;i=h;return x|0}else if((l|0)==82){w=-2;x=w;i=h;return x|0}else if((l|0)==85){w=-2;x=w;i=h;return x|0}else if((l|0)==87){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==89){if((t|0)==0){c[f>>2]=c[j>>2]}w=t;x=w;i=h;return x|0}else if((l|0)==93){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==97){w=-1;x=w;i=h;return x|0}else if((l|0)!=103)if((l|0)==104){l=128}else if((l|0)==105){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==108){w=-1;x=w;i=h;return x|0}else if((l|0)==114){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==117){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==120){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==123){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==127){l=128}else if((l|0)!=129)if((l|0)==136){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==139){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==141){w=-1;x=w;i=h;return x|0}if((l|0)==128){c[f>>2]=(c[j>>2]|0)+2;w=1;x=w;i=h;return x|0}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){w=-1;x=w;i=h;return x|0}do{if((a[c[j>>2]|0]|0)==0){if((a[(c[j>>2]|0)+1|0]|0)!=62){break}c[f>>2]=(c[j>>2]|0)+2;w=3;x=w;i=h;return x|0}}while(0);c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}function qv(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=6){h=1}else{if((a[g|0]|0)==0){j=a[g+1|0]|0}else{j=-1}if((j|0)==88){f=1}else if((j|0)!=120){h=1;break}g=g+2|0;if((a[g|0]|0)==0){k=a[g+1|0]|0}else{k=-1}if((k|0)==77){f=1}else if((k|0)!=109){h=1;break}g=g+2|0;if((a[g|0]|0)==0){l=a[g+1|0]|0}else{l=-1}if((l|0)==76){f=1}else if((l|0)!=108){h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function rv(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=b;b=e;e=f;f=g;g=h;a:while(1){if((e|0)==(f|0)){l=29;break}if((a[e|0]|0)==0){m=d[b+76+(d[e+1|0]|0)|0]|0}else{m=Cu(a[e|0]|0,a[e+1|0]|0)|0}h=m;switch(h|0){case 7:{if((f-e|0)<4){l=14;break a}e=e+4|0;break};case 6:{if((f-e|0)<3){l=11;break a}e=e+3|0;break};case 0:case 1:case 8:{l=16;break a;break};case 5:{if((f-e|0)<2){l=8;break a}e=e+2|0;break};case 12:case 13:{e=e+2|0;if((h|0)==(k|0)){l=19;break a}break};default:{e=e+2|0}}}if((l|0)==8){n=-2;o=n;i=j;return o|0}else if((l|0)==11){n=-2;o=n;i=j;return o|0}else if((l|0)==14){n=-2;o=n;i=j;return o|0}else if((l|0)==16){c[g>>2]=e;n=0;o=n;i=j;return o|0}else if((l|0)==19){if((e|0)==(f|0)){n=-27;o=n;i=j;return o|0}c[g>>2]=e;if((a[e|0]|0)==0){p=d[b+76+(d[e+1|0]|0)|0]|0}else{p=Cu(a[e|0]|0,a[e+1|0]|0)|0}switch(p|0){case 21:case 9:case 10:case 11:case 30:case 20:{n=27;o=n;i=j;return o|0};default:{n=0;o=n;i=j;return o|0}}}else if((l|0)==29){n=-1;o=n;i=j;return o|0}return 0}function sv(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Cu(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)==20){c[f>>2]=b+2;k=33;l=k;i=h;return l|0}else if((m|0)==22|(m|0)==24){b=b+2|0;a:while(1){if((b|0)==(e|0)){n=29;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Cu(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 22:case 24:{break};case 30:{n=17;break a;break};case 21:case 9:case 10:{break a;break};default:{n=27;break a}}b=b+2|0}do{if((n|0)==17){if((b+2|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+2|0]|0)==0){p=d[j+76+(d[b+3|0]|0)|0]|0}else{p=Cu(a[b+2|0]|0,a[b+3|0]|0)|0}if(!((p|0)==21|(p|0)==9|(p|0)==10|(p|0)==30)){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==27){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==29){k=-1;l=k;i=h;return l|0}}while(0);c[f>>2]=b;k=16;l=k;i=h;return l|0}else if((m|0)==27){k=lv(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else{c[f>>2]=b;k=0;l=k;i=h;return l|0}return 0}function tv(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Cu(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 22:case 24:{break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[13344+((d[9728+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=43;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Cu(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 29:{if((c[13344+((d[14624+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=28;break c}break};case 9:case 10:case 21:case 32:case 11:case 30:case 36:{m=40;break c;break};case 6:{m=34;break c;break};case 5:{m=31;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 7:{m=37;break c;break};default:{m=41;break c}}b=b+2|0}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){c[f>>2]=b;k=20;break}else if((m|0)==41){c[f>>2]=b;k=0;break}else if((m|0)==43){k=-20;break}}}while(0);i=h;return k|0}function uv(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{b:do{switch(d[j+76+(d[b]|0)|0]|0){case 12:{k=cw(12,j,b+1|0,e,f)|0;break a;break};case 13:{k=cw(13,j,b+1|0,e,f)|0;break a;break};case 2:{b=b+1|0;if((b|0)==(e|0)){k=-1;break a}switch(d[j+76+(d[b]|0)|0]|0){case 16:{k=dw(j,b+1|0,e,f)|0;break a;break};case 15:{k=_v(j,b+1|0,e,f)|0;break a;break};case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-1;k=29;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 9:{if((b+1|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{l=16;break b}break};case 21:case 10:{l=16;break};case 30:{k=Uv(j,b+1|0,e,f)|0;break a;break};case 35:{c[f>>2]=b+1;k=38;break a;break};case 20:{c[f>>2]=b+1;k=25;break a;break};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b]|0)==93){if((b+1|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==62){c[f>>2]=b+2;k=34;break a}else{break}}}while(0);c[f>>2]=b;k=26;break a;break};case 31:{c[f>>2]=b+1;k=23;break a;break};case 32:{b=b+1|0;if((b|0)==(e|0)){k=-24;break a}switch(d[j+76+(d[b]|0)|0]|0){case 33:{c[f>>2]=b+1;k=36;break a;break};case 15:{c[f>>2]=b+1;k=35;break a;break};case 34:{c[f>>2]=b+1;k=37;break a;break};case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 36:{c[f>>2]=b+1;k=21;break a;break};case 11:{c[f>>2]=b+1;k=17;break a;break};case 19:{k=ew(j,b+1|0,e,f)|0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}if((ie[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;m=18;l=76;break b}if((ie[c[j+332>>2]&127](j,b)|0)!=0){b=b+2|0;m=19;l=76;break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}if((ie[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;m=18;l=76;break b}if((ie[c[j+336>>2]&127](j,b)|0)!=0){b=b+3|0;m=19;l=76;break b}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}if((ie[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;m=18;l=76;break b}if((ie[c[j+340>>2]&127](j,b)|0)!=0){b=b+4|0;m=19;l=76;break b}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{m=18;b=b+1|0;l=76;break};case 25:case 26:case 27:case 23:{m=19;b=b+1|0;l=76;break};case 29:{l=75;break};default:{l=75}}}while(0);if((l|0)==16){while(1){b=b+1|0;if((b|0)==(e|0)){l=18;break}g=d[j+76+(d[b]|0)|0]|0;if(!((g|0)==21|(g|0)==10))if((g|0)==9){if((b+1|0)==(e|0)){l=23;break}}else{break}}if((l|0)==18){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((l|0)==75){c[f>>2]=b;k=0;break}else if((l|0)==76){c:while(1){if((b|0)==(e|0)){l=133;break}switch(d[j+76+(d[b]|0)|0]|0){case 29:{l=79;break c;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 5:{if((e-b|0)<2){l=82;break c}if((ie[c[j+332>>2]&127](j,b)|0)==0){l=84;break c}b=b+2|0;break};case 6:{if((e-b|0)<3){l=87;break c}if((ie[c[j+336>>2]&127](j,b)|0)==0){l=89;break c}b=b+3|0;break};case 7:{if((e-b|0)<4){l=92;break c}if((ie[c[j+340>>2]&127](j,b)|0)==0){l=94;break c}b=b+4|0;break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{l=96;break c;break};case 23:{b=b+1|0;g=m;if((g|0)==18){if((b|0)==(e|0)){l=99;break c}m=41;switch(d[j+76+(d[b]|0)|0]|0){case 29:{l=101;break c;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 5:{if((e-b|0)<2){l=104;break c}if((ie[c[j+332>>2]&127](j,b)|0)==0){l=106;break c}b=b+2|0;break};case 6:{if((e-b|0)<3){l=109;break c}if((ie[c[j+336>>2]&127](j,b)|0)==0){l=111;break c}b=b+3|0;break};case 7:{if((e-b|0)<4){l=114;break c}if((ie[c[j+340>>2]&127](j,b)|0)==0){l=116;break c}b=b+4|0;break};default:{m=19}}}else if((g|0)==41){m=19}break};case 34:{l=122;break c;break};case 33:{l=125;break c;break};case 15:{l=128;break c;break};default:{l=131;break c}}}if((l|0)==79){c[f>>2]=b;k=0;break}else if((l|0)==82){k=-2;break}else if((l|0)==84){c[f>>2]=b;k=0;break}else if((l|0)==87){k=-2;break}else if((l|0)==89){c[f>>2]=b;k=0;break}else if((l|0)==92){k=-2;break}else if((l|0)==94){c[f>>2]=b;k=0;break}else if((l|0)==96){c[f>>2]=b;k=m;break}else if((l|0)==99){k=-1;break}else if((l|0)==101){c[f>>2]=b;k=0;break}else if((l|0)==104){k=-2;break}else if((l|0)==106){c[f>>2]=b;k=0;break}else if((l|0)==109){k=-2;break}else if((l|0)==111){c[f>>2]=b;k=0;break}else if((l|0)==114){k=-2;break}else if((l|0)==116){c[f>>2]=b;k=0;break}else if((l|0)==122){if((m|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=32;break}}else if((l|0)==125){if((m|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=31;break}}else if((l|0)==128){if((m|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=30;break}}else if((l|0)==131){c[f>>2]=b;k=0;break}else if((l|0)==133){k=-m|0;break}}}}while(0);i=h;return k|0}function vv(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}a:do{switch(d[j+76+(d[b]|0)|0]|0){case 2:{k=Xv(j,b+1|0,e,f)|0;l=k;i=h;return l|0};case 3:{k=Tv(j,b+1|0,e,f)|0;l=k;i=h;return l|0};case 9:{b=b+1|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)==10){b=b+1|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 10:{c[f>>2]=b+1;k=7;l=k;i=h;return l|0};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}if((a[b]|0)!=93){break a}b=b+1|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}if((a[b]|0)!=62){b=b-1|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 5:{if((e-b|0)<2){k=-2;l=k;i=h;return l|0}if((ie[c[j+356>>2]&127](j,b)|0)==0){b=b+2|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 6:{if((e-b|0)<3){k=-2;l=k;i=h;return l|0}if((ie[c[j+360>>2]&127](j,b)|0)==0){b=b+3|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 7:{if((e-b|0)<4){k=-2;l=k;i=h;return l|0}if((ie[c[j+364>>2]&127](j,b)|0)==0){b=b+4|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};default:{b=b+1|0}}}while(0);b:while(1){if((b|0)==(e|0)){m=65;break}c:do{switch(d[j+76+(d[b]|0)|0]|0){case 5:{if((e-b|0)<2){m=43;break b}if((ie[c[j+356>>2]&127](j,b)|0)!=0){m=43;break b}b=b+2|0;break};case 6:{if((e-b|0)<3){m=47;break b}if((ie[c[j+360>>2]&127](j,b)|0)!=0){m=47;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){m=51;break b}if((ie[c[j+364>>2]&127](j,b)|0)!=0){m=51;break b}b=b+4|0;break};case 4:{if((b+1|0)==(e|0)){m=61;break b}if((a[b+1|0]|0)!=93){b=b+1|0;break c}if((b+2|0)==(e|0)){m=60;break b}if((a[b+2|0]|0)==62){m=59;break b}b=b+1|0;break};case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};default:{b=b+1|0}}}while(0)}if((m|0)==43){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==47){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==59){c[f>>2]=b+2;k=0;l=k;i=h;return l|0}else if((m|0)==60){m=61}else if((m|0)==65){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function wv(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}a:do{switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){k=-2;l=k;i=h;return l|0}if((ie[c[j+364>>2]&127](j,b)|0)==0){b=b+4|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 9:{b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)==10){b=b+1|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b]|0)!=93){break a}b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b]|0)!=62){b=b-1|0;break a}c[f>>2]=b+1;k=40;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 10:{c[f>>2]=b+1;k=7;l=k;i=h;return l|0};case 5:{if((e-b|0)<2){k=-2;l=k;i=h;return l|0}if((ie[c[j+356>>2]&127](j,b)|0)==0){b=b+2|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 6:{if((e-b|0)<3){k=-2;l=k;i=h;return l|0}if((ie[c[j+360>>2]&127](j,b)|0)==0){b=b+3|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};default:{b=b+1|0}}}while(0);b:while(1){if((b|0)==(e|0)){m=54;break}switch(d[j+76+(d[b]|0)|0]|0){case 5:{if((e-b|0)<2){m=41;break b}if((ie[c[j+356>>2]&127](j,b)|0)!=0){m=41;break b}b=b+2|0;break};case 6:{if((e-b|0)<3){m=45;break b}if((ie[c[j+360>>2]&127](j,b)|0)!=0){m=45;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){m=49;break b}if((ie[c[j+364>>2]&127](j,b)|0)!=0){m=49;break b}b=b+4|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{m=51;break b;break};default:{b=b+1|0}}}if((m|0)==41){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==45){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function xv(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;g=0;a:while(1){if((b|0)==(e|0)){k=42;break}switch(d[j+76+(d[b]|0)|0]|0){case 2:{l=b+1|0;b=l;if((l|0)==(e|0)){k=21;break a}if((a[b]|0)==33){l=b+1|0;b=l;if((l|0)==(e|0)){k=24;break a}if((a[b]|0)==91){g=g+1|0;b=b+1|0}}break};case 6:{if((e-b|0)<3){k=10;break a}if((ie[c[j+360>>2]&127](j,b)|0)!=0){k=12;break a}b=b+3|0;break};case 0:case 1:case 8:{k=19;break a;break};case 7:{if((e-b|0)<4){k=15;break a}if((ie[c[j+364>>2]&127](j,b)|0)!=0){k=17;break a}b=b+4|0;break};case 4:{l=b+1|0;b=l;if((l|0)==(e|0)){k=30;break a}if((a[b]|0)==93){l=b+1|0;b=l;if((l|0)==(e|0)){k=33;break a}if((a[b]|0)==62){b=b+1|0;if((g|0)==0){k=36;break a}g=g-1|0}}break};case 5:{if((e-b|0)<2){k=5;break a}if((ie[c[j+356>>2]&127](j,b)|0)!=0){k=7;break a}b=b+2|0;break};default:{b=b+1|0}}}if((k|0)==5){m=-2}else if((k|0)==7){c[f>>2]=b;m=0}else if((k|0)==10){m=-2}else if((k|0)==12){c[f>>2]=b;m=0}else if((k|0)==15){m=-2}else if((k|0)==17){c[f>>2]=b;m=0}else if((k|0)==19){c[f>>2]=b;m=0}else if((k|0)==21){m=-1}else if((k|0)==24){m=-1}else if((k|0)==30){m=-1}else if((k|0)==33){m=-1}else if((k|0)==36){c[f>>2]=b;m=42}else if((k|0)==42){m=-1}i=h;return m|0}function yv(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)==(b|0)){j=-4}else{f=a;a:while(1){if((a|0)==(b|0)){k=28;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 6:{a=a+3|0;break};case 9:{k=16;break a;break};case 5:{a=a+2|0;break};case 3:{k=9;break a;break};case 7:{a=a+4|0;break};case 10:{k=13;break a;break};case 21:{k=23;break a;break};case 2:{k=12;break a;break};default:{a=a+1|0}}}if((k|0)==9){if((a|0)==(f|0)){j=Tv(h,a+1|0,b,e)|0;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==12){c[e>>2]=a;j=0;break}else if((k|0)==13){if((a|0)==(f|0)){c[e>>2]=a+1;j=7;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==16){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}a=a+1|0;if((a|0)==(b|0)){j=-3;break}if((d[h+76+(d[a]|0)|0]|0|0)==10){a=a+1|0}c[e>>2]=a;j=7;break}else if((k|0)==23){if((a|0)==(f|0)){c[e>>2]=a+1;j=39;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==28){c[e>>2]=a;j=6;break}}}while(0);i=g;return j|0}function zv(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)==(b|0)){j=-4}else{f=a;a:while(1){if((a|0)==(b|0)){k=30;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 3:{k=9;break a;break};case 5:{a=a+2|0;break};case 6:{a=a+3|0;break};case 9:{k=21;break a;break};case 10:{k=18;break a;break};case 7:{a=a+4|0;break};case 30:{k=12;break a;break};default:{a=a+1|0}}}if((k|0)==9){if((a|0)==(f|0)){j=Tv(h,a+1|0,b,e)|0;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==12){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}l=Uv(h,a+1|0,b,e)|0;if((l|0)==22){m=0}else{m=l}j=m;break}else if((k|0)==18){if((a|0)==(f|0)){c[e>>2]=a+1;j=7;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==21){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}a=a+1|0;if((a|0)==(b|0)){j=-3;break}if((d[h+76+(d[a]|0)|0]|0|0)==10){a=a+1|0}c[e>>2]=a;j=7;break}else if((k|0)==30){c[e>>2]=a;j=6;break}}}while(0);i=g;return j|0}function Av(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;g=b;b=c;c=e;a:while(1){switch(d[g+76+(d[b]|0)|0]|0){case 7:{e=b;b=e+1|0;h=c;c=h+1|0;if((a[e]|0)!=(a[h]|0)){j=4;break a}j=6;break};case 6:{j=6;break};case 5:{j=9;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{h=c;c=h+1|0;e=b;b=e+1|0;if((a[h]|0)!=(a[e]|0)){j=15;break a}break};default:{j=17;break a}}if((j|0)==6){j=0;e=b;b=e+1|0;h=c;c=h+1|0;if((a[e]|0)!=(a[h]|0)){j=7;break}j=9}if((j|0)==9){j=0;h=b;b=h+1|0;e=c;c=e+1|0;if((a[h]|0)!=(a[e]|0)){j=10;break}e=b;b=e+1|0;h=c;c=h+1|0;if((a[e]|0)!=(a[h]|0)){j=12;break}}}if((j|0)==4){k=0;l=k;i=f;return l|0}else if((j|0)==7){k=0;l=k;i=f;return l|0}else if((j|0)==10){k=0;l=k;i=f;return l|0}else if((j|0)==12){k=0;l=k;i=f;return l|0}else if((j|0)==15){k=0;l=k;i=f;return l|0}else if((j|0)==17){if((a[b]|0)==(a[c]|0)){k=1;l=k;i=f;return l|0}switch(d[g+76+(d[c]|0)|0]|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{k=0;l=k;i=f;return l|0};default:{k=1;l=k;i=f;return l|0}}}return 0}function Bv(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=9;break}if((f|0)==(c|0)){g=4;break}if((a[f]|0)!=(a[d]|0)){g=6;break}f=f+1|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==6){h=0;j=h;i=b;return j|0}else if((g|0)==9){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function Cv(a,b){a=a|0;b=b|0;var c=0,e=0;c=i;e=a;a=b;b=a;a:while(1){switch(d[e+76+(d[a]|0)|0]|0|0){case 7:{a=a+4|0;break};case 5:{a=a+2|0;break};case 6:{a=a+3|0;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{a=a+1|0;break};default:{break a}}}i=c;return a-b|0}function Dv(a,b){a=a|0;b=b|0;var c=0,e=0;c=i;e=a;a=b;while(1){b=d[e+76+(d[a]|0)|0]|0;if(!((b|0)==10|(b|0)==9|(b|0)==21)){break}a=a+1|0}i=c;return a|0}function Ev(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+1|0;a:while(1){switch(d[j+76+(d[b]|0)|0]|0){case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+1}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 11:case 17:{if((g|0)!=2){break a}break};case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+1}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+3|0;break};case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b]|0)!=32){break}if((a[b+1|0]|0)==32){break}if((d[j+76+(d[b+1|0]|0)|0]|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};default:{}}b=b+1|0}i=h;return k|0}function Fv(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;b=i;d=c;c=0;d=d+2|0;do{if((a[d]|0)==120){d=d+1|0;while(1){if(!((a[d]|0)==59^1)){e=12;break}f=a[d]|0;switch(f|0){case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|f-48;break};case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(f-97+10)|0;break};case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(f-65+10)|0;break};default:{}}if((c|0)>=1114112){break}d=d+1|0}if((e|0)==12){break}g=-1;h=g;i=b;return h|0}else{while(1){if(!((a[d]|0)==59^1)){e=19;break}c=c*10|0;c=c+((a[d]|0)-48)|0;if((c|0)>=1114112){break}d=d+1|0}if((e|0)==19){break}g=-1;h=g;i=b;return h|0}}while(0);g=Qt(c)|0;h=g;i=b;return h|0}function Gv(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;b=i;e=c;c=(d-e|0)/1|0;if((c|0)==2){do{if((a[e+1|0]|0)==116){d=a[e]|0;if((d|0)==108){f=60;g=f;i=b;return g|0}else if((d|0)==103){f=62;g=f;i=b;return g|0}else{break}}}while(0)}else if((c|0)==3){if((a[e]|0)==97){e=e+1|0;do{if((a[e]|0)==109){e=e+1|0;if((a[e]|0)!=112){break}f=38;g=f;i=b;return g|0}}while(0)}}else if((c|0)==4){c=a[e]|0;if((c|0)==97){e=e+1|0;if((a[e]|0)==112){e=e+1|0;do{if((a[e]|0)==111){e=e+1|0;if((a[e]|0)!=115){break}f=39;g=f;i=b;return g|0}}while(0)}}else if((c|0)==113){e=e+1|0;if((a[e]|0)==117){e=e+1|0;do{if((a[e]|0)==111){e=e+1|0;if((a[e]|0)!=116){break}f=34;g=f;i=b;return g|0}}while(0)}}}f=0;g=f;i=b;return g|0}function Hv(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0;g=i;h=a;a=b;b=e;e=f;while(1){if(!(a>>>0<b>>>0)){break}switch(d[h+76+(d[a]|0)|0]|0|0){case 5:{a=a+2|0;break};case 6:{a=a+3|0;break};case 7:{a=a+4|0;break};case 10:{c[e+4>>2]=-1;f=e|0;c[f>>2]=(c[f>>2]|0)+1;a=a+1|0;break};case 9:{f=e|0;c[f>>2]=(c[f>>2]|0)+1;a=a+1|0;do{if((a|0)!=(b|0)){if((d[h+76+(d[a]|0)|0]|0|0)!=10){break}a=a+1|0}}while(0);c[e+4>>2]=-1;break};default:{a=a+1|0}}f=e+4|0;c[f>>2]=(c[f>>2]|0)+1}i=g;return}function Iv(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;b=b+1|0;e=e-1|0;a:while(1){if((b|0)==(e|0)){k=17;break}b:do{switch(d[j+76+(d[b]|0)|0]|0){case 26:case 22:{if((a[b]&-128|0)!=0){k=11;break b}else{break b}break};case 21:{if((a[b]|0)==9){k=6;break a}break};case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};default:{k=11}}}while(0);if((k|0)==11){k=0;g=a[b]|0;if(!((g|0)==36|(g|0)==64)){k=13;break}}b=b+1|0}if((k|0)==6){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((k|0)==13){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((k|0)==17){l=1;m=l;i=h;return m|0}return 0}function Jv(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0;b=i;h=d;d=e;e=f;f=g;if((d-(c[h>>2]|0)|0)>(f-(c[e>>2]|0)|0)){d=(c[h>>2]|0)+(f-(c[e>>2]|0))|0;while(1){if(!(d>>>0>(c[h>>2]|0)>>>0)){break}if((a[d-1|0]&192|0)!=128){f=5;break}d=d-1|0}}f=c[e>>2]|0;g=c[h>>2]|0;while(1){if((g|0)==(d|0)){break}a[f]=a[g]|0;g=g+1|0;f=f+1|0}c[h>>2]=g;c[e>>2]=f;i=b;return}function Kv(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;k=i;l=e;e=f;f=g;g=h;h=j;j=c[g>>2]|0;m=c[e>>2]|0;while(1){if((m|0)!=(f|0)){n=(j|0)!=(h|0)}else{n=0}if(!n){o=13;break}p=d[l+76+(d[m]|0)|0]|0;if((p|0)==7){if((j+2|0)==(h|0)){o=9;break}q=(a[m|0]&7)<<18|(a[m+1|0]&63)<<12|(a[m+2|0]&63)<<6|a[m+3|0]&63;q=q-65536|0;b[j>>1]=q>>>10|55296;b[j+2>>1]=q&1023|56320;j=j+4|0;m=m+4|0}else if((p|0)==6){q=j;j=q+2|0;b[q>>1]=(a[m|0]&15)<<12|(a[m+1|0]&63)<<6|a[m+2|0]&63;m=m+3|0}else if((p|0)==5){p=j;j=p+2|0;b[p>>1]=(a[m|0]&31)<<6|a[m+1|0]&63;m=m+2|0}else{p=m;m=p+1|0;q=j;j=q+2|0;b[q>>1]=a[p]|0}}if((o|0)==9){r=m;s=e;c[s>>2]=r;t=j;u=g;c[u>>2]=t;i=k;return}else if((o|0)==13){r=m;s=e;c[s>>2]=r;t=j;u=g;c[u>>2]=t;i=k;return}}function Lv(b,e){b=b|0;e=e|0;b=e;i=i;return c[13344+(((d[14624+((d[b|0]|0)>>2&7)|0]|0)<<3)+((a[b|0]&3)<<1)+((d[b+1|0]|0)>>5&1)<<2)>>2]&1<<(a[b+1|0]&31)|0}function Mv(b,e){b=b|0;e=e|0;b=e;i=i;return c[13344+(((d[14624+(((a[b|0]&15)<<4)+((d[b+1|0]|0)>>2&15))|0]|0)<<3)+((a[b+1|0]&3)<<1)+((d[b+2|0]|0)>>5&1)<<2)>>2]&1<<(a[b+2|0]&31)|0}function Nv(a,b){a=a|0;b=b|0;i=i;return 0}function Ov(b,e){b=b|0;e=e|0;b=e;i=i;return c[13344+(((d[9728+((d[b|0]|0)>>2&7)|0]|0)<<3)+((a[b|0]&3)<<1)+((d[b+1|0]|0)>>5&1)<<2)>>2]&1<<(a[b+1|0]&31)|0}function Pv(b,e){b=b|0;e=e|0;b=e;i=i;return c[13344+(((d[9728+(((a[b|0]&15)<<4)+((d[b+1|0]|0)>>2&15))|0]|0)<<3)+((a[b+1|0]&3)<<1)+((d[b+2|0]|0)>>5&1)<<2)>>2]&1<<(a[b+2|0]&31)|0}function Qv(b,c){b=b|0;c=c|0;var e=0,f=0;b=i;e=c;do{if((d[e]|0|0)<194){f=1}else{if((a[e+1|0]&128|0)==0){f=1;break}f=(a[e+1|0]&192|0)==192}}while(0);i=b;return f&1|0}



function pY(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=i;i=i+160|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+120|0;o=d+128|0;p=d+136|0;q=d+144|0;r=d+152|0;s=n|0;c[s>>2]=m;t=n+4|0;c[t>>2]=214;u=m+100|0;sT(p,h);m=p|0;v=c[m>>2]|0;if(!((c[433214]|0)==-1)){c[l>>2]=1732856;c[l+4>>2]=18;c[l+8>>2]=0;hS(1732856,l,126)}l=(c[433215]|0)-1|0;w=c[v+8>>2]|0;do{if((c[v+12>>2]|0)-w>>2>>>0>l>>>0){x=c[w+(l<<2)>>2]|0;if((x|0)==0){break}y=x;a[q]=0;z=f|0;A=c[z>>2]|0;c[r>>2]=A;if(nY(e,r,g,p,c[h+4>>2]|0,j,q,y,n,o,u)|0){B=k;if((a[B]&1)==0){a[k+1|0]=0;a[B]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}B=x;if((a[q]|0)!=0){OS(k,ie[c[(c[B>>2]|0)+28>>2]&127](y,45)|0)}x=ie[c[(c[B>>2]|0)+28>>2]&127](y,48)|0;y=c[o>>2]|0;B=y-1|0;C=c[s>>2]|0;while(1){if(!(C>>>0<B>>>0)){break}if((a[C]|0)==x<<24>>24){C=C+1|0}else{break}}qY(k,C,y)|0}x=e|0;B=c[x>>2]|0;do{if((B|0)==0){D=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){D=B;break}if(!((Zd[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){D=B;break}c[x>>2]=0;D=0}}while(0);x=(D|0)==0;do{if((A|0)==0){E=33}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){if(x){break}else{E=35;break}}if((Zd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1){c[z>>2]=0;E=33;break}else{if(x^(A|0)==0){break}else{E=35;break}}}}while(0);if((E|0)==33){if(x){E=35}}if((E|0)==35){c[j>>2]=c[j>>2]|2}c[b>>2]=D;OR(c[m>>2]|0)|0;A=c[s>>2]|0;c[s>>2]=0;if((A|0)==0){i=d;return}Wd[c[t>>2]&511](A);i=d;return}}while(0);d=Bd(4)|0;g0(d);vc(d|0,1690592,180)}function qY(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=b;g=d;h=a[f]|0;if((h&1)==0){i=10;j=h;k=(h&255)>>>1}else{h=c[b>>2]|0;i=(h&-2)-1|0;j=h&255;k=c[b+4>>2]|0}h=e-g|0;if((e|0)==(d|0)){return b|0}if((i-k|0)>>>0<h>>>0){RS(b,i,k+h-i|0,k,k,0,0);l=a[f]|0}else{l=j}if((l&1)==0){m=b+1|0}else{m=c[b+8>>2]|0}l=e+(k-g)|0;g=d;d=m+k|0;while(1){a[d]=a[g]|0;j=g+1|0;if((j|0)==(e|0)){break}else{g=j;d=d+1|0}}a[m+l|0]=0;l=k+h|0;if((a[f]&1)==0){a[f]=l<<1;return b|0}else{c[b+4>>2]=l;return b|0}return 0}function rY(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0;n=i;i=i+176|0;o=n|0;p=n+16|0;q=n+32|0;r=n+40|0;s=n+56|0;t=n+72|0;u=n+88|0;v=n+104|0;w=n+112|0;x=n+128|0;y=n+144|0;z=n+160|0;if(b){b=c[d>>2]|0;if(!((c[433332]|0)==-1)){c[p>>2]=1733328;c[p+4>>2]=18;c[p+8>>2]=0;hS(1733328,p,126)}p=(c[433333]|0)-1|0;A=c[b+8>>2]|0;if(!((c[b+12>>2]|0)-A>>2>>>0>p>>>0)){B=Bd(4)|0;D=B;g0(D);vc(B|0,1690592,180)}b=c[A+(p<<2)>>2]|0;if((b|0)==0){B=Bd(4)|0;D=B;g0(D);vc(B|0,1690592,180)}B=b;Xd[c[(c[b>>2]|0)+44>>2]&127](q,B);D=e;C=c[q>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;D=b;Xd[c[(c[D>>2]|0)+32>>2]&127](r,B);q=l;if((a[q]&1)==0){a[l+1|0]=0;a[q]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}IS(l,0);p=r;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];e1(p|0,0,12)|0;wS(r);Xd[c[(c[D>>2]|0)+28>>2]&127](s,B);r=k;if((a[r]&1)==0){a[k+1|0]=0;a[r]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}IS(k,0);p=s;c[r>>2]=c[p>>2];c[r+4>>2]=c[p+4>>2];c[r+8>>2]=c[p+8>>2];e1(p|0,0,12)|0;wS(s);s=b;a[f]=Zd[c[(c[s>>2]|0)+12>>2]&255](B)|0;a[g]=Zd[c[(c[s>>2]|0)+16>>2]&255](B)|0;Xd[c[(c[D>>2]|0)+20>>2]&127](t,B);s=h;if((a[s]&1)==0){a[h+1|0]=0;a[s]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}IS(h,0);p=t;c[s>>2]=c[p>>2];c[s+4>>2]=c[p+4>>2];c[s+8>>2]=c[p+8>>2];e1(p|0,0,12)|0;wS(t);Xd[c[(c[D>>2]|0)+24>>2]&127](u,B);D=j;if((a[D]&1)==0){a[j+1|0]=0;a[D]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}IS(j,0);t=u;c[D>>2]=c[t>>2];c[D+4>>2]=c[t+4>>2];c[D+8>>2]=c[t+8>>2];e1(t|0,0,12)|0;wS(u);E=Zd[c[(c[b>>2]|0)+36>>2]&255](B)|0;c[m>>2]=E;i=n;return}else{B=c[d>>2]|0;if(!((c[433334]|0)==-1)){c[o>>2]=1733336;c[o+4>>2]=18;c[o+8>>2]=0;hS(1733336,o,126)}o=(c[433335]|0)-1|0;d=c[B+8>>2]|0;if(!((c[B+12>>2]|0)-d>>2>>>0>o>>>0)){F=Bd(4)|0;G=F;g0(G);vc(F|0,1690592,180)}B=c[d+(o<<2)>>2]|0;if((B|0)==0){F=Bd(4)|0;G=F;g0(G);vc(F|0,1690592,180)}F=B;Xd[c[(c[B>>2]|0)+44>>2]&127](v,F);G=e;C=c[v>>2]|0;a[G]=C;C=C>>8;a[G+1|0]=C;C=C>>8;a[G+2|0]=C;C=C>>8;a[G+3|0]=C;G=B;Xd[c[(c[G>>2]|0)+32>>2]&127](w,F);v=l;if((a[v]&1)==0){a[l+1|0]=0;a[v]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}IS(l,0);l=w;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];e1(l|0,0,12)|0;wS(w);Xd[c[(c[G>>2]|0)+28>>2]&127](x,F);w=k;if((a[w]&1)==0){a[k+1|0]=0;a[w]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}IS(k,0);k=x;c[w>>2]=c[k>>2];c[w+4>>2]=c[k+4>>2];c[w+8>>2]=c[k+8>>2];e1(k|0,0,12)|0;wS(x);x=B;a[f]=Zd[c[(c[x>>2]|0)+12>>2]&255](F)|0;a[g]=Zd[c[(c[x>>2]|0)+16>>2]&255](F)|0;Xd[c[(c[G>>2]|0)+20>>2]&127](y,F);x=h;if((a[x]&1)==0){a[h+1|0]=0;a[x]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}IS(h,0);h=y;c[x>>2]=c[h>>2];c[x+4>>2]=c[h+4>>2];c[x+8>>2]=c[h+8>>2];e1(h|0,0,12)|0;wS(y);Xd[c[(c[G>>2]|0)+24>>2]&127](z,F);G=j;if((a[G]&1)==0){a[j+1|0]=0;a[G]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}IS(j,0);j=z;c[G>>2]=c[j>>2];c[G+4>>2]=c[j+4>>2];c[G+8>>2]=c[j+8>>2];e1(j|0,0,12)|0;wS(z);E=Zd[c[(c[B>>2]|0)+36>>2]&255](F)|0;c[m>>2]=E;i=n;return}}function sY(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=b;h=a[g]|0;if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}if((i|0)==0){return}do{if((d|0)==(e|0)){j=h}else{i=e-4|0;if(i>>>0>d>>>0){k=d;l=i}else{j=h;break}do{i=c[k>>2]|0;c[k>>2]=c[l>>2];c[l>>2]=i;k=k+4|0;l=l-4|0;}while(k>>>0<l>>>0);j=a[g]|0}}while(0);if((j&1)==0){m=(j&255)>>>1;n=b+1|0}else{m=c[b+4>>2]|0;n=c[b+8>>2]|0}b=e-4|0;e=a[n]|0;j=e<<24>>24<1|e<<24>>24==127;a:do{if(b>>>0>d>>>0){g=n+m|0;l=n;k=d;h=e;i=j;while(1){if(!i){if((h<<24>>24|0)!=(c[k>>2]|0)){break}}o=(g-l|0)>1?l+1|0:l;p=k+4|0;q=a[o]|0;r=q<<24>>24<1|q<<24>>24==127;if(p>>>0<b>>>0){l=o;k=p;h=q;i=r}else{s=q;t=r;break a}}c[f>>2]=4;return}else{s=e;t=j}}while(0);if(t){return}t=c[b>>2]|0;if(!(s<<24>>24>>>0<t>>>0|(t|0)==0)){return}c[f>>2]=4;return}function tY(a){a=a|0;MR(a|0);J0(a);return}function uY(a){a=a|0;MR(a|0);return}function vY(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;d=i;i=i+600|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+416|0;o=d+424|0;p=d+432|0;q=d+440|0;r=d+448|0;s=d+456|0;t=d+496|0;u=n|0;c[u>>2]=m;v=n+4|0;c[v>>2]=214;w=m+400|0;sT(p,h);m=p|0;x=c[m>>2]|0;if(!((c[433212]|0)==-1)){c[l>>2]=1732848;c[l+4>>2]=18;c[l+8>>2]=0;hS(1732848,l,126)}l=(c[433213]|0)-1|0;y=c[x+8>>2]|0;do{if((c[x+12>>2]|0)-y>>2>>>0>l>>>0){z=c[y+(l<<2)>>2]|0;if((z|0)==0){break}A=z;a[q]=0;B=f|0;c[r>>2]=c[B>>2];do{if(wY(e,r,g,p,c[h+4>>2]|0,j,q,A,n,o,w)|0){C=s|0;le[c[(c[z>>2]|0)+48>>2]&127](A,1683856,1683866,C)|0;D=t|0;E=c[o>>2]|0;F=c[u>>2]|0;G=E-F|0;do{if((G|0)>392){H=B0((G>>2)+2|0)|0;if((H|0)!=0){I=H;J=H;break}O0();I=0;J=0}else{I=D;J=0}}while(0);if((a[q]|0)==0){K=I}else{a[I]=45;K=I+1|0}if(F>>>0<E>>>0){G=s+40|0;H=s;L=K;M=F;while(1){N=C;while(1){if((N|0)==(G|0)){O=G;break}if((c[N>>2]|0)==(c[M>>2]|0)){O=N;break}else{N=N+4|0}}a[L]=a[1683856+(O-H>>2)|0]|0;N=M+4|0;P=L+1|0;if(N>>>0<(c[o>>2]|0)>>>0){L=P;M=N}else{Q=P;break}}}else{Q=K}a[Q]=0;M=vb(D|0,1669696,(L=i,i=i+8|0,c[L>>2]=k,L)|0)|0;i=L;if((M|0)==1){if((J|0)==0){break}C0(J);break}M=Bd(8)|0;UR(M,1666872);vc(M|0,1690608,34)}}while(0);A=e|0;z=c[A>>2]|0;do{if((z|0)==0){R=1}else{M=c[z+12>>2]|0;if((M|0)==(c[z+16>>2]|0)){S=Zd[c[(c[z>>2]|0)+36>>2]&255](z)|0}else{S=c[M>>2]|0}if((S|0)==-1){c[A>>2]=0;R=1;break}else{R=(c[A>>2]|0)==0;break}}}while(0);z=c[B>>2]|0;do{if((z|0)==0){T=47}else{M=c[z+12>>2]|0;if((M|0)==(c[z+16>>2]|0)){U=Zd[c[(c[z>>2]|0)+36>>2]&255](z)|0}else{U=c[M>>2]|0}if((U|0)==-1){c[B>>2]=0;T=47;break}else{if(R){break}else{T=49;break}}}}while(0);if((T|0)==47){if(R){T=49}}if((T|0)==49){c[j>>2]=c[j>>2]|2}c[b>>2]=c[A>>2];OR(c[m>>2]|0)|0;B=c[u>>2]|0;c[u>>2]=0;if((B|0)==0){i=d;return}Wd[c[v>>2]&511](B);i=d;return}}while(0);d=Bd(4)|0;g0(d);vc(d|0,1690592,180)}function wY(b,e,f,g,h,j,k,l,m,n,o){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0;p=i;i=i+528|0;q=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[q>>2];q=p|0;r=p+8|0;s=p+408|0;t=p+416|0;u=p+424|0;v=p+432|0;w=p+448|0;x=p+464|0;y=p+480|0;z=p+496|0;A=p+512|0;B=p+520|0;c[q>>2]=o;o=r|0;C=v;e1(C|0,0,12)|0;D=w;e1(D|0,0,12)|0;E=x;e1(E|0,0,12)|0;F=y;e1(F|0,0,12)|0;G=z;e1(G|0,0,12)|0;zY(f,g,s,t,u,v,w,x,y,A);g=m|0;c[n>>2]=c[g>>2];f=b|0;b=e|0;e=l;H=y+4|0;I=y+8|0;J=x+4|0;K=x+8|0;L=(h&512|0)!=0;h=w+4|0;M=w+8|0;N=z+4|0;O=z+8|0;P=s+3|0;Q=v+4|0;R=214;S=o;T=o;o=r+400|0;r=0;U=0;a:while(1){V=c[f>>2]|0;do{if((V|0)==0){W=1}else{X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){Y=Zd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Y=c[X>>2]|0}if((Y|0)==-1){c[f>>2]=0;W=1;break}else{W=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=16}else{X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){_=Zd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{_=c[X>>2]|0}if((_|0)==-1){c[b>>2]=0;Z=16;break}else{if(W){$=V;break}else{aa=R;ba=S;ca=T;da=U;Z=302;break a}}}}while(0);if((Z|0)==16){Z=0;if(W){aa=R;ba=S;ca=T;da=U;Z=302;break}else{$=0}}b:do{switch(a[s+r|0]|0){case 1:{if((r|0)==3){aa=R;ba=S;ca=T;da=U;Z=302;break a}V=c[f>>2]|0;X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){ea=Zd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{ea=c[X>>2]|0}if(!($d[c[(c[e>>2]|0)+12>>2]&127](l,8192,ea)|0)){Z=41;break a}X=c[f>>2]|0;V=X+12|0;fa=c[V>>2]|0;if((fa|0)==(c[X+16>>2]|0)){ga=Zd[c[(c[X>>2]|0)+40>>2]&255](X)|0}else{c[V>>2]=fa+4;ga=c[fa>>2]|0}cT(z,ga);Z=42;break};case 0:{Z=42;break};case 3:{fa=a[E]|0;V=(fa&1)==0;if(V){ha=(fa&255)>>>1}else{ha=c[J>>2]|0}X=a[F]|0;ia=(X&1)==0;if(ia){ja=(X&255)>>>1}else{ja=c[H>>2]|0}if((ha|0)==(-ja|0)){ka=U;la=o;ma=T;na=S;oa=R;break b}if(V){pa=(fa&255)>>>1}else{pa=c[J>>2]|0}do{if((pa|0)!=0){if(ia){qa=(X&255)>>>1}else{qa=c[H>>2]|0}if((qa|0)==0){break}ra=c[f>>2]|0;sa=c[ra+12>>2]|0;if((sa|0)==(c[ra+16>>2]|0)){ta=Zd[c[(c[ra>>2]|0)+36>>2]&255](ra)|0;ua=ta;va=a[E]|0}else{ua=c[sa>>2]|0;va=fa}sa=c[f>>2]|0;ta=sa+12|0;ra=c[ta>>2]|0;wa=(ra|0)==(c[sa+16>>2]|0);if((ua|0)==(c[((va&1)==0?J:c[K>>2]|0)>>2]|0)){if(wa){Zd[c[(c[sa>>2]|0)+40>>2]&255](sa)|0}else{c[ta>>2]=ra+4}ta=a[E]|0;if((ta&1)==0){xa=(ta&255)>>>1}else{xa=c[J>>2]|0}ka=xa>>>0>1>>>0?x:U;la=o;ma=T;na=S;oa=R;break b}if(wa){ya=Zd[c[(c[sa>>2]|0)+36>>2]&255](sa)|0}else{ya=c[ra>>2]|0}if((ya|0)!=(c[((a[F]&1)==0?H:c[I>>2]|0)>>2]|0)){Z=134;break a}ra=c[f>>2]|0;sa=ra+12|0;wa=c[sa>>2]|0;if((wa|0)==(c[ra+16>>2]|0)){Zd[c[(c[ra>>2]|0)+40>>2]&255](ra)|0}else{c[sa>>2]=wa+4}a[k]=1;wa=a[F]|0;if((wa&1)==0){za=(wa&255)>>>1}else{za=c[H>>2]|0}ka=za>>>0>1>>>0?y:U;la=o;ma=T;na=S;oa=R;break b}}while(0);if(V){Aa=(fa&255)>>>1}else{Aa=c[J>>2]|0}ia=c[f>>2]|0;wa=c[ia+12>>2]|0;sa=(wa|0)==(c[ia+16>>2]|0);if((Aa|0)==0){if(sa){ra=Zd[c[(c[ia>>2]|0)+36>>2]&255](ia)|0;Ba=ra;Ca=a[F]|0}else{Ba=c[wa>>2]|0;Ca=X}if((Ba|0)!=(c[((Ca&1)==0?H:c[I>>2]|0)>>2]|0)){ka=U;la=o;ma=T;na=S;oa=R;break b}ra=c[f>>2]|0;ta=ra+12|0;Da=c[ta>>2]|0;if((Da|0)==(c[ra+16>>2]|0)){Zd[c[(c[ra>>2]|0)+40>>2]&255](ra)|0}else{c[ta>>2]=Da+4}a[k]=1;Da=a[F]|0;if((Da&1)==0){Ea=(Da&255)>>>1}else{Ea=c[H>>2]|0}ka=Ea>>>0>1>>>0?y:U;la=o;ma=T;na=S;oa=R;break b}if(sa){sa=Zd[c[(c[ia>>2]|0)+36>>2]&255](ia)|0;Fa=sa;Ga=a[E]|0}else{Fa=c[wa>>2]|0;Ga=fa}if((Fa|0)!=(c[((Ga&1)==0?J:c[K>>2]|0)>>2]|0)){a[k]=1;ka=U;la=o;ma=T;na=S;oa=R;break b}wa=c[f>>2]|0;sa=wa+12|0;ia=c[sa>>2]|0;if((ia|0)==(c[wa+16>>2]|0)){Zd[c[(c[wa>>2]|0)+40>>2]&255](wa)|0}else{c[sa>>2]=ia+4}ia=a[E]|0;if((ia&1)==0){Ha=(ia&255)>>>1}else{Ha=c[J>>2]|0}ka=Ha>>>0>1>>>0?x:U;la=o;ma=T;na=S;oa=R;break};case 2:{if(!((U|0)!=0|r>>>0<2>>>0)){if((r|0)==2){Ia=(a[P]|0)!=0}else{Ia=0}if(!(L|Ia)){ka=0;la=o;ma=T;na=S;oa=R;break b}}ia=a[D]|0;sa=(ia&1)==0?h:c[M>>2]|0;c:do{if((r|0)==0){Ja=sa;Ka=ia;La=$;Ma=$}else{if((d[s+(r-1)|0]|0)>>>0<2>>>0){Na=sa;Oa=ia}else{Ja=sa;Ka=ia;La=$;Ma=$;break}while(1){if((Oa&1)==0){Pa=(Oa&255)>>>1;Qa=h}else{Pa=c[h>>2]|0;Qa=c[M>>2]|0}if((Na|0)==(Qa+(Pa<<2)|0)){Ra=Oa;break}if(!($d[c[(c[e>>2]|0)+12>>2]&127](l,8192,c[Na>>2]|0)|0)){Z=148;break}Na=Na+4|0;Oa=a[D]|0}if((Z|0)==148){Z=0;Ra=a[D]|0}wa=(Ra&1)==0;Da=Na-(wa?h:c[M>>2]|0)>>2;ta=a[G]|0;ra=(ta&1)==0;if(ra){Sa=(ta&255)>>>1}else{Sa=c[N>>2]|0}d:do{if(!(Da>>>0>Sa>>>0)){if(ra){Ta=(ta&255)>>>1;Ua=N;Va=N+(((ta&255)>>>1)-Da<<2)|0}else{Wa=c[O>>2]|0;Xa=c[N>>2]|0;Ta=Xa;Ua=Wa;Va=Wa+(Xa-Da<<2)|0}Xa=Ua+(Ta<<2)|0;if((Va|0)==(Xa|0)){Ja=Na;Ka=Ra;La=$;Ma=$;break c}else{Ya=Va;Za=wa?h:c[M>>2]|0}while(1){if((c[Ya>>2]|0)!=(c[Za>>2]|0)){break d}Wa=Ya+4|0;if((Wa|0)==(Xa|0)){Ja=Na;Ka=Ra;La=$;Ma=$;break c}Ya=Wa;Za=Za+4|0}}}while(0);Ja=wa?h:c[M>>2]|0;Ka=Ra;La=$;Ma=$}}while(0);e:while(1){if((Ka&1)==0){_a=(Ka&255)>>>1;$a=h}else{_a=c[h>>2]|0;$a=c[M>>2]|0}if((Ja|0)==($a+(_a<<2)|0)){break}ia=c[f>>2]|0;do{if((ia|0)==0){ab=1}else{sa=c[ia+12>>2]|0;if((sa|0)==(c[ia+16>>2]|0)){bb=Zd[c[(c[ia>>2]|0)+36>>2]&255](ia)|0}else{bb=c[sa>>2]|0}if((bb|0)==-1){c[f>>2]=0;ab=1;break}else{ab=(c[f>>2]|0)==0;break}}}while(0);do{if((La|0)==0){cb=Ma;Z=178}else{ia=c[La+12>>2]|0;if((ia|0)==(c[La+16>>2]|0)){db=Zd[c[(c[La>>2]|0)+36>>2]&255](La)|0}else{db=c[ia>>2]|0}if((db|0)==-1){c[b>>2]=0;cb=0;Z=178;break}else{if(ab^(Ma|0)==0){eb=Ma;fb=Ma;break}else{break e}}}}while(0);if((Z|0)==178){Z=0;if(ab){break}else{eb=0;fb=cb}}ia=c[f>>2]|0;wa=c[ia+12>>2]|0;if((wa|0)==(c[ia+16>>2]|0)){gb=Zd[c[(c[ia>>2]|0)+36>>2]&255](ia)|0}else{gb=c[wa>>2]|0}if((gb|0)!=(c[Ja>>2]|0)){break}wa=c[f>>2]|0;ia=wa+12|0;sa=c[ia>>2]|0;if((sa|0)==(c[wa+16>>2]|0)){Zd[c[(c[wa>>2]|0)+40>>2]&255](wa)|0}else{c[ia>>2]=sa+4}Ja=Ja+4|0;Ka=a[D]|0;La=eb;Ma=fb}if(!L){ka=U;la=o;ma=T;na=S;oa=R;break b}sa=a[D]|0;if((sa&1)==0){hb=(sa&255)>>>1;ib=h}else{hb=c[h>>2]|0;ib=c[M>>2]|0}if((Ja|0)==(ib+(hb<<2)|0)){ka=U;la=o;ma=T;na=S;oa=R}else{Z=193;break a}break};case 4:{sa=0;ia=o;wa=T;fa=S;X=R;f:while(1){V=c[f>>2]|0;do{if((V|0)==0){jb=1}else{Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){kb=Zd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{kb=c[Da>>2]|0}if((kb|0)==-1){c[f>>2]=0;jb=1;break}else{jb=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=207}else{Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){lb=Zd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{lb=c[Da>>2]|0}if((lb|0)==-1){c[b>>2]=0;Z=207;break}else{if(jb){break}else{break f}}}}while(0);if((Z|0)==207){Z=0;if(jb){break}}V=c[f>>2]|0;Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){mb=Zd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{mb=c[Da>>2]|0}if($d[c[(c[e>>2]|0)+12>>2]&127](l,2048,mb)|0){Da=c[n>>2]|0;if((Da|0)==(c[q>>2]|0)){AY(m,n,q);nb=c[n>>2]|0}else{nb=Da}c[n>>2]=nb+4;c[nb>>2]=mb;ob=sa+1|0;pb=ia;qb=wa;rb=fa;sb=X}else{Da=a[C]|0;if((Da&1)==0){tb=(Da&255)>>>1}else{tb=c[Q>>2]|0}if((tb|0)==0|(sa|0)==0){break}if((mb|0)!=(c[u>>2]|0)){break}if((wa|0)==(ia|0)){Da=(X|0)!=214;V=wa-fa|0;ta=V>>>0<2147483647>>>0?V<<1:-1;if(Da){ub=fa}else{ub=0}Da=E0(ub,ta)|0;ra=Da;if((Da|0)==0){O0()}vb=ra+(ta>>>2<<2)|0;wb=ra+(V>>2<<2)|0;xb=ra;yb=104}else{vb=ia;wb=wa;xb=fa;yb=X}c[wb>>2]=sa;ob=0;pb=vb;qb=wb+4|0;rb=xb;sb=yb}ra=c[f>>2]|0;V=ra+12|0;ta=c[V>>2]|0;if((ta|0)==(c[ra+16>>2]|0)){Zd[c[(c[ra>>2]|0)+40>>2]&255](ra)|0;sa=ob;ia=pb;wa=qb;fa=rb;X=sb;continue}else{c[V>>2]=ta+4;sa=ob;ia=pb;wa=qb;fa=rb;X=sb;continue}}if((fa|0)==(wa|0)|(sa|0)==0){zb=ia;Ab=wa;Bb=fa;Cb=X}else{if((wa|0)==(ia|0)){ta=(X|0)!=214;V=wa-fa|0;ra=V>>>0<2147483647>>>0?V<<1:-1;if(ta){Db=fa}else{Db=0}ta=E0(Db,ra)|0;Da=ta;if((ta|0)==0){O0()}Eb=Da+(ra>>>2<<2)|0;Fb=Da+(V>>2<<2)|0;Gb=Da;Hb=104}else{Eb=ia;Fb=wa;Gb=fa;Hb=X}c[Fb>>2]=sa;zb=Eb;Ab=Fb+4|0;Bb=Gb;Cb=Hb}Da=c[A>>2]|0;if((Da|0)>0){V=c[f>>2]|0;do{if((V|0)==0){Ib=1}else{ra=c[V+12>>2]|0;if((ra|0)==(c[V+16>>2]|0)){Jb=Zd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Jb=c[ra>>2]|0}if((Jb|0)==-1){c[f>>2]=0;Ib=1;break}else{Ib=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=259}else{sa=c[V+12>>2]|0;if((sa|0)==(c[V+16>>2]|0)){Kb=Zd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Kb=c[sa>>2]|0}if((Kb|0)==-1){c[b>>2]=0;Z=259;break}else{if(Ib){Lb=V;break}else{Z=265;break a}}}}while(0);if((Z|0)==259){Z=0;if(Ib){Z=265;break a}else{Lb=0}}V=c[f>>2]|0;sa=c[V+12>>2]|0;if((sa|0)==(c[V+16>>2]|0)){Mb=Zd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Mb=c[sa>>2]|0}if((Mb|0)!=(c[t>>2]|0)){Z=265;break a}sa=c[f>>2]|0;V=sa+12|0;X=c[V>>2]|0;if((X|0)==(c[sa+16>>2]|0)){Zd[c[(c[sa>>2]|0)+40>>2]&255](sa)|0;Nb=Lb;Ob=Da;Pb=Lb}else{c[V>>2]=X+4;Nb=Lb;Ob=Da;Pb=Lb}while(1){X=c[f>>2]|0;do{if((X|0)==0){Qb=1}else{V=c[X+12>>2]|0;if((V|0)==(c[X+16>>2]|0)){Rb=Zd[c[(c[X>>2]|0)+36>>2]&255](X)|0}else{Rb=c[V>>2]|0}if((Rb|0)==-1){c[f>>2]=0;Qb=1;break}else{Qb=(c[f>>2]|0)==0;break}}}while(0);do{if((Nb|0)==0){Sb=Pb;Z=282}else{X=c[Nb+12>>2]|0;if((X|0)==(c[Nb+16>>2]|0)){Tb=Zd[c[(c[Nb>>2]|0)+36>>2]&255](Nb)|0}else{Tb=c[X>>2]|0}if((Tb|0)==-1){c[b>>2]=0;Sb=0;Z=282;break}else{if(Qb^(Pb|0)==0){Ub=Pb;Vb=Pb;break}else{Z=289;break a}}}}while(0);if((Z|0)==282){Z=0;if(Qb){Z=289;break a}else{Ub=Sb;Vb=0}}X=c[f>>2]|0;V=c[X+12>>2]|0;if((V|0)==(c[X+16>>2]|0)){Wb=Zd[c[(c[X>>2]|0)+36>>2]&255](X)|0}else{Wb=c[V>>2]|0}if(!($d[c[(c[e>>2]|0)+12>>2]&127](l,2048,Wb)|0)){Z=289;break a}if((c[n>>2]|0)==(c[q>>2]|0)){AY(m,n,q)}V=c[f>>2]|0;X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){Xb=Zd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Xb=c[X>>2]|0}X=c[n>>2]|0;c[n>>2]=X+4;c[X>>2]=Xb;X=Ob-1|0;c[A>>2]=X;V=c[f>>2]|0;sa=V+12|0;fa=c[sa>>2]|0;if((fa|0)==(c[V+16>>2]|0)){Zd[c[(c[V>>2]|0)+40>>2]&255](V)|0}else{c[sa>>2]=fa+4}if((X|0)>0){Nb=Vb;Ob=X;Pb=Ub}else{break}}}if((c[n>>2]|0)==(c[g>>2]|0)){Z=300;break a}else{ka=U;la=zb;ma=Ab;na=Bb;oa=Cb}break};default:{ka=U;la=o;ma=T;na=S;oa=R}}}while(0);g:do{if((Z|0)==42){Z=0;if((r|0)==3){aa=R;ba=S;ca=T;da=U;Z=302;break a}else{Yb=$;Zb=$}while(1){Da=c[f>>2]|0;do{if((Da|0)==0){_b=1}else{X=c[Da+12>>2]|0;if((X|0)==(c[Da+16>>2]|0)){$b=Zd[c[(c[Da>>2]|0)+36>>2]&255](Da)|0}else{$b=c[X>>2]|0}if(($b|0)==-1){c[f>>2]=0;_b=1;break}else{_b=(c[f>>2]|0)==0;break}}}while(0);do{if((Yb|0)==0){ac=Zb;Z=56}else{Da=c[Yb+12>>2]|0;if((Da|0)==(c[Yb+16>>2]|0)){bc=Zd[c[(c[Yb>>2]|0)+36>>2]&255](Yb)|0}else{bc=c[Da>>2]|0}if((bc|0)==-1){c[b>>2]=0;ac=0;Z=56;break}else{if(_b^(Zb|0)==0){cc=Zb;dc=Zb;break}else{ka=U;la=o;ma=T;na=S;oa=R;break g}}}}while(0);if((Z|0)==56){Z=0;if(_b){ka=U;la=o;ma=T;na=S;oa=R;break g}else{cc=0;dc=ac}}Da=c[f>>2]|0;X=c[Da+12>>2]|0;if((X|0)==(c[Da+16>>2]|0)){ec=Zd[c[(c[Da>>2]|0)+36>>2]&255](Da)|0}else{ec=c[X>>2]|0}if(!($d[c[(c[e>>2]|0)+12>>2]&127](l,8192,ec)|0)){ka=U;la=o;ma=T;na=S;oa=R;break g}X=c[f>>2]|0;Da=X+12|0;fa=c[Da>>2]|0;if((fa|0)==(c[X+16>>2]|0)){fc=Zd[c[(c[X>>2]|0)+40>>2]&255](X)|0}else{c[Da>>2]=fa+4;fc=c[fa>>2]|0}cT(z,fc);Yb=cc;Zb=dc}}}while(0);fa=r+1|0;if(fa>>>0<4>>>0){R=oa;S=na;T=ma;o=la;r=fa;U=ka}else{aa=oa;ba=na;ca=ma;da=ka;Z=302;break}}h:do{if((Z|0)==41){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==134){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==193){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==265){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==289){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==300){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==302){i:do{if((da|0)!=0){ka=da;ma=da+4|0;na=da+8|0;oa=1;j:while(1){U=a[ka]|0;if((U&1)==0){jc=(U&255)>>>1}else{jc=c[ma>>2]|0}if(!(oa>>>0<jc>>>0)){break i}U=c[f>>2]|0;do{if((U|0)==0){kc=1}else{r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){lc=Zd[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{lc=c[r>>2]|0}if((lc|0)==-1){c[f>>2]=0;kc=1;break}else{kc=(c[f>>2]|0)==0;break}}}while(0);U=c[b>>2]|0;do{if((U|0)==0){Z=321}else{r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){mc=Zd[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{mc=c[r>>2]|0}if((mc|0)==-1){c[b>>2]=0;Z=321;break}else{if(kc){break}else{break j}}}}while(0);if((Z|0)==321){Z=0;if(kc){break}}U=c[f>>2]|0;r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){nc=Zd[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{nc=c[r>>2]|0}if((a[ka]&1)==0){oc=ma}else{oc=c[na>>2]|0}if((nc|0)!=(c[oc+(oa<<2)>>2]|0)){break}r=oa+1|0;U=c[f>>2]|0;la=U+12|0;o=c[la>>2]|0;if((o|0)==(c[U+16>>2]|0)){Zd[c[(c[U>>2]|0)+40>>2]&255](U)|0;oa=r;continue}else{c[la>>2]=o+4;oa=r;continue}}c[j>>2]=c[j>>2]|4;gc=0;hc=ba;ic=aa;break h}}while(0);if((ba|0)==(ca|0)){gc=1;hc=ca;ic=aa;break}c[B>>2]=0;sY(v,ba,ca,B);if((c[B>>2]|0)==0){gc=1;hc=ba;ic=aa;break}c[j>>2]=c[j>>2]|4;gc=0;hc=ba;ic=aa}}while(0);_S(z);_S(y);_S(x);_S(w);wS(v);if((hc|0)==0){i=p;return gc|0}Wd[ic&511](hc);i=p;return gc|0}function xY(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=i;i=i+456|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+416|0;o=d+424|0;p=d+432|0;q=d+440|0;r=d+448|0;s=n|0;c[s>>2]=m;t=n+4|0;c[t>>2]=214;u=m+400|0;sT(p,h);m=p|0;v=c[m>>2]|0;if(!((c[433212]|0)==-1)){c[l>>2]=1732848;c[l+4>>2]=18;c[l+8>>2]=0;hS(1732848,l,126)}l=(c[433213]|0)-1|0;w=c[v+8>>2]|0;do{if((c[v+12>>2]|0)-w>>2>>>0>l>>>0){x=c[w+(l<<2)>>2]|0;if((x|0)==0){break}y=x;a[q]=0;z=f|0;A=c[z>>2]|0;c[r>>2]=A;if(wY(e,r,g,p,c[h+4>>2]|0,j,q,y,n,o,u)|0){B=k;if((a[B]&1)==0){c[k+4>>2]=0;a[B]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}B=x;if((a[q]|0)!=0){cT(k,ie[c[(c[B>>2]|0)+44>>2]&127](y,45)|0)}x=ie[c[(c[B>>2]|0)+44>>2]&127](y,48)|0;y=c[o>>2]|0;B=y-4|0;C=c[s>>2]|0;while(1){if(!(C>>>0<B>>>0)){break}if((c[C>>2]|0)==(x|0)){C=C+4|0}else{break}}yY(k,C,y)|0}x=e|0;B=c[x>>2]|0;do{if((B|0)==0){D=1}else{E=c[B+12>>2]|0;if((E|0)==(c[B+16>>2]|0)){F=Zd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{F=c[E>>2]|0}if((F|0)==-1){c[x>>2]=0;D=1;break}else{D=(c[x>>2]|0)==0;break}}}while(0);do{if((A|0)==0){G=35}else{B=c[A+12>>2]|0;if((B|0)==(c[A+16>>2]|0)){H=Zd[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{H=c[B>>2]|0}if((H|0)==-1){c[z>>2]=0;G=35;break}else{if(D){break}else{G=37;break}}}}while(0);if((G|0)==35){if(D){G=37}}if((G|0)==37){c[j>>2]=c[j>>2]|2}c[b>>2]=c[x>>2];OR(c[m>>2]|0)|0;z=c[s>>2]|0;c[s>>2]=0;if((z|0)==0){i=d;return}Wd[c[t>>2]&511](z);i=d;return}}while(0);d=Bd(4)|0;g0(d);vc(d|0,1690592,180)}function yY(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;f=b;g=d;h=a[f]|0;if((h&1)==0){i=1;j=h;k=(h&255)>>>1}else{h=c[b>>2]|0;i=(h&-2)-1|0;j=h&255;k=c[b+4>>2]|0}h=e-g>>2;if((h|0)==0){return b|0}if((i-k|0)>>>0<h>>>0){eT(b,i,k+h-i|0,k,k,0,0);l=a[f]|0}else{l=j}if((l&1)==0){m=b+4|0}else{m=c[b+8>>2]|0}l=m+(k<<2)|0;if((d|0)==(e|0)){n=l}else{j=k+((e-4+(-g|0)|0)>>>2)+1|0;g=d;d=l;while(1){c[d>>2]=c[g>>2];l=g+4|0;if((l|0)==(e|0)){break}else{g=l;d=d+4|0}}n=m+(j<<2)|0}c[n>>2]=0;n=k+h|0;if((a[f]&1)==0){a[f]=n<<1;return b|0}else{c[b+4>>2]=n;return b|0}return 0}function zY(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0;n=i;i=i+176|0;o=n|0;p=n+16|0;q=n+32|0;r=n+40|0;s=n+56|0;t=n+72|0;u=n+88|0;v=n+104|0;w=n+112|0;x=n+128|0;y=n+144|0;z=n+160|0;if(b){b=c[d>>2]|0;if(!((c[433328]|0)==-1)){c[p>>2]=1733312;c[p+4>>2]=18;c[p+8>>2]=0;hS(1733312,p,126)}p=(c[433329]|0)-1|0;A=c[b+8>>2]|0;if(!((c[b+12>>2]|0)-A>>2>>>0>p>>>0)){B=Bd(4)|0;D=B;g0(D);vc(B|0,1690592,180)}b=c[A+(p<<2)>>2]|0;if((b|0)==0){B=Bd(4)|0;D=B;g0(D);vc(B|0,1690592,180)}B=b;Xd[c[(c[b>>2]|0)+44>>2]&127](q,B);D=e;C=c[q>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;D=b;Xd[c[(c[D>>2]|0)+32>>2]&127](r,B);q=l;if((a[q]&1)==0){c[l+4>>2]=0;a[q]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}bT(l,0);p=r;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];e1(p|0,0,12)|0;_S(r);Xd[c[(c[D>>2]|0)+28>>2]&127](s,B);r=k;if((a[r]&1)==0){c[k+4>>2]=0;a[r]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}bT(k,0);p=s;c[r>>2]=c[p>>2];c[r+4>>2]=c[p+4>>2];c[r+8>>2]=c[p+8>>2];e1(p|0,0,12)|0;_S(s);s=b;c[f>>2]=Zd[c[(c[s>>2]|0)+12>>2]&255](B)|0;c[g>>2]=Zd[c[(c[s>>2]|0)+16>>2]&255](B)|0;Xd[c[(c[b>>2]|0)+20>>2]&127](t,B);b=h;if((a[b]&1)==0){a[h+1|0]=0;a[b]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}IS(h,0);p=t;c[b>>2]=c[p>>2];c[b+4>>2]=c[p+4>>2];c[b+8>>2]=c[p+8>>2];e1(p|0,0,12)|0;wS(t);Xd[c[(c[D>>2]|0)+24>>2]&127](u,B);D=j;if((a[D]&1)==0){c[j+4>>2]=0;a[D]=0}else{c[c[j+8>>2]>>2]=0;c[j+4>>2]=0}bT(j,0);t=u;c[D>>2]=c[t>>2];c[D+4>>2]=c[t+4>>2];c[D+8>>2]=c[t+8>>2];e1(t|0,0,12)|0;_S(u);E=Zd[c[(c[s>>2]|0)+36>>2]&255](B)|0;c[m>>2]=E;i=n;return}else{B=c[d>>2]|0;if(!((c[433330]|0)==-1)){c[o>>2]=1733320;c[o+4>>2]=18;c[o+8>>2]=0;hS(1733320,o,126)}o=(c[433331]|0)-1|0;d=c[B+8>>2]|0;if(!((c[B+12>>2]|0)-d>>2>>>0>o>>>0)){F=Bd(4)|0;G=F;g0(G);vc(F|0,1690592,180)}B=c[d+(o<<2)>>2]|0;if((B|0)==0){F=Bd(4)|0;G=F;g0(G);vc(F|0,1690592,180)}F=B;Xd[c[(c[B>>2]|0)+44>>2]&127](v,F);G=e;C=c[v>>2]|0;a[G]=C;C=C>>8;a[G+1|0]=C;C=C>>8;a[G+2|0]=C;C=C>>8;a[G+3|0]=C;G=B;Xd[c[(c[G>>2]|0)+32>>2]&127](w,F);v=l;if((a[v]&1)==0){c[l+4>>2]=0;a[v]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}bT(l,0);l=w;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];e1(l|0,0,12)|0;_S(w);Xd[c[(c[G>>2]|0)+28>>2]&127](x,F);w=k;if((a[w]&1)==0){c[k+4>>2]=0;a[w]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}bT(k,0);k=x;c[w>>2]=c[k>>2];c[w+4>>2]=c[k+4>>2];c[w+8>>2]=c[k+8>>2];e1(k|0,0,12)|0;_S(x);x=B;c[f>>2]=Zd[c[(c[x>>2]|0)+12>>2]&255](F)|0;c[g>>2]=Zd[c[(c[x>>2]|0)+16>>2]&255](F)|0;Xd[c[(c[B>>2]|0)+20>>2]&127](y,F);B=h;if((a[B]&1)==0){a[h+1|0]=0;a[B]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}IS(h,0);h=y;c[B>>2]=c[h>>2];c[B+4>>2]=c[h+4>>2];c[B+8>>2]=c[h+8>>2];e1(h|0,0,12)|0;wS(y);Xd[c[(c[G>>2]|0)+24>>2]&127](z,F);G=j;if((a[G]&1)==0){c[j+4>>2]=0;a[G]=0}else{c[c[j+8>>2]>>2]=0;c[j+4>>2]=0}bT(j,0);j=z;c[G>>2]=c[j>>2];c[G+4>>2]=c[j+4>>2];c[G+8>>2]=c[j+8>>2];e1(j|0,0,12)|0;_S(z);E=Zd[c[(c[x>>2]|0)+36>>2]&255](F)|0;c[m>>2]=E;i=n;return}}function AY(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a+4|0;f=(c[e>>2]|0)!=214;g=a|0;a=c[g>>2]|0;h=a;i=(c[d>>2]|0)-h|0;j=i>>>0<2147483647>>>0?i<<1:-1;i=(c[b>>2]|0)-h>>2;if(f){k=a}else{k=0}a=E0(k,j)|0;k=a;if((a|0)==0){O0()}do{if(f){c[g>>2]=k;l=k}else{a=c[g>>2]|0;c[g>>2]=k;if((a|0)==0){l=k;break}Wd[c[e>>2]&511](a);l=c[g>>2]|0}}while(0);c[e>>2]=104;c[b>>2]=l+(i<<2);c[d>>2]=(c[g>>2]|0)+(j>>>2<<2);return}function BY(a){a=a|0;MR(a|0);J0(a);return}function CY(a){a=a|0;MR(a|0);return}function DY(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=+k;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+448|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=d|0;m=d+120|0;n=d+232|0;o=d+240|0;p=d+248|0;q=d+256|0;r=d+264|0;s=d+280|0;t=d+296|0;u=d+312|0;v=d+320|0;w=d+424|0;x=d+432|0;y=d+440|0;z=d+16|0;c[m>>2]=z;A=d+128|0;B=Bb(z|0,100,1664432,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;do{if(B>>>0>99>>>0){do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);C=vW(m,c[432856]|0,1664432,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;D=c[m>>2]|0;if((D|0)==0){O0();E=c[m>>2]|0}else{E=D}D=B0(C)|0;if((D|0)!=0){F=D;G=C;H=D;I=E;break}O0();F=0;G=C;H=0;I=E}else{F=A;G=B;H=0;I=0}}while(0);sT(n,g);B=n|0;A=c[B>>2]|0;if(!((c[433214]|0)==-1)){c[l>>2]=1732856;c[l+4>>2]=18;c[l+8>>2]=0;hS(1732856,l,126)}l=(c[433215]|0)-1|0;E=c[A+8>>2]|0;do{if((c[A+12>>2]|0)-E>>2>>>0>l>>>0){z=c[E+(l<<2)>>2]|0;if((z|0)==0){break}C=z;D=c[m>>2]|0;le[c[(c[z>>2]|0)+32>>2]&127](C,D,D+G|0,F)|0;if((G|0)==0){J=0}else{J=(a[c[m>>2]|0]|0)==45}e1(r|0,0,12)|0;D=s;e1(D|0,0,12)|0;z=t;e1(z|0,0,12)|0;EY(f,J,n,o,p,q,r,s,t,u);K=v|0;L=c[u>>2]|0;if((G|0)>(L|0)){M=a[z]|0;if((M&1)==0){N=(M&255)>>>1}else{N=c[t+4>>2]|0}M=a[D]|0;if((M&1)==0){O=(M&255)>>>1}else{O=c[s+4>>2]|0}P=N+(G-L<<1|1)+O|0}else{M=a[z]|0;if((M&1)==0){Q=(M&255)>>>1}else{Q=c[t+4>>2]|0}M=a[D]|0;if((M&1)==0){R=(M&255)>>>1}else{R=c[s+4>>2]|0}P=Q+2+R|0}M=P+L|0;do{if(M>>>0>100>>>0){D=B0(M)|0;if((D|0)!=0){S=D;T=D;break}O0();S=0;T=0}else{S=K;T=0}}while(0);FY(S,w,x,c[g+4>>2]|0,F,F+G|0,C,J,o,a[p]|0,a[q]|0,r,s,t,L);c[y>>2]=c[e>>2];UO(b,y,S,c[w>>2]|0,c[x>>2]|0,g,j);if((T|0)!=0){C0(T)}wS(t);wS(s);wS(r);OR(c[B>>2]|0)|0;if((H|0)!=0){C0(H)}if((I|0)==0){i=d;return}C0(I);i=d;return}}while(0);d=Bd(4)|0;g0(d);vc(d|0,1690592,180)}function EY(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;n=i;i=i+40|0;o=n|0;p=n+16|0;q=n+32|0;r=q;s=i;i=i+12|0;i=i+7&-8;t=i;i=i+4|0;i=i+7&-8;u=t;v=i;i=i+12|0;i=i+7&-8;w=i;i=i+12|0;i=i+7&-8;x=i;i=i+12|0;i=i+7&-8;y=i;i=i+4|0;i=i+7&-8;z=y;A=i;i=i+12|0;i=i+7&-8;B=i;i=i+4|0;i=i+7&-8;D=B;E=i;i=i+12|0;i=i+7&-8;F=i;i=i+12|0;i=i+7&-8;G=i;i=i+12|0;i=i+7&-8;H=c[e>>2]|0;if(b){if(!((c[433332]|0)==-1)){c[p>>2]=1733328;c[p+4>>2]=18;c[p+8>>2]=0;hS(1733328,p,126)}p=(c[433333]|0)-1|0;b=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-b>>2>>>0>p>>>0)){I=Bd(4)|0;J=I;g0(J);vc(I|0,1690592,180)}e=c[b+(p<<2)>>2]|0;if((e|0)==0){I=Bd(4)|0;J=I;g0(J);vc(I|0,1690592,180)}I=e;J=c[e>>2]|0;if(d){Xd[c[J+44>>2]&127](r,I);r=f;C=c[q>>2]|0;a[r]=C;C=C>>8;a[r+1|0]=C;C=C>>8;a[r+2|0]=C;C=C>>8;a[r+3|0]=C;Xd[c[(c[e>>2]|0)+32>>2]&127](s,I);r=l;if((a[r]&1)==0){a[l+1|0]=0;a[r]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}IS(l,0);q=s;c[r>>2]=c[q>>2];c[r+4>>2]=c[q+4>>2];c[r+8>>2]=c[q+8>>2];e1(q|0,0,12)|0;wS(s)}else{Xd[c[J+40>>2]&127](u,I);u=f;C=c[t>>2]|0;a[u]=C;C=C>>8;a[u+1|0]=C;C=C>>8;a[u+2|0]=C;C=C>>8;a[u+3|0]=C;Xd[c[(c[e>>2]|0)+28>>2]&127](v,I);u=l;if((a[u]&1)==0){a[l+1|0]=0;a[u]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}IS(l,0);t=v;c[u>>2]=c[t>>2];c[u+4>>2]=c[t+4>>2];c[u+8>>2]=c[t+8>>2];e1(t|0,0,12)|0;wS(v)}v=e;a[g]=Zd[c[(c[v>>2]|0)+12>>2]&255](I)|0;a[h]=Zd[c[(c[v>>2]|0)+16>>2]&255](I)|0;v=e;Xd[c[(c[v>>2]|0)+20>>2]&127](w,I);t=j;if((a[t]&1)==0){a[j+1|0]=0;a[t]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}IS(j,0);u=w;c[t>>2]=c[u>>2];c[t+4>>2]=c[u+4>>2];c[t+8>>2]=c[u+8>>2];e1(u|0,0,12)|0;wS(w);Xd[c[(c[v>>2]|0)+24>>2]&127](x,I);v=k;if((a[v]&1)==0){a[k+1|0]=0;a[v]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}IS(k,0);w=x;c[v>>2]=c[w>>2];c[v+4>>2]=c[w+4>>2];c[v+8>>2]=c[w+8>>2];e1(w|0,0,12)|0;wS(x);K=Zd[c[(c[e>>2]|0)+36>>2]&255](I)|0;c[m>>2]=K;i=n;return}else{if(!((c[433334]|0)==-1)){c[o>>2]=1733336;c[o+4>>2]=18;c[o+8>>2]=0;hS(1733336,o,126)}o=(c[433335]|0)-1|0;I=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-I>>2>>>0>o>>>0)){L=Bd(4)|0;M=L;g0(M);vc(L|0,1690592,180)}H=c[I+(o<<2)>>2]|0;if((H|0)==0){L=Bd(4)|0;M=L;g0(M);vc(L|0,1690592,180)}L=H;M=c[H>>2]|0;if(d){Xd[c[M+44>>2]&127](z,L);z=f;C=c[y>>2]|0;a[z]=C;C=C>>8;a[z+1|0]=C;C=C>>8;a[z+2|0]=C;C=C>>8;a[z+3|0]=C;Xd[c[(c[H>>2]|0)+32>>2]&127](A,L);z=l;if((a[z]&1)==0){a[l+1|0]=0;a[z]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}IS(l,0);y=A;c[z>>2]=c[y>>2];c[z+4>>2]=c[y+4>>2];c[z+8>>2]=c[y+8>>2];e1(y|0,0,12)|0;wS(A)}else{Xd[c[M+40>>2]&127](D,L);D=f;C=c[B>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;Xd[c[(c[H>>2]|0)+28>>2]&127](E,L);D=l;if((a[D]&1)==0){a[l+1|0]=0;a[D]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}IS(l,0);l=E;c[D>>2]=c[l>>2];c[D+4>>2]=c[l+4>>2];c[D+8>>2]=c[l+8>>2];e1(l|0,0,12)|0;wS(E)}E=H;a[g]=Zd[c[(c[E>>2]|0)+12>>2]&255](L)|0;a[h]=Zd[c[(c[E>>2]|0)+16>>2]&255](L)|0;E=H;Xd[c[(c[E>>2]|0)+20>>2]&127](F,L);h=j;if((a[h]&1)==0){a[j+1|0]=0;a[h]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}IS(j,0);j=F;c[h>>2]=c[j>>2];c[h+4>>2]=c[j+4>>2];c[h+8>>2]=c[j+8>>2];e1(j|0,0,12)|0;wS(F);Xd[c[(c[E>>2]|0)+24>>2]&127](G,L);E=k;if((a[E]&1)==0){a[k+1|0]=0;a[E]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}IS(k,0);k=G;c[E>>2]=c[k>>2];c[E+4>>2]=c[k+4>>2];c[E+8>>2]=c[k+8>>2];e1(k|0,0,12)|0;wS(G);K=Zd[c[(c[H>>2]|0)+36>>2]&255](L)|0;c[m>>2]=K;i=n;return}}function FY(d,e,f,g,h,i,j,k,l,m,n,o,p,q,r){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;var s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0;c[f>>2]=d;s=j;t=q;u=q+1|0;v=q+8|0;w=q+4|0;q=p;x=(g&512|0)==0;y=p+1|0;z=p+8|0;A=p+4|0;p=j+8|0;B=(r|0)>0;C=o;D=o+1|0;E=o+8|0;F=o+4|0;o=-r|0;G=0;H=h;while(1){a:do{switch(a[l+G|0]|0){case 0:{c[e>>2]=c[f>>2];I=H;break};case 1:{c[e>>2]=c[f>>2];h=ie[c[(c[s>>2]|0)+28>>2]&127](j,32)|0;J=c[f>>2]|0;c[f>>2]=J+1;a[J]=h;I=H;break};case 3:{h=a[t]|0;J=(h&1)==0;if(J){K=(h&255)>>>1}else{K=c[w>>2]|0}if((K|0)==0){I=H;break a}if(J){L=u}else{L=c[v>>2]|0}J=a[L]|0;h=c[f>>2]|0;c[f>>2]=h+1;a[h]=J;I=H;break};case 2:{J=a[q]|0;h=(J&1)==0;if(h){M=(J&255)>>>1}else{M=c[A>>2]|0}if((M|0)==0|x){I=H;break a}if(h){N=(J&255)>>>1;O=y;P=y}else{J=c[z>>2]|0;N=c[A>>2]|0;O=J;P=J}J=O+N|0;h=c[f>>2]|0;if((P|0)==(J|0)){Q=h}else{R=h;h=P;while(1){a[R]=a[h]|0;S=h+1|0;T=R+1|0;if((S|0)==(J|0)){Q=T;break}else{R=T;h=S}}}c[f>>2]=Q;I=H;break};case 4:{h=c[f>>2]|0;R=k?H+1|0:H;J=R;while(1){if(!(J>>>0<i>>>0)){break}S=a[J]|0;if(S<<24>>24<0){break}if((b[(c[p>>2]|0)+(S<<24>>24<<1)>>1]&2048)==0){break}else{J=J+1|0}}S=J;if(B){if(J>>>0>R>>>0){T=R+(-S|0)|0;S=T>>>0<o>>>0?o:T;T=S+r|0;U=J;V=r;W=h;while(1){X=U-1|0;Y=a[X]|0;c[f>>2]=W+1;a[W]=Y;Y=V-1|0;Z=(Y|0)>0;if(!(X>>>0>R>>>0&Z)){break}U=X;V=Y;W=c[f>>2]|0}W=J+S|0;if(Z){_=T;$=W;aa=32}else{ba=0;ca=T;da=W}}else{_=r;$=J;aa=32}if((aa|0)==32){aa=0;ba=ie[c[(c[s>>2]|0)+28>>2]&127](j,48)|0;ca=_;da=$}W=c[f>>2]|0;c[f>>2]=W+1;if((ca|0)>0){V=ca;U=W;while(1){a[U]=ba;Y=V-1|0;X=c[f>>2]|0;c[f>>2]=X+1;if((Y|0)>0){V=Y;U=X}else{ea=X;break}}}else{ea=W}a[ea]=m;fa=da}else{fa=J}if((fa|0)==(R|0)){U=ie[c[(c[s>>2]|0)+28>>2]&127](j,48)|0;V=c[f>>2]|0;c[f>>2]=V+1;a[V]=U}else{U=a[C]|0;V=(U&1)==0;if(V){ga=(U&255)>>>1}else{ga=c[F>>2]|0}if((ga|0)==0){ha=fa;ia=0;ja=0;ka=-1}else{if(V){la=D}else{la=c[E>>2]|0}ha=fa;ia=0;ja=0;ka=a[la]|0}while(1){do{if((ia|0)==(ka|0)){V=c[f>>2]|0;c[f>>2]=V+1;a[V]=n;V=ja+1|0;U=a[C]|0;T=(U&1)==0;if(T){ma=(U&255)>>>1}else{ma=c[F>>2]|0}if(!(V>>>0<ma>>>0)){na=ka;oa=V;pa=0;break}if(T){qa=D}else{qa=c[E>>2]|0}if((a[qa+V|0]|0)==127){na=-1;oa=V;pa=0;break}if(T){ra=D}else{ra=c[E>>2]|0}na=a[ra+V|0]|0;oa=V;pa=0}else{na=ka;oa=ja;pa=ia}}while(0);V=ha-1|0;T=a[V]|0;U=c[f>>2]|0;c[f>>2]=U+1;a[U]=T;if((V|0)==(R|0)){break}else{ha=V;ia=pa+1|0;ja=oa;ka=na}}}J=c[f>>2]|0;if((h|0)==(J|0)){I=R;break a}W=J-1|0;if(W>>>0>h>>>0){sa=h;ta=W}else{I=R;break a}while(1){W=a[sa]|0;a[sa]=a[ta]|0;a[ta]=W;W=sa+1|0;J=ta-1|0;if(W>>>0<J>>>0){sa=W;ta=J}else{I=R;break}}break};default:{I=H}}}while(0);R=G+1|0;if(R>>>0<4>>>0){G=R;H=I}else{break}}I=a[t]|0;t=(I&1)==0;if(t){ua=(I&255)>>>1}else{ua=c[w>>2]|0}if(ua>>>0>1>>>0){if(t){va=(I&255)>>>1;wa=u;xa=u}else{u=c[v>>2]|0;va=c[w>>2]|0;wa=u;xa=u}u=xa+1|0;xa=wa+va|0;va=c[f>>2]|0;if((u|0)==(xa|0)){ya=va}else{wa=va;va=u;while(1){a[wa]=a[va]|0;u=va+1|0;w=wa+1|0;if((u|0)==(xa|0)){ya=w;break}else{wa=w;va=u}}}c[f>>2]=ya}ya=g&176;if((ya|0)==32){c[e>>2]=c[f>>2];return}else if((ya|0)==16){return}else{c[e>>2]=d;return}}function GY(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;d=i;i=i+232|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+24|0;n=d+32|0;o=d+40|0;p=d+48|0;q=d+64|0;r=d+80|0;s=d+96|0;t=d+104|0;u=d+208|0;v=d+216|0;w=d+224|0;sT(l,g);x=l|0;y=c[x>>2]|0;if(!((c[433214]|0)==-1)){c[k>>2]=1732856;c[k+4>>2]=18;c[k+8>>2]=0;hS(1732856,k,126)}k=(c[433215]|0)-1|0;z=c[y+8>>2]|0;do{if((c[y+12>>2]|0)-z>>2>>>0>k>>>0){A=c[z+(k<<2)>>2]|0;if((A|0)==0){break}B=A;C=j;D=a[C]|0;E=(D&1)==0;if(E){F=(D&255)>>>1}else{F=c[j+4>>2]|0}if((F|0)==0){G=0}else{if(E){H=j+1|0}else{H=c[j+8>>2]|0}E=a[H]|0;G=E<<24>>24==(ie[c[(c[A>>2]|0)+28>>2]&127](B,45)|0)<<24>>24}e1(p|0,0,12)|0;A=q;e1(A|0,0,12)|0;E=r;e1(E|0,0,12)|0;EY(f,G,l,m,n,o,p,q,r,s);D=t|0;I=a[C]|0;J=(I&1)==0;if(J){K=(I&255)>>>1}else{K=c[j+4>>2]|0}L=c[s>>2]|0;if((K|0)>(L|0)){if(J){M=(I&255)>>>1}else{M=c[j+4>>2]|0}J=a[E]|0;if((J&1)==0){N=(J&255)>>>1}else{N=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){O=(J&255)>>>1}else{O=c[q+4>>2]|0}P=N+(M-L<<1|1)+O|0}else{J=a[E]|0;if((J&1)==0){Q=(J&255)>>>1}else{Q=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){R=(J&255)>>>1}else{R=c[q+4>>2]|0}P=Q+2+R|0}J=P+L|0;do{if(J>>>0>100>>>0){A=B0(J)|0;if((A|0)!=0){S=A;T=A;U=I;break}O0();S=0;T=0;U=a[C]|0}else{S=D;T=0;U=I}}while(0);if((U&1)==0){V=(U&255)>>>1;W=j+1|0}else{V=c[j+4>>2]|0;W=c[j+8>>2]|0}FY(S,u,v,c[g+4>>2]|0,W,W+V|0,B,G,m,a[n]|0,a[o]|0,p,q,r,L);c[w>>2]=c[e>>2];UO(b,w,S,c[u>>2]|0,c[v>>2]|0,g,h);if((T|0)==0){wS(r);wS(q);wS(p);X=c[x>>2]|0;Y=X|0;Z=OR(Y)|0;i=d;return}C0(T);wS(r);wS(q);wS(p);X=c[x>>2]|0;Y=X|0;Z=OR(Y)|0;i=d;return}}while(0);d=Bd(4)|0;g0(d);vc(d|0,1690592,180)}function HY(a){a=a|0;MR(a|0);J0(a);return}function IY(a){a=a|0;MR(a|0);return}function JY(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=+k;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+1040|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=d|0;m=d+120|0;n=d+528|0;o=d+536|0;p=d+544|0;q=d+552|0;r=d+560|0;s=d+576|0;t=d+592|0;u=d+608|0;v=d+616|0;w=d+1016|0;x=d+1024|0;y=d+1032|0;z=d+16|0;c[m>>2]=z;A=d+128|0;B=Bb(z|0,100,1664432,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;do{if(B>>>0>99>>>0){do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);C=vW(m,c[432856]|0,1664432,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;D=c[m>>2]|0;if((D|0)==0){O0();E=c[m>>2]|0}else{E=D}D=B0(C<<2)|0;F=D;if((D|0)!=0){G=F;H=C;I=F;J=E;break}O0();G=0;H=C;I=0;J=E}else{G=A;H=B;I=0;J=0}}while(0);sT(n,g);B=n|0;A=c[B>>2]|0;if(!((c[433212]|0)==-1)){c[l>>2]=1732848;c[l+4>>2]=18;c[l+8>>2]=0;hS(1732848,l,126)}l=(c[433213]|0)-1|0;E=c[A+8>>2]|0;do{if((c[A+12>>2]|0)-E>>2>>>0>l>>>0){z=c[E+(l<<2)>>2]|0;if((z|0)==0){break}C=z;F=c[m>>2]|0;le[c[(c[z>>2]|0)+48>>2]&127](C,F,F+H|0,G)|0;if((H|0)==0){K=0}else{K=(a[c[m>>2]|0]|0)==45}e1(r|0,0,12)|0;F=s;e1(F|0,0,12)|0;z=t;e1(z|0,0,12)|0;KY(f,K,n,o,p,q,r,s,t,u);D=v|0;L=c[u>>2]|0;if((H|0)>(L|0)){M=a[z]|0;if((M&1)==0){N=(M&255)>>>1}else{N=c[t+4>>2]|0}M=a[F]|0;if((M&1)==0){O=(M&255)>>>1}else{O=c[s+4>>2]|0}P=N+(H-L<<1|1)+O|0}else{M=a[z]|0;if((M&1)==0){Q=(M&255)>>>1}else{Q=c[t+4>>2]|0}M=a[F]|0;if((M&1)==0){R=(M&255)>>>1}else{R=c[s+4>>2]|0}P=Q+2+R|0}M=P+L|0;do{if(M>>>0>100>>>0){F=B0(M<<2)|0;z=F;if((F|0)!=0){S=z;T=z;break}O0();S=0;T=0}else{S=D;T=0}}while(0);LY(S,w,x,c[g+4>>2]|0,G,G+(H<<2)|0,C,K,o,c[p>>2]|0,c[q>>2]|0,r,s,t,L);c[y>>2]=c[e>>2];EW(b,y,S,c[w>>2]|0,c[x>>2]|0,g,j);if((T|0)!=0){C0(T)}_S(t);_S(s);wS(r);OR(c[B>>2]|0)|0;if((I|0)!=0){C0(I)}if((J|0)==0){i=d;return}C0(J);i=d;return}}while(0);d=Bd(4)|0;g0(d);vc(d|0,1690592,180)}function KY(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;n=i;i=i+40|0;o=n|0;p=n+16|0;q=n+32|0;r=q;s=i;i=i+12|0;i=i+7&-8;t=i;i=i+4|0;i=i+7&-8;u=t;v=i;i=i+12|0;i=i+7&-8;w=i;i=i+12|0;i=i+7&-8;x=i;i=i+12|0;i=i+7&-8;y=i;i=i+4|0;i=i+7&-8;z=y;A=i;i=i+12|0;i=i+7&-8;B=i;i=i+4|0;i=i+7&-8;D=B;E=i;i=i+12|0;i=i+7&-8;F=i;i=i+12|0;i=i+7&-8;G=i;i=i+12|0;i=i+7&-8;H=c[e>>2]|0;if(b){if(!((c[433328]|0)==-1)){c[p>>2]=1733312;c[p+4>>2]=18;c[p+8>>2]=0;hS(1733312,p,126)}p=(c[433329]|0)-1|0;b=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-b>>2>>>0>p>>>0)){I=Bd(4)|0;J=I;g0(J);vc(I|0,1690592,180)}e=c[b+(p<<2)>>2]|0;if((e|0)==0){I=Bd(4)|0;J=I;g0(J);vc(I|0,1690592,180)}I=e;J=c[e>>2]|0;if(d){Xd[c[J+44>>2]&127](r,I);r=f;C=c[q>>2]|0;a[r]=C;C=C>>8;a[r+1|0]=C;C=C>>8;a[r+2|0]=C;C=C>>8;a[r+3|0]=C;Xd[c[(c[e>>2]|0)+32>>2]&127](s,I);r=l;if((a[r]&1)==0){c[l+4>>2]=0;a[r]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}bT(l,0);q=s;c[r>>2]=c[q>>2];c[r+4>>2]=c[q+4>>2];c[r+8>>2]=c[q+8>>2];e1(q|0,0,12)|0;_S(s)}else{Xd[c[J+40>>2]&127](u,I);u=f;C=c[t>>2]|0;a[u]=C;C=C>>8;a[u+1|0]=C;C=C>>8;a[u+2|0]=C;C=C>>8;a[u+3|0]=C;Xd[c[(c[e>>2]|0)+28>>2]&127](v,I);u=l;if((a[u]&1)==0){c[l+4>>2]=0;a[u]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}bT(l,0);t=v;c[u>>2]=c[t>>2];c[u+4>>2]=c[t+4>>2];c[u+8>>2]=c[t+8>>2];e1(t|0,0,12)|0;_S(v)}v=e;c[g>>2]=Zd[c[(c[v>>2]|0)+12>>2]&255](I)|0;c[h>>2]=Zd[c[(c[v>>2]|0)+16>>2]&255](I)|0;Xd[c[(c[e>>2]|0)+20>>2]&127](w,I);t=j;if((a[t]&1)==0){a[j+1|0]=0;a[t]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}IS(j,0);u=w;c[t>>2]=c[u>>2];c[t+4>>2]=c[u+4>>2];c[t+8>>2]=c[u+8>>2];e1(u|0,0,12)|0;wS(w);Xd[c[(c[e>>2]|0)+24>>2]&127](x,I);e=k;if((a[e]&1)==0){c[k+4>>2]=0;a[e]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}bT(k,0);w=x;c[e>>2]=c[w>>2];c[e+4>>2]=c[w+4>>2];c[e+8>>2]=c[w+8>>2];e1(w|0,0,12)|0;_S(x);K=Zd[c[(c[v>>2]|0)+36>>2]&255](I)|0;c[m>>2]=K;i=n;return}else{if(!((c[433330]|0)==-1)){c[o>>2]=1733320;c[o+4>>2]=18;c[o+8>>2]=0;hS(1733320,o,126)}o=(c[433331]|0)-1|0;I=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-I>>2>>>0>o>>>0)){L=Bd(4)|0;M=L;g0(M);vc(L|0,1690592,180)}H=c[I+(o<<2)>>2]|0;if((H|0)==0){L=Bd(4)|0;M=L;g0(M);vc(L|0,1690592,180)}L=H;M=c[H>>2]|0;if(d){Xd[c[M+44>>2]&127](z,L);z=f;C=c[y>>2]|0;a[z]=C;C=C>>8;a[z+1|0]=C;C=C>>8;a[z+2|0]=C;C=C>>8;a[z+3|0]=C;Xd[c[(c[H>>2]|0)+32>>2]&127](A,L);z=l;if((a[z]&1)==0){c[l+4>>2]=0;a[z]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}bT(l,0);y=A;c[z>>2]=c[y>>2];c[z+4>>2]=c[y+4>>2];c[z+8>>2]=c[y+8>>2];e1(y|0,0,12)|0;_S(A)}else{Xd[c[M+40>>2]&127](D,L);D=f;C=c[B>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;Xd[c[(c[H>>2]|0)+28>>2]&127](E,L);D=l;if((a[D]&1)==0){c[l+4>>2]=0;a[D]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}bT(l,0);l=E;c[D>>2]=c[l>>2];c[D+4>>2]=c[l+4>>2];c[D+8>>2]=c[l+8>>2];e1(l|0,0,12)|0;_S(E)}E=H;c[g>>2]=Zd[c[(c[E>>2]|0)+12>>2]&255](L)|0;c[h>>2]=Zd[c[(c[E>>2]|0)+16>>2]&255](L)|0;Xd[c[(c[H>>2]|0)+20>>2]&127](F,L);h=j;if((a[h]&1)==0){a[j+1|0]=0;a[h]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}IS(j,0);j=F;c[h>>2]=c[j>>2];c[h+4>>2]=c[j+4>>2];c[h+8>>2]=c[j+8>>2];e1(j|0,0,12)|0;wS(F);Xd[c[(c[H>>2]|0)+24>>2]&127](G,L);H=k;if((a[H]&1)==0){c[k+4>>2]=0;a[H]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}bT(k,0);k=G;c[H>>2]=c[k>>2];c[H+4>>2]=c[k+4>>2];c[H+8>>2]=c[k+8>>2];e1(k|0,0,12)|0;_S(G);K=Zd[c[(c[E>>2]|0)+36>>2]&255](L)|0;c[m>>2]=K;i=n;return}}function LY(b,d,e,f,g,h,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0;c[e>>2]=b;r=i;s=p;t=p+4|0;u=p+8|0;p=o;v=(f&512|0)==0;w=o+4|0;x=o+8|0;o=i;y=(q|0)>0;z=n;A=n+1|0;B=n+8|0;C=n+4|0;n=0;D=g;while(1){a:do{switch(a[k+n|0]|0){case 0:{c[d>>2]=c[e>>2];E=D;break};case 1:{c[d>>2]=c[e>>2];g=ie[c[(c[r>>2]|0)+44>>2]&127](i,32)|0;F=c[e>>2]|0;c[e>>2]=F+4;c[F>>2]=g;E=D;break};case 3:{g=a[s]|0;F=(g&1)==0;if(F){G=(g&255)>>>1}else{G=c[t>>2]|0}if((G|0)==0){E=D;break a}if(F){H=t}else{H=c[u>>2]|0}F=c[H>>2]|0;g=c[e>>2]|0;c[e>>2]=g+4;c[g>>2]=F;E=D;break};case 4:{F=c[e>>2]|0;g=j?D+4|0:D;I=g;while(1){if(!(I>>>0<h>>>0)){break}if($d[c[(c[o>>2]|0)+12>>2]&127](i,2048,c[I>>2]|0)|0){I=I+4|0}else{break}}if(y){do{if(I>>>0>g>>>0){J=I;K=q;L=c[e>>2]|0;while(1){M=J-4|0;N=L+4|0;c[L>>2]=c[M>>2];O=K-1|0;P=(O|0)>0;if(M>>>0>g>>>0&P){J=M;K=O;L=N}else{break}}c[e>>2]=N;if(P){Q=O;R=M;S=34;break}L=c[e>>2]|0;c[e>>2]=L+4;T=L;U=M}else{Q=q;R=I;S=34}}while(0);do{if((S|0)==34){S=0;L=ie[c[(c[r>>2]|0)+44>>2]&127](i,48)|0;K=c[e>>2]|0;J=K+4|0;c[e>>2]=J;if((Q|0)>0){V=Q;W=K;X=J}else{T=K;U=R;break}while(1){c[W>>2]=L;J=V-1|0;if((J|0)>0){V=J;W=X;X=X+4|0}else{break}}c[e>>2]=K+(Q+1<<2);T=K+(Q<<2)|0;U=R}}while(0);c[T>>2]=l;Y=U}else{Y=I}if((Y|0)==(g|0)){L=ie[c[(c[r>>2]|0)+44>>2]&127](i,48)|0;J=c[e>>2]|0;Z=J+4|0;c[e>>2]=Z;c[J>>2]=L;_=Z}else{Z=a[z]|0;L=(Z&1)==0;if(L){$=(Z&255)>>>1}else{$=c[C>>2]|0}if(($|0)==0){aa=Y;ba=0;ca=0;da=-1}else{if(L){ea=A}else{ea=c[B>>2]|0}aa=Y;ba=0;ca=0;da=a[ea]|0}while(1){do{if((ba|0)==(da|0)){L=c[e>>2]|0;c[e>>2]=L+4;c[L>>2]=m;L=ca+1|0;Z=a[z]|0;J=(Z&1)==0;if(J){fa=(Z&255)>>>1}else{fa=c[C>>2]|0}if(!(L>>>0<fa>>>0)){ga=da;ha=L;ia=0;break}if(J){ja=A}else{ja=c[B>>2]|0}if((a[ja+L|0]|0)==127){ga=-1;ha=L;ia=0;break}if(J){ka=A}else{ka=c[B>>2]|0}ga=a[ka+L|0]|0;ha=L;ia=0}else{ga=da;ha=ca;ia=ba}}while(0);K=aa-4|0;L=c[K>>2]|0;J=c[e>>2]|0;c[e>>2]=J+4;c[J>>2]=L;if((K|0)==(g|0)){break}else{aa=K;ba=ia+1|0;ca=ha;da=ga}}_=c[e>>2]|0}if((F|0)==(_|0)){E=g;break a}I=_-4|0;if(I>>>0>F>>>0){la=F;ma=I}else{E=g;break a}while(1){I=c[la>>2]|0;c[la>>2]=c[ma>>2];c[ma>>2]=I;I=la+4|0;K=ma-4|0;if(I>>>0<K>>>0){la=I;ma=K}else{E=g;break}}break};case 2:{g=a[p]|0;F=(g&1)==0;if(F){na=(g&255)>>>1}else{na=c[w>>2]|0}if((na|0)==0|v){E=D;break a}if(F){oa=(g&255)>>>1;pa=w;qa=w}else{g=c[x>>2]|0;oa=c[w>>2]|0;pa=g;qa=g}g=pa+(oa<<2)|0;F=c[e>>2]|0;if((qa|0)==(g|0)){ra=F}else{K=(pa+(oa-1<<2)+(-qa|0)|0)>>>2;I=F;L=qa;while(1){c[I>>2]=c[L>>2];J=L+4|0;if((J|0)==(g|0)){break}I=I+4|0;L=J}ra=F+(K+1<<2)|0}c[e>>2]=ra;E=D;break};default:{E=D}}}while(0);L=n+1|0;if(L>>>0<4>>>0){n=L;D=E}else{break}}E=a[s]|0;s=(E&1)==0;if(s){sa=(E&255)>>>1}else{sa=c[t>>2]|0}if(sa>>>0>1>>>0){if(s){ta=(E&255)>>>1;ua=t;va=t}else{E=c[u>>2]|0;ta=c[t>>2]|0;ua=E;va=E}E=va+4|0;va=ua+(ta<<2)|0;t=c[e>>2]|0;if((E|0)==(va|0)){wa=t}else{u=(ua+(ta-1<<2)+(-E|0)|0)>>>2;ta=t;ua=E;while(1){c[ta>>2]=c[ua>>2];E=ua+4|0;if((E|0)==(va|0)){break}else{ta=ta+4|0;ua=E}}wa=t+(u+1<<2)|0}c[e>>2]=wa}wa=f&176;if((wa|0)==32){c[d>>2]=c[e>>2];return}else if((wa|0)==16){return}else{c[d>>2]=b;return}}function MY(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;d=i;i=i+528|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+24|0;n=d+32|0;o=d+40|0;p=d+48|0;q=d+64|0;r=d+80|0;s=d+96|0;t=d+104|0;u=d+504|0;v=d+512|0;w=d+520|0;sT(l,g);x=l|0;y=c[x>>2]|0;if(!((c[433212]|0)==-1)){c[k>>2]=1732848;c[k+4>>2]=18;c[k+8>>2]=0;hS(1732848,k,126)}k=(c[433213]|0)-1|0;z=c[y+8>>2]|0;do{if((c[y+12>>2]|0)-z>>2>>>0>k>>>0){A=c[z+(k<<2)>>2]|0;if((A|0)==0){break}B=A;C=j;D=a[C]|0;E=(D&1)==0;if(E){F=(D&255)>>>1}else{F=c[j+4>>2]|0}if((F|0)==0){G=0}else{if(E){H=j+4|0}else{H=c[j+8>>2]|0}E=c[H>>2]|0;G=(E|0)==(ie[c[(c[A>>2]|0)+44>>2]&127](B,45)|0)}e1(p|0,0,12)|0;A=q;e1(A|0,0,12)|0;E=r;e1(E|0,0,12)|0;KY(f,G,l,m,n,o,p,q,r,s);D=t|0;I=a[C]|0;J=(I&1)==0;if(J){K=(I&255)>>>1}else{K=c[j+4>>2]|0}L=c[s>>2]|0;if((K|0)>(L|0)){if(J){M=(I&255)>>>1}else{M=c[j+4>>2]|0}J=a[E]|0;if((J&1)==0){N=(J&255)>>>1}else{N=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){O=(J&255)>>>1}else{O=c[q+4>>2]|0}P=N+(M-L<<1|1)+O|0}else{J=a[E]|0;if((J&1)==0){Q=(J&255)>>>1}else{Q=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){R=(J&255)>>>1}else{R=c[q+4>>2]|0}P=Q+2+R|0}J=P+L|0;do{if(J>>>0>100>>>0){A=B0(J<<2)|0;E=A;if((A|0)!=0){S=E;T=E;U=I;break}O0();S=0;T=0;U=a[C]|0}else{S=D;T=0;U=I}}while(0);if((U&1)==0){V=(U&255)>>>1;W=j+4|0}else{V=c[j+4>>2]|0;W=c[j+8>>2]|0}LY(S,u,v,c[g+4>>2]|0,W,W+(V<<2)|0,B,G,m,c[n>>2]|0,c[o>>2]|0,p,q,r,L);c[w>>2]=c[e>>2];EW(b,w,S,c[u>>2]|0,c[v>>2]|0,g,h);if((T|0)==0){_S(r);_S(q);wS(p);X=c[x>>2]|0;Y=X|0;Z=OR(Y)|0;i=d;return}C0(T);_S(r);_S(q);wS(p);X=c[x>>2]|0;Y=X|0;Z=OR(Y)|0;i=d;return}}while(0);d=Bd(4)|0;g0(d);vc(d|0,1690592,180)}function NY(a){a=a|0;MR(a|0);J0(a);return}function OY(a){a=a|0;MR(a|0);return}function PY(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=Gd(f|0,1)|0;return d>>>(((d|0)!=-1|0)>>>0)|0}function QY(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=i;i=i+16|0;j=d|0;k=j;e1(k|0,0,12)|0;l=a[h]|0;if((l&1)==0){m=(l&255)>>>1;n=h+1|0;o=h+1|0}else{l=c[h+8>>2]|0;m=c[h+4>>2]|0;n=l;o=l}l=o+m|0;do{if(n>>>0<l>>>0){m=n;do{OS(j,a[m]|0);m=m+1|0;}while(m>>>0<l>>>0);m=(e|0)==-1?-1:e<<1;if((a[k]&1)==0){p=m;q=10;break}r=c[j+8>>2]|0;s=m}else{p=(e|0)==-1?-1:e<<1;q=10}}while(0);if((q|0)==10){r=j+1|0;s=p}p=Vb(s|0,f|0,g|0,r|0)|0;e1(b|0,0,12)|0;r=b1(p|0)|0;g=p+r|0;if((r|0)>0){t=p}else{wS(j);i=d;return}do{OS(b,a[t]|0);t=t+1|0;}while(t>>>0<g>>>0);wS(j);i=d;return}function RY(a,b){a=a|0;b=b|0;ad(((b|0)==-1?-1:b<<1)|0)|0;return}function SY(a){a=a|0;MR(a|0);J0(a);return}function TY(a){a=a|0;MR(a|0);return}function UY(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=Gd(f|0,1)|0;return d>>>(((d|0)!=-1|0)>>>0)|0}function VY(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=i;i=i+240|0;j=d|0;k=d+8|0;l=d+40|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+192|0;q=d+200|0;r=d+208|0;s=d+224|0;t=d+232|0;u=r;e1(u|0,0,12)|0;c[s+4>>2]=0;c[s>>2]=1685968;v=a[h]|0;if((v&1)==0){w=(v&255)>>>1;x=h+4|0;y=h+4|0}else{v=c[h+8>>2]|0;w=c[h+4>>2]|0;x=v;y=v}v=y+(w<<2)|0;w=k|0;a:do{if(x>>>0<v>>>0){y=s|0;h=s;z=k+32|0;A=x;B=1685968;while(1){c[m>>2]=A;C=(oe[c[B+12>>2]&31](y,j,A,v,m,w,z,l)|0)==2;D=c[m>>2]|0;if(C|(D|0)==(A|0)){break}if(w>>>0<(c[l>>2]|0)>>>0){C=w;do{OS(r,a[C]|0);C=C+1|0;}while(C>>>0<(c[l>>2]|0)>>>0);E=c[m>>2]|0}else{E=D}if(!(E>>>0<v>>>0)){break a}A=E;B=c[h>>2]|0}oY(1638272)}}while(0);MR(s|0);if((a[u]&1)==0){F=r+1|0}else{F=c[r+8>>2]|0}u=Vb(((e|0)==-1?-1:e<<1)|0,f|0,g|0,F|0)|0;e1(b|0,0,12)|0;c[t+4>>2]=0;c[t>>2]=1685912;F=b1(u|0)|0;g=u+F|0;if((F|0)<=0){G=t|0;MR(G);wS(r);i=d;return}F=t|0;f=t;e=g;s=o|0;E=o+128|0;o=u;u=1685912;while(1){c[q>>2]=o;v=(oe[c[u+16>>2]&31](F,n,o,(e-o|0)>32?o+32|0:g,q,s,E,p)|0)==2;m=c[q>>2]|0;if(v|(m|0)==(o|0)){break}if(s>>>0<(c[p>>2]|0)>>>0){v=s;do{cT(b,c[v>>2]|0);v=v+4|0;}while(v>>>0<(c[p>>2]|0)>>>0);H=c[q>>2]|0}else{H=m}if(!(H>>>0<g>>>0)){I=37;break}o=H;u=c[f>>2]|0}if((I|0)==37){G=t|0;MR(G);wS(r);i=d;return}oY(1638272)}function WY(a,b){a=a|0;b=b|0;ad(((b|0)==-1?-1:b<<1)|0)|0;return}function XY(b){b=b|0;var d=0,e=0,f=0;c[b>>2]=1685384;d=b+8|0;e=c[d>>2]|0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);if((e|0)==(c[432856]|0)){f=b|0;MR(f);return}Ub(c[d>>2]|0);f=b|0;MR(f);return}function YY(a){a=a|0;a=Bd(8)|0;PR(a,1661856);c[a>>2]=1684296;vc(a|0,1690640,52)}function ZY(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;e=i;i=i+448|0;f=e|0;g=e+16|0;h=e+32|0;j=e+48|0;k=e+64|0;l=e+80|0;m=e+96|0;n=e+112|0;o=e+128|0;p=e+144|0;q=e+160|0;r=e+176|0;s=e+192|0;t=e+208|0;u=e+224|0;v=e+240|0;w=e+256|0;x=e+272|0;y=e+288|0;z=e+304|0;A=e+320|0;B=e+336|0;C=e+352|0;D=e+368|0;E=e+384|0;F=e+400|0;G=e+416|0;H=e+432|0;c[b+4>>2]=d-1;c[b>>2]=1685640;d=b+8|0;I=b+12|0;J=b+136|0;a[J]=1;K=b+24|0;c[I>>2]=K;c[d>>2]=K;c[b+16>>2]=J;J=28;L=K;do{if((L|0)==0){M=0}else{c[L>>2]=0;M=c[I>>2]|0}L=M+4|0;c[I>>2]=L;J=J-1|0;}while((J|0)!=0);oS(b+144|0,1660704,1);J=c[d>>2]|0;d=c[I>>2]|0;if((d|0)!=(J|0)){c[I>>2]=d+(~((d-4+(-J|0)|0)>>>2)<<2)}c[432889]=0;c[432888]=1685344;if(!((c[433134]|0)==-1)){c[G>>2]=1732536;c[G+4>>2]=18;c[G+8>>2]=0;hS(1732536,G,126)}_Y(b,1731552,(c[433135]|0)-1|0);c[432887]=0;c[432886]=1685304;if(!((c[433132]|0)==-1)){c[F>>2]=1732528;c[F+4>>2]=18;c[F+8>>2]=0;hS(1732528,F,126)}_Y(b,1731544,(c[433133]|0)-1|0);c[432939]=0;c[432938]=1685752;c[432940]=0;a[1731764]=0;c[432940]=c[(gb()|0)>>2];if(!((c[433214]|0)==-1)){c[E>>2]=1732856;c[E+4>>2]=18;c[E+8>>2]=0;hS(1732856,E,126)}_Y(b,1731752,(c[433215]|0)-1|0);c[432937]=0;c[432936]=1685672;if(!((c[433212]|0)==-1)){c[D>>2]=1732848;c[D+4>>2]=18;c[D+8>>2]=0;hS(1732848,D,126)}_Y(b,1731744,(c[433213]|0)-1|0);c[432891]=0;c[432890]=1685440;if(!((c[433138]|0)==-1)){c[C>>2]=1732552;c[C+4>>2]=18;c[C+8>>2]=0;hS(1732552,C,126)}_Y(b,1731560,(c[433139]|0)-1|0);c[420961]=0;c[420960]=1685384;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);c[420962]=c[432856];if(!((c[433136]|0)==-1)){c[B>>2]=1732544;c[B+4>>2]=18;c[B+8>>2]=0;hS(1732544,B,126)}_Y(b,1683840,(c[433137]|0)-1|0);c[432893]=0;c[432892]=1685496;if(!((c[433140]|0)==-1)){c[A>>2]=1732560;c[A+4>>2]=18;c[A+8>>2]=0;hS(1732560,A,126)}_Y(b,1731568,(c[433141]|0)-1|0);c[432895]=0;c[432894]=1685552;if(!((c[433142]|0)==-1)){c[z>>2]=1732568;c[z+4>>2]=18;c[z+8>>2]=0;hS(1732568,z,126)}_Y(b,1731576,(c[433143]|0)-1|0);c[432869]=0;c[432868]=1684848;a[1731480]=46;a[1731481]=44;e1(1731484,0,12)|0;if(!((c[433118]|0)==-1)){c[y>>2]=1732472;c[y+4>>2]=18;c[y+8>>2]=0;hS(1732472,y,126)}_Y(b,1731472,(c[433119]|0)-1|0);c[420953]=0;c[420952]=1684800;c[420954]=46;c[420955]=44;e1(1683824,0,12)|0;if(!((c[433116]|0)==-1)){c[x>>2]=1732464;c[x+4>>2]=18;c[x+8>>2]=0;hS(1732464,x,126)}_Y(b,1683808,(c[433117]|0)-1|0);c[432885]=0;c[432884]=1685232;if(!((c[433130]|0)==-1)){c[w>>2]=1732520;c[w+4>>2]=18;c[w+8>>2]=0;hS(1732520,w,126)}_Y(b,1731536,(c[433131]|0)-1|0);c[432883]=0;c[432882]=1685160;if(!((c[433128]|0)==-1)){c[v>>2]=1732512;c[v+4>>2]=18;c[v+8>>2]=0;hS(1732512,v,126)}_Y(b,1731528,(c[433129]|0)-1|0);c[432881]=0;c[432880]=1685096;if(!((c[433126]|0)==-1)){c[u>>2]=1732504;c[u+4>>2]=18;c[u+8>>2]=0;hS(1732504,u,126)}_Y(b,1731520,(c[433127]|0)-1|0);c[432879]=0;c[432878]=1685032;if(!((c[433124]|0)==-1)){c[t>>2]=1732496;c[t+4>>2]=18;c[t+8>>2]=0;hS(1732496,t,126)}_Y(b,1731512,(c[433125]|0)-1|0);c[432949]=0;c[432948]=1686968;if(!((c[433334]|0)==-1)){c[s>>2]=1733336;c[s+4>>2]=18;c[s+8>>2]=0;hS(1733336,s,126)}_Y(b,1731792,(c[433335]|0)-1|0);c[432947]=0;c[432946]=1686904;if(!((c[433332]|0)==-1)){c[r>>2]=1733328;c[r+4>>2]=18;c[r+8>>2]=0;hS(1733328,r,126)}_Y(b,1731784,(c[433333]|0)-1|0);c[432945]=0;c[432944]=1686840;if(!((c[433330]|0)==-1)){c[q>>2]=1733320;c[q+4>>2]=18;c[q+8>>2]=0;hS(1733320,q,126)}_Y(b,1731776,(c[433331]|0)-1|0);c[432943]=0;c[432942]=1686776;if(!((c[433328]|0)==-1)){c[p>>2]=1733312;c[p+4>>2]=18;c[p+8>>2]=0;hS(1733312,p,126)}_Y(b,1731768,(c[433329]|0)-1|0);c[432867]=0;c[432866]=1684480;if(!((c[433106]|0)==-1)){c[o>>2]=1732424;c[o+4>>2]=18;c[o+8>>2]=0;hS(1732424,o,126)}_Y(b,1731464,(c[433107]|0)-1|0);c[432865]=0;c[432864]=1684440;if(!((c[433104]|0)==-1)){c[n>>2]=1732416;c[n+4>>2]=18;c[n+8>>2]=0;hS(1732416,n,126)}_Y(b,1731456,(c[433105]|0)-1|0);c[432863]=0;c[432862]=1684400;if(!((c[433102]|0)==-1)){c[m>>2]=1732408;c[m+4>>2]=18;c[m+8>>2]=0;hS(1732408,m,126)}_Y(b,1731448,(c[433103]|0)-1|0);c[432861]=0;c[432860]=1684360;if(!((c[433100]|0)==-1)){c[l>>2]=1732400;c[l+4>>2]=18;c[l+8>>2]=0;hS(1732400,l,126)}_Y(b,1731440,(c[433101]|0)-1|0);c[420949]=0;c[420948]=1684704;c[420950]=1684752;if(!((c[433114]|0)==-1)){c[k>>2]=1732456;c[k+4>>2]=18;c[k+8>>2]=0;hS(1732456,k,126)}_Y(b,1683792,(c[433115]|0)-1|0);c[420945]=0;c[420944]=1684608;c[420946]=1684656;if(!((c[433112]|0)==-1)){c[j>>2]=1732448;c[j+4>>2]=18;c[j+8>>2]=0;hS(1732448,j,126)}_Y(b,1683776,(c[433113]|0)-1|0);c[420941]=0;c[420940]=1685608;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);c[420942]=c[432856];c[420940]=1684576;if(!((c[433110]|0)==-1)){c[h>>2]=1732440;c[h+4>>2]=18;c[h+8>>2]=0;hS(1732440,h,126)}_Y(b,1683760,(c[433111]|0)-1|0);c[420937]=0;c[420936]=1685608;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);c[420938]=c[432856];c[420936]=1684544;if(!((c[433108]|0)==-1)){c[g>>2]=1732432;c[g+4>>2]=18;c[g+8>>2]=0;hS(1732432,g,126)}_Y(b,1683744,(c[433109]|0)-1|0);c[432877]=0;c[432876]=1684936;if(!((c[433122]|0)==-1)){c[f>>2]=1732488;c[f+4>>2]=18;c[f+8>>2]=0;hS(1732488,f,126)}_Y(b,1731504,(c[433123]|0)-1|0);c[432875]=0;c[432874]=1684896;if(!((c[433120]|0)==-1)){c[H>>2]=1732480;c[H+4>>2]=18;c[H+8>>2]=0;hS(1732480,H,126)}_Y(b,1731496,(c[433121]|0)-1|0);i=e;return}function _Y(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;NR(b|0);e=a+8|0;f=a+12|0;a=c[f>>2]|0;g=e|0;h=c[g>>2]|0;i=a-h>>2;do{if(i>>>0>d>>>0){j=h}else{k=d+1|0;if(i>>>0<k>>>0){d$(e,k-i|0);j=c[g>>2]|0;break}if(!(i>>>0>k>>>0)){j=h;break}l=h+(k<<2)|0;if((a|0)==(l|0)){j=h;break}c[f>>2]=a+(~((a-4+(-l|0)|0)>>>2)<<2);j=h}}while(0);h=c[j+(d<<2)>>2]|0;if((h|0)==0){m=j;n=m+(d<<2)|0;c[n>>2]=b;return}OR(h|0)|0;m=c[g>>2]|0;n=m+(d<<2)|0;c[n>>2]=b;return}function $Y(a){a=a|0;aZ(a);J0(a);return}function aZ(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;c[b>>2]=1685640;d=b+12|0;e=c[d>>2]|0;f=b+8|0;g=c[f>>2]|0;if((e|0)!=(g|0)){h=0;i=g;g=e;while(1){e=c[i+(h<<2)>>2]|0;if((e|0)==0){j=g;k=i}else{OR(e|0)|0;j=c[d>>2]|0;k=c[f>>2]|0}e=h+1|0;if(e>>>0<j-k>>2>>>0){h=e;i=k;g=j}else{break}}}wS(b+144|0);j=c[f>>2]|0;if((j|0)==0){l=b|0;MR(l);return}f=c[d>>2]|0;if((f|0)!=(j|0)){c[d>>2]=f+(~((f-4+(-j|0)|0)>>>2)<<2)}if((b+24|0)==(j|0)){a[b+136|0]=0;l=b|0;MR(l);return}else{J0(j);l=b|0;MR(l);return}}function bZ(){var b=0,d=0;if((a[1733400]|0)!=0){b=c[432848]|0;return b|0}if((ac(1733400)|0)==0){b=c[432848]|0;return b|0}do{if((a[1733408]|0)==0){if((ac(1733408)|0)==0){break}ZY(1731584,1);c[432852]=1731584;c[432850]=1731408}}while(0);d=c[c[432850]>>2]|0;c[432854]=d;NR(d|0);c[432848]=1731416;b=c[432848]|0;return b|0}function cZ(a){a=a|0;var b=0;b=c[(bZ()|0)>>2]|0;c[a>>2]=b;NR(b|0);return}function dZ(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;NR(d|0);return}function eZ(a){a=a|0;OR(c[a>>2]|0)|0;return}function fZ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+16|0;e=d|0;f=c[a>>2]|0;a=b|0;if(!((c[a>>2]|0)==-1)){c[e>>2]=b;c[e+4>>2]=18;c[e+8>>2]=0;hS(a,e,126)}e=(c[b+4>>2]|0)-1|0;b=c[f+8>>2]|0;if(!((c[f+12>>2]|0)-b>>2>>>0>e>>>0)){g=0;i=d;return g|0}g=(c[b+(e<<2)>>2]|0)!=0;i=d;return g|0}function gZ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;i=i+16|0;e=d|0;f=c[a>>2]|0;a=b|0;if(!((c[a>>2]|0)==-1)){c[e>>2]=b;c[e+4>>2]=18;c[e+8>>2]=0;hS(a,e,126)}e=(c[b+4>>2]|0)-1|0;b=c[f+8>>2]|0;if(!((c[f+12>>2]|0)-b>>2>>>0>e>>>0)){g=Bd(4)|0;h=g;g0(h);vc(g|0,1690592,180);return 0}f=c[b+(e<<2)>>2]|0;if((f|0)==0){g=Bd(4)|0;h=g;g0(h);vc(g|0,1690592,180);return 0}else{i=d;return f|0}return 0}function hZ(a){a=a|0;MR(a|0);J0(a);return}function iZ(a){a=a|0;if((a|0)==0){return}Wd[c[(c[a>>2]|0)+4>>2]&511](a);return}function jZ(a){a=a|0;c[a+4>>2]=(I=c[433144]|0,c[433144]=I+1,I)+1;return}function kZ(a){a=a|0;MR(a|0);J0(a);return}function lZ(a,d,e){a=a|0;d=d|0;e=e|0;var f=0;if(!(e>>>0<128>>>0)){f=0;return f|0}f=(b[(c[(gb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16!=0;return f|0}function mZ(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;if((d|0)==(e|0)){g=d;return g|0}else{h=d;i=f}while(1){f=c[h>>2]|0;if(f>>>0<128>>>0){j=b[(c[(gb()|0)>>2]|0)+(f<<1)>>1]|0}else{j=0}b[i>>1]=j;f=h+4|0;if((f|0)==(e|0)){g=e;break}else{h=f;i=i+2|0}}return g|0}function nZ(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((e|0)==(f|0)){g=e;return g|0}else{h=e}while(1){e=c[h>>2]|0;if(e>>>0<128>>>0){if(!((b[(c[(gb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16==0)){g=h;i=7;break}}e=h+4|0;if((e|0)==(f|0)){g=f;i=7;break}else{h=e}}if((i|0)==7){return g|0}return 0}function oZ(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=e;while(1){if((a|0)==(f|0)){g=f;h=7;break}e=c[a>>2]|0;if(!(e>>>0<128>>>0)){g=a;h=7;break}if((b[(c[(gb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16==0){g=a;h=7;break}else{a=a+4|0}}if((h|0)==7){return g|0}return 0}function pZ(a,b){a=a|0;b=b|0;var d=0;if(!(b>>>0<128>>>0)){d=b;return d|0}d=c[(c[(Hd()|0)>>2]|0)+(b<<2)>>2]|0;return d|0}function qZ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((b|0)==(d|0)){e=b;return e|0}else{f=b}while(1){b=c[f>>2]|0;if(b>>>0<128>>>0){g=c[(c[(Hd()|0)>>2]|0)+(b<<2)>>2]|0}else{g=b}c[f>>2]=g;b=f+4|0;if((b|0)==(d|0)){e=d;break}else{f=b}}return e|0}function rZ(a,b){a=a|0;b=b|0;var d=0;if(!(b>>>0<128>>>0)){d=b;return d|0}d=c[(c[(Id()|0)>>2]|0)+(b<<2)>>2]|0;return d|0}function sZ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((b|0)==(d|0)){e=b;return e|0}else{f=b}while(1){b=c[f>>2]|0;if(b>>>0<128>>>0){g=c[(c[(Id()|0)>>2]|0)+(b<<2)>>2]|0}else{g=b}c[f>>2]=g;b=f+4|0;if((b|0)==(d|0)){e=d;break}else{f=b}}return e|0}function tZ(a,b){a=a|0;b=b|0;return b<<24>>24|0}function uZ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((d|0)==(e|0)){g=d;return g|0}else{h=d;i=f}while(1){c[i>>2]=a[h]|0;f=h+1|0;if((f|0)==(e|0)){g=e;break}else{h=f;i=i+4|0}}return g|0}function vZ(a,b,c){a=a|0;b=b|0;c=c|0;return(b>>>0<128>>>0?b&255:c)|0}function wZ(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;if((d|0)==(e|0)){h=d;return h|0}b=((e-4+(-d|0)|0)>>>2)+1|0;i=d;j=g;while(1){g=c[i>>2]|0;a[j]=g>>>0<128>>>0?g&255:f;g=i+4|0;if((g|0)==(e|0)){break}else{i=g;j=j+1|0}}h=d+(b<<2)|0;return h|0}function xZ(b){b=b|0;var d=0;c[b>>2]=1685752;d=c[b+8>>2]|0;do{if((d|0)!=0){if((a[b+12|0]|0)==0){break}K0(d)}}while(0);MR(b|0);J0(b);return}function yZ(b){b=b|0;var d=0;c[b>>2]=1685752;d=c[b+8>>2]|0;do{if((d|0)!=0){if((a[b+12|0]|0)==0){break}K0(d)}}while(0);MR(b|0);return}function zZ(a,b){a=a|0;b=b|0;var d=0;if(b<<24>>24<0){d=b;return d|0}d=c[(c[(Hd()|0)>>2]|0)+((b&255)<<2)>>2]&255;return d|0}function AZ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((d|0)==(e|0)){f=d;return f|0}else{g=d}while(1){d=a[g]|0;if(d<<24>>24<0){h=d}else{h=c[(c[(Hd()|0)>>2]|0)+(d<<24>>24<<2)>>2]&255}a[g]=h;d=g+1|0;if((d|0)==(e|0)){f=e;break}else{g=d}}return f|0}function BZ(a,b){a=a|0;b=b|0;var d=0;if(b<<24>>24<0){d=b;return d|0}d=c[(c[(Id()|0)>>2]|0)+(b<<24>>24<<2)>>2]&255;return d|0}function CZ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((d|0)==(e|0)){f=d;return f|0}else{g=d}while(1){d=a[g]|0;if(d<<24>>24<0){h=d}else{h=c[(c[(Id()|0)>>2]|0)+(d<<24>>24<<2)>>2]&255}a[g]=h;d=g+1|0;if((d|0)==(e|0)){f=e;break}else{g=d}}return f|0}function DZ(a,b){a=a|0;b=b|0;return b|0}function EZ(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((c|0)==(d|0)){f=c;return f|0}else{g=c;h=e}while(1){a[h]=a[g]|0;e=g+1|0;if((e|0)==(d|0)){f=d;break}else{g=e;h=h+1|0}}return f|0}function FZ(a,b,c){a=a|0;b=b|0;c=c|0;return(b<<24>>24<0?c:b)|0}function GZ(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((c|0)==(d|0)){g=c;return g|0}else{h=c;i=f}while(1){f=a[h]|0;a[i]=f<<24>>24<0?e:f;f=h+1|0;if((f|0)==(d|0)){g=d;break}else{h=f;i=i+1|0}}return g|0}function HZ(a){a=a|0;MR(a|0);J0(a);return}function IZ(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;c[f>>2]=d;c[i>>2]=g;return 3}function JZ(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;c[f>>2]=d;c[i>>2]=g;return 3}function KZ(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function LZ(a){a=a|0;return 1}function MZ(a){a=a|0;return 1}function NZ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;b=d-c|0;return(b>>>0<e>>>0?b:e)|0}function OZ(a){a=a|0;return 1}function PZ(a){a=a|0;XY(a);J0(a);return}function QZ(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;l=i;i=i+8|0;m=l|0;n=m;o=i;i=i+4|0;i=i+7&-8;p=e;while(1){if((p|0)==(f|0)){q=f;break}if((c[p>>2]|0)==0){q=p;break}else{p=p+4|0}}c[k>>2]=h;c[g>>2]=e;a:do{if((e|0)==(f|0)|(h|0)==(j|0)){r=e}else{p=d;s=j;t=b+8|0;u=o|0;v=h;w=e;x=q;while(1){y=c[p+4>>2]|0;c[m>>2]=c[p>>2];c[m+4>>2]=y;y=gd(c[t>>2]|0)|0;z=H$(v,g,x-w>>2,s-v|0,d)|0;if((y|0)!=0){gd(y|0)|0}if((z|0)==0){A=1;B=50;break}else if((z|0)==(-1|0)){B=15;break}y=(c[k>>2]|0)+z|0;c[k>>2]=y;if((y|0)==(j|0)){B=48;break}if((x|0)==(f|0)){C=f;D=y;E=c[g>>2]|0}else{y=gd(c[t>>2]|0)|0;z=G$(u,0,d)|0;if((y|0)!=0){gd(y|0)|0}if((z|0)==-1){A=2;B=50;break}y=c[k>>2]|0;if(z>>>0>(s-y|0)>>>0){A=1;B=50;break}b:do{if((z|0)!=0){F=z;G=u;H=y;while(1){I=a[G]|0;c[k>>2]=H+1;a[H]=I;I=F-1|0;if((I|0)==0){break b}F=I;G=G+1|0;H=c[k>>2]|0}}}while(0);y=(c[g>>2]|0)+4|0;c[g>>2]=y;z=y;while(1){if((z|0)==(f|0)){J=f;break}if((c[z>>2]|0)==0){J=z;break}else{z=z+4|0}}C=J;D=c[k>>2]|0;E=y}if((E|0)==(f|0)|(D|0)==(j|0)){r=E;break a}else{v=D;w=E;x=C}}if((B|0)==15){c[k>>2]=v;c:do{if((w|0)==(c[g>>2]|0)){K=w}else{x=w;u=v;while(1){s=c[x>>2]|0;p=gd(c[t>>2]|0)|0;z=G$(u,s,n)|0;if((p|0)!=0){gd(p|0)|0}if((z|0)==-1){K=x;break c}p=(c[k>>2]|0)+z|0;c[k>>2]=p;z=x+4|0;if((z|0)==(c[g>>2]|0)){K=z;break}else{x=z;u=p}}}}while(0);c[g>>2]=K;A=2;i=l;return A|0}else if((B|0)==48){r=c[g>>2]|0;break}else if((B|0)==50){i=l;return A|0}}}while(0);A=(r|0)!=(f|0)|0;i=l;return A|0}function RZ(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;l=i;i=i+8|0;m=l|0;n=m;o=e;while(1){if((o|0)==(f|0)){p=f;break}if((a[o]|0)==0){p=o;break}else{o=o+1|0}}c[k>>2]=h;c[g>>2]=e;a:do{if((e|0)==(f|0)|(h|0)==(j|0)){q=e}else{o=d;r=j;s=b+8|0;t=h;u=e;v=p;while(1){w=c[o+4>>2]|0;c[m>>2]=c[o>>2];c[m+4>>2]=w;x=v;w=gd(c[s>>2]|0)|0;y=D$(t,g,x-u|0,r-t>>2,d)|0;if((w|0)!=0){gd(w|0)|0}if((y|0)==(-1|0)){z=15;break}else if((y|0)==0){A=2;z=49;break}w=(c[k>>2]|0)+(y<<2)|0;c[k>>2]=w;if((w|0)==(j|0)){z=47;break}y=c[g>>2]|0;if((v|0)==(f|0)){B=f;C=w;D=y}else{E=gd(c[s>>2]|0)|0;F=C$(w,y,1,d)|0;if((E|0)!=0){gd(E|0)|0}if((F|0)!=0){A=2;z=49;break}c[k>>2]=(c[k>>2]|0)+4;F=(c[g>>2]|0)+1|0;c[g>>2]=F;E=F;while(1){if((E|0)==(f|0)){G=f;break}if((a[E]|0)==0){G=E;break}else{E=E+1|0}}B=G;C=c[k>>2]|0;D=F}if((D|0)==(f|0)|(C|0)==(j|0)){q=D;break a}else{t=C;u=D;v=B}}if((z|0)==15){c[k>>2]=t;b:do{if((u|0)==(c[g>>2]|0)){H=u}else{v=t;r=u;while(1){o=gd(c[s>>2]|0)|0;E=C$(v,r,x-r|0,n)|0;if((o|0)!=0){gd(o|0)|0}if((E|0)==0){I=r+1|0}else if((E|0)==(-1|0)){z=26;break}else if((E|0)==(-2|0)){z=27;break}else{I=r+E|0}E=(c[k>>2]|0)+4|0;c[k>>2]=E;if((I|0)==(c[g>>2]|0)){H=I;break b}else{v=E;r=I}}if((z|0)==26){c[g>>2]=r;A=2;i=l;return A|0}else if((z|0)==27){c[g>>2]=r;A=1;i=l;return A|0}}}while(0);c[g>>2]=H;A=(H|0)!=(f|0)|0;i=l;return A|0}else if((z|0)==47){q=c[g>>2]|0;break}else if((z|0)==49){i=l;return A|0}}}while(0);A=(q|0)!=(f|0)|0;i=l;return A|0}function SZ(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;i=i+8|0;c[g>>2]=e;e=h|0;j=gd(c[b+8>>2]|0)|0;b=G$(e,0,d)|0;if((j|0)!=0){gd(j|0)|0}if((b|0)==(-1|0)|(b|0)==0){k=2;i=h;return k|0}j=b-1|0;b=c[g>>2]|0;if(j>>>0>(f-b|0)>>>0){k=1;i=h;return k|0}if((j|0)==0){k=0;i=h;return k|0}else{l=j;m=e;n=b}while(1){b=a[m]|0;c[g>>2]=n+1;a[n]=b;b=l-1|0;if((b|0)==0){k=0;break}l=b;m=m+1|0;n=c[g>>2]|0}i=h;return k|0}function TZ(a){a=a|0;var b=0,d=0,e=0;b=a+8|0;a=gd(c[b>>2]|0)|0;d=F$(0,0,4)|0;if((a|0)!=0){gd(a|0)|0}if((d|0)!=0){e=-1;return e|0}d=c[b>>2]|0;if((d|0)==0){e=1;return e|0}b=gd(d|0)|0;if((b|0)==0){e=0;return e|0}gd(b|0)|0;e=0;return e|0}function UZ(a){a=a|0;return 0}function VZ(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;if((f|0)==0|(d|0)==(e|0)){g=0;return g|0}h=e;i=a+8|0;a=d;d=0;j=0;while(1){k=gd(c[i>>2]|0)|0;l=B$(a,h-a|0,b)|0;if((k|0)!=0){gd(k|0)|0}if((l|0)==(-1|0)|(l|0)==(-2|0)){g=d;m=15;break}else if((l|0)==0){n=1;o=a+1|0}else{n=l;o=a+l|0}l=n+d|0;k=j+1|0;if(k>>>0>=f>>>0|(o|0)==(e|0)){g=l;m=15;break}else{a=o;d=l;j=k}}if((m|0)==15){return g|0}return 0}function WZ(a){a=a|0;var b=0,d=0;b=c[a+8>>2]|0;do{if((b|0)==0){d=1}else{a=gd(b|0)|0;if((a|0)==0){d=4;break}gd(a|0)|0;d=4}}while(0);return d|0}function XZ(a){a=a|0;MR(a|0);J0(a);return}function YZ(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=ZZ(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d>>1<<1);c[j>>2]=g+((c[k>>2]|0)-g);i=b;return l|0}function ZZ(d,f,g,h,i,j,k,l){d=d|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;c[g>>2]=d;c[j>>2]=h;do{if((l&2|0)!=0){if((i-h|0)<3){m=1;return m|0}else{c[j>>2]=h+1;a[h]=-17;d=c[j>>2]|0;c[j>>2]=d+1;a[d]=-69;d=c[j>>2]|0;c[j>>2]=d+1;a[d]=-65;break}}}while(0);h=f;l=c[g>>2]|0;if(!(l>>>0<f>>>0)){m=0;return m|0}d=i;i=l;a:while(1){l=b[i>>1]|0;n=l&65535;if(n>>>0>k>>>0){m=2;o=26;break}do{if((l&65535)>>>0<128>>>0){p=c[j>>2]|0;if((d-p|0)<1){m=1;o=26;break a}c[j>>2]=p+1;a[p]=l}else{if((l&65535)>>>0<2048>>>0){p=c[j>>2]|0;if((d-p|0)<2){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>6|192;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if((l&65535)>>>0<55296>>>0){p=c[j>>2]|0;if((d-p|0)<3){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>12|224;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n>>>6&63|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if(!((l&65535)>>>0<56320>>>0)){if((l&65535)>>>0<57344>>>0){m=2;o=26;break a}p=c[j>>2]|0;if((d-p|0)<3){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>12|224;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n>>>6&63|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if((h-i|0)<4){m=1;o=26;break a}p=i+2|0;q=e[p>>1]|0;if((q&64512|0)!=56320){m=2;o=26;break a}if((d-(c[j>>2]|0)|0)<4){m=1;o=26;break a}r=n&960;if(((r<<10)+65536|n<<10&64512|q&1023)>>>0>k>>>0){m=2;o=26;break a}c[g>>2]=p;p=(r>>>6)+1|0;r=c[j>>2]|0;c[j>>2]=r+1;a[r]=p>>>2|240;r=c[j>>2]|0;c[j>>2]=r+1;a[r]=n>>>2&15|p<<4&48|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n<<4&48|q>>>6&15|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=q&63|128}}while(0);n=(c[g>>2]|0)+2|0;c[g>>2]=n;if(n>>>0<f>>>0){i=n}else{m=0;o=26;break}}if((o|0)==26){return m|0}return 0}function _Z(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=$Z(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d);c[j>>2]=g+((c[k>>2]|0)-g>>1<<1);i=b;return l|0}function $Z(e,f,g,h,i,j,k,l){e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;c[g>>2]=e;c[j>>2]=h;h=c[g>>2]|0;do{if((l&4|0)==0){m=h}else{if((f-h|0)<=2){m=h;break}if(!((a[h]|0)==-17)){m=h;break}if(!((a[h+1|0]|0)==-69)){m=h;break}if(!((a[h+2|0]|0)==-65)){m=h;break}e=h+3|0;c[g>>2]=e;m=e}}while(0);a:do{if(m>>>0<f>>>0){h=f;l=i;e=c[j>>2]|0;n=m;b:while(1){if(!(e>>>0<i>>>0)){o=n;break a}p=a[n]|0;q=p&255;if(q>>>0>k>>>0){r=2;s=41;break}do{if(p<<24>>24>-1){b[e>>1]=p&255;c[g>>2]=n+1}else{if((p&255)>>>0<194>>>0){r=2;s=41;break b}if((p&255)>>>0<224>>>0){if((h-n|0)<2){r=1;s=41;break b}t=d[n+1|0]|0;if((t&192|0)!=128){r=2;s=41;break b}u=t&63|q<<6&1984;if(u>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=u;c[g>>2]=n+2;break}if((p&255)>>>0<240>>>0){if((h-n|0)<3){r=1;s=41;break b}u=a[n+1|0]|0;t=a[n+2|0]|0;if((q|0)==224){if(!((u&-32)<<24>>24==-96)){r=2;s=41;break b}}else if((q|0)==237){if(!((u&-32)<<24>>24==-128)){r=2;s=41;break b}}else{if(!((u&-64)<<24>>24==-128)){r=2;s=41;break b}}v=t&255;if((v&192|0)!=128){r=2;s=41;break b}t=(u&255)<<6&4032|q<<12|v&63;if((t&65535)>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=t;c[g>>2]=n+3;break}if(!((p&255)>>>0<245>>>0)){r=2;s=41;break b}if((h-n|0)<4){r=1;s=41;break b}t=a[n+1|0]|0;v=a[n+2|0]|0;u=a[n+3|0]|0;if((q|0)==240){if(!((t+112&255)>>>0<48>>>0)){r=2;s=41;break b}}else if((q|0)==244){if(!((t&-16)<<24>>24==-128)){r=2;s=41;break b}}else{if(!((t&-64)<<24>>24==-128)){r=2;s=41;break b}}w=v&255;if((w&192|0)!=128){r=2;s=41;break b}v=u&255;if((v&192|0)!=128){r=2;s=41;break b}if((l-e|0)<4){r=1;s=41;break b}u=q&7;x=t&255;t=w<<6;y=v&63;if((x<<12&258048|u<<18|t&4032|y)>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=x<<2&60|w>>>4&3|((x>>>4&3|u<<2)<<6)+16320|55296;u=e+2|0;c[j>>2]=u;b[u>>1]=y|t&960|56320;c[g>>2]=(c[g>>2]|0)+4}}while(0);q=(c[j>>2]|0)+2|0;c[j>>2]=q;p=c[g>>2]|0;if(p>>>0<f>>>0){e=q;n=p}else{o=p;break a}}if((s|0)==41){return r|0}}else{o=m}}while(0);r=o>>>0<f>>>0|0;return r|0}function a_(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function b_(a){a=a|0;return 0}function c_(a){a=a|0;return 0}function d_(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return e_(c,d,e,1114111,0)|0}function e_(b,c,e,f,g){b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;do{if((g&4|0)==0){h=b}else{if((c-b|0)<=2){h=b;break}if(!((a[b]|0)==-17)){h=b;break}if(!((a[b+1|0]|0)==-69)){h=b;break}h=(a[b+2|0]|0)==-65?b+3|0:b}}while(0);a:do{if(h>>>0<c>>>0&(e|0)!=0){g=c;i=0;j=h;b:while(1){k=a[j]|0;l=k&255;if(l>>>0>f>>>0){m=j;break a}do{if(k<<24>>24>-1){n=j+1|0;o=i}else{if((k&255)>>>0<194>>>0){m=j;break a}if((k&255)>>>0<224>>>0){if((g-j|0)<2){m=j;break a}p=d[j+1|0]|0;if((p&192|0)!=128){m=j;break a}if((p&63|l<<6&1984)>>>0>f>>>0){m=j;break a}n=j+2|0;o=i;break}if((k&255)>>>0<240>>>0){q=j;if((g-q|0)<3){m=j;break a}p=a[j+1|0]|0;r=a[j+2|0]|0;if((l|0)==224){if(!((p&-32)<<24>>24==-96)){s=21;break b}}else if((l|0)==237){if(!((p&-32)<<24>>24==-128)){s=23;break b}}else{if(!((p&-64)<<24>>24==-128)){s=25;break b}}t=r&255;if((t&192|0)!=128){m=j;break a}if(((p&255)<<6&4032|l<<12&61440|t&63)>>>0>f>>>0){m=j;break a}n=j+3|0;o=i;break}if(!((k&255)>>>0<245>>>0)){m=j;break a}u=j;if((g-u|0)<4){m=j;break a}if((e-i|0)>>>0<2>>>0){m=j;break a}t=a[j+1|0]|0;p=a[j+2|0]|0;r=a[j+3|0]|0;if((l|0)==240){if(!((t+112&255)>>>0<48>>>0)){s=34;break b}}else if((l|0)==244){if(!((t&-16)<<24>>24==-128)){s=36;break b}}else{if(!((t&-64)<<24>>24==-128)){s=38;break b}}v=p&255;if((v&192|0)!=128){m=j;break a}p=r&255;if((p&192|0)!=128){m=j;break a}if(((t&255)<<12&258048|l<<18&1835008|v<<6&4032|p&63)>>>0>f>>>0){m=j;break a}n=j+4|0;o=i+1|0}}while(0);l=o+1|0;if(n>>>0<c>>>0&l>>>0<e>>>0){i=l;j=n}else{m=n;break a}}if((s|0)==21){w=q-b|0;return w|0}else if((s|0)==23){w=q-b|0;return w|0}else if((s|0)==25){w=q-b|0;return w|0}else if((s|0)==34){w=u-b|0;return w|0}else if((s|0)==36){w=u-b|0;return w|0}else if((s|0)==38){w=u-b|0;return w|0}}else{m=h}}while(0);w=m-b|0;return w|0}function f_(a){a=a|0;return 4}function g_(a){a=a|0;MR(a|0);J0(a);return}function h_(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=i_(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d>>2<<2);c[j>>2]=g+((c[k>>2]|0)-g);i=b;return l|0}function i_(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0;c[e>>2]=b;c[h>>2]=f;do{if((j&2|0)!=0){if((g-f|0)<3){k=1;return k|0}else{c[h>>2]=f+1;a[f]=-17;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=-69;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=-65;break}}}while(0);f=c[e>>2]|0;if(!(f>>>0<d>>>0)){k=0;return k|0}j=g;g=f;a:while(1){f=c[g>>2]|0;if((f&-2048|0)==55296|f>>>0>i>>>0){k=2;l=19;break}do{if(f>>>0<128>>>0){b=c[h>>2]|0;if((j-b|0)<1){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f}else{if(f>>>0<2048>>>0){b=c[h>>2]|0;if((j-b|0)<2){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>6|192;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f&63|128;break}b=c[h>>2]|0;m=j-b|0;if(f>>>0<65536>>>0){if((m|0)<3){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>12|224;n=c[h>>2]|0;c[h>>2]=n+1;a[n]=f>>>6&63|128;n=c[h>>2]|0;c[h>>2]=n+1;a[n]=f&63|128;break}else{if((m|0)<4){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>18|240;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f>>>12&63|128;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f>>>6&63|128;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f&63|128;break}}}while(0);f=(c[e>>2]|0)+4|0;c[e>>2]=f;if(f>>>0<d>>>0){g=f}else{k=0;l=19;break}}if((l|0)==19){return k|0}return 0}function j_(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=k_(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d);c[j>>2]=g+((c[k>>2]|0)-g>>2<<2);i=b;return l|0}function k_(b,e,f,g,h,i,j,k){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;c[f>>2]=b;c[i>>2]=g;g=c[f>>2]|0;do{if((k&4|0)==0){l=g}else{if((e-g|0)<=2){l=g;break}if(!((a[g]|0)==-17)){l=g;break}if(!((a[g+1|0]|0)==-69)){l=g;break}if(!((a[g+2|0]|0)==-65)){l=g;break}b=g+3|0;c[f>>2]=b;l=b}}while(0);a:do{if(l>>>0<e>>>0){g=e;k=c[i>>2]|0;b=l;b:while(1){if(!(k>>>0<h>>>0)){m=b;break a}n=a[b]|0;o=n&255;do{if(n<<24>>24>-1){if(o>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=o;c[f>>2]=b+1}else{if((n&255)>>>0<194>>>0){p=2;q=40;break b}if((n&255)>>>0<224>>>0){if((g-b|0)<2){p=1;q=40;break b}r=d[b+1|0]|0;if((r&192|0)!=128){p=2;q=40;break b}s=r&63|o<<6&1984;if(s>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=s;c[f>>2]=b+2;break}if((n&255)>>>0<240>>>0){if((g-b|0)<3){p=1;q=40;break b}s=a[b+1|0]|0;r=a[b+2|0]|0;if((o|0)==224){if(!((s&-32)<<24>>24==-96)){p=2;q=40;break b}}else if((o|0)==237){if(!((s&-32)<<24>>24==-128)){p=2;q=40;break b}}else{if(!((s&-64)<<24>>24==-128)){p=2;q=40;break b}}t=r&255;if((t&192|0)!=128){p=2;q=40;break b}r=(s&255)<<6&4032|o<<12&61440|t&63;if(r>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=r;c[f>>2]=b+3;break}if(!((n&255)>>>0<245>>>0)){p=2;q=40;break b}if((g-b|0)<4){p=1;q=40;break b}r=a[b+1|0]|0;t=a[b+2|0]|0;s=a[b+3|0]|0;if((o|0)==240){if(!((r+112&255)>>>0<48>>>0)){p=2;q=40;break b}}else if((o|0)==244){if(!((r&-16)<<24>>24==-128)){p=2;q=40;break b}}else{if(!((r&-64)<<24>>24==-128)){p=2;q=40;break b}}u=t&255;if((u&192|0)!=128){p=2;q=40;break b}t=s&255;if((t&192|0)!=128){p=2;q=40;break b}s=(r&255)<<12&258048|o<<18&1835008|u<<6&4032|t&63;if(s>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=s;c[f>>2]=b+4}}while(0);o=(c[i>>2]|0)+4|0;c[i>>2]=o;n=c[f>>2]|0;if(n>>>0<e>>>0){k=o;b=n}else{m=n;break a}}if((q|0)==40){return p|0}}else{m=l}}while(0);p=m>>>0<e>>>0|0;return p|0}function l_(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function m_(a){a=a|0;return 0}function n_(a){a=a|0;return 0}function o_(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return p_(c,d,e,1114111,0)|0}function p_(b,c,e,f,g){b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;do{if((g&4|0)==0){h=b}else{if((c-b|0)<=2){h=b;break}if(!((a[b]|0)==-17)){h=b;break}if(!((a[b+1|0]|0)==-69)){h=b;break}h=(a[b+2|0]|0)==-65?b+3|0:b}}while(0);a:do{if(h>>>0<c>>>0&(e|0)!=0){g=c;i=1;j=h;b:while(1){k=a[j]|0;l=k&255;do{if(k<<24>>24>-1){if(l>>>0>f>>>0){m=j;break a}n=j+1|0}else{if((k&255)>>>0<194>>>0){m=j;break a}if((k&255)>>>0<224>>>0){if((g-j|0)<2){m=j;break a}o=d[j+1|0]|0;if((o&192|0)!=128){m=j;break a}if((o&63|l<<6&1984)>>>0>f>>>0){m=j;break a}n=j+2|0;break}if((k&255)>>>0<240>>>0){p=j;if((g-p|0)<3){m=j;break a}o=a[j+1|0]|0;q=a[j+2|0]|0;if((l|0)==224){if(!((o&-32)<<24>>24==-96)){r=21;break b}}else if((l|0)==237){if(!((o&-32)<<24>>24==-128)){r=23;break b}}else{if(!((o&-64)<<24>>24==-128)){r=25;break b}}s=q&255;if((s&192|0)!=128){m=j;break a}if(((o&255)<<6&4032|l<<12&61440|s&63)>>>0>f>>>0){m=j;break a}n=j+3|0;break}if(!((k&255)>>>0<245>>>0)){m=j;break a}t=j;if((g-t|0)<4){m=j;break a}s=a[j+1|0]|0;o=a[j+2|0]|0;q=a[j+3|0]|0;if((l|0)==240){if(!((s+112&255)>>>0<48>>>0)){r=33;break b}}else if((l|0)==244){if(!((s&-16)<<24>>24==-128)){r=35;break b}}else{if(!((s&-64)<<24>>24==-128)){r=37;break b}}u=o&255;if((u&192|0)!=128){m=j;break a}o=q&255;if((o&192|0)!=128){m=j;break a}if(((s&255)<<12&258048|l<<18&1835008|u<<6&4032|o&63)>>>0>f>>>0){m=j;break a}n=j+4|0}}while(0);if(!(n>>>0<c>>>0&i>>>0<e>>>0)){m=n;break a}i=i+1|0;j=n}if((r|0)==21){v=p-b|0;return v|0}else if((r|0)==23){v=p-b|0;return v|0}else if((r|0)==25){v=p-b|0;return v|0}else if((r|0)==33){v=t-b|0;return v|0}else if((r|0)==35){v=t-b|0;return v|0}else if((r|0)==37){v=t-b|0;return v|0}}else{m=h}}while(0);v=m-b|0;return v|0}function q_(a){a=a|0;return 4}function r_(a){a=a|0;MR(a|0);J0(a);return}function s_(a){a=a|0;MR(a|0);J0(a);return}function t_(a){a=a|0;c[a>>2]=1684848;wS(a+12|0);MR(a|0);J0(a);return}function u_(a){a=a|0;c[a>>2]=1684848;wS(a+12|0);MR(a|0);return}function v_(a){a=a|0;c[a>>2]=1684800;wS(a+16|0);MR(a|0);J0(a);return}function w_(a){a=a|0;c[a>>2]=1684800;wS(a+16|0);MR(a|0);return}function x_(b){b=b|0;return a[b+8|0]|0}function y_(a){a=a|0;return c[a+8>>2]|0}function z_(b){b=b|0;return a[b+9|0]|0}function A_(a){a=a|0;return c[a+12>>2]|0}function B_(a,b){a=a|0;b=b|0;mS(a,b+12|0);return}function C_(a,b){a=a|0;b=b|0;mS(a,b+16|0);return}function D_(a,b){a=a|0;b=b|0;oS(a,1652048,4);return}function E_(a,b){a=a|0;b=b|0;YS(a,1650888,b0(1650888)|0);return}function F_(a,b){a=a|0;b=b|0;oS(a,1649736,5);return}function G_(a,b){a=a|0;b=b|0;YS(a,1649016,b0(1649016)|0);return}function H_(b){b=b|0;var d=0;if((a[1733496]|0)!=0){d=c[432974]|0;return d|0}if((ac(1733496)|0)==0){d=c[432974]|0;return d|0}do{if((a[1733384]|0)==0){if((ac(1733384)|0)==0){break}e1(1730936,0,168)|0;Fb(332,0,s|0)|0}}while(0);zS(1730936,1674408)|0;zS(1730948,1673760)|0;zS(1730960,1673296)|0;zS(1730972,1672904)|0;zS(1730984,1672608)|0;zS(1730996,1672328)|0;zS(1731008,1671928)|0;zS(1731020,1671672)|0;zS(1731032,1671504)|0;zS(1731044,1671048)|0;zS(1731056,1670776)|0;zS(1731068,1670288)|0;zS(1731080,1669704)|0;zS(1731092,1669408)|0;c[432974]=1730936;d=c[432974]|0;return d|0}function I_(b){b=b|0;var d=0;if((a[1733440]|0)!=0){d=c[432952]|0;return d|0}if((ac(1733440)|0)==0){d=c[432952]|0;return d|0}do{if((a[1733360]|0)==0){if((ac(1733360)|0)==0){break}e1(1730192,0,168)|0;Fb(122,0,s|0)|0}}while(0);$S(1730192,1680264)|0;$S(1730204,1679904)|0;$S(1730216,1679400)|0;$S(1730228,1679320)|0;$S(1730240,1678728)|0;$S(1730252,1678344)|0;$S(1730264,1677632)|0;$S(1730276,1677280)|0;$S(1730288,1676720)|0;$S(1730300,1676344)|0;$S(1730312,1676128)|0;$S(1730324,1675744)|0;$S(1730336,1675424)|0;$S(1730348,1675088)|0;c[432952]=1730192;d=c[432952]|0;return d|0}function J_(b){b=b|0;var d=0;if((a[1733488]|0)!=0){d=c[432972]|0;return d|0}if((ac(1733488)|0)==0){d=c[432972]|0;return d|0}do{if((a[1733376]|0)==0){if((ac(1733376)|0)==0){break}e1(1730648,0,288)|0;Fb(218,0,s|0)|0}}while(0);zS(1730648,28640)|0;zS(1730660,28280)|0;zS(1730672,28120)|0;zS(1730684,27848)|0;zS(1730696,27480)|0;zS(1730708,27184)|0;zS(1730720,26896)|0;zS(1730732,26576)|0;zS(1730744,26168)|0;zS(1730756,25672)|0;zS(1730768,24552)|0;zS(1730780,24328)|0;zS(1730792,23912)|0;zS(1730804,23592)|0;zS(1730816,23392)|0;zS(1730828,23056)|0;zS(1730840,27480)|0;zS(1730852,22800)|0;zS(1730864,22584)|0;zS(1730876,1682976)|0;zS(1730888,1682368)|0;zS(1730900,1681888)|0;zS(1730912,1681472)|0;zS(1730924,1680944)|0;c[432972]=1730648;d=c[432972]|0;return d|0}function K_(b){b=b|0;var d=0;if((a[1733432]|0)!=0){d=c[432950]|0;return d|0}if((ac(1733432)|0)==0){d=c[432950]|0;return d|0}do{if((a[1733352]|0)==0){if((ac(1733352)|0)==0){break}e1(1729904,0,288)|0;Fb(164,0,s|0)|0}}while(0);$S(1729904,40032)|0;$S(1729916,39640)|0;$S(1729928,39216)|0;$S(1729940,38928)|0;$S(1729952,32464)|0;$S(1729964,37344)|0;$S(1729976,36704)|0;$S(1729988,36352)|0;$S(173e4,35920)|0;$S(1730012,35472)|0;$S(1730024,35152)|0;$S(1730036,34824)|0;$S(1730048,34408)|0;$S(1730060,34072)|0;$S(1730072,33576)|0;$S(1730084,32800)|0;$S(1730096,32464)|0;$S(1730108,31856)|0;$S(1730120,31368)|0;$S(1730132,30704)|0;$S(1730144,30384)|0;$S(1730156,30160)|0;$S(1730168,29880)|0;$S(1730180,29616)|0;c[432950]=1729904;d=c[432950]|0;return d|0}function L_(b){b=b|0;var d=0;if((a[1733504]|0)!=0){d=c[432976]|0;return d|0}if((ac(1733504)|0)==0){d=c[432976]|0;return d|0}do{if((a[1733392]|0)==0){if((ac(1733392)|0)==0){break}e1(1731104,0,288)|0;Fb(278,0,s|0)|0}}while(0);zS(1731104,41496)|0;zS(1731116,40992)|0;c[432976]=1731104;d=c[432976]|0;return d|0}function M_(b){b=b|0;var d=0;if((a[1733448]|0)!=0){d=c[432954]|0;return d|0}if((ac(1733448)|0)==0){d=c[432954]|0;return d|0}do{if((a[1733368]|0)==0){if((ac(1733368)|0)==0){break}e1(1730360,0,288)|0;Fb(306,0,s|0)|0}}while(0);$S(1730360,43504)|0;$S(1730372,42304)|0;c[432954]=1730360;d=c[432954]|0;return d|0}function N_(b){b=b|0;if((a[1733512]|0)!=0){return 1731912}if((ac(1733512)|0)==0){return 1731912}oS(1731912,1647232,8);Fb(324,1731912,s|0)|0;return 1731912}function O_(b){b=b|0;if((a[1733456]|0)!=0){return 1731824}if((ac(1733456)|0)==0){return 1731824}YS(1731824,1646216,b0(1646216)|0);Fb(88,1731824,s|0)|0;return 1731824}function P_(b){b=b|0;if((a[1733536]|0)!=0){return 1731960}if((ac(1733536)|0)==0){return 1731960}oS(1731960,1644616,8);Fb(324,1731960,s|0)|0;return 1731960}function Q_(b){b=b|0;if((a[1733480]|0)!=0){return 1731872}if((ac(1733480)|0)==0){return 1731872}YS(1731872,1643712,b0(1643712)|0);Fb(88,1731872,s|0)|0;return 1731872}function R_(b){b=b|0;if((a[1733528]|0)!=0){return 1731944}if((ac(1733528)|0)==0){return 1731944}oS(1731944,1642552,20);Fb(324,1731944,s|0)|0;return 1731944}function S_(b){b=b|0;if((a[1733472]|0)!=0){return 1731856}if((ac(1733472)|0)==0){return 1731856}YS(1731856,1641656,b0(1641656)|0);Fb(88,1731856,s|0)|0;return 1731856}function T_(b){b=b|0;if((a[1733520]|0)!=0){return 1731928}if((ac(1733520)|0)==0){return 1731928}oS(1731928,1640784,11);Fb(324,1731928,s|0)|0;return 1731928}function U_(b){b=b|0;if((a[1733464]|0)!=0){return 1731840}if((ac(1733464)|0)==0){return 1731840}YS(1731840,1639696,b0(1639696)|0);Fb(88,1731840,s|0)|0;return 1731840}function V_(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=Zc()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);l=+Z0(b,g,c[432856]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)!=34){h=l;i=f;return+h}c[e>>2]=4;h=l;i=f;return+h}function W_(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=Zc()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);l=+Z0(b,g,c[432856]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)!=34){h=l;i=f;return+h}c[e>>2]=4;h=l;i=f;return+h}function X_(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=Zc()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);l=+Z0(b,g,c[432856]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)==34){c[e>>2]=4}h=l;i=f;return+h}function Y_(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;do{if((b|0)==(d|0)){c[e>>2]=4;j=0;k=0}else{if((a[b]|0)==45){c[e>>2]=4;j=0;k=0;break}l=Zc()|0;m=c[l>>2]|0;c[l>>2]=0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);n=Bc(b|0,h|0,f|0,c[432856]|0)|0;o=c[l>>2]|0;if((o|0)==0){c[l>>2]=m}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;k=0;break}if((o|0)!=34){j=K;k=n;break}c[e>>2]=4;j=-1;k=-1}}while(0);i=g;return(K=j,k)|0}function Z_(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=Zc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);m=Bc(b|0,h|0,f|0,c[432856]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>-1>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m;i=g;return j|0}return 0}function __(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=Zc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);m=Bc(b|0,h|0,f|0,c[432856]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>-1>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m;i=g;return j|0}return 0}function $_(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=Zc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);m=Bc(b|0,h|0,f|0,c[432856]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>65535>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m&65535;i=g;return j|0}return 0}function a$(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;k=0;i=g;return(K=j,k)|0}l=Zc()|0;m=c[l>>2]|0;c[l>>2]=0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);n=Hc(b|0,h|0,f|0,c[432856]|0)|0;f=K;b=c[l>>2]|0;if((b|0)==0){c[l>>2]=m}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;k=0;i=g;return(K=j,k)|0}if((b|0)==34){c[e>>2]=4;e=0;b=(f|0)>(e|0)|(f|0)==(e|0)&n>>>0>0>>>0;i=g;return(K=b?2147483647:-2147483648,b?-1:0)|0}else{j=f;k=n;i=g;return(K=j,k)|0}return 0}function b$(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}k=Zc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[1733416]|0)==0){if((ac(1733416)|0)==0){break}c[432856]=ob(2147483647,1660704,0)|0}}while(0);m=Hc(b|0,h|0,f|0,c[432856]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}do{if((b|0)==34){c[e>>2]=4;d=0;if((f|0)>(d|0)|(f|0)==(d|0)&m>>>0>0>>>0){j=2147483647}else{break}i=g;return j|0}else{d=-1;if((f|0)<(d|0)|(f|0)==(d|0)&m>>>0<-2147483648>>>0){c[e>>2]=4;break}d=0;if((f|0)>(d|0)|(f|0)==(d|0)&m>>>0>2147483647>>>0){c[e>>2]=4;j=2147483647;i=g;return j|0}else{j=m;i=g;return j|0}}}while(0);j=-2147483648;i=g;return j|0}function c$(a){a=a|0;var b=0,d=0,e=0,f=0;b=a+4|0;d=(c[a>>2]|0)+(c[b+4>>2]|0)|0;a=d;e=c[b>>2]|0;if((e&1|0)==0){f=e;Wd[f&511](a);return}else{f=c[(c[d>>2]|0)+(e-1)>>2]|0;Wd[f&511](a);return}}function d$(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=b+8|0;f=b+4|0;g=c[f>>2]|0;h=c[e>>2]|0;i=g;if(!(h-i>>2>>>0<d>>>0)){j=d;k=g;do{if((k|0)==0){l=0}else{c[k>>2]=0;l=c[f>>2]|0}k=l+4|0;c[f>>2]=k;j=j-1|0;}while((j|0)!=0);return}j=b+16|0;k=b|0;l=c[k>>2]|0;g=i-l>>2;i=g+d|0;if(i>>>0>1073741823>>>0){YY(0)}m=h-l|0;do{if(m>>2>>>0<536870911>>>0){l=m>>1;h=l>>>0<i>>>0?i:l;if((h|0)==0){n=0;o=0;break}l=b+128|0;if(!((a[l]|0)==0&h>>>0<29>>>0)){p=h;q=11;break}a[l]=1;n=j;o=h}else{p=1073741823;q=11}}while(0);if((q|0)==11){n=H0(p<<2)|0;o=p}p=d;d=n+(g<<2)|0;do{if((d|0)==0){r=0}else{c[d>>2]=0;r=d}d=r+4|0;p=p-1|0;}while((p|0)!=0);p=c[k>>2]|0;r=(c[f>>2]|0)-p|0;q=n+(g-(r>>2)<<2)|0;g=p;d1(q|0,g|0,r)|0;c[k>>2]=q;c[f>>2]=d;c[e>>2]=n+(o<<2);if((p|0)==0){return}if((j|0)==(p|0)){a[b+128|0]=0;return}else{J0(g);return}}function e$(a){a=a|0;_S(1730636);_S(1730624);_S(1730612);_S(1730600);_S(1730588);_S(1730576);_S(1730564);_S(1730552);_S(1730540);_S(1730528);_S(1730516);_S(1730504);_S(1730492);_S(1730480);_S(1730468);_S(1730456);_S(1730444);_S(1730432);_S(1730420);_S(1730408);_S(1730396);_S(1730384);_S(1730372);_S(1730360);return}function f$(a){a=a|0;wS(1731380);wS(1731368);wS(1731356);wS(1731344);wS(1731332);wS(1731320);wS(1731308);wS(1731296);wS(1731284);wS(1731272);wS(1731260);wS(1731248);wS(1731236);wS(1731224);wS(1731212);wS(1731200);wS(1731188);wS(1731176);wS(1731164);wS(1731152);wS(1731140);wS(1731128);wS(1731116);wS(1731104);return}function g$(a){a=a|0;_S(1730180);_S(1730168);_S(1730156);_S(1730144);_S(1730132);_S(1730120);_S(1730108);_S(1730096);_S(1730084);_S(1730072);_S(1730060);_S(1730048);_S(1730036);_S(1730024);_S(1730012);_S(173e4);_S(1729988);_S(1729976);_S(1729964);_S(1729952);_S(1729940);_S(1729928);_S(1729916);_S(1729904);return}function h$(a){a=a|0;wS(1730924);wS(1730912);wS(1730900);wS(1730888);wS(1730876);wS(1730864);wS(1730852);wS(1730840);wS(1730828);wS(1730816);wS(1730804);wS(1730792);wS(1730780);wS(1730768);wS(1730756);wS(1730744);wS(1730732);wS(1730720);wS(1730708);wS(1730696);wS(1730684);wS(1730672);wS(1730660);wS(1730648);return}function i$(a){a=a|0;_S(1730348);_S(1730336);_S(1730324);_S(1730312);_S(1730300);_S(1730288);_S(1730276);_S(1730264);_S(1730252);_S(1730240);_S(1730228);_S(1730216);_S(1730204);_S(1730192);return}function j$(a){a=a|0;wS(1731092);wS(1731080);wS(1731068);wS(1731056);wS(1731044);wS(1731032);wS(1731020);wS(1731008);wS(1730996);wS(1730984);wS(1730972);wS(1730960);wS(1730948);wS(1730936);return}function k$(a){a=a|0;var b=0;if((q$(a)|0)!=0){b=1;return b|0}b=(l$(a)|0)!=0|0;return b|0}function l$(a){a=a|0;var b=0;if(a>>>0<131072>>>0){b=(d[4864+((d[4864+(a>>>8)|0]|0)<<5|a>>>3&31)|0]|0)>>>((a&7)>>>0)&1;return b|0}else{b=a>>>0<196606>>>0|0;return b|0}return 0}function m$(a){a=a|0;return oc(a|0)|0}function n$(a){a=a|0;var b=0;if(a>>>0<32>>>0|(a-127|0)>>>0<33>>>0|(a-8232|0)>>>0<2>>>0){b=1;return b|0}b=(a-65529|0)>>>0<3>>>0|0;return b|0}function o$(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 12:{c=x$(a)|0;break};case 7:{c=s$(a)|0;break};case 11:{c=w$(a)|0;break};case 1:{c=k$(a)|0;break};case 2:{c=l$(a)|0;break};case 4:{c=n$(a)|0;break};case 8:{c=t$(a)|0;break};case 6:{c=r$(a)|0;break};case 5:{c=q$(a)|0;break};case 3:{c=m$(a)|0;break};case 10:{c=v$(a)|0;break};case 9:{c=u$(a)|0;break};default:{c=0}}return c|0}function p$(b){b=b|0;var c=0,d=0,e=0;c=a[b]|0;a:do{switch(c<<24>>24){case 97:{if(($0(b,368)|0)==0){d=1;break a}if(($0(b,374)|0)==0){d=2}else{e=16}break};case 100:{if(($0(b,392)|0)==0){d=5}else{e=16}break};case 117:{e=14;break};case 115:{e=13;break};case 112:{if(($0(b,410)|0)==0){d=8;break a}if(($0(b,416)|0)==0){d=9;break a}if((c<<24>>24|0)==117){e=14}else if((c<<24>>24|0)==115){e=13}else if((c<<24>>24|0)==120){e=15}else{e=16}break};case 99:{if(($0(b,386)|0)==0){d=4}else{e=16}break};case 103:{if(($0(b,398)|0)==0){d=6}else{e=16}break};case 108:{if(($0(b,404)|0)==0){d=7}else{e=16}break};case 98:{if(($0(b,380)|0)==0){d=3}else{e=16}break};case 120:{e=15;break};default:{e=16}}}while(0);if((e|0)==13){if(($0(b,422)|0)==0){d=10}else{e=16}}else if((e|0)==14){if(($0(b,428)|0)==0){d=11}else{e=16}}else if((e|0)==15){if(($0(b,434)|0)==0){d=12}else{e=16}}if((e|0)==16){d=0}return d|0}function q$(a){a=a|0;return(a-48|0)>>>0<10>>>0|0}function r$(a){a=a|0;var b=0;if((v$(a)|0)!=0){b=0;return b|0}b=(t$(a)|0)!=0|0;return b|0}function s$(a){a=a|0;var b=0;if((y$(a)|0)!=(a|0)){b=1;return b|0}b=(a|0)==223|0;return b|0}function t$(a){a=a|0;var b=0;if(a>>>0<255>>>0){b=(a+1&127)>>>0>32>>>0|0;return b|0}if(a>>>0<8232>>>0|(a-8234|0)>>>0<47062>>>0|(a-57344|0)>>>0<8185>>>0){b=1;return b|0}else{return((a-65532|0)>>>0>1048579>>>0|(a&65534|0)==65534)&1^1|0}return 0}function u$(a){a=a|0;var b=0;if(!(a>>>0<131072>>>0)){b=0;return b|0}b=(d[1696+((d[1696+(a>>>8)|0]|0)<<5|a>>>3&31)|0]|0)>>>((a&7)>>>0)&1;return b|0}function v$(a){a=a|0;return(a0(16680,a)|0)!=0|0}function w$(a){a=a|0;return(A$(a)|0)!=(a|0)|0}function x$(a){a=a|0;var b=0;if((a-48|0)>>>0<10>>>0){b=1;return b|0}b=((a|32)-97|0)>>>0<6>>>0|0;return b|0}function y$(a){a=a|0;return z$(a,0)|0}function z$(c,f){c=c|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=(f<<1)-1|0;h=f-1|0;if((l$(c)|0)==0|(c-1536|0)>>>0<2560>>>0|(c-11776|0)>>>0<30784>>>0|(c-43008|0)>>>0<22272>>>0){i=c;return i|0}do{if((f|0)==0){if(!((c-11520|0)>>>0<38>>>0)){j=0;break}i=c-7264|0;return i|0}else{if(!((c-4256|0)>>>0<46>>>0)){j=0;break}do{if((c|0)>4293){if((c|0)==4301|(c|0)==4295){break}else{i=c}return i|0}}while(0);i=c+7264|0;return i|0}}while(0);while(1){if((j|0)==61){break}k=a[19346+(j<<2)|0]|0;l=k<<24>>24;m=c-(e[19344+(j<<2)>>1]|0)|0;if((m-(l&h)|0)>>>0<(d[19347+(j<<2)|0]|0)>>>0){n=12;break}else{j=j+1|0}}if((n|0)==12){if(k<<24>>24==1){i=f+c-(m&1)|0;return i|0}else{i=(ga(l,g)|0)+c|0;return i|0}}g=1-f|0;l=0;while(1){m=b[8112+(l<<2)+(g<<1)>>1]|0;if(m<<16>>16==0){break}if((m&65535|0)==(c|0)){n=17;break}else{l=l+1|0}}if((n|0)==17){i=e[8112+(l<<2)+(f<<1)>>1]|0;return i|0}if(!((c-66600+(f*40|0)|0)>>>0<40>>>0)){i=c;return i|0}i=c-40+(f*80|0)|0;return i|0}function A$(a){a=a|0;return z$(a,1)|0}function B$(a,b,c){a=a|0;b=b|0;c=c|0;return C$(0,a,b,(c|0)!=0?c:1715360)|0}function C$(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=i;i=i+8|0;h=g|0;c[h>>2]=b;j=((f|0)==0?1715352:f)|0;f=c[j>>2]|0;a:do{if((d|0)==0){if((f|0)==0){k=0}else{break}i=g;return k|0}else{if((b|0)==0){l=h;c[h>>2]=l;m=l}else{m=b}if((e|0)==0){k=-2;i=g;return k|0}do{if((f|0)==0){l=a[d]|0;n=l&255;if(l<<24>>24>-1){c[m>>2]=n;k=l<<24>>24!=0|0;i=g;return k|0}else{l=n-194|0;if(l>>>0>50>>>0){break a}o=d+1|0;p=c[1683536+(l<<2)>>2]|0;q=e-1|0;break}}else{o=d;p=f;q=e}}while(0);b:do{if((q|0)==0){r=p}else{l=a[o]|0;n=(l&255)>>>3;if((n-16|n+(p>>26))>>>0>7>>>0){break a}else{s=o;t=p;u=q;v=l}while(1){s=s+1|0;t=(v&255)-128|t<<6;u=u-1|0;if((t|0)>=0){break}if((u|0)==0){r=t;break b}v=a[s]|0;if(((v&255)-128|0)>>>0>63>>>0){break a}}c[j>>2]=0;c[m>>2]=t;k=e-u|0;i=g;return k|0}}while(0);c[j>>2]=r;k=-2;i=g;return k|0}}while(0);c[j>>2]=0;c[(Zc()|0)>>2]=84;k=-1;i=g;return k|0}function D$(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=i;i=i+1032|0;h=g|0;j=g+1024|0;k=c[b>>2]|0;c[j>>2]=k;l=(a|0)!=0;m=l?e:256;e=l?a:h|0;a:do{if((k|0)==0|(m|0)==0){n=0;o=d;p=m;q=e;r=k}else{a=h|0;s=m;t=d;u=0;v=e;w=k;while(1){x=t>>>2;y=x>>>0>=s>>>0;if(!(y|t>>>0>131>>>0)){n=u;o=t;p=s;q=v;r=w;break a}z=y?s:x;A=t-z|0;x=E$(v,j,z,f)|0;if((x|0)==-1){break}if((v|0)==(a|0)){B=a;C=s}else{B=v+(x<<2)|0;C=s-x|0}z=x+u|0;x=c[j>>2]|0;if((x|0)==0|(C|0)==0){n=z;o=A;p=C;q=B;r=x;break a}else{s=C;t=A;u=z;v=B;w=x}}n=-1;o=A;p=0;q=v;r=c[j>>2]|0}}while(0);b:do{if((r|0)==0){D=n}else{if((p|0)==0|(o|0)==0){D=n;break}else{E=p;F=o;G=n;H=q;I=r}while(1){J=C$(H,I,F,f)|0;if((J+2|0)>>>0<3>>>0){break}A=(c[j>>2]|0)+J|0;c[j>>2]=A;B=E-1|0;C=G+1|0;if((B|0)==0|(F|0)==(J|0)){D=C;break b}else{E=B;F=F-J|0;G=C;H=H+4|0;I=A}}if((J|0)==0){c[j>>2]=0;D=G;break}else if((J|0)==(-1|0)){D=-1;break}else{c[f>>2]=0;D=G;break}}}while(0);if(!l){i=g;return D|0}c[b>>2]=c[j>>2];i=g;return D|0}function E$(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;h=c[e>>2]|0;do{if((g|0)==0){i=5}else{j=g|0;k=c[j>>2]|0;if((k|0)==0){i=5;break}if((b|0)==0){l=k;m=h;n=f;i=16;break}c[j>>2]=0;o=k;p=h;q=b;r=f;i=36}}while(0);if((i|0)==5){if((b|0)==0){s=h;t=f;i=7}else{u=h;v=b;w=f;i=6}}a:while(1){if((i|0)==6){i=0;if((w|0)==0){x=f;i=53;break}else{y=w;z=v;A=u}while(1){h=a[A]|0;do{if(((h&255)-1|0)>>>0<127>>>0){if((A&3|0)==0&y>>>0>3>>>0){B=y;C=z;D=A}else{E=A;F=z;G=y;H=h;break}while(1){I=c[D>>2]|0;if(((I-16843009|I)&-2139062144|0)!=0){i=30;break}c[C>>2]=I&255;c[C+4>>2]=d[D+1|0]|0;c[C+8>>2]=d[D+2|0]|0;J=D+4|0;K=C+16|0;c[C+12>>2]=d[D+3|0]|0;L=B-4|0;if(L>>>0>3>>>0){B=L;C=K;D=J}else{i=31;break}}if((i|0)==30){i=0;E=D;F=C;G=B;H=I&255;break}else if((i|0)==31){i=0;E=J;F=K;G=L;H=a[J]|0;break}}else{E=A;F=z;G=y;H=h}}while(0);M=H&255;if(!((M-1|0)>>>0<127>>>0)){break}c[F>>2]=M;h=G-1|0;if((h|0)==0){x=f;i=53;break a}else{y=h;z=F+4|0;A=E+1|0}}h=M-194|0;if(h>>>0>50>>>0){N=G;O=F;P=E;i=47;break}o=c[1683536+(h<<2)>>2]|0;p=E+1|0;q=F;r=G;i=36;continue}else if((i|0)==7){i=0;h=a[s]|0;do{if(((h&255)-1|0)>>>0<127>>>0){if((s&3|0)!=0){Q=s;R=t;S=h;break}g=c[s>>2]|0;if(((g-16843009|g)&-2139062144|0)==0){T=t;U=s}else{Q=s;R=t;S=g&255;break}do{U=U+4|0;T=T-4|0;V=c[U>>2]|0;}while(((V-16843009|V)&-2139062144|0)==0);Q=U;R=T;S=V&255}else{Q=s;R=t;S=h}}while(0);h=S&255;if((h-1|0)>>>0<127>>>0){s=Q+1|0;t=R-1|0;i=7;continue}g=h-194|0;if(g>>>0>50>>>0){N=R;O=b;P=Q;i=47;break}l=c[1683536+(g<<2)>>2]|0;m=Q+1|0;n=R;i=16;continue}else if((i|0)==16){i=0;g=(d[m]|0)>>>3;if((g-16|g+(l>>26))>>>0>7>>>0){i=17;break}g=m+1|0;do{if((l&33554432|0)==0){W=g}else{if(((d[g]|0)-128|0)>>>0>63>>>0){i=20;break a}h=m+2|0;if((l&524288|0)==0){W=h;break}if(((d[h]|0)-128|0)>>>0>63>>>0){i=23;break a}W=m+3|0}}while(0);s=W;t=n-1|0;i=7;continue}else if((i|0)==36){i=0;g=d[p]|0;h=g>>>3;if((h-16|h+(o>>26))>>>0>7>>>0){i=37;break}h=p+1|0;X=g-128|o<<6;do{if((X|0)<0){g=(d[h]|0)-128|0;if(g>>>0>63>>>0){i=40;break a}k=p+2|0;Y=g|X<<6;if((Y|0)>=0){Z=Y;_=k;break}g=(d[k]|0)-128|0;if(g>>>0>63>>>0){i=43;break a}Z=g|Y<<6;_=p+3|0}else{Z=X;_=h}}while(0);c[q>>2]=Z;u=_;v=q+4|0;w=r-1|0;i=6;continue}}if((i|0)==17){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==20){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==23){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==37){$=o;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==40){$=X;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==43){$=Y;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==53){return x|0}if((i|0)==46){if(($|0)==0){N=ca;O=ba;P=aa;i=47}else{da=ba;ea=aa}}do{if((i|0)==47){if((a[P]|0)!=0){da=O;ea=P;break}if((O|0)!=0){c[O>>2]=0;c[e>>2]=0}x=f-N|0;return x|0}}while(0);c[(Zc()|0)>>2]=84;if((da|0)==0){x=-1;return x|0}c[e>>2]=ea;x=-1;return x|0}function F$(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0;g=i;i=i+8|0;h=g|0;c[h>>2]=b;if((e|0)==0){j=0;i=g;return j|0}do{if((f|0)!=0){if((b|0)==0){k=h;c[h>>2]=k;l=k}else{l=b}k=a[e]|0;m=k&255;if(k<<24>>24>-1){c[l>>2]=m;j=k<<24>>24!=0|0;i=g;return j|0}k=m-194|0;if(k>>>0>50>>>0){break}m=e+1|0;n=c[1683536+(k<<2)>>2]|0;if(f>>>0<4>>>0){if((n&-2147483648>>>(((f*6|0)-6|0)>>>0)|0)!=0){break}}k=d[m]|0;m=k>>>3;if((m-16|m+(n>>26))>>>0>7>>>0){break}m=k-128|n<<6;if((m|0)>=0){c[l>>2]=m;j=2;i=g;return j|0}n=(d[e+2|0]|0)-128|0;if(n>>>0>63>>>0){break}k=n|m<<6;if((k|0)>=0){c[l>>2]=k;j=3;i=g;return j|0}m=(d[e+3|0]|0)-128|0;if(m>>>0>63>>>0){break}c[l>>2]=m|k<<6;j=4;i=g;return j|0}}while(0);c[(Zc()|0)>>2]=84;j=-1;i=g;return j|0}function G$(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((b|0)==0){f=1;return f|0}if(d>>>0<128>>>0){a[b]=d;f=1;return f|0}if(d>>>0<2048>>>0){a[b]=d>>>6|192;a[b+1|0]=d&63|128;f=2;return f|0}if(d>>>0<55296>>>0|(d-57344|0)>>>0<8192>>>0){a[b]=d>>>12|224;a[b+1|0]=d>>>6&63|128;a[b+2|0]=d&63|128;f=3;return f|0}if((d-65536|0)>>>0<1048576>>>0){a[b]=d>>>18|240;a[b+1|0]=d>>>12&63|128;a[b+2|0]=d>>>6&63|128;a[b+3|0]=d&63|128;f=4;return f|0}else{c[(Zc()|0)>>2]=84;f=-1;return f|0}return 0}function H$(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;f=i;i=i+264|0;g=f|0;h=f+256|0;j=c[b>>2]|0;c[h>>2]=j;k=(a|0)!=0;l=k?e:256;e=k?a:g|0;a:do{if((j|0)==0|(l|0)==0){m=0;n=d;o=l;p=e;q=j}else{a=g|0;r=l;s=d;t=0;u=e;v=j;while(1){w=s>>>0>=r>>>0;if(!(w|s>>>0>32>>>0)){m=t;n=s;o=r;p=u;q=v;break a}x=w?r:s;y=s-x|0;w=I$(u,h,x,0)|0;if((w|0)==-1){break}if((u|0)==(a|0)){z=a;A=r}else{z=u+w|0;A=r-w|0}x=w+t|0;w=c[h>>2]|0;if((w|0)==0|(A|0)==0){m=x;n=y;o=A;p=z;q=w;break a}else{r=A;s=y;t=x;u=z;v=w}}m=-1;n=y;o=0;p=u;q=c[h>>2]|0}}while(0);b:do{if((q|0)==0){B=m}else{if((o|0)==0|(n|0)==0){B=m;break}else{C=o;D=n;E=m;F=p;G=q}while(1){H=G$(F,c[G>>2]|0,0)|0;if((H+1|0)>>>0<2>>>0){break}y=(c[h>>2]|0)+4|0;c[h>>2]=y;z=D-1|0;A=E+1|0;if((C|0)==(H|0)|(z|0)==0){B=A;break b}else{C=C-H|0;D=z;E=A;F=F+H|0;G=y}}if((H|0)!=0){B=-1;break}c[h>>2]=0;B=E}}while(0);if(!k){i=f;return B|0}c[b>>2]=c[h>>2];i=f;return B|0}function I$(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;f=i;i=i+8|0;g=f|0;if((b|0)==0){h=c[d>>2]|0;j=g|0;k=c[h>>2]|0;if((k|0)==0){l=0;i=f;return l|0}else{m=0;n=h;o=k}while(1){if(o>>>0>127>>>0){k=G$(j,o,0)|0;if((k|0)==-1){l=-1;p=26;break}else{q=k}}else{q=1}k=q+m|0;h=n+4|0;r=c[h>>2]|0;if((r|0)==0){l=k;p=26;break}else{m=k;n=h;o=r}}if((p|0)==26){i=f;return l|0}}a:do{if(e>>>0>3>>>0){o=e;n=b;m=c[d>>2]|0;while(1){q=c[m>>2]|0;if((q|0)==0){s=o;t=n;break a}if(q>>>0>127>>>0){j=G$(n,q,0)|0;if((j|0)==-1){l=-1;break}u=n+j|0;v=o-j|0;w=m}else{a[n]=q;u=n+1|0;v=o-1|0;w=c[d>>2]|0}q=w+4|0;c[d>>2]=q;if(v>>>0>3>>>0){o=v;n=u;m=q}else{s=v;t=u;break a}}i=f;return l|0}else{s=e;t=b}}while(0);b:do{if((s|0)==0){x=0}else{b=g|0;u=s;v=t;w=c[d>>2]|0;while(1){m=c[w>>2]|0;if((m|0)==0){p=24;break}if(m>>>0>127>>>0){n=G$(b,m,0)|0;if((n|0)==-1){l=-1;p=26;break}if(n>>>0>u>>>0){p=20;break}G$(v,c[w>>2]|0,0)|0;y=v+n|0;z=u-n|0;A=w}else{a[v]=m;y=v+1|0;z=u-1|0;A=c[d>>2]|0}m=A+4|0;c[d>>2]=m;if((z|0)==0){x=0;break b}else{u=z;v=y;w=m}}if((p|0)==20){l=e-u|0;i=f;return l|0}else if((p|0)==24){a[v]=0;x=u;break}else if((p|0)==26){i=f;return l|0}}}while(0);c[d>>2]=0;l=e-x|0;i=f;return l|0}function J$(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0;e=i;i=i+104|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=e+32|0;l=e+40|0;m=e+48|0;n=e+56|0;o=B0(20)|0;p=o;if((o|0)==0){q=12;i=e;return q|0}r=B0(2048)|0;c[o+16>>2]=r;if((r|0)==0){C0(o);q=12;i=e;return q|0}c[o>>2]=512;c[o+4>>2]=10240;c[o+8>>2]=128;c[o+12>>2]=0;s=Z$(0,0)|0;if((s|0)==0){C0(r);C0(o);q=12;i=e;return q|0}e1(n|0,0,44)|0;c[n>>2]=s;c[n+4>>2]=p;c[n+12>>2]=b;c[n+36>>2]=d;b=n+28|0;c[b>>2]=-1;r=K$(n)|0;a:do{if((r|0)==0){t=n+20|0;u=c[t>>2]|0;v=u-1|0;c[a>>2]=v;w=c[n+8>>2]|0;x=c[b>>2]|0;if((x|0)>-1){if((c[n+32>>2]|0)!=0){y=2;z=0;A=0;B=0;break}}if((x|0)>(v|0)){y=6;z=0;A=0;B=0;break}v=D0(1,68)|0;C=v;if((v|0)==0){y=12;z=C;A=0;B=0;break}D=x>>>31;c[v+60>>2]=D^1;c[v+64>>2]=c[n+32>>2];c[v+28>>2]=u;if((D|0)==1){if((d&8|0)==0){E=13}else{F=0}}else{E=13}if((E|0)==13){D=L$(0,p,w,C)|0;if((D|0)!=0){y=D;z=C;A=0;B=0;break}D=c[v+40>>2]|0;if((D|0)>0){u=(D<<2)+4|0;x=B0(u)|0;G=x;if((x|0)==0){y=12;z=C;A=0;B=0;break}c[v+32>>2]=G;e1(x|0,-1|0,u|0)|0;H=G}else{H=0}G=D0(D<<1|1,4)|0;c[v+36>>2]=G;if((G|0)==0){y=12;z=C;A=0;B=0;break}G=D0(c[t>>2]|0,12)|0;if((G|0)==0){y=12;z=C;A=0;B=0;break}c[v+16>>2]=G;G=L$(s,p,w,C)|0;if((G|0)==0){F=H}else{y=G;z=C;A=0;B=0;break}}G=n+24|0;t=o+12|0;D=c[t>>2]|0;c[h>>2]=0;c[j>>2]=0;u=R$(p,w)|0;b:do{if((u|0)==0){x=R$(p,0)|0;if((x|0)!=0){I=x;break}x=o+16|0;J=c[t>>2]|0;c:do{if((J|0)>(D|0)){K=0;L=0;M=0;N=J;d:while(1){O=N-1|0;c[t>>2]=O;P=c[x>>2]|0;Q=c[P+(O<<2)>>2]|0;O=N-2|0;c[t>>2]=O;R=c[P+(O<<2)>>2]|0;do{if((Q|0)==0){O=c[R>>2]|0;if((O|0)==0){S=c[R+4>>2]|0;T=c[S>>2]|0;if(!((T|0)>-1|(T|0)==-4)){U=M;V=L;W=K;break}T=S+8|0;S=(c[T>>2]|0)+K|0;c[T>>2]=S;if((S|0)<=(c[j>>2]|0)){U=M;V=L;W=K;break}c[j>>2]=S;U=M;V=L;W=K;break}else if((O|0)==3){S=c[R+4>>2]|0;T=R$(p,c[S+4>>2]|0)|0;if((T|0)!=0){X=T;Y=L;break c}T=R$(p,0)|0;if((T|0)!=0){X=T;Y=L;break c}T=R$(p,c[S>>2]|0)|0;if((T|0)!=0){X=T;Y=L;break c}Z=R$(p,0)|0}else if((O|0)==1){T=c[R+4>>2]|0;S=R$(p,c[T+4>>2]|0)|0;if((S|0)!=0){X=S;Y=L;break c}S=R$(p,0)|0;if((S|0)!=0){X=S;Y=L;break c}S=R$(p,c[T>>2]|0)|0;if((S|0)!=0){X=S;Y=L;break c}Z=R$(p,0)|0}else if((O|0)==2){O=c[R+4>>2]|0;S=R$(p,K)|0;if((S|0)!=0){X=S;Y=L;break c}S=R$(p,R)|0;if((S|0)!=0){X=S;Y=L;break c}S=R$(p,1)|0;if((S|0)!=0){X=S;Y=L;break c}S=R$(p,c[O>>2]|0)|0;if((S|0)!=0){X=S;Y=L;break c}S=R$(p,0)|0;if((S|0)!=0){X=S;Y=L;break c}if((c[O+4>>2]|0)>1){E=45}else{if((c[O+8>>2]|0)>1){E=45}else{_=K}}if((E|0)==45){E=0;c[h>>2]=0;_=0}U=M+1|0;V=L;W=_;break}else{U=M;V=L;W=K;break}if((Z|0)==0){U=M;V=L;W=K}else{X=Z;Y=L;break c}}else if((Q|0)==1){O=R+4|0;S=c[O>>2]|0;T=N-3|0;c[t>>2]=T;$=c[P+(T<<2)>>2]|0;c[h>>2]=$;T=S+4|0;aa=c[T>>2]|0;do{if((aa|0)>1){c[k>>2]=0;ba=S;E=51}else{if((c[S+8>>2]|0)<=1){ca=$;break}c[k>>2]=0;da=S;if((aa|0)>0){ba=da;E=51}else{ea=aa;fa=0;ga=$;ha=da;E=60}}}while(0);e:do{if((E|0)==51){E=0;da=aa;ia=0;ja=1;ka=$;while(1){la=S$(s,p,c[ba>>2]|0,(ja|0)<(da|0)?1:2,h,F,l,j)|0;if((la|0)!=0){I=la;break b}la=c[l>>2]|0;if((ia|0)==0){ma=la}else{na=$$(s,0,0,1,32)|0;if((na|0)==0){I=12;break b}oa=$$(s,0,0,1,8)|0;pa=na+4|0;c[pa>>2]=oa;if((oa|0)==0){I=12;break b}c[na>>2]=1;c[na+8>>2]=-1;c[na+12>>2]=-1;c[oa>>2]=ia;c[(c[pa>>2]|0)+4>>2]=la;c[na+16>>2]=(c[la+16>>2]|0)+(c[ia+16>>2]|0);ma=na}if((ma|0)==0){I=12;break b}na=c[T>>2]|0;if((ja|0)>=(na|0)){ea=na;fa=ma;ga=ka;ha=ba;E=60;break e}da=na;ia=ma;ja=ja+1|0;ka=c[h>>2]|0}}}while(0);if((E|0)==60){E=0;T=S+8|0;aa=c[T>>2]|0;do{if((aa|0)==-1){ka=c[h>>2]|0;ja=S$(s,p,c[ha>>2]|0,0,h,0,k,j)|0;if((ja|0)!=0){I=ja;break b}ja=c[k>>2]|0;ia=$$(s,0,0,1,32)|0;da=ia;if((ia|0)==0){E=65;break d}na=$$(s,0,0,1,16)|0;c[ia+4>>2]=na;if((na|0)==0){E=65;break d}c[ia>>2]=2;c[ia+8>>2]=-1;c[ia+12>>2]=-1;c[na>>2]=ja;c[na+4>>2]=0;c[na+8>>2]=-1;la=na+12|0;c[la>>2]=c[la>>2]&-2;c[ia+16>>2]=c[ja+16>>2];c[k>>2]=da;qa=ka;ra=da}else{if((ea|0)<(aa|0)){sa=0;ta=ea}else{qa=ga;ra=0;break}while(1){da=c[h>>2]|0;ka=S$(s,p,c[ha>>2]|0,0,h,0,m,j)|0;if((ka|0)!=0){I=ka;break b}ka=c[m>>2]|0;if((sa|0)==0){ua=ka}else{ja=$$(s,0,0,1,32)|0;if((ja|0)==0){E=72;break d}ia=$$(s,0,0,1,8)|0;la=ja+4|0;c[la>>2]=ia;if((ia|0)==0){E=72;break d}c[ja>>2]=1;c[ja+8>>2]=-1;c[ja+12>>2]=-1;c[ia>>2]=ka;c[(c[la>>2]|0)+4>>2]=sa;c[ja+16>>2]=(c[sa+16>>2]|0)+(c[ka+16>>2]|0);ua=ja}c[k>>2]=ua;if((ua|0)==0){I=12;break b}ja=$$(s,0,0,1,32)|0;if((ja|0)==0){I=12;break b}ka=$$(s,0,0,1,20)|0;c[ja+4>>2]=ka;if((ka|0)==0){I=12;break b}c[ja>>2]=0;c[ja+8>>2]=-1;c[ja+12>>2]=-1;c[ka>>2]=-1;c[ka+4>>2]=-1;c[ka+8>>2]=-1;ka=$$(s,0,0,1,32)|0;la=ka;if((ka|0)==0){E=78;break d}ia=$$(s,0,0,1,8)|0;na=ka+4|0;c[na>>2]=ia;if((ia|0)==0){E=78;break d}c[ka>>2]=3;c[ka+8>>2]=-1;c[ka+12>>2]=-1;c[ia>>2]=ja;c[(c[na>>2]|0)+4>>2]=ua;c[ka+16>>2]=(c[ua+16>>2]|0)+(c[ja+16>>2]|0);c[k>>2]=la;ja=ta+1|0;if((ja|0)<(c[T>>2]|0)){sa=la;ta=ja}else{qa=da;ra=la;break}}}}while(0);c[h>>2]=qa;do{if((fa|0)==0){va=ra;E=85}else{if((ra|0)==0){wa=fa;break}T=$$(s,0,0,1,32)|0;if((T|0)==0){I=12;break b}aa=$$(s,0,0,1,8)|0;S=T+4|0;c[S>>2]=aa;if((aa|0)==0){I=12;break b}c[T>>2]=1;c[T+8>>2]=-1;c[T+12>>2]=-1;c[aa>>2]=fa;c[(c[S>>2]|0)+4>>2]=ra;c[T+16>>2]=(c[ra+16>>2]|0)+(c[fa+16>>2]|0);va=T;E=85}}while(0);if((E|0)==85){E=0;if((va|0)==0){I=12;break b}else{wa=va}}c[O>>2]=c[wa+4>>2];c[R>>2]=c[wa>>2];ca=qa}T=M-1|0;S=ca-$+L|0;if((T|0)!=0){U=T;V=S;W=ca;break}c[h>>2]=S;U=0;V=S;W=S}else{U=M;V=L;W=K}}while(0);R=c[t>>2]|0;if((R|0)>(D|0)){K=W;L=V;M=U;N=R}else{X=0;Y=V;break c}}if((E|0)==65){c[k>>2]=0;I=12;break b}else if((E|0)==72){c[k>>2]=0;I=12;break b}else if((E|0)==78){c[k>>2]=0;I=12;break b}}else{X=0;Y=0}}while(0);x=(c[G>>2]|0)+Y|0;c[G>>2]=x;J=c[j>>2]|0;if((J|0)<=(x|0)){I=X;break}c[G>>2]=J;I=X}else{I=u}}while(0);if((I|0)!=0){y=I;z=C;A=0;B=0;break}u=c[G>>2]|0;c[G>>2]=u+1;D=$$(s,0,0,1,32)|0;if((D|0)==0){y=12;z=C;A=0;B=0;break}J=$$(s,0,0,1,20)|0;c[D+4>>2]=J;if((J|0)==0){y=12;z=C;A=0;B=0;break}c[D>>2]=0;c[D+8>>2]=-1;c[D+12>>2]=-1;c[J>>2]=0;c[J+4>>2]=0;c[J+8>>2]=u;u=$$(s,0,0,1,32)|0;J=u;if((u|0)==0){y=12;z=C;A=0;B=0;break}x=$$(s,0,0,1,8)|0;N=u+4|0;c[N>>2]=x;if((x|0)==0){y=12;z=C;A=0;B=0;break}c[u>>2]=1;c[u+8>>2]=-1;c[u+12>>2]=-1;c[x>>2]=w;c[(c[N>>2]|0)+4>>2]=D;c[u+16>>2]=(c[D+16>>2]|0)+(c[w+16>>2]|0);D=c[t>>2]|0;N=R$(p,u)|0;if((N|0)!=0){y=N;z=C;A=0;B=0;break}N=R$(p,0)|0;if((N|0)!=0){y=N;z=C;A=0;B=0;break}N=c[t>>2]|0;f:do{if((N|0)>(D|0)){x=o+16|0;M=N;g:while(1){L=M-1|0;c[t>>2]=L;K=c[x>>2]|0;R=c[K+(L<<2)>>2]|0;L=M-2|0;c[t>>2]=L;xa=c[K+(L<<2)>>2]|0;do{if((R|0)==0){L=c[xa>>2]|0;if((L|0)==3){K=R$(p,xa)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=R$(p,1)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=xa+4|0;P=R$(p,c[(c[K>>2]|0)+4>>2]|0)|0;if((P|0)!=0){y=P;z=C;A=0;B=0;break a}P=R$(p,0)|0;if((P|0)!=0){y=P;z=C;A=0;B=0;break a}P=R$(p,c[c[K>>2]>>2]|0)|0;if((P|0)!=0){y=P;z=C;A=0;B=0;break a}P=R$(p,0)|0;if((P|0)==0){break}else{y=P;z=C;A=0;B=0;break a}}else if((L|0)==1){P=R$(p,xa)|0;if((P|0)!=0){y=P;z=C;A=0;B=0;break a}P=R$(p,2)|0;if((P|0)!=0){y=P;z=C;A=0;B=0;break a}P=xa+4|0;K=R$(p,c[(c[P>>2]|0)+4>>2]|0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=R$(p,0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=R$(p,c[c[P>>2]>>2]|0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=R$(p,0)|0;if((K|0)==0){break}else{y=K;z=C;A=0;B=0;break a}}else if((L|0)==2){K=R$(p,xa)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=R$(p,3)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=R$(p,c[c[xa+4>>2]>>2]|0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=R$(p,0)|0;if((K|0)==0){break}else{y=K;z=C;A=0;B=0;break a}}else if((L|0)==0){L=c[xa+4>>2]|0;K=L;P=c[K>>2]|0;if((P|0)==-4){c[xa+8>>2]=0;Q=L+8|0;S=c[Q>>2]|0;T=$$(s,0,0,1,64)|0;if((T|0)==0){E=105;break g}c[T>>2]=S;c[T+4>>2]=0;c[T+8>>2]=1114111;c[T+20>>2]=0;c[T+24>>2]=0;e1(T+28|0,-1|0,16)|0;c[xa+24>>2]=T;T=c[Q>>2]|0;Q=c[L+4>>2]|0;S=$$(s,0,0,1,64)|0;if((S|0)==0){E=107;break g}c[S>>2]=T;c[S+4>>2]=0;c[S+8>>2]=1114111;c[S+20>>2]=0;c[S+24>>2]=0;c[S+28>>2]=Q;c[S+32>>2]=-1;c[S+36>>2]=-1;c[S+40>>2]=-1;c[xa+28>>2]=S;break}S=xa+8|0;if((P|0)<0){c[S>>2]=1;Q=$$(s,0,0,1,32)|0;if((Q|0)==0){E=111;break g}c[Q>>2]=-1;c[Q+4>>2]=-1;c[Q+8>>2]=-1;c[xa+24>>2]=Q;Q=$$(s,0,0,1,32)|0;if((Q|0)==0){E=113;break g}c[Q>>2]=-1;c[Q+4>>2]=-1;c[Q+8>>2]=-1;c[xa+28>>2]=Q;break}else{c[S>>2]=0;S=L+8|0;Q=c[S>>2]|0;T=L+4|0;aa=c[T>>2]|0;la=$$(s,0,0,1,64)|0;if((la|0)==0){E=116;break g}c[la>>2]=Q;c[la+4>>2]=P;c[la+8>>2]=aa;c[la+20>>2]=0;c[la+24>>2]=0;e1(la+28|0,-1|0,16)|0;c[xa+24>>2]=la;la=c[S>>2]|0;S=c[K>>2]|0;K=c[T>>2]|0;T=c[L+12>>2]|0;aa=c[L+16>>2]|0;L=$$(s,0,0,1,64)|0;if((L|0)==0){E=118;break g}c[L>>2]=la;c[L+4>>2]=S;c[L+8>>2]=K;c[L+20>>2]=T;c[L+24>>2]=aa;e1(L+28|0,-1|0,16)|0;c[xa+28>>2]=L;break}}else{break}}else if((R|0)==1){L=c[xa+4>>2]|0;aa=L;T=c[aa>>2]|0;K=L+4|0;L=c[K>>2]|0;if((c[T+8>>2]|0)==0){ya=(c[L+8>>2]|0)!=0|0}else{ya=1}c[xa+8>>2]=ya;S=P$(s,c[T+24>>2]|0,c[L+24>>2]|0,0,0)|0;c[xa+24>>2]=S;if((S|0)==0){y=12;z=C;A=0;B=0;break a}S=P$(s,c[(c[aa>>2]|0)+28>>2]|0,c[(c[K>>2]|0)+28>>2]|0,0,0)|0;c[xa+28>>2]=S;if((S|0)==0){y=12;z=C;A=0;B=0;break a}}else if((R|0)==3){S=c[xa+4>>2]|0;K=S;aa=c[K>>2]|0;do{if((c[S+4>>2]|0)==0){E=142}else{if((c[aa+8>>2]|0)!=0){E=142;break}c[xa+8>>2]=0}}while(0);if((E|0)==142){E=0;c[xa+8>>2]=1}c[xa+24>>2]=c[aa+24>>2];c[xa+28>>2]=c[(c[K>>2]|0)+28>>2]}else if((R|0)==2){S=c[xa+4>>2]|0;L=S;T=c[L>>2]|0;la=T+8|0;if((c[la>>2]|0)==0){za=0}else{za=(c[(c[S+4>>2]|0)+8>>2]|0)!=0|0}c[xa+8>>2]=za;if((c[la>>2]|0)==0){c[xa+24>>2]=c[T+24>>2];Aa=S+4|0}else{la=Q$(p,T,0,0,f)|0;if((la|0)!=0){y=la;z=C;A=0;B=0;break a}Ba=B0((c[f>>2]<<2)+4|0)|0;la=Ba;if((Ba|0)==0){y=12;z=C;A=0;B=0;break a}c[la>>2]=-1;c[g>>2]=0;Ca=Q$(p,c[L>>2]|0,la,g,0)|0;if((Ca|0)!=0){E=151;break g}T=S+4|0;S=xa+24|0;c[S>>2]=P$(s,c[(c[T>>2]|0)+24>>2]|0,c[(c[L>>2]|0)+24>>2]|0,la,c[g>>2]|0)|0;C0(Ba);if((c[S>>2]|0)==0){y=12;z=C;A=0;B=0;break a}else{Aa=T}}T=c[Aa>>2]|0;if((c[T+8>>2]|0)==0){c[xa+28>>2]=c[T+28>>2];break}S=Q$(p,T,0,0,f)|0;if((S|0)!=0){y=S;z=C;A=0;B=0;break a}Da=B0((c[f>>2]<<2)+4|0)|0;S=Da;if((Da|0)==0){y=12;z=C;A=0;B=0;break a}c[S>>2]=-1;c[g>>2]=0;Ea=Q$(p,c[Aa>>2]|0,S,g,0)|0;if((Ea|0)!=0){E=158;break g}T=xa+28|0;c[T>>2]=P$(s,c[(c[L>>2]|0)+28>>2]|0,c[(c[Aa>>2]|0)+28>>2]|0,S,c[g>>2]|0)|0;C0(Da);if((c[T>>2]|0)==0){y=12;z=C;A=0;B=0;break a}}}while(0);M=c[t>>2]|0;if((M|0)<=(D|0)){break f}}if((E|0)==105){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==107){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==111){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==113){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==116){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==118){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==151){C0(Ba);y=Ca;z=C;A=0;B=0;break a}else if((E|0)==158){C0(Da);y=Ea;z=C;A=0;B=0;break a}}}while(0);D=c[G>>2]|0;t=D<<2;N=B0(t)|0;w=N;if((N|0)==0){y=12;z=C;A=w;B=0;break}M=B0(t)|0;t=M;if((M|0)==0){y=12;z=C;A=w;B=t;break}if((D|0)>0){e1(N|0,0,((D|0)>1?D<<2:4)|0)|0}M$(J,0,w,0)|0;D=c[G>>2]|0;if((D|0)>0){x=0;R=0;while(1){c[t+(x<<2)>>2]=R;T=w+(x<<2)|0;S=R+1+(c[T>>2]|0)|0;c[T>>2]=0;T=x+1|0;if((T|0)<(D|0)){x=T;R=S}else{Fa=S;break}}}else{Fa=0}R=D0(Fa+1|0,32)|0;x=R;if((R|0)==0){y=12;z=C;A=w;B=t;break}c[v>>2]=x;R=v+4|0;c[R>>2]=Fa;D=M$(J,x,w,t)|0;if((D|0)!=0){y=D;z=C;A=w;B=t;break}c[v+20>>2]=0;D=u+24|0;S=c[D>>2]|0;if((c[S>>2]|0)>-1){T=1;L=S;while(1){S=L+32|0;la=T+1|0;if((c[S>>2]|0)>-1){T=la;L=S}else{Ga=la;break}}}else{Ga=1}L=D0(Ga,32)|0;T=L;if((L|0)==0){y=12;z=C;A=w;B=t;break}c[v+8>>2]=T;L=c[D>>2]|0;J=c[L>>2]|0;if((J|0)>-1){la=0;S=L;L=J;while(1){c[T+(la<<5)+8>>2]=x+(c[t+(L<<2)>>2]<<5);c[T+(la<<5)+12>>2]=L;J=T+(la<<5)+16|0;c[J>>2]=0;P=S+12|0;Q=c[P>>2]|0;if((Q|0)!=0){da=0;while(1){Ha=da+1|0;if((c[Q+(da<<2)>>2]|0)>-1){da=Ha}else{break}}da=Ha<<2;Q=B0(da)|0;c[J>>2]=Q;if((Q|0)==0){y=12;z=C;A=w;B=t;break a}d1(Q|0,c[P>>2]|0,da)|0}c[T+(la<<5)+20>>2]=c[S+16>>2];da=la+1|0;Q=S+32|0;ja=c[Q>>2]|0;if((ja|0)>-1){la=da;S=Q;L=ja}else{Ia=da;break}}}else{Ia=0}c[T+(Ia<<5)+8>>2]=0;c[R>>2]=Fa;c[v+12>>2]=x+(c[t+(c[c[u+28>>2]>>2]<<2)>>2]<<5);c[v+52>>2]=c[G>>2];c[v+56>>2]=d;_$(s);C0(c[o+16>>2]|0);C0(o);C0(N);C0(M);c[a+4>>2]=v;q=0;i=e;return q|0}else{y=r;z=0;A=0;B=0}}while(0);_$(s);C0(c[o+16>>2]|0);C0(o);if((A|0)!=0){C0(A)}if((B|0)!=0){C0(B)}c[a+4>>2]=z;N$(a);q=y;i=e;return q|0}



function os(a,b,d,e,f,g,j,k,l,m,n){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0,N=0.0,O=0,P=0,Q=0.0,R=0,S=0.0,T=0.0,U=0,V=0.0,W=0,X=0.0,Y=0,Z=0,_=0;o=i;i=i+8|0;p=o|0;q=c[l>>2]|0;r=~q;s=c[n>>2]|0;t=~s;u=(jA(a,1658928,0,0)|0)!=0;v=c[(u?f:g)>>2]|0;w=jA(e,1674848,0,0)|0;x=jA(b,1656312,0,0)|0;c[p>>2]=0;do{if(u){y=4}else{if((jA(a,1645016,0,0)|0)!=0){y=4;break}c[p>>2]=1}}while(0);a:do{if((y|0)==4){do{if((x|0)==0){if((jA(b,1658928,0,0)|0)!=0){break}c[p>>2]=2;break a}}while(0);do{if((jA(d,1674848,0,0)|0)==0){if((jA(d,1634896,0,0)|0)!=0){break}if((jA(d,42528,0,0)|0)!=0){break}c[p>>2]=3;break a}}while(0);do{if((jA(e,1656312,0,0)|0)==0){if((jA(e,1674848,0,0)|0)!=0){break}c[p>>2]=4;break a}}while(0);a=c[f>>2]|0;if((a|0)<0){c[p>>2]=5;break}z=c[g>>2]|0;if((z|0)<0){c[p>>2]=6;break}if((c[l>>2]|0)<(((v|0)>1?v:1)|0)){c[p>>2]=9;break}if((c[n>>2]|0)<(((a|0)>1?a:1)|0)){c[p>>2]=11;break}if((c[p>>2]|0)!=0){break}if((a|0)==0|(z|0)==0){i=o;return 0}if(+h[j>>3]==0.0){if((z|0)<1){i=o;return 0}else{A=2;B=0;C=a}while(1){if((C|0)>=1){e1(m+((ga(s,B)|0)<<3)|0,0,C<<3|0)|0}if((A|0)>(z|0)){break}A=A+1|0;B=B+1|0;C=c[f>>2]|0}i=o;return 0}z=(jA(d,1674848,0,0)|0)!=0;a=(x|0)!=0;D=c[g>>2]|0;if(u){E=(D|0)<1;if(!z){if(a){if(E){i=o;return 0}F=(w|0)==0;G=1;do{H=c[f>>2]|0;if((H|0)>=1){I=(ga(G,s)|0)+t|0;J=1;do{K=m+(I+J<<3)|0;L=+h[j>>3]*+h[K>>3];M=J-1|0;if((M|0)<1){N=L}else{O=(ga(J,q)|0)+r|0;P=1;Q=L;while(1){L=Q- +h[k+(O+P<<3)>>3]*+h[m+(I+P<<3)>>3];R=P+1|0;if((R|0)>(M|0)){N=L;break}else{P=R;Q=L}}}if(F){S=N}else{S=N/+h[k+(J+r+(ga(J,q)|0)<<3)>>3]}h[K>>3]=S;J=J+1|0;}while((J|0)<=(H|0))}G=G+1|0;}while((G|0)<=(D|0));i=o;return 0}if(E){i=o;return 0}G=(w|0)==0;F=1;do{H=c[f>>2]|0;b:do{if((H|0)>0){J=(ga(F,s)|0)+t|0;I=H;P=H;while(1){M=m+(J+I<<3)|0;Q=+h[j>>3]*+h[M>>3];O=I+1|0;if((O|0)>(P|0)){T=Q}else{R=(ga(I,q)|0)+r|0;L=Q;U=O;while(1){Q=L- +h[k+(R+U<<3)>>3]*+h[m+(J+U<<3)>>3];O=U+1|0;if((O|0)>(P|0)){T=Q;break}else{L=Q;U=O}}}if(G){V=T}else{V=T/+h[k+(I+r+(ga(I,q)|0)<<3)>>3]}h[M>>3]=V;U=I-1|0;if((U|0)<=0){break b}I=U;P=c[f>>2]|0}}}while(0);F=F+1|0;}while((F|0)<=(D|0));i=o;return 0}if(a){if(E){i=o;return 0}F=(w|0)==0;G=1;do{L=+h[j>>3];c:do{if(L!=1.0){H=c[f>>2]|0;if((H|0)<1){break}P=(ga(G,s)|0)+t|0;I=1;Q=L;while(1){J=m+(P+I<<3)|0;h[J>>3]=Q*+h[J>>3];J=I+1|0;if((J|0)>(H|0)){y=43;break c}I=J;Q=+h[j>>3]}}else{y=43}}while(0);d:do{if((y|0)==43){y=0;I=c[f>>2]|0;if((I|0)<=0){break}H=(ga(G,s)|0)+t|0;if(F){P=I;while(1){J=m+(H+P<<3)|0;L=+h[J>>3];K=P-1|0;e:do{if(L!=0.0){if((K|0)<1){break d}U=(ga(P,q)|0)+r|0;R=1;Q=L;while(1){O=m+(H+R<<3)|0;h[O>>3]=+h[O>>3]-Q*+h[k+(U+R<<3)>>3];O=R+1|0;if((O|0)>(K|0)){break e}R=O;Q=+h[J>>3]}}}while(0);if((K|0)>0){P=K}else{break d}}}else{W=I}while(1){P=m+(H+W<<3)|0;L=+h[P>>3];f:do{if(L!=0.0){Q=L/+h[k+(W+r+(ga(W,q)|0)<<3)>>3];h[P>>3]=Q;J=W-1|0;if((J|0)<1){break d}M=(ga(W,q)|0)+r|0;R=1;X=Q;while(1){U=m+(H+R<<3)|0;h[U>>3]=+h[U>>3]-X*+h[k+(M+R<<3)>>3];U=R+1|0;if((U|0)>(J|0)){Y=J;break f}R=U;X=+h[P>>3]}}else{Y=W-1|0}}while(0);if((Y|0)>0){W=Y}else{break}}}}while(0);G=G+1|0;}while((G|0)<=(D|0));i=o;return 0}if(E){i=o;return 0}G=(w|0)==0;F=1;do{L=+h[j>>3];g:do{if(L!=1.0){H=c[f>>2]|0;if((H|0)<1){break}I=(ga(F,s)|0)+t|0;P=1;X=L;while(1){K=m+(I+P<<3)|0;h[K>>3]=X*+h[K>>3];K=P+1|0;if((K|0)>(H|0)){y=64;break g}P=K;X=+h[j>>3]}}else{y=64}}while(0);do{if((y|0)==64){y=0;P=c[f>>2]|0;if((P|0)<1){break}H=(ga(F,s)|0)+t|0;if(G){I=1;while(1){K=m+(H+I<<3)|0;L=+h[K>>3];h:do{if(L!=0.0){R=c[f>>2]|0;J=I+1|0;if((J|0)>(R|0)){Z=J;break}M=(ga(I,q)|0)+r|0;U=J;X=L;while(1){O=m+(H+U<<3)|0;h[O>>3]=+h[O>>3]-X*+h[k+(M+U<<3)>>3];O=U+1|0;if((O|0)>(R|0)){Z=J;break h}U=O;X=+h[K>>3]}}else{Z=I+1|0}}while(0);if((Z|0)>(P|0)){break}else{I=Z}}}else{I=1;while(1){K=m+(H+I<<3)|0;L=+h[K>>3];i:do{if(L!=0.0){X=L/+h[k+(I+r+(ga(I,q)|0)<<3)>>3];h[K>>3]=X;U=c[f>>2]|0;J=I+1|0;if((J|0)>(U|0)){_=J;break}R=(ga(I,q)|0)+r|0;M=J;Q=X;while(1){O=m+(H+M<<3)|0;h[O>>3]=+h[O>>3]-Q*+h[k+(R+M<<3)>>3];O=M+1|0;if((O|0)>(U|0)){_=J;break i}M=O;Q=+h[K>>3]}}else{_=I+1|0}}while(0);if((_|0)>(P|0)){break}else{I=_}}}}}while(0);F=F+1|0;}while((F|0)<=(D|0));i=o;return 0}if(!z){if(a){if((D|0)<=0){i=o;return 0}F=(w|0)==0;G=D;while(1){do{if(!F){L=1.0/+h[k+(G+r+(ga(G,q)|0)<<3)>>3];E=c[f>>2]|0;if((E|0)<1){break}I=(ga(G,s)|0)+t|0;P=1;do{H=m+(I+P<<3)|0;h[H>>3]=L*+h[H>>3];P=P+1|0;}while((P|0)<=(E|0))}}while(0);E=G-1|0;if((E|0)>=1){P=(ga(G,q)|0)+r|0;I=(ga(G,s)|0)+t|0;H=1;do{L=+h[k+(P+H<<3)>>3];do{if(L!=0.0){K=c[f>>2]|0;if((K|0)<1){break}M=(ga(H,s)|0)+t|0;J=1;do{U=m+(M+J<<3)|0;h[U>>3]=+h[U>>3]-L*+h[m+(I+J<<3)>>3];J=J+1|0;}while((J|0)<=(K|0))}}while(0);H=H+1|0;}while((H|0)<=(E|0))}L=+h[j>>3];j:do{if(L!=1.0){H=c[f>>2]|0;if((H|0)<1){break}I=(ga(G,s)|0)+t|0;P=1;Q=L;while(1){K=m+(I+P<<3)|0;h[K>>3]=Q*+h[K>>3];K=P+1|0;if((K|0)>(H|0)){break j}P=K;Q=+h[j>>3]}}}while(0);if((E|0)>0){G=E}else{break}}i=o;return 0}else{if((D|0)<1){i=o;return 0}G=(w|0)==0;F=1;while(1){do{if(!G){L=1.0/+h[k+(F+r+(ga(F,q)|0)<<3)>>3];z=c[f>>2]|0;if((z|0)<1){break}P=(ga(F,s)|0)+t|0;H=1;do{I=m+(P+H<<3)|0;h[I>>3]=L*+h[I>>3];H=H+1|0;}while((H|0)<=(z|0))}}while(0);E=c[g>>2]|0;z=F+1|0;if((z|0)<=(E|0)){H=(ga(F,q)|0)+r|0;P=(ga(F,s)|0)+t|0;I=z;do{L=+h[k+(H+I<<3)>>3];do{if(L!=0.0){K=c[f>>2]|0;if((K|0)<1){break}J=(ga(I,s)|0)+t|0;M=1;do{U=m+(J+M<<3)|0;h[U>>3]=+h[U>>3]-L*+h[m+(P+M<<3)>>3];M=M+1|0;}while((M|0)<=(K|0))}}while(0);I=I+1|0;}while((I|0)<=(E|0))}L=+h[j>>3];k:do{if(L!=1.0){E=c[f>>2]|0;if((E|0)<1){break}I=(ga(F,s)|0)+t|0;P=1;Q=L;while(1){H=m+(I+P<<3)|0;h[H>>3]=Q*+h[H>>3];H=P+1|0;if((H|0)>(E|0)){break k}P=H;Q=+h[j>>3]}}}while(0);if((z|0)>(D|0)){break}else{F=z}}i=o;return 0}}if(a){if((D|0)<1){i=o;return 0}F=(w|0)==0;G=1;do{L=+h[j>>3];l:do{if(L!=1.0){P=c[f>>2]|0;if((P|0)<1){break}E=(ga(G,s)|0)+t|0;I=1;Q=L;while(1){H=m+(E+I<<3)|0;h[H>>3]=Q*+h[H>>3];H=I+1|0;if((H|0)>(P|0)){break l}I=H;Q=+h[j>>3]}}}while(0);z=G-1|0;if((z|0)>=1){I=(ga(G,q)|0)+r|0;P=(ga(G,s)|0)+t|0;E=1;do{H=k+(I+E<<3)|0;L=+h[H>>3];m:do{if(L!=0.0){K=c[f>>2]|0;if((K|0)<1){break}M=(ga(E,s)|0)+t|0;J=1;Q=L;while(1){U=m+(P+J<<3)|0;h[U>>3]=+h[U>>3]-Q*+h[m+(M+J<<3)>>3];U=J+1|0;if((U|0)>(K|0)){break m}J=U;Q=+h[H>>3]}}}while(0);E=E+1|0;}while((E|0)<=(z|0))}do{if(!F){L=1.0/+h[k+(G+r+(ga(G,q)|0)<<3)>>3];z=c[f>>2]|0;if((z|0)<1){break}E=(ga(G,s)|0)+t|0;P=1;do{I=m+(E+P<<3)|0;h[I>>3]=L*+h[I>>3];P=P+1|0;}while((P|0)<=(z|0))}}while(0);G=G+1|0;}while((G|0)<=(D|0));i=o;return 0}else{if((D|0)<=0){i=o;return 0}G=(w|0)==0;F=D;do{L=+h[j>>3];n:do{if(L!=1.0){a=c[f>>2]|0;if((a|0)<1){break}z=(ga(F,s)|0)+t|0;P=1;Q=L;while(1){E=m+(z+P<<3)|0;h[E>>3]=Q*+h[E>>3];E=P+1|0;if((E|0)>(a|0)){break n}P=E;Q=+h[j>>3]}}}while(0);P=c[g>>2]|0;a=F+1|0;if((a|0)<=(P|0)){z=(ga(F,q)|0)+r|0;E=(ga(F,s)|0)+t|0;I=a;do{a=k+(z+I<<3)|0;L=+h[a>>3];o:do{if(L!=0.0){H=c[f>>2]|0;if((H|0)<1){break}J=(ga(I,s)|0)+t|0;K=1;Q=L;while(1){M=m+(E+K<<3)|0;h[M>>3]=+h[M>>3]-Q*+h[m+(J+K<<3)>>3];M=K+1|0;if((M|0)>(H|0)){break o}K=M;Q=+h[a>>3]}}}while(0);I=I+1|0;}while((I|0)<=(P|0))}do{if(!G){L=1.0/+h[k+(F+r+(ga(F,q)|0)<<3)>>3];P=c[f>>2]|0;if((P|0)<1){break}I=(ga(F,s)|0)+t|0;E=1;do{z=m+(I+E<<3)|0;h[z>>3]=L*+h[z>>3];E=E+1|0;}while((E|0)<=(P|0))}}while(0);F=F-1|0;}while((F|0)>0);i=o;return 0}}}while(0);Fc(37480,p|0)|0;i=o;return 0}function ps(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0;k=i;i=i+8|0;l=k|0;c[j>>2]=0;m=c[a>>2]|0;do{if((m|0)<0){c[j>>2]=-1;n=-1}else{if((c[b>>2]|0)<0){c[j>>2]=-2;n=-2;break}o=(m|0)>1?m:1;if((c[e>>2]|0)<(o|0)){c[j>>2]=-4;n=-4;break}if((c[h>>2]|0)<(o|0)){c[j>>2]=-7;n=-7;break}rs(a,a,d,e,f,j)|0;if((c[j>>2]|0)!=0){i=k;return 0}ss(1670400,a,b,d,e,f,g,h,j)|0;i=k;return 0}}while(0);c[l>>2]=-n;Fc(1645160,l|0)|0;i=k;return 0}function qs(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0,G=0,H=0.0,I=0;j=i;i=i+32|0;k=j|0;l=j+8|0;m=j+16|0;n=j+24|0;o=c[e>>2]|0;p=~o;c[g>>2]=0;q=c[a>>2]|0;do{if((q|0)<0){c[g>>2]=-1;r=-1}else{s=c[b>>2]|0;if((s|0)<0){c[g>>2]=-2;r=-2;break}if((c[e>>2]|0)<(((q|0)>1?q:1)|0)){c[g>>2]=-4;r=-4;break}if((q|0)==0|(s|0)==0){i=j;return 0}t=+Sz(1670216,0);s=c[a>>2]|0;u=c[b>>2]|0;v=(s|0)>(u|0)?u:s;c[k>>2]=v;if((v|0)<1){i=j;return 0}else{w=1;x=s}while(1){c[l>>2]=1-w+x;s=w-1|0;v=ga(w,o)|0;u=w+p|0;y=u+v|0;z=d+(y<<3)|0;A=s+(js(l,z,20336)|0)|0;c[f+(s<<2)>>2]=A;B=v+p|0;a:do{if(+h[d+(B+A<<3)>>3]!=0.0){if((A|0)!=(w|0)){ls(b,d+(s<<3)|0,e,d+(A-1<<3)|0,e)|0}C=c[a>>2]|0;if((w|0)>=(C|0)){break}D=+h[z>>3];h[n>>3]=D;if(D<0.0){E=-0.0-D}else{E=D}F=C-w|0;c[l>>2]=F;if(!(E<t)){h[n>>3]=1.0/D;ks(l,n,d+(w-o+v<<3)|0,20336)|0;break}if((F|0)<1){break}else{G=1;H=D}while(1){C=d+(y+G<<3)|0;h[C>>3]=+h[C>>3]/H;C=G+1|0;if((C|0)>(F|0)){break a}G=C;H=+h[z>>3]}}else{if((c[g>>2]|0)!=0){break}c[g>>2]=w}}while(0);z=c[a>>2]|0;y=c[b>>2]|0;if((w|0)<(((z|0)>(y|0)?y:z)|0)){c[l>>2]=z-w;c[m>>2]=y-w;y=w+1|0;z=ga(y,o)|0;ms(l,m,19632,d+(B+y<<3)|0,20336,d+(u+z<<3)|0,e,d+(y+p+z<<3)|0,e)|0;I=y}else{I=w+1|0}if((I|0)>(c[k>>2]|0)){break}w=I;x=c[a>>2]|0}i=j;return 0}}while(0);c[k>>2]=-r;Fc(1644344,k|0)|0;i=j;return 0}function rs(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;h=i;i=i+48|0;j=h|0;k=h+8|0;l=h+16|0;m=h+24|0;n=h+32|0;o=h+40|0;p=c[e>>2]|0;q=~p;c[g>>2]=0;r=c[a>>2]|0;do{if((r|0)<0){c[g>>2]=-1;s=-1}else{t=c[b>>2]|0;if((t|0)<0){c[g>>2]=-2;s=-2;break}if((c[e>>2]|0)<(((r|0)>1?r:1)|0)){c[g>>2]=-4;s=-4;break}if((r|0)==0|(t|0)==0){i=h;return 0}t=us(20328,1644320,1670208,a,b,19624,19624)|0;do{if((t|0)>=2){u=c[a>>2]|0;v=c[b>>2]|0;w=(u|0)>(v|0)?v:u;if((t|0)>=(w|0)){break}c[j>>2]=w;c[m>>2]=1;if((w|0)>0){x=1;y=u;z=v}else{i=h;return 0}while(1){v=((y|0)>(z|0)?z:y)-x+1|0;c[n>>2]=(v|0)<=(t|0)?v:t;c[k>>2]=y+1-x;qs(k,n,d+(x+q+(ga(x,p)|0)<<3)|0,e,f+(x-1<<2)|0,o)|0;do{if((c[g>>2]|0)==0){v=c[o>>2]|0;if((v|0)<=0){break}c[g>>2]=v-1+(c[m>>2]|0)}}while(0);v=c[a>>2]|0;c[l>>2]=v;u=c[m>>2]|0;w=u-1|0;A=w+(c[n>>2]|0)|0;B=(v|0)<=(A|0)?v:A;c[k>>2]=B;if((u|0)<=(B|0)){v=u;do{u=f+(v-1<<2)|0;c[u>>2]=(c[u>>2]|0)+w;v=v+1|0;}while((v|0)<=(B|0))}c[k>>2]=w;c[l>>2]=A;ts(k,d,e,m,l,f,20328)|0;B=c[m>>2]|0;v=c[n>>2]|0;u=v+B|0;C=c[b>>2]|0;do{if((u|0)>(C|0)){D=B}else{c[k>>2]=1-B-v+C;c[l>>2]=u-1;ts(k,d+((ga(u,p)|0)-p<<3)|0,e,m,l,f,20328)|0;E=c[m>>2]|0;F=c[n>>2]|0;c[k>>2]=(c[b>>2]|0)+1-E-F;G=E+q|0;os(1654520,1643544,1633592,41856,n,k,19680,d+(G+(ga(E,p)|0)<<3)|0,e,d+(G+(ga(F+E|0,p)|0)<<3)|0,e)|0;E=c[m>>2]|0;F=c[n>>2]|0;G=F+E|0;H=c[a>>2]|0;if((G|0)>(H|0)){D=E;break}c[k>>2]=1-E-F+H;c[l>>2]=(c[b>>2]|0)+1-E-F;F=ga(G,p)|0;ns(1633592,1633592,k,l,n,19664,d+((ga(E,p)|0)+q+G<<3)|0,e,d+(E+q+F<<3)|0,e,19680,d+(G+q+F<<3)|0,e)|0;D=c[m>>2]|0}}while(0);u=D+t|0;c[m>>2]=u;if((u|0)>(c[j>>2]|0)){break}x=u;y=c[a>>2]|0;z=c[b>>2]|0}i=h;return 0}}while(0);qs(a,b,d,e,f,g)|0;i=h;return 0}}while(0);c[j>>2]=-s;Fc(1644320,j|0)|0;i=h;return 0}function ss(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0;l=i;i=i+8|0;m=l|0;c[k>>2]=0;n=(jA(a,1644176,0,0)|0)!=0;do{if(n){o=5}else{if((jA(a,1669960,0,0)|0)!=0){o=5;break}if((jA(a,1654512,0,0)|0)!=0){o=5;break}c[k>>2]=-1;p=-1}}while(0);do{if((o|0)==5){a=c[b>>2]|0;if((a|0)<0){c[k>>2]=-2;p=-2;break}q=c[d>>2]|0;if((q|0)<0){c[k>>2]=-3;p=-3;break}r=(a|0)>1?a:1;if((c[f>>2]|0)<(r|0)){c[k>>2]=-5;p=-5;break}if((c[j>>2]|0)<(r|0)){c[k>>2]=-8;p=-8;break}r=c[k>>2]|0;if((r|0)!=0){p=r;break}if((a|0)==0|(q|0)==0){i=l;return 0}if(n){ts(d,h,j,20320,b,g,20320)|0;os(1633584,41848,36952,32408,b,d,19696,e,f,h,j)|0;os(1633584,28248,36952,24280,b,d,19696,e,f,h,j)|0;i=l;return 0}else{os(1633584,28248,1681296,24280,b,d,19696,e,f,h,j)|0;os(1633584,41848,1681296,32408,b,d,19696,e,f,h,j)|0;ts(d,h,j,20320,b,g,19616)|0;i=l;return 0}}}while(0);c[m>>2]=-p;Fc(1643536,m|0)|0;i=l;return 0}function ts(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0,I=0;j=c[d>>2]|0;d=~j;k=c[i>>2]|0;do{if((k|0)>0){l=c[e>>2]|0;m=1;n=l;o=f;p=l}else{if((k|0)<0){l=c[f>>2]|0;m=-1;n=(ga(1-l|0,k)|0)+1|0;o=e;p=l;break}else{return 0}}}while(0);e=c[o>>2]|0;o=c[a>>2]|0;f=((o|0)/32|0)<<5;if((f|0)<1){q=o;r=k}else{o=(m|0)<0;l=o?(p|0)>=(e|0):(p|0)<=(e|0);s=1;t=k;while(1){if(l){k=s+31|0;if(o){u=p;v=n;w=t;while(1){x=c[g+(v-1<<2)>>2]|0;if((x|0)==(u|0)){y=w}else{z=u+d|0;A=x+d|0;x=s;do{B=ga(x,j)|0;C=b+(z+B<<3)|0;D=+h[C>>3];E=b+(A+B<<3)|0;h[C>>3]=+h[E>>3];h[E>>3]=D;x=x+1|0;}while((x|0)<=(k|0));y=c[i>>2]|0}x=u+m|0;if((x|0)<(e|0)){F=y;break}else{u=x;v=y+v|0;w=y}}}else{w=p;v=n;u=t;while(1){x=c[g+(v-1<<2)>>2]|0;if((x|0)==(w|0)){G=u}else{A=w+d|0;z=x+d|0;x=s;do{E=ga(x,j)|0;C=b+(A+E<<3)|0;D=+h[C>>3];B=b+(z+E<<3)|0;h[C>>3]=+h[B>>3];h[B>>3]=D;x=x+1|0;}while((x|0)<=(k|0));G=c[i>>2]|0}x=w+m|0;if((x|0)>(e|0)){F=G;break}else{w=x;v=G+v|0;u=G}}}}else{F=t}u=s+32|0;if((u|0)>(f|0)){break}else{s=u;t=F}}q=c[a>>2]|0;r=F}if((f|0)==(q|0)){return 0}q=f|1;f=(m|0)<0;if(!(f?(p|0)>=(e|0):(p|0)<=(e|0))){return 0}if(f){f=p;F=n;t=r;while(1){s=c[g+(F-1<<2)>>2]|0;do{if((s|0)==(f|0)){H=t}else{G=c[a>>2]|0;if((q|0)>(G|0)){H=t;break}y=f+d|0;o=s+d|0;l=q;do{u=ga(l,j)|0;v=b+(y+u<<3)|0;D=+h[v>>3];w=b+(o+u<<3)|0;h[v>>3]=+h[w>>3];h[w>>3]=D;l=l+1|0;}while((l|0)<=(G|0));H=c[i>>2]|0}}while(0);s=f+m|0;if((s|0)<(e|0)){break}else{f=s;F=H+F|0;t=H}}return 0}else{H=p;p=n;n=r;while(1){r=c[g+(p-1<<2)>>2]|0;do{if((r|0)==(H|0)){I=n}else{t=c[a>>2]|0;if((q|0)>(t|0)){I=n;break}F=H+d|0;f=r+d|0;s=q;do{G=ga(s,j)|0;l=b+(F+G<<3)|0;D=+h[l>>3];o=b+(f+G<<3)|0;h[l>>3]=+h[o>>3];h[o>>3]=D;s=s+1|0;}while((s|0)<=(t|0));I=c[i>>2]|0}}while(0);r=H+m|0;if((r|0)>(e|0)){break}else{H=r;p=I+p|0;n=I}}return 0}return 0}function us(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+32|0;l=k|0;m=k+8|0;n=k+16|0;o=k+24|0;p=b1(d|0)|0;a:do{switch(c[b>>2]|0){case 1:case 2:case 3:{q=o|0;kQ(q,d,1,p);r=a[q]|0;do{if((r-97&255)>>>0<26>>>0){s=r-32&255;a[q]=s;t=o+1|0;u=a[t]|0;if((u-97&255)>>>0<26>>>0){a[t]=u-32}u=o+2|0;t=a[u]|0;if((t-97&255)>>>0<26>>>0){a[u]=t-32}t=o+3|0;u=a[t]|0;if((u-97&255)>>>0<26>>>0){a[t]=u-32}u=o+4|0;t=a[u]|0;if((t-97&255)>>>0<26>>>0){a[u]=t-32}t=o+5|0;u=a[t]|0;if(!((u-97&255)>>>0<26>>>0)){v=s;break}a[t]=u-32;v=s}else{v=r}}while(0);r=v<<24>>24==83;q=v<<24>>24==68;s=r|q;if(!((v<<24>>24|0)==90|(v<<24>>24|0)==83|(v<<24>>24|0)==68|(v<<24>>24|0)==67)){w=1;break a}u=l|0;kQ(u,o+1|0,1,2);t=m|0;kQ(t,o+3|0,1,3);x=n|0;kQ(x,m+1|0,1,2);y=c[b>>2]|0;if((y|0)==2){if((jQ(u,1674120,1,2)|0)==0){if((jQ(t,1657208,1,3)|0)==0){w=2;break a}if((jQ(t,1646016,1,3)|0)==0){w=2;break a}if((jQ(t,1636192,1,3)|0)==0){w=2;break a}if((jQ(t,43392,1,3)|0)==0){w=2;break a}if((jQ(t,38336,1,3)|0)==0){w=2;break a}if((jQ(t,33528,1,3)|0)==0){w=2;break a}jQ(t,29280,1,3)|0;w=2;break a}if((jQ(u,1682560,1,2)|0)==0){z=(jQ(t,1677672,1,3)|0)==0;if(z|(r|q)^1){w=z?8:2;break a}jQ(t,1678272,1,3)|0;w=2;break a}do{if((v<<24>>24|0)==90|(v<<24>>24|0)==67){if((jQ(u,1670736,1,2)|0)==0){jQ(t,1678272,1,3)|0;w=2;break a}else{if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=94;break}else if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else{w=2;break a}}}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=94}else{w=2;break a}}while(0);do{if((A|0)==94){if((jQ(u,1667720,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else{w=2;break a}}z=a[t]|0;if((z<<24>>24|0)==71){if((jQ(x,1665232,1,2)|0)==0){w=2;break a}if((jQ(x,1662608,1,2)|0)==0){w=2;break a}if((jQ(x,1661104,1,2)|0)==0){w=2;break a}if((jQ(x,1660160,1,2)|0)==0){w=2;break a}if((jQ(x,1659272,1,2)|0)==0){w=2;break a}if((jQ(x,1658432,1,2)|0)==0){w=2;break a}jQ(x,1657576,1,2)|0;w=2;break a}else if((z<<24>>24|0)==77){if((jQ(x,1665232,1,2)|0)==0){w=2;break a}if((jQ(x,1662608,1,2)|0)==0){w=2;break a}if((jQ(x,1661104,1,2)|0)==0){w=2;break a}if((jQ(x,1660160,1,2)|0)==0){w=2;break a}if((jQ(x,1659272,1,2)|0)==0){w=2;break a}if((jQ(x,1658432,1,2)|0)==0){w=2;break a}jQ(x,1657576,1,2)|0;w=2;break a}else{w=2;break a}}}while(0);if((jQ(u,1655744,1,2)|0)!=0){w=2;break a}z=a[t]|0;if((z<<24>>24|0)==71){if((jQ(x,1665232,1,2)|0)==0){w=2;break a}if((jQ(x,1662608,1,2)|0)==0){w=2;break a}if((jQ(x,1661104,1,2)|0)==0){w=2;break a}if((jQ(x,1660160,1,2)|0)==0){w=2;break a}if((jQ(x,1659272,1,2)|0)==0){w=2;break a}if((jQ(x,1658432,1,2)|0)==0){w=2;break a}jQ(x,1657576,1,2)|0;w=2;break a}else if((z<<24>>24|0)==77){if((jQ(x,1665232,1,2)|0)==0){w=2;break a}if((jQ(x,1662608,1,2)|0)==0){w=2;break a}if((jQ(x,1661104,1,2)|0)==0){w=2;break a}if((jQ(x,1660160,1,2)|0)==0){w=2;break a}if((jQ(x,1659272,1,2)|0)==0){w=2;break a}if((jQ(x,1658432,1,2)|0)==0){w=2;break a}jQ(x,1657576,1,2)|0;w=2;break a}else{w=2;break a}}else if((y|0)==3){if((jQ(u,1674120,1,2)|0)==0){if((jQ(t,1657208,1,3)|0)==0){w=128;break a}if((jQ(t,1646016,1,3)|0)==0){w=128;break a}if((jQ(t,1636192,1,3)|0)==0){w=128;break a}if((jQ(t,43392,1,3)|0)==0){w=128;break a}if((jQ(t,38336,1,3)|0)==0){w=128;break a}z=(jQ(t,33528,1,3)|0)==0;w=z?128:0;break a}if((jQ(u,1682560,1,2)|0)==0){if(!((v<<24>>24|0)==83|(v<<24>>24|0)==68)){w=0;break a}z=(jQ(t,1678272,1,3)|0)==0;w=z?32:0;break a}do{if((v<<24>>24|0)==90|(v<<24>>24|0)==67){if((jQ(u,1670736,1,2)|0)==0){z=(jQ(t,1678272,1,3)|0)==0;w=z?32:0;break a}else{if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=141;break}else{w=0;break a}}}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=141}else{w=0;break a}}while(0);do{if((A|0)==141){if((jQ(u,1667720,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else{w=0;break a}}if((a[t]|0)!=71){w=0;break a}do{if((jQ(x,1665232,1,2)|0)!=0){if((jQ(x,1662608,1,2)|0)==0){break}if((jQ(x,1661104,1,2)|0)==0){break}if((jQ(x,1660160,1,2)|0)==0){break}if((jQ(x,1659272,1,2)|0)==0){break}if((jQ(x,1658432,1,2)|0)==0){break}if((jQ(x,1657576,1,2)|0)!=0){w=0;break a}}}while(0);w=128;break a}}while(0);if((jQ(u,1655744,1,2)|0)!=0){w=0;break a}if((a[t]|0)!=71){w=0;break a}do{if((jQ(x,1665232,1,2)|0)!=0){if((jQ(x,1662608,1,2)|0)==0){break}if((jQ(x,1661104,1,2)|0)==0){break}if((jQ(x,1660160,1,2)|0)==0){break}if((jQ(x,1659272,1,2)|0)==0){break}if((jQ(x,1658432,1,2)|0)==0){break}if((jQ(x,1657576,1,2)|0)!=0){w=0;break a}}}while(0);w=128;break a}else{if((jQ(u,1674120,1,2)|0)==0){if((jQ(t,1677672,1,3)|0)==0){w=64;break a}if((jQ(t,1657208,1,3)|0)==0){w=32;break a}if((jQ(t,1646016,1,3)|0)==0){w=32;break a}if((jQ(t,1636192,1,3)|0)==0){w=32;break a}if((jQ(t,43392,1,3)|0)==0){w=32;break a}if((jQ(t,38336,1,3)|0)==0){w=32;break a}if((jQ(t,33528,1,3)|0)==0){w=32;break a}y=(jQ(t,29280,1,3)|0)==0;w=y?64:1;break a}if((jQ(u,25592,1,2)|0)==0){y=(jQ(t,1677672,1,3)|0)==0;w=y?64:1;break a}if((jQ(u,1682560,1,2)|0)==0){y=(jQ(t,1677672,1,3)|0)==0;if(y|s^1){w=y?64:1;break a}y=(jQ(t,1678272,1,3)|0)==0;if(y){w=y?32:1;break a}y=(jQ(t,1674344,1,3)|0)==0;w=y?64:1;break a}do{if((v<<24>>24|0)==90|(v<<24>>24|0)==67){if((jQ(u,1670736,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){A=48;break}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=29;break}else{break}}if((jQ(t,1677672,1,3)|0)==0){w=64;break a}if((jQ(t,1678272,1,3)|0)==0){w=32;break a}y=(jQ(t,1674344,1,3)|0)==0;w=y?64:1;break a}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=29}}while(0);do{if((A|0)==29){if((jQ(u,1667720,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){A=48;break}else{break}}s=a[t]|0;if((s<<24>>24|0)==77){do{if((jQ(x,1665232,1,2)|0)!=0){if((jQ(x,1662608,1,2)|0)==0){break}if((jQ(x,1661104,1,2)|0)==0){break}if((jQ(x,1660160,1,2)|0)==0){break}if((jQ(x,1659272,1,2)|0)==0){break}if((jQ(x,1658432,1,2)|0)==0){break}if((jQ(x,1657576,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else if((s<<24>>24|0)==71){do{if((jQ(x,1665232,1,2)|0)!=0){if((jQ(x,1662608,1,2)|0)==0){break}if((jQ(x,1661104,1,2)|0)==0){break}if((jQ(x,1660160,1,2)|0)==0){break}if((jQ(x,1659272,1,2)|0)==0){break}if((jQ(x,1658432,1,2)|0)==0){break}if((jQ(x,1657576,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else{w=1;break a}}}while(0);do{if((A|0)==48){if((jQ(u,1655744,1,2)|0)!=0){break}s=a[t]|0;if((s<<24>>24|0)==77){do{if((jQ(x,1665232,1,2)|0)!=0){if((jQ(x,1662608,1,2)|0)==0){break}if((jQ(x,1661104,1,2)|0)==0){break}if((jQ(x,1660160,1,2)|0)==0){break}if((jQ(x,1659272,1,2)|0)==0){break}if((jQ(x,1658432,1,2)|0)==0){break}if((jQ(x,1657576,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else if((s<<24>>24|0)==71){do{if((jQ(x,1665232,1,2)|0)!=0){if((jQ(x,1662608,1,2)|0)==0){break}if((jQ(x,1661104,1,2)|0)==0){break}if((jQ(x,1660160,1,2)|0)==0){break}if((jQ(x,1659272,1,2)|0)==0){break}if((jQ(x,1658432,1,2)|0)==0){break}if((jQ(x,1657576,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else{w=1;break a}}}while(0);if((jQ(u,1654608,1,2)|0)==0){if((jQ(t,1677672,1,3)|0)!=0){w=1;break a}w=(c[j>>2]|0)<65?1:32;break a}if((jQ(u,1653448,1,2)|0)==0){if((jQ(t,1677672,1,3)|0)!=0){w=1;break a}w=(c[g>>2]|0)<65?1:32;break a}if((jQ(u,1658432,1,2)|0)==0){x=(jQ(t,29280,1,3)|0)==0;w=x?64:1;break a}if((jQ(u,1652480,1,2)|0)==0){x=(jQ(t,1651344,1,3)|0)==0;w=x?64:1;break a}if(!((v<<24>>24|0)==83|(v<<24>>24|0)==68)){w=1;break a}if((jQ(u,1650120,1,2)|0)!=0){w=1;break a}jQ(t,1649096,1,3)|0;i=k;return 1}break};case 4:{w=6;break};case 5:{w=2;break};case 6:{x=c[f>>2]|0;s=c[g>>2]|0;w=~~(+(((x|0)>(s|0)?s:x)|0)*1.600000023841858);break};case 7:{w=1;break};case 8:{w=50;break};case 9:{w=25;break};case 10:{w=vs(20360,19688,19672)|0;break};case 11:{w=vs(1728816,19688,19672)|0;break};case 12:case 13:case 14:case 15:case 16:{w=ws(b,d,e,f,g,h,j)|0;break};default:{w=-1}}}while(0);i=k;return w|0}function vs(a,b,d){a=a|0;b=b|0;d=d|0;var e=0.0,f=0.0,h=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0;e=+g[d>>2];f=+g[b>>2];if(!(e/f>e)){h=0;return h|0}i=(-0.0-e)/f;if(!(i<f)){h=0;return h|0}j=e/(e+i);if(j!=f){h=0;return h|0}i=e/j;if(!(i<f)){h=0;return h|0}k=f+j;if(k!=f){h=0;return h|0}l=e/k;if(!(l>e)){h=0;return h|0}k=i*l;if(!(k<f)){h=0;return h|0}i=l*l;if(!(i>e)){h=0;return h|0}if((c[a>>2]|0)==0){h=1;return h|0}e=i+k;l=i/i;m=f*i;f=j*k;a=!(e!=e)&!(Sd=0.0,Sd!=Sd);e=i/k;b=a|!(e!=e)&!(Sd=0.0,Sd!=Sd);a=b|!(l!=l)&!(Sd=0.0,Sd!=Sd);b=a|!(m!=m)&!(Sd=0.0,Sd!=Sd);if(b|!(f!=f)&!(Sd=0.0,Sd!=Sd)){h=0;return h|0}m=f*0.0;h=(m!=m|(Sd=0.0,Sd!=Sd))&1;return h|0}function ws(a,b,d,e,f,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0;j=i;i=i+8|0;e=j|0;d=c[a>>2]|0;if((d|0)==15|(d|0)==13|(d|0)==16){b=(c[h>>2]|0)-(c[f>>2]|0)+1|0;if((b|0)>149){g[e>>2]=+ea(+(b|0))/.6931471805599453;f=(b|0)/(iQ(e)|0)|0;k=(f|0)>10?f:10;l=c[a>>2]|0}else{k=(b|0)>59?10:(b|0)>29?4:2;l=d}a=(b|0)>5999?256:(b|0)>2999?128:(b|0)>589?64:k;k=a-((a|0)%2|0)|0;m=(k|0)>2?k:2;n=b;o=l}else{m=0;n=0;o=d}a:do{switch(o|0){case 15:{p=m;break};case 13:{if((n|0)<501){p=m;break a}p=(m*3|0|0)/2|0;break};case 12:{p=75;break};case 16:{d=(m|0)>13;i=j;return(d?2:d&1)|0};case 14:{p=14;break};default:{p=-1}}}while(0);i=j;return p|0}function xs(a){a=a|0;var b=0,c=0;b=i;c=ys(a,0,0)|0;i=b;return c|0}function ys(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;e=zs(a,b,c,0)|0;i=d;return e|0}function zs(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=b;b=d;d=e;e=f;if((b|0)!=0){j=Zd[c[b>>2]&255](500)|0;if((j|0)!=0){f=j+12|0;c[f>>2]=c[b>>2];c[f+4>>2]=c[b+4>>2];c[f+8>>2]=c[b+8>>2]}}else{j=B0(500)|0;if((j|0)!=0){b=j+12|0;c[b>>2]=34;c[b+4>>2]=98;c[b+8>>2]=104}}if((j|0)==0){k=j;l=k;i=g;return l|0}c[j+8>>2]=0;c[j+32>>2]=0;c[j+380>>2]=16;c[j+392>>2]=Zd[c[j+12>>2]&255](c[j+380>>2]<<4)|0;if((c[j+392>>2]|0)==0){Wd[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}c[j+44>>2]=Zd[c[j+12>>2]&255](1024)|0;if((c[j+44>>2]|0)==0){Wd[c[j+20>>2]&511](c[j+392>>2]|0);Wd[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}c[j+48>>2]=(c[j+44>>2]|0)+1024;do{if((e|0)!=0){c[j+356>>2]=e}else{c[j+356>>2]=Kt(j+12|0)|0;if((c[j+356>>2]|0)!=0){break}Wd[c[j+20>>2]&511](c[j+44>>2]|0);Wd[c[j+20>>2]&511](c[j+392>>2]|0);Wd[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}}while(0);c[j+376>>2]=0;c[j+368>>2]=0;c[j+304>>2]=0;c[j+468>>2]=0;c[j+464>>2]=0;c[j+124>>2]=0;c[j+248>>2]=0;a[j+472|0]=33;a[j+236|0]=0;a[j+237|0]=0;c[j+396>>2]=0;c[j+400>>2]=0;a[j+404|0]=0;Lt(j+416|0,j+12|0);Lt(j+440|0,j+12|0);Bs(j,h);do{if((h|0)!=0){if((c[j+232>>2]|0)!=0){break}Es(j);k=0;l=k;i=g;return l|0}}while(0);if((d|0)!=0){a[j+236|0]=1;c[j+228>>2]=du()|0;a[j+472|0]=a[d]|0}else{c[j+228>>2]=Wt()|0}k=j;l=k;i=g;return l|0}function As(a){a=a|0;var b=0,d=0,e=0;b=i;d=a;if((c[d+4>>2]|0)!=0){a=c[d>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;c[a>>2]=c[d+4>>2];c[d+4>>2]=a;a=e}}else{c[d+4>>2]=c[d>>2]}c[d>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;c[d+8>>2]=0;i=b;return}function Bs(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;f=b;b=d;c[f+280>>2]=10;mw(f+256|0);if((b|0)!=0){g=Cs(f+416|0,b)|0}else{g=0}c[f+232>>2]=g;c[f+360>>2]=0;Xt(f+148|0,f+144|0,0)|0;c[f>>2]=0;c[f+4>>2]=0;c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=0;c[f+64>>2]=0;c[f+68>>2]=0;c[f+72>>2]=0;c[f+76>>2]=0;c[f+80>>2]=0;c[f+84>>2]=0;c[f+88>>2]=0;c[f+92>>2]=0;c[f+96>>2]=0;c[f+100>>2]=0;c[f+104>>2]=0;c[f+108>>2]=0;c[f+112>>2]=0;c[f+116>>2]=f;c[f+120>>2]=0;c[f+128>>2]=0;c[f+132>>2]=0;c[f+136>>2]=0;c[f+140>>2]=0;c[f+24>>2]=c[f+8>>2];c[f+28>>2]=c[f+8>>2];c[f+36>>2]=0;c[f+40>>2]=0;c[f+344>>2]=0;c[f+348>>2]=0;c[f+316>>2]=0;c[f+320>>2]=0;c[f+324>>2]=0;c[f+328>>2]=0;c[f+332>>2]=0;c[f+336>>2]=0;c[f+340>>2]=0;a[f+352|0]=0;a[f+353|0]=0;e1(f+408|0,0,8)|0;c[f+284>>2]=0;c[f+288>>2]=0;c[f+292>>2]=0;c[f+296>>2]=0;c[f+300>>2]=0;a[f+308|0]=1;c[f+312>>2]=0;c[f+364>>2]=0;c[f+372>>2]=0;c[f+384>>2]=0;c[f+240>>2]=0;c[f+252>>2]=0;c[f+244>>2]=0;c[f+476>>2]=0;c[f+480>>2]=0;a[f+488|0]=0;a[f+489|0]=0;c[f+492>>2]=0;c[f+496>>2]=0;i=e;return}function Cs(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=b;b=d;a:while(1){do{if((c[f+12>>2]|0)==(c[f+8>>2]|0)){if((Ts(f)|0)<<24>>24!=0){g=5;break}if(!0){g=6;break a}}else{g=5}}while(0);if((g|0)==5){g=0;d=a[b]|0;h=f+12|0;j=c[h>>2]|0;c[h>>2]=j+1;a[j]=d;if(!1){g=6;break}}d=b;b=d+1|0;if((a[d]|0)==0){g=9;break}}if((g|0)==6){k=0;l=k;i=e;return l|0}else if((g|0)==9){b=c[f+16>>2]|0;c[f+16>>2]=c[f+12>>2];k=b;l=k;i=e;return l|0}return 0}function Ds(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=i;f=b;b=d;d=c[f+356>>2]|0;g=b;a:while(1){if((a[b]|0)==0){h=59;break}do{if((a[g]|0)==12){h=5}else{if((a[g]|0)==0){h=5;break}if((a[g]|0)==61){if(((c[f+428>>2]|0)-(c[f+432>>2]|0)|0)==0){j=d+152|0}else{do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ts(f+416|0)|0)<<24>>24!=0){h=21;break}if(!0){h=22;break a}}else{h=21}}while(0);if((h|0)==21){h=0;k=f+428|0;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=0;if(!1){h=22;break a}}j=Ws(f,d+60|0,c[f+432>>2]|0,8)|0;if((j|0)==0){h=24;break a}if((c[j>>2]|0)==(c[f+432>>2]|0)){c[j>>2]=Cs(d+80|0,c[j>>2]|0)|0;if((c[j>>2]|0)==0){h=27;break a}}c[f+428>>2]=c[f+432>>2]}b=g+1|0;while(1){if((a[b]|0)!=12){m=(a[b]|0)!=0}else{m=0}if(!m){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ts(f+416|0)|0)<<24>>24!=0){h=37;break}if(!0){h=38;break a}}else{h=37}}while(0);if((h|0)==37){h=0;l=a[b]|0;k=f+428|0;n=c[k>>2]|0;c[k>>2]=n+1;a[n]=l;if(!1){h=38;break a}}b=b+1|0}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ts(f+416|0)|0)<<24>>24!=0){h=44;break}if(!0){h=45;break a}}else{h=44}}while(0);if((h|0)==44){h=0;l=f+428|0;n=c[l>>2]|0;c[l>>2]=n+1;a[n]=0;if(!1){h=45;break a}}if((_s(f,j,0,c[f+432>>2]|0,f+372|0)|0)!=0){h=47;break a}c[f+428>>2]=c[f+432>>2];if((a[b]|0)!=0){b=b+1|0}g=b}else{do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ts(f+416|0)|0)<<24>>24!=0){h=54;break}if(!0){h=55;break a}}else{h=54}}while(0);if((h|0)==54){h=0;n=a[g]|0;l=f+428|0;k=c[l>>2]|0;c[l>>2]=k+1;a[k]=n;if(!1){h=55;break a}}g=g+1|0}}}while(0);if((h|0)==5){h=0;do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ts(f+416|0)|0)<<24>>24!=0){h=8;break}if(!0){h=9;break a}}else{h=8}}while(0);if((h|0)==8){h=0;n=f+428|0;k=c[n>>2]|0;c[n>>2]=k+1;a[k]=0;if(!1){h=9;break}}k=Ws(f,d|0,c[f+432>>2]|0,0)|0;if((k|0)!=0){a[k+32|0]=1}if((a[g]|0)!=0){g=g+1|0}b=g;c[f+428>>2]=c[f+432>>2]}}if((h|0)==9){o=0;p=o;i=e;return p|0}else if((h|0)==22){o=0;p=o;i=e;return p|0}else if((h|0)==24){o=0;p=o;i=e;return p|0}else if((h|0)==27){o=0;p=o;i=e;return p|0}else if((h|0)==38){o=0;p=o;i=e;return p|0}else if((h|0)==45){o=0;p=o;i=e;return p|0}else if((h|0)==47){o=0;p=o;i=e;return p|0}else if((h|0)==55){o=0;p=o;i=e;return p|0}else if((h|0)==59){o=1;p=o;i=e;return p|0}return 0}function Es(b){b=b|0;var d=0,e=0,f=0;d=i;e=b;if((e|0)==0){i=d;return}b=c[e+364>>2]|0;while(1){if((b|0)==0){if((c[e+368>>2]|0)==0){break}b=c[e+368>>2]|0;c[e+368>>2]=0}f=b;b=c[b>>2]|0;Wd[c[e+20>>2]&511](c[f+36>>2]|0);Fs(c[f+44>>2]|0,e);Wd[c[e+20>>2]&511](f)}b=c[e+300>>2]|0;while(1){if((b|0)==0){if((c[e+304>>2]|0)==0){break}b=c[e+304>>2]|0;c[e+304>>2]=0}f=b;b=c[b+8>>2]|0;Wd[c[e+20>>2]&511](f)}Fs(c[e+376>>2]|0,e);Fs(c[e+372>>2]|0,e);Gs(e+416|0);Gs(e+440|0);do{if((a[e+488|0]|0)==0){if((c[e+356>>2]|0)==0){break}Hs(c[e+356>>2]|0,((c[e+476>>2]|0)!=0^1)&1,e+12|0)}}while(0);Wd[c[e+20>>2]&511](c[e+392>>2]|0);Wd[c[e+20>>2]&511](c[e+464>>2]|0);Wd[c[e+20>>2]&511](c[e+8>>2]|0);Wd[c[e+20>>2]&511](c[e+44>>2]|0);Wd[c[e+20>>2]&511](c[e+396>>2]|0);Wd[c[e+20>>2]&511](c[e+240>>2]|0);if((c[e+252>>2]|0)!=0){Wd[c[e+252>>2]&511](c[e+244>>2]|0)}Wd[c[e+20>>2]&511](e);i=d;return}function Fs(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=a;a=b;while(1){b=e;if((b|0)==0){break}e=c[b+4>>2]|0;Wd[c[a+20>>2]&511](c[b+16>>2]|0);Wd[c[a+20>>2]&511](b)}i=d;return}function Gs(a){a=a|0;var b=0,d=0,e=0;b=i;d=a;a=c[d>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;Wd[c[(c[d+20>>2]|0)+8>>2]&511](a);a=e}a=c[d+4>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;Wd[c[(c[d+20>>2]|0)+8>>2]&511](a);a=e}i=b;return}function Hs(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;e=i;i=i+8|0;f=e|0;g=a;a=b;b=d;Us(f,g+20|0);while(1){d=Vs(f)|0;if((d|0)==0){break}if((c[d+16>>2]|0)!=0){Wd[c[b+8>>2]&511](c[d+20>>2]|0)}}Zs(g|0);Zs(g+132|0);Zs(g+20|0);Zs(g+40|0);Zs(g+60|0);Gs(g+80|0);Gs(g+104|0);if(!(a<<24>>24!=0)){h=b;j=h+8|0;k=c[j>>2]|0;l=g;m=l;Wd[k&511](m);i=e;return}Wd[c[b+8>>2]&511](c[g+184>>2]|0);Wd[c[b+8>>2]&511](c[g+164>>2]|0);h=b;j=h+8|0;k=c[j>>2]|0;l=g;m=l;Wd[k&511](m);i=e;return}function Is(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=a;a=b;if((c[e+4>>2]|0)==(c[e>>2]|0)){b=a;c[e>>2]=b;c[e+4>>2]=b;i=d;return}else{c[e>>2]=a;i=d;return}}function Js(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=a;c[e+52>>2]=b;c[e+56>>2]=d;i=i;return}function Ks(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=d;d=e;e=f;f=c[h+480>>2]|0;if((f|0)==2){c[h+284>>2]=36;j=0;k=j;i=g;return k|0}else if((f|0)==0){do{if((c[h+476>>2]|0)==0){if((Ls(h)|0)<<24>>24!=0){break}c[h+284>>2]=1;j=0;k=j;i=g;return k|0}}while(0)}else if((f|0)==3){c[h+284>>2]=33;j=0;k=j;i=g;return k|0}c[h+480>>2]=1;if((d|0)!=0){f=Ns(h,d)|0;if((f|0)==0){j=0;k=j;i=g;return k|0}else{d1(f|0,b|0,d)|0;j=Os(h,d,e)|0;k=j;i=g;return k|0}}a[h+484|0]=e;if((e|0)==0){j=1;k=j;i=g;return k|0}c[h+296>>2]=c[h+24>>2];c[h+40>>2]=c[h+28>>2];c[h+284>>2]=le[c[h+280>>2]&127](h,c[h+24>>2]|0,c[h+40>>2]|0,h+24|0)|0;if((c[h+284>>2]|0)!=0){c[h+292>>2]=c[h+288>>2];c[h+280>>2]=2;j=0;k=j;i=g;return k|0}e=c[h+480>>2]|0;if((e|0)==3){pe[c[(c[h+144>>2]|0)+52>>2]&63](c[h+144>>2]|0,c[h+296>>2]|0,c[h+24>>2]|0,h+408|0);c[h+296>>2]=c[h+24>>2];j=2;k=j;i=g;return k|0}else if((e|0)==0|(e|0)==1){c[h+480>>2]=2}j=1;k=j;i=g;return k|0}function Ls(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;if((c[e+496>>2]|0)==0){c[e+496>>2]=It()|0}if((a[e+236|0]|0)!=0){f=Ds(e,17536)|0;g=f;i=d;return g|0}else{f=1;g=f;i=d;return g|0}return 0}function Ms(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;i=i;return c[a+284>>2]|0}function Ns(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;e=a;a=b;b=c[e+480>>2]|0;if((b|0)==2){c[e+284>>2]=36;f=0;g=f;i=d;return g|0}else if((b|0)==3){c[e+284>>2]=33;f=0;g=f;i=d;return g|0}else{if((a|0)>((c[e+32>>2]|0)-(c[e+28>>2]|0)|0)){b=a+((c[e+28>>2]|0)-(c[e+24>>2]|0))|0;a=(c[e+24>>2]|0)-(c[e+8>>2]|0)|0;if((a|0)>1024){a=1024}b=b+a|0;if((b|0)<=((c[e+32>>2]|0)-(c[e+8>>2]|0)|0)){if((a|0)<((c[e+24>>2]|0)-(c[e+8>>2]|0)|0)){h=(c[e+24>>2]|0)-(c[e+8>>2]|0)-a|0;h1(c[e+8>>2]|0,(c[e+8>>2]|0)+h|0,(c[e+28>>2]|0)-(c[e+24>>2]|0)+a|0)|0;a=e+28|0;c[a>>2]=(c[a>>2]|0)+(-h|0);a=e+24|0;c[a>>2]=(c[a>>2]|0)+(-h|0)}}else{h=(c[e+32>>2]|0)-(c[e+24>>2]|0)|0;if((h|0)==0){h=1024}do{h=h<<1;}while((h|0)<(b|0));b=Zd[c[e+12>>2]&255](h)|0;if((b|0)==0){c[e+284>>2]=1;f=0;g=f;i=d;return g|0}c[e+32>>2]=b+h;if((c[e+24>>2]|0)!=0){h=(c[e+24>>2]|0)-(c[e+8>>2]|0)|0;if((h|0)>1024){h=1024}d1(b|0,(c[e+24>>2]|0)+(-h|0)|0,(c[e+28>>2]|0)-(c[e+24>>2]|0)+h|0)|0;Wd[c[e+20>>2]&511](c[e+8>>2]|0);c[e+8>>2]=b;c[e+28>>2]=(c[e+8>>2]|0)+((c[e+28>>2]|0)-(c[e+24>>2]|0))+h;c[e+24>>2]=(c[e+8>>2]|0)+h}else{c[e+28>>2]=b+((c[e+28>>2]|0)-(c[e+24>>2]|0));h=b;c[e+8>>2]=h;c[e+24>>2]=h}}c[e+292>>2]=0;c[e+288>>2]=0;c[e+296>>2]=0}f=c[e+28>>2]|0;g=f;i=d;return g|0}return 0}function Os(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;g=b;b=d;d=e;e=1;h=c[g+480>>2]|0;if((h|0)==0){do{if((c[g+476>>2]|0)==0){if((Ls(g)|0)<<24>>24!=0){break}c[g+284>>2]=1;j=0;k=j;i=f;return k|0}}while(0)}else if((h|0)==3){c[g+284>>2]=33;j=0;k=j;i=f;return k|0}else if((h|0)==2){c[g+284>>2]=36;j=0;k=j;i=f;return k|0}c[g+480>>2]=1;h=c[g+24>>2]|0;c[g+296>>2]=h;l=g+28|0;c[l>>2]=(c[l>>2]|0)+b;c[g+40>>2]=c[g+28>>2];l=g+36|0;c[l>>2]=(c[l>>2]|0)+b;a[g+484|0]=d;c[g+284>>2]=le[c[g+280>>2]&127](g,h,c[g+40>>2]|0,g+24|0)|0;if((c[g+284>>2]|0)!=0){c[g+292>>2]=c[g+288>>2];c[g+280>>2]=2;j=0;k=j;i=f;return k|0}h=c[g+480>>2]|0;do{if((h|0)==3){e=2}else if((h|0)==0|(h|0)==1){if((d|0)==0){m=16;break}c[g+480>>2]=2;j=e;k=j;i=f;return k|0}else{m=16}}while(0);pe[c[(c[g+144>>2]|0)+52>>2]&63](c[g+144>>2]|0,c[g+296>>2]|0,c[g+24>>2]|0,g+408|0);c[g+296>>2]=c[g+24>>2];j=e;k=j;i=f;return k|0}function Ps(a){a=a|0;i=i;return c[a+284>>2]|0}function Qs(a){a=a|0;var b=0,d=0;b=i;d=a;do{if((c[d+288>>2]|0)!=0){if(!((c[d+288>>2]|0)>>>0>=(c[d+296>>2]|0)>>>0)){break}pe[c[(c[d+144>>2]|0)+52>>2]&63](c[d+144>>2]|0,c[d+296>>2]|0,c[d+288>>2]|0,d+408|0);c[d+296>>2]=c[d+288>>2]}}while(0);i=b;return(c[d+408>>2]|0)+1|0}function Rs(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+16|0;h=g|0;j=g+8|0;k=b;b=d;c[h>>2]=e;e=f;if((a[b+72|0]|0)!=0){me[c[k+80>>2]&15](c[k+4>>2]|0,c[h>>2]|0,e-(c[h>>2]|0)|0);i=g;return}if((b|0)==(c[k+144>>2]|0)){l=k+288|0;m=k+292|0}else{l=c[k+300>>2]|0;m=(c[k+300>>2]|0)+4|0}do{c[j>>2]=c[k+44>>2];Vd[c[b+60>>2]&31](b,h,e,j,c[k+48>>2]|0);c[m>>2]=c[h>>2];me[c[k+80>>2]&15](c[k+4>>2]|0,c[k+44>>2]|0,(c[j>>2]|0)-(c[k+44>>2]|0)|0);c[l>>2]=c[h>>2];}while((c[h>>2]|0)!=(e|0));i=g;return}function Ss(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a;do{if(d>>>0>0>>>0){if(!(d>>>0<41>>>0)){break}e=c[1699528+(d<<2)>>2]|0;f=e;i=b;return f|0}}while(0);e=0;f=e;i=b;return f|0}function Ts(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a;do{if((c[d+4>>2]|0)!=0){if((c[d+16>>2]|0)==0){c[d>>2]=c[d+4>>2];c[d+4>>2]=c[c[d+4>>2]>>2];c[c[d>>2]>>2]=0;c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+(c[(c[d>>2]|0)+4>>2]|0);c[d+12>>2]=c[d+16>>2];e=1;f=e;i=b;return f|0}if(((c[d+8>>2]|0)-(c[d+16>>2]|0)|0)>=(c[(c[d+4>>2]|0)+4>>2]|0)){break}a=c[c[d+4>>2]>>2]|0;c[c[d+4>>2]>>2]=c[d>>2];c[d>>2]=c[d+4>>2];c[d+4>>2]=a;d1((c[d>>2]|0)+8|0,c[d+16>>2]|0,(c[d+8>>2]|0)-(c[d+16>>2]|0)|0)|0;c[d+12>>2]=(c[d>>2]|0)+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+(c[(c[d>>2]|0)+4>>2]|0);e=1;f=e;i=b;return f|0}}while(0);do{if((c[d>>2]|0)!=0){if((c[d+16>>2]|0)!=((c[d>>2]|0)+8|0)){g=12;break}a=(c[d+8>>2]|0)-(c[d+16>>2]|0)<<1;h=ie[c[(c[d+20>>2]|0)+4>>2]&127](c[d>>2]|0,a+8|0)|0;if((h|0)!=0){c[d>>2]=h;c[(c[d>>2]|0)+4>>2]=a;c[d+12>>2]=(c[d>>2]|0)+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+a;break}e=0;f=e;i=b;return f|0}else{g=12}}while(0);if((g|0)==12){g=(c[d+8>>2]|0)-(c[d+16>>2]|0)|0;if((g|0)<1024){g=1024}else{g=g<<1}a=Zd[c[c[d+20>>2]>>2]&255](g+8|0)|0;if((a|0)==0){e=0;f=e;i=b;return f|0}c[a+4>>2]=g;c[a>>2]=c[d>>2];c[d>>2]=a;if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){d1(a+8|0,c[d+16>>2]|0,(c[d+12>>2]|0)-(c[d+16>>2]|0)|0)|0}c[d+12>>2]=a+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=a+8;c[d+8>>2]=a+8+g}e=1;f=e;i=b;return f|0}function Us(a,b){a=a|0;b=b|0;var d=0;d=a;a=b;c[d>>2]=c[a>>2];c[d+4>>2]=(c[d>>2]|0)+(c[a+8>>2]<<2);i=i;return}function Vs(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=a;while(1){if((c[d>>2]|0)==(c[d+4>>2]|0)){e=6;break}a=d|0;f=c[a>>2]|0;c[a>>2]=f+4;g=c[f>>2]|0;if((g|0)!=0){e=4;break}}if((e|0)==4){h=g;j=h;i=b;return j|0}else if((e|0)==6){h=0;j=h;i=b;return j|0}return 0}function Ws(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;h=i;j=b;b=e;e=f;f=g;do{if((c[b+8>>2]|0)==0){if((f|0)==0){k=0;l=k;i=h;return l|0}a[b+4|0]=6;c[b+8>>2]=64;g=c[b+8>>2]<<2;c[b>>2]=Zd[c[c[b+16>>2]>>2]&255](g)|0;if((c[b>>2]|0)!=0){e1(c[b>>2]|0,0,g|0)|0;g=Xs(j,e)|0;m=g&(c[b+8>>2]|0)-1;break}c[b+8>>2]=0;k=0;l=k;i=h;return l|0}else{g=Xs(j,e)|0;n=(c[b+8>>2]|0)-1|0;o=0;m=g&n;while(1){if((c[(c[b>>2]|0)+(m<<2)>>2]|0)==0){break}if((Ys(e,c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]|0)|0)<<24>>24!=0){p=10;break}if(!(o<<24>>24!=0)){o=((g&~n)>>>(((d[b+4|0]|0)-1|0)>>>0)&n>>>2|1)&255}if(m>>>0<(o&255)>>>0){q=m+((c[b+8>>2]|0)-(o&255))|0;m=q;r=q}else{q=m-(o&255)|0;m=q;r=q}}if((p|0)==10){k=c[(c[b>>2]|0)+(m<<2)>>2]|0;l=k;i=h;return l|0}if((f|0)==0){k=0;l=k;i=h;return l|0}if(((c[b+12>>2]|0)>>>(((d[b+4|0]|0)-1|0)>>>0)|0)!=0){n=(d[b+4|0]|0)+1&255;q=1<<(n&255);s=q-1|0;t=q<<2;u=Zd[c[c[b+16>>2]>>2]&255](t)|0;if((u|0)==0){k=0;l=k;i=h;return l|0}e1(u|0,0,t|0)|0;m=0;while(1){if(!(m>>>0<(c[b+8>>2]|0)>>>0)){break}if((c[(c[b>>2]|0)+(m<<2)>>2]|0)!=0){t=Xs(j,c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]|0)|0;v=t&s;o=0;while(1){if((c[u+(v<<2)>>2]|0)==0){break}if(!(o<<24>>24!=0)){o=((t&~s)>>>(((n&255)-1|0)>>>0)&s>>>2|1)&255}if(v>>>0<(o&255)>>>0){w=v+(q-(o&255))|0;v=w;x=w}else{w=v-(o&255)|0;v=w;x=w}}c[u+(v<<2)>>2]=c[(c[b>>2]|0)+(m<<2)>>2]}m=m+1|0}Wd[c[(c[b+16>>2]|0)+8>>2]&511](c[b>>2]|0);c[b>>2]=u;a[b+4|0]=n;c[b+8>>2]=q;m=g&s;o=0;while(1){if((c[(c[b>>2]|0)+(m<<2)>>2]|0)==0){break}if(!(o<<24>>24!=0)){o=((g&~s)>>>(((n&255)-1|0)>>>0)&s>>>2|1)&255}if(m>>>0<(o&255)>>>0){t=m+(q-(o&255))|0;m=t;y=t}else{t=m-(o&255)|0;m=t;y=t}}}}}while(0);y=Zd[c[c[b+16>>2]>>2]&255](f)|0;c[(c[b>>2]|0)+(m<<2)>>2]=y;if((c[(c[b>>2]|0)+(m<<2)>>2]|0)!=0){e1(c[(c[b>>2]|0)+(m<<2)>>2]|0,0,f|0)|0;c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]=e;e=b+12|0;c[e>>2]=(c[e>>2]|0)+1;k=c[(c[b>>2]|0)+(m<<2)>>2]|0;l=k;i=h;return l|0}else{k=0;l=k;i=h;return l|0}return 0}function Xs(b,e){b=b|0;e=e|0;var f=0,g=0;f=i;g=e;e=c[b+496>>2]|0;while(1){if((a[g]|0)==0){break}b=g;g=b+1|0;e=(e*1000003|0)^d[b]}i=f;return e|0}function Ys(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=i;e=b;b=c;while(1){if((a[e]|0)!=(a[b]|0)){f=7;break}if((a[e]|0)==0){f=4;break}e=e+1|0;b=b+1|0}if((f|0)==4){g=1;h=g;i=d;return h|0}else if((f|0)==7){g=0;h=g;i=d;return h|0}return 0}function Zs(a){a=a|0;var b=0,d=0;b=i;d=a;a=0;while(1){if(!(a>>>0<(c[d+8>>2]|0)>>>0)){break}Wd[c[(c[d+16>>2]|0)+8>>2]&511](c[(c[d>>2]|0)+(a<<2)>>2]|0);a=a+1|0}Wd[c[(c[d+16>>2]|0)+8>>2]&511](c[d>>2]|0);i=b;return}function _s(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;h=i;j=b;b=d;d=e;e=f;f=g;g=0;k=1;l=1;do{if((a[e]|0)==0){if((c[b>>2]|0)==0){break}m=28;n=m;i=h;return n|0}}while(0);do{if((c[b>>2]|0)!=0){if((a[c[b>>2]|0]|0)!=120){break}if((a[(c[b>>2]|0)+1|0]|0)!=109){break}if((a[(c[b>>2]|0)+2|0]|0)!=108){break}do{if((a[(c[b>>2]|0)+3|0]|0)==110){if((a[(c[b>>2]|0)+4|0]|0)!=115){break}if((a[(c[b>>2]|0)+5|0]|0)!=0){break}m=39;n=m;i=h;return n|0}}while(0);if((a[(c[b>>2]|0)+3|0]|0)==0){g=1}}}while(0);o=0;while(1){if((a[e+o|0]|0)==0){break}do{if((k&255|0)!=0){if((o|0)<=36){if((a[e+o|0]|0)==(a[22408+o|0]|0)){break}}k=0}}while(0);do{if(!(g<<24>>24!=0)){if((l&255|0)==0){break}if((o|0)<=29){if((a[e+o|0]|0)==(a[22376+o|0]|0)){break}}l=0}}while(0);o=o+1|0}if((k&255|0)!=0){p=(o|0)==36}else{p=0}k=p&1;if((l&255|0)!=0){q=(o|0)==29}else{q=0}l=q&1;if((g&255|0)!=(k&255|0)){m=(g&255|0)!=0?38:40;n=m;i=h;return n|0}if(l<<24>>24!=0){m=40;n=m;i=h;return n|0}if((a[j+472|0]|0)!=0){o=o+1|0}do{if((c[j+376>>2]|0)!=0){r=c[j+376>>2]|0;do{if((o|0)>(c[r+24>>2]|0)){l=ie[c[j+16>>2]&127](c[r+16>>2]|0,o+24|0)|0;if((l|0)!=0){c[r+16>>2]=l;c[r+24>>2]=o+24;break}m=1;n=m;i=h;return n|0}}while(0);c[j+376>>2]=c[r+4>>2]}else{r=Zd[c[j+12>>2]&255](28)|0;if((r|0)==0){m=1;n=m;i=h;return n|0}c[r+16>>2]=Zd[c[j+12>>2]&255](o+24|0)|0;if((c[r+16>>2]|0)!=0){c[r+24>>2]=o+24;break}Wd[c[j+20>>2]&511](r);m=1;n=m;i=h;return n|0}}while(0);c[r+20>>2]=o;d1(c[r+16>>2]|0,e|0,o)|0;if((a[j+472|0]|0)!=0){a[(c[r+16>>2]|0)+(o-1)|0]=a[j+472|0]|0}c[r>>2]=b;c[r+12>>2]=d;c[r+8>>2]=c[b+4>>2];do{if((a[e]|0)==0){if((b|0)!=((c[j+356>>2]|0)+152|0)){s=54;break}c[b+4>>2]=0}else{s=54}}while(0);if((s|0)==54){c[b+4>>2]=r}c[r+4>>2]=c[f>>2];c[f>>2]=r;do{if((d|0)!=0){if((c[j+100>>2]|0)==0){break}if((c[b+4>>2]|0)!=0){t=e}else{t=0}me[c[j+100>>2]&15](c[j+4>>2]|0,c[b>>2]|0,t)}}while(0);m=0;n=m;i=h;return n|0}function $s(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;if(($d[((a[e+236|0]&255|0)!=0?48:2)&127](e+148|0,e+144|0,c[e+232>>2]|0)|0)!=0){f=0;g=f;i=d;return g|0}else{f=Ht(e,c[e+232>>2]|0)|0;g=f;i=d;return g|0}return 0}function at(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;c[h>>2]=b;e=le[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;k=bt(j,c[j+144>>2]|0,b,d,e,c[h>>2]|0,f,((a[j+484|0]|0)!=0^1)&1)|0;i=g;return k|0}function bt(b,e,f,g,h,j,k,l){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;m=i;i=i+8|0;n=m|0;o=b;b=e;e=f;f=g;g=h;c[n>>2]=j;j=k;k=l;l=c[o+356>>2]|0;if((b|0)==(c[o+144>>2]|0)){p=o+288|0;q=o+292|0}else{p=c[o+300>>2]|0;q=(c[o+300>>2]|0)+4|0}a:while(1){h=1;c[p>>2]=e;c[q>>2]=c[n>>2];if((g|0)<=0){if((k&255|0)!=0){if((g|0)!=0){r=8;break}}switch(g|0){case-2:{r=12;break a;break};case 0:{r=10;break a;break};case-4:{r=14;break a;break};case-1:{r=11;break a;break};case-15:{g=-g|0;break};default:{g=-g|0;c[n>>2]=f}}}s=_d[c[o+256>>2]&127](o+256|0,g,e,c[n>>2]|0,b)|0;b:do{switch(s|0){case 13:{r=201;break};case 15:{do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}if((c[o+136>>2]|0)==0){break}c[q>>2]=e;he[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,d[(c[o+316>>2]|0)+33|0]|0,0,0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,0);h=0}}while(0);break};case 16:{do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}t=dt(l+80|0,b,e,c[n>>2]|0)|0;c[(c[o+316>>2]|0)+28>>2]=t;if((c[(c[o+316>>2]|0)+28>>2]|0)==0){r=217;break a}c[l+96>>2]=c[l+92>>2];if((c[o+92>>2]|0)!=0){c[q>>2]=e;ce[c[o+92>>2]&63](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,c[(c[o+316>>2]|0)+28>>2]|0);h=0}else{if((c[o+136>>2]|0)!=0){c[q>>2]=e;he[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,0,0,0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,c[(c[o+316>>2]|0)+28>>2]|0);h=0}}}}while(0);break};case 9:{if(($d[c[b+48>>2]&127](b,e,c[n>>2]|0)|0)!=0){c[o+316>>2]=0;break b}if((a[l+128|0]|0)!=0){t=dt(l+80|0,b,e,c[n>>2]|0)|0;if((t|0)==0){r=229;break a}c[o+316>>2]=Ws(o,l|0,t,36)|0;if((c[o+316>>2]|0)==0){r=231;break a}if((c[c[o+316>>2]>>2]|0)!=(t|0)){c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}else{c[l+96>>2]=c[l+92>>2];c[(c[o+316>>2]|0)+24>>2]=0;a[(c[o+316>>2]|0)+33|0]=0;if((c[o+476>>2]|0)!=0){u=1}else{u=(c[o+300>>2]|0)!=0}a[(c[o+316>>2]|0)+34|0]=(u^1)&1;if((c[o+136>>2]|0)!=0){h=0}}}else{c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}break};case 34:{c[o+344>>2]=gt(o,b,e,c[n>>2]|0)|0;if((c[o+344>>2]|0)==0){r=104;break a}r=117;break};case 2:{r=86;break a;break};case 1:{v=ct(o,0,e,c[n>>2]|0)|0;if((v|0)!=0){r=27;break a}b=c[o+144>>2]|0;h=0;break};case 4:{if((c[o+84>>2]|0)!=0){c[o+320>>2]=dt(o+416|0,b,e,c[n>>2]|0)|0;if((c[o+320>>2]|0)==0){r=31;break a}c[o+432>>2]=c[o+428>>2];c[o+328>>2]=0;h=0}c[o+324>>2]=0;break};case 7:{if((c[o+84>>2]|0)!=0){Vd[c[o+84>>2]&31](c[o+4>>2]|0,c[o+320>>2]|0,c[o+324>>2]|0,c[o+328>>2]|0,1);c[o+320>>2]=0;As(o+416|0);h=0}break};case 57:{w=ct(o,1,e,c[n>>2]|0)|0;if((w|0)!=0){r=38;break a}b=c[o+144>>2]|0;h=0;break};case 12:{if((a[l+128|0]|0)!=0){x=mt(o,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((c[o+316>>2]|0)!=0){c[(c[o+316>>2]|0)+4>>2]=c[l+120>>2];c[(c[o+316>>2]|0)+8>>2]=(c[l+116>>2]|0)-(c[l+120>>2]|0);c[l+120>>2]=c[l+116>>2];if((c[o+136>>2]|0)!=0){c[q>>2]=e;he[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,d[(c[o+316>>2]|0)+33|0]|0,c[(c[o+316>>2]|0)+4>>2]|0,c[(c[o+316>>2]|0)+8>>2]|0,c[o+360>>2]|0,0,0,0);h=0}}else{c[l+116>>2]=c[l+120>>2]}if((x|0)!=0){r=183;break a}}break};case 5:{a[o+489|0]=0;a[l+129|0]=1;if((c[o+84>>2]|0)!=0){c[o+324>>2]=dt(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((c[o+324>>2]|0)==0){r=188;break a}c[o+432>>2]=c[o+428>>2];h=0}else{c[o+324>>2]=17912}do{if((a[l+130|0]|0)==0){if((c[o+492>>2]|0)!=0){break}if((c[o+108>>2]|0)==0){break}if((Zd[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=195;break a}}}while(0);if((c[o+316>>2]|0)==0){c[o+316>>2]=Ws(o,l+132|0,17912,36)|0;if((c[o+316>>2]|0)==0){r=198;break a}c[(c[o+316>>2]|0)+24>>2]=0}r=201;break};case 37:case 38:{if((a[l+128|0]|0)!=0){y=lt(o,b,a[o+352|0]|0,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0,l+80|0)|0;if((y|0)!=0){r=155;break a}t=c[l+96>>2]|0;c[l+96>>2]=c[l+92>>2];if((kt(c[o+344>>2]|0,c[o+348>>2]|0,a[o+352|0]|0,0,t,o)|0)==0){r=157;break a}do{if((c[o+132>>2]|0)!=0){if((c[o+332>>2]|0)==0){break}do{if((a[c[o+332>>2]|0]|0)==40){r=163}else{if((a[c[o+332>>2]|0]|0)!=78){break}if((a[(c[o+332>>2]|0)+1|0]|0)==79){r=163}}}while(0);if((r|0)==163){r=0;do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((Ts(o+416|0)|0)<<24>>24!=0){r=166;break}if(!0){r=171;break a}}else{r=166}}while(0);if((r|0)==166){r=0;z=o+428|0;A=c[z>>2]|0;c[z>>2]=A+1;a[A]=41;if(!1){r=171;break a}}do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((Ts(o+416|0)|0)<<24>>24!=0){r=170;break}if(!0){r=171;break a}}else{r=170}}while(0);if((r|0)==170){r=0;A=o+428|0;z=c[A>>2]|0;c[A>>2]=z+1;a[z]=0;if(!1){r=171;break a}}c[o+332>>2]=c[o+432>>2];c[o+432>>2]=c[o+428>>2]}c[q>>2]=e;ce[c[o+132>>2]&63](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,c[c[o+348>>2]>>2]|0,c[o+332>>2]|0,t,(s|0)==38|0);As(o+416|0);h=0}}while(0)}break};case 14:{r=49;break};case 8:{if((c[o+320>>2]|0)!=0){Vd[c[o+84>>2]&31](c[o+4>>2]|0,c[o+320>>2]|0,c[o+324>>2]|0,c[o+328>>2]|0,0);As(o+416|0);h=0}if((c[o+324>>2]|0)!=0){r=64}else{if((d[o+489|0]|0)!=0){r=64}}if((r|0)==64){r=0;t=a[l+129|0]|0;a[l+129|0]=1;do{if((c[o+492>>2]|0)!=0){if((c[o+112>>2]|0)==0){break}z=Ws(o,l+132|0,17912,36)|0;if((z|0)==0){r=67;break a}if((a[o+489|0]|0)!=0){c[z+20>>2]=c[o+360>>2]}a[l+131|0]=0;if((_d[c[o+112>>2]&127](c[o+116>>2]|0,0,c[z+20>>2]|0,c[z+16>>2]|0,c[z+24>>2]|0)|0)==0){r=71;break a}if((a[l+131|0]|0)!=0){do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((Zd[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=76;break a}}}while(0)}else{if((c[o+324>>2]|0)==0){a[l+129|0]=t}}}}while(0);a[o+489|0]=0}if((c[o+88>>2]|0)!=0){Wd[c[o+88>>2]&511](c[o+4>>2]|0);h=0}break};case 31:case 32:{do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}if((c[o+332>>2]|0)!=0){B=17928}else{B=(s|0)==32?17896:17920}if((it(o+416|0,B)|0)==0){r=127;break a}if((jt(o+416|0,b,e,c[n>>2]|0)|0)==0){r=129;break a}c[o+332>>2]=c[o+432>>2];h=0}}while(0);break};case 35:case 36:{if((a[l+128|0]|0)!=0){if((kt(c[o+344>>2]|0,c[o+348>>2]|0,a[o+352|0]|0,a[o+353|0]|0,0,o)|0)==0){r=134;break a}do{if((c[o+132>>2]|0)!=0){if((c[o+332>>2]|0)==0){break}do{if((a[c[o+332>>2]|0]|0)==40){r=140}else{if((a[c[o+332>>2]|0]|0)!=78){break}if((a[(c[o+332>>2]|0)+1|0]|0)==79){r=140}}}while(0);if((r|0)==140){r=0;do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((Ts(o+416|0)|0)<<24>>24!=0){r=143;break}if(!0){r=148;break a}}else{r=143}}while(0);if((r|0)==143){r=0;t=o+428|0;z=c[t>>2]|0;c[t>>2]=z+1;a[z]=41;if(!1){r=148;break a}}do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((Ts(o+416|0)|0)<<24>>24!=0){r=147;break}if(!0){r=148;break a}}else{r=147}}while(0);if((r|0)==147){r=0;z=o+428|0;t=c[z>>2]|0;c[z>>2]=t+1;a[t]=0;if(!1){r=148;break a}}c[o+332>>2]=c[o+432>>2];c[o+432>>2]=c[o+428>>2]}c[q>>2]=e;ce[c[o+132>>2]&63](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,c[c[o+348>>2]>>2]|0,c[o+332>>2]|0,0,(s|0)==36|0);As(o+416|0);h=0}}while(0)}break};case 6:{a[o+489|0]=0;c[o+316>>2]=Ws(o,l+132|0,17912,36)|0;if((c[o+316>>2]|0)==0){r=41;break a}a[l+129|0]=1;if((c[o+84>>2]|0)==0){r=49;break b}if((le[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=44;break a}t=dt(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((t|0)==0){r=46;break a}et(t);c[o+432>>2]=c[o+428>>2];c[o+328>>2]=t;h=0;r=52;break};case 22:{c[o+348>>2]=ht(o,b,e,c[n>>2]|0)|0;if((c[o+348>>2]|0)==0){r=107;break a}a[o+352|0]=0;c[o+332>>2]=0;a[o+353|0]=0;r=117;break};case 23:{a[o+352|0]=1;c[o+332>>2]=18008;r=117;break};case 24:{a[o+353|0]=1;c[o+332>>2]=17976;r=117;break};case 25:{c[o+332>>2]=17968;r=117;break};case 26:{c[o+332>>2]=17960;r=117;break};case 27:{c[o+332>>2]=17984;r=117;break};case 28:{c[o+332>>2]=17992;r=117;break};case 29:{c[o+332>>2]=17952;r=117;break};case 30:{c[o+332>>2]=17936;r=117;break};case 10:{if((a[l+128|0]|0)!=0){t=dt(l+80|0,b,e,c[n>>2]|0)|0;if((t|0)==0){r=244;break a}c[o+316>>2]=Ws(o,l+132|0,t,36)|0;if((c[o+316>>2]|0)==0){r=246;break a}if((c[c[o+316>>2]>>2]|0)!=(t|0)){c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}else{c[l+96>>2]=c[l+92>>2];c[(c[o+316>>2]|0)+24>>2]=0;a[(c[o+316>>2]|0)+33|0]=1;if((c[o+476>>2]|0)!=0){C=1}else{C=(c[o+300>>2]|0)!=0}a[(c[o+316>>2]|0)+34|0]=(C^1)&1;if((c[o+136>>2]|0)!=0){h=0}}}else{c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}break};case 18:{c[o+340>>2]=0;c[o+336>>2]=0;if((c[o+96>>2]|0)!=0){c[o+336>>2]=dt(o+416|0,b,e,c[n>>2]|0)|0;if((c[o+336>>2]|0)==0){r=259;break a}c[o+432>>2]=c[o+428>>2];h=0}break};case 21:{if((le[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=263;break a}if((c[o+336>>2]|0)!=0){t=dt(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((t|0)==0){r=266;break a}et(t);c[o+340>>2]=t;c[o+432>>2]=c[o+428>>2];h=0}break};case 19:{do{if((c[o+336>>2]|0)!=0){if((c[o+96>>2]|0)==0){break}t=dt(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((t|0)==0){r=272;break a}c[q>>2]=e;Vd[c[o+96>>2]&31](c[o+4>>2]|0,c[o+336>>2]|0,c[o+360>>2]|0,t,c[o+340>>2]|0);h=0}}while(0);As(o+416|0);break};case 20:{do{if((c[o+340>>2]|0)!=0){if((c[o+96>>2]|0)==0){break}c[q>>2]=e;Vd[c[o+96>>2]&31](c[o+4>>2]|0,c[o+336>>2]|0,c[o+360>>2]|0,0,c[o+340>>2]|0);h=0}}while(0);As(o+416|0);break};case-1:{r=279;break a;break};case 58:{if((c[o+80>>2]|0)!=0){Rs(o,b,e,c[n>>2]|0)}h=0;D=nt(o,b,n,f,j,k)|0;if((D|0)!=0){r=286;break a}if((c[n>>2]|0)==0){r=288;break a}break};case 44:{if((c[o+260>>2]|0)>>>0>=(c[o+468>>2]|0)>>>0){if((c[o+468>>2]|0)!=0){t=c[o+16>>2]|0;z=c[o+464>>2]|0;A=o+468|0;E=c[A>>2]<<1;c[A>>2]=E;A=ie[t&127](z,E)|0;if((A|0)==0){r=294;break a}c[o+464>>2]=A;if((c[l+184>>2]|0)!=0){A=ie[c[o+16>>2]&127](c[l+184>>2]|0,c[o+468>>2]<<2)|0;if((A|0)==0){r=297;break a}c[l+184>>2]=A}}else{A=c[o+12>>2]|0;c[o+468>>2]=32;c[o+464>>2]=Zd[A&255](32)|0;if((c[o+464>>2]|0)==0){r=301;break a}}}a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=0;if((a[l+160|0]|0)!=0){A=pt(o)|0;if((A|0)<0){r=306;break a}c[(c[l+184>>2]|0)+(c[l+180>>2]<<2)>>2]=A;E=l+180|0;c[E>>2]=(c[E>>2]|0)+1;c[(c[l+164>>2]|0)+(A*28|0)>>2]=6;if((c[o+128>>2]|0)!=0){h=0}}break};case 50:{if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)==124){r=312;break a}a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=44;do{if((d[l+160|0]|0)!=0){if((c[o+128>>2]|0)==0){break}h=0}}while(0);break};case 49:{if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)==44){r=318;break a}do{if((d[l+160|0]|0)!=0){if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)!=0){break}if((c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]|0)==3){break}c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]=5;if((c[o+128>>2]|0)!=0){h=0}}}while(0);a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=124;break};case 60:case 59:{a[l+129|0]=1;if((c[o+492>>2]|0)!=0){A=dt(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((A|0)==0){r=329;break a}F=Ws(o,l+132|0,A,0)|0;c[l+92>>2]=c[l+96>>2];do{if((c[o+272>>2]|0)!=0){if((d[l+130|0]|0)!=0){if((c[o+300>>2]|0)!=0){r=340;break}}else{if((a[l+129|0]|0)!=0){r=340;break}}if((F|0)==0){r=335;break a}if((a[F+34|0]|0)==0){r=337;break a}}else{r=340}}while(0);do{if((r|0)==340){r=0;if((F|0)!=0){break}a[l+128|0]=a[l+130|0]|0;do{if((s|0)==60){if((c[o+120>>2]|0)==0){break}me[c[o+120>>2]&15](c[o+4>>2]|0,A,1);h=0}}while(0);break b}}while(0);if((a[F+32|0]|0)!=0){r=347;break a}if((c[F+4>>2]|0)!=0){G=qt(o,F,((s|0)==60?1:0)&255)|0;if((G|0)!=0){r=350;break a}h=0;break b}if((c[o+112>>2]|0)==0){a[l+128|0]=a[l+130|0]|0;break b}a[l+131|0]=0;a[F+32|0]=1;if((_d[c[o+112>>2]&127](c[o+116>>2]|0,0,c[F+20>>2]|0,c[F+16>>2]|0,c[F+24>>2]|0)|0)==0){r=354;break a}a[F+32|0]=0;h=0;if((a[l+131|0]|0)==0){a[l+128|0]=a[l+130|0]|0;break b}}else{a[l+128|0]=a[l+130|0]|0}do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((Zd[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=363;break a}}}while(0);break};case 40:{if((c[o+128>>2]|0)!=0){c[o+344>>2]=gt(o,b,e,c[n>>2]|0)|0;if((c[o+344>>2]|0)==0){r=367;break a}c[l+180>>2]=0;c[l+176>>2]=0;a[l+160|0]=1;h=0}break};case 41:case 42:{if((a[l+160|0]|0)!=0){if((c[o+128>>2]|0)!=0){A=Zd[c[o+12>>2]&255](20)|0;if((A|0)==0){r=373;break a}c[A+4>>2]=0;c[A+8>>2]=0;c[A+12>>2]=0;c[A+16>>2]=0;c[A>>2]=(s|0)==41?2:1;c[q>>2]=e;me[c[o+128>>2]&15](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,A);h=0}a[l+160|0]=0}break};case 43:{if((a[l+160|0]|0)!=0){c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]=3;if((c[o+128>>2]|0)!=0){h=0}}break};case 51:{H=0;r=386;break};case 53:{H=1;r=386;break};case 52:{H=2;r=386;break};case 54:{H=3;r=386;break};case 45:{H=0;r=405;break};case 47:{H=1;r=405;break};case 46:{H=2;r=405;break};case 48:{H=3;r=405;break};case 55:{if((st(o,b,e,c[n>>2]|0)|0)==0){r=417;break a}h=0;break};case 56:{if((tt(o,b,e,c[n>>2]|0)|0)==0){r=420;break a}h=0;break};case 0:{if((g|0)==14){h=0}break};case 3:{if((c[o+84>>2]|0)!=0){h=0}break};case 11:{do{if((d[l+128|0]|0)!=0){if((c[o+136>>2]|0)==0){break}h=0}}while(0);break};case 17:{if((c[o+96>>2]|0)!=0){h=0}break};case 33:{do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}h=0}}while(0);break};case 39:{if((c[o+128>>2]|0)!=0){h=0}break};default:{}}}while(0);if((r|0)==49){r=0;if((le[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=50;break}r=52}else if((r|0)==117){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}h=0}}while(0)}else if((r|0)==201){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}s=dt(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;c[(c[o+316>>2]|0)+16>>2]=s;if((c[(c[o+316>>2]|0)+16>>2]|0)==0){r=204;break a}c[(c[o+316>>2]|0)+20>>2]=c[o+360>>2];c[l+96>>2]=c[l+92>>2];if((c[o+136>>2]|0)!=0){h=0}}}while(0)}else if((r|0)==386){r=0;if((a[l+160|0]|0)!=0){if((H|0)==0){I=c[n>>2]|0}else{I=(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0}s=pt(o)|0;if((s|0)<0){r=391;break}c[(c[l+164>>2]|0)+(s*28|0)>>2]=4;c[(c[l+164>>2]|0)+(s*28|0)+4>>2]=H;A=gt(o,b,e,I)|0;if((A|0)==0){r=393;break}E=c[A>>2]|0;c[(c[l+164>>2]|0)+(s*28|0)+8>>2]=E;s=0;do{A=s;s=A+1|0;}while((a[E+A|0]|0)!=0);E=l+168|0;c[E>>2]=(c[E>>2]|0)+s;if((c[o+128>>2]|0)!=0){h=0}}}else if((r|0)==405){r=0;if((a[l+160|0]|0)!=0){if((c[o+128>>2]|0)!=0){h=0}E=l+180|0;c[E>>2]=(c[E>>2]|0)-1;c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+(c[l+180>>2]<<2)>>2]|0)*28|0)+4>>2]=H;if((c[l+180>>2]|0)==0){if(!(h<<24>>24!=0)){E=rt(o)|0;if((E|0)==0){r=411;break}c[q>>2]=e;me[c[o+128>>2]&15](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,E)}a[l+160|0]=0;c[l+168>>2]=0}}}if((r|0)==52){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}E=dt(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((E|0)==0){r=55;break a}et(E);c[(c[o+316>>2]|0)+24>>2]=E;c[l+96>>2]=c[l+92>>2];if((c[o+136>>2]|0)!=0){h=0}}}while(0)}do{if((h&255|0)!=0){if((c[o+80>>2]|0)==0){break}Rs(o,b,e,c[n>>2]|0)}}while(0);h=c[o+480>>2]|0;if((h|0)==3){r=446;break}else if((h|0)==2){r=447;break}e=c[n>>2]|0;g=le[c[b>>2]&127](b,e,f,n)|0}if((r|0)==8){c[j>>2]=e;J=0;K=J;i=m;return K|0}else if((r|0)==10){c[p>>2]=c[n>>2];J=4;K=J;i=m;return K|0}else if((r|0)==11){J=5;K=J;i=m;return K|0}else if((r|0)==12){J=6;K=J;i=m;return K|0}else if((r|0)==14){do{if((b|0)!=(c[o+144>>2]|0)){if((a[(c[o+300>>2]|0)+20|0]|0)!=0){break}c[j>>2]=e;J=0;K=J;i=m;return K|0}}while(0);do{if((d[o+488|0]|0)==0){if((b|0)!=(c[o+144>>2]|0)){break}J=3;K=J;i=m;return K|0}}while(0);if((_d[c[o+256>>2]&127](o+256|0,-4,f,f,b)|0)==-1){J=29;K=J;i=m;return K|0}else{c[j>>2]=e;J=0;K=J;i=m;return K|0}}else if((r|0)==27){J=v;K=J;i=m;return K|0}else if((r|0)==31){J=1;K=J;i=m;return K|0}else if((r|0)==38){J=w;K=J;i=m;return K|0}else if((r|0)==41){J=1;K=J;i=m;return K|0}else if((r|0)==44){J=32;K=J;i=m;return K|0}else if((r|0)==46){J=1;K=J;i=m;return K|0}else if((r|0)==50){J=32;K=J;i=m;return K|0}else if((r|0)==55){J=1;K=J;i=m;return K|0}else if((r|0)==67){J=1;K=J;i=m;return K|0}else if((r|0)==71){J=21;K=J;i=m;return K|0}else if((r|0)==76){J=22;K=J;i=m;return K|0}else if((r|0)==86){if((a[o+489|0]|0)!=0){w=a[l+129|0]|0;a[l+129|0]=1;do{if((c[o+492>>2]|0)!=0){if((c[o+112>>2]|0)==0){break}v=Ws(o,l+132|0,17912,36)|0;if((v|0)==0){J=1;K=J;i=m;return K|0}c[v+20>>2]=c[o+360>>2];a[l+131|0]=0;if((_d[c[o+112>>2]&127](c[o+116>>2]|0,0,c[v+20>>2]|0,c[v+16>>2]|0,c[v+24>>2]|0)|0)==0){J=21;K=J;i=m;return K|0}if((a[l+131|0]|0)!=0){do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((Zd[c[o+108>>2]&255](c[o+4>>2]|0)|0)!=0){break}J=22;K=J;i=m;return K|0}}while(0)}else{a[l+129|0]=w}}}while(0)}c[o+280>>2]=4;J=ft(o,e,f,j)|0;K=J;i=m;return K|0}else if((r|0)==104){J=1;K=J;i=m;return K|0}else if((r|0)==107){J=1;K=J;i=m;return K|0}else if((r|0)==127){J=1;K=J;i=m;return K|0}else if((r|0)==129){J=1;K=J;i=m;return K|0}else if((r|0)==134){J=1;K=J;i=m;return K|0}else if((r|0)==148){J=1;K=J;i=m;return K|0}else if((r|0)==155){J=y;K=J;i=m;return K|0}else if((r|0)==157){J=1;K=J;i=m;return K|0}else if((r|0)==171){J=1;K=J;i=m;return K|0}else if((r|0)==183){J=x;K=J;i=m;return K|0}else if((r|0)==188){J=1;K=J;i=m;return K|0}else if((r|0)==195){J=22;K=J;i=m;return K|0}else if((r|0)==198){J=1;K=J;i=m;return K|0}else if((r|0)==204){J=1;K=J;i=m;return K|0}else if((r|0)==217){J=1;K=J;i=m;return K|0}else if((r|0)==229){J=1;K=J;i=m;return K|0}else if((r|0)==231){J=1;K=J;i=m;return K|0}else if((r|0)==244){J=1;K=J;i=m;return K|0}else if((r|0)==246){J=1;K=J;i=m;return K|0}else if((r|0)==259){J=1;K=J;i=m;return K|0}else if((r|0)==263){J=32;K=J;i=m;return K|0}else if((r|0)==266){J=1;K=J;i=m;return K|0}else if((r|0)==272){J=1;K=J;i=m;return K|0}else if((r|0)==279){x=g;if((x|0)==28){J=10;K=J;i=m;return K|0}else if((x|0)==12){J=17;K=J;i=m;return K|0}else{J=2;K=J;i=m;return K|0}}else if((r|0)==286){J=D;K=J;i=m;return K|0}else if((r|0)==288){c[o+280>>2]=90;J=D;K=J;i=m;return K|0}else if((r|0)==294){J=1;K=J;i=m;return K|0}else if((r|0)==297){J=1;K=J;i=m;return K|0}else if((r|0)==301){J=1;K=J;i=m;return K|0}else if((r|0)==306){J=1;K=J;i=m;return K|0}else if((r|0)==312){J=2;K=J;i=m;return K|0}else if((r|0)==318){J=2;K=J;i=m;return K|0}else if((r|0)==329){J=1;K=J;i=m;return K|0}else if((r|0)==335){J=11;K=J;i=m;return K|0}else if((r|0)==337){J=24;K=J;i=m;return K|0}else if((r|0)==347){J=12;K=J;i=m;return K|0}else if((r|0)==350){J=G;K=J;i=m;return K|0}else if((r|0)==354){a[F+32|0]=0;J=21;K=J;i=m;return K|0}else if((r|0)==363){J=22;K=J;i=m;return K|0}else if((r|0)==367){J=1;K=J;i=m;return K|0}else if((r|0)==373){J=1;K=J;i=m;return K|0}else if((r|0)==391){J=1;K=J;i=m;return K|0}else if((r|0)==393){J=1;K=J;i=m;return K|0}else if((r|0)==411){J=1;K=J;i=m;return K|0}else if((r|0)==417){J=1;K=J;i=m;return K|0}else if((r|0)==420){J=1;K=J;i=m;return K|0}else if((r|0)==446){c[j>>2]=c[n>>2];J=0;K=J;i=m;return K|0}else if((r|0)==447){J=35;K=J;i=m;return K|0}return 0}function ct(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+40|0;h=g|0;j=g+8|0;k=g+16|0;l=g+24|0;m=g+32|0;n=b;b=d;d=e;e=f;c[h>>2]=0;f=0;c[j>>2]=0;c[k>>2]=0;o=0;c[m>>2]=-1;if((Yd[((a[n+236|0]&255|0)!=0?6:4)&15](b,c[n+144>>2]|0,d,e,n+288|0,k,l,h,j,m)|0)==0){if((b|0)!=0){p=31;q=p;i=g;return q|0}else{p=30;q=p;i=g;return q|0}}do{if((b|0)==0){if((c[m>>2]|0)!=1){break}a[(c[n+356>>2]|0)+130|0]=1;if((c[n+492>>2]|0)==1){c[n+492>>2]=0}}}while(0);if((c[n+140>>2]|0)!=0){do{if((c[h>>2]|0)!=0){b=c[n+144>>2]|0;r=c[h>>2]|0;s=c[h>>2]|0;f=dt(n+440|0,b,r,s+(ie[c[(c[n+144>>2]|0)+32>>2]&127](c[n+144>>2]|0,c[h>>2]|0)|0)|0)|0;if((f|0)!=0){c[n+456>>2]=c[n+452>>2];break}p=1;q=p;i=g;return q|0}}while(0);do{if((c[k>>2]|0)!=0){o=dt(n+440|0,c[n+144>>2]|0,c[k>>2]|0,(c[l>>2]|0)+(-(c[(c[n+144>>2]|0)+68>>2]|0)|0)|0)|0;if((o|0)!=0){break}p=1;q=p;i=g;return q|0}}while(0);pe[c[n+140>>2]&63](c[n+4>>2]|0,o,f,c[m>>2]|0)}else{if((c[n+80>>2]|0)!=0){Rs(n,c[n+144>>2]|0,d,e)}}if((c[n+232>>2]|0)==0){do{if((c[j>>2]|0)!=0){if((c[(c[j>>2]|0)+68>>2]|0)==(c[(c[n+144>>2]|0)+68>>2]|0)){c[n+144>>2]=c[j>>2];break}c[n+288>>2]=c[h>>2];p=19;q=p;i=g;return q|0}else{if((c[h>>2]|0)==0){break}do{if((f|0)==0){e=c[n+144>>2]|0;d=c[h>>2]|0;m=c[h>>2]|0;f=dt(n+440|0,e,d,m+(ie[c[(c[n+144>>2]|0)+32>>2]&127](c[n+144>>2]|0,c[h>>2]|0)|0)|0)|0;if((f|0)!=0){break}p=1;q=p;i=g;return q|0}}while(0);m=Ht(n,f)|0;As(n+440|0);if((m|0)==18){c[n+288>>2]=c[h>>2]}p=m;q=p;i=g;return q|0}}while(0)}if((f|0)!=0){t=40}else{if((o|0)!=0){t=40}}if((t|0)==40){As(n+440|0)}p=0;q=p;i=g;return q|0}function dt(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;if((jt(h,d,e,f)|0)==0){j=0;k=j;i=g;return k|0}do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((Ts(h)|0)<<24>>24!=0){break}j=0;k=j;i=g;return k|0}}while(0);f=h+12|0;e=c[f>>2]|0;c[f>>2]=e+1;a[e]=0;j=c[h+16>>2]|0;k=j;i=g;return k|0}function et(b){b=b|0;var c=0,d=0,e=0,f=0,g=0;c=i;d=b;b=d;e=d;while(1){if((a[e]|0)==0){break}f=a[e]|0;if((f|0)==32|(f|0)==13|(f|0)==10){do{if((b|0)!=(d|0)){if((a[b-1|0]|0)==32){break}f=b;b=f+1|0;a[f]=32}}while(0)}else{f=b;b=f+1|0;a[f]=a[e]|0}e=e+1|0}if((b|0)==(d|0)){g=b;a[g]=0;i=c;return}if((a[b-1|0]|0)!=32){g=b;a[g]=0;i=c;return}b=b-1|0;g=b;a[g]=0;i=c;return}function ft(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=wt(h,0,c[h+144>>2]|0,d,e,f,((a[h+484|0]|0)!=0^1)&1)|0;do{if((b|0)==0){if((Et(h)|0)<<24>>24!=0){break}j=1;k=j;i=g;return k|0}}while(0);j=b;k=j;i=g;return k|0}function gt(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;g=a;a=c[g+356>>2]|0;h=dt(a+80|0,b,d,e)|0;if((h|0)==0){j=0;k=j;i=f;return k|0}e=Ws(g,a+20|0,h,24)|0;if((e|0)==0){j=0;k=j;i=f;return k|0}do{if((c[e>>2]|0)!=(h|0)){c[a+92>>2]=c[a+96>>2]}else{c[a+96>>2]=c[a+92>>2];if((Ft(g,e)|0)!=0){break}j=0;k=j;i=f;return k|0}}while(0);j=e;k=j;i=f;return k|0}function ht(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=i;h=b;b=d;d=e;e=f;f=c[h+356>>2]|0;do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((Ts(f+80|0)|0)<<24>>24!=0){j=4;break}if(!0){j=5}}else{j=4}}while(0);if((j|0)==4){k=f+92|0;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=0;if(!1){j=5}}if((j|0)==5){m=0;n=m;i=g;return n|0}l=dt(f+80|0,b,d,e)|0;if((l|0)==0){m=0;n=m;i=g;return n|0}l=l+1|0;e=Ws(h,f+40|0,l,12)|0;if((e|0)==0){m=0;n=m;i=g;return n|0}if((c[e>>2]|0)!=(l|0)){c[f+92>>2]=c[f+96>>2]}else{c[f+96>>2]=c[f+92>>2];if((a[h+236|0]|0)!=0){do{if((a[l|0]|0)==120){if((a[l+1|0]|0)!=109){j=25;break}if((a[l+2|0]|0)!=108){j=25;break}if((a[l+3|0]|0)!=110){j=25;break}if((a[l+4|0]|0)!=115){j=25;break}if((a[l+5|0]|0)!=0){if((a[l+5|0]|0)!=58){j=25;break}}if((a[l+5|0]|0)==0){c[e+4>>2]=f+152}else{c[e+4>>2]=Ws(h,f+60|0,l+6|0,8)|0}a[e+9|0]=1}else{j=25}}while(0);if((j|0)==25){d=0;while(1){if((a[l+d|0]|0)==0){break}if((a[l+d|0]|0)==58){j=28;break}d=d+1|0}if((j|0)==28){b=0;a:while(1){if((b|0)>=(d|0)){break}do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((Ts(f+80|0)|0)<<24>>24!=0){j=33;break}if(!0){j=34;break a}}else{j=33}}while(0);if((j|0)==33){j=0;k=a[l+b|0]|0;o=f+92|0;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=k;if(!1){j=34;break}}b=b+1|0}if((j|0)==34){m=0;n=m;i=g;return n|0}do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((Ts(f+80|0)|0)<<24>>24!=0){j=40;break}if(!0){j=41}}else{j=40}}while(0);if((j|0)==40){b=f+92|0;l=c[b>>2]|0;c[b>>2]=l+1;a[l]=0;if(!1){j=41}}if((j|0)==41){m=0;n=m;i=g;return n|0}c[e+4>>2]=Ws(h,f+60|0,c[f+96>>2]|0,8)|0;if((c[c[e+4>>2]>>2]|0)==(c[f+96>>2]|0)){c[f+96>>2]=c[f+92>>2]}else{c[f+92>>2]=c[f+96>>2]}}}}}m=e;n=m;i=g;return n|0}function it(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=b;b=d;a:while(1){if((a[b]|0)==0){g=9;break}do{if((c[f+12>>2]|0)==(c[f+8>>2]|0)){if((Ts(f)|0)<<24>>24!=0){g=6;break}if(!0){g=7;break a}}else{g=6}}while(0);if((g|0)==6){g=0;d=a[b]|0;h=f+12|0;j=c[h>>2]|0;c[h>>2]=j+1;a[j]=d;if(!1){g=7;break}}b=b+1|0}if((g|0)==7){k=0;l=k;i=e;return l|0}else if((g|0)==9){k=c[f+16>>2]|0;l=k;i=e;return l|0}return 0}function jt(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+8|0;g=f|0;h=a;a=b;c[g>>2]=d;d=e;do{if((c[h+12>>2]|0)==0){if((Ts(h)|0)<<24>>24!=0){break}j=0;k=j;i=f;return k|0}}while(0);while(1){Vd[c[a+60>>2]&31](a,g,d,h+12|0,c[h+8>>2]|0);if((c[g>>2]|0)==(d|0)){break}if(!((Ts(h)|0)<<24>>24!=0)){l=8;break}}if((l|0)==8){j=0;k=j;i=f;return k|0}j=c[h+16>>2]|0;k=j;i=f;return k|0}function kt(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;k=b;b=d;d=e;e=f;f=g;g=h;if((f|0)!=0){l=3}else{if((e&255|0)!=0){l=3}}if((l|0)==3){h=0;while(1){if((h|0)>=(c[k+12>>2]|0)){break}if((b|0)==(c[(c[k+20>>2]|0)+(h*12|0)>>2]|0)){l=6;break}h=h+1|0}if((l|0)==6){m=1;n=m;i=j;return n|0}do{if((e&255|0)!=0){if((c[k+8>>2]|0)!=0){break}if((a[b+9|0]|0)!=0){break}c[k+8>>2]=b}}while(0)}if((c[k+12>>2]|0)==(c[k+16>>2]|0)){do{if((c[k+16>>2]|0)==0){c[k+16>>2]=8;c[k+20>>2]=Zd[c[g+12>>2]&255]((c[k+16>>2]|0)*12|0)|0;if((c[k+20>>2]|0)!=0){break}m=0;n=m;i=j;return n|0}else{e=c[k+16>>2]<<1;l=ie[c[g+16>>2]&127](c[k+20>>2]|0,e*12|0)|0;if((l|0)!=0){c[k+16>>2]=e;c[k+20>>2]=l;break}m=0;n=m;i=j;return n|0}}while(0)}g=(c[k+20>>2]|0)+((c[k+12>>2]|0)*12|0)|0;c[g>>2]=b;c[g+8>>2]=f;a[g+4|0]=d;if(!(d<<24>>24!=0)){a[b+8|0]=1}b=k+12|0;c[b>>2]=(c[b>>2]|0)+1;m=1;n=m;i=j;return n|0}function lt(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;k=e;e=h;h=Gt(b,d,k,f,g,e)|0;if((h|0)!=0){l=h;m=l;i=j;return m|0}do{if(!(k<<24>>24!=0)){if(((c[e+12>>2]|0)-(c[e+16>>2]|0)|0)==0){break}if((a[(c[e+12>>2]|0)-1|0]|0)!=32){break}h=e+12|0;c[h>>2]=(c[h>>2]|0)-1}}while(0);do{if((c[e+12>>2]|0)==(c[e+8>>2]|0)){if((Ts(e)|0)<<24>>24!=0){n=10;break}if(0){n=12}else{n=11}}else{n=10}}while(0);if((n|0)==10){k=e+12|0;e=c[k>>2]|0;c[k>>2]=e+1;a[e]=0;if(1){n=12}else{n=11}}if((n|0)==11){l=1;m=l;i=j;return m|0}else if((n|0)==12){l=0;m=l;i=j;return m|0}return 0}function mt(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+16|0;j=h|0;k=h+8|0;l=b;b=e;e=f;f=g;g=c[l+356>>2]|0;m=g+104|0;n=0;o=c[l+276>>2]|0;c[l+276>>2]=1;do{if((c[m>>2]|0)==0){if((Ts(m)|0)<<24>>24!=0){break}p=1;q=p;i=h;return q|0}}while(0);a:while(1){switch(le[c[b+20>>2]&127](b,e,f,j)|0){case 0:{r=59;break a;break};case 28:{if((d[l+488|0]|0)==0){if((b|0)==(c[l+144>>2]|0)){r=30;break a}}s=dt(l+416|0,b,e+(c[b+68>>2]|0)|0,(c[j>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((s|0)==0){r=10;break a}t=Ws(l,g+132|0,s,0)|0;c[l+428>>2]=c[l+432>>2];if((t|0)==0){r=12;break a}if((a[t+32|0]|0)!=0){r=14;break a}if((c[t+16>>2]|0)!=0){if((c[l+112>>2]|0)!=0){a[g+131|0]=0;a[t+32|0]=1;if((_d[c[l+112>>2]&127](c[l+116>>2]|0,0,c[t+20>>2]|0,c[t+16>>2]|0,c[t+24>>2]|0)|0)==0){r=20;break a}a[t+32|0]=0;if((a[g+131|0]|0)==0){a[g+128|0]=a[g+130|0]|0}}else{a[g+128|0]=a[g+130|0]|0}}else{a[t+32|0]=1;n=mt(l,c[l+228>>2]|0,c[t+4>>2]|0,(c[t+4>>2]|0)+(c[t+8>>2]|0)|0)|0;a[t+32|0]=0;if((n|0)!=0){r=27;break a}}break};case-4:{r=31;break a;break};case 9:case 6:{if((jt(m,b,e,c[j>>2]|0)|0)==0){r=33;break a}break};case-3:{c[j>>2]=e+(c[b+68>>2]|0);r=36;break};case 7:{r=36;break};case 10:{s=ie[c[b+44>>2]&127](b,e)|0;if((s|0)<0){r=41;break a}s=Nt(s,k|0)|0;if((s|0)==0){r=45;break a}u=0;while(1){if((u|0)>=(s|0)){break}if((c[m+8>>2]|0)==(c[m+12>>2]|0)){if(!((Ts(m)|0)<<24>>24!=0)){r=52;break a}}v=a[k+u|0]|0;w=m+12|0;x=c[w>>2]|0;c[w>>2]=x+1;a[x]=v;u=u+1|0}break};case-1:{r=56;break a;break};default:{r=62;break a}}if((r|0)==36){r=0;if((c[m+8>>2]|0)==(c[m+12>>2]|0)){if(!((Ts(m)|0)<<24>>24!=0)){r=38;break}}u=m+12|0;s=c[u>>2]|0;c[u>>2]=s+1;a[s]=10}e=c[j>>2]|0}if((r|0)==10){n=1}else if((r|0)==12){a[g+128|0]=a[g+130|0]|0}else if((r|0)==14){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=12}else if((r|0)==20){a[t+32|0]=0;n=21}else if((r|0)!=27)if((r|0)==30){c[l+288>>2]=e;n=10}else if((r|0)==31){n=0}else if((r|0)==33){n=1}else if((r|0)==38){n=1}else if((r|0)==41){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=14}else if((r|0)==45){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=14}else if((r|0)==52){n=1}else if((r|0)==56){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=4}else if((r|0)==59){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=c[j>>2]}n=4}else if((r|0)==62){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=23}c[l+276>>2]=o;p=n;q=p;i=h;return q|0}function nt(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=a;a=b;b=d;d=f;f=g;g=c[b>>2]|0;if((a|0)==(c[k+144>>2]|0)){l=k+288|0;c[l>>2]=g;m=k+292|0}else{l=c[k+300>>2]|0;m=(c[k+300>>2]|0)+4|0}c[l>>2]=g;c[b>>2]=0;n=le[c[a+12>>2]&127](a,g,e,j)|0;c[m>>2]=c[j>>2];switch(n|0){case-2:{if(f<<24>>24!=0){c[d>>2]=g;o=0;p=o;i=h;return p|0}else{o=6;p=o;i=h;return p|0}break};case-1:case-4:{if(f<<24>>24!=0){c[d>>2]=g;o=0;p=o;i=h;return p|0}else{o=2;p=o;i=h;return p|0}break};case 42:{if((c[k+80>>2]|0)!=0){Rs(k,a,g,c[j>>2]|0)}c[b>>2]=c[j>>2];c[d>>2]=c[j>>2];if((c[k+480>>2]|0)==2){o=35;p=o;i=h;return p|0}else{o=0;p=o;i=h;return p|0}break};case 0:{c[l>>2]=c[j>>2];o=4;p=o;i=h;return p|0};default:{c[l>>2]=c[j>>2];o=23;p=o;i=h;return p|0}}return 0}function ot(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;c[h>>2]=d;d=e;e=f;f=nt(j,c[j+144>>2]|0,h,d,e,((a[j+484|0]|0)!=0^1)&1)|0;if((f|0)!=0){k=f;l=k;i=g;return l|0}if((c[h>>2]|0)!=0){c[j+280>>2]=74;k=at(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}else{k=f;l=k;i=g;return l|0}return 0}function pt(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a;a=c[d+356>>2]|0;do{if((c[a+184>>2]|0)==0){c[a+184>>2]=Zd[c[d+12>>2]&255](c[d+468>>2]<<2)|0;if((c[a+184>>2]|0)!=0){c[c[a+184>>2]>>2]=0;break}e=-1;f=e;i=b;return f|0}}while(0);if((c[a+176>>2]|0)>>>0>=(c[a+172>>2]|0)>>>0){do{if((c[a+164>>2]|0)!=0){g=ie[c[d+16>>2]&127](c[a+164>>2]|0,(c[a+172>>2]<<1)*28|0)|0;if((g|0)!=0){h=a+172|0;c[h>>2]=c[h>>2]<<1;break}e=-1;f=e;i=b;return f|0}else{g=Zd[c[d+12>>2]&255](896)|0;if((g|0)!=0){c[a+172>>2]=32;break}e=-1;f=e;i=b;return f|0}}while(0);c[a+164>>2]=g}g=a+176|0;d=c[g>>2]|0;c[g>>2]=d+1;g=d;d=(c[a+164>>2]|0)+(g*28|0)|0;if((c[a+180>>2]|0)!=0){h=(c[a+164>>2]|0)+((c[(c[a+184>>2]|0)+((c[a+180>>2]|0)-1<<2)>>2]|0)*28|0)|0;if((c[h+16>>2]|0)!=0){c[(c[a+164>>2]|0)+((c[h+16>>2]|0)*28|0)+24>>2]=g}if((c[h+20>>2]|0)==0){c[h+12>>2]=g}c[h+16>>2]=g;a=h+20|0;c[a>>2]=(c[a>>2]|0)+1}c[d+24>>2]=0;c[d+20>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;e=g;f=e;i=b;return f|0}function qt(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;f=i;i=i+8|0;g=f|0;h=b;b=d;d=e;do{if((c[h+304>>2]|0)!=0){j=c[h+304>>2]|0;c[h+304>>2]=c[j+8>>2]}else{j=Zd[c[h+12>>2]&255](24)|0;if((j|0)!=0){break}k=1;l=k;i=f;return l|0}}while(0);a[b+32|0]=1;c[b+12>>2]=0;c[j+8>>2]=c[h+300>>2];c[h+300>>2]=j;c[j+12>>2]=b;c[j+16>>2]=c[h+312>>2];a[j+20|0]=d;c[j>>2]=0;c[j+4>>2]=0;d=c[b+4>>2]|0;e=(c[b+4>>2]|0)+(c[b+8>>2]|0)|0;if((a[b+33|0]|0)!=0){m=le[c[c[h+228>>2]>>2]&127](c[h+228>>2]|0,d,e,g)|0;n=bt(h,c[h+228>>2]|0,d,e,m,c[g>>2]|0,g,0)|0}else{n=wt(h,c[h+312>>2]|0,c[h+228>>2]|0,d,e,g,0)|0}if((n|0)==0){do{if((e|0)!=(c[g>>2]|0)){if((c[h+480>>2]|0)!=3){o=13;break}c[b+12>>2]=(c[g>>2]|0)-d;c[h+280>>2]=62}else{o=13}}while(0);if((o|0)==13){a[b+32|0]=0;c[h+300>>2]=c[j+8>>2];c[j+8>>2]=c[h+304>>2];c[h+304>>2]=j}}k=n;l=k;i=f;return l|0}function rt(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a;a=c[f+356>>2]|0;g=Zd[c[f+12>>2]&255](((c[a+176>>2]|0)*20|0)+(c[a+168>>2]|0)|0)|0;if((g|0)!=0){c[e>>2]=g+((c[a+176>>2]|0)*20|0);c[d>>2]=g+20;vt(f,0,g,d,e);h=g;j=h;i=b;return j|0}else{h=0;j=h;i=b;return j|0}return 0}function st(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;g=a;a=b;b=d;d=e;if((c[g+64>>2]|0)==0){if((c[g+80>>2]|0)!=0){Rs(g,a,b,d)}h=1;j=h;i=f;return j|0}b=b+(c[a+68>>2]<<1)|0;e=b+(ie[c[a+32>>2]&127](a,b)|0)|0;k=dt(g+416|0,a,b,e)|0;if((k|0)==0){h=0;j=h;i=f;return j|0}c[g+432>>2]=c[g+428>>2];b=ie[c[a+36>>2]&127](a,e)|0;e=dt(g+416|0,a,b,d+(-(c[a+68>>2]<<1)|0)|0)|0;if((e|0)!=0){ut(e);me[c[g+64>>2]&15](c[g+4>>2]|0,k,e);As(g+416|0);h=1;j=h;i=f;return j|0}else{h=0;j=h;i=f;return j|0}return 0}function tt(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=a;a=b;b=d;d=e;if((c[g+68>>2]|0)==0){if((c[g+80>>2]|0)!=0){Rs(g,a,b,d)}h=1;j=h;i=f;return j|0}e=dt(g+416|0,a,b+(c[a+68>>2]<<2)|0,d+(-((c[a+68>>2]|0)*3|0)|0)|0)|0;if((e|0)!=0){ut(e);Xd[c[g+68>>2]&127](c[g+4>>2]|0,e);As(g+416|0);h=1;j=h;i=f;return j|0}else{h=0;j=h;i=f;return j|0}return 0}function ut(b){b=b|0;var c=0,d=0,e=0,f=0;c=i;d=b;while(1){if((a[d]|0)==0){e=3;break}if((a[d]|0)==13){break}d=d+1|0}if((e|0)==3){i=c;return}e=d;do{if((a[d]|0)==13){b=e;e=b+1|0;a[b]=10;b=d+1|0;d=b;if((a[b]|0)==10){d=d+1|0}}else{b=d;d=b+1|0;f=e;e=f+1|0;a[f]=a[b]|0}}while((a[d]|0)!=0);a[e]=0;i=c;return}function vt(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=d;d=e;e=f;f=g;g=c[j+356>>2]|0;c[d>>2]=c[(c[g+164>>2]|0)+(b*28|0)>>2];c[d+4>>2]=c[(c[g+164>>2]|0)+(b*28|0)+4>>2];if((c[d>>2]|0)==4){c[d+8>>2]=c[f>>2];k=c[(c[g+164>>2]|0)+(b*28|0)+8>>2]|0;while(1){l=a[k]|0;m=f;n=c[m>>2]|0;c[m>>2]=n+1;a[n]=l;if((a[k]|0)==0){break}k=k+1|0}c[d+12>>2]=0;c[d+16>>2]=0;i=h;return}else{c[d+12>>2]=c[(c[g+164>>2]|0)+(b*28|0)+20>>2];c[d+16>>2]=c[e>>2];k=e;c[k>>2]=(c[k>>2]|0)+((c[d+12>>2]|0)*20|0);k=0;l=c[(c[g+164>>2]|0)+(b*28|0)+12>>2]|0;while(1){if(!(k>>>0<(c[d+12>>2]|0)>>>0)){break}vt(j,l,(c[d+16>>2]|0)+(k*20|0)|0,e,f);k=k+1|0;l=c[(c[g+164>>2]|0)+(l*28|0)+24>>2]|0}c[d+8>>2]=0;i=h;return}}function wt(b,e,f,g,h,j,k){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;l=i;i=i+112|0;m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+80|0;v=l+88|0;w=l+96|0;x=l+104|0;y=b;b=e;e=f;c[m>>2]=g;g=h;h=j;j=k;k=c[y+356>>2]|0;if((e|0)==(c[y+144>>2]|0)){z=y+288|0;A=y+292|0}else{z=c[y+300>>2]|0;A=(c[y+300>>2]|0)+4|0}c[z>>2]=c[m>>2];a:while(1){c[n>>2]=c[m>>2];f=le[c[e+4>>2]&127](e,c[m>>2]|0,g,n)|0;c[A>>2]=c[n>>2];b:do{switch(f|0){case-3:{B=6;break a;break};case-1:{B=26;break a;break};case-4:{B=18;break a;break};case 4:case 3:{C=(c[m>>2]|0)+(c[e+68>>2]|0)|0;c[s>>2]=0;D=1;c[t>>2]=dt(y+416|0,e,C,C+(ie[c[e+32>>2]&127](e,C)|0)|0)|0;if((c[t>>2]|0)==0){B=105;break a}c[y+432>>2]=c[y+428>>2];E=zt(y,e,c[m>>2]|0,t,s)|0;if((E|0)!=0){B=107;break a}c[y+432>>2]=c[y+428>>2];if((c[y+52>>2]|0)!=0){me[c[y+52>>2]&15](c[y+4>>2]|0,c[t>>2]|0,c[y+392>>2]|0);D=0}if((c[y+56>>2]|0)!=0){if((c[y+52>>2]|0)!=0){c[z>>2]=c[A>>2]}Xd[c[y+56>>2]&127](c[y+4>>2]|0,c[t>>2]|0);D=0}do{if((D&255|0)!=0){if((c[y+80>>2]|0)==0){break}Rs(y,e,c[m>>2]|0,c[n>>2]|0)}}while(0);As(y+416|0);while(1){if((c[s>>2]|0)==0){break}D=c[s>>2]|0;if((c[y+104>>2]|0)!=0){Xd[c[y+104>>2]&127](c[y+4>>2]|0,c[c[D>>2]>>2]|0)}c[s>>2]=c[(c[s>>2]|0)+4>>2];c[D+4>>2]=c[y+376>>2];c[y+376>>2]=D;c[(c[D>>2]|0)+4>>2]=c[D+8>>2]}if((c[y+312>>2]|0)==0){B=123;break a}break};case 0:{B=25;break a;break};case 2:case 1:{if((c[y+368>>2]|0)!=0){F=c[y+368>>2]|0;c[y+368>>2]=c[c[y+368>>2]>>2]}else{F=Zd[c[y+12>>2]&255](48)|0;if((F|0)==0){B=86;break a}c[F+36>>2]=Zd[c[y+12>>2]&255](32)|0;if((c[F+36>>2]|0)==0){B=88;break a}c[F+40>>2]=(c[F+36>>2]|0)+32}c[F+44>>2]=0;c[F>>2]=c[y+364>>2];c[y+364>>2]=F;c[F+16>>2]=0;c[F+20>>2]=0;c[F+4>>2]=(c[m>>2]|0)+(c[e+68>>2]|0);c[F+8>>2]=ie[c[e+32>>2]&127](e,c[F+4>>2]|0)|0;D=y+312|0;c[D>>2]=(c[D>>2]|0)+1;D=(c[F+4>>2]|0)+(c[F+8>>2]|0)|0;c[r>>2]=c[F+4>>2];c[q>>2]=c[F+36>>2];while(1){Vd[c[e+60>>2]&31](e,r,D,q,(c[F+40>>2]|0)-1|0);G=(c[q>>2]|0)-(c[F+36>>2]|0)|0;if((c[r>>2]|0)==(D|0)){break}C=(c[F+40>>2]|0)-(c[F+36>>2]|0)<<1;H=ie[c[y+16>>2]&127](c[F+36>>2]|0,C)|0;if((H|0)==0){B=94;break a}c[F+36>>2]=H;c[F+40>>2]=H+C;c[q>>2]=H+G}c[F+24>>2]=G;c[F+12>>2]=c[F+36>>2];a[c[q>>2]|0]=0;I=zt(y,e,c[m>>2]|0,F+12|0,F+44|0)|0;if((I|0)!=0){B=97;break a}if((c[y+52>>2]|0)!=0){me[c[y+52>>2]&15](c[y+4>>2]|0,c[F+12>>2]|0,c[y+392>>2]|0)}else{if((c[y+80>>2]|0)!=0){Rs(y,e,c[m>>2]|0,c[n>>2]|0)}}As(y+416|0);break};case 6:{D=c[y+60>>2]|0;if((D|0)!=0){if((a[e+72|0]|0)!=0){me[D&15](c[y+4>>2]|0,c[m>>2]|0,(c[n>>2]|0)-(c[m>>2]|0)|0)}else{while(1){c[x>>2]=c[y+44>>2];Vd[c[e+60>>2]&31](e,m,c[n>>2]|0,x,c[y+48>>2]|0);c[A>>2]=c[m>>2];me[D&15](c[y+4>>2]|0,c[y+44>>2]|0,(c[x>>2]|0)-(c[y+44>>2]|0)|0);if((c[m>>2]|0)==(c[n>>2]|0)){break}c[z>>2]=c[m>>2]}}}else{if((c[y+80>>2]|0)!=0){Rs(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case 12:{B=164;break a;break};case 7:{if((c[y+60>>2]|0)!=0){a[v]=10;me[c[y+60>>2]&15](c[y+4>>2]|0,v,1)}else{if((c[y+80>>2]|0)!=0){Rs(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case 8:{if((c[y+72>>2]|0)!=0){Wd[c[y+72>>2]&511](c[y+4>>2]|0)}else{if((c[y+80>>2]|0)!=0){Rs(y,e,c[m>>2]|0,c[n>>2]|0)}}J=Bt(y,e,n,g,h,j)|0;if((J|0)!=0){B=177;break a}if((c[n>>2]|0)==0){B=179;break a}break};case-5:{B=182;break a;break};case 9:{a[p]=$d[c[e+48>>2]&127](e,(c[m>>2]|0)+(c[e+68>>2]|0)|0,(c[n>>2]|0)+(-(c[e+68>>2]|0)|0)|0)|0;if((a[p]|0)!=0){if((c[y+60>>2]|0)!=0){me[c[y+60>>2]&15](c[y+4>>2]|0,p,1)}else{if((c[y+80>>2]|0)!=0){Rs(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}D=dt(k+80|0,e,(c[m>>2]|0)+(c[e+68>>2]|0)|0,(c[n>>2]|0)+(-(c[e+68>>2]|0)|0)|0)|0;if((D|0)==0){B=40;break a}H=Ws(y,k|0,D,0)|0;c[k+92>>2]=c[k+96>>2];do{if((a[k+129|0]|0)!=0){if((d[k+130|0]|0)!=0){B=43;break}if((H|0)!=0){break}if((c[y+120>>2]|0)!=0){me[c[y+120>>2]&15](c[y+4>>2]|0,D,0)}else{if((c[y+80>>2]|0)!=0){Rs(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}else{B=43}}while(0);if((B|0)==43){B=0;if((H|0)==0){B=44;break a}if((a[H+34|0]|0)==0){B=46;break a}}if((a[H+32|0]|0)!=0){B=58;break a}if((c[H+28>>2]|0)!=0){B=60;break a}do{if((c[H+4>>2]|0)!=0){if((a[y+308|0]|0)!=0){K=qt(y,H,0)|0;if((K|0)!=0){B=70;break a}break}if((c[y+120>>2]|0)!=0){me[c[y+120>>2]&15](c[y+4>>2]|0,c[H>>2]|0,0)}else{if((c[y+80>>2]|0)!=0){Rs(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}else{if((c[y+112>>2]|0)!=0){a[H+32|0]=1;D=yt(y)|0;a[H+32|0]=0;if((D|0)==0){B=74;break a}if((_d[c[y+112>>2]&127](c[y+116>>2]|0,D,c[H+20>>2]|0,c[H+16>>2]|0,c[H+24>>2]|0)|0)==0){B=76;break a}c[y+428>>2]=c[y+432>>2]}else{if((c[y+80>>2]|0)!=0){Rs(y,e,c[m>>2]|0,c[n>>2]|0)}}}}while(0);break};case-2:{B=29;break a;break};case 10:{H=ie[c[e+44>>2]&127](e,c[m>>2]|0)|0;if((H|0)<0){B=157;break a}if((c[y+60>>2]|0)!=0){D=c[y+60>>2]|0;C=c[y+4>>2]|0;L=Nt(H,u|0)|0;me[D&15](C,u|0,L)}else{if((c[y+80>>2]|0)!=0){Rs(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case 5:{if((c[y+312>>2]|0)==(b|0)){B=126;break a}L=c[y+364>>2]|0;c[y+364>>2]=c[L>>2];c[L>>2]=c[y+368>>2];c[y+368>>2]=L;M=(c[m>>2]|0)+(c[e+68>>2]<<1)|0;C=ie[c[e+32>>2]&127](e,M)|0;if((C|0)!=(c[L+8>>2]|0)){B=129;break a}if((_0(c[L+4>>2]|0,M,C)|0)!=0){B=129;break a}C=y+312|0;c[C>>2]=(c[C>>2]|0)-1;if((c[y+56>>2]|0)!=0){C=c[L+16>>2]|0;do{if((d[y+236|0]|0)!=0){if((C|0)==0){break}D=(c[L+12>>2]|0)+(c[L+28>>2]|0)|0;while(1){if((a[C]|0)==0){break}H=C;C=H+1|0;N=D;D=N+1|0;a[N]=a[H]|0}H=c[L+20>>2]|0;do{if((d[y+237|0]|0)!=0){if((H|0)==0){break}N=D;D=N+1|0;a[N]=a[y+472|0]|0;while(1){if((a[H]|0)==0){break}N=H;H=N+1|0;O=D;D=O+1|0;a[O]=a[N]|0}}}while(0);a[D]=0}}while(0);Xd[c[y+56>>2]&127](c[y+4>>2]|0,c[L+12>>2]|0)}else{if((c[y+80>>2]|0)!=0){Rs(y,e,c[m>>2]|0,c[n>>2]|0)}}while(1){if((c[L+44>>2]|0)==0){break}C=c[L+44>>2]|0;if((c[y+104>>2]|0)!=0){Xd[c[y+104>>2]&127](c[y+4>>2]|0,c[c[C>>2]>>2]|0)}c[L+44>>2]=c[(c[L+44>>2]|0)+4>>2];c[C+4>>2]=c[y+376>>2];c[y+376>>2]=C;c[(c[C>>2]|0)+4>>2]=c[C+8>>2]}if((c[y+312>>2]|0)==0){B=153;break a}break};case 11:{if((st(y,e,c[m>>2]|0,c[n>>2]|0)|0)==0){B=211;break a}break};case 13:{if((tt(y,e,c[m>>2]|0,c[n>>2]|0)|0)==0){B=214;break a}break};default:{if((c[y+80>>2]|0)!=0){Rs(y,e,c[m>>2]|0,c[n>>2]|0)}}}}while(0);f=c[n>>2]|0;c[m>>2]=f;c[z>>2]=f;f=c[y+480>>2]|0;if((f|0)==3){B=220;break}else if((f|0)==2){B=221;break}}if((B|0)==6){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}c[A>>2]=g;if((c[y+60>>2]|0)!=0){a[o]=10;me[c[y+60>>2]&15](c[y+4>>2]|0,o,1)}else{if((c[y+80>>2]|0)!=0){Rs(y,e,c[m>>2]|0,g)}}if((b|0)==0){P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){P=13;Q=P;i=l;return Q|0}else{c[h>>2]=g;P=0;Q=P;i=l;return Q|0}}else if((B|0)==18){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}if((b|0)<=0){P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){P=13;Q=P;i=l;return Q|0}else{c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}}else if((B|0)==25){c[z>>2]=c[n>>2];P=4;Q=P;i=l;return Q|0}else if((B|0)==26){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}else{P=5;Q=P;i=l;return Q|0}}else if((B|0)==29){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}else{P=6;Q=P;i=l;return Q|0}}else if((B|0)==40){P=1;Q=P;i=l;return Q|0}else if((B|0)==44){P=11;Q=P;i=l;return Q|0}else if((B|0)==46){P=24;Q=P;i=l;return Q|0}else if((B|0)==58){P=12;Q=P;i=l;return Q|0}else if((B|0)==60){P=15;Q=P;i=l;return Q|0}else if((B|0)==70){P=K;Q=P;i=l;return Q|0}else if((B|0)==74){P=1;Q=P;i=l;return Q|0}else if((B|0)==76){P=21;Q=P;i=l;return Q|0}else if((B|0)==86){P=1;Q=P;i=l;return Q|0}else if((B|0)==88){Wd[c[y+20>>2]&511](F);P=1;Q=P;i=l;return Q|0}else if((B|0)==94){P=1;Q=P;i=l;return Q|0}else if((B|0)==97){P=I;Q=P;i=l;return Q|0}else if((B|0)==105){P=1;Q=P;i=l;return Q|0}else if((B|0)==107){P=E;Q=P;i=l;return Q|0}else if((B|0)==123){P=At(y,c[n>>2]|0,g,h)|0;Q=P;i=l;return Q|0}else if((B|0)==126){P=13;Q=P;i=l;return Q|0}else if((B|0)==129){c[z>>2]=M;P=7;Q=P;i=l;return Q|0}else if((B|0)==153){P=At(y,c[n>>2]|0,g,h)|0;Q=P;i=l;return Q|0}else if((B|0)==157){P=14;Q=P;i=l;return Q|0}else if((B|0)==164){P=17;Q=P;i=l;return Q|0}else if((B|0)==177){P=J;Q=P;i=l;return Q|0}else if((B|0)==179){c[y+280>>2]=72;P=J;Q=P;i=l;return Q|0}else if((B|0)==182){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}if((c[y+60>>2]|0)!=0){if((a[e+72|0]|0)!=0){me[c[y+60>>2]&15](c[y+4>>2]|0,c[m>>2]|0,g-(c[m>>2]|0)|0)}else{c[w>>2]=c[y+44>>2];Vd[c[e+60>>2]&31](e,m,g,w,c[y+48>>2]|0);me[c[y+60>>2]&15](c[y+4>>2]|0,c[y+44>>2]|0,(c[w>>2]|0)-(c[y+44>>2]|0)|0)}}else{if((c[y+80>>2]|0)!=0){Rs(y,e,c[m>>2]|0,g)}}if((b|0)==0){c[z>>2]=g;P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){c[z>>2]=g;P=13;Q=P;i=l;return Q|0}else{c[h>>2]=g;P=0;Q=P;i=l;return Q|0}}else if((B|0)==211){P=1;Q=P;i=l;return Q|0}else if((B|0)==214){P=1;Q=P;i=l;return Q|0}else if((B|0)==220){c[h>>2]=c[n>>2];P=0;Q=P;i=l;return Q|0}else if((B|0)==221){P=35;Q=P;i=l;return Q|0}return 0}function xt(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;e=f;f=c[j+300>>2]|0;if((f|0)==0){k=23;l=k;i=g;return l|0}m=c[f+12>>2]|0;n=(c[m+4>>2]|0)+(c[m+12>>2]|0)|0;o=(c[m+4>>2]|0)+(c[m+8>>2]|0)|0;if((a[m+33|0]|0)!=0){p=le[c[c[j+228>>2]>>2]&127](c[j+228>>2]|0,n,o,h)|0;q=bt(j,c[j+228>>2]|0,n,o,p,c[h>>2]|0,h,0)|0}else{q=wt(j,c[f+16>>2]|0,c[j+228>>2]|0,n,o,h,0)|0}if((q|0)!=0){k=q;l=k;i=g;return l|0}do{if((o|0)!=(c[h>>2]|0)){if((c[j+480>>2]|0)!=3){break}c[m+12>>2]=(c[h>>2]|0)-(c[m+4>>2]|0);k=q;l=k;i=g;return l|0}}while(0);a[m+32|0]=0;c[j+300>>2]=c[f+8>>2];c[f+8>>2]=c[j+304>>2];c[j+304>>2]=f;if((a[m+33|0]|0)!=0){c[j+280>>2]=74;m=le[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;k=bt(j,c[j+144>>2]|0,b,d,m,c[h>>2]|0,e,((a[j+484|0]|0)!=0^1)&1)|0;l=k;i=g;return l|0}else{c[j+280>>2]=4;k=wt(j,(c[j+476>>2]|0)!=0?1:0,c[j+144>>2]|0,b,d,e,((a[j+484|0]|0)!=0^1)&1)|0;l=k;i=g;return l|0}return 0}function yt(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=i;i=i+8|0;e=d|0;f=b;b=c[f+356>>2]|0;g=0;do{if((c[b+156>>2]|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ts(f+416|0)|0)<<24>>24!=0){h=5;break}if(!0){h=6}}else{h=5}}while(0);if((h|0)==5){j=f+428|0;k=c[j>>2]|0;c[j>>2]=k+1;a[k]=61;if(!1){h=6}}if((h|0)==6){l=0;m=l;i=d;return m|0}k=c[(c[b+156>>2]|0)+20>>2]|0;if((a[f+472|0]|0)!=0){k=k-1|0}j=0;a:while(1){if((j|0)>=(k|0)){h=18;break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ts(f+416|0)|0)<<24>>24!=0){h=14;break}if(!0){break a}}else{h=14}}while(0);if((h|0)==14){h=0;n=a[(c[(c[b+156>>2]|0)+16>>2]|0)+j|0]|0;o=f+428|0;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=n;if(!1){break}}j=j+1|0}if((h|0)==18){g=1;break}l=0;m=l;i=d;return m|0}}while(0);Us(e,b+60|0);b:while(1){j=Vs(e)|0;if((j|0)==0){h=21;break}if((c[j+4>>2]|0)==0){continue}c:do{if((g&255|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ts(f+416|0)|0)<<24>>24!=0){break}if(0){break c}else{h=29;break b}}}while(0);k=f+428|0;n=c[k>>2]|0;c[k>>2]=n+1;a[n]=12;if(!1){h=29;break b}}}while(0);n=c[j>>2]|0;while(1){if((a[n]|0)==0){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ts(f+416|0)|0)<<24>>24!=0){h=35;break}if(!0){h=36;break b}}else{h=35}}while(0);if((h|0)==35){h=0;k=a[n]|0;p=f+428|0;o=c[p>>2]|0;c[p>>2]=o+1;a[o]=k;if(!1){h=36;break b}}n=n+1|0}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ts(f+416|0)|0)<<24>>24!=0){h=42;break}if(!0){h=43;break b}}else{h=42}}while(0);if((h|0)==42){h=0;n=f+428|0;k=c[n>>2]|0;c[n>>2]=k+1;a[k]=61;if(!1){h=43;break}}k=c[(c[j+4>>2]|0)+20>>2]|0;if((a[f+472|0]|0)!=0){k=k-1|0}n=0;while(1){if((n|0)>=(k|0)){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ts(f+416|0)|0)<<24>>24!=0){h=51;break}if(!0){h=52;break b}}else{h=51}}while(0);if((h|0)==51){h=0;o=a[(c[(c[j+4>>2]|0)+16>>2]|0)+n|0]|0;p=f+428|0;q=c[p>>2]|0;c[p>>2]=q+1;a[q]=o;if(!1){h=52;break b}}n=n+1|0}g=1}if((h|0)==21){Us(e,b|0);d:while(1){b=Vs(e)|0;if((b|0)==0){h=58;break}if((a[b+32|0]|0)==0){continue}e:do{if((g&255|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ts(f+416|0)|0)<<24>>24!=0){break}if(0){break e}else{h=66;break d}}}while(0);n=f+428|0;j=c[n>>2]|0;c[n>>2]=j+1;a[j]=12;if(!1){h=66;break d}}}while(0);j=c[b>>2]|0;while(1){if((a[j]|0)==0){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ts(f+416|0)|0)<<24>>24!=0){h=72;break}if(!0){h=73;break d}}else{h=72}}while(0);if((h|0)==72){h=0;n=a[j]|0;k=f+428|0;o=c[k>>2]|0;c[k>>2]=o+1;a[o]=n;if(!1){h=73;break d}}j=j+1|0}g=1}if((h|0)==58){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Ts(f+416|0)|0)<<24>>24!=0){h=80;break}if(0){h=82}else{h=81}}else{h=80}}while(0);if((h|0)==80){g=f+428|0;e=c[g>>2]|0;c[g>>2]=e+1;a[e]=0;if(1){h=82}else{h=81}}if((h|0)==81){l=0;m=l;i=d;return m|0}else if((h|0)==82){l=c[f+432>>2]|0;m=l;i=d;return m|0}}else if((h|0)==66){l=0;m=l;i=d;return m|0}else if((h|0)==73){l=0;m=l;i=d;return m|0}}else if((h|0)==29){l=0;m=l;i=d;return m|0}else if((h|0)==36){l=0;m=l;i=d;return m|0}else if((h|0)==43){l=0;m=l;i=d;return m|0}else if((h|0)==52){l=0;m=l;i=d;return m|0}return 0}function zt(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;j=i;k=b;b=e;e=f;f=g;g=h;h=c[k+356>>2]|0;l=0;m=0;n=Ws(k,h+20|0,c[f>>2]|0,0)|0;if((n|0)==0){o=Cs(h+80|0,c[f>>2]|0)|0;if((o|0)==0){p=1;q=p;i=j;return q|0}n=Ws(k,h+20|0,o,24)|0;if((n|0)==0){p=1;q=p;i=j;return q|0}do{if((d[k+236|0]|0)!=0){if((Ft(k,n)|0)!=0){break}p=1;q=p;i=j;return q|0}}while(0)}o=c[n+12>>2]|0;r=le[c[b+40>>2]&127](b,e,c[k+380>>2]|0,c[k+392>>2]|0)|0;if((r+o|0)>(c[k+380>>2]|0)){s=c[k+380>>2]|0;c[k+380>>2]=r+o+16;t=ie[c[k+16>>2]&127](c[k+392>>2]|0,c[k+380>>2]<<4)|0;if((t|0)==0){p=1;q=p;i=j;return q|0}c[k+392>>2]=t;if((r|0)>(s|0)){le[c[b+40>>2]&127](b,e,r,c[k+392>>2]|0)|0}}e=c[k+392>>2]|0;s=0;while(1){if((s|0)>=(r|0)){u=49;break}t=(c[k+392>>2]|0)+(s<<4)|0;v=c[t>>2]|0;w=c[t>>2]|0;x=ht(k,b,v,w+(ie[c[b+32>>2]&127](b,c[t>>2]|0)|0)|0)|0;if((x|0)==0){u=19;break}if((a[(c[x>>2]|0)-1|0]|0)!=0){u=21;break}a[(c[x>>2]|0)-1|0]=1;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x>>2];if((a[(c[k+392>>2]|0)+(s<<4)+12|0]|0)!=0){c[e+(l<<2)>>2]=dt(k+416|0,b,c[(c[k+392>>2]|0)+(s<<4)+4>>2]|0,c[(c[k+392>>2]|0)+(s<<4)+8>>2]|0)|0;if((c[e+(l<<2)>>2]|0)==0){u=37;break}c[k+432>>2]=c[k+428>>2]}else{t=1;if((a[x+8|0]|0)!=0){w=0;while(1){if((w|0)>=(o|0)){break}if((x|0)==(c[(c[n+20>>2]|0)+(w*12|0)>>2]|0)){u=29;break}w=w+1|0}if((u|0)==29){u=0;t=a[(c[n+20>>2]|0)+(w*12|0)+4|0]|0}}y=lt(k,b,t,c[(c[k+392>>2]|0)+(s<<4)+4>>2]|0,c[(c[k+392>>2]|0)+(s<<4)+8>>2]|0,k+416|0)|0;if((y|0)!=0){u=34;break}c[e+(l<<2)>>2]=c[k+432>>2];c[k+432>>2]=c[k+428>>2]}if((c[x+4>>2]|0)!=0){if((a[x+9|0]|0)!=0){z=_s(k,c[x+4>>2]|0,x,c[e+(l<<2)>>2]|0,g)|0;if((z|0)!=0){u=42;break}l=l-1|0}else{l=l+1|0;m=m+1|0;a[(c[x>>2]|0)-1|0]=2}}else{l=l+1|0}s=s+1|0}if((u|0)==19){p=1;q=p;i=j;return q|0}else if((u|0)==21){if((b|0)==(c[k+144>>2]|0)){c[k+288>>2]=c[(c[k+392>>2]|0)+(s<<4)>>2]}p=8;q=p;i=j;return q|0}else if((u|0)==34){p=y;q=p;i=j;return q|0}else if((u|0)==37){p=1;q=p;i=j;return q|0}else if((u|0)==42){p=z;q=p;i=j;return q|0}else if((u|0)==49){c[k+384>>2]=l;do{if((c[n+8>>2]|0)!=0){if((a[(c[c[n+8>>2]>>2]|0)-1|0]|0)==0){u=58;break}s=0;while(1){if((s|0)>=(l|0)){break}if((c[e+(s<<2)>>2]|0)==(c[c[n+8>>2]>>2]|0)){u=54;break}s=s+2|0}if((u|0)==54){c[k+388>>2]=s}}else{u=58}}while(0);if((u|0)==58){c[k+388>>2]=-1}s=0;a:while(1){if((s|0)>=(o|0)){break}x=(c[n+20>>2]|0)+(s*12|0)|0;do{if((a[(c[c[x>>2]>>2]|0)-1|0]|0)==0){if((c[x+8>>2]|0)==0){break}if((c[(c[x>>2]|0)+4>>2]|0)!=0){if((a[(c[x>>2]|0)+9|0]|0)!=0){A=_s(k,c[(c[x>>2]|0)+4>>2]|0,c[x>>2]|0,c[x+8>>2]|0,g)|0;if((A|0)!=0){u=66;break a}}else{a[(c[c[x>>2]>>2]|0)-1|0]=2;m=m+1|0;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[c[x>>2]>>2];t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x+8>>2]}}else{a[(c[c[x>>2]>>2]|0)-1|0]=1;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[c[x>>2]>>2];t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x+8>>2]}}}while(0);s=s+1|0}if((u|0)==66){p=A;q=p;i=j;return q|0}c[e+(l<<2)>>2]=0;s=0;if((m|0)!=0){A=c[k+400>>2]|0;o=1<<d[k+404|0];do{if((m<<1>>d[k+404|0]|0)!=0){do{x=k+404|0;t=a[x]|0;a[x]=t+1;}while((m>>(t&255)|0)!=0);if((d[k+404|0]|0)<3){a[k+404|0]=3}o=1<<d[k+404|0];t=ie[c[k+16>>2]&127](c[k+396>>2]|0,o*12|0)|0;if((t|0)!=0){c[k+396>>2]=t;A=0;break}p=1;q=p;i=j;return q|0}}while(0);if((A|0)==0){A=-1;B=o;while(1){if((B|0)==0){break}t=B-1|0;B=t;c[(c[k+396>>2]|0)+(t*12|0)>>2]=A}}t=A-1|0;A=t;c[k+400>>2]=t;b:while(1){if((s|0)>=(l|0)){break}t=c[e+(s<<2)>>2]|0;if((a[t-1|0]|0)==2){x=c[k+496>>2]|0;a[t-1|0]=0;w=c[(c[(Ws(k,h+40|0,t,0)|0)+4>>2]|0)+4>>2]|0;if((w|0)==0){u=93;break}B=0;while(1){if((B|0)>=(c[w+20>>2]|0)){break}z=a[(c[w+16>>2]|0)+B|0]|0;do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((Ts(k+416|0)|0)<<24>>24!=0){u=99;break}if(!0){u=100;break b}}else{u=99}}while(0);if((u|0)==99){u=0;y=k+428|0;b=c[y>>2]|0;c[y>>2]=b+1;a[b]=z;if(!1){u=100;break b}}x=(x*1000003|0)^z&255;B=B+1|0}do{b=t;t=b+1|0;}while((a[b]|0)!=58);do{b=a[t]|0;do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((Ts(k+416|0)|0)<<24>>24!=0){u=110;break}if(!0){u=111;break b}}else{u=110}}while(0);if((u|0)==110){u=0;z=a[t]|0;y=k+428|0;v=c[y>>2]|0;c[y>>2]=v+1;a[v]=z;if(!1){u=111;break b}}x=(x*1000003|0)^b&255;z=t;t=z+1|0;}while((a[z]|0)!=0);z=0;v=o-1|0;B=x&v;while(1){if((c[(c[k+396>>2]|0)+(B*12|0)>>2]|0)!=(A|0)){break}if((x|0)==(c[(c[k+396>>2]|0)+(B*12|0)+4>>2]|0)){y=c[k+432>>2]|0;C=c[(c[k+396>>2]|0)+(B*12|0)+8>>2]|0;while(1){if((a[y]|0)==(a[C]|0)){D=(a[y]|0)!=0}else{D=0}if(!D){break}y=y+1|0;C=C+1|0}if((a[y]|0)==0){u=124;break b}}if(!(z<<24>>24!=0)){z=((x&~v)>>>(((d[k+404|0]|0)-1|0)>>>0)&v>>>2|1)&255}if((B|0)<(z&255|0)){C=B+(o-(z&255))|0;B=C;E=C}else{C=B-(z&255)|0;B=C;E=C}}if((a[k+237|0]|0)!=0){a[(c[k+428>>2]|0)-1|0]=a[k+472|0]|0;t=c[c[w>>2]>>2]|0;do{do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((Ts(k+416|0)|0)<<24>>24!=0){u=137;break}if(!0){u=138;break b}}else{u=137}}while(0);if((u|0)==137){u=0;y=a[t]|0;z=k+428|0;v=c[z>>2]|0;c[z>>2]=v+1;a[v]=y;if(!1){u=138;break b}}y=t;t=y+1|0;}while((a[y]|0)!=0)}t=c[k+432>>2]|0;c[k+432>>2]=c[k+428>>2];c[e+(s<<2)>>2]=t;c[(c[k+396>>2]|0)+(B*12|0)>>2]=A;c[(c[k+396>>2]|0)+(B*12|0)+4>>2]=x;c[(c[k+396>>2]|0)+(B*12|0)+8>>2]=t;w=m-1|0;m=w;if((w|0)==0){u=143;break}}else{a[t-1|0]=0}s=s+2|0}if((u|0)==93){p=27;q=p;i=j;return q|0}else if((u|0)==100){p=1;q=p;i=j;return q|0}else if((u|0)==111){p=1;q=p;i=j;return q|0}else if((u|0)==124){p=8;q=p;i=j;return q|0}else if((u|0)==138){p=1;q=p;i=j;return q|0}else if((u|0)==143){s=s+2|0}}while(1){if((s|0)>=(l|0)){break}a[(c[e+(s<<2)>>2]|0)-1|0]=0;s=s+2|0}e=c[g>>2]|0;while(1){if((e|0)==0){break}a[(c[c[e+12>>2]>>2]|0)-1|0]=0;e=c[e+4>>2]|0}if((a[k+236|0]|0)==0){p=0;q=p;i=j;return q|0}do{if((c[n+4>>2]|0)!=0){e=c[(c[n+4>>2]|0)+4>>2]|0;if((e|0)==0){p=27;q=p;i=j;return q|0}F=c[f>>2]|0;do{g=F;F=g+1|0;}while((a[g]|0)!=58)}else{if((c[h+156>>2]|0)!=0){e=c[h+156>>2]|0;F=c[f>>2]|0;break}else{p=0;q=p;i=j;return q|0}}}while(0);h=0;do{if((d[k+237|0]|0)!=0){if((c[c[e>>2]>>2]|0)==0){break}do{n=h;h=n+1|0;}while((a[(c[c[e>>2]>>2]|0)+n|0]|0)!=0)}}while(0);c[f+4>>2]=F;c[f+16>>2]=c[e+20>>2];c[f+8>>2]=c[c[e>>2]>>2];c[f+20>>2]=h;s=0;do{n=s;s=n+1|0;}while((a[F+n|0]|0)!=0);r=s+(c[e+20>>2]|0)+h|0;if((r|0)>(c[e+24>>2]|0)){G=Zd[c[k+12>>2]&255](r+24|0)|0;if((G|0)==0){p=1;q=p;i=j;return q|0}c[e+24>>2]=r+24;d1(G|0,c[e+16>>2]|0,c[e+20>>2]|0)|0;r=c[k+364>>2]|0;while(1){if((r|0)==0){break}if((c[r+12>>2]|0)==(c[e+16>>2]|0)){c[r+12>>2]=G}r=c[r>>2]|0}Wd[c[k+20>>2]&511](c[e+16>>2]|0);c[e+16>>2]=G}G=(c[e+16>>2]|0)+(c[e+20>>2]|0)|0;d1(G|0,F|0,s)|0;if((h|0)!=0){G=G+(s-1)|0;a[G]=a[k+472|0]|0;d1(G+1|0,c[c[e>>2]>>2]|0,h)|0}c[f>>2]=c[e+16>>2];p=0;q=p;i=j;return q|0}return 0}function At(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;e=f;c[j+280>>2]=64;c[j+288>>2]=b;a:while(1){c[h>>2]=0;f=le[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;c[j+292>>2]=c[h>>2];switch(f|0){case 0:{k=18;break a;break};case 11:{if((st(j,c[j+144>>2]|0,b,c[h>>2]|0)|0)==0){k=13;break a}break};case-15:{k=3;break a;break};case-1:{k=19;break a;break};case 13:{if((tt(j,c[j+144>>2]|0,b,c[h>>2]|0)|0)==0){k=16;break a}break};case-4:{k=8;break a;break};case-2:{k=22;break a;break};case 15:{if((c[j+80>>2]|0)!=0){Rs(j,c[j+144>>2]|0,b,c[h>>2]|0)}break};default:{k=25;break a}}f=c[h>>2]|0;b=f;c[j+288>>2]=f;f=c[j+480>>2]|0;if((f|0)==3){k=27;break}else if((f|0)==2){k=28;break}}b:do{if((k|0)==3){do{if((c[j+80>>2]|0)!=0){Rs(j,c[j+144>>2]|0,b,c[h>>2]|0);if((c[j+480>>2]|0)==2){l=35;break b}else{break}}}while(0);c[e>>2]=c[h>>2];l=0}else if((k|0)==8){c[e>>2]=b;l=0}else if((k|0)==13){l=1}else if((k|0)==16){l=1}else if((k|0)==18){c[j+288>>2]=c[h>>2];l=4}else if((k|0)==19){if((a[j+484|0]|0)!=0){l=5;break}else{c[e>>2]=b;l=0;break}}else if((k|0)==22){if((a[j+484|0]|0)!=0){l=6;break}else{c[e>>2]=b;l=0;break}}else if((k|0)==25){l=9}else if((k|0)==27){c[e>>2]=c[h>>2];l=0}else if((k|0)==28){l=35}}while(0);i=g;return l|0}function Bt(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;j=i;i=i+32|0;k=j|0;l=j+8|0;m=j+16|0;n=j+24|0;o=b;b=d;d=e;e=f;f=g;g=h;c[k>>2]=c[d>>2];if((b|0)==(c[o+144>>2]|0)){p=o+288|0;c[p>>2]=c[k>>2];q=o+292|0}else{p=c[o+300>>2]|0;q=(c[o+300>>2]|0)+4|0}c[p>>2]=c[k>>2];c[d>>2]=0;a:while(1){h=le[c[b+8>>2]&127](b,c[k>>2]|0,e,l)|0;c[q>>2]=c[l>>2];switch(h|0){case 6:{h=c[o+60>>2]|0;if((h|0)!=0){if((a[b+72|0]|0)!=0){me[h&15](c[o+4>>2]|0,c[k>>2]|0,(c[l>>2]|0)-(c[k>>2]|0)|0)}else{while(1){c[n>>2]=c[o+44>>2];Vd[c[b+60>>2]&31](b,k,c[l>>2]|0,n,c[o+48>>2]|0);c[q>>2]=c[l>>2];me[h&15](c[o+4>>2]|0,c[o+44>>2]|0,(c[n>>2]|0)-(c[o+44>>2]|0)|0);if((c[k>>2]|0)==(c[l>>2]|0)){break}c[p>>2]=c[k>>2]}}}else{if((c[o+80>>2]|0)!=0){Rs(o,b,c[k>>2]|0,c[l>>2]|0)}}break};case 7:{if((c[o+60>>2]|0)!=0){a[m]=10;me[c[o+60>>2]&15](c[o+4>>2]|0,m,1)}else{if((c[o+80>>2]|0)!=0){Rs(o,b,c[k>>2]|0,c[l>>2]|0)}}break};case 40:{r=6;break a;break};case 0:{r=33;break a;break};case-1:case-4:{r=37;break a;break};case-2:{r=34;break a;break};default:{r=40;break a}}h=c[l>>2]|0;c[k>>2]=h;c[p>>2]=h;h=c[o+480>>2]|0;if((h|0)==3){r=42;break}else if((h|0)==2){r=43;break}}if((r|0)==6){if((c[o+76>>2]|0)!=0){Wd[c[o+76>>2]&511](c[o+4>>2]|0)}else{if((c[o+80>>2]|0)!=0){Rs(o,b,c[k>>2]|0,c[l>>2]|0)}}c[d>>2]=c[l>>2];c[f>>2]=c[l>>2];if((c[o+480>>2]|0)==2){s=35;t=s;i=j;return t|0}else{s=0;t=s;i=j;return t|0}}else if((r|0)==33){c[p>>2]=c[l>>2];s=4;t=s;i=j;return t|0}else if((r|0)==34){if(g<<24>>24!=0){c[f>>2]=c[k>>2];s=0;t=s;i=j;return t|0}else{s=6;t=s;i=j;return t|0}}else if((r|0)==37){if(g<<24>>24!=0){c[f>>2]=c[k>>2];s=0;t=s;i=j;return t|0}else{s=20;t=s;i=j;return t|0}}else if((r|0)==40){c[p>>2]=c[l>>2];s=23;t=s;i=j;return t|0}else if((r|0)==42){c[f>>2]=c[l>>2];s=0;t=s;i=j;return t|0}else if((r|0)==43){s=35;t=s;i=j;return t|0}return 0}function Ct(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;c[h>>2]=d;d=e;e=f;f=Bt(j,c[j+144>>2]|0,h,d,e,((a[j+484|0]|0)!=0^1)&1)|0;if((f|0)!=0){k=f;l=k;i=g;return l|0}if((c[h>>2]|0)==0){k=f;l=k;i=g;return l|0}if((c[j+476>>2]|0)!=0){c[j+280>>2]=82;k=Dt(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}else{c[j+280>>2]=4;k=ft(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}return 0}function Dt(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=wt(h,1,c[h+144>>2]|0,d,e,f,((a[h+484|0]|0)!=0^1)&1)|0;do{if((b|0)==0){if((Et(h)|0)<<24>>24!=0){break}j=1;k=j;i=g;return k|0}}while(0);j=b;k=j;i=g;return k|0}function Et(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;d=a;a=c[d+364>>2]|0;while(1){if((a|0)==0){break}e=(c[a+24>>2]|0)+1|0;f=(c[a+36>>2]|0)+e|0;if((c[a+4>>2]|0)==(f|0)){g=4;break}h=e+(c[a+8>>2]|0)|0;if((h|0)>((c[a+40>>2]|0)-(c[a+36>>2]|0)|0)){j=ie[c[d+16>>2]&127](c[a+36>>2]|0,h)|0;if((j|0)==0){g=7;break}if((c[a+12>>2]|0)==(c[a+36>>2]|0)){c[a+12>>2]=j}if((c[a+16>>2]|0)!=0){c[a+16>>2]=j+((c[a+16>>2]|0)-(c[a+36>>2]|0))}c[a+36>>2]=j;c[a+40>>2]=j+h;f=j+e|0}d1(f|0,c[a+4>>2]|0,c[a+8>>2]|0)|0;c[a+4>>2]=f;a=c[a>>2]|0}if((g|0)!=4)if((g|0)==7){k=0;l=k;i=b;return l|0}k=1;l=k;i=b;return l|0}function Ft(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;f=b;b=d;d=c[f+356>>2]|0;g=c[b>>2]|0;a:while(1){if((a[g]|0)==0){h=26;break}if((a[g]|0)==58){j=c[b>>2]|0;while(1){if((j|0)==(g|0)){break}do{if((c[d+92>>2]|0)==(c[d+88>>2]|0)){if((Ts(d+80|0)|0)<<24>>24!=0){h=9;break}if(!0){h=10;break a}}else{h=9}}while(0);if((h|0)==9){h=0;k=a[j]|0;l=d+92|0;m=c[l>>2]|0;c[l>>2]=m+1;a[m]=k;if(!1){h=10;break a}}j=j+1|0}do{if((c[d+92>>2]|0)==(c[d+88>>2]|0)){if((Ts(d+80|0)|0)<<24>>24!=0){h=16;break}if(!0){h=17;break a}}else{h=16}}while(0);if((h|0)==16){h=0;j=d+92|0;k=c[j>>2]|0;c[j>>2]=k+1;a[k]=0;if(!1){h=17;break}}k=Ws(f,d+60|0,c[d+96>>2]|0,8)|0;if((k|0)==0){h=19;break}if((c[k>>2]|0)==(c[d+96>>2]|0)){c[d+96>>2]=c[d+92>>2]}else{c[d+92>>2]=c[d+96>>2]}c[b+4>>2]=k}g=g+1|0}if((h|0)==10){n=0;o=n;i=e;return o|0}else if((h|0)==17){n=0;o=n;i=e;return o|0}else if((h|0)==19){n=0;o=n;i=e;return o|0}else if((h|0)==26){n=1;o=n;i=e;return o|0}return 0}function Gt(b,e,f,g,h,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+16|0;l=k|0;m=k+8|0;n=b;b=e;e=f;f=g;g=h;h=j;j=c[n+356>>2]|0;a:while(1){b:do{switch(le[c[b+16>>2]&127](b,f,g,l)|0){case 0:{o=4;break a;break};case 6:{if((jt(h,b,f,c[l>>2]|0)|0)==0){o=34;break a}break};case-4:{o=3;break a;break};case-1:{o=7;break a;break};case 10:{p=ie[c[b+44>>2]&127](b,f)|0;if((p|0)<0){o=11;break a}do{if(!(e<<24>>24!=0)){if((p|0)!=32){break}if(((c[h+12>>2]|0)-(c[h+16>>2]|0)|0)!=0){if((a[(c[h+12>>2]|0)-1|0]|0)!=32){break}}break b}}while(0);p=Nt(p,m|0)|0;if((p|0)==0){o=20;break a}q=0;while(1){if((q|0)>=(p|0)){break}do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((Ts(h)|0)<<24>>24!=0){o=28;break}if(!0){o=29;break a}}else{o=28}}while(0);if((o|0)==28){o=0;r=a[m+q|0]|0;s=h+12|0;t=c[s>>2]|0;c[s>>2]=t+1;a[t]=r;if(!1){o=29;break a}}q=q+1|0}break};case-3:{c[l>>2]=f+(c[b+68>>2]|0);o=37;break};case 39:case 7:{o=37;break};case 9:{q=($d[c[b+48>>2]&127](b,f+(c[b+68>>2]|0)|0,(c[l>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0)&255;if(q<<24>>24!=0){do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((Ts(h)|0)<<24>>24!=0){o=51;break}if(!0){o=52;break a}}else{o=51}}while(0);if((o|0)==51){o=0;p=h+12|0;r=c[p>>2]|0;c[p>>2]=r+1;a[r]=q;if(!1){o=52;break a}}break b}r=dt(n+440|0,b,f+(c[b+68>>2]|0)|0,(c[l>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((r|0)==0){o=55;break a}p=Ws(n,j|0,r,0)|0;c[n+452>>2]=c[n+456>>2];if((h|0)==(j+80|0)){if((c[n+272>>2]|0)!=0){if((d[j+130|0]|0)!=0){u=((c[n+300>>2]|0)!=0^1)&1}else{u=((a[j+129|0]|0)!=0^1)&1}v=(u|0)!=0}else{v=0}w=v&1}else{if((a[j+129|0]|0)!=0){x=(d[j+130|0]|0)!=0}else{x=1}w=x&1}do{if(w<<24>>24!=0){if((p|0)==0){o=68;break a}if((a[p+34|0]|0)==0){o=70;break a}}else{if((p|0)!=0){break}else{break b}}}while(0);if((a[p+32|0]|0)!=0){o=77;break a}if((c[p+28>>2]|0)!=0){o=81;break a}if((c[p+4>>2]|0)==0){o=85;break a}q=(c[p+4>>2]|0)+(c[p+8>>2]|0)|0;a[p+32|0]=1;y=Gt(n,c[n+228>>2]|0,e,c[p+4>>2]|0,q,h)|0;a[p+32|0]=0;if((y|0)!=0){o=89;break a}break};default:{o=92;break a}}}while(0);c:do{if((o|0)==37){o=0;do{if(!(e<<24>>24!=0)){if(((c[h+12>>2]|0)-(c[h+16>>2]|0)|0)!=0){if((a[(c[h+12>>2]|0)-1|0]|0)!=32){break}}break c}}while(0);do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((Ts(h)|0)<<24>>24!=0){o=44;break}if(!0){o=45;break a}}else{o=44}}while(0);if((o|0)==44){o=0;p=h+12|0;q=c[p>>2]|0;c[p>>2]=q+1;a[q]=32;if(!1){o=45;break a}}}}while(0);f=c[l>>2]|0}if((o|0)==3){z=0;A=z;i=k;return A|0}else if((o|0)==4){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=c[l>>2]}z=4;A=z;i=k;return A|0}else if((o|0)==7){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=4;A=z;i=k;return A|0}else if((o|0)==11){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=14;A=z;i=k;return A|0}else if((o|0)==20){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=14;A=z;i=k;return A|0}else if((o|0)==29){z=1;A=z;i=k;return A|0}else if((o|0)==34){z=1;A=z;i=k;return A|0}else if((o|0)==45){z=1;A=z;i=k;return A|0}else if((o|0)==52){z=1;A=z;i=k;return A|0}else if((o|0)==55){z=1;A=z;i=k;return A|0}else if((o|0)==68){z=11;A=z;i=k;return A|0}else if((o|0)==70){z=24;A=z;i=k;return A|0}else if((o|0)==77){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=12;A=z;i=k;return A|0}else if((o|0)==81){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=15;A=z;i=k;return A|0}else if((o|0)==85){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=16;A=z;i=k;return A|0}else if((o|0)==89){z=y;A=z;i=k;return A|0}else if((o|0)==92){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=23;A=z;i=k;return A|0}return 0}function Ht(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+1040|0;f=e|0;g=b;b=d;if((c[g+124>>2]|0)!=0){d=0;while(1){if((d|0)>=256){break}c[f+(d<<2)>>2]=-1;d=d+1|0}c[f+1028>>2]=0;c[f+1024>>2]=0;c[f+1032>>2]=0;do{if(($d[c[g+124>>2]&127](c[g+248>>2]|0,b,f)|0)!=0){d=c[g+12>>2]|0;h=Ot()|0;c[g+240>>2]=Zd[d&255](h)|0;if((c[g+240>>2]|0)!=0){h=le[((a[g+236|0]&255|0)!=0?36:70)&127](c[g+240>>2]|0,f|0,c[f+1028>>2]|0,c[f+1024>>2]|0)|0;if((h|0)==0){break}c[g+244>>2]=c[f+1024>>2];c[g+252>>2]=c[f+1032>>2];c[g+144>>2]=h;j=0;k=j;i=e;return k|0}else{if((c[f+1032>>2]|0)!=0){Wd[c[f+1032>>2]&511](c[f+1024>>2]|0)}j=1;k=j;i=e;return k|0}}}while(0);if((c[f+1032>>2]|0)!=0){Wd[c[f+1032>>2]&511](c[f+1024>>2]|0)}}j=18;k=j;i=e;return k|0}function It(){var a=0,b=0;a=i;Nc(((Rd(0)|0)>>>0)%4294967295|0|0);b=j1()|0;i=a;return b|0}function Jt(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=a;a=$s(g)|0;if((a|0)!=0){h=a;j=h;i=f;return j|0}else{c[g+280>>2]=74;h=at(g,b,d,e)|0;j=h;i=f;return j|0}return 0}function Kt(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;b=Zd[c[e>>2]&255](188)|0;if((b|0)==0){f=b;g=f;i=d;return g|0}else{Lt(b+80|0,e);Lt(b+104|0,e);Mt(b|0,e);Mt(b+20|0,e);Mt(b+40|0,e);Mt(b+60|0,e);a[b+131|0]=0;Mt(b+132|0,e);c[b+152>>2]=0;c[b+156>>2]=0;a[b+160|0]=0;c[b+184>>2]=0;c[b+164>>2]=0;c[b+180>>2]=0;c[b+172>>2]=0;c[b+176>>2]=0;c[b+168>>2]=0;a[b+128|0]=1;a[b+129|0]=0;a[b+130|0]=0;f=b;g=f;i=d;return g|0}return 0}function Lt(a,b){a=a|0;b=b|0;var d=0;d=a;c[d>>2]=0;c[d+4>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;c[d+8>>2]=0;c[d+20>>2]=b;i=i;return}function Mt(b,d){b=b|0;d=d|0;var e=0;e=b;a[e+4|0]=0;c[e+8>>2]=0;c[e+12>>2]=0;c[e>>2]=0;c[e+16>>2]=d;i=i;return}function Nt(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=i;e=b;b=c;if((e|0)<0){f=0;g=f;i=d;return g|0}if((e|0)<128){a[b|0]=e;f=1;g=f;i=d;return g|0}if((e|0)<2048){a[b|0]=e>>6|192;a[b+1|0]=e&63|128;f=2;g=f;i=d;return g|0}if((e|0)<65536){a[b|0]=e>>12|224;a[b+1|0]=e>>6&63|128;a[b+2|0]=e&63|128;f=3;g=f;i=d;return g|0}if((e|0)<1114112){a[b|0]=e>>18|240;a[b+1|0]=e>>12&63|128;a[b+2|0]=e>>6&63|128;a[b+3|0]=e&63|128;f=4;g=f;i=d;return g|0}else{f=0;g=f;i=d;return g|0}return 0}function Ot(){return 1912}function Pt(e,f,g,h){e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=e;e=f;f=g;g=h;h=k;l=0;while(1){if((l|0)>=368){break}a[k+l|0]=a[16312+l|0]|0;l=l+1|0}l=0;a:while(1){if((l|0)>=128){break}do{if((d[16388+l|0]|0|0)!=28){if((d[16388+l|0]|0|0)==0){break}if((c[e+(l<<2)>>2]|0)!=(l|0)){m=10;break a}}}while(0);l=l+1|0}if((m|0)==10){n=0;o=n;i=j;return o|0}l=0;b:while(1){if((l|0)>=256){m=46;break}k=c[e+(l<<2)>>2]|0;if((k|0)==-1){a[h+76+l|0]=1;b[h+376+(l<<1)>>1]=-1;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=0}else{if((k|0)<0){if((k|0)<-4){m=19;break}a[h+76+l|0]=5-(k+2);a[h+888+(l<<2)|0]=0;b[h+376+(l<<1)>>1]=0}else{if((k|0)<128){do{if((d[16388+k|0]|0|0)!=28){if((d[16388+k|0]|0|0)==0){break}if((k|0)!=(l|0)){m=25;break b}}}while(0);a[h+76+l|0]=a[16388+k|0]|0;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=k;if((k|0)==0){p=65535}else{p=k}b[h+376+(l<<1)>>1]=p}else{if((Qt(k)|0)<0){a[h+76+l|0]=0;b[h+376+(l<<1)>>1]=-1;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=0}else{if((k|0)>65535){m=33;break}if((c[13344+(((d[9728+(k>>8)|0]|0)<<3)+((k&255)>>5)<<2)>>2]&1<<(k&31)|0)!=0){a[h+76+l|0]=22}else{if((c[13344+(((d[14624+(k>>8)|0]|0)<<3)+((k&255)>>5)<<2)>>2]&1<<(k&31)|0)!=0){a[h+76+l|0]=26}else{a[h+76+l|0]=28}}a[h+888+(l<<2)|0]=Nt(k,h+888+(l<<2)+1|0)|0;b[h+376+(l<<1)>>1]=k}}}}l=l+1|0}if((m|0)==19){n=0;o=n;i=j;return o|0}else if((m|0)==25){n=0;o=n;i=j;return o|0}else if((m|0)==33){n=0;o=n;i=j;return o|0}else if((m|0)==46){c[h+372>>2]=g;c[h+368>>2]=f;if((f|0)!=0){c[h+332>>2]=10;c[h+336>>2]=10;c[h+340>>2]=10;c[h+344>>2]=34;c[h+348>>2]=34;c[h+352>>2]=34;c[h+356>>2]=58;c[h+360>>2]=58;c[h+364>>2]=58}c[h+60>>2]=12;c[h+64>>2]=14;n=h|0;o=n;i=j;return o|0}return 0}function Qt(a){a=a|0;var b=0,c=0,e=0,f=0;b=i;c=a;a:do{switch(c>>8|0){case 216:case 217:case 218:case 219:case 220:case 221:case 222:case 223:{e=-1;break};case 0:{if((d[16388+c|0]|0|0)==0){e=-1;break a}else{f=10;break a}break};case 255:{do{if((c|0)!=65534){if((c|0)==65535){break}f=10;break a}}while(0);e=-1;break};default:{f=10}}}while(0);if((f|0)==10){e=c}i=b;return e|0}function Rt(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0;e=i;f=a;a=ie[c[f+368>>2]&127](c[f+372>>2]|0,b)|0;if((a&-65536|0)!=0){g=0;h=g;i=e;return h|0}else{g=c[13344+(((d[14624+(a>>8)|0]|0)<<3)+((a&255)>>5)<<2)>>2]&1<<(a&31);h=g;i=e;return h|0}return 0}function St(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0;e=i;f=a;a=ie[c[f+368>>2]&127](c[f+372>>2]|0,b)|0;if((a&-65536|0)!=0){g=0;h=g;i=e;return h|0}else{g=c[13344+(((d[9728+(a>>8)|0]|0)<<3)+((a&255)>>5)<<2)>>2]&1<<(a&31);h=g;i=e;return h|0}return 0}function Tt(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a;a=ie[c[e+368>>2]&127](c[e+372>>2]|0,b)|0;if((a&-65536|0)!=0){f=1;g=f&1;i=d;return g|0}f=(Qt(a)|0)<0;g=f&1;i=d;return g|0}



function K$(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0;d=i;i=i+424|0;e=d|0;f=d+8|0;g=d+72|0;h=d+328|0;j=d+336|0;k=d+384|0;l=d+392|0;m=c[b+4>>2]|0;n=m+12|0;o=c[n>>2]|0;if((c[b+40>>2]|0)==0){p=b+20|0;R$(m,c[p>>2]|0)|0;R$(m,2)|0;c[p>>2]=(c[p>>2]|0)+1}p=R$(m,0)|0;q=b+12|0;r=b+16|0;c[r>>2]=c[q>>2];s=c[n>>2]|0;t=(p|0)==0;a:do{if((s|0)>(o|0)&t){u=m+16|0;v=b+36|0;w=b|0;x=b+24|0;y=b+20|0;z=g;A=f|0;B=b+28|0;C=l|0;D=k|0;E=k+1|0;F=j;G=b;H=j+12|0;I=j+40|0;J=j+24|0;K=j+8|0;L=0;M=0;N=s;b:while(1){O=N-1|0;c[n>>2]=O;P=c[u>>2]|0;c:do{switch(c[P+(O<<2)>>2]|0){case 0:{if((c[v>>2]&1|0)!=0){Q=R$(m,7)|0;if((Q|0)!=0){R=Q;S=M;T=6;break b}}U=R$(m,3)|0;V=M;W=L;break};case 1:{Q=c[q>>2]|0;d:do{switch(a[Q]|0){case 40:{if((c[v>>2]&1|0)!=0){X=Q;T=74}break};case 91:{Y=Q+1|0;c[q>>2]=Y;Z=B0(128)|0;if((Z|0)==0){_=12;T=293;break b}if((a[Y]|0)==94){$=Q+2|0;c[q>>2]=$;aa=1;ba=$}else{aa=0;ba=Y}Y=(aa|0)==0;$=ba;ca=32;da=0;ea=0;fa=Z;e:while(1){Z=a[$]|0;if((Z<<24>>24|0)==93){if($>>>0>(c[q>>2]|0)>>>0){T=85;break}}else if((Z<<24>>24|0)==0){ga=$;ha=7;ia=fa;T=140;break}Z=F$(e,$,-1)|0;if((Z|0)<0){c[e>>2]=-1;ja=1}else{ja=Z}Z=$+ja|0;do{if((a[Z]|0)==45){ka=ja+1|0;la=$+ka|0;if((a[la]|0)==93){T=94;break}ma=c[e>>2]|0;na=F$(e,la,-1)|0;if((na|0)<0){c[e>>2]=-1;oa=1;pa=-1}else{oa=na;pa=c[e>>2]|0}qa=$+(oa+ka)|0;ra=pa;sa=ma;ta=ma>>>0>pa>>>0?11:0;ua=0}else{T=94}}while(0);f:do{if((T|0)==94){T=0;ma=a[$]|0;do{if((ma<<24>>24|0)==91){ka=a[$+1|0]|0;if((ka<<24>>24|0)==46|(ka<<24>>24|0)==61){ga=$;ha=3;ia=fa;T=140;break e}else if((ka<<24>>24|0)!=58){va=0;break}ka=$+2|0;na=ka;while(1){la=a[na]|0;wa=la<<24>>24==0;if(la<<24>>24!=58&(wa^1)){na=na+1|0}else{break}}if(wa){ga=$;ha=4;ia=fa;T=140;break e}la=na-$-2|0;xa=(la|0)>63?63:la;c1(A|0,ka|0,xa|0)|0;a[f+xa|0]=0;xa=p$(A)|0;qa=na+2|0;ra=1114111;sa=0;ta=(xa|0)==0?4:0;ua=xa;break f}else if((ma<<24>>24|0)==45){if((a[$+1|0]|0)==93){va=0;break}va=(c[q>>2]|0)==($|0)?0:11}else{va=0}}while(0);ma=c[e>>2]|0;qa=Z;ra=ma;sa=ma;ta=va;ua=0}}while(0);if((ta|0)!=0){ga=qa;ha=ta;ia=fa;T=140;break}Z=(ua|0)!=0;do{if(Y|Z^1){ma=c[w>>2]|0;if((da|0)<(ca|0)){ya=ca;za=fa}else{if((ca|0)>1024){ga=qa;ha=12;ia=fa;T=140;break e}xa=E0(fa,ca<<3)|0;if((xa|0)==0){ga=qa;ha=12;ia=fa;T=140;break e}else{ya=ca<<1;za=xa}}xa=$$(ma,0,0,1,32)|0;if((xa|0)==0){T=112;break e}la=$$(ma,0,0,1,20)|0;ma=xa+4|0;c[ma>>2]=la;if((la|0)==0){T=112;break e}c[xa>>2]=0;c[xa+8>>2]=-1;c[xa+12>>2]=-1;c[la>>2]=sa;c[la+4>>2]=ra;c[la+8>>2]=-1;c[za+(da<<2)>>2]=xa;c[(c[ma>>2]|0)+12>>2]=ua;Aa=0;Ba=ya;Ca=da+1|0;Da=ea;Ea=za}else{if((ea|0)>63){Aa=12;Ba=ca;Ca=da;Da=ea;Ea=fa;break}c[g+(ea<<2)>>2]=ua;Aa=0;Ba=ca;Ca=da;Da=ea+1|0;Ea=fa}}while(0);ma=(Aa|0)==0;if(ma&(((c[v>>2]&2|0)==0|Z)^1)){Fa=sa;Ga=Ba;Ha=Ca;Ia=Ea}else{if(ma){$=qa;ca=Ba;da=Ca;ea=Da;fa=Ea;continue}else{ga=qa;ha=Aa;ia=Ea;T=140;break}}while(1){ma=Fa;while(1){if(ma>>>0>ra>>>0){$=qa;ca=Ga;da=Ha;ea=Da;fa=Ia;continue e}if((s$(ma)|0)!=0){T=118;break}Ja=ma+1|0;if((w$(ma)|0)==0){ma=Ja}else{T=129;break}}if((T|0)==118){T=0;xa=y$(ma)|0;la=ma+1|0;g:do{if((s$(la)|0)==0){Ka=xa;La=la}else{Ma=xa;Na=la;while(1){if((y$(Na)|0)!=(Ma+1|0)|Na>>>0>ra>>>0){Ka=Ma;La=Na;break g}Oa=y$(Na)|0;Pa=Na+1|0;if((s$(Pa)|0)==0){Ka=Oa;La=Pa;break}else{Ma=Oa;Na=Pa}}}}while(0);la=c[w>>2]|0;if((Ha|0)<(Ga|0)){Qa=Ga;Ra=Ia}else{if((Ga|0)>1024){ga=qa;ha=12;ia=Ia;T=140;break e}Na=E0(Ia,Ga<<3)|0;if((Na|0)==0){ga=qa;ha=12;ia=Ia;T=140;break e}else{Qa=Ga<<1;Ra=Na}}Na=$$(la,0,0,1,32)|0;Ma=Na;do{if((Na|0)==0){Sa=0}else{na=$$(la,0,0,1,20)|0;c[Na+4>>2]=na;if((na|0)==0){Sa=0;break}c[Na>>2]=0;c[Na+8>>2]=-1;c[Na+12>>2]=-1;c[na>>2]=xa;c[na+4>>2]=Ka;c[na+8>>2]=-1;Sa=Ma}}while(0);c[Ra+(Ha<<2)>>2]=Sa;Ta=La;Ua=Qa;Wa=Sa;Xa=Ra}else if((T|0)==129){T=0;Ma=A$(ma)|0;h:do{if((w$(Ja)|0)==0){Ya=Ja;Za=Ma}else{xa=Ja;Na=Ma;while(1){if((A$(xa)|0)!=(Na+1|0)|xa>>>0>ra>>>0){Ya=xa;Za=Na;break h}la=xa+1|0;na=A$(xa)|0;if((w$(la)|0)==0){Ya=la;Za=na;break}else{xa=la;Na=na}}}}while(0);ma=c[w>>2]|0;if((Ha|0)<(Ga|0)){_a=Ga;$a=Ia}else{if((Ga|0)>1024){ga=qa;ha=12;ia=Ia;T=140;break e}Na=E0(Ia,Ga<<3)|0;if((Na|0)==0){ga=qa;ha=12;ia=Ia;T=140;break e}else{_a=Ga<<1;$a=Na}}Na=$$(ma,0,0,1,32)|0;xa=Na;do{if((Na|0)==0){ab=0}else{na=$$(ma,0,0,1,20)|0;c[Na+4>>2]=na;if((na|0)==0){ab=0;break}c[Na>>2]=0;c[Na+8>>2]=-1;c[Na+12>>2]=-1;c[na>>2]=Ma;c[na+4>>2]=Za;c[na+8>>2]=-1;ab=xa}}while(0);c[$a+(Ha<<2)>>2]=ab;Ta=Ya;Ua=_a;Wa=ab;Xa=$a}if((Wa|0)==0){T=141;break e}else{Fa=Ta;Ga=Ua;Ha=Ha+1|0;Ia=Xa}}}i:do{if((T|0)==85){T=0;c[q>>2]=$+1;ca=(aa|0)!=0;if(ca){Ic(fa|0,da|0,4,48)}j:do{if((da|0)>0){Y=(ea|0)>0;Z=ea<<2;xa=Z+4|0;if(ca){bb=0;cb=0;db=0;eb=0}else{Ma=0;Na=0;while(1){ma=fa+(Ma<<2)|0;na=c[(c[ma>>2]|0)+4>>2]|0;do{if((na|0)==0){fb=Na;gb=0}else{c[na+8>>2]=c[x>>2];if(Y){la=$$(c[w>>2]|0,0,0,0,xa)|0;ka=na+16|0;c[ka>>2]=la;if((la|0)==0){hb=Na;ib=12;jb=fa;break i}d1(la|0,z|0,Z)|0;c[(c[ka>>2]|0)+(ea<<2)>>2]=0}else{c[na+16>>2]=0}if((Na|0)==0){fb=c[ma>>2]|0;gb=0;break}ka=c[w>>2]|0;la=c[ma>>2]|0;Pa=$$(ka,0,0,1,32)|0;Oa=Pa;do{if((Pa|0)==0){kb=0}else{lb=$$(ka,0,0,1,8)|0;mb=Pa+4|0;c[mb>>2]=lb;if((lb|0)==0){kb=0;break}c[Pa>>2]=3;c[Pa+8>>2]=-1;c[Pa+12>>2]=-1;c[lb>>2]=Na;c[(c[mb>>2]|0)+4>>2]=la;c[Pa+16>>2]=(c[la+16>>2]|0)+(c[Na+16>>2]|0);kb=Oa}}while(0);fb=kb;gb=(kb|0)==0?12:0}}while(0);ma=Ma+1|0;if((ma|0)<(da|0)&(gb|0)==0){Ma=ma;Na=fb}else{nb=gb;ob=0;pb=fb;break j}}}while(1){Na=fa+(bb<<2)|0;Ma=c[(c[Na>>2]|0)+4>>2]|0;ma=Ma;na=c[ma>>2]|0;Oa=Ma+4|0;la=c[Oa>>2]|0;do{if((na|0)<(cb|0)){Pa=la+1|0;qb=eb;rb=0;sb=(Pa|0)<(cb|0)?cb:Pa;tb=db}else{Pa=na-1|0;if((Pa|0)<(db|0)){ka=la+1|0;qb=eb;rb=0;sb=ka;tb=ka;break}c[ma>>2]=db;c[Oa>>2]=Pa;Pa=la+1|0;if((Ma|0)==0){qb=eb;rb=0;sb=Pa;tb=Pa;break}c[Ma+8>>2]=c[x>>2];if(Y){ka=$$(c[w>>2]|0,0,0,0,xa)|0;mb=Ma+16|0;c[mb>>2]=ka;if((ka|0)==0){hb=eb;ib=12;jb=fa;break i}d1(ka|0,z|0,Z)|0;c[(c[mb>>2]|0)+(ea<<2)>>2]=0}else{c[Ma+16>>2]=0}if((eb|0)==0){qb=c[Na>>2]|0;rb=0;sb=Pa;tb=Pa;break}mb=c[w>>2]|0;ka=c[Na>>2]|0;lb=$$(mb,0,0,1,32)|0;ub=lb;do{if((lb|0)==0){vb=0}else{wb=$$(mb,0,0,1,8)|0;xb=lb+4|0;c[xb>>2]=wb;if((wb|0)==0){vb=0;break}c[lb>>2]=3;c[lb+8>>2]=-1;c[lb+12>>2]=-1;c[wb>>2]=eb;c[(c[xb>>2]|0)+4>>2]=ka;c[lb+16>>2]=(c[ka+16>>2]|0)+(c[eb+16>>2]|0);vb=ub}}while(0);qb=vb;rb=(vb|0)==0?12:0;sb=Pa;tb=Pa}}while(0);Na=bb+1|0;if((Na|0)<(da|0)&(rb|0)==0){bb=Na;cb=sb;db=tb;eb=qb}else{nb=rb;ob=tb;pb=qb;break}}}else{nb=0;ob=0;pb=0}}while(0);if((nb|0)!=0|ca^1){hb=pb;ib=nb;jb=fa;break}Z=c[w>>2]|0;xa=c[x>>2]|0;Y=$$(Z,0,0,1,32)|0;Na=Y;if((Y|0)==0){hb=pb;ib=12;jb=fa;break}Ma=$$(Z,0,0,1,20)|0;c[Y+4>>2]=Ma;if((Ma|0)==0){hb=pb;ib=12;jb=fa;break}c[Y>>2]=0;c[Y+8>>2]=-1;c[Y+12>>2]=-1;c[Ma>>2]=ob;c[Ma+4>>2]=1114111;c[Ma+8>>2]=xa;if((ea|0)>0){xa=ea<<2;Z=$$(c[w>>2]|0,0,0,0,xa+4|0)|0;la=Ma+16|0;c[la>>2]=Z;if((Z|0)==0){hb=pb;ib=12;jb=fa;break}d1(Z|0,z|0,xa)|0;c[(c[la>>2]|0)+(ea<<2)>>2]=0}else{c[Ma+16>>2]=0}if((pb|0)==0){hb=Na;ib=0;jb=fa;break}Ma=c[w>>2]|0;la=$$(Ma,0,0,1,32)|0;xa=la;do{if((la|0)==0){yb=0}else{Z=$$(Ma,0,0,1,8)|0;Oa=la+4|0;c[Oa>>2]=Z;if((Z|0)==0){yb=0;break}c[la>>2]=3;c[la+8>>2]=-1;c[la+12>>2]=-1;c[Z>>2]=pb;c[(c[Oa>>2]|0)+4>>2]=Na;c[la+16>>2]=(c[Y+16>>2]|0)+(c[pb+16>>2]|0);yb=xa}}while(0);hb=yb;ib=(yb|0)==0?12:0;jb=fa}else if((T|0)==112){T=0;c[za+(da<<2)>>2]=0;ga=qa;ha=12;ia=za;T=140}else if((T|0)==141){T=0;c[q>>2]=qa;hb=0;ib=12;jb=Xa}}while(0);if((T|0)==140){T=0;c[q>>2]=ga;hb=0;ib=ha;jb=ia}C0(jb);c[x>>2]=(c[x>>2]|0)+1;if((ib|0)==0){U=0;V=M;W=hb;break c}else{_=ib;T=293;break b}break};case 92:{da=Q+1|0;fa=a[da]|0;do{if((c[v>>2]&1|0)==0){if(fa<<24>>24==40){c[q>>2]=da;X=da;T=74;break d}else{ea=a[Q+1|0]|0;if(ea<<24>>24==41){T=264;break d}else{zb=ea;break}}}else{zb=fa}}while(0);fa=Q+1|0;da=zb<<24>>24==0;if(da){_=5;T=293;break b}else{Ab=0}while(1){if((Ab|0)==12){break}if((a[1528+(Ab<<3)|0]|0)==zb<<24>>24){T=193;break}else{Ab=Ab+1|0}}if((T|0)==193){T=0;ea=c[1532+(Ab<<3)>>2]|0;d1(F|0,G|0,40)|0;c[H>>2]=ea;c[I>>2]=1;ea=K$(j)|0;if((ea|0)!=0){_=ea;T=293;break b}c[q>>2]=(c[q>>2]|0)+2;c[x>>2]=c[J>>2];U=0;V=M;W=c[K>>2]|0;break c}if(da){_=5;T=293;break b}c[q>>2]=fa;ea=a[fa]|0;k:do{switch(ea|0){case 98:{$=c[w>>2]|0;xa=$$($,0,0,1,32)|0;Y=xa;do{if((xa|0)==0){Bb=0}else{la=$$($,0,0,1,20)|0;c[xa+4>>2]=la;if((la|0)==0){Bb=0;break}c[xa>>2]=0;c[xa+8>>2]=-1;c[xa+12>>2]=-1;c[la>>2]=-2;c[la+4>>2]=64;c[la+8>>2]=-1;Bb=Y}}while(0);c[q>>2]=(c[q>>2]|0)+1;Cb=Bb;break};case 66:{Y=c[w>>2]|0;xa=$$(Y,0,0,1,32)|0;$=xa;do{if((xa|0)==0){Db=0}else{la=$$(Y,0,0,1,20)|0;c[xa+4>>2]=la;if((la|0)==0){Db=0;break}c[xa>>2]=0;c[xa+8>>2]=-1;c[xa+12>>2]=-1;c[la>>2]=-2;c[la+4>>2]=128;c[la+8>>2]=-1;Db=$}}while(0);c[q>>2]=(c[q>>2]|0)+1;Cb=Db;break};case 60:{$=c[w>>2]|0;xa=$$($,0,0,1,32)|0;Y=xa;do{if((xa|0)==0){Eb=0}else{la=$$($,0,0,1,20)|0;c[xa+4>>2]=la;if((la|0)==0){Eb=0;break}c[xa>>2]=0;c[xa+8>>2]=-1;c[xa+12>>2]=-1;c[la>>2]=-2;c[la+4>>2]=16;c[la+8>>2]=-1;Eb=Y}}while(0);c[q>>2]=(c[q>>2]|0)+1;Cb=Eb;break};case 62:{Y=c[w>>2]|0;xa=$$(Y,0,0,1,32)|0;$=xa;do{if((xa|0)==0){Fb=0}else{la=$$(Y,0,0,1,20)|0;c[xa+4>>2]=la;if((la|0)==0){Fb=0;break}c[xa>>2]=0;c[xa+8>>2]=-1;c[xa+12>>2]=-1;c[la>>2]=-2;c[la+4>>2]=32;c[la+8>>2]=-1;Fb=$}}while(0);c[q>>2]=(c[q>>2]|0)+1;Cb=Fb;break};case 120:{$=Q+2|0;c[q>>2]=$;xa=a[$]|0;if(xa<<24>>24==123){$=Q+3|0;c[q>>2]=$;Y=0;la=$;while(1){$=a[la]|0;if(($<<24>>24|0)==125|($<<24>>24|0)==0){Gb=la;Hb=Y;break}if((x$($<<24>>24)|0)==0){_=9;T=293;break b}$=c[q>>2]|0;a[l+Y|0]=a[$]|0;Na=Y+1|0;Ma=$+1|0;c[q>>2]=Ma;if(Na>>>0>31>>>0){Gb=Ma;Hb=Na;break}else{Y=Na;la=Ma}}c[q>>2]=Gb+1;a[l+Hb|0]=0;la=Va(C|0,0,16)|0;Y=c[w>>2]|0;Ma=c[x>>2]|0;Na=$$(Y,0,0,1,32)|0;$=Na;do{if((Na|0)==0){Ib=0}else{ca=$$(Y,0,0,1,20)|0;c[Na+4>>2]=ca;if((ca|0)==0){Ib=0;break}c[Na>>2]=0;c[Na+8>>2]=-1;c[Na+12>>2]=-1;c[ca>>2]=la;c[ca+4>>2]=la;c[ca+8>>2]=Ma;Ib=$}}while(0);c[x>>2]=(c[x>>2]|0)+1;Cb=Ib;break k}else{e1(D|0,0,3)|0;$=(x$(xa<<24>>24)|0)==0;Ma=c[q>>2]|0;if($){Jb=Ma}else{a[D]=a[Ma]|0;$=Ma+1|0;c[q>>2]=$;Jb=$}if((x$(a[Jb]|0)|0)!=0){$=c[q>>2]|0;a[E]=a[$]|0;c[q>>2]=$+1}$=Va(D|0,0,16)|0;Ma=c[w>>2]|0;la=c[x>>2]|0;Na=$$(Ma,0,0,1,32)|0;Y=Na;do{if((Na|0)==0){Kb=0}else{ca=$$(Ma,0,0,1,20)|0;c[Na+4>>2]=ca;if((ca|0)==0){Kb=0;break}c[Na>>2]=0;c[Na+8>>2]=-1;c[Na+12>>2]=-1;c[ca>>2]=$;c[ca+4>>2]=$;c[ca+8>>2]=la;Kb=Y}}while(0);c[x>>2]=(c[x>>2]|0)+1;Cb=Kb;break k}break};default:{if((q$(ea)|0)!=0){Y=(a[c[q>>2]|0]|0)-48|0;la=c[w>>2]|0;$=c[x>>2]|0;Na=$$(la,0,0,1,32)|0;if((Na|0)==0){_=12;T=293;break b}Ma=$$(la,0,0,1,20)|0;c[Na+4>>2]=Ma;if((Ma|0)==0){_=12;T=293;break b}c[Na>>2]=0;c[Na+8>>2]=-1;c[Na+12>>2]=-1;c[Ma>>2]=-4;c[Ma+4>>2]=Y;c[Ma+8>>2]=$;c[x>>2]=(c[x>>2]|0)+1;$=c[B>>2]|0;c[B>>2]=(Y|0)<($|0)?$:Y;c[q>>2]=(c[q>>2]|0)+1;U=0;V=M;W=Na;break c}Na=c[w>>2]|0;Y=a[c[q>>2]|0]|0;$=c[x>>2]|0;Ma=$$(Na,0,0,1,32)|0;la=Ma;do{if((Ma|0)==0){Lb=0}else{xa=$$(Na,0,0,1,20)|0;c[Ma+4>>2]=xa;if((xa|0)==0){Lb=0;break}c[Ma>>2]=0;c[Ma+8>>2]=-1;c[Ma+12>>2]=-1;c[xa>>2]=Y;c[xa+4>>2]=Y;c[xa+8>>2]=$;Lb=la}}while(0);c[x>>2]=(c[x>>2]|0)+1;c[q>>2]=(c[q>>2]|0)+1;Cb=Lb}}}while(0);if((Cb|0)==0){_=12;T=293;break b}else{U=0;V=M;W=Cb;break c}break};case 46:{ea=(c[v>>2]&4|0)==0;fa=c[w>>2]|0;da=c[x>>2]|0;la=$$(fa,0,0,1,32)|0;$=la;Y=(la|0)==0;if(ea){if(Y){_=12;T=293;break b}ea=$$(fa,0,0,1,20)|0;c[la+4>>2]=ea;if((ea|0)==0){_=12;T=293;break b}c[la>>2]=0;c[la+8>>2]=-1;c[la+12>>2]=-1;c[ea>>2]=0;c[ea+4>>2]=1114111;c[ea+8>>2]=da;Mb=(c[x>>2]|0)+1|0;Nb=$}else{if(Y){_=12;T=293;break b}Y=$$(fa,0,0,1,20)|0;c[la+4>>2]=Y;if((Y|0)==0){_=12;T=293;break b}c[la>>2]=0;c[la+8>>2]=-1;c[la+12>>2]=-1;c[Y>>2]=0;c[Y+4>>2]=9;c[Y+8>>2]=da;da=c[w>>2]|0;Y=(c[x>>2]|0)+1|0;fa=$$(da,0,0,1,32)|0;if((fa|0)==0){_=12;T=293;break b}ea=$$(da,0,0,1,20)|0;c[fa+4>>2]=ea;if((ea|0)==0){_=12;T=293;break b}c[fa>>2]=0;c[fa+8>>2]=-1;c[fa+12>>2]=-1;c[ea>>2]=11;c[ea+4>>2]=1114111;c[ea+8>>2]=Y;Y=c[w>>2]|0;ea=$$(Y,0,0,1,32)|0;if((ea|0)==0){_=12;T=293;break b}da=$$(Y,0,0,1,8)|0;Y=ea+4|0;c[Y>>2]=da;if((da|0)==0){_=12;T=293;break b}c[ea>>2]=3;c[ea+8>>2]=-1;c[ea+12>>2]=-1;c[da>>2]=$;c[(c[Y>>2]|0)+4>>2]=fa;c[ea+16>>2]=(c[fa+16>>2]|0)+(c[la+16>>2]|0);Mb=(c[x>>2]|0)+2|0;Nb=ea}c[x>>2]=Mb;c[q>>2]=(c[q>>2]|0)+1;U=0;V=M;W=Nb;break c;break};case 94:{if((c[v>>2]&1|0)==0){if((Q|0)!=(c[r>>2]|0)){break d}ea=R$(m,5)|0;if((ea|0)!=0){R=ea;S=M;T=6;break b}}ea=c[w>>2]|0;la=$$(ea,0,0,1,32)|0;if((la|0)==0){_=12;T=293;break b}fa=$$(ea,0,0,1,20)|0;c[la+4>>2]=fa;if((fa|0)==0){_=12;T=293;break b}c[la>>2]=0;c[la+8>>2]=-1;c[la+12>>2]=-1;c[fa>>2]=-2;c[fa+4>>2]=1;c[fa+8>>2]=-1;c[q>>2]=(c[q>>2]|0)+1;U=0;V=M;W=la;break c;break};case 36:{if((c[v>>2]&1|0)==0){if((a[Q+1|0]|0)!=0){break d}}la=c[w>>2]|0;fa=$$(la,0,0,1,32)|0;if((fa|0)==0){_=12;T=293;break b}ea=$$(la,0,0,1,20)|0;c[fa+4>>2]=ea;if((ea|0)==0){_=12;T=293;break b}c[fa>>2]=0;c[fa+8>>2]=-1;c[fa+12>>2]=-1;c[ea>>2]=-2;c[ea+4>>2]=2;c[ea+8>>2]=-1;c[q>>2]=(c[q>>2]|0)+1;U=0;V=M;W=fa;break c;break};case 41:{if((M|0)!=0){T=263}break};case 42:case 124:case 123:case 43:case 63:{T=263;break};case 0:{T=264;break};default:{}}}while(0);if((T|0)==74){T=0;fa=M+1|0;c[q>>2]=X+1;ea=R$(m,c[y>>2]|0)|0;if((ea|0)!=0){R=ea;S=fa;T=6;break b}ea=R$(m,2)|0;if((ea|0)!=0){R=ea;S=fa;T=6;break b}ea=R$(m,0)|0;if((ea|0)!=0){R=ea;S=fa;T=6;break b}c[y>>2]=(c[y>>2]|0)+1;U=0;V=fa;W=L;break c}else if((T|0)==263){T=0;if((c[v>>2]&1|0)!=0){T=264}}if((T|0)==264){T=0;fa=c[w>>2]|0;ea=$$(fa,0,0,1,32)|0;if((ea|0)==0){_=12;T=293;break b}la=$$(fa,0,0,1,20)|0;c[ea+4>>2]=la;if((la|0)==0){_=12;T=293;break b}c[ea>>2]=0;c[ea+8>>2]=-1;c[ea+12>>2]=-1;c[la>>2]=-1;c[la+4>>2]=-1;c[la+8>>2]=-1;U=0;V=M;W=ea;break c}ea=F$(h,Q,-1)|0;if((ea|0)<0){c[h>>2]=-1;Ob=1}else{Ob=ea}do{if((c[v>>2]&2|0)==0){T=279}else{if((w$(c[h>>2]|0)|0)==0){if((s$(c[h>>2]|0)|0)==0){T=279;break}}ea=c[w>>2]|0;la=y$(c[h>>2]|0)|0;fa=y$(c[h>>2]|0)|0;Y=c[x>>2]|0;$=$$(ea,0,0,1,32)|0;if(($|0)==0){_=12;T=293;break b}da=$$(ea,0,0,1,20)|0;c[$+4>>2]=da;if((da|0)==0){_=12;T=293;break b}c[$>>2]=0;c[$+8>>2]=-1;c[$+12>>2]=-1;c[da>>2]=la;c[da+4>>2]=fa;c[da+8>>2]=Y;Y=c[w>>2]|0;da=A$(c[h>>2]|0)|0;fa=A$(c[h>>2]|0)|0;la=c[x>>2]|0;ea=$$(Y,0,0,1,32)|0;if((ea|0)==0){_=12;T=293;break b}Ma=$$(Y,0,0,1,20)|0;c[ea+4>>2]=Ma;if((Ma|0)==0){_=12;T=293;break b}c[ea>>2]=0;c[ea+8>>2]=-1;c[ea+12>>2]=-1;c[Ma>>2]=da;c[Ma+4>>2]=fa;c[Ma+8>>2]=la;la=c[w>>2]|0;Ma=$$(la,0,0,1,32)|0;if((Ma|0)==0){_=12;T=293;break b}fa=$$(la,0,0,1,8)|0;la=Ma+4|0;c[la>>2]=fa;if((fa|0)==0){_=12;T=293;break b}c[Ma>>2]=3;c[Ma+8>>2]=-1;c[Ma+12>>2]=-1;c[fa>>2]=$;c[(c[la>>2]|0)+4>>2]=ea;c[Ma+16>>2]=(c[ea+16>>2]|0)+(c[$+16>>2]|0);Pb=Ma}}while(0);if((T|0)==279){T=0;Q=c[w>>2]|0;Ma=c[h>>2]|0;$=c[x>>2]|0;ea=$$(Q,0,0,1,32)|0;if((ea|0)==0){_=12;T=293;break b}la=$$(Q,0,0,1,20)|0;c[ea+4>>2]=la;if((la|0)==0){_=12;T=293;break b}c[ea>>2]=0;c[ea+8>>2]=-1;c[ea+12>>2]=-1;c[la>>2]=Ma;c[la+4>>2]=Ma;c[la+8>>2]=$;Pb=ea}c[x>>2]=(c[x>>2]|0)+1;c[q>>2]=(c[q>>2]|0)+Ob;U=0;V=M;W=Pb;break};case 3:{ea=R$(m,5)|0;if((ea|0)!=0){R=ea;S=M;T=6;break b}U=R$(m,4)|0;V=M;W=L;break};case 4:{ea=R$(m,9)|0;if((ea|0)!=0){R=ea;S=M;T=6;break b}U=R$(m,1)|0;V=M;W=L;break};case 5:{ea=c[q>>2]|0;$=a[ea]|0;if($<<24>>24==0){U=0;V=M;W=L;break c}la=c[v>>2]&1;Ma=(la|0)!=0;if(Ma&$<<24>>24==124){U=0;V=M;W=L;break c}do{if(!(Ma&$<<24>>24==41&(M|0)>0)){if((la|0)==0&$<<24>>24==92){if((a[ea+1|0]|0)==41){break}}Q=R$(m,5)|0;if((Q|0)!=0){R=Q;S=M;T=6;break b}Q=R$(m,L)|0;if((Q|0)!=0){R=Q;S=M;T=6;break b}Q=R$(m,6)|0;if((Q|0)!=0){R=Q;S=M;T=6;break b}U=R$(m,4)|0;V=M;W=L;break c}}while(0);$=(la|M|0)==0?8:0;Ma=M-1|0;if((la|0)!=0){U=$;V=Ma;W=L;break c}c[q>>2]=ea+2;U=$;V=Ma;W=L;break};case 7:{Ma=c[q>>2]|0;$=a[Ma]|0;if(($|0)==41){c[q>>2]=Ma+1;U=0;V=M;W=L;break c}else if(($|0)!=124){U=0;V=M;W=L;break c}$=R$(m,7)|0;if(($|0)!=0){R=$;S=M;T=6;break b}$=R$(m,L)|0;if(($|0)!=0){R=$;S=M;T=6;break b}$=R$(m,8)|0;if(($|0)!=0){R=$;S=M;T=6;break b}$=R$(m,3)|0;if(($|0)!=0){R=$;S=M;T=6;break b}c[q>>2]=(c[q>>2]|0)+1;U=0;V=M;W=L;break};case 8:{$=N-2|0;c[n>>2]=$;Ma=c[P+($<<2)>>2]|0;$=c[w>>2]|0;Q=$$($,0,0,1,32)|0;if((Q|0)==0){_=12;T=293;break b}fa=$$($,0,0,1,8)|0;$=Q+4|0;c[$>>2]=fa;if((fa|0)==0){_=12;T=293;break b}c[Q>>2]=3;c[Q+8>>2]=-1;c[Q+12>>2]=-1;c[fa>>2]=Ma;c[(c[$>>2]|0)+4>>2]=L;c[Q+16>>2]=(c[L+16>>2]|0)+(c[Ma+16>>2]|0);U=0;V=M;W=Q;break};case 6:{Q=N-2|0;c[n>>2]=Q;Ma=c[P+(Q<<2)>>2]|0;Q=c[w>>2]|0;$=$$(Q,0,0,1,32)|0;if(($|0)==0){_=12;T=293;break b}fa=$$(Q,0,0,1,8)|0;Q=$+4|0;c[Q>>2]=fa;if((fa|0)==0){_=12;T=293;break b}c[$>>2]=1;c[$+8>>2]=-1;c[$+12>>2]=-1;c[fa>>2]=Ma;c[(c[Q>>2]|0)+4>>2]=L;c[$+16>>2]=(c[L+16>>2]|0)+(c[Ma+16>>2]|0);U=0;V=M;W=$;break};case 9:{$=c[q>>2]|0;Ma=a[$]|0;switch(Ma<<24>>24|0){case 92:{Q=c[v>>2]|0;if((Q&1|0)!=0){U=0;V=M;W=L;break c}fa=$+1|0;if((a[fa]|0)!=123){U=0;V=M;W=L;break c}c[q>>2]=fa;Qb=fa;Rb=Q;break};case 123:{Q=c[v>>2]|0;if((Q&1|0)==0){U=0;V=M;W=L;break c}else{Qb=$;Rb=Q}break};case 43:case 63:{if((c[v>>2]&1|0)==0){U=0;V=M;W=L;break c}else{T=41}break};case 42:{T=41;break};default:{U=0;V=M;W=L;break c}}if((T|0)==41){T=0;c[q>>2]=$+1;$=c[w>>2]|0;Q=$$($,0,0,1,32)|0;if((Q|0)==0){_=12;T=293;break b}fa=$$($,0,0,1,16)|0;c[Q+4>>2]=fa;if((fa|0)==0){_=12;T=293;break b}c[Q>>2]=2;c[Q+8>>2]=-1;c[Q+12>>2]=-1;c[fa>>2]=L;c[fa+4>>2]=Ma<<24>>24==43;c[fa+8>>2]=Ma<<24>>24==63?1:-1;Ma=fa+12|0;c[Ma>>2]=c[Ma>>2]&-2;c[Q+16>>2]=c[L+16>>2];U=R$(m,9)|0;V=M;W=Q;break c}Q=Qb+1|0;c[q>>2]=Q;Ma=a[Q]|0;if((Ma-48&255)>>>0<10>>>0){fa=Ma<<24>>24;if((fa-48|0)>>>0<10>>>0){Sb=-1;Tb=Q;Ub=fa}else{_=10;T=293;break b}while(1){fa=((Sb|0)<0?-48:(Sb*10|0)-48|0)+Ub|0;$=Tb+1|0;da=a[$]|0;Y=da<<24>>24;if((Y-48|0)>>>0<10>>>0){Sb=fa;Tb=$;Ub=Y}else{Vb=fa;Wb=$;Xb=da;break}}}else{Vb=-1;Wb=Q;Xb=Ma}do{if(Xb<<24>>24==44){ea=Wb+1|0;la=a[ea]|0;da=la<<24>>24;if((da-48|0)>>>0<10>>>0){Yb=-1;Zb=ea;_b=da}else{$b=ea;ac=-1;bc=la;break}while(1){la=((Yb|0)<0?-48:(Yb*10|0)-48|0)+_b|0;ea=Zb+1|0;da=a[ea]|0;$=da<<24>>24;if(($-48|0)>>>0<10>>>0){Yb=la;Zb=ea;_b=$}else{cc=la;dc=ea;ec=da;T=54;break}}}else{cc=Vb;dc=Wb;ec=Xb;T=54}}while(0);do{if((T|0)==54){T=0;if(!((cc|0)>-1)){$b=dc;ac=cc;bc=ec;break}if((Vb|0)>(cc|0)|(cc|0)>255){_=10;T=293;break b}else{$b=dc;ac=cc;bc=ec}}}while(0);if(bc<<24>>24==0){_=9;T=293;break b}if(($b|0)==(Q|0)){_=10;T=293;break b}if((Rb&1|0)==0){if(!(bc<<24>>24==92)){_=10;T=293;break b}if((a[$b+1|0]|0)!=125){_=10;T=293;break b}fc=$b+2|0}else{if(!(bc<<24>>24==125)){_=10;T=293;break b}fc=$b+1|0}if((ac|Vb|0)==0){Ma=c[w>>2]|0;da=$$(Ma,0,0,1,32)|0;if((da|0)==0){_=12;T=293;break b}ea=$$(Ma,0,0,1,20)|0;c[da+4>>2]=ea;if((ea|0)==0){_=12;T=293;break b}c[da>>2]=0;c[da+8>>2]=-1;c[da+12>>2]=-1;c[ea>>2]=-1;c[ea+4>>2]=-1;c[ea+8>>2]=-1;gc=da}else{da=(ac&Vb|0)<0;ea=c[w>>2]|0;Ma=$$(ea,0,0,1,32)|0;if((Ma|0)==0){_=12;T=293;break b}la=$$(ea,0,0,1,16)|0;c[Ma+4>>2]=la;if((la|0)==0){_=12;T=293;break b}c[Ma>>2]=2;c[Ma+8>>2]=-1;c[Ma+12>>2]=-1;c[la>>2]=L;c[la+4>>2]=da?1:Vb;c[la+8>>2]=da?1:ac;da=la+12|0;c[da>>2]=c[da>>2]&-2;c[Ma+16>>2]=c[L+16>>2];gc=Ma}c[q>>2]=fc;U=R$(m,9)|0;V=M;W=gc;break};case 2:{Ma=N-2|0;c[n>>2]=Ma;da=c[P+(Ma<<2)>>2]|0;if((c[L+12>>2]|0)>-1){Ma=c[w>>2]|0;la=$$(Ma,0,0,1,32)|0;if((la|0)==0){_=12;T=293;break b}ea=$$(Ma,0,0,1,20)|0;c[la+4>>2]=ea;if((ea|0)==0){_=12;T=293;break b}c[la>>2]=0;c[la+8>>2]=-1;c[la+12>>2]=-1;c[ea>>2]=-1;c[ea+4>>2]=-1;c[ea+8>>2]=-1;ea=c[w>>2]|0;Ma=$$(ea,0,0,1,32)|0;if((Ma|0)==0){_=12;T=293;break b}$=$$(ea,0,0,1,8)|0;ea=Ma+4|0;c[ea>>2]=$;if(($|0)==0){_=12;T=293;break b}c[Ma>>2]=1;c[Ma+8>>2]=-1;c[Ma+12>>2]=-1;c[$>>2]=la;c[(c[ea>>2]|0)+4>>2]=L;ea=L+16|0;$=Ma+16|0;c[$>>2]=(c[ea>>2]|0)+(c[la+16>>2]|0);c[$>>2]=c[ea>>2];hc=Ma}else{hc=L}c[hc+12>>2]=da;da=hc+16|0;c[da>>2]=(c[da>>2]|0)+1;U=0;V=M;W=hc;break};case 10:{da=N-2|0;c[n>>2]=da;c[v>>2]=c[P+(da<<2)>>2];U=0;V=M;W=L;break};default:{U=0;V=M;W=L}}}while(0);P=c[n>>2]|0;O=(U|0)==0;if((P|0)>(o|0)&O){L=W;M=V;N=P}else{ic=W;jc=V;kc=U;lc=O;break a}}if((T|0)==6){ic=L;jc=S;kc=R;lc=(R|0)==0;break}else if((T|0)==293){i=d;return _|0}}else{ic=0;jc=0;kc=p;lc=t}}while(0);t=(jc|0)>0;if(t|lc^1){_=t?8:kc;i=d;return _|0}c[b+8>>2]=ic;_=0;i=d;return _|0}function L$(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0;f=b+12|0;g=c[f>>2]|0;h=(a|0)==0|(e|0)==0;if(!h){c[e+48>>2]=0;c[c[e+36>>2]>>2]=-1}i=c[e+28>>2]|0;j=B0((i<<3)+8|0)|0;k=j;if((j|0)==0){l=12;return l|0}c[k>>2]=-1;m=B0((i<<2)+4|0)|0;n=m;if((m|0)==0){C0(j);l=12;return l|0}c[n>>2]=-1;o=0;while(1){if(o>>>0>i>>>0){break}else{o=o+1|0}}R$(b,d)|0;d=R$(b,0)|0;o=c[f>>2]|0;a:do{if((o|0)>(g|0)&(d|0)==0){i=b+16|0;p=e+32|0;q=e+16|0;r=e+36|0;s=0;t=-1;u=1;v=0;w=0;x=0;y=k;z=o;while(1){A=z-1|0;c[f>>2]=A;B=c[i>>2]|0;b:do{switch(c[B+(A<<2)>>2]|0){case 0:{C=z-2|0;c[f>>2]=C;D=c[B+(C<<2)>>2]|0;C=D;E=D+12|0;F=c[E>>2]|0;if((F|0)>-1){G=0;do{H=y+(G<<2)|0;G=G+1|0}while((c[H>>2]|0)>-1);c[H>>2]=F<<1;c[y+(G<<2)>>2]=-1;do{if(!h){I=0;while(1){if((c[n+(I<<2)>>2]|0)>-1){I=I+1|0}else{break}}c[(c[q>>2]|0)+(F*12|0)+8>>2]=0;if((I|0)<=0){break}J=B0((I<<2)+4|0)|0;K=J;if((J|0)==0){L=t;M=v;N=w;O=x;P=y;Q=12;break a}c[(c[q>>2]|0)+(F*12|0)+8>>2]=K;J=c[n>>2]|0;if((J|0)>-1){R=0;S=J;J=K;while(1){c[J>>2]=S;T=R+1|0;U=c[n+(T<<2)>>2]|0;V=K+(T<<2)|0;if((U|0)>-1){R=T;S=U;J=V}else{W=V;break}}}else{W=K}c[W>>2]=-1}}while(0);F=R$(b,c[E>>2]|0)|0;if((F|0)!=0){L=t;M=v;N=w;O=x;P=y;Q=F;break a}F=R$(b,6)|0;if((F|0)!=0){L=t;M=v;N=w;O=x;P=y;Q=F;break a}}F=c[D>>2]|0;do{if((F|0)==1){G=c[D+4>>2]|0;J=c[G>>2]|0;S=c[G+4>>2]|0;G=R$(b,D)|0;if((G|0)!=0){X=G;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}G=R$(b,5)|0;if((G|0)!=0){X=G;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}G=R$(b,S)|0;if((G|0)!=0){X=G;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}G=R$(b,0)|0;if((G|0)!=0){X=G;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}G=J+20|0;R=R$(b,(c[G>>2]|0)+u|0)|0;if((R|0)!=0){X=R;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}if((c[G>>2]|0)>0){G=(c[S+20>>2]|0)>0;ca=(G&1)+u|0;da=G?u:-1}else{ca=u;da=-1}G=R$(b,da)|0;if((G|0)!=0){X=G;Y=x;Z=w;_=v;$=ca;aa=t;ba=s;break}G=R$(b,4)|0;if((G|0)!=0){X=G;Y=x;Z=w;_=v;$=ca;aa=t;ba=s;break}G=R$(b,J)|0;if((G|0)!=0){X=G;Y=x;Z=w;_=v;$=ca;aa=t;ba=s;break}X=R$(b,0)|0;Y=x;Z=w;_=v;$=ca;aa=t;ba=s}else if((F|0)==3){G=c[D+4>>2]|0;J=c[G>>2]|0;S=c[G+4>>2]|0;G=(c[y>>2]|0)>-1;R=u+1|0;I=R$(b,G?R:u)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}I=R$(b,G?u:v)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}I=R$(b,y)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}I=R$(b,(c[y>>2]|0)>>>31^1)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}I=R$(b,D)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}I=S;S=R$(b,I)|0;if((S|0)!=0){X=S;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}S=J;J=R$(b,S)|0;if((J|0)!=0){X=J;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}J=R$(b,3)|0;if((J|0)!=0){X=J;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}J=R$(b,I)|0;if((J|0)!=0){X=J;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}J=R$(b,0)|0;if((J|0)!=0){X=J;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}J=R$(b,2)|0;if((J|0)!=0){X=J;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}J=R$(b,S)|0;if((J|0)!=0){X=J;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}J=R$(b,0)|0;if((J|0)!=0){X=J;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}if((c[y>>2]|0)>-1){if(h){ea=0;fa=w;ga=t}else{J=T$(a,C,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=s;if((t|0)>-1){S=c[r>>2]|0;I=0;while(1){ha=S+(I<<2)|0;ia=I+1|0;if((c[ha>>2]|0)>-1){I=ia}else{break}}c[ha>>2]=v;c[S+(ia<<2)>>2]=t;c[S+(I+2<<2)>>2]=-1;ja=w+1|0;ka=-1}else{ja=w;ka=t}K=c[y>>2]|0;if((K|0)>-1){G=c[q>>2]|0;V=0;U=K;do{K=(U|0)/2|0;if((U&1|0)==0){c[G+(K*12|0)>>2]=v}else{c[G+(K*12|0)+4>>2]=v}V=V+1|0;U=c[y+(V<<2)>>2]|0;}while((U|0)>-1)}c[y>>2]=-1;ea=J;fa=ja;ga=ka}c[y>>2]=-1;la=ea;ma=x+1|0;na=fa;oa=u;pa=R;qa=ga}else{la=0;ma=x;na=w;oa=v;pa=u;qa=t}if((c[D+16>>2]|0)<=0){X=la;Y=ma;Z=na;_=oa;$=pa;aa=qa;ba=s;break}X=la;Y=ma;Z=na;_=pa+1|0;$=pa+2|0;aa=qa;ba=s}else if((F|0)==0){U=c[c[D+4>>2]>>2]|0;if(!((U|0)>-1|(U|0)==-4)){X=0;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}if(!((c[y>>2]|0)>-1)){X=0;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}if(h){c[D+20>>2]=1;ra=0;sa=w;ta=t}else{U=T$(a,C,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=s;if((t|0)>-1){V=c[r>>2]|0;G=0;while(1){ua=V+(G<<2)|0;va=G+1|0;if((c[ua>>2]|0)>-1){G=va}else{break}}c[ua>>2]=v;c[V+(va<<2)>>2]=t;c[V+(G+2<<2)>>2]=-1;wa=w+1|0;xa=-1}else{wa=w;xa=t}R=c[y>>2]|0;if((R|0)>-1){J=c[q>>2]|0;I=0;S=R;do{R=(S|0)/2|0;if((S&1|0)==0){c[J+(R*12|0)>>2]=v}else{c[J+(R*12|0)+4>>2]=v}I=I+1|0;S=c[y+(I<<2)>>2]|0;}while((S|0)>-1)}c[y>>2]=-1;ra=U;sa=wa;ta=xa}c[y>>2]=-1;X=ra;Y=x+1|0;Z=sa;_=u;$=u+1|0;aa=ta;ba=s}else if((F|0)==2){S=c[D+4>>2]|0;if(h){if((c[y>>2]|0)>-1){ya=1}else{ya=c[S+12>>2]&1}I=R$(b,ya)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}}else{I=R$(b,v)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}I=R$(b,c[S+12>>2]&1)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}}I=R$(b,D)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}I=R$(b,1)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}I=R$(b,c[S>>2]|0)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}I=R$(b,0)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}if(!((c[y>>2]|0)>-1)){if((c[S+12>>2]&1|0)==0){X=0;Y=x;Z=w;_=v;$=u;aa=t;ba=0;break}}if(h){za=0;Aa=w;Ba=t}else{I=T$(a,C,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=(c[S+12>>2]&1|0)==0?s:1;if((t|0)>-1){S=c[r>>2]|0;J=0;while(1){Ca=S+(J<<2)|0;Da=J+1|0;if((c[Ca>>2]|0)>-1){J=Da}else{break}}c[Ca>>2]=v;c[S+(Da<<2)>>2]=t;c[S+(J+2<<2)>>2]=-1;Ea=w+1|0;Fa=-1}else{Ea=w;Fa=t}U=c[y>>2]|0;if((U|0)>-1){G=c[q>>2]|0;V=0;R=U;do{U=(R|0)/2|0;if((R&1|0)==0){c[G+(U*12|0)>>2]=v}else{c[G+(U*12|0)+4>>2]=v}V=V+1|0;R=c[y+(V<<2)>>2]|0;}while((R|0)>-1)}c[y>>2]=-1;za=I;Aa=Ea;Ba=Fa}c[y>>2]=-1;X=za;Y=x+1|0;Z=Aa;_=u;$=u+1|0;aa=Ba;ba=0}else{X=0;Y=x;Z=w;_=v;$=u;aa=t;ba=s}}while(0);C=c[E>>2]|0;if((C|0)>-1){Ga=0}else{Ha=X;Ia=y;Ja=Y;Ka=Z;La=_;Ma=$;Na=aa;Oa=ba;break b}do{Pa=n+(Ga<<2)|0;Ga=Ga+1|0}while((c[Pa>>2]|0)>-1);c[Pa>>2]=C;c[n+(Ga<<2)>>2]=-1;Ha=X;Ia=y;Ja=Y;Ka=Z;La=_;Ma=$;Na=aa;Oa=ba;break};case 6:{E=z-2|0;c[f>>2]=E;D=c[B+(E<<2)>>2]|0;E=0;do{Qa=y+(E<<2)|0;E=E+1|0}while((c[Qa>>2]|0)>-1);c[Qa>>2]=D<<1|1;c[y+(E<<2)>>2]=-1;C=0;while(1){if((c[n+(C<<2)>>2]|0)>-1){C=C+1|0}else{break}}c[n+(C-1<<2)>>2]=-1;Ha=0;Ia=y;Ja=x;Ka=w;La=v;Ma=u;Na=t;Oa=s;break};case 1:{E=z-2|0;c[f>>2]=E;D=c[B+(E<<2)>>2]|0;if(h){E=c[(c[c[D+4>>2]>>2]|0)+20>>2]|0;F=z-3|0;c[f>>2]=F;c[D+20>>2]=(c[B+(F<<2)>>2]|0)+E;Ha=0;Ia=y;Ja=x;Ka=w;La=v;Ma=u;Na=-1;Oa=s;break b}else{E=z-3|0;c[f>>2]=E;F=c[B+(E<<2)>>2]|0;E=z-4|0;c[f>>2]=E;D=(F|0)==0;Ha=0;Ia=y;Ja=x;Ka=w;La=v;Ma=u;Na=D?t:c[B+(E<<2)>>2]|0;Oa=D&1;break b}break};case 2:{D=y;while(1){if((c[D>>2]|0)>-1){D=D+4|0}else{Ha=0;Ia=D;Ja=x;Ka=w;La=v;Ma=u;Na=t;Oa=s;break}}break};case 3:{D=c[B+(z-2<<2)>>2]|0;C=c[B+(z-3<<2)>>2]|0;E=c[B+(z-4<<2)>>2]|0;F=z-5|0;c[f>>2]=F;if(h){R=c[E+4>>2]|0;V=E+16|0;c[E+20>>2]=(c[(c[R>>2]|0)+20>>2]|0)+(c[B+(F<<2)>>2]|0)+(c[(c[R+4>>2]|0)+20>>2]|0)+((c[V>>2]|0)>0?2:0);Ra=c[f>>2]|0;Sa=V}else{Ra=F;Sa=E+16|0}E=c[B+(Ra-1<<2)>>2]|0;F=Ra-2|0;c[f>>2]=F;V=c[B+(F<<2)>>2]|0;F=Ra-3|0;c[f>>2]=F;R=c[B+(F<<2)>>2]|0;if((c[Sa>>2]|0)<=0){Ha=0;Ia=E;Ja=x;Ka=w;La=v;Ma=u;Na=t;Oa=1;break b}if(h){Ta=0}else{U$(a,D,V)|0;c[(c[p>>2]|0)+(V<<2)>>2]=1;V=U$(a,C,R)|0;c[(c[p>>2]|0)+(R<<2)>>2]=1;Ta=V}Ha=Ta;Ia=E;Ja=x+2|0;Ka=w;La=v;Ma=u;Na=t;Oa=1;break};case 4:{E=z-2|0;c[f>>2]=E;V=c[B+(E<<2)>>2]|0;E=z-3|0;c[f>>2]=E;Ha=0;Ia=y;Ja=x;Ka=w;La=(V|0)>-1?V:v;Ma=c[B+(E<<2)>>2]|0;Na=t;Oa=s;break};case 5:{E=z-2|0;c[f>>2]=E;V=c[B+(E<<2)>>2]|0;if(!h){Ha=0;Ia=y;Ja=x;Ka=w;La=v;Ma=u;Na=t;Oa=s;break b}E=c[V+4>>2]|0;c[V+20>>2]=(c[(c[E+4>>2]|0)+20>>2]|0)+(c[(c[E>>2]|0)+20>>2]|0);Ha=0;Ia=y;Ja=x;Ka=w;La=v;Ma=u;Na=t;Oa=s;break};default:{Ha=0;Ia=y;Ja=x;Ka=w;La=v;Ma=u;Na=t;Oa=s}}}while(0);B=c[f>>2]|0;if((B|0)>(g|0)&(Ha|0)==0){s=Oa;t=Na;u=Ma;v=La;w=Ka;x=Ja;y=Ia;z=B}else{L=Na;M=La;N=Ka;O=Ja;P=Ia;Q=Ha;break a}}}else{L=-1;M=0;N=0;O=0;P=k;Q=d}}while(0);do{if(h){Ua=N}else{d=c[P>>2]|0;if((d|0)>-1){k=c[e+16>>2]|0;Ha=0;Ia=d;do{d=(Ia|0)/2|0;if((Ia&1|0)==0){c[k+(d*12|0)>>2]=M}else{c[k+(d*12|0)+4>>2]=M}Ha=Ha+1|0;Ia=c[P+(Ha<<2)>>2]|0;}while((Ia|0)>-1)}c[P>>2]=-1;if(!((L|0)>-1)){Ua=N;break}Ia=c[e+36>>2]|0;Ha=0;while(1){Va=Ia+(Ha<<2)|0;Wa=Ha+1|0;if((c[Va>>2]|0)>-1){Ha=Wa}else{break}}c[Va>>2]=M;c[Ia+(Wa<<2)>>2]=L;c[Ia+(Ha+2<<2)>>2]=-1;Ua=N+1|0}}while(0);c[e+48>>2]=O;c[e+40>>2]=O;c[e+44>>2]=Ua;C0(j);C0(m);l=Q;return l|0}function M$(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;f=a;a:while(1){a=c[f>>2]|0;do{if((a|0)==2){g=c[f+4>>2]|0;h=g;if(!((c[g+8>>2]|0)==-1)){i=h;break}g=c[h>>2]|0;j=O$(c[g+28>>2]|0,c[g+24>>2]|0,b,d,e)|0;if((j|0)==0){i=h}else{k=j;l=10;break a}}else if((a|0)==1){j=c[f+4>>2]|0;h=j;g=j+4|0;j=O$(c[(c[h>>2]|0)+28>>2]|0,c[(c[g>>2]|0)+24>>2]|0,b,d,e)|0;if((j|0)!=0){k=j;l=10;break a}j=M$(c[h>>2]|0,b,d,e)|0;if((j|0)==0){i=g}else{k=j;l=10;break a}}else if((a|0)==3){j=c[f+4>>2]|0;g=M$(c[j>>2]|0,b,d,e)|0;if((g|0)!=0){k=g;l=10;break a}i=j+4|0}else{k=0;l=10;break a}}while(0);f=c[i>>2]|0}if((l|0)==10){return k|0}return 0}function N$(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=c[a+4>>2]|0;if((b|0)==0){return}a=b+4|0;d=b;e=c[d>>2]|0;if((c[a>>2]|0)==0){f=e}else{g=0;h=e;while(1){do{if((c[h+(g<<5)+8>>2]|0)==0){i=h}else{e=c[h+(g<<5)+16>>2]|0;if((e|0)==0){j=h}else{C0(e);j=c[d>>2]|0}e=c[j+(g<<5)+28>>2]|0;if((e|0)==0){i=j;break}C0(e);i=c[d>>2]|0}}while(0);e=g+1|0;if(e>>>0<(c[a>>2]|0)>>>0){g=e;h=i}else{f=i;break}}}if((f|0)!=0){C0(f)}f=b+8|0;i=c[f>>2]|0;if((i|0)!=0){if((c[i+8>>2]|0)==0){k=i}else{h=i;while(1){i=c[h+16>>2]|0;if((i|0)!=0){C0(i)}if((c[h+40>>2]|0)==0){break}else{h=h+32|0}}k=c[f>>2]|0}C0(k)}k=b+16|0;f=c[k>>2]|0;if((f|0)!=0){h=b+28|0;i=c[h>>2]|0;if((i|0)==0){l=f}else{g=0;a=f;f=i;while(1){i=c[a+(g*12|0)+8>>2]|0;if((i|0)==0){m=f;n=a}else{C0(i);m=c[h>>2]|0;n=c[k>>2]|0}i=g+1|0;if(i>>>0<m>>>0){g=i;a=n;f=m}else{l=n;break}}}C0(l)}l=c[b+32>>2]|0;if((l|0)!=0){C0(l)}l=c[b+20>>2]|0;if((l|0)!=0){C0(l)}l=c[b+36>>2]|0;if((l|0)!=0){C0(l)}C0(b);return}function O$(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;g=a|0;a=c[g>>2]|0;h=(a|0)>-1;if((d|0)==0){if(!h){i=0;return i|0}j=b|0;k=g;l=a;while(1){a:do{if((c[j>>2]|0)>-1){a=b;m=l;while(1){n=e+(m<<2)|0;c[n>>2]=(c[n>>2]|0)+1;n=a+32|0;if(!((c[n>>2]|0)>-1)){break a}a=n;m=c[k>>2]|0}}}while(0);m=k+32|0;a=c[m>>2]|0;if((a|0)>-1){k=m;l=a}else{i=0;break}}return i|0}if(h){o=g}else{i=0;return i|0}b:while(1){g=o+4|0;h=o+8|0;l=o+16|0;k=o+20|0;e=o+24|0;j=o+28|0;a=o+12|0;m=-1;n=b;c:while(1){p=n;while(1){q=p|0;r=c[q>>2]|0;if(!((r|0)>-1)){break c}s=p+32|0;if((r|0)==(m|0)){p=s}else{break}}t=d+(c[f+(c[o>>2]<<2)>>2]<<5)|0;while(1){u=t+8|0;if((c[u>>2]|0)==0){break}else{t=t+32|0}}c[t+40>>2]=0;c[t>>2]=c[g>>2];c[t+4>>2]=c[h>>2];v=c[q>>2]|0;c[u>>2]=d+(c[f+(v<<2)>>2]<<5);c[t+12>>2]=v;v=c[k>>2]|0;w=c[e>>2]|0;x=c[p+16>>2]|c[l>>2]|((v|0)!=0?4:0)|((w|0)!=0?8:0);y=t+20|0;c[y>>2]=x;z=c[j>>2]|0;A=t+24|0;if((z|0)>-1){c[A>>2]=z;c[y>>2]=x|256}else{c[A>>2]=v}if((w|0)==0){c[t+28>>2]=0}else{v=0;while(1){B=v+1|0;if((c[w+(v<<2)>>2]|0)==0){break}else{v=B}}v=B0(B<<2)|0;w=v;c[t+28>>2]=w;if((v|0)==0){i=12;C=45;break b}v=c[e>>2]|0;A=c[v>>2]|0;if((A|0)==0){D=w}else{x=0;y=A;A=w;while(1){c[A>>2]=y;z=x+1|0;E=c[v+(z<<2)>>2]|0;F=w+(z<<2)|0;if((E|0)==0){D=F;break}else{x=z;y=E;A=F}}}c[D>>2]=0}A=c[a>>2]|0;if((A|0)==0){G=0}else{y=0;while(1){if((c[A+(y<<2)>>2]|0)>-1){y=y+1|0}else{G=y;break}}}y=p+12|0;A=c[y>>2]|0;if((A|0)==0){H=0}else{x=0;while(1){if((c[A+(x<<2)>>2]|0)>-1){x=x+1|0}else{H=x;break}}}x=t+16|0;A=c[x>>2]|0;if((A|0)!=0){C0(A)}c[x>>2]=0;A=H+G|0;if((A|0)<=0){m=r;n=s;continue}p=B0((A<<2)+4|0)|0;A=p;c[x>>2]=A;if((p|0)==0){i=12;C=45;break b}p=c[a>>2]|0;do{if((p|0)==0){I=0}else{x=c[p>>2]|0;if((x|0)>-1){J=0;K=x}else{I=0;break}while(1){c[A+(J<<2)>>2]=K;x=J+1|0;w=c[p+(x<<2)>>2]|0;if((w|0)>-1){J=x;K=w}else{I=x;break}}}}while(0);p=c[y>>2]|0;do{if((p|0)==0){L=I}else{t=c[p>>2]|0;if((t|0)>-1){M=0;N=I;O=t}else{L=I;break}while(1){t=0;while(1){if((t|0)>=(I|0)){C=37;break}if((c[A+(t<<2)>>2]|0)==(c[p+(M<<2)>>2]|0)){P=N;break}else{t=t+1|0}}if((C|0)==37){C=0;c[A+(N<<2)>>2]=O;P=N+1|0}t=M+1|0;x=c[p+(t<<2)>>2]|0;if((x|0)>-1){M=t;N=P;O=x}else{L=P;break}}}}while(0);c[A+(L<<2)>>2]=-1;m=r;n=s}n=o+32|0;if((c[n>>2]|0)>-1){o=n}else{i=0;C=45;break}}if((C|0)==45){return i|0}return 0}function P$(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;g=(e|0)==0;if(g){h=0}else{i=0;while(1){if((c[e+(i<<2)>>2]|0)>-1){i=i+1|0}else{h=i;break}}}i=0;while(1){if((c[b+(i<<5)>>2]|0)>-1){i=i+1|0}else{j=0;break}}while(1){if((c[d+(j<<5)>>2]|0)>-1){j=j+1|0}else{break}}k=$$(a,0,0,1,(j+i<<5)+32|0)|0;i=k;if((k|0)==0){l=0;return l|0}k=c[b>>2]|0;a:do{if((k|0)>-1){j=(h|0)>0;m=0;n=k;while(1){c[i+(m<<5)>>2]=n;c[i+(m<<5)+4>>2]=c[b+(m<<5)+4>>2];c[i+(m<<5)+8>>2]=c[b+(m<<5)+8>>2];c[i+(m<<5)+16>>2]=c[b+(m<<5)+16>>2]|f;c[i+(m<<5)+20>>2]=c[b+(m<<5)+20>>2];c[i+(m<<5)+24>>2]=c[b+(m<<5)+24>>2];c[i+(m<<5)+28>>2]=c[b+(m<<5)+28>>2];o=b+(m<<5)+12|0;p=c[o>>2]|0;q=(p|0)==0;if(q&g){c[i+(m<<5)+12>>2]=0}else{b:do{if(q){r=0}else{s=0;while(1){if(!((c[p+(s<<2)>>2]|0)>-1)){r=s;break b}s=s+1|0}}}while(0);p=$$(a,0,0,0,(r+h<<2)+4|0)|0;q=p;if((p|0)==0){l=0;break}if((r|0)>0){p=c[o>>2]|0;s=0;while(1){c[q+(s<<2)>>2]=c[p+(s<<2)>>2];t=s+1|0;if((t|0)<(r|0)){s=t}else{u=r;break}}}else{u=0}if(j){s=0;while(1){c[q+(s+u<<2)>>2]=c[e+(s<<2)>>2];p=s+1|0;if((p|0)<(h|0)){s=p}else{v=h;break}}}else{v=0}c[q+(v+u<<2)>>2]=-1;c[i+(m<<5)+12>>2]=q}s=m+1|0;p=c[b+(s<<5)>>2]|0;if((p|0)>-1){m=s;n=p}else{w=s;break a}}return l|0}else{w=0}}while(0);b=c[d>>2]|0;u=i+(w<<5)|0;c:do{if((b|0)>-1){v=0;h=b;e=w;r=u;while(1){c[r>>2]=h;c[i+(e<<5)+4>>2]=c[d+(v<<5)+4>>2];c[i+(e<<5)+8>>2]=c[d+(v<<5)+8>>2];c[i+(e<<5)+16>>2]=c[d+(v<<5)+16>>2];c[i+(e<<5)+20>>2]=c[d+(v<<5)+20>>2];c[i+(e<<5)+24>>2]=c[d+(v<<5)+24>>2];c[i+(e<<5)+28>>2]=c[d+(v<<5)+28>>2];g=d+(v<<5)+12|0;f=c[g>>2]|0;if((f|0)==0){c[i+(e<<5)+12>>2]=0}else{k=0;while(1){if((c[f+(k<<2)>>2]|0)>-1){k=k+1|0}else{break}}f=$$(a,0,0,0,(k<<2)+4|0)|0;q=f;if((f|0)==0){l=0;break}if((k|0)>0){f=c[g>>2]|0;n=0;while(1){c[q+(n<<2)>>2]=c[f+(n<<2)>>2];m=n+1|0;if((m|0)<(k|0)){n=m}else{x=k;break}}}else{x=0}c[q+(x<<2)>>2]=-1;c[i+(e<<5)+12>>2]=q}k=v+1|0;n=c[d+(k<<5)>>2]|0;f=k+w|0;g=i+(f<<5)|0;if((n|0)>-1){v=k;h=n;e=f;r=g}else{y=g;break c}}return l|0}else{y=u}}while(0);c[y>>2]=-1;l=i;return l|0}function Q$(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=a+12|0;h=c[g>>2]|0;i=(f|0)!=0;if(i){c[f>>2]=0}j=R$(a,b)|0;if((j|0)!=0){k=j;return k|0}j=a+16|0;b=(d|0)==0;l=(e|0)==0;a:while(1){m=c[g>>2]|0;if((m|0)<=(h|0)){k=0;n=28;break}o=m-1|0;c[g>>2]=o;m=c[(c[j>>2]|0)+(o<<2)>>2]|0;o=c[m>>2]|0;do{if((o|0)==3){p=c[m+4>>2]|0;q=c[p>>2]|0;if((c[q+8>>2]|0)!=0){r=R$(a,q)|0;break}q=c[p+4>>2]|0;if((c[q+8>>2]|0)==0){continue a}r=R$(a,q)|0}else if((o|0)==1){q=c[m+4>>2]|0;p=R$(a,c[q>>2]|0)|0;if((p|0)!=0){k=p;n=28;break a}r=R$(a,c[q+4>>2]|0)|0}else if((o|0)==2){q=c[c[m+4>>2]>>2]|0;if((c[q+8>>2]|0)==0){continue a}r=R$(a,q)|0}else if((o|0)==0){q=c[m+4>>2]|0;p=c[q>>2]|0;if((p|0)==(-2|0)){if(l){continue a}c[e>>2]=c[e>>2]|c[q+4>>2];continue a}else if((p|0)!=(-3|0)){continue a}p=c[q+4>>2]|0;if(!((p|0)>-1)){continue a}do{if(!b){q=0;while(1){s=d+(q<<2)|0;t=c[s>>2]|0;if(!((t|0)>-1)){n=14;break}u=q+1|0;if((t|0)==(p|0)){n=13;break}else{q=u}}if((n|0)==13){n=0;if((p|0)<0){v=u}else{break}}else if((n|0)==14){n=0;v=q+1|0}c[s>>2]=p;c[d+(v<<2)>>2]=-1}}while(0);if(!i){continue a}c[f>>2]=(c[f>>2]|0)+1;continue a}else{continue a}}while(0);if((r|0)!=0){k=r;n=28;break}}if((n|0)==28){return k|0}return 0}function R$(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=a+12|0;e=c[d>>2]|0;f=a|0;g=c[f>>2]|0;if((e|0)<(g|0)){c[(c[a+16>>2]|0)+(e<<2)>>2]=b;c[d>>2]=(c[d>>2]|0)+1;h=0;return h|0}d=c[a+4>>2]|0;if((g|0)>=(d|0)){h=12;return h|0}e=(c[a+8>>2]|0)+g|0;g=(e|0)>(d|0)?d:e;e=a+16|0;d=E0(c[e>>2]|0,g<<2)|0;if((d|0)==0){h=12;return h|0}else{c[f>>2]=g;c[e>>2]=d;R$(a,b)|0;return 0}return 0}function S$(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;j=b+12|0;k=c[j>>2]|0;R$(b,d)|0;d=R$(b,0)|0;a:do{if((d|0)==0){l=b+16|0;m=(e&1|0)==0;n=(e&2|0)==0;o=h;p=1;q=0;b:while(1){r=c[j>>2]|0;if((r|0)<=(k|0)){s=q;t=0;break a}u=r-1|0;c[j>>2]=u;v=c[l>>2]|0;w=c[v+(u<<2)>>2]|0;if((w|0)==1){u=r-2|0;c[j>>2]=u;o=c[v+(u<<2)>>2]|0;p=p;q=q;continue}else if((w|0)!=0){o=o;p=p;q=q;continue}w=r-2|0;c[j>>2]=w;r=c[v+(w<<2)>>2]|0;w=c[r>>2]|0;do{if((w|0)==0){v=c[r+4>>2]|0;u=c[v+8>>2]|0;x=c[v>>2]|0;y=c[v+4>>2]|0;do{if((x|0)>-1|(x|0)==-4){z=q+1|0;A=p;B=y;C=x;D=(c[f>>2]|0)+u|0}else{if(!((x|0)==-3)){z=q;A=p;B=y;C=x;D=u;break}if(!m){z=q;A=p;B=-1;C=-1;D=-1;break}if(n|(p|0)==0){z=q;A=p;B=y;C=-3;D=u;break}c[g+(y<<2)>>2]=1;z=q;A=0;B=y;C=-3;D=u}}while(0);u=$$(a,0,0,1,32)|0;y=u;do{if((u|0)==0){E=0}else{x=$$(a,0,0,1,20)|0;c[u+4>>2]=x;if((x|0)==0){E=0;break}c[u>>2]=0;c[u+8>>2]=-1;c[u+12>>2]=-1;c[x>>2]=C;c[x+4>>2]=B;c[x+8>>2]=D;E=y}}while(0);c[o>>2]=E;y=(E|0)==0?12:0;if((D|0)<=(c[i>>2]|0)){F=y;G=z;H=A;I=o;break}c[i>>2]=D;F=y;G=z;H=A;I=o}else if((w|0)==3){y=c[r+4>>2]|0;u=y;x=c[u>>2]|0;v=y+4|0;y=c[v>>2]|0;J=$$(a,0,0,1,32)|0;if((J|0)==0){K=20;break b}L=$$(a,0,0,1,8)|0;M=J+4|0;c[M>>2]=L;if((L|0)==0){K=20;break b}c[J>>2]=3;c[J+8>>2]=-1;c[J+12>>2]=-1;c[L>>2]=x;c[(c[M>>2]|0)+4>>2]=y;c[J+16>>2]=(c[y+16>>2]|0)+(c[x+16>>2]|0);c[o>>2]=J;J=c[M>>2]|0;M=R$(b,c[v>>2]|0)|0;if((M|0)!=0){s=q;t=M;break a}M=R$(b,0)|0;if((M|0)!=0){s=q;t=M;break a}M=R$(b,J+4|0)|0;if((M|0)!=0){s=q;t=M;break a}M=R$(b,1)|0;if((M|0)!=0){s=q;t=M;break a}M=R$(b,c[u>>2]|0)|0;if((M|0)!=0){s=q;t=M;break a}F=R$(b,0)|0;G=q;H=p;I=J}else if((w|0)==1){J=c[r+4>>2]|0;M=J;u=c[M>>2]|0;v=J+4|0;J=c[v>>2]|0;x=$$(a,0,0,1,32)|0;if((x|0)==0){K=29;break b}y=$$(a,0,0,1,8)|0;L=x+4|0;c[L>>2]=y;if((y|0)==0){K=29;break b}c[x>>2]=1;c[x+8>>2]=-1;c[x+12>>2]=-1;c[y>>2]=u;c[(c[L>>2]|0)+4>>2]=J;c[x+16>>2]=(c[J+16>>2]|0)+(c[u+16>>2]|0);c[o>>2]=x;x=c[L>>2]|0;L=x;c[L>>2]=0;u=x+4|0;c[u>>2]=0;x=R$(b,c[v>>2]|0)|0;if((x|0)!=0){s=q;t=x;break a}x=R$(b,0)|0;if((x|0)!=0){s=q;t=x;break a}x=R$(b,u)|0;if((x|0)!=0){s=q;t=x;break a}x=R$(b,1)|0;if((x|0)!=0){s=q;t=x;break a}x=R$(b,c[M>>2]|0)|0;if((x|0)!=0){s=q;t=x;break a}F=R$(b,0)|0;G=q;H=p;I=L}else if((w|0)==2){L=c[r+4>>2]|0;x=L;M=R$(b,c[x>>2]|0)|0;if((M|0)!=0){s=q;t=M;break a}M=R$(b,0)|0;if((M|0)!=0){s=q;t=M;break a}M=c[x>>2]|0;x=c[L+4>>2]|0;u=c[L+8>>2]|0;v=c[L+12>>2]&1;L=$$(a,0,0,1,32)|0;if((L|0)==0){K=40;break b}J=$$(a,0,0,1,16)|0;y=L+4|0;c[y>>2]=J;if((J|0)==0){K=40;break b}c[L>>2]=2;c[L+8>>2]=-1;c[L+12>>2]=-1;c[J>>2]=M;c[J+4>>2]=x;c[J+8>>2]=u;u=J+12|0;c[u>>2]=c[u>>2]&-2|v;c[L+16>>2]=c[M+16>>2];c[o>>2]=L;o=c[y>>2]|0;p=p;q=q;continue b}else{o=o;p=p;q=q;continue b}}while(0);if((F|0)==0){o=I;p=H;q=G}else{s=G;t=F;break a}}if((K|0)==20){c[o>>2]=0;s=q;t=12;break}else if((K|0)==29){c[o>>2]=0;s=q;t=12;break}else if((K|0)==40){c[o>>2]=0;s=q;t=12;break}}else{s=0;t=d}}while(0);c[f>>2]=(c[f>>2]|0)+s;return t|0}function T$(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=$$(a,0,0,0,8)|0;if((e|0)==0){f=12;return f|0}g=$$(a,0,0,1,32)|0;h=g;do{if((g|0)!=0){i=$$(a,0,0,1,20)|0;c[g+4>>2]=i;if((i|0)==0){break}c[g>>2]=0;c[g+8>>2]=-1;c[g+12>>2]=-1;c[i>>2]=-3;c[i+4>>2]=d;c[i+8>>2]=-1;c[e>>2]=h;i=$$(a,0,0,0,32)|0;j=e+4|0;c[j>>2]=i;if((i|0)==0){f=12;return f|0}k=b+4|0;c[i+4>>2]=c[k>>2];i=b|0;c[c[j>>2]>>2]=c[i>>2];l=c[j>>2]|0;c[l+8>>2]=-1;c[l+12>>2]=-1;c[l+24>>2]=0;c[(c[j>>2]|0)+28>>2]=0;c[(c[j>>2]|0)+20>>2]=0;c[k>>2]=e;c[i>>2]=1;f=0;return f|0}}while(0);c[e>>2]=0;f=12;return f|0}function U$(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=$$(a,0,0,0,8)|0;if((e|0)==0){f=12;return f|0}g=$$(a,0,0,1,32)|0;h=g;do{if((g|0)!=0){i=$$(a,0,0,1,20)|0;c[g+4>>2]=i;if((i|0)==0){break}c[g>>2]=0;c[g+8>>2]=-1;c[g+12>>2]=-1;c[i>>2]=-3;c[i+4>>2]=d;c[i+8>>2]=-1;c[e+4>>2]=h;i=$$(a,0,0,0,32)|0;j=e;c[j>>2]=i;if((i|0)==0){f=12;return f|0}k=b+4|0;c[i+4>>2]=c[k>>2];i=b|0;c[c[j>>2]>>2]=c[i>>2];l=c[j>>2]|0;c[l+8>>2]=-1;c[l+12>>2]=-1;c[l+24>>2]=0;c[(c[j>>2]|0)+28>>2]=0;c[(c[j>>2]|0)+20>>2]=0;c[k>>2]=e;c[i>>2]=1;f=0;return f|0}}while(0);c[e+4>>2]=0;f=12;return f|0}function V$(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[c[(c[a>>2]|0)+4>>2]>>2]|0;a=c[c[(c[b>>2]|0)+4>>2]>>2]|0;if((d|0)<(a|0)){e=-1;return e|0}e=(d|0)>(a|0)|0;return e|0}function W$(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;d=i;a:do{if((b|0)==0){g=14880}else{h=b;j=14880;while(1){if((a[j]|0)==0){g=j;break a}k=h-1|0;l=j+((b1(j|0)|0)+1)|0;if((k|0)==0){g=l;break}else{h=k;j=l}}}}while(0);b=Bb(e|0,f|0,38344,(f=i,i=i+8|0,c[f>>2]=(a[g]|0)==0?g+1|0:g,f)|0)|0;i=f;i=d;return b+1|0}function X$(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0;g=i;i=i+16|0;h=g|0;j=g+8|0;k=c[a+4>>2]|0;a=k;l=k+40|0;m=c[l>>2]|0;do{if((m|0)<1|(d|0)==0){n=0}else{o=B0(m<<2)|0;if((o|0)==0){p=12}else{n=o;break}i=g;return p|0}}while(0);m=n;a:do{if((c[k+60>>2]|0)==0){c[h>>2]=0;o=f&1;q=f&2;r=k+56|0;s=c[r>>2]&4;if((n|0)==0){t=0}else{t=c[l>>2]|0}u=t<<2;v=c[k+52>>2]|0;w=v<<3;x=w+8|0;y=u+12+w+(x+(ga(u,v)|0)<<1)|0;z=B0(y)|0;if((z|0)==0){A=12;break}e1(z|0,0,y|0)|0;y=z;B=z+u&3;C=((B|0)==0?0:4-B|0)+u|0;B=z+C|0;D=C+x|0;C=z+D&3;E=((C|0)==0?0:4-C|0)+D|0;D=z+E|0;C=E+x|0;x=z+C&3;E=((x|0)==0?0:4-x|0)+C|0;C=z+E|0;x=E+w|0;w=z+x&3;if((v|0)>0){E=t<<3;F=0;G=z+(((w|0)==0?0:4-w|0)+x)|0;while(1){c[D+(F<<3)+4>>2]=G;c[B+(F<<3)+4>>2]=G+u;x=F+1|0;if((x|0)<(v|0)){F=x;G=G+E|0}else{H=0;break}}do{c[C+(H<<3)>>2]=-1;H=H+1|0;}while((H|0)<(v|0))}v=F$(h,b,4)|0;if((v|0)<1){if((v|0)<0){A=1;break}I=v+1|0}else{I=v}v=k+8|0;E=(s|0)==0;G=(o|0)==0;F=(t|0)>0;x=k+12|0;w=k+44|0;J=k+32|0;K=k+36|0;L=(t|0)==0;M=F^1;N=0;O=b+I|0;P=0;Q=I;R=D;S=y;T=0;U=-1;V=B;W=B;while(1){if((U|0)<0){X=c[v>>2]|0;Y=X+8|0;b:do{if((c[Y>>2]|0)==0){Z=W;_=U;$=T}else{aa=(P|0)==0;ba=(N|0)==95;ca=(P|0)<1&G;da=((N|0)!=10|E)^1;ea=W;fa=U;ha=T;ia=X;ja=Y;while(1){ka=ia;la=ja;c:while(1){ma=ka+12|0;if((c[C+(c[ma>>2]<<3)>>2]|0)>=(P|0)){na=ha;oa=fa;pa=ea;break}qa=ka+20|0;ra=c[qa>>2]|0;if((ra|0)==0){sa=260;break}d:do{if((ra&1|0)==0|ca|da){if((ra&2|0)!=0){ta=c[h>>2]|0;if((ta|q|0)!=0&((ta|0)!=10|E)){break}}do{if((ra&16|0)!=0){if(ba){break d}if((k$(N)|0)!=0){break d}ta=c[h>>2]|0;if((ta|0)==95){break}if((k$(ta)|0)==0){break d}}}while(0);ta=c[qa>>2]|0;if((ta&32|0)==0){ua=ta}else{if(!ba){if((k$(N)|0)==0){break}}ta=c[h>>2]|0;if((ta|0)==95){break}if((k$(ta)|0)!=0){break}ua=c[qa>>2]|0}do{if((ua&64|0)==0|aa){va=ua}else{ta=c[h>>2]|0;if((ta|0)==0){va=ua;break}if(ba){wa=1;xa=ta}else{ta=(k$(N)|0)!=0|0;wa=ta;xa=c[h>>2]|0}if((xa|0)==95){ya=1}else{ya=(k$(xa)|0)!=0|0}if((wa|0)==(ya|0)){break d}va=c[qa>>2]|0}}while(0);if((va&128|0)==0){sa=260;break c}if(aa){break}ta=c[h>>2]|0;if((ta|0)==0){break}if(ba){za=1;Aa=ta}else{ta=(k$(N)|0)!=0|0;za=ta;Aa=c[h>>2]|0}if((Aa|0)==95){Ba=1}else{Ba=(k$(Aa)|0)!=0|0}if((za|0)==(Ba|0)){sa=260;break c}}}while(0);qa=ka+40|0;if((c[qa>>2]|0)==0){Z=ea;_=fa;$=ha;break b}else{ka=ka+32|0;la=qa}}if((sa|0)==260){sa=0;qa=ea|0;c[qa>>2]=c[la>>2];if(F){e1(c[ea+4>>2]|0,-1|0,u|0)|0}ra=c[ka+16>>2]|0;do{if((ra|0)!=0){ta=c[ra>>2]|0;if(!((ta|0)>-1)){break}Ca=ea+4|0;Da=ra;Ea=ta;do{if((Ea|0)<(t|0)){c[(c[Ca>>2]|0)+(Ea<<2)>>2]=P}Da=Da+4|0;Ea=c[Da>>2]|0;}while((Ea|0)>-1)}}while(0);ra=(c[qa>>2]|0)!=(c[x>>2]|0);if(ra|M){Fa=ra?ha:1;Ga=ra?fa:P;Ha=ea+4|0}else{ra=ea+4|0;la=c[ra>>2]|0;Ea=0;while(1){c[n+(Ea<<2)>>2]=c[la+(Ea<<2)>>2];Da=Ea+1|0;if((Da|0)<(t|0)){Ea=Da}else{Fa=1;Ga=P;Ha=ra;break}}}c[C+(c[ma>>2]<<3)>>2]=P;c[C+(c[ma>>2]<<3)+4>>2]=Ha;na=Fa;oa=Ga;pa=ea+8|0}ra=ka+40|0;if((c[ra>>2]|0)==0){Z=pa;_=oa;$=na;break}else{ea=pa;fa=oa;ha=na;ia=ka+32|0;ja=ra}}}}while(0);c[Z>>2]=0;Ia=$;Ja=_}else{if(L|(W|0)==(V|0)){Ka=U;break}else{Ia=T;Ja=U}}Y=c[h>>2]|0;if((Y|0)==0){Ka=Ja;break}X=P+Q|0;ja=F$(h,O,4)|0;if((ja|0)<1){if((ja|0)<0){A=1;break a}La=ja+1|0}else{La=ja}ja=O+La|0;if((c[w>>2]|0)==0|(Ia|0)==0){Ma=V;Na=Ia;Oa=R}else{ia=V|0;ha=c[ia>>2]|0;if((ha|0)==0){Pa=R}else{fa=R;ea=ia;ia=ha;while(1){ha=c[K>>2]|0;ba=c[ha>>2]|0;aa=ea+4|0;e:do{if((ba|0)>-1){da=0;ca=ba;while(1){ra=c[ha+((da|1)<<2)>>2]|0;if((ca|0)>=(t|0)){Qa=fa;break e}Ea=c[aa>>2]|0;if((c[Ea+(ra<<2)>>2]|0)==(c[n+(ra<<2)>>2]|0)){if((c[Ea+(ca<<2)>>2]|0)<(c[n+(ca<<2)>>2]|0)){Qa=fa;break e}}Ea=da+2|0;ra=c[ha+(Ea<<2)>>2]|0;if((ra|0)>-1){da=Ea;ca=ra}else{sa=287;break}}}else{sa=287}}while(0);if((sa|0)==287){sa=0;c[fa>>2]=ia;ha=fa+4|0;ba=c[ha>>2]|0;c[ha>>2]=c[aa>>2];c[aa>>2]=ba;Qa=fa+8|0}ba=ea+8|0;ha=c[ba>>2]|0;if((ha|0)==0){Pa=Qa;break}else{fa=Qa;ea=ba;ia=ha}}}c[Pa>>2]=0;Ma=R;Na=0;Oa=V}ia=c[Ma>>2]|0;if((ia|0)==0){Ra=Oa;Sa=Ja;Ta=Na;Ua=S}else{ea=(X|0)==0;fa=(Y|0)==95;ha=(X|0)<1&G;ba=((Y|0)!=10|E)^1;ca=Ma;da=Oa;ka=Ja;ra=Na;Ea=S;la=ia;while(1){ia=la+8|0;if((c[ia>>2]|0)==0){Va=da;Wa=ka;Xa=ra;Ya=Ea}else{qa=ca+4|0;Da=da;Ca=ka;ta=ra;Za=Ea;_a=la;$a=ia;while(1){f:do{if((c[_a>>2]|0)>>>0>Y>>>0){ab=Za;bb=ta;cb=Ca;db=Da}else{if((c[_a+4>>2]|0)>>>0<Y>>>0){ab=Za;bb=ta;cb=Ca;db=Da;break}ia=_a+20|0;eb=c[ia>>2]|0;g:do{if((eb|0)!=0){if(!((eb&1|0)==0|ha|ba)){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((eb&2|0)!=0){fb=c[h>>2]|0;if((fb|q|0)!=0&((fb|0)!=10|E)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}do{if((eb&16|0)!=0){if(fa){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((k$(Y)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}fb=c[h>>2]|0;if((fb|0)==95){break}if((k$(fb)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}}while(0);fb=c[ia>>2]|0;if((fb&32|0)==0){gb=fb}else{if(!fa){if((k$(Y)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}fb=c[h>>2]|0;if((fb|0)==95){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((k$(fb)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}gb=c[ia>>2]|0}do{if((gb&64|0)==0|ea){hb=gb}else{fb=c[h>>2]|0;if((fb|0)==0){hb=gb;break}if(fa){ib=1;jb=fb}else{fb=(k$(Y)|0)!=0|0;ib=fb;jb=c[h>>2]|0}if((jb|0)==95){kb=1}else{kb=(k$(jb)|0)!=0|0}if((ib|0)==(kb|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}hb=c[ia>>2]|0}}while(0);if((hb&128|0)==0){lb=hb}else{if(ea){ab=Za;bb=ta;cb=Ca;db=Da;break f}fb=c[h>>2]|0;if((fb|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}if(fa){mb=1;nb=fb}else{fb=(k$(Y)|0)!=0|0;mb=fb;nb=c[h>>2]|0}if((nb|0)==95){ob=1}else{ob=(k$(nb)|0)!=0|0}if((mb|0)!=(ob|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}lb=c[ia>>2]|0}do{if((lb&4|0)==0){pb=lb}else{if((c[r>>2]&2|0)!=0){pb=lb;break}if((o$(Y,c[_a+24>>2]|0)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}pb=c[ia>>2]|0}}while(0);do{if((pb&4|0)!=0){if((c[r>>2]&2|0)==0){break}fb=A$(Y)|0;qb=_a+24|0;if((o$(fb,c[qb>>2]|0)|0)!=0){break}fb=y$(Y)|0;if((o$(fb,c[qb>>2]|0)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}}while(0);if((c[ia>>2]&8|0)==0){break}qb=c[_a+28>>2]|0;fb=c[qb>>2]|0;if((fb|0)==0){break}if((c[r>>2]&2|0)==0){rb=qb;sb=fb;while(1){if((o$(Y,sb)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}rb=rb+4|0;sb=c[rb>>2]|0;if((sb|0)==0){break g}}}else{tb=qb}do{sb=y$(Y)|0;if((o$(sb,c[tb>>2]|0)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}sb=A$(Y)|0;if((o$(sb,c[tb>>2]|0)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}tb=tb+4|0;}while((c[tb>>2]|0)!=0)}}while(0);if(F){ia=c[qa>>2]|0;eb=0;do{c[Za+(eb<<2)>>2]=c[ia+(eb<<2)>>2];eb=eb+1|0;}while((eb|0)<(t|0))}eb=c[_a+16>>2]|0;do{if((eb|0)!=0){ia=c[eb>>2]|0;if((ia|0)>-1){ub=eb;vb=ia}else{break}do{if((vb|0)<(t|0)){c[Za+(vb<<2)>>2]=X}ub=ub+4|0;vb=c[ub>>2]|0;}while((vb|0)>-1)}}while(0);eb=_a+12|0;ia=c[eb>>2]|0;qb=C+(ia<<3)|0;if((c[qb>>2]|0)<(X|0)){sb=Da|0;c[sb>>2]=c[$a>>2];rb=Da+4|0;fb=c[rb>>2]|0;c[rb>>2]=Za;c[qb>>2]=X;c[C+(c[eb>>2]<<3)+4>>2]=rb;do{if((c[sb>>2]|0)==(c[x>>2]|0)){if((Ca|0)==-1){if(!F){wb=1;xb=X;break}yb=c[rb>>2]|0}else{if(!F){wb=ta;xb=Ca;break}eb=c[rb>>2]|0;if((c[eb>>2]|0)>(c[n>>2]|0)){wb=ta;xb=Ca;break}else{yb=eb}}eb=0;while(1){c[n+(eb<<2)>>2]=c[yb+(eb<<2)>>2];qb=eb+1|0;if((qb|0)<(t|0)){eb=qb}else{wb=1;xb=X;break}}}else{wb=ta;xb=Ca}}while(0);ab=fb;bb=wb;cb=xb;db=Da+8|0;break}else{rb=c[J>>2]|0;sb=c[C+(ia<<3)+4>>2]|0;eb=c[sb>>2]|0;if(F){zb=0}else{ab=Za;bb=ta;cb=Ca;db=Da;break}while(1){qb=c[Za+(zb<<2)>>2]|0;Ab=c[eb+(zb<<2)>>2]|0;if((c[rb+(zb<<2)>>2]|0)==0){if((qb|0)<(Ab|0)){break}if((qb|0)>(Ab|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}else{if((qb|0)>(Ab|0)){break}if((qb|0)<(Ab|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}Ab=zb+1|0;if((Ab|0)<(t|0)){zb=Ab}else{ab=Za;bb=ta;cb=Ca;db=Da;break f}}c[sb>>2]=Za;if((c[$a>>2]|0)==(c[x>>2]|0)){Bb=0}else{ab=eb;bb=ta;cb=Ca;db=Da;break}while(1){c[n+(Bb<<2)>>2]=c[Za+(Bb<<2)>>2];rb=Bb+1|0;if((rb|0)<(t|0)){Bb=rb}else{ab=eb;bb=1;cb=X;db=Da;break}}}}}while(0);eb=_a+40|0;if((c[eb>>2]|0)==0){Va=db;Wa=cb;Xa=bb;Ya=ab;break}else{Da=db;Ca=cb;ta=bb;Za=ab;_a=_a+32|0;$a=eb}}}$a=ca+8|0;_a=c[$a>>2]|0;if((_a|0)==0){Ra=Va;Sa=Wa;Ta=Xa;Ua=Ya;break}else{ca=$a;da=Va;ka=Wa;ra=Xa;Ea=Ya;la=_a}}}c[Ra>>2]=0;N=Y;O=ja;P=X;Q=La;R=Ma;S=Ua;T=Ta;U=Sa;V=Oa;W=Ra}C0(z);Cb=Ka>>>31;Db=Ka;sa=375}else{c[j>>2]=0;W=f&1;V=f&2;U=k+56|0;T=c[U>>2]&4;S=Z$(0,0)|0;if((S|0)==0){A=12;break}R=$$(S,0,0,0,32)|0;Q=R;if((R|0)==0){_$(S);A=12;break}c[R+24>>2]=0;c[R+28>>2]=0;R=c[l>>2]|0;if((R|0)==0){Eb=0;sa=9}else{P=B0(R<<2)|0;O=P;if((P|0)==0){Fb=12;Gb=0;Hb=0;Ib=O;Jb=0}else{Eb=O;sa=9}}do{if((sa|0)==9){O=Eb;P=c[k+28>>2]|0;if((P|0)==0){Kb=0}else{N=B0(P<<3)|0;P=N;if((N|0)==0){Fb=12;Gb=P;Hb=0;Ib=Eb;Jb=0;break}else{Kb=P}}P=k+52|0;N=c[P>>2]|0;if((N|0)==0){Lb=0}else{x=B0(N<<2)|0;N=x;if((x|0)==0){Fb=12;Gb=Kb;Hb=N;Ib=Eb;Jb=0;break}else{Lb=N}}N=Lb;x=(n|0)==0;F=k+8|0;C=k+12|0;J=k+32|0;r=(T|0)==0;E=(W|0)==0;q=b;G=1;K=-1;w=-1;L=Q;M=R;h:while(1){do{if((M|0)>0){if(x){e1(O|0,-1|0,M<<2|0)|0;break}else{u=0;do{c[Eb+(u<<2)>>2]=-1;c[n+(u<<2)>>2]=-1;u=u+1|0;}while((u|0)<(c[l>>2]|0))}}}while(0);u=c[P>>2]|0;if((u|0)>0){e1(N|0,0,u<<2|0)|0}u=c[j>>2]|0;v=G+K|0;B=F$(j,q,4)|0;if((B|0)<1){if((B|0)<0){A=1;break a}Mb=B+1|0}else{Mb=B}B=q+Mb|0;y=c[j>>2]|0;D=c[F>>2]|0;o=D+8|0;if((c[o>>2]|0)==0){Nb=Mb;Ob=w;Pb=L;Qb=0;sa=196}else{s=(v|0)==0;la=(u|0)==95;Ea=(v|0)<1&E;ra=((u|0)!=10|r)^1;ka=0;da=0;ca=L;fa=D;D=o;while(1){o=fa+20|0;ea=c[o>>2]|0;i:do{if((ea|0)==0){sa=56}else{if(!((ea&1|0)==0|Ea|ra)){Rb=ca;Sb=da;Tb=ka;break}if((ea&2|0)!=0){ba=c[j>>2]|0;if((ba|V|0)!=0&((ba|0)!=10|r)){Rb=ca;Sb=da;Tb=ka;break}}do{if((ea&16|0)!=0){if(la){Rb=ca;Sb=da;Tb=ka;break i}if((k$(u)|0)!=0){Rb=ca;Sb=da;Tb=ka;break i}ba=c[j>>2]|0;if((ba|0)==95){break}if((k$(ba)|0)==0){Rb=ca;Sb=da;Tb=ka;break i}}}while(0);ba=c[o>>2]|0;if((ba&32|0)==0){Ub=ba}else{if(!la){if((k$(u)|0)==0){Rb=ca;Sb=da;Tb=ka;break}}ba=c[j>>2]|0;if((ba|0)==95){Rb=ca;Sb=da;Tb=ka;break}if((k$(ba)|0)!=0){Rb=ca;Sb=da;Tb=ka;break}Ub=c[o>>2]|0}do{if((Ub&64|0)==0|s){Vb=Ub}else{ba=c[j>>2]|0;if((ba|0)==0){Vb=Ub;break}if(la){Wb=1;Xb=ba}else{ba=(k$(u)|0)!=0|0;Wb=ba;Xb=c[j>>2]|0}if((Xb|0)==95){Yb=1}else{Yb=(k$(Xb)|0)!=0|0}if((Wb|0)==(Yb|0)){Rb=ca;Sb=da;Tb=ka;break i}Vb=c[o>>2]|0}}while(0);if((Vb&128|0)==0){sa=56;break}if(s){Rb=ca;Sb=da;Tb=ka;break}ba=c[j>>2]|0;if((ba|0)==0){Rb=ca;Sb=da;Tb=ka;break}if(la){Zb=1;_b=ba}else{ba=(k$(u)|0)!=0|0;Zb=ba;_b=c[j>>2]|0}if((_b|0)==95){$b=1}else{$b=(k$(_b)|0)!=0|0}if((Zb|0)==($b|0)){sa=56}else{Rb=ca;Sb=da;Tb=ka}}}while(0);do{if((sa|0)==56){sa=0;if((ka|0)==0){Rb=ca;Sb=c[fa+16>>2]|0;Tb=c[D>>2]|0;break}o=ca+28|0;ea=c[o>>2]|0;if((ea|0)==0){ba=$$(S,0,0,0,32)|0;ha=ba;if((ba|0)==0){sa=60;break h}c[ba+24>>2]=ca;c[ba+28>>2]=0;_a=$$(S,0,0,0,c[l>>2]<<2)|0;c[ba+20>>2]=_a;if((_a|0)==0){sa=67;break h}c[o>>2]=ha;ac=ha}else{ac=ea}c[ac>>2]=v;c[ac+4>>2]=B;c[ac+8>>2]=c[D>>2];c[ac+12>>2]=c[fa+12>>2];c[ac+16>>2]=c[j>>2];if((c[l>>2]|0)>0){ea=c[ac+20>>2]|0;ha=0;do{c[ea+(ha<<2)>>2]=c[Eb+(ha<<2)>>2];ha=ha+1|0;}while((ha|0)<(c[l>>2]|0))}ha=c[fa+16>>2]|0;if((ha|0)==0){Rb=ac;Sb=da;Tb=ka;break}ea=c[ha>>2]|0;if(!((ea|0)>-1)){Rb=ac;Sb=da;Tb=ka;break}o=c[ac+20>>2]|0;_a=ha;ha=ea;while(1){ea=_a+4|0;c[o+(ha<<2)>>2]=v;ba=c[ea>>2]|0;if((ba|0)>-1){_a=ea;ha=ba}else{Rb=ac;Sb=da;Tb=ka;break}}}}while(0);ha=fa+40|0;if((c[ha>>2]|0)==0){break}else{ka=Tb;da=Sb;ca=Rb;fa=fa+32|0;D=ha}}do{if((Sb|0)==0){bc=0}else{D=c[Sb>>2]|0;if((D|0)>-1){cc=Sb;dc=D}else{bc=Sb;break}while(1){c[Eb+(dc<<2)>>2]=v;D=cc+4|0;fa=c[D>>2]|0;if((fa|0)>-1){cc=D;dc=fa}else{bc=D;break}}}}while(0);if((Tb|0)==0){Nb=Mb;Ob=w;Pb=Rb;Qb=bc;sa=196}else{ec=B;fc=v;gc=Mb;hc=w;ic=Rb;jc=bc;kc=Tb}}j:while(1){if((sa|0)==196){sa=0;D=c[Pb+24>>2]|0;if((D|0)==0){break}fa=c[Pb+8>>2]|0;if((c[fa+20>>2]&256|0)!=0){c[Lb+(c[Pb+12>>2]<<2)>>2]=0}ca=c[Pb>>2]|0;da=c[Pb+4>>2]|0;c[j>>2]=c[Pb+16>>2];ka=c[l>>2]|0;if((ka|0)<=0){ec=da;fc=ca;gc=Nb;hc=Ob;ic=D;jc=Qb;kc=fa;continue}u=c[Pb+20>>2]|0;la=0;while(1){c[Eb+(la<<2)>>2]=c[u+(la<<2)>>2];s=la+1|0;if((s|0)<(ka|0)){la=s}else{ec=da;fc=ca;gc=Nb;hc=Ob;ic=D;jc=Qb;kc=fa;continue j}}}if((kc|0)==(c[C>>2]|0)){lc=jc;mc=ic;nc=gc;oc=fc}else{fa=kc;D=jc;ca=ic;da=gc;la=fc;ka=ec;while(1){u=fa+8|0;do{if((c[u>>2]|0)==0){sa=109}else{if((c[fa+20>>2]&256|0)==0){sa=109;break}s=c[fa+24>>2]|0;Y$(s+1|0,Kb,c[U>>2]&-9,a,Eb,la);ra=c[Kb+(s<<3)>>2]|0;Ea=c[Kb+(s<<3)+4>>2]|0;s=Ea-ra|0;if((a1(b+ra|0,ka-1|0,s)|0)!=0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ha=(Ea|0)==(ra|0);ra=ha&1;Ea=Lb+(c[fa+12>>2]<<2)|0;if(ha){if((c[Ea>>2]|0)!=0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}}c[Ea>>2]=ra;ra=s-1|0;s=ra+la|0;Ea=c[j>>2]|0;ha=F$(j,ka+ra|0,4)|0;if((ha|0)<1){if((ha|0)<0){A=1;break a}pc=ha+1|0}else{pc=ha}qc=Ea;rc=pc+ra|0;sc=s;tc=pc}}while(0);do{if((sa|0)==109){sa=0;s=c[j>>2]|0;if((s|0)==0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ra=F$(j,ka,4)|0;if((ra|0)>=1){qc=s;rc=ra;sc=la;tc=ra;break}if((ra|0)<0){A=1;break a}Ea=ra+1|0;qc=s;rc=Ea;sc=la;tc=Ea}}while(0);Ea=ka+rc|0;s=sc+da|0;if((c[u>>2]|0)==0){Nb=tc;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ra=(s|0)==0;ha=(qc|0)==95;_a=(s|0)<1&E;o=((qc|0)!=10|r)^1;ba=D;ea=ca;$a=fa;Za=0;ta=u;while(1){k:do{if((c[$a>>2]|0)>>>0>qc>>>0){uc=Za;vc=ea;wc=ba}else{if((c[$a+4>>2]|0)>>>0<qc>>>0){uc=Za;vc=ea;wc=ba;break}Ca=$a+20|0;Da=c[Ca>>2]|0;l:do{if((Da|0)!=0){if(!((Da&1|0)==0|_a|o)){uc=Za;vc=ea;wc=ba;break k}if((Da&2|0)!=0){qa=c[j>>2]|0;if((qa|V|0)!=0&((qa|0)!=10|r)){uc=Za;vc=ea;wc=ba;break k}}do{if((Da&16|0)!=0){if(ha){uc=Za;vc=ea;wc=ba;break k}if((k$(qc)|0)!=0){uc=Za;vc=ea;wc=ba;break k}qa=c[j>>2]|0;if((qa|0)==95){break}if((k$(qa)|0)==0){uc=Za;vc=ea;wc=ba;break k}}}while(0);qa=c[Ca>>2]|0;if((qa&32|0)==0){xc=qa}else{if(!ha){if((k$(qc)|0)==0){uc=Za;vc=ea;wc=ba;break k}}qa=c[j>>2]|0;if((qa|0)==95){uc=Za;vc=ea;wc=ba;break k}if((k$(qa)|0)!=0){uc=Za;vc=ea;wc=ba;break k}xc=c[Ca>>2]|0}do{if((xc&64|0)==0|ra){yc=xc}else{qa=c[j>>2]|0;if((qa|0)==0){yc=xc;break}if(ha){zc=1;Ac=qa}else{qa=(k$(qc)|0)!=0|0;zc=qa;Ac=c[j>>2]|0}if((Ac|0)==95){Bc=1}else{Bc=(k$(Ac)|0)!=0|0}if((zc|0)==(Bc|0)){uc=Za;vc=ea;wc=ba;break k}yc=c[Ca>>2]|0}}while(0);if((yc&128|0)==0){Cc=yc}else{if(ra){uc=Za;vc=ea;wc=ba;break k}qa=c[j>>2]|0;if((qa|0)==0){uc=Za;vc=ea;wc=ba;break k}if(ha){Dc=1;Ec=qa}else{qa=(k$(qc)|0)!=0|0;Dc=qa;Ec=c[j>>2]|0}if((Ec|0)==95){Fc=1}else{Fc=(k$(Ec)|0)!=0|0}if((Dc|0)!=(Fc|0)){uc=Za;vc=ea;wc=ba;break k}Cc=c[Ca>>2]|0}do{if((Cc&4|0)==0){Gc=Cc}else{if((c[U>>2]&2|0)!=0){Gc=Cc;break}if((o$(qc,c[$a+24>>2]|0)|0)==0){uc=Za;vc=ea;wc=ba;break k}Gc=c[Ca>>2]|0}}while(0);do{if((Gc&4|0)!=0){if((c[U>>2]&2|0)==0){break}qa=A$(qc)|0;aa=$a+24|0;if((o$(qa,c[aa>>2]|0)|0)!=0){break}qa=y$(qc)|0;if((o$(qa,c[aa>>2]|0)|0)==0){uc=Za;vc=ea;wc=ba;break k}}}while(0);if((c[Ca>>2]&8|0)==0){break}aa=c[$a+28>>2]|0;qa=c[aa>>2]|0;if((qa|0)==0){break}if((c[U>>2]&2|0)==0){eb=aa;sb=qa;while(1){if((o$(qc,sb)|0)!=0){uc=Za;vc=ea;wc=ba;break k}eb=eb+4|0;sb=c[eb>>2]|0;if((sb|0)==0){break l}}}else{Hc=aa}do{sb=y$(qc)|0;if((o$(sb,c[Hc>>2]|0)|0)!=0){uc=Za;vc=ea;wc=ba;break k}sb=A$(qc)|0;if((o$(sb,c[Hc>>2]|0)|0)!=0){uc=Za;vc=ea;wc=ba;break k}Hc=Hc+4|0;}while((c[Hc>>2]|0)!=0)}}while(0);if((Za|0)==0){uc=c[ta>>2]|0;vc=ea;wc=c[$a+16>>2]|0;break}Ca=ea+28|0;Da=c[Ca>>2]|0;if((Da|0)==0){aa=$$(S,0,0,0,32)|0;sb=aa;if((aa|0)==0){sa=169;break h}c[aa+24>>2]=ea;c[aa+28>>2]=0;eb=$$(S,0,0,0,c[l>>2]<<2)|0;c[aa+20>>2]=eb;if((eb|0)==0){sa=176;break h}c[Ca>>2]=sb;Ic=sb}else{Ic=Da}c[Ic>>2]=s;c[Ic+4>>2]=Ea;c[Ic+8>>2]=c[ta>>2];c[Ic+12>>2]=c[$a+12>>2];c[Ic+16>>2]=c[j>>2];if((c[l>>2]|0)>0){Da=c[Ic+20>>2]|0;sb=0;do{c[Da+(sb<<2)>>2]=c[Eb+(sb<<2)>>2];sb=sb+1|0;}while((sb|0)<(c[l>>2]|0))}sb=c[$a+16>>2]|0;if((sb|0)==0){uc=Za;vc=Ic;wc=ba;break}Da=Ic+20|0;Ca=sb;while(1){sb=c[Ca>>2]|0;if(!((sb|0)>-1)){uc=Za;vc=Ic;wc=ba;break k}c[(c[Da>>2]|0)+(sb<<2)>>2]=s;sb=Ca+4|0;if((sb|0)==0){uc=Za;vc=Ic;wc=ba;break}else{Ca=sb}}}}while(0);Ca=$a+40|0;if((c[Ca>>2]|0)==0){break}else{ba=wc;ea=vc;$a=$a+32|0;Za=uc;ta=Ca}}if((uc|0)==0){Nb=tc;Ob=hc;Pb=vc;Qb=wc;sa=196;continue j}do{if((wc|0)==0){Jc=0}else{ta=c[wc>>2]|0;if((ta|0)>-1){Kc=wc;Lc=ta}else{Jc=wc;break}while(1){ta=Kc+4|0;c[Eb+(Lc<<2)>>2]=s;Za=c[ta>>2]|0;if((Za|0)>-1){Kc=ta;Lc=Za}else{Jc=ta;break}}}}while(0);if((uc|0)==(c[C>>2]|0)){lc=Jc;mc=vc;nc=tc;oc=s;break}else{fa=uc;D=Jc;ca=vc;da=tc;la=s;ka=Ea}}}m:do{if((hc|0)<(oc|0)){sa=96}else{if((hc|0)!=(oc|0)|x){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}ka=c[l>>2]|0;la=c[J>>2]|0;if((ka|0)>0){Mc=0}else{Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}while(1){da=c[Eb+(Mc<<2)>>2]|0;ca=c[n+(Mc<<2)>>2]|0;if((c[la+(Mc<<2)>>2]|0)==0){if((da|0)<(ca|0)){sa=96;break m}if((da|0)>(ca|0)){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}else{if((da|0)>(ca|0)){Nc=ka;break m}if((da|0)<(ca|0)){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}ca=Mc+1|0;if((ca|0)<(ka|0)){Mc=ca}else{Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}}}while(0);if((sa|0)==96){sa=0;if(x){Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue}Nc=c[l>>2]|0}if((Nc|0)>0){Oc=0}else{Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue}while(1){c[n+(Oc<<2)>>2]=c[Eb+(Oc<<2)>>2];ka=Oc+1|0;if((ka|0)<(c[l>>2]|0)){Oc=ka}else{Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue j}}}if((Ob|0)>=0){sa=205;break}if((c[j>>2]|0)==0){sa=205;break}c[j>>2]=y;q=B;G=Nb;K=v;w=Ob;L=Pb;M=c[l>>2]|0}if((sa|0)==60){_$(S);if((Eb|0)!=0){C0(O)}if((Kb|0)!=0){C0(Kb)}if((Lb|0)==0){A=12;break a}C0(N);A=12;break a}else if((sa|0)==67){_$(S);if((Eb|0)!=0){C0(O)}if((Kb|0)!=0){C0(Kb)}if((Lb|0)==0){A=12;break a}C0(N);A=12;break a}else if((sa|0)==169){_$(S);if((Eb|0)!=0){C0(O)}if((Kb|0)!=0){C0(Kb)}if((Lb|0)==0){A=12;break a}C0(N);A=12;break a}else if((sa|0)==176){_$(S);if((Eb|0)!=0){C0(O)}if((Kb|0)!=0){C0(Kb)}if((Lb|0)==0){A=12;break a}C0(N);A=12;break a}else if((sa|0)==205){Fb=Ob>>>31;Gb=Kb;Hb=Lb;Ib=Eb;Jb=Ob;break}}}while(0);_$(S);if((Ib|0)!=0){C0(Ib)}if((Gb|0)!=0){C0(Gb)}if((Hb|0)==0){Cb=Fb;Db=Jb;sa=375;break}C0(Hb);Cb=Fb;Db=Jb;sa=375}}while(0);do{if((sa|0)==375){if((Cb|0)!=0){A=Cb;break}Y$(d,e,c[k+56>>2]|0,a,n,Db);A=0}}while(0);if((n|0)==0){p=A;i=g;return p|0}C0(m);p=A;i=g;return p|0}function Y$(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;do{if((g|0)>-1){if((d&8|0)!=0){h=0;break}i=c[e+16>>2]|0;j=e+28|0;k=c[j>>2]|0;l=(a|0)!=0;if((k|0)!=0&l){m=e+48|0;n=0;while(1){o=c[i+(n*12|0)>>2]|0;if((o|0)==(c[m>>2]|0)){c[b+(n<<3)>>2]=g;p=g}else{q=c[f+(o<<2)>>2]|0;c[b+(n<<3)>>2]=q;p=q}q=c[i+(n*12|0)+4>>2]|0;if((q|0)==(c[m>>2]|0)){c[b+(n<<3)+4>>2]=g;r=g}else{o=c[f+(q<<2)>>2]|0;c[b+(n<<3)+4>>2]=o;r=o}if((p|0)==-1|(r|0)==-1){c[b+(n<<3)+4>>2]=-1;c[b+(n<<3)>>2]=-1}o=n+1|0;q=c[j>>2]|0;if(o>>>0<q>>>0&o>>>0<a>>>0){n=o}else{s=q;break}}}else{s=k}if((s|0)!=0&l){t=0;u=s}else{h=0;break}while(1){n=b+(t<<3)+4|0;m=c[i+(t*12|0)+8>>2]|0;do{if((m|0)==0){v=u}else{q=c[m>>2]|0;if(!((q|0)>-1)){v=u;break}o=b+(t<<3)|0;w=0;x=q;q=c[o>>2]|0;while(1){if((q|0)<(c[b+(x<<3)>>2]|0)){y=21}else{if((c[n>>2]|0)>(c[b+(x<<3)+4>>2]|0)){y=21}else{z=q}}if((y|0)==21){y=0;c[n>>2]=-1;c[o>>2]=-1;z=-1}A=w+1|0;B=c[m+(A<<2)>>2]|0;if((B|0)>-1){w=A;x=B;q=z}else{break}}v=c[j>>2]|0}}while(0);m=t+1|0;if(m>>>0<v>>>0&m>>>0<a>>>0){t=m;u=v}else{h=m;break}}}else{h=0}}while(0);if(h>>>0<a>>>0){C=h}else{return}do{c[b+(C<<3)>>2]=-1;c[b+(C<<3)+4>>2]=-1;C=C+1|0;}while(C>>>0<a>>>0);return}function Z$(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==0){c=D0(1,24)|0}else{e1(b|0,0,24)|0;c=b}if((c|0)==0){d=0;return d|0}d=c;return d|0}function _$(a){a=a|0;var b=0,d=0,e=0;b=c[a>>2]|0;if((b|0)==0){d=a;C0(d);return}else{e=b}while(1){C0(c[e>>2]|0);b=c[e+4>>2]|0;C0(e);if((b|0)==0){break}else{e=b}}d=a;C0(d);return}function $$(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=a+16|0;if((c[g>>2]|0)!=0){h=0;return h|0}i=a+12|0;j=c[i>>2]|0;do{if(j>>>0<f>>>0){if((b|0)!=0){if((d|0)!=0){c[a+8>>2]=d;c[i>>2]=1024;k=1024;l=d;break}c[g>>2]=1;h=0;return h|0}m=f<<3;n=m>>>0>1024>>>0?m:1024;m=B0(8)|0;o=m;if((m|0)==0){c[g>>2]=1;h=0;return h|0}p=B0(n)|0;q=m;c[q>>2]=p;if((p|0)==0){C0(m);c[g>>2]=1;h=0;return h|0}c[m+4>>2]=0;m=a+4|0;p=c[m>>2]|0;if((p|0)!=0){c[p+4>>2]=o}p=a|0;if((c[p>>2]|0)==0){c[p>>2]=o}c[m>>2]=o;o=c[q>>2]|0;c[a+8>>2]=o;c[i>>2]=n;k=n;l=o}else{k=j;l=c[a+8>>2]|0}}while(0);j=l+f&3;g=((j|0)==0?0:4-j|0)+f|0;c[a+8>>2]=l+g;c[i>>2]=k-g;if((e|0)==0){h=l;return h|0}e1(l|0,0,g|0)|0;h=l;return h|0}function a0(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;if((b|0)==0){d=a+((b0(a)|0)<<2)|0;return d|0}else{e=a}while(1){f=c[e>>2]|0;if((f|0)==0|(f|0)==(b|0)){break}else{e=e+4|0}}d=(f|0)!=0?e:0;return d|0}function b0(a){a=a|0;var b=0;b=a;while(1){if((c[b>>2]|0)==0){break}else{b=b+4|0}}return b-a>>2|0}function c0(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((d|0)==0){return a|0}else{e=b;f=d;g=a}while(1){d=f-1|0;c[g>>2]=c[e>>2];if((d|0)==0){break}else{e=e+4|0;f=d;g=g+4|0}}return a|0}function d0(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=(d|0)==0;if(a-b>>2>>>0<d>>>0){if(e){return a|0}else{f=d}do{f=f-1|0;c[a+(f<<2)>>2]=c[b+(f<<2)>>2];}while((f|0)!=0);return a|0}else{if(e){return a|0}else{g=b;h=d;i=a}while(1){d=h-1|0;c[i>>2]=c[g>>2];if((d|0)==0){break}else{g=g+4|0;h=d;i=i+4|0}}return a|0}return 0}function e0(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;if((d|0)==0){return a|0}else{e=d;f=a}while(1){d=e-1|0;c[f>>2]=b;if((d|0)==0){break}else{e=d;f=f+4|0}}return a|0}function f0(a){a=a|0;return}function g0(a){a=a|0;c[a>>2]=1684200;return}function h0(a){a=a|0;J0(a);return}function i0(a){a=a|0;return}function j0(a){a=a|0;return 1657784}function k0(a){a=a|0;f0(a|0);return}function l0(a){a=a|0;return}function m0(a){a=a|0;return}function n0(a){a=a|0;f0(a|0);J0(a);return}function o0(a){a=a|0;f0(a|0);J0(a);return}function p0(a){a=a|0;f0(a|0);J0(a);return}function q0(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+56|0;f=e|0;if((a|0)==(b|0)){g=1;i=e;return g|0}if((b|0)==0){g=0;i=e;return g|0}h=u0(b,1692216,1692200,0)|0;b=h;if((h|0)==0){g=0;i=e;return g|0}e1(f|0,0,56)|0;c[f>>2]=b;c[f+8>>2]=a;c[f+12>>2]=-1;c[f+48>>2]=1;pe[c[(c[h>>2]|0)+28>>2]&63](b,f,c[d>>2]|0,1);if((c[f+24>>2]|0)!=1){g=0;i=e;return g|0}c[d>>2]=c[f+16>>2];g=1;i=e;return g|0}function r0(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;if((c[d+8>>2]|0)!=(b|0)){return}b=d+16|0;g=c[b>>2]|0;if((g|0)==0){c[b>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((g|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}e=d+24|0;if((c[e>>2]|0)!=2){return}c[e>>2]=f;return}function s0(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;if((b|0)!=(c[d+8>>2]|0)){g=c[b+8>>2]|0;pe[c[(c[g>>2]|0)+28>>2]&63](g,d,e,f);return}g=d+16|0;b=c[g>>2]|0;if((b|0)==0){c[g>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((b|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}e=d+24|0;if((c[e>>2]|0)!=2){return}c[e>>2]=f;return}function t0(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;if((b|0)==(c[d+8>>2]|0)){g=d+16|0;h=c[g>>2]|0;if((h|0)==0){c[g>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((h|0)!=(e|0)){h=d+36|0;c[h>>2]=(c[h>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}h=d+24|0;if((c[h>>2]|0)!=2){return}c[h>>2]=f;return}h=c[b+12>>2]|0;g=b+16+(h<<3)|0;i=c[b+20>>2]|0;j=i>>8;if((i&1|0)==0){k=j}else{k=c[(c[e>>2]|0)+j>>2]|0}j=c[b+16>>2]|0;pe[c[(c[j>>2]|0)+28>>2]&63](j,d,e+k|0,(i&2|0)!=0?f:2);if((h|0)<=1){return}h=d+54|0;i=e;k=b+24|0;while(1){b=c[k+4>>2]|0;j=b>>8;if((b&1|0)==0){l=j}else{l=c[(c[i>>2]|0)+j>>2]|0}j=c[k>>2]|0;pe[c[(c[j>>2]|0)+28>>2]&63](j,d,e+l|0,(b&2|0)!=0?f:2);if((a[h]|0)!=0){m=16;break}b=k+8|0;if(b>>>0<g>>>0){k=b}else{m=16;break}}if((m|0)==16){return}}function u0(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=i;i=i+56|0;g=f|0;h=c[a>>2]|0;j=a+(c[h-8>>2]|0)|0;k=c[h-4>>2]|0;h=k;c[g>>2]=d;c[g+4>>2]=a;c[g+8>>2]=b;c[g+12>>2]=e;e=g+16|0;b=g+20|0;a=g+24|0;l=g+28|0;m=g+32|0;n=g+40|0;e1(e|0,0,39)|0;do{if((k|0)==(d|0)){c[g+48>>2]=1;ce[c[(c[k>>2]|0)+20>>2]&63](h,g,j,j,1,0);o=(c[a>>2]|0)==1?j:0}else{Vd[c[(c[k>>2]|0)+24>>2]&31](h,g,j,1,0);p=c[g+36>>2]|0;if((p|0)==0){if((c[n>>2]|0)!=1){o=0;break}if((c[l>>2]|0)!=1){o=0;break}o=(c[m>>2]|0)==1?c[b>>2]|0:0;break}else if((p|0)!=1){o=0;break}if((c[a>>2]|0)!=1){if((c[n>>2]|0)!=0){o=0;break}if((c[l>>2]|0)!=1){o=0;break}if((c[m>>2]|0)!=1){o=0;break}}o=c[e>>2]|0}}while(0);i=f;return o|0}function v0(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;h=b|0;if((h|0)==(c[d+8>>2]|0)){if((c[d+4>>2]|0)!=(e|0)){return}i=d+28|0;if((c[i>>2]|0)==1){return}c[i>>2]=f;return}if((h|0)==(c[d>>2]|0)){do{if((c[d+16>>2]|0)!=(e|0)){h=d+20|0;if((c[h>>2]|0)==(e|0)){break}c[d+32>>2]=f;i=d+44|0;if((c[i>>2]|0)==4){return}j=c[b+12>>2]|0;k=b+16+(j<<3)|0;a:do{if((j|0)>0){l=d+52|0;m=d+53|0;n=d+54|0;o=b+8|0;p=d+24|0;q=e;r=0;s=b+16|0;t=0;b:while(1){a[l]=0;a[m]=0;u=c[s+4>>2]|0;v=u>>8;if((u&1|0)==0){w=v}else{w=c[(c[q>>2]|0)+v>>2]|0}v=c[s>>2]|0;ce[c[(c[v>>2]|0)+20>>2]&63](v,d,e,e+w|0,2-(u>>>1&1)|0,g);if((a[n]|0)!=0){x=t;y=r;break}do{if((a[m]|0)==0){z=t;A=r}else{if((a[l]|0)==0){if((c[o>>2]&1|0)==0){x=1;y=r;break b}else{z=1;A=r;break}}if((c[p>>2]|0)==1){B=27;break a}if((c[o>>2]&2|0)==0){B=27;break a}else{z=1;A=1}}}while(0);u=s+8|0;if(u>>>0<k>>>0){r=A;s=u;t=z}else{x=z;y=A;break}}if(y){C=x;B=26}else{D=x;B=23}}else{D=0;B=23}}while(0);do{if((B|0)==23){c[h>>2]=e;k=d+40|0;c[k>>2]=(c[k>>2]|0)+1;if((c[d+36>>2]|0)!=1){C=D;B=26;break}if((c[d+24>>2]|0)!=2){C=D;B=26;break}a[d+54|0]=1;if(D){B=27}else{B=28}}}while(0);if((B|0)==26){if(C){B=27}else{B=28}}if((B|0)==27){c[i>>2]=3;return}else if((B|0)==28){c[i>>2]=4;return}}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}C=c[b+12>>2]|0;D=b+16+(C<<3)|0;x=c[b+20>>2]|0;y=x>>8;if((x&1|0)==0){E=y}else{E=c[(c[e>>2]|0)+y>>2]|0}y=c[b+16>>2]|0;Vd[c[(c[y>>2]|0)+24>>2]&31](y,d,e+E|0,(x&2|0)!=0?f:2,g);x=b+24|0;if((C|0)<=1){return}C=c[b+8>>2]|0;do{if((C&2|0)==0){b=d+36|0;if((c[b>>2]|0)==1){break}if((C&1|0)==0){E=d+54|0;y=e;A=x;while(1){if((a[E]|0)!=0){B=53;break}if((c[b>>2]|0)==1){B=53;break}z=c[A+4>>2]|0;w=z>>8;if((z&1|0)==0){F=w}else{F=c[(c[y>>2]|0)+w>>2]|0}w=c[A>>2]|0;Vd[c[(c[w>>2]|0)+24>>2]&31](w,d,e+F|0,(z&2|0)!=0?f:2,g);z=A+8|0;if(z>>>0<D>>>0){A=z}else{B=53;break}}if((B|0)==53){return}}A=d+24|0;y=d+54|0;E=e;i=x;while(1){if((a[y]|0)!=0){B=53;break}if((c[b>>2]|0)==1){if((c[A>>2]|0)==1){B=53;break}}z=c[i+4>>2]|0;w=z>>8;if((z&1|0)==0){G=w}else{G=c[(c[E>>2]|0)+w>>2]|0}w=c[i>>2]|0;Vd[c[(c[w>>2]|0)+24>>2]&31](w,d,e+G|0,(z&2|0)!=0?f:2,g);z=i+8|0;if(z>>>0<D>>>0){i=z}else{B=53;break}}if((B|0)==53){return}}}while(0);G=d+54|0;F=e;C=x;while(1){if((a[G]|0)!=0){B=53;break}x=c[C+4>>2]|0;i=x>>8;if((x&1|0)==0){H=i}else{H=c[(c[F>>2]|0)+i>>2]|0}i=c[C>>2]|0;Vd[c[(c[i>>2]|0)+24>>2]&31](i,d,e+H|0,(x&2|0)!=0?f:2,g);x=C+8|0;if(x>>>0<D>>>0){C=x}else{B=53;break}}if((B|0)==53){return}}function w0(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;h=b|0;if((h|0)==(c[d+8>>2]|0)){if((c[d+4>>2]|0)!=(e|0)){return}i=d+28|0;if((c[i>>2]|0)==1){return}c[i>>2]=f;return}if((h|0)!=(c[d>>2]|0)){h=c[b+8>>2]|0;Vd[c[(c[h>>2]|0)+24>>2]&31](h,d,e,f,g);return}do{if((c[d+16>>2]|0)!=(e|0)){h=d+20|0;if((c[h>>2]|0)==(e|0)){break}c[d+32>>2]=f;i=d+44|0;if((c[i>>2]|0)==4){return}j=d+52|0;a[j]=0;k=d+53|0;a[k]=0;l=c[b+8>>2]|0;ce[c[(c[l>>2]|0)+20>>2]&63](l,d,e,e,1,g);if((a[k]|0)==0){m=0;n=13}else{if((a[j]|0)==0){m=1;n=13}}a:do{if((n|0)==13){c[h>>2]=e;j=d+40|0;c[j>>2]=(c[j>>2]|0)+1;do{if((c[d+36>>2]|0)==1){if((c[d+24>>2]|0)!=2){n=16;break}a[d+54|0]=1;if(m){break a}}else{n=16}}while(0);if((n|0)==16){if(m){break}}c[i>>2]=4;return}}while(0);c[i>>2]=3;return}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}function x0(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;if((c[d+8>>2]|0)==(b|0)){if((c[d+4>>2]|0)!=(e|0)){return}g=d+28|0;if((c[g>>2]|0)==1){return}c[g>>2]=f;return}if((c[d>>2]|0)!=(b|0)){return}do{if((c[d+16>>2]|0)!=(e|0)){b=d+20|0;if((c[b>>2]|0)==(e|0)){break}c[d+32>>2]=f;c[b>>2]=e;b=d+40|0;c[b>>2]=(c[b>>2]|0)+1;do{if((c[d+36>>2]|0)==1){if((c[d+24>>2]|0)!=2){break}a[d+54|0]=1}}while(0);c[d+44>>2]=4;return}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}function y0(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;if((b|0)!=(c[d+8>>2]|0)){i=d+52|0;j=a[i]|0;k=d+53|0;l=a[k]|0;m=c[b+12>>2]|0;n=b+16+(m<<3)|0;a[i]=0;a[k]=0;o=c[b+20>>2]|0;p=o>>8;if((o&1|0)==0){q=p}else{q=c[(c[f>>2]|0)+p>>2]|0}p=c[b+16>>2]|0;ce[c[(c[p>>2]|0)+20>>2]&63](p,d,e,f+q|0,(o&2|0)!=0?g:2,h);a:do{if((m|0)>1){o=d+24|0;q=b+8|0;p=d+54|0;r=f;s=b+24|0;do{if((a[p]|0)!=0){break a}do{if((a[i]|0)==0){if((a[k]|0)==0){break}if((c[q>>2]&1|0)==0){break a}}else{if((c[o>>2]|0)==1){break a}if((c[q>>2]&2|0)==0){break a}}}while(0);a[i]=0;a[k]=0;t=c[s+4>>2]|0;u=t>>8;if((t&1|0)==0){v=u}else{v=c[(c[r>>2]|0)+u>>2]|0}u=c[s>>2]|0;ce[c[(c[u>>2]|0)+20>>2]&63](u,d,e,f+v|0,(t&2|0)!=0?g:2,h);s=s+8|0;}while(s>>>0<n>>>0)}}while(0);a[i]=j;a[k]=l;return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;l=c[f>>2]|0;if((l|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((l|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;l=c[e>>2]|0;if((l|0)==2){c[e>>2]=g;w=g}else{w=l}if(!((c[d+48>>2]|0)==1&(w|0)==1)){return}a[d+54|0]=1;return}function z0(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0;if((b|0)!=(c[d+8>>2]|0)){i=c[b+8>>2]|0;ce[c[(c[i>>2]|0)+20>>2]&63](i,d,e,f,g,h);return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;h=c[f>>2]|0;if((h|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((h|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;h=c[e>>2]|0;if((h|0)==2){c[e>>2]=g;j=g}else{j=h}if(!((c[d+48>>2]|0)==1&(j|0)==1)){return}a[d+54|0]=1;return}function A0(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0;if((c[d+8>>2]|0)!=(b|0)){return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;b=c[f>>2]|0;if((b|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((b|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;b=c[e>>2]|0;if((b|0)==2){c[e>>2]=g;i=g}else{i=b}if(!((c[d+48>>2]|0)==1&(i|0)==1)){return}a[d+54|0]=1;return}function B0(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0;do{if(a>>>0<245>>>0){if(a>>>0<11>>>0){b=16}else{b=a+11&-8}d=b>>>3;e=c[432358]|0;f=e>>>(d>>>0);if((f&3|0)!=0){g=(f&1^1)+d|0;h=g<<1;i=1729472+(h<<2)|0;j=1729472+(h+2<<2)|0;h=c[j>>2]|0;k=h+8|0;l=c[k>>2]|0;do{if((i|0)==(l|0)){c[432358]=e&~(1<<g)}else{if(l>>>0<(c[432362]|0)>>>0){nd();return 0}m=l+12|0;if((c[m>>2]|0)==(h|0)){c[m>>2]=i;c[j>>2]=l;break}else{nd();return 0}}}while(0);l=g<<3;c[h+4>>2]=l|3;j=h+(l|4)|0;c[j>>2]=c[j>>2]|1;n=k;return n|0}if(!(b>>>0>(c[432360]|0)>>>0)){o=b;break}if((f|0)!=0){j=2<<d;l=f<<d&(j|-j);j=(l&-l)-1|0;l=j>>>12&16;i=j>>>(l>>>0);j=i>>>5&8;m=i>>>(j>>>0);i=m>>>2&4;p=m>>>(i>>>0);m=p>>>1&2;q=p>>>(m>>>0);p=q>>>1&1;r=(j|l|i|m|p)+(q>>>(p>>>0))|0;p=r<<1;q=1729472+(p<<2)|0;m=1729472+(p+2<<2)|0;p=c[m>>2]|0;i=p+8|0;l=c[i>>2]|0;do{if((q|0)==(l|0)){c[432358]=e&~(1<<r)}else{if(l>>>0<(c[432362]|0)>>>0){nd();return 0}j=l+12|0;if((c[j>>2]|0)==(p|0)){c[j>>2]=q;c[m>>2]=l;break}else{nd();return 0}}}while(0);l=r<<3;m=l-b|0;c[p+4>>2]=b|3;q=p;e=q+b|0;c[q+(b|4)>>2]=m|1;c[q+l>>2]=m;l=c[432360]|0;if((l|0)!=0){q=c[432363]|0;d=l>>>3;l=d<<1;f=1729472+(l<<2)|0;k=c[432358]|0;h=1<<d;do{if((k&h|0)==0){c[432358]=k|h;s=f;t=1729472+(l+2<<2)|0}else{d=1729472+(l+2<<2)|0;g=c[d>>2]|0;if(!(g>>>0<(c[432362]|0)>>>0)){s=g;t=d;break}nd();return 0}}while(0);c[t>>2]=q;c[s+12>>2]=q;c[q+8>>2]=s;c[q+12>>2]=f}c[432360]=m;c[432363]=e;n=i;return n|0}l=c[432359]|0;if((l|0)==0){o=b;break}h=(l&-l)-1|0;l=h>>>12&16;k=h>>>(l>>>0);h=k>>>5&8;p=k>>>(h>>>0);k=p>>>2&4;r=p>>>(k>>>0);p=r>>>1&2;d=r>>>(p>>>0);r=d>>>1&1;g=c[1729736+((h|l|k|p|r)+(d>>>(r>>>0))<<2)>>2]|0;r=g;d=g;p=(c[g+4>>2]&-8)-b|0;while(1){g=c[r+16>>2]|0;if((g|0)==0){k=c[r+20>>2]|0;if((k|0)==0){break}else{u=k}}else{u=g}g=(c[u+4>>2]&-8)-b|0;k=g>>>0<p>>>0;r=u;d=k?u:d;p=k?g:p}r=d;i=c[432362]|0;if(r>>>0<i>>>0){nd();return 0}e=r+b|0;m=e;if(!(r>>>0<e>>>0)){nd();return 0}e=c[d+24>>2]|0;f=c[d+12>>2]|0;do{if((f|0)==(d|0)){q=d+20|0;g=c[q>>2]|0;if((g|0)==0){k=d+16|0;l=c[k>>2]|0;if((l|0)==0){v=0;break}else{w=l;x=k}}else{w=g;x=q}while(1){q=w+20|0;g=c[q>>2]|0;if((g|0)!=0){w=g;x=q;continue}q=w+16|0;g=c[q>>2]|0;if((g|0)==0){break}else{w=g;x=q}}if(x>>>0<i>>>0){nd();return 0}else{c[x>>2]=0;v=w;break}}else{q=c[d+8>>2]|0;if(q>>>0<i>>>0){nd();return 0}g=q+12|0;if((c[g>>2]|0)!=(d|0)){nd();return 0}k=f+8|0;if((c[k>>2]|0)==(d|0)){c[g>>2]=f;c[k>>2]=q;v=f;break}else{nd();return 0}}}while(0);a:do{if((e|0)!=0){f=c[d+28>>2]|0;i=1729736+(f<<2)|0;do{if((d|0)==(c[i>>2]|0)){c[i>>2]=v;if((v|0)!=0){break}c[432359]=c[432359]&~(1<<f);break a}else{if(e>>>0<(c[432362]|0)>>>0){nd();return 0}q=e+16|0;if((c[q>>2]|0)==(d|0)){c[q>>2]=v}else{c[e+20>>2]=v}if((v|0)==0){break a}}}while(0);if(v>>>0<(c[432362]|0)>>>0){nd();return 0}c[v+24>>2]=e;f=c[d+16>>2]|0;do{if((f|0)!=0){if(f>>>0<(c[432362]|0)>>>0){nd();return 0}else{c[v+16>>2]=f;c[f+24>>2]=v;break}}}while(0);f=c[d+20>>2]|0;if((f|0)==0){break}if(f>>>0<(c[432362]|0)>>>0){nd();return 0}else{c[v+20>>2]=f;c[f+24>>2]=v;break}}}while(0);if(p>>>0<16>>>0){e=p+b|0;c[d+4>>2]=e|3;f=r+(e+4)|0;c[f>>2]=c[f>>2]|1}else{c[d+4>>2]=b|3;c[r+(b|4)>>2]=p|1;c[r+(p+b)>>2]=p;f=c[432360]|0;if((f|0)!=0){e=c[432363]|0;i=f>>>3;f=i<<1;q=1729472+(f<<2)|0;k=c[432358]|0;g=1<<i;do{if((k&g|0)==0){c[432358]=k|g;y=q;z=1729472+(f+2<<2)|0}else{i=1729472+(f+2<<2)|0;l=c[i>>2]|0;if(!(l>>>0<(c[432362]|0)>>>0)){y=l;z=i;break}nd();return 0}}while(0);c[z>>2]=e;c[y+12>>2]=e;c[e+8>>2]=y;c[e+12>>2]=q}c[432360]=p;c[432363]=m}f=d+8|0;if((f|0)==0){o=b;break}else{n=f}return n|0}else{if(a>>>0>4294967231>>>0){o=-1;break}f=a+11|0;g=f&-8;k=c[432359]|0;if((k|0)==0){o=g;break}r=-g|0;i=f>>>8;do{if((i|0)==0){A=0}else{if(g>>>0>16777215>>>0){A=31;break}f=(i+1048320|0)>>>16&8;l=i<<f;h=(l+520192|0)>>>16&4;j=l<<h;l=(j+245760|0)>>>16&2;B=14-(h|f|l)+(j<<l>>>15)|0;A=g>>>((B+7|0)>>>0)&1|B<<1}}while(0);i=c[1729736+(A<<2)>>2]|0;b:do{if((i|0)==0){C=0;D=r;E=0}else{if((A|0)==31){F=0}else{F=25-(A>>>1)|0}d=0;m=r;p=i;q=g<<F;e=0;while(1){B=c[p+4>>2]&-8;l=B-g|0;if(l>>>0<m>>>0){if((B|0)==(g|0)){C=p;D=l;E=p;break b}else{G=p;H=l}}else{G=d;H=m}l=c[p+20>>2]|0;B=c[p+16+(q>>>31<<2)>>2]|0;j=(l|0)==0|(l|0)==(B|0)?e:l;if((B|0)==0){C=G;D=H;E=j;break}else{d=G;m=H;p=B;q=q<<1;e=j}}}}while(0);if((E|0)==0&(C|0)==0){i=2<<A;r=k&(i|-i);if((r|0)==0){o=g;break}i=(r&-r)-1|0;r=i>>>12&16;e=i>>>(r>>>0);i=e>>>5&8;q=e>>>(i>>>0);e=q>>>2&4;p=q>>>(e>>>0);q=p>>>1&2;m=p>>>(q>>>0);p=m>>>1&1;I=c[1729736+((i|r|e|q|p)+(m>>>(p>>>0))<<2)>>2]|0}else{I=E}if((I|0)==0){J=D;K=C}else{p=I;m=D;q=C;while(1){e=(c[p+4>>2]&-8)-g|0;r=e>>>0<m>>>0;i=r?e:m;e=r?p:q;r=c[p+16>>2]|0;if((r|0)!=0){p=r;m=i;q=e;continue}r=c[p+20>>2]|0;if((r|0)==0){J=i;K=e;break}else{p=r;m=i;q=e}}}if((K|0)==0){o=g;break}if(!(J>>>0<((c[432360]|0)-g|0)>>>0)){o=g;break}q=K;m=c[432362]|0;if(q>>>0<m>>>0){nd();return 0}p=q+g|0;k=p;if(!(q>>>0<p>>>0)){nd();return 0}e=c[K+24>>2]|0;i=c[K+12>>2]|0;do{if((i|0)==(K|0)){r=K+20|0;d=c[r>>2]|0;if((d|0)==0){j=K+16|0;B=c[j>>2]|0;if((B|0)==0){L=0;break}else{M=B;N=j}}else{M=d;N=r}while(1){r=M+20|0;d=c[r>>2]|0;if((d|0)!=0){M=d;N=r;continue}r=M+16|0;d=c[r>>2]|0;if((d|0)==0){break}else{M=d;N=r}}if(N>>>0<m>>>0){nd();return 0}else{c[N>>2]=0;L=M;break}}else{r=c[K+8>>2]|0;if(r>>>0<m>>>0){nd();return 0}d=r+12|0;if((c[d>>2]|0)!=(K|0)){nd();return 0}j=i+8|0;if((c[j>>2]|0)==(K|0)){c[d>>2]=i;c[j>>2]=r;L=i;break}else{nd();return 0}}}while(0);c:do{if((e|0)!=0){i=c[K+28>>2]|0;m=1729736+(i<<2)|0;do{if((K|0)==(c[m>>2]|0)){c[m>>2]=L;if((L|0)!=0){break}c[432359]=c[432359]&~(1<<i);break c}else{if(e>>>0<(c[432362]|0)>>>0){nd();return 0}r=e+16|0;if((c[r>>2]|0)==(K|0)){c[r>>2]=L}else{c[e+20>>2]=L}if((L|0)==0){break c}}}while(0);if(L>>>0<(c[432362]|0)>>>0){nd();return 0}c[L+24>>2]=e;i=c[K+16>>2]|0;do{if((i|0)!=0){if(i>>>0<(c[432362]|0)>>>0){nd();return 0}else{c[L+16>>2]=i;c[i+24>>2]=L;break}}}while(0);i=c[K+20>>2]|0;if((i|0)==0){break}if(i>>>0<(c[432362]|0)>>>0){nd();return 0}else{c[L+20>>2]=i;c[i+24>>2]=L;break}}}while(0);do{if(J>>>0<16>>>0){e=J+g|0;c[K+4>>2]=e|3;i=q+(e+4)|0;c[i>>2]=c[i>>2]|1}else{c[K+4>>2]=g|3;c[q+(g|4)>>2]=J|1;c[q+(J+g)>>2]=J;i=J>>>3;if(J>>>0<256>>>0){e=i<<1;m=1729472+(e<<2)|0;r=c[432358]|0;j=1<<i;do{if((r&j|0)==0){c[432358]=r|j;O=m;P=1729472+(e+2<<2)|0}else{i=1729472+(e+2<<2)|0;d=c[i>>2]|0;if(!(d>>>0<(c[432362]|0)>>>0)){O=d;P=i;break}nd();return 0}}while(0);c[P>>2]=k;c[O+12>>2]=k;c[q+(g+8)>>2]=O;c[q+(g+12)>>2]=m;break}e=p;j=J>>>8;do{if((j|0)==0){Q=0}else{if(J>>>0>16777215>>>0){Q=31;break}r=(j+1048320|0)>>>16&8;i=j<<r;d=(i+520192|0)>>>16&4;B=i<<d;i=(B+245760|0)>>>16&2;l=14-(d|r|i)+(B<<i>>>15)|0;Q=J>>>((l+7|0)>>>0)&1|l<<1}}while(0);j=1729736+(Q<<2)|0;c[q+(g+28)>>2]=Q;c[q+(g+20)>>2]=0;c[q+(g+16)>>2]=0;m=c[432359]|0;l=1<<Q;if((m&l|0)==0){c[432359]=m|l;c[j>>2]=e;c[q+(g+24)>>2]=j;c[q+(g+12)>>2]=e;c[q+(g+8)>>2]=e;break}if((Q|0)==31){R=0}else{R=25-(Q>>>1)|0}l=J<<R;m=c[j>>2]|0;while(1){if((c[m+4>>2]&-8|0)==(J|0)){break}S=m+16+(l>>>31<<2)|0;j=c[S>>2]|0;if((j|0)==0){T=151;break}else{l=l<<1;m=j}}if((T|0)==151){if(S>>>0<(c[432362]|0)>>>0){nd();return 0}else{c[S>>2]=e;c[q+(g+24)>>2]=m;c[q+(g+12)>>2]=e;c[q+(g+8)>>2]=e;break}}l=m+8|0;j=c[l>>2]|0;i=c[432362]|0;if(m>>>0<i>>>0){nd();return 0}if(j>>>0<i>>>0){nd();return 0}else{c[j+12>>2]=e;c[l>>2]=e;c[q+(g+8)>>2]=j;c[q+(g+12)>>2]=m;c[q+(g+24)>>2]=0;break}}}while(0);q=K+8|0;if((q|0)==0){o=g;break}else{n=q}return n|0}}while(0);K=c[432360]|0;if(!(o>>>0>K>>>0)){S=K-o|0;J=c[432363]|0;if(S>>>0>15>>>0){R=J;c[432363]=R+o;c[432360]=S;c[R+(o+4)>>2]=S|1;c[R+K>>2]=S;c[J+4>>2]=o|3}else{c[432360]=0;c[432363]=0;c[J+4>>2]=K|3;S=J+(K+4)|0;c[S>>2]=c[S>>2]|1}n=J+8|0;return n|0}J=c[432361]|0;if(o>>>0<J>>>0){S=J-o|0;c[432361]=S;J=c[432364]|0;K=J;c[432364]=K+o;c[K+(o+4)>>2]=S|1;c[J+4>>2]=o|3;n=J+8|0;return n|0}do{if((c[428820]|0)==0){J=Na(30)|0;if((J-1&J|0)==0){c[428822]=J;c[428821]=J;c[428823]=-1;c[428824]=-1;c[428825]=0;c[432469]=0;c[428820]=(Rd(0)|0)&-16^1431655768;break}else{nd();return 0}}}while(0);J=o+48|0;S=c[428822]|0;K=o+47|0;R=S+K|0;Q=-S|0;S=R&Q;if(!(S>>>0>o>>>0)){n=0;return n|0}O=c[432468]|0;do{if((O|0)!=0){P=c[432466]|0;L=P+S|0;if(L>>>0<=P>>>0|L>>>0>O>>>0){n=0}else{break}return n|0}}while(0);d:do{if((c[432469]&4|0)==0){O=c[432364]|0;e:do{if((O|0)==0){T=181}else{L=O;P=1729880;while(1){U=P|0;M=c[U>>2]|0;if(!(M>>>0>L>>>0)){V=P+4|0;if((M+(c[V>>2]|0)|0)>>>0>L>>>0){break}}M=c[P+8>>2]|0;if((M|0)==0){T=181;break e}else{P=M}}if((P|0)==0){T=181;break}L=R-(c[432361]|0)&Q;if(!(L>>>0<2147483647>>>0)){W=0;break}m=Wc(L|0)|0;e=(m|0)==((c[U>>2]|0)+(c[V>>2]|0)|0);X=e?m:-1;Y=e?L:0;Z=m;_=L;T=190}}while(0);do{if((T|0)==181){O=Wc(0)|0;if((O|0)==-1){W=0;break}g=O;L=c[428821]|0;m=L-1|0;if((m&g|0)==0){$=S}else{$=S-g+(m+g&-L)|0}L=c[432466]|0;g=L+$|0;if(!($>>>0>o>>>0&$>>>0<2147483647>>>0)){W=0;break}m=c[432468]|0;if((m|0)!=0){if(g>>>0<=L>>>0|g>>>0>m>>>0){W=0;break}}m=Wc($|0)|0;g=(m|0)==(O|0);X=g?O:-1;Y=g?$:0;Z=m;_=$;T=190}}while(0);f:do{if((T|0)==190){m=-_|0;if(!((X|0)==-1)){aa=Y;ba=X;T=201;break d}do{if((Z|0)!=-1&_>>>0<2147483647>>>0&_>>>0<J>>>0){g=c[428822]|0;O=K-_+g&-g;if(!(O>>>0<2147483647>>>0)){ca=_;break}if((Wc(O|0)|0)==-1){Wc(m|0)|0;W=Y;break f}else{ca=O+_|0;break}}else{ca=_}}while(0);if((Z|0)==-1){W=Y}else{aa=ca;ba=Z;T=201;break d}}}while(0);c[432469]=c[432469]|4;da=W;T=198}else{da=0;T=198}}while(0);do{if((T|0)==198){if(!(S>>>0<2147483647>>>0)){break}W=Wc(S|0)|0;Z=Wc(0)|0;if(!((Z|0)!=-1&(W|0)!=-1&W>>>0<Z>>>0)){break}ca=Z-W|0;Z=ca>>>0>(o+40|0)>>>0;Y=Z?W:-1;if(!((Y|0)==-1)){aa=Z?ca:da;ba=Y;T=201}}}while(0);do{if((T|0)==201){da=(c[432466]|0)+aa|0;c[432466]=da;if(da>>>0>(c[432467]|0)>>>0){c[432467]=da}da=c[432364]|0;g:do{if((da|0)==0){S=c[432362]|0;if((S|0)==0|ba>>>0<S>>>0){c[432362]=ba}c[432470]=ba;c[432471]=aa;c[432473]=0;c[432367]=c[428820];c[432366]=-1;S=0;do{Y=S<<1;ca=1729472+(Y<<2)|0;c[1729472+(Y+3<<2)>>2]=ca;c[1729472+(Y+2<<2)>>2]=ca;S=S+1|0;}while(S>>>0<32>>>0);S=ba+8|0;if((S&7|0)==0){ea=0}else{ea=-S&7}S=aa-40-ea|0;c[432364]=ba+ea;c[432361]=S;c[ba+(ea+4)>>2]=S|1;c[ba+(aa-36)>>2]=40;c[432365]=c[428824]}else{S=1729880;while(1){fa=c[S>>2]|0;ga=S+4|0;ha=c[ga>>2]|0;if((ba|0)==(fa+ha|0)){T=213;break}ca=c[S+8>>2]|0;if((ca|0)==0){break}else{S=ca}}do{if((T|0)==213){if((c[S+12>>2]&8|0)!=0){break}ca=da;if(!(ca>>>0>=fa>>>0&ca>>>0<ba>>>0)){break}c[ga>>2]=ha+aa;Y=(c[432361]|0)+aa|0;Z=da+8|0;if((Z&7|0)==0){ia=0}else{ia=-Z&7}Z=Y-ia|0;c[432364]=ca+ia;c[432361]=Z;c[ca+(ia+4)>>2]=Z|1;c[ca+(Y+4)>>2]=40;c[432365]=c[428824];break g}}while(0);if(ba>>>0<(c[432362]|0)>>>0){c[432362]=ba}S=ba+aa|0;Y=1729880;while(1){ja=Y|0;if((c[ja>>2]|0)==(S|0)){T=223;break}ca=c[Y+8>>2]|0;if((ca|0)==0){break}else{Y=ca}}do{if((T|0)==223){if((c[Y+12>>2]&8|0)!=0){break}c[ja>>2]=ba;S=Y+4|0;c[S>>2]=(c[S>>2]|0)+aa;S=ba+8|0;if((S&7|0)==0){ka=0}else{ka=-S&7}S=ba+(aa+8)|0;if((S&7|0)==0){la=0}else{la=-S&7}S=ba+(la+aa)|0;ca=S;Z=ka+o|0;W=ba+Z|0;_=W;K=S-(ba+ka)-o|0;c[ba+(ka+4)>>2]=o|3;do{if((ca|0)==(c[432364]|0)){J=(c[432361]|0)+K|0;c[432361]=J;c[432364]=_;c[ba+(Z+4)>>2]=J|1}else{if((ca|0)==(c[432363]|0)){J=(c[432360]|0)+K|0;c[432360]=J;c[432363]=_;c[ba+(Z+4)>>2]=J|1;c[ba+(J+Z)>>2]=J;break}J=aa+4|0;X=c[ba+(J+la)>>2]|0;if((X&3|0)==1){$=X&-8;V=X>>>3;h:do{if(X>>>0<256>>>0){U=c[ba+((la|8)+aa)>>2]|0;Q=c[ba+(aa+12+la)>>2]|0;R=1729472+(V<<1<<2)|0;do{if((U|0)!=(R|0)){if(U>>>0<(c[432362]|0)>>>0){nd();return 0}if((c[U+12>>2]|0)==(ca|0)){break}nd();return 0}}while(0);if((Q|0)==(U|0)){c[432358]=c[432358]&~(1<<V);break}do{if((Q|0)==(R|0)){ma=Q+8|0}else{if(Q>>>0<(c[432362]|0)>>>0){nd();return 0}m=Q+8|0;if((c[m>>2]|0)==(ca|0)){ma=m;break}nd();return 0}}while(0);c[U+12>>2]=Q;c[ma>>2]=U}else{R=S;m=c[ba+((la|24)+aa)>>2]|0;P=c[ba+(aa+12+la)>>2]|0;do{if((P|0)==(R|0)){O=la|16;g=ba+(J+O)|0;L=c[g>>2]|0;if((L|0)==0){e=ba+(O+aa)|0;O=c[e>>2]|0;if((O|0)==0){na=0;break}else{oa=O;pa=e}}else{oa=L;pa=g}while(1){g=oa+20|0;L=c[g>>2]|0;if((L|0)!=0){oa=L;pa=g;continue}g=oa+16|0;L=c[g>>2]|0;if((L|0)==0){break}else{oa=L;pa=g}}if(pa>>>0<(c[432362]|0)>>>0){nd();return 0}else{c[pa>>2]=0;na=oa;break}}else{g=c[ba+((la|8)+aa)>>2]|0;if(g>>>0<(c[432362]|0)>>>0){nd();return 0}L=g+12|0;if((c[L>>2]|0)!=(R|0)){nd();return 0}e=P+8|0;if((c[e>>2]|0)==(R|0)){c[L>>2]=P;c[e>>2]=g;na=P;break}else{nd();return 0}}}while(0);if((m|0)==0){break}P=c[ba+(aa+28+la)>>2]|0;U=1729736+(P<<2)|0;do{if((R|0)==(c[U>>2]|0)){c[U>>2]=na;if((na|0)!=0){break}c[432359]=c[432359]&~(1<<P);break h}else{if(m>>>0<(c[432362]|0)>>>0){nd();return 0}Q=m+16|0;if((c[Q>>2]|0)==(R|0)){c[Q>>2]=na}else{c[m+20>>2]=na}if((na|0)==0){break h}}}while(0);if(na>>>0<(c[432362]|0)>>>0){nd();return 0}c[na+24>>2]=m;R=la|16;P=c[ba+(R+aa)>>2]|0;do{if((P|0)!=0){if(P>>>0<(c[432362]|0)>>>0){nd();return 0}else{c[na+16>>2]=P;c[P+24>>2]=na;break}}}while(0);P=c[ba+(J+R)>>2]|0;if((P|0)==0){break}if(P>>>0<(c[432362]|0)>>>0){nd();return 0}else{c[na+20>>2]=P;c[P+24>>2]=na;break}}}while(0);qa=ba+(($|la)+aa)|0;ra=$+K|0}else{qa=ca;ra=K}J=qa+4|0;c[J>>2]=c[J>>2]&-2;c[ba+(Z+4)>>2]=ra|1;c[ba+(ra+Z)>>2]=ra;J=ra>>>3;if(ra>>>0<256>>>0){V=J<<1;X=1729472+(V<<2)|0;P=c[432358]|0;m=1<<J;do{if((P&m|0)==0){c[432358]=P|m;sa=X;ta=1729472+(V+2<<2)|0}else{J=1729472+(V+2<<2)|0;U=c[J>>2]|0;if(!(U>>>0<(c[432362]|0)>>>0)){sa=U;ta=J;break}nd();return 0}}while(0);c[ta>>2]=_;c[sa+12>>2]=_;c[ba+(Z+8)>>2]=sa;c[ba+(Z+12)>>2]=X;break}V=W;m=ra>>>8;do{if((m|0)==0){ua=0}else{if(ra>>>0>16777215>>>0){ua=31;break}P=(m+1048320|0)>>>16&8;$=m<<P;J=($+520192|0)>>>16&4;U=$<<J;$=(U+245760|0)>>>16&2;Q=14-(J|P|$)+(U<<$>>>15)|0;ua=ra>>>((Q+7|0)>>>0)&1|Q<<1}}while(0);m=1729736+(ua<<2)|0;c[ba+(Z+28)>>2]=ua;c[ba+(Z+20)>>2]=0;c[ba+(Z+16)>>2]=0;X=c[432359]|0;Q=1<<ua;if((X&Q|0)==0){c[432359]=X|Q;c[m>>2]=V;c[ba+(Z+24)>>2]=m;c[ba+(Z+12)>>2]=V;c[ba+(Z+8)>>2]=V;break}if((ua|0)==31){va=0}else{va=25-(ua>>>1)|0}Q=ra<<va;X=c[m>>2]|0;while(1){if((c[X+4>>2]&-8|0)==(ra|0)){break}wa=X+16+(Q>>>31<<2)|0;m=c[wa>>2]|0;if((m|0)==0){T=296;break}else{Q=Q<<1;X=m}}if((T|0)==296){if(wa>>>0<(c[432362]|0)>>>0){nd();return 0}else{c[wa>>2]=V;c[ba+(Z+24)>>2]=X;c[ba+(Z+12)>>2]=V;c[ba+(Z+8)>>2]=V;break}}Q=X+8|0;m=c[Q>>2]|0;$=c[432362]|0;if(X>>>0<$>>>0){nd();return 0}if(m>>>0<$>>>0){nd();return 0}else{c[m+12>>2]=V;c[Q>>2]=V;c[ba+(Z+8)>>2]=m;c[ba+(Z+12)>>2]=X;c[ba+(Z+24)>>2]=0;break}}}while(0);n=ba+(ka|8)|0;return n|0}}while(0);Y=da;Z=1729880;while(1){xa=c[Z>>2]|0;if(!(xa>>>0>Y>>>0)){ya=c[Z+4>>2]|0;za=xa+ya|0;if(za>>>0>Y>>>0){break}}Z=c[Z+8>>2]|0}Z=xa+(ya-39)|0;if((Z&7|0)==0){Aa=0}else{Aa=-Z&7}Z=xa+(ya-47+Aa)|0;W=Z>>>0<(da+16|0)>>>0?Y:Z;Z=W+8|0;_=ba+8|0;if((_&7|0)==0){Ba=0}else{Ba=-_&7}_=aa-40-Ba|0;c[432364]=ba+Ba;c[432361]=_;c[ba+(Ba+4)>>2]=_|1;c[ba+(aa-36)>>2]=40;c[432365]=c[428824];c[W+4>>2]=27;c[Z>>2]=c[432470];c[Z+4>>2]=c[432471];c[Z+8>>2]=c[432472];c[Z+12>>2]=c[432473];c[432470]=ba;c[432471]=aa;c[432473]=0;c[432472]=Z;Z=W+28|0;c[Z>>2]=7;if((W+32|0)>>>0<za>>>0){_=Z;while(1){Z=_+4|0;c[Z>>2]=7;if((_+8|0)>>>0<za>>>0){_=Z}else{break}}}if((W|0)==(Y|0)){break}_=W-da|0;Z=Y+(_+4)|0;c[Z>>2]=c[Z>>2]&-2;c[da+4>>2]=_|1;c[Y+_>>2]=_;Z=_>>>3;if(_>>>0<256>>>0){K=Z<<1;ca=1729472+(K<<2)|0;S=c[432358]|0;m=1<<Z;do{if((S&m|0)==0){c[432358]=S|m;Ca=ca;Da=1729472+(K+2<<2)|0}else{Z=1729472+(K+2<<2)|0;Q=c[Z>>2]|0;if(!(Q>>>0<(c[432362]|0)>>>0)){Ca=Q;Da=Z;break}nd();return 0}}while(0);c[Da>>2]=da;c[Ca+12>>2]=da;c[da+8>>2]=Ca;c[da+12>>2]=ca;break}K=da;m=_>>>8;do{if((m|0)==0){Ea=0}else{if(_>>>0>16777215>>>0){Ea=31;break}S=(m+1048320|0)>>>16&8;Y=m<<S;W=(Y+520192|0)>>>16&4;Z=Y<<W;Y=(Z+245760|0)>>>16&2;Q=14-(W|S|Y)+(Z<<Y>>>15)|0;Ea=_>>>((Q+7|0)>>>0)&1|Q<<1}}while(0);m=1729736+(Ea<<2)|0;c[da+28>>2]=Ea;c[da+20>>2]=0;c[da+16>>2]=0;ca=c[432359]|0;Q=1<<Ea;if((ca&Q|0)==0){c[432359]=ca|Q;c[m>>2]=K;c[da+24>>2]=m;c[da+12>>2]=da;c[da+8>>2]=da;break}if((Ea|0)==31){Fa=0}else{Fa=25-(Ea>>>1)|0}Q=_<<Fa;ca=c[m>>2]|0;while(1){if((c[ca+4>>2]&-8|0)==(_|0)){break}Ga=ca+16+(Q>>>31<<2)|0;m=c[Ga>>2]|0;if((m|0)==0){T=331;break}else{Q=Q<<1;ca=m}}if((T|0)==331){if(Ga>>>0<(c[432362]|0)>>>0){nd();return 0}else{c[Ga>>2]=K;c[da+24>>2]=ca;c[da+12>>2]=da;c[da+8>>2]=da;break}}Q=ca+8|0;_=c[Q>>2]|0;m=c[432362]|0;if(ca>>>0<m>>>0){nd();return 0}if(_>>>0<m>>>0){nd();return 0}else{c[_+12>>2]=K;c[Q>>2]=K;c[da+8>>2]=_;c[da+12>>2]=ca;c[da+24>>2]=0;break}}}while(0);da=c[432361]|0;if(!(da>>>0>o>>>0)){break}_=da-o|0;c[432361]=_;da=c[432364]|0;Q=da;c[432364]=Q+o;c[Q+(o+4)>>2]=_|1;c[da+4>>2]=o|3;n=da+8|0;return n|0}}while(0);c[(Zc()|0)>>2]=12;n=0;return n|0}function C0(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;if((a|0)==0){return}b=a-8|0;d=b;e=c[432362]|0;if(b>>>0<e>>>0){nd()}f=c[a-4>>2]|0;g=f&3;if((g|0)==1){nd()}h=f&-8;i=a+(h-8)|0;j=i;a:do{if((f&1|0)==0){k=c[b>>2]|0;if((g|0)==0){return}l=-8-k|0;m=a+l|0;n=m;o=k+h|0;if(m>>>0<e>>>0){nd()}if((n|0)==(c[432363]|0)){p=a+(h-4)|0;if((c[p>>2]&3|0)!=3){q=n;r=o;break}c[432360]=o;c[p>>2]=c[p>>2]&-2;c[a+(l+4)>>2]=o|1;c[i>>2]=o;return}p=k>>>3;if(k>>>0<256>>>0){k=c[a+(l+8)>>2]|0;s=c[a+(l+12)>>2]|0;t=1729472+(p<<1<<2)|0;do{if((k|0)!=(t|0)){if(k>>>0<e>>>0){nd()}if((c[k+12>>2]|0)==(n|0)){break}nd()}}while(0);if((s|0)==(k|0)){c[432358]=c[432358]&~(1<<p);q=n;r=o;break}do{if((s|0)==(t|0)){u=s+8|0}else{if(s>>>0<e>>>0){nd()}v=s+8|0;if((c[v>>2]|0)==(n|0)){u=v;break}nd()}}while(0);c[k+12>>2]=s;c[u>>2]=k;q=n;r=o;break}t=m;p=c[a+(l+24)>>2]|0;v=c[a+(l+12)>>2]|0;do{if((v|0)==(t|0)){w=a+(l+20)|0;x=c[w>>2]|0;if((x|0)==0){y=a+(l+16)|0;z=c[y>>2]|0;if((z|0)==0){A=0;break}else{B=z;C=y}}else{B=x;C=w}while(1){w=B+20|0;x=c[w>>2]|0;if((x|0)!=0){B=x;C=w;continue}w=B+16|0;x=c[w>>2]|0;if((x|0)==0){break}else{B=x;C=w}}if(C>>>0<e>>>0){nd()}else{c[C>>2]=0;A=B;break}}else{w=c[a+(l+8)>>2]|0;if(w>>>0<e>>>0){nd()}x=w+12|0;if((c[x>>2]|0)!=(t|0)){nd()}y=v+8|0;if((c[y>>2]|0)==(t|0)){c[x>>2]=v;c[y>>2]=w;A=v;break}else{nd()}}}while(0);if((p|0)==0){q=n;r=o;break}v=c[a+(l+28)>>2]|0;m=1729736+(v<<2)|0;do{if((t|0)==(c[m>>2]|0)){c[m>>2]=A;if((A|0)!=0){break}c[432359]=c[432359]&~(1<<v);q=n;r=o;break a}else{if(p>>>0<(c[432362]|0)>>>0){nd()}k=p+16|0;if((c[k>>2]|0)==(t|0)){c[k>>2]=A}else{c[p+20>>2]=A}if((A|0)==0){q=n;r=o;break a}}}while(0);if(A>>>0<(c[432362]|0)>>>0){nd()}c[A+24>>2]=p;t=c[a+(l+16)>>2]|0;do{if((t|0)!=0){if(t>>>0<(c[432362]|0)>>>0){nd()}else{c[A+16>>2]=t;c[t+24>>2]=A;break}}}while(0);t=c[a+(l+20)>>2]|0;if((t|0)==0){q=n;r=o;break}if(t>>>0<(c[432362]|0)>>>0){nd()}else{c[A+20>>2]=t;c[t+24>>2]=A;q=n;r=o;break}}else{q=d;r=h}}while(0);d=q;if(!(d>>>0<i>>>0)){nd()}A=a+(h-4)|0;e=c[A>>2]|0;if((e&1|0)==0){nd()}do{if((e&2|0)==0){if((j|0)==(c[432364]|0)){B=(c[432361]|0)+r|0;c[432361]=B;c[432364]=q;c[q+4>>2]=B|1;if((q|0)!=(c[432363]|0)){return}c[432363]=0;c[432360]=0;return}if((j|0)==(c[432363]|0)){B=(c[432360]|0)+r|0;c[432360]=B;c[432363]=q;c[q+4>>2]=B|1;c[d+B>>2]=B;return}B=(e&-8)+r|0;C=e>>>3;b:do{if(e>>>0<256>>>0){u=c[a+h>>2]|0;g=c[a+(h|4)>>2]|0;b=1729472+(C<<1<<2)|0;do{if((u|0)!=(b|0)){if(u>>>0<(c[432362]|0)>>>0){nd()}if((c[u+12>>2]|0)==(j|0)){break}nd()}}while(0);if((g|0)==(u|0)){c[432358]=c[432358]&~(1<<C);break}do{if((g|0)==(b|0)){D=g+8|0}else{if(g>>>0<(c[432362]|0)>>>0){nd()}f=g+8|0;if((c[f>>2]|0)==(j|0)){D=f;break}nd()}}while(0);c[u+12>>2]=g;c[D>>2]=u}else{b=i;f=c[a+(h+16)>>2]|0;t=c[a+(h|4)>>2]|0;do{if((t|0)==(b|0)){p=a+(h+12)|0;v=c[p>>2]|0;if((v|0)==0){m=a+(h+8)|0;k=c[m>>2]|0;if((k|0)==0){E=0;break}else{F=k;G=m}}else{F=v;G=p}while(1){p=F+20|0;v=c[p>>2]|0;if((v|0)!=0){F=v;G=p;continue}p=F+16|0;v=c[p>>2]|0;if((v|0)==0){break}else{F=v;G=p}}if(G>>>0<(c[432362]|0)>>>0){nd()}else{c[G>>2]=0;E=F;break}}else{p=c[a+h>>2]|0;if(p>>>0<(c[432362]|0)>>>0){nd()}v=p+12|0;if((c[v>>2]|0)!=(b|0)){nd()}m=t+8|0;if((c[m>>2]|0)==(b|0)){c[v>>2]=t;c[m>>2]=p;E=t;break}else{nd()}}}while(0);if((f|0)==0){break}t=c[a+(h+20)>>2]|0;u=1729736+(t<<2)|0;do{if((b|0)==(c[u>>2]|0)){c[u>>2]=E;if((E|0)!=0){break}c[432359]=c[432359]&~(1<<t);break b}else{if(f>>>0<(c[432362]|0)>>>0){nd()}g=f+16|0;if((c[g>>2]|0)==(b|0)){c[g>>2]=E}else{c[f+20>>2]=E}if((E|0)==0){break b}}}while(0);if(E>>>0<(c[432362]|0)>>>0){nd()}c[E+24>>2]=f;b=c[a+(h+8)>>2]|0;do{if((b|0)!=0){if(b>>>0<(c[432362]|0)>>>0){nd()}else{c[E+16>>2]=b;c[b+24>>2]=E;break}}}while(0);b=c[a+(h+12)>>2]|0;if((b|0)==0){break}if(b>>>0<(c[432362]|0)>>>0){nd()}else{c[E+20>>2]=b;c[b+24>>2]=E;break}}}while(0);c[q+4>>2]=B|1;c[d+B>>2]=B;if((q|0)!=(c[432363]|0)){H=B;break}c[432360]=B;return}else{c[A>>2]=e&-2;c[q+4>>2]=r|1;c[d+r>>2]=r;H=r}}while(0);r=H>>>3;if(H>>>0<256>>>0){d=r<<1;e=1729472+(d<<2)|0;A=c[432358]|0;E=1<<r;do{if((A&E|0)==0){c[432358]=A|E;I=e;J=1729472+(d+2<<2)|0}else{r=1729472+(d+2<<2)|0;h=c[r>>2]|0;if(!(h>>>0<(c[432362]|0)>>>0)){I=h;J=r;break}nd()}}while(0);c[J>>2]=q;c[I+12>>2]=q;c[q+8>>2]=I;c[q+12>>2]=e;return}e=q;I=H>>>8;do{if((I|0)==0){K=0}else{if(H>>>0>16777215>>>0){K=31;break}J=(I+1048320|0)>>>16&8;d=I<<J;E=(d+520192|0)>>>16&4;A=d<<E;d=(A+245760|0)>>>16&2;r=14-(E|J|d)+(A<<d>>>15)|0;K=H>>>((r+7|0)>>>0)&1|r<<1}}while(0);I=1729736+(K<<2)|0;c[q+28>>2]=K;c[q+20>>2]=0;c[q+16>>2]=0;r=c[432359]|0;d=1<<K;do{if((r&d|0)==0){c[432359]=r|d;c[I>>2]=e;c[q+24>>2]=I;c[q+12>>2]=q;c[q+8>>2]=q}else{if((K|0)==31){L=0}else{L=25-(K>>>1)|0}A=H<<L;J=c[I>>2]|0;while(1){if((c[J+4>>2]&-8|0)==(H|0)){break}M=J+16+(A>>>31<<2)|0;E=c[M>>2]|0;if((E|0)==0){N=129;break}else{A=A<<1;J=E}}if((N|0)==129){if(M>>>0<(c[432362]|0)>>>0){nd()}else{c[M>>2]=e;c[q+24>>2]=J;c[q+12>>2]=q;c[q+8>>2]=q;break}}A=J+8|0;B=c[A>>2]|0;E=c[432362]|0;if(J>>>0<E>>>0){nd()}if(B>>>0<E>>>0){nd()}else{c[B+12>>2]=e;c[A>>2]=e;c[q+8>>2]=B;c[q+12>>2]=J;c[q+24>>2]=0;break}}}while(0);q=(c[432366]|0)-1|0;c[432366]=q;if((q|0)==0){O=1729888}else{return}while(1){q=c[O>>2]|0;if((q|0)==0){break}else{O=q+8|0}}c[432366]=-1;return}function D0(a,b){a=a|0;b=b|0;var d=0,e=0;do{if((a|0)==0){d=0}else{e=ga(b,a)|0;if(!((b|a)>>>0>65535>>>0)){d=e;break}d=((e>>>0)/(a>>>0)|0|0)==(b|0)?e:-1}}while(0);b=B0(d)|0;if((b|0)==0){return b|0}if((c[b-4>>2]&3|0)==0){return b|0}e1(b|0,0,d|0)|0;return b|0}function E0(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;if((a|0)==0){d=B0(b)|0;return d|0}if(b>>>0>4294967231>>>0){c[(Zc()|0)>>2]=12;d=0;return d|0}if(b>>>0<11>>>0){e=16}else{e=b+11&-8}f=F0(a-8|0,e)|0;if((f|0)!=0){d=f+8|0;return d|0}f=B0(b)|0;if((f|0)==0){d=0;return d|0}e=c[a-4>>2]|0;g=(e&-8)-((e&3|0)==0?8:4)|0;d1(f|0,a|0,g>>>0<b>>>0?g:b)|0;C0(a);d=f;return d|0}function F0(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=a+4|0;e=c[d>>2]|0;f=e&-8;g=a;h=g+f|0;i=h;j=c[432362]|0;if(g>>>0<j>>>0){nd();return 0}k=e&3;if(!((k|0)!=1&g>>>0<h>>>0)){nd();return 0}l=g+(f|4)|0;m=c[l>>2]|0;if((m&1|0)==0){nd();return 0}if((k|0)==0){if(b>>>0<256>>>0){n=0;return n|0}do{if(!(f>>>0<(b+4|0)>>>0)){if((f-b|0)>>>0>c[428822]<<1>>>0){break}else{n=a}return n|0}}while(0);n=0;return n|0}if(!(f>>>0<b>>>0)){k=f-b|0;if(!(k>>>0>15>>>0)){n=a;return n|0}c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=k|3;c[l>>2]=c[l>>2]|1;G0(g+b|0,k);n=a;return n|0}if((i|0)==(c[432364]|0)){k=(c[432361]|0)+f|0;if(!(k>>>0>b>>>0)){n=0;return n|0}l=k-b|0;c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=l|1;c[432364]=g+b;c[432361]=l;n=a;return n|0}if((i|0)==(c[432363]|0)){l=(c[432360]|0)+f|0;if(l>>>0<b>>>0){n=0;return n|0}k=l-b|0;if(k>>>0>15>>>0){c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=k|1;c[g+l>>2]=k;o=g+(l+4)|0;c[o>>2]=c[o>>2]&-2;p=g+b|0;q=k}else{c[d>>2]=e&1|l|2;e=g+(l+4)|0;c[e>>2]=c[e>>2]|1;p=0;q=0}c[432360]=q;c[432363]=p;n=a;return n|0}if((m&2|0)!=0){n=0;return n|0}p=(m&-8)+f|0;if(p>>>0<b>>>0){n=0;return n|0}q=p-b|0;e=m>>>3;a:do{if(m>>>0<256>>>0){l=c[g+(f+8)>>2]|0;k=c[g+(f+12)>>2]|0;o=1729472+(e<<1<<2)|0;do{if((l|0)!=(o|0)){if(l>>>0<j>>>0){nd();return 0}if((c[l+12>>2]|0)==(i|0)){break}nd();return 0}}while(0);if((k|0)==(l|0)){c[432358]=c[432358]&~(1<<e);break}do{if((k|0)==(o|0)){r=k+8|0}else{if(k>>>0<j>>>0){nd();return 0}s=k+8|0;if((c[s>>2]|0)==(i|0)){r=s;break}nd();return 0}}while(0);c[l+12>>2]=k;c[r>>2]=l}else{o=h;s=c[g+(f+24)>>2]|0;t=c[g+(f+12)>>2]|0;do{if((t|0)==(o|0)){u=g+(f+20)|0;v=c[u>>2]|0;if((v|0)==0){w=g+(f+16)|0;x=c[w>>2]|0;if((x|0)==0){y=0;break}else{z=x;A=w}}else{z=v;A=u}while(1){u=z+20|0;v=c[u>>2]|0;if((v|0)!=0){z=v;A=u;continue}u=z+16|0;v=c[u>>2]|0;if((v|0)==0){break}else{z=v;A=u}}if(A>>>0<j>>>0){nd();return 0}else{c[A>>2]=0;y=z;break}}else{u=c[g+(f+8)>>2]|0;if(u>>>0<j>>>0){nd();return 0}v=u+12|0;if((c[v>>2]|0)!=(o|0)){nd();return 0}w=t+8|0;if((c[w>>2]|0)==(o|0)){c[v>>2]=t;c[w>>2]=u;y=t;break}else{nd();return 0}}}while(0);if((s|0)==0){break}t=c[g+(f+28)>>2]|0;l=1729736+(t<<2)|0;do{if((o|0)==(c[l>>2]|0)){c[l>>2]=y;if((y|0)!=0){break}c[432359]=c[432359]&~(1<<t);break a}else{if(s>>>0<(c[432362]|0)>>>0){nd();return 0}k=s+16|0;if((c[k>>2]|0)==(o|0)){c[k>>2]=y}else{c[s+20>>2]=y}if((y|0)==0){break a}}}while(0);if(y>>>0<(c[432362]|0)>>>0){nd();return 0}c[y+24>>2]=s;o=c[g+(f+16)>>2]|0;do{if((o|0)!=0){if(o>>>0<(c[432362]|0)>>>0){nd();return 0}else{c[y+16>>2]=o;c[o+24>>2]=y;break}}}while(0);o=c[g+(f+20)>>2]|0;if((o|0)==0){break}if(o>>>0<(c[432362]|0)>>>0){nd();return 0}else{c[y+20>>2]=o;c[o+24>>2]=y;break}}}while(0);if(q>>>0<16>>>0){c[d>>2]=p|c[d>>2]&1|2;y=g+(p|4)|0;c[y>>2]=c[y>>2]|1;n=a;return n|0}else{c[d>>2]=c[d>>2]&1|b|2;c[g+(b+4)>>2]=q|3;d=g+(p|4)|0;c[d>>2]=c[d>>2]|1;G0(g+b|0,q);n=a;return n|0}return 0}function G0(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;d=a;e=d+b|0;f=e;g=c[a+4>>2]|0;a:do{if((g&1|0)==0){h=c[a>>2]|0;if((g&3|0)==0){return}i=d+(-h|0)|0;j=i;k=h+b|0;l=c[432362]|0;if(i>>>0<l>>>0){nd()}if((j|0)==(c[432363]|0)){m=d+(b+4)|0;if((c[m>>2]&3|0)!=3){n=j;o=k;break}c[432360]=k;c[m>>2]=c[m>>2]&-2;c[d+(4-h)>>2]=k|1;c[e>>2]=k;return}m=h>>>3;if(h>>>0<256>>>0){p=c[d+(8-h)>>2]|0;q=c[d+(12-h)>>2]|0;r=1729472+(m<<1<<2)|0;do{if((p|0)!=(r|0)){if(p>>>0<l>>>0){nd()}if((c[p+12>>2]|0)==(j|0)){break}nd()}}while(0);if((q|0)==(p|0)){c[432358]=c[432358]&~(1<<m);n=j;o=k;break}do{if((q|0)==(r|0)){s=q+8|0}else{if(q>>>0<l>>>0){nd()}t=q+8|0;if((c[t>>2]|0)==(j|0)){s=t;break}nd()}}while(0);c[p+12>>2]=q;c[s>>2]=p;n=j;o=k;break}r=i;m=c[d+(24-h)>>2]|0;t=c[d+(12-h)>>2]|0;do{if((t|0)==(r|0)){u=16-h|0;v=d+(u+4)|0;w=c[v>>2]|0;if((w|0)==0){x=d+u|0;u=c[x>>2]|0;if((u|0)==0){y=0;break}else{z=u;A=x}}else{z=w;A=v}while(1){v=z+20|0;w=c[v>>2]|0;if((w|0)!=0){z=w;A=v;continue}v=z+16|0;w=c[v>>2]|0;if((w|0)==0){break}else{z=w;A=v}}if(A>>>0<l>>>0){nd()}else{c[A>>2]=0;y=z;break}}else{v=c[d+(8-h)>>2]|0;if(v>>>0<l>>>0){nd()}w=v+12|0;if((c[w>>2]|0)!=(r|0)){nd()}x=t+8|0;if((c[x>>2]|0)==(r|0)){c[w>>2]=t;c[x>>2]=v;y=t;break}else{nd()}}}while(0);if((m|0)==0){n=j;o=k;break}t=c[d+(28-h)>>2]|0;l=1729736+(t<<2)|0;do{if((r|0)==(c[l>>2]|0)){c[l>>2]=y;if((y|0)!=0){break}c[432359]=c[432359]&~(1<<t);n=j;o=k;break a}else{if(m>>>0<(c[432362]|0)>>>0){nd()}i=m+16|0;if((c[i>>2]|0)==(r|0)){c[i>>2]=y}else{c[m+20>>2]=y}if((y|0)==0){n=j;o=k;break a}}}while(0);if(y>>>0<(c[432362]|0)>>>0){nd()}c[y+24>>2]=m;r=16-h|0;t=c[d+r>>2]|0;do{if((t|0)!=0){if(t>>>0<(c[432362]|0)>>>0){nd()}else{c[y+16>>2]=t;c[t+24>>2]=y;break}}}while(0);t=c[d+(r+4)>>2]|0;if((t|0)==0){n=j;o=k;break}if(t>>>0<(c[432362]|0)>>>0){nd()}else{c[y+20>>2]=t;c[t+24>>2]=y;n=j;o=k;break}}else{n=a;o=b}}while(0);a=c[432362]|0;if(e>>>0<a>>>0){nd()}y=d+(b+4)|0;z=c[y>>2]|0;do{if((z&2|0)==0){if((f|0)==(c[432364]|0)){A=(c[432361]|0)+o|0;c[432361]=A;c[432364]=n;c[n+4>>2]=A|1;if((n|0)!=(c[432363]|0)){return}c[432363]=0;c[432360]=0;return}if((f|0)==(c[432363]|0)){A=(c[432360]|0)+o|0;c[432360]=A;c[432363]=n;c[n+4>>2]=A|1;c[n+A>>2]=A;return}A=(z&-8)+o|0;s=z>>>3;b:do{if(z>>>0<256>>>0){g=c[d+(b+8)>>2]|0;t=c[d+(b+12)>>2]|0;h=1729472+(s<<1<<2)|0;do{if((g|0)!=(h|0)){if(g>>>0<a>>>0){nd()}if((c[g+12>>2]|0)==(f|0)){break}nd()}}while(0);if((t|0)==(g|0)){c[432358]=c[432358]&~(1<<s);break}do{if((t|0)==(h|0)){B=t+8|0}else{if(t>>>0<a>>>0){nd()}m=t+8|0;if((c[m>>2]|0)==(f|0)){B=m;break}nd()}}while(0);c[g+12>>2]=t;c[B>>2]=g}else{h=e;m=c[d+(b+24)>>2]|0;l=c[d+(b+12)>>2]|0;do{if((l|0)==(h|0)){i=d+(b+20)|0;p=c[i>>2]|0;if((p|0)==0){q=d+(b+16)|0;v=c[q>>2]|0;if((v|0)==0){C=0;break}else{D=v;E=q}}else{D=p;E=i}while(1){i=D+20|0;p=c[i>>2]|0;if((p|0)!=0){D=p;E=i;continue}i=D+16|0;p=c[i>>2]|0;if((p|0)==0){break}else{D=p;E=i}}if(E>>>0<a>>>0){nd()}else{c[E>>2]=0;C=D;break}}else{i=c[d+(b+8)>>2]|0;if(i>>>0<a>>>0){nd()}p=i+12|0;if((c[p>>2]|0)!=(h|0)){nd()}q=l+8|0;if((c[q>>2]|0)==(h|0)){c[p>>2]=l;c[q>>2]=i;C=l;break}else{nd()}}}while(0);if((m|0)==0){break}l=c[d+(b+28)>>2]|0;g=1729736+(l<<2)|0;do{if((h|0)==(c[g>>2]|0)){c[g>>2]=C;if((C|0)!=0){break}c[432359]=c[432359]&~(1<<l);break b}else{if(m>>>0<(c[432362]|0)>>>0){nd()}t=m+16|0;if((c[t>>2]|0)==(h|0)){c[t>>2]=C}else{c[m+20>>2]=C}if((C|0)==0){break b}}}while(0);if(C>>>0<(c[432362]|0)>>>0){nd()}c[C+24>>2]=m;h=c[d+(b+16)>>2]|0;do{if((h|0)!=0){if(h>>>0<(c[432362]|0)>>>0){nd()}else{c[C+16>>2]=h;c[h+24>>2]=C;break}}}while(0);h=c[d+(b+20)>>2]|0;if((h|0)==0){break}if(h>>>0<(c[432362]|0)>>>0){nd()}else{c[C+20>>2]=h;c[h+24>>2]=C;break}}}while(0);c[n+4>>2]=A|1;c[n+A>>2]=A;if((n|0)!=(c[432363]|0)){F=A;break}c[432360]=A;return}else{c[y>>2]=z&-2;c[n+4>>2]=o|1;c[n+o>>2]=o;F=o}}while(0);o=F>>>3;if(F>>>0<256>>>0){z=o<<1;y=1729472+(z<<2)|0;C=c[432358]|0;b=1<<o;do{if((C&b|0)==0){c[432358]=C|b;G=y;H=1729472+(z+2<<2)|0}else{o=1729472+(z+2<<2)|0;d=c[o>>2]|0;if(!(d>>>0<(c[432362]|0)>>>0)){G=d;H=o;break}nd()}}while(0);c[H>>2]=n;c[G+12>>2]=n;c[n+8>>2]=G;c[n+12>>2]=y;return}y=n;G=F>>>8;do{if((G|0)==0){I=0}else{if(F>>>0>16777215>>>0){I=31;break}H=(G+1048320|0)>>>16&8;z=G<<H;b=(z+520192|0)>>>16&4;C=z<<b;z=(C+245760|0)>>>16&2;o=14-(b|H|z)+(C<<z>>>15)|0;I=F>>>((o+7|0)>>>0)&1|o<<1}}while(0);G=1729736+(I<<2)|0;c[n+28>>2]=I;c[n+20>>2]=0;c[n+16>>2]=0;o=c[432359]|0;z=1<<I;if((o&z|0)==0){c[432359]=o|z;c[G>>2]=y;c[n+24>>2]=G;c[n+12>>2]=n;c[n+8>>2]=n;return}if((I|0)==31){J=0}else{J=25-(I>>>1)|0}I=F<<J;J=c[G>>2]|0;while(1){if((c[J+4>>2]&-8|0)==(F|0)){break}K=J+16+(I>>>31<<2)|0;G=c[K>>2]|0;if((G|0)==0){L=126;break}else{I=I<<1;J=G}}if((L|0)==126){if(K>>>0<(c[432362]|0)>>>0){nd()}c[K>>2]=y;c[n+24>>2]=J;c[n+12>>2]=n;c[n+8>>2]=n;return}K=J+8|0;L=c[K>>2]|0;I=c[432362]|0;if(J>>>0<I>>>0){nd()}if(L>>>0<I>>>0){nd()}c[L+12>>2]=y;c[K>>2]=y;c[n+8>>2]=L;c[n+12>>2]=J;c[n+24>>2]=0;return}function H0(a){a=a|0;var b=0,d=0,e=0;b=(a|0)==0?1:a;while(1){d=B0(b)|0;if((d|0)!=0){e=10;break}a=(I=c[433336]|0,c[433336]=I+0,I);if((a|0)==0){break}ne[a&15]()}if((e|0)==10){return d|0}d=Bd(4)|0;c[d>>2]=1684168;vc(d|0,1690576,198);return 0}function I0(a){a=a|0;return H0(a)|0}function J0(a){a=a|0;if((a|0)==0){return}C0(a);return}function K0(a){a=a|0;J0(a);return}function L0(a){a=a|0;J0(a);return}function M0(a){a=a|0;return}function N0(a){a=a|0;return 1644440}function O0(){var a=0;a=Bd(4)|0;c[a>>2]=1684168;vc(a|0,1690576,198)}



function oH(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0;f=i;i=i+2120|0;g=f|0;h=f+24|0;j=f+216|0;k=f+232|0;l=f+248|0;m=f+264|0;n=f+280|0;o=f+296|0;p=f+312|0;q=f+328|0;r=f+344|0;s=f+360|0;t=f+376|0;u=f+392|0;v=f+408|0;w=f+424|0;x=f+440|0;y=f+456|0;z=f+472|0;A=f+488|0;B=f+504|0;C=f+520|0;D=f+536|0;E=f+552|0;F=f+568|0;G=f+584|0;H=f+600|0;I=f+616|0;J=f+632|0;K=f+648|0;L=f+664|0;M=f+680|0;N=f+696|0;O=f+712|0;P=f+728|0;Q=f+744|0;R=f+760|0;S=f+776|0;T=f+784|0;U=f+800|0;V=f+808|0;W=f+824|0;X=f+832|0;Y=f+848|0;Z=f+856|0;_=f+872|0;$=f+880|0;aa=f+896|0;ba=f+904|0;ca=f+920|0;da=f+928|0;ea=f+944|0;fa=f+952|0;ga=f+968|0;ha=f+976|0;ia=f+992|0;ja=f+1e3|0;ka=f+1016|0;la=f+1024|0;ma=f+1040|0;na=f+1048|0;oa=f+1064|0;pa=f+1072|0;qa=f+1088|0;ra=f+1096|0;sa=f+1112|0;ta=f+1120|0;ua=f+1136|0;va=f+1144|0;wa=f+1160|0;xa=f+1168|0;ya=f+1184|0;za=f+1192|0;Aa=f+1208|0;Ba=f+1216|0;Ca=f+1232|0;Da=f+1240|0;Ea=f+1256|0;Fa=f+1264|0;Ga=f+1280|0;Ha=f+1288|0;Ia=f+1304|0;Ja=f+1312|0;Ka=f+1328|0;La=f+1336|0;Ma=f+1352|0;Na=f+1360|0;Oa=f+1376|0;Pa=f+1384|0;Qa=f+1400|0;Ra=f+1408|0;Sa=f+1424|0;Ta=f+1432|0;Ua=f+1448|0;Va=f+1456|0;Wa=f+1472|0;Ya=f+1480|0;Za=f+1496|0;_a=f+1504|0;$a=f+1520|0;ab=f+1528|0;bb=f+1544|0;cb=f+1552|0;db=f+1568|0;eb=f+1576|0;fb=f+1592|0;gb=f+1600|0;hb=f+1616|0;ib=f+1624|0;jb=f+1640|0;kb=f+1648|0;lb=f+1664|0;mb=f+1672|0;nb=f+1688|0;ob=f+1696|0;pb=f+1712|0;qb=f+1720|0;rb=f+1736|0;sb=f+1744|0;tb=f+1760|0;ub=f+1768|0;vb=f+1784|0;wb=f+1792|0;xb=f+1808|0;yb=f+1816|0;zb=f+1832|0;Ab=f+1840|0;Bb=f+1856|0;Cb=f+1864|0;Db=f+1880|0;Eb=f+1888|0;Fb=f+1904|0;Gb=f+1912|0;Hb=f+1928|0;Ib=f+1936|0;Jb=f+1952|0;Kb=f+1960|0;Lb=f+1976|0;Mb=f+1984|0;Nb=f+2e3|0;Ob=f+2008|0;Pb=f+2024|0;Qb=f+2032|0;Rb=f+2048|0;Sb=f+2056|0;Tb=f+2072|0;Ub=f+2080|0;Vb=f+2096|0;Wb=f+2104|0;DH(g,f+16|0);Xb=(d|0)!=0;Yb=(e|0)==0;if(!(Yb|Xb^1)){Jx(0,1671056,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb}if(Xb){_b=Lc(d|0)|0}else{_b=0}if(Yb){$b=_b}else{Fx(23,0,1670800,(Zb=i,i=i+8|0,c[Zb>>2]=e,Zb)|0);i=Zb;EH(h);FH(h,e,8);if(!(GH(h)|0)){Jx(0,1670296,(Zb=i,i=i+8|0,c[Zb>>2]=e,Zb)|0);i=Zb}kS(j);e=h;HH(e,j)|0;mS(k,j);while(1){_b=HH(e,j)|0;if(!(gT(_b+(c[(c[_b>>2]|0)-12>>2]|0)|0)|0)){break}fT(l,1669712,j);NS(k,l)|0;wS(l)}l=Lc(TS(k)|0)|0;IH(h);wS(k);wS(j);JH(h);$b=l}if(($b|0)==0){Fx(23,0,1668568,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb;LH(g);i=f;return}kS(m);kS(n);Fx(23,0,1669520,(Zb=i,i=i+8|0,c[Zb>>2]=$b,Zb)|0);i=Zb;l=Xa($b|0,1669712)|0;if((l|0)!=0){h=l;do{l=H0(12)|0;qS(l,h);j=US(l,1669216,0)|0;SS(o,l,0,j);xS(m,o)|0;wS(o);SS(p,l,j+1|0,(DS(l)|0)+~j|0);xS(n,p)|0;wS(p);xS(nH(g,m)|0,n)|0;j=TS(m)|0;l=TS(n)|0;Fx(23,0,1668976,(Zb=i,i=i+16|0,c[Zb>>2]=j,c[Zb+8>>2]=l,Zb)|0);i=Zb;h=Xa(0,1669712)|0;}while((h|0)!=0)}C0($b);$b=a+12|0;qS(q,1654584);h=nH($b,q)|0;qS(r,1654584);if((KH(g,r)|0)==0){qS(t,1654584);ac=nH($b,t)|0;bc=1;cc=0}else{qS(s,1654584);ac=nH(g,s)|0;bc=0;cc=1}xS(h,ac)|0;if(bc){wS(t)}if(cc){wS(s)}wS(r);wS(q);qS(u,1664968);q=nH($b,u)|0;qS(v,1664968);if((KH(g,v)|0)==0){qS(x,1664968);dc=nH($b,x)|0;ec=1;fc=0}else{qS(w,1664968);dc=nH(g,w)|0;ec=0;fc=1}xS(q,dc)|0;if(ec){wS(x)}if(fc){wS(w)}wS(v);wS(u);qS(y,1660904);u=nH($b,y)|0;qS(z,1660904);if((KH(g,z)|0)==0){qS(B,1660904);gc=nH($b,B)|0;hc=1;ic=0}else{qS(A,1660904);gc=nH(g,A)|0;hc=0;ic=1}xS(u,gc)|0;if(hc){wS(B)}if(ic){wS(A)}wS(z);wS(y);qS(C,1659208);y=nH($b,C)|0;qS(D,1659208);if((KH(g,D)|0)==0){qS(F,1659208);jc=nH($b,F)|0;kc=1;lc=0}else{qS(E,1659208);jc=nH(g,E)|0;kc=0;lc=1}xS(y,jc)|0;if(kc){wS(F)}if(lc){wS(E)}wS(D);wS(C);qS(G,1657408);C=nH($b,G)|0;qS(H,1657408);if((KH(g,H)|0)==0){qS(J,1657408);mc=nH($b,J)|0;nc=1;oc=0}else{qS(I,1657408);mc=nH(g,I)|0;nc=0;oc=1}xS(C,mc)|0;if(nc){wS(J)}if(oc){wS(I)}wS(H);wS(G);qS(K,1652376);G=nH($b,K)|0;qS(L,1652376);if((KH(g,L)|0)==0){qS(N,1652376);pc=nH($b,N)|0;qc=1;rc=0}else{qS(M,1652376);pc=nH(g,M)|0;qc=0;rc=1}xS(G,pc)|0;if(qc){wS(N)}if(rc){wS(M)}wS(L);wS(K);qS(O,1650048);K=nH($b,O)|0;qS(P,1650048);if((KH(g,P)|0)==0){qS(R,1650048);sc=nH($b,R)|0;tc=1;uc=0}else{qS(Q,1650048);sc=nH(g,Q)|0;tc=0;uc=1}xS(K,sc)|0;if(tc){wS(R)}if(uc){wS(Q)}wS(P);wS(O);O=b+104|0;P=c[O>>2]|0;if((P|0)>0){Q=a+24|0;uc=a+36|0;R=0;while(1){c[S>>2]=R;tc=sH(Q,S)|0;qS(T,34088);sc=nH(tc,T)|0;c[U>>2]=R;tc=sH(Q,U)|0;qS(V,43520);if((KH(g,nH(tc,V)|0)|0)==0){c[Y>>2]=R;tc=sH(Q,Y)|0;qS(Z,34088);vc=nH(tc,Z)|0;wc=1;xc=0}else{c[W>>2]=R;tc=sH(Q,W)|0;qS(X,43520);vc=nH(g,nH(tc,X)|0)|0;wc=0;xc=1}xS(sc,vc)|0;if(wc){wS(Z)}if(xc){wS(X)}wS(V);wS(T);c[_>>2]=R;sc=sH(uc,_)|0;qS($,34088);tc=nH(sc,$)|0;c[aa>>2]=R;sc=sH(uc,aa)|0;qS(ba,43520);if((KH(g,nH(sc,ba)|0)|0)==0){c[ea>>2]=R;sc=sH(uc,ea)|0;qS(fa,34088);yc=nH(sc,fa)|0;zc=1;Ac=0}else{c[ca>>2]=R;sc=sH(uc,ca)|0;qS(da,43520);yc=nH(g,nH(sc,da)|0)|0;zc=0;Ac=1}xS(tc,yc)|0;if(zc){wS(fa)}if(Ac){wS(da)}wS(ba);wS($);tc=R+1|0;sc=c[O>>2]|0;if((tc|0)<(sc|0)){R=tc}else{Bc=sc;break}}}else{Bc=P}P=b+108|0;if(((c[P>>2]|0)-(Bc<<1)|0)>0){Bc=a+48|0;R=0;do{c[ga>>2]=R;$=sH(Bc,ga)|0;qS(ha,34088);ba=nH($,ha)|0;c[ia>>2]=R;$=sH(Bc,ia)|0;qS(ja,43520);if((KH(g,nH($,ja)|0)|0)==0){c[ma>>2]=R;$=sH(Bc,ma)|0;qS(na,34088);Cc=nH($,na)|0;Dc=1;Ec=0}else{c[ka>>2]=R;$=sH(Bc,ka)|0;qS(la,43520);Cc=nH(g,nH($,la)|0)|0;Dc=0;Ec=1}xS(ba,Cc)|0;if(Dc){wS(na)}if(Ec){wS(la)}wS(ja);wS(ha);R=R+1|0;}while((R|0)<((c[P>>2]|0)-(c[O>>2]<<1)|0))}O=b+116|0;if((c[O>>2]|0)>0){P=a+84|0;R=0;do{c[oa>>2]=R;ha=sH(P,oa)|0;qS(pa,34088);ja=nH(ha,pa)|0;c[qa>>2]=R;ha=sH(P,qa)|0;qS(ra,43520);if((KH(g,nH(ha,ra)|0)|0)==0){c[ua>>2]=R;ha=sH(P,ua)|0;qS(va,34088);Fc=nH(ha,va)|0;Gc=1;Hc=0}else{c[sa>>2]=R;ha=sH(P,sa)|0;qS(ta,43520);Fc=nH(g,nH(ha,ta)|0)|0;Gc=0;Hc=1}xS(ja,Fc)|0;if(Gc){wS(va)}if(Hc){wS(ta)}wS(ra);wS(pa);R=R+1|0;}while((R|0)<(c[O>>2]|0))}O=b+120|0;if((c[O>>2]|0)>0){R=a+120|0;pa=0;do{c[wa>>2]=pa;ra=sH(R,wa)|0;qS(xa,34088);ta=nH(ra,xa)|0;c[ya>>2]=pa;ra=sH(R,ya)|0;qS(za,43520);if((KH(g,nH(ra,za)|0)|0)==0){c[Ca>>2]=pa;ra=sH(R,Ca)|0;qS(Da,34088);Ic=nH(ra,Da)|0;Jc=1;Kc=0}else{c[Aa>>2]=pa;ra=sH(R,Aa)|0;qS(Ba,43520);Ic=nH(g,nH(ra,Ba)|0)|0;Jc=0;Kc=1}xS(ta,Ic)|0;if(Jc){wS(Da)}if(Kc){wS(Ba)}wS(za);wS(xa);pa=pa+1|0;}while((pa|0)<(c[O>>2]|0))}O=b+124|0;if((c[O>>2]|0)>0){pa=a+156|0;xa=0;do{c[Ea>>2]=xa;za=sH(pa,Ea)|0;qS(Fa,34088);Ba=nH(za,Fa)|0;c[Ga>>2]=xa;za=sH(pa,Ga)|0;qS(Ha,43520);if((KH(g,nH(za,Ha)|0)|0)==0){c[Ka>>2]=xa;za=sH(pa,Ka)|0;qS(La,34088);Mc=nH(za,La)|0;Nc=1;Oc=0}else{c[Ia>>2]=xa;za=sH(pa,Ia)|0;qS(Ja,43520);Mc=nH(g,nH(za,Ja)|0)|0;Nc=0;Oc=1}xS(Ba,Mc)|0;if(Nc){wS(La)}if(Oc){wS(Ja)}wS(Ha);wS(Fa);xa=xa+1|0;}while((xa|0)<(c[O>>2]|0))}O=b+128|0;if((c[O>>2]|0)>0){xa=a+60|0;Fa=0;do{c[Ma>>2]=Fa;Ha=sH(xa,Ma)|0;qS(Na,34088);Ja=nH(Ha,Na)|0;c[Oa>>2]=Fa;Ha=sH(xa,Oa)|0;qS(Pa,43520);if((KH(g,nH(Ha,Pa)|0)|0)==0){c[Sa>>2]=Fa;Ha=sH(xa,Sa)|0;qS(Ta,34088);Pc=nH(Ha,Ta)|0;Qc=1;Rc=0}else{c[Qa>>2]=Fa;Ha=sH(xa,Qa)|0;qS(Ra,43520);Pc=nH(g,nH(Ha,Ra)|0)|0;Qc=0;Rc=1}xS(Ja,Pc)|0;if(Qc){wS(Ta)}if(Rc){wS(Ra)}wS(Pa);wS(Na);Fa=Fa+1|0;}while((Fa|0)<(c[O>>2]|0))}O=b+132|0;if((c[O>>2]|0)>0){Fa=a+96|0;Na=0;do{c[Ua>>2]=Na;Pa=sH(Fa,Ua)|0;qS(Va,34088);Ra=nH(Pa,Va)|0;c[Wa>>2]=Na;Pa=sH(Fa,Wa)|0;qS(Ya,43520);if((KH(g,nH(Pa,Ya)|0)|0)==0){c[$a>>2]=Na;Pa=sH(Fa,$a)|0;qS(ab,34088);Sc=nH(Pa,ab)|0;Tc=1;Uc=0}else{c[Za>>2]=Na;Pa=sH(Fa,Za)|0;qS(_a,43520);Sc=nH(g,nH(Pa,_a)|0)|0;Tc=0;Uc=1}xS(Ra,Sc)|0;if(Tc){wS(ab)}if(Uc){wS(_a)}wS(Ya);wS(Va);Na=Na+1|0;}while((Na|0)<(c[O>>2]|0))}O=b+136|0;if((c[O>>2]|0)>0){Na=a+132|0;Va=0;do{c[bb>>2]=Va;Ya=sH(Na,bb)|0;qS(cb,34088);_a=nH(Ya,cb)|0;c[db>>2]=Va;Ya=sH(Na,db)|0;qS(eb,43520);if((KH(g,nH(Ya,eb)|0)|0)==0){c[hb>>2]=Va;Ya=sH(Na,hb)|0;qS(ib,34088);Vc=nH(Ya,ib)|0;Wc=1;Xc=0}else{c[fb>>2]=Va;Ya=sH(Na,fb)|0;qS(gb,43520);Vc=nH(g,nH(Ya,gb)|0)|0;Wc=0;Xc=1}xS(_a,Vc)|0;if(Wc){wS(ib)}if(Xc){wS(gb)}wS(eb);wS(cb);Va=Va+1|0;}while((Va|0)<(c[O>>2]|0))}O=b+140|0;if((c[O>>2]|0)>0){Va=a+168|0;cb=0;do{c[jb>>2]=cb;eb=sH(Va,jb)|0;qS(kb,34088);gb=nH(eb,kb)|0;c[lb>>2]=cb;eb=sH(Va,lb)|0;qS(mb,43520);if((KH(g,nH(eb,mb)|0)|0)==0){c[pb>>2]=cb;eb=sH(Va,pb)|0;qS(qb,34088);Yc=nH(eb,qb)|0;Zc=1;_c=0}else{c[nb>>2]=cb;eb=sH(Va,nb)|0;qS(ob,43520);Yc=nH(g,nH(eb,ob)|0)|0;Zc=0;_c=1}xS(gb,Yc)|0;if(Zc){wS(qb)}if(_c){wS(ob)}wS(mb);wS(kb);cb=cb+1|0;}while((cb|0)<(c[O>>2]|0))}O=b+208|0;if((c[O>>2]|0)>0){cb=a+72|0;kb=0;do{c[rb>>2]=kb;mb=sH(cb,rb)|0;qS(sb,34088);ob=nH(mb,sb)|0;c[tb>>2]=kb;mb=sH(cb,tb)|0;qS(ub,43520);if((KH(g,nH(mb,ub)|0)|0)==0){c[xb>>2]=kb;mb=sH(cb,xb)|0;qS(yb,34088);$c=nH(mb,yb)|0;ad=1;bd=0}else{c[vb>>2]=kb;mb=sH(cb,vb)|0;qS(wb,43520);$c=nH(g,nH(mb,wb)|0)|0;ad=0;bd=1}xS(ob,$c)|0;if(ad){wS(yb)}if(bd){wS(wb)}wS(ub);wS(sb);kb=kb+1|0;}while((kb|0)<(c[O>>2]|0))}O=b+212|0;if((c[O>>2]|0)>0){kb=a+108|0;sb=0;do{c[zb>>2]=sb;ub=sH(kb,zb)|0;qS(Ab,34088);wb=nH(ub,Ab)|0;c[Bb>>2]=sb;ub=sH(kb,Bb)|0;qS(Cb,43520);if((KH(g,nH(ub,Cb)|0)|0)==0){c[Fb>>2]=sb;ub=sH(kb,Fb)|0;qS(Gb,34088);cd=nH(ub,Gb)|0;dd=1;ed=0}else{c[Db>>2]=sb;ub=sH(kb,Db)|0;qS(Eb,43520);cd=nH(g,nH(ub,Eb)|0)|0;dd=0;ed=1}xS(wb,cd)|0;if(dd){wS(Gb)}if(ed){wS(Eb)}wS(Cb);wS(Ab);sb=sb+1|0;}while((sb|0)<(c[O>>2]|0))}O=b+216|0;if((c[O>>2]|0)>0){sb=a+144|0;Ab=0;do{c[Hb>>2]=Ab;Cb=sH(sb,Hb)|0;qS(Ib,34088);Eb=nH(Cb,Ib)|0;c[Jb>>2]=Ab;Cb=sH(sb,Jb)|0;qS(Kb,43520);if((KH(g,nH(Cb,Kb)|0)|0)==0){c[Nb>>2]=Ab;Cb=sH(sb,Nb)|0;qS(Ob,34088);fd=nH(Cb,Ob)|0;gd=1;hd=0}else{c[Lb>>2]=Ab;Cb=sH(sb,Lb)|0;qS(Mb,43520);fd=nH(g,nH(Cb,Mb)|0)|0;gd=0;hd=1}xS(Eb,fd)|0;if(gd){wS(Ob)}if(hd){wS(Mb)}wS(Kb);wS(Ib);Ab=Ab+1|0;}while((Ab|0)<(c[O>>2]|0))}O=b+220|0;if((c[O>>2]|0)>0){b=a+180|0;a=0;do{c[Pb>>2]=a;Ab=sH(b,Pb)|0;qS(Qb,34088);Ib=nH(Ab,Qb)|0;c[Rb>>2]=a;Ab=sH(b,Rb)|0;qS(Sb,43520);if((KH(g,nH(Ab,Sb)|0)|0)==0){c[Vb>>2]=a;Ab=sH(b,Vb)|0;qS(Wb,34088);id=nH(Ab,Wb)|0;jd=1;kd=0}else{c[Tb>>2]=a;Ab=sH(b,Tb)|0;qS(Ub,43520);id=nH(g,nH(Ab,Ub)|0)|0;jd=0;kd=1}xS(Ib,id)|0;if(jd){wS(Wb)}if(kd){wS(Ub)}wS(Sb);wS(Qb);a=a+1|0;}while((a|0)<(c[O>>2]|0))}Fx(23,0,1668752,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb;wS(n);wS(m);LH(g);i=f;return}function pH(a,b,c){a=a|0;b=b|0;c=+c;if((WS(a,1729232)|0)==0){h[b>>3]=c;return}if((WS(a,29632)|0)==0){h[b>>3]=1.0;return}if((WS(a,29352)|0)==0){h[b>>3]=0.0;return}else{h[b>>3]=+X0(TS(a)|0);return}}function qH(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;if((b|0)==0){Hx(22,0,1665296,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=d;return}else{c[b>>2]=Lc(TS(a)|0)|0;i=d;return}}function rH(a,b,d){a=a|0;b=b|0;d=d|0;if((WS(a,1729232)|0)==0){c[b>>2]=d}if((WS(a,29632)|0)==0){c[b>>2]=1;return}if((WS(a,29352)|0)==0){c[b>>2]=0;return}else{c[b>>2]=Sc(TS(a)|0)|0;return}}function sH(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=bK(a,e,b)|0;k=c[j>>2]|0;SD(d+8|0);if((k|0)!=0){l=k;m=l+20|0;i=d;return m|0}dK(h,a,b);eK(g,h);cK(f,g);fK(h);h=c[e>>2]|0;gK(a|0,h,j,hK(f)|0);j=iK(f)|0;fK(f);l=j;m=l+20|0;i=d;return m|0}function tH(a,b){a=a|0;b=b|0;if((WS(a,29632)|0)==0){c[b>>2]=1;return}if((WS(a,29352)|0)==0){c[b>>2]=0;return}else{c[b>>2]=Sc(TS(a)|0)|0;return}}function uH(b,c){b=b|0;c=c|0;a[c]=(WS(b,29632)|0)==0|0;return}function vH(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=FI(a,e,b)|0;k=c[j>>2]|0;SD(d+8|0);if((k|0)!=0){l=k;m=l+28|0;i=d;return m|0}HI(h,a,b);II(g,h);GI(f,g);JI(h);h=c[e>>2]|0;KI(a|0,h,j,LI(f)|0);j=MI(f)|0;JI(f);l=j;m=l+28|0;i=d;return m|0}function wH(a,b){a=a|0;b=b|0;xS(b,a)|0;return}function xH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;wI(e,b|0,c);oI(a,e);i=d;return}function yH(a,b){a=a|0;b=b|0;return mI(a|0,b|0)|0}function zH(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;pI(d,b|0);oI(a,d);i=c;return}function AH(a){a=a|0;return jI(a|0)|0}function BH(a){a=a|0;IM(a);return}function CH(a){a=a|0;vM(a);return}function DH(a,b){a=a|0;b=b|0;cL(a,0);return}function EH(a){a=a|0;var b=0,d=0,e=0;b=a+108|0;tT(b);d=a|0;c[d>>2]=1686292;e=b|0;c[e>>2]=1686312;b=a+8|0;lU(a,1687252,b|0);c[d>>2]=1686292;c[e>>2]=1686312;zG(b);return}function FH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=(_D(a+8|0,b,d|8)|0)==0;d=a+(c[(c[a>>2]|0)-12>>2]|0)|0;if(e){kT(d,4);return}else{iT(d,0);return}}function GH(a){a=a|0;return eI(a+8|0)|0}function HH(a,b){a=a|0;b=b|0;return dI(a,b,rT(a+(c[(c[a>>2]|0)-12>>2]|0)|0,10)|0)|0}function IH(a){a=a|0;if((aE(a+8|0)|0)!=0){return}kT(a+(c[(c[a>>2]|0)-12>>2]|0)|0,4);return}function JH(a){a=a|0;iI(a,1687248);oT(a+108|0);return}function KH(a,b){a=a|0;b=b|0;return MH(a|0,b)|0}function LH(a){a=a|0;kM(a);return}function MH(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;i=i+8|0;e=d|0;f=OH(a)|0;SD(e);if((f|0)==0){g=0;i=d;return g|0}h=PH(a)|0;a=f;while(1){f=a+16|0;if(QH(h,b,f)|0){j=a|0}else{if(!(RH(h,f,b)|0)){g=1;k=8;break}j=a+4|0}f=c[j>>2]|0;SD(e);if((f|0)==0){g=0;k=8;break}else{a=f}}if((k|0)==8){i=d;return g|0}return 0}function NH(a){a=a|0;return DD(XH(a+4|0)|0)|0}function OH(a){a=a|0;return c[(NH(a)|0)>>2]|0}function PH(a){a=a|0;return VH(a+8|0)|0}function QH(a,b,c){a=a|0;b=b|0;c=c|0;return SH(0,b,c|0)|0}function RH(a,b,c){a=a|0;b=b|0;c=c|0;return SH(0,b|0,c)|0}function SH(a,b,c){a=a|0;b=b|0;c=c|0;return TH(b,c)|0}function TH(a,b){a=a|0;b=b|0;return(VS(a,b)|0)<0|0}function UH(a,b,c){a=a|0;b=b|0;c=c|0;return _0(a,b,c)|0}function VH(a){a=a|0;return WH(a|0)|0}function WH(a){a=a|0;return a|0}function XH(a){a=a|0;return YH(a|0)|0}function YH(a){a=a|0;return a|0}function ZH(a,b){a=a|0;b=b|0;return $H(0,b,0)|0}function _H(b,c){b=b|0;c=c|0;a[b]=a[c]|0;return}function $H(a,b,c){a=a|0;b=b|0;c=c|0;return H0(b)|0}function aI(a){a=a|0;return b1(a|0)|0}function bI(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=cI(a,b,c|0)|0;i=c;return d|0}function cI(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=WE(0,b,c)|0;i=e;return(f?c:b)|0}function dI(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;e=i;i=i+8|0;f=e|0;qU(f,a,1);if(!(tU(f)|0)){i=e;return a|0}MS(b);f=a;g=a;h=0;while(1){j=zT(pT(g+(c[(c[f>>2]|0)-12>>2]|0)|0)|0)|0;if(ME(j,-1)|0){k=h;l=2;break}m=h+1|0;n=NE(j)|0;if(RE(n,d)|0){k=m;l=0;break}OS(b,n);if((uS(b)|0)==-17){k=m;l=4;break}else{h=m}}kT(g+(c[(c[f>>2]|0)-12>>2]|0)|0,(k|0)==0?l|4:l);i=e;return a|0}function eI(a){a=a|0;return(c[a+64>>2]|0)!=0|0}function fI(a){a=a|0;JH(a);J0(a);return}function gI(a){a=a|0;JH(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function hI(a){a=a|0;fI(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function iI(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];AE(a+8|0);return}function jI(a){a=a|0;return kI((c[a>>2]|0)+16|0)|0}function kI(a){a=a|0;return lI(a)|0}function lI(a){a=a|0;return a|0}function mI(a,b){a=a|0;b=b|0;return(nI(a,b)|0)^1|0}function nI(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function oI(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];vI(a,b);i=d;return}function pI(a,b){a=a|0;b=b|0;qI(a,rI(b)|0);return}function qI(a,b){a=a|0;b=b|0;uI(a,b);return}function rI(a){a=a|0;return DD(sI(a+4|0)|0)|0}function sI(a){a=a|0;return tI(a|0)|0}function tI(a){a=a|0;return a|0}function uI(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function vI(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function wI(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=yI(b)|0;xI(f,b,d,h,rI(b)|0);pI(g,b);do{if(mI(f,g)|0){h=zI(b)|0;if(AI(h,d,BI(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);pI(a,b);i=e;return}function xI(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;SD(h);a:do{if((e|0)==0){j=f}else{k=zI(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(EI(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;SD(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;SD(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);qI(a,j);i=g;return}function yI(a){a=a|0;return c[(rI(a)|0)>>2]|0}function zI(a){a=a|0;return CI(a+8|0)|0}function AI(a,b,c){a=a|0;b=b|0;c=c|0;return SH(0,b,c|0)|0}function BI(a){a=a|0;return(c[a>>2]|0)+16|0}function CI(a){a=a|0;return DI(a|0)|0}function DI(a){a=a|0;return a|0}function EI(a,b,c){a=a|0;b=b|0;c=c|0;return SH(0,b|0,c)|0}function FI(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=yI(h)|0;SD(e|0);if((a|0)==0){j=rI(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(SH(0,d,a)|0){m=l|0;j=c[m>>2]|0;SD(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(SH(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;SD(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function GI(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];BJ(a,b);i=d;return}function HI(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=gJ(c|0)|0;c=iJ(k,1)|0;jJ(g,k);hJ(f,c,g);kJ(0,$I((lJ(f)|0)+16|0)|0,d);d=mJ(f)|0;a[d+4|0]=1;nJ(0,ZI((lJ(f)|0)+28|0)|0);a[d+5|0]=1;oJ(j,f);II(h,j);GI(b,h);JI(j);JI(f);i=e;return}function II(a,b){a=a|0;b=b|0;eJ(a,b);return}function JI(a){a=a|0;VI(a);return}function KI(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;SD(f|0);c[e>>2]=0;SD(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=RI(a)|0;b=c[c[e>>2]>>2]|0;SD(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(rI(a)|0)>>2]|0;CF(e,c[d>>2]|0);d=SI(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function LI(a){a=a|0;return c[(PI(a|0)|0)>>2]|0}function MI(a){a=a|0;var b=0;b=NI(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function NI(a){a=a|0;return OI(a|0)|0}function OI(a){a=a|0;return a|0}function PI(a){a=a|0;return QI(a|0)|0}function QI(a){a=a|0;return a|0}function RI(a){a=a|0;return a|0}function SI(a){a=a|0;return TI(a+8|0)|0}function TI(a){a=a|0;return UI(a|0)|0}function UI(a){a=a|0;return a|0}function VI(a){a=a|0;WI(a,0);return}function WI(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=NI(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}YI(XI(d)|0,e);return}function XI(a){a=a|0;return dJ(a|0)|0}function YI(b,d){b=b|0;d=d|0;var e=0;if((a[b+4|0]|0)!=0){e=c[b>>2]|0;_I(e,$I(d+16|0)|0)}if((d|0)==0){return}aJ(c[b>>2]|0,d,1);return}function ZI(a){a=a|0;return a|0}function _I(a,b){a=a|0;b=b|0;a=i;i=i+8|0;cJ(a|0,0,b);i=a;return}function $I(a){a=a|0;return a|0}function aJ(a,b,c){a=a|0;b=b|0;c=c|0;bJ(0,b,0);return}function bJ(a,b,c){a=a|0;b=b|0;c=c|0;J0(b);return}function cJ(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;wS(d);i=c;return}function dJ(a){a=a|0;return a+4|0}function eJ(a,b){a=a|0;b=b|0;fJ(a,b);return}function fJ(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function gJ(a){a=a|0;return zJ(a+4|0)|0}function hJ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];rJ(a,b,d);i=e;return}function iJ(a,b){a=a|0;b=b|0;return qJ(0,b,0)|0}function jJ(a,b){a=a|0;b=b|0;pJ(a,b);return}function kJ(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}mS(b,c);return}function lJ(a){a=a|0;return c[(PI(a|0)|0)>>2]|0}function mJ(a){a=a|0;return XI(a|0)|0}function nJ(a,b){a=a|0;b=b|0;if((b|0)==0){return}c[b>>2]=0;return}function oJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;eJ(f,b);GI(e,f);II(d,e);GI(a,d);JI(e);i=c;return}function pJ(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function qJ(a,b,c){a=a|0;b=b|0;c=c|0;return H0(b<<5)|0}function rJ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(tJ(f)|0)>>2]|0;f=uJ(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;sJ(a|0,b,g);i=e;return}function sJ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];vJ(a,b,d);i=e;return}function tJ(a){a=a|0;return a|0}function uJ(a){a=a|0;return a|0}function vJ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(xJ(f)|0)>>2]|0;f=yJ(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;wJ(a|0,b,g);i=e;return}function wJ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(xJ(f)|0)>>2];f=yJ(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function xJ(a){a=a|0;return a|0}function yJ(a){a=a|0;return a|0}function zJ(a){a=a|0;return AJ(a|0)|0}function AJ(a){a=a|0;return a|0}function BJ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=MI(CJ(b)|0)|0;g=yJ(mJ(CJ(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;sJ(a|0,f,e);i=d;return}function CJ(a){a=a|0;return c[a>>2]|0}function DJ(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function EJ(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];LJ(a,b);i=d;return}function FJ(a,b){a=a|0;b=b|0;GJ(a,HJ(b)|0);return}function GJ(a,b){a=a|0;b=b|0;KJ(a,b);return}function HJ(a){a=a|0;return DD(IJ(a+4|0)|0)|0}function IJ(a){a=a|0;return JJ(a|0)|0}function JJ(a){a=a|0;return a|0}function KJ(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function LJ(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function MJ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=OJ(b)|0;NJ(f,b,d,h,HJ(b)|0);FJ(g,b);do{if(PJ(f,g)|0){h=QJ(b)|0;if(QH(h,d,RJ(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);FJ(a,b);i=e;return}function NJ(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;SD(h);a:do{if((e|0)==0){j=f}else{k=QJ(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(RH(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;SD(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;SD(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);GJ(a,j);i=g;return}function OJ(a){a=a|0;return c[(HJ(a)|0)>>2]|0}function PJ(a,b){a=a|0;b=b|0;return(DJ(a,b)|0)^1|0}function QJ(a){a=a|0;return SJ(a+8|0)|0}function RJ(a){a=a|0;return(c[a>>2]|0)+16|0}function SJ(a){a=a|0;return TJ(a|0)|0}function TJ(a){a=a|0;return a|0}function UJ(a,b){a=a|0;b=b|0;b=i;i=i+8|0;VJ(a|0,b|0);i=b;return}function VJ(a,b){a=a|0;b=b|0;WJ(a,0);return}function WJ(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;XJ(a+4|0);YJ(a+8|0,0,b|0);d=rI(a)|0;c[(RI(a)|0)>>2]=d;i=b;return}function XJ(a){a=a|0;$J(a);return}function YJ(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;ZJ(b,c,d);i=e;return}function ZJ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;_J(b|0,c[(uG(g)|0)>>2]|0,f+8|0);i=f;return}function _J(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(uG(g)|0)>>2];i=f;return}function $J(a){a=a|0;aK(a|0);return}function aK(a){a=a|0;xG(a|0);return}function bK(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=bL(h)|0;SD(e|0);if((a|0)==0){j=oK(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(PD(0,d,a)|0){m=l|0;j=c[m>>2]|0;SD(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(PD(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;SD(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function cK(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];$K(a,b);i=d;return}function dK(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=GK(c|0)|0;c=IK(k,1)|0;JK(g,k);HK(f,c,g);KK(0,OF((LK(f)|0)+16|0)|0,d);d=MK(f)|0;a[d+4|0]=1;NK(0,zK((LK(f)|0)+20|0)|0);a[d+5|0]=1;OK(j,f);eK(h,j);cK(b,h);fK(j);fK(f);i=e;return}function eK(a,b){a=a|0;b=b|0;EK(a,b);return}function fK(a){a=a|0;uK(a);return}function gK(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;SD(f|0);c[e>>2]=0;SD(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=nK(a)|0;b=c[c[e>>2]>>2]|0;SD(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(oK(a)|0)>>2]|0;CF(e,c[d>>2]|0);d=pK(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function hK(a){a=a|0;return c[(lK(a|0)|0)>>2]|0}function iK(a){a=a|0;var b=0;b=jK(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function jK(a){a=a|0;return kK(a|0)|0}function kK(a){a=a|0;return a|0}function lK(a){a=a|0;return mK(a|0)|0}function mK(a){a=a|0;return a|0}function nK(a){a=a|0;return a|0}function oK(a){a=a|0;return DD(sK(a+4|0)|0)|0}function pK(a){a=a|0;return qK(a+8|0)|0}function qK(a){a=a|0;return rK(a|0)|0}function rK(a){a=a|0;return a|0}function sK(a){a=a|0;return tK(a|0)|0}function tK(a){a=a|0;return a|0}function uK(a){a=a|0;vK(a,0);return}function vK(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=jK(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}xK(wK(d)|0,e);return}function wK(a){a=a|0;return DK(a|0)|0}function xK(b,d){b=b|0;d=d|0;var e=0;if((a[b+5|0]|0)!=0){e=c[b>>2]|0;yK(e,zK(d+20|0)|0)}if((d|0)==0){return}AK(c[b>>2]|0,d,1);return}function yK(a,b){a=a|0;b=b|0;a=i;i=i+8|0;CK(a|0,0,b);i=a;return}function zK(a){a=a|0;return a|0}function AK(a,b,c){a=a|0;b=b|0;c=c|0;BK(0,b,0);return}function BK(a,b,c){a=a|0;b=b|0;c=c|0;J0(b);return}function CK(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;LH(d);i=c;return}function DK(a){a=a|0;return a+4|0}function EK(a,b){a=a|0;b=b|0;FK(a,b);return}function FK(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function GK(a){a=a|0;return ZK(a+4|0)|0}function HK(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];RK(a,b,d);i=e;return}function IK(a,b){a=a|0;b=b|0;return QK(0,b,0)|0}function JK(a,b){a=a|0;b=b|0;PK(a,b);return}function KK(a,b,d){a=a|0;b=b|0;d=d|0;if((b|0)==0){return}c[b>>2]=c[d>>2];return}function LK(a){a=a|0;return c[(lK(a|0)|0)>>2]|0}function MK(a){a=a|0;return wK(a|0)|0}function NK(a,b){a=a|0;b=b|0;a=i;i=i+8|0;if((b|0)==0){i=a;return}DH(b,a|0);i=a;return}function OK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;EK(f,b);cK(e,f);eK(d,e);cK(a,d);fK(e);i=c;return}function PK(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function QK(a,b,c){a=a|0;b=b|0;c=c|0;return H0(b<<5)|0}function RK(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(TK(f)|0)>>2]|0;f=UK(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;SK(a|0,b,g);i=e;return}function SK(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];VK(a,b,d);i=e;return}function TK(a){a=a|0;return a|0}function UK(a){a=a|0;return a|0}function VK(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(XK(f)|0)>>2]|0;f=YK(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;WK(a|0,b,g);i=e;return}function WK(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(XK(f)|0)>>2];f=YK(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function XK(a){a=a|0;return a|0}function YK(a){a=a|0;return a|0}function ZK(a){a=a|0;return _K(a|0)|0}function _K(a){a=a|0;return a|0}function $K(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=iK(aL(b)|0)|0;g=YK(MK(aL(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;SK(a|0,f,e);i=d;return}function aL(a){a=a|0;return c[a>>2]|0}function bL(a){a=a|0;return c[(oK(a)|0)>>2]|0}function cL(a,b){a=a|0;b=b|0;b=i;i=i+8|0;dL(a|0,b|0);i=b;return}function dL(a,b){a=a|0;b=b|0;eL(a,0);return}function eL(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;fL(a+4|0);gL(a+8|0,0,b|0);d=HJ(a)|0;c[(hL(a)|0)>>2]=d;i=b;return}function fL(a){a=a|0;kL(a);return}function gL(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;iL(b,c,d);i=e;return}function hL(a){a=a|0;return a|0}function iL(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;jL(b|0,c[(uG(g)|0)>>2]|0,f+8|0);i=f;return}function jL(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(uG(g)|0)>>2];i=f;return}function kL(a){a=a|0;lL(a|0);return}function lL(a){a=a|0;xG(a|0);return}function mL(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=OJ(h)|0;SD(e|0);if((a|0)==0){j=HJ(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(SH(0,d,a)|0){m=l|0;j=c[m>>2]|0;SD(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(SH(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;SD(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function nL(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];iM(a,b);i=d;return}function oL(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=PL(c|0)|0;c=RL(k,1)|0;SL(g,k);QL(f,c,g);TL(0,$I((UL(f)|0)+16|0)|0,d);d=VL(f)|0;a[d+4|0]=1;WL(0,GL((UL(f)|0)+28|0)|0);a[d+5|0]=1;XL(j,f);pL(h,j);nL(b,h);qL(j);qL(f);i=e;return}function pL(a,b){a=a|0;b=b|0;NL(a,b);return}function qL(a){a=a|0;BL(a);return}function rL(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;SD(f|0);c[e>>2]=0;SD(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=hL(a)|0;b=c[c[e>>2]>>2]|0;SD(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(HJ(a)|0)>>2]|0;CF(e,c[d>>2]|0);d=yL(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function sL(a){a=a|0;return c[(wL(a|0)|0)>>2]|0}function tL(a){a=a|0;var b=0;b=uL(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function uL(a){a=a|0;return vL(a|0)|0}function vL(a){a=a|0;return a|0}function wL(a){a=a|0;return xL(a|0)|0}function xL(a){a=a|0;return a|0}function yL(a){a=a|0;return zL(a+8|0)|0}function zL(a){a=a|0;return AL(a|0)|0}function AL(a){a=a|0;return a|0}function BL(a){a=a|0;CL(a,0);return}function CL(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=uL(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}EL(DL(d)|0,e);return}function DL(a){a=a|0;return ML(a|0)|0}function EL(b,d){b=b|0;d=d|0;var e=0;if((a[b+5|0]|0)!=0){e=c[b>>2]|0;FL(e,GL(d+28|0)|0)}if((a[b+4|0]|0)!=0){e=c[b>>2]|0;HL(e,$I(d+16|0)|0)}if((d|0)==0){return}IL(c[b>>2]|0,d,1);return}function FL(a,b){a=a|0;b=b|0;a=i;i=i+8|0;LL(a|0,0,b);i=a;return}function GL(a){a=a|0;return a|0}function HL(a,b){a=a|0;b=b|0;a=i;i=i+8|0;KL(a|0,0,b);i=a;return}function IL(a,b,c){a=a|0;b=b|0;c=c|0;JL(0,b,0);return}function JL(a,b,c){a=a|0;b=b|0;c=c|0;J0(b);return}function KL(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;wS(d);i=c;return}function LL(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;wS(d);i=c;return}function ML(a){a=a|0;return a+4|0}function NL(a,b){a=a|0;b=b|0;OL(a,b);return}function OL(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function PL(a){a=a|0;return gM(a+4|0)|0}function QL(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];_L(a,b,d);i=e;return}function RL(a,b){a=a|0;b=b|0;return ZL(0,b,0)|0}function SL(a,b){a=a|0;b=b|0;YL(a,b);return}function TL(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}mS(b,c);return}function UL(a){a=a|0;return c[(wL(a|0)|0)>>2]|0}function VL(a){a=a|0;return DL(a|0)|0}function WL(a,b){a=a|0;b=b|0;if((b|0)==0){return}kS(b);return}function XL(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;NL(f,b);nL(e,f);pL(d,e);nL(a,d);qL(e);i=c;return}function YL(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function ZL(a,b,c){a=a|0;b=b|0;c=c|0;return H0(b*40|0)|0}function _L(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(aM(f)|0)>>2]|0;f=bM(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;$L(a|0,b,g);i=e;return}function $L(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];cM(a,b,d);i=e;return}function aM(a){a=a|0;return a|0}function bM(a){a=a|0;return a|0}function cM(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(eM(f)|0)>>2]|0;f=fM(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;dM(a|0,b,g);i=e;return}function dM(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(eM(f)|0)>>2];f=fM(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function eM(a){a=a|0;return a|0}function fM(a){a=a|0;return a|0}function gM(a){a=a|0;return hM(a|0)|0}function hM(a){a=a|0;return a|0}function iM(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=tL(jM(b)|0)|0;g=fM(VL(jM(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;$L(a|0,f,e);i=d;return}function jM(a){a=a|0;return c[a>>2]|0}function kM(a){a=a|0;lM(a|0);return}function lM(a){a=a|0;mM(a);return}function mM(a){a=a|0;nM(a,OJ(a)|0);return}function nM(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;SD(d|0);if((b|0)==0){i=d;return}nM(a,c[b>>2]|0);nM(a,c[b+4>>2]|0);e=PL(a)|0;oM(e,pM(b+16|0)|0);IL(e,b,1);i=d;return}function oM(a,b){a=a|0;b=b|0;a=i;i=i+8|0;qM(a|0,0,b);i=a;return}function pM(a){a=a|0;return a|0}function qM(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;rM(d);i=c;return}function rM(a){a=a|0;sM(a);return}function sM(a){a=a|0;tM(a|0);return}function tM(a){a=a|0;uM(a);return}function uM(a){a=a|0;wS(a+12|0);wS(a|0);return}function vM(a){a=a|0;wM(a+180|0);wM(a+168|0);wM(a+156|0);wM(a+144|0);wM(a+132|0);wM(a+120|0);wM(a+108|0);wM(a+96|0);wM(a+84|0);wM(a+72|0);wM(a+60|0);wM(a+48|0);wM(a+36|0);wM(a+24|0);LH(a+12|0);LH(a|0);return}function wM(a){a=a|0;xM(a);return}function xM(a){a=a|0;yM(a|0);return}function yM(a){a=a|0;zM(a);return}function zM(a){a=a|0;AM(a,bL(a)|0);return}function AM(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;SD(d|0);if((b|0)==0){i=d;return}AM(a,c[b>>2]|0);AM(a,c[b+4>>2]|0);e=GK(a)|0;BM(e,CM(b+16|0)|0);AK(e,b,1);i=d;return}function BM(a,b){a=a|0;b=b|0;a=i;i=i+8|0;DM(a|0,0,b);i=a;return}function CM(a){a=a|0;return a|0}function DM(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;EM(d);i=c;return}function EM(a){a=a|0;FM(a);return}function FM(a){a=a|0;GM(a|0);return}function GM(a){a=a|0;HM(a);return}function HM(a){a=a|0;LH(a+4|0);return}function IM(a){a=a|0;JM(a|0);return}function JM(a){a=a|0;KM(a);return}function KM(a){a=a|0;LM(a,yI(a)|0);return}function LM(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;SD(d|0);if((b|0)==0){i=d;return}LM(a,c[b>>2]|0);LM(a,c[b+4>>2]|0);e=gJ(a)|0;MM(e,lI(b+16|0)|0);aJ(e,b,1);i=d;return}function MM(a,b){a=a|0;b=b|0;a=i;i=i+8|0;NM(a|0,0,b);i=a;return}function NM(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;OM(d);i=c;return}function OM(a){a=a|0;PM(a);return}function PM(a){a=a|0;QM(a|0);return}function QM(a){a=a|0;RM(a);return}function RM(a){a=a|0;wS(a|0);return}function SM(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=i;i=i+16|0;d=c|0;e=c+8|0;TM(a|0);VM(d,b);WM(e,b);UM(a,d,e);i=c;return a|0}function TM(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;nM(a,OJ(a)|0);c[(yL(a)|0)>>2]=0;d=HJ(a)|0;c[(hL(a)|0)>>2]=d;SD(b|0);c[d>>2]=0;i=b;return}function UM(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+32|0;f=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[f>>2];f=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[f>>2];f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;cN(f,a);if(!(dN(b,d)|0)){i=e;return}k=c[f>>2]|0;f=h|0;do{c[f>>2]=k;XM(g,h);eN(j,a,g,fN(b)|0);gN(b)|0;}while(dN(b,d)|0);i=e;return}function VM(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;aN(d,b|0);XM(a,d);i=c;return}function WM(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;YM(d,b|0);XM(a,d);i=c;return}function XM(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];$M(a,b);i=d;return}function YM(a,b){a=a|0;b=b|0;ZM(a,NH(b)|0);return}function ZM(a,b){a=a|0;b=b|0;_M(a,b);return}function _M(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function $M(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function aN(a,b){a=a|0;b=b|0;ZM(a,c[(bN(b)|0)>>2]|0);return}function bN(a){a=a|0;return a|0}function cN(a,b){a=a|0;b=b|0;WM(a,b);return}function dN(a,b){a=a|0;b=b|0;return mO(a|0,b|0)|0}function eN(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+40|0;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+16|0;c[h>>2]=c[d>>2];oN(j,e);nN(g,b|0,h,j);EJ(a,g);rM(j);i=f;return}function fN(a){a=a|0;return kN(a|0)|0}function gN(a){a=a|0;hN(a|0)|0;return a|0}function hN(a){a=a|0;var b=0;b=a|0;c[b>>2]=iN(c[b>>2]|0)|0;return a|0}function iN(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=a+4|0;e=c[d>>2]|0;SD(b|0);if((e|0)==0){e=a;while(1){a=GF(e)|0;f=c[e+8>>2]|0;if(a){g=f;break}else{e=f}}i=b;return g|0}else{g=jN(c[d>>2]|0)|0;i=b;return g|0}return 0}function jN(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a|0;f=c[e>>2]|0;SD(d);if((f|0)==0){g=a;i=b;return g|0}else{h=e}while(1){e=c[h>>2]|0;a=e|0;f=c[a>>2]|0;SD(d);if((f|0)==0){g=e;break}else{h=a}}i=b;return g|0}function kN(a){a=a|0;return lN((c[a>>2]|0)+16|0)|0}function lN(a){a=a|0;return mN(a)|0}function mN(a){a=a|0;return a|0}function nN(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+64|0;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+24|0;k=f+40|0;l=f+48|0;c[h>>2]=c[d>>2];d=sN(b,h,g,e)|0;h=c[d>>2]|0;SD(f+16|0);if((h|0)!=0){m=h;GJ(a,m);i=f;return}uN(l,b,e);vN(k,l);tN(j,k);wN(l);l=c[g>>2]|0;rL(b,l,d,xN(j)|0);d=yN(j)|0;wN(j);m=d;GJ(a,m);i=f;return}function oN(a,b){a=a|0;b=b|0;pN(a,b);return}function pN(a,b){a=a|0;b=b|0;qN(a|0,b);return}function qN(a,b){a=a|0;b=b|0;rN(a,b);return}function rN(a,b){a=a|0;b=b|0;mS(a|0,b|0);mS(a+12|0,b+12|0);return}function sN(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=i;i=i+88|0;g=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+16|0;k=f+24|0;l=f+32|0;m=f+40|0;n=f+48|0;o=f+56|0;p=f+64|0;q=f+72|0;r=f+80|0;FJ(h,a);aO(g,h);do{if(!($N(b,g)|0)){h=QJ(a)|0;s=cO(b)|0;if(bO(h,e,s)|0){break}t=bO(h,s,e)|0;s=c[b>>2]|0;if(!t){c[d>>2]=s;u=d;i=f;return u|0}c[o>>2]=s;gO(n,o,1,0);FJ(q,a);aO(p,q);do{if(!($N(n,p)|0)){if(bO(h,e,cO(n)|0)|0){break}u=fO(a,d,e)|0;i=f;return u|0}}while(0);h=s+4|0;t=c[h>>2]|0;SD(r);if((t|0)==0){c[d>>2]=s;u=h;i=f;return u|0}else{h=c[n>>2]|0;c[d>>2]=h;u=h|0;i=f;return u|0}}}while(0);n=c[b>>2]|0;b=j|0;c[b>>2]=n;dO(l,a);aO(k,l);do{if(!($N(j,k)|0)){l=QJ(a)|0;if(bO(l,cO(eO(j)|0)|0,e)|0){break}u=fO(a,d,e)|0;i=f;return u|0}}while(0);e=n|0;a=c[e>>2]|0;SD(m);if((a|0)==0){c[d>>2]=n;u=e;i=f;return u|0}else{e=c[b>>2]|0;c[d>>2]=e;u=e+4|0;i=f;return u|0}return 0}function tN(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];ZN(a,b);i=d;return}function uN(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=PL(c)|0;c=RL(k,1)|0;LN(g,k);KN(f,c,g);MN(0,pM((NN(f)|0)+16|0)|0,d);a[(ON(f)|0)+4|0]=1;PN(j,f);vN(h,j);tN(b,h);wN(j);wN(f);i=e;return}function vN(a,b){a=a|0;b=b|0;IN(a,b);return}function wN(a){a=a|0;DN(a);return}function xN(a){a=a|0;return c[(BN(a|0)|0)>>2]|0}function yN(a){a=a|0;var b=0;b=zN(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function zN(a){a=a|0;return AN(a|0)|0}function AN(a){a=a|0;return a|0}function BN(a){a=a|0;return CN(a|0)|0}function CN(a){a=a|0;return a|0}function DN(a){a=a|0;EN(a,0);return}function EN(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=zN(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}GN(FN(d)|0,e);return}function FN(a){a=a|0;return HN(a|0)|0}function GN(b,d){b=b|0;d=d|0;var e=0;if((a[b+4|0]|0)!=0){e=c[b>>2]|0;oM(e,pM(d+16|0)|0)}if((d|0)==0){return}IL(c[b>>2]|0,d,1);return}function HN(a){a=a|0;return a+4|0}function IN(a,b){a=a|0;b=b|0;JN(a,b);return}function JN(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function KN(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];TN(a,b,d);i=e;return}function LN(a,b){a=a|0;b=b|0;SN(a,b);return}function MN(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}QN(b,c);return}function NN(a){a=a|0;return c[(BN(a|0)|0)>>2]|0}function ON(a){a=a|0;return FN(a|0)|0}function PN(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;IN(f,b);tN(e,f);vN(d,e);tN(a,d);wN(e);i=c;return}function QN(a,b){a=a|0;b=b|0;RN(a,b);return}function RN(a,b){a=a|0;b=b|0;qN(a|0,b|0);return}function SN(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;return}function TN(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(aM(f)|0)>>2]|0;f=VN(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;UN(a|0,b,g);i=e;return}function UN(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];WN(a,b,d);i=e;return}function VN(a){a=a|0;return a|0}function WN(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(eM(f)|0)>>2]|0;f=YN(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;XN(a|0,b,g);i=e;return}function XN(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(eM(f)|0)>>2];f=YN(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function YN(a){a=a|0;return a|0}function ZN(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=yN(_N(b)|0)|0;g=YN(ON(_N(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;UN(a|0,f,e);i=d;return}function _N(a){a=a|0;return c[a>>2]|0}function $N(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function aO(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];lO(a,b);i=d;return}function bO(a,b,c){a=a|0;b=b|0;c=c|0;return SH(0,b|0,c|0)|0}function cO(a){a=a|0;return(c[a>>2]|0)+16|0}function dO(a,b){a=a|0;b=b|0;GJ(a,c[(hL(b)|0)>>2]|0);return}function eO(a){a=a|0;var b=0;b=a|0;c[b>>2]=jO(c[b>>2]|0)|0;return a|0}function fO(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=OJ(a)|0;SD(e|0);if((h|0)==0){j=HJ(a)|0;c[b>>2]=j;k=j|0;i=e;return k|0}j=QJ(a)|0;a=h;while(1){h=a+16|0;if(bO(j,d,h)|0){l=a|0;m=c[l>>2]|0;SD(f);if((m|0)==0){n=5;break}else{o=l}}else{p=a|0;if(!(bO(j,h,d)|0)){n=10;break}q=a+4|0;h=c[q>>2]|0;SD(g);if((h|0)==0){n=9;break}else{o=q}}a=c[o>>2]|0}if((n|0)==5){c[b>>2]=a;k=l;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==10){c[b>>2]=p;k=b;i=e;return k|0}return 0}function gO(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=i;f=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[f>>2];hO(b,d);c[a>>2]=c[b>>2];i=e;return}function hO(a,b){a=a|0;b=b|0;var c=0;c=i;i=i+8|0;iO(a,b,c|0);i=c;return}function iO(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;if(!((c|0)>-1)){f=c;do{eO(b)|0;f=f+1|0;}while((f|0)<0);i=e;return}if((c|0)>0){g=c}else{i=e;return}do{hN(b)|0;g=g-1|0;}while((g|0)>0);i=e;return}function jO(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=a|0;e=c[d>>2]|0;SD(b|0);if((e|0)==0){e=a;while(1){a=GF(e)|0;f=c[e+8>>2]|0;if(a){e=f}else{g=f;break}}i=b;return g|0}else{g=kO(c[d>>2]|0)|0;i=b;return g|0}return 0}function kO(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[e>>2]|0;SD(d);if((f|0)==0){g=a;i=b;return g|0}else{h=e}while(1){e=c[h>>2]|0;a=e+4|0;f=c[a>>2]|0;SD(d);if((f|0)==0){g=e;break}else{h=a}}i=b;return g|0}function lO(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function mO(a,b){a=a|0;b=b|0;return($N(a,b)|0)^1|0}function nO(a){a=a|0;var b=0;b=i;i=i+128|0;DH(a|0,b|0);DH(a+12|0,b+8|0);oO(a+24|0,b+16|0);oO(a+36|0,b+24|0);oO(a+48|0,b+32|0);oO(a+60|0,b+40|0);oO(a+72|0,b+48|0);oO(a+84|0,b+56|0);oO(a+96|0,b+64|0);oO(a+108|0,b+72|0);oO(a+120|0,b+80|0);oO(a+132|0,b+88|0);oO(a+144|0,b+96|0);oO(a+156|0,b+104|0);oO(a+168|0,b+112|0);oO(a+180|0,b+120|0);i=b;return}function oO(a,b){a=a|0;b=b|0;pO(a,0);return}function pO(a,b){a=a|0;b=b|0;b=i;i=i+8|0;qO(a|0,b|0);i=b;return}function qO(a,b){a=a|0;b=b|0;rO(a,0);return}function rO(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;sO(a+4|0);tO(a+8|0,0,b|0);d=oK(a)|0;c[(nK(a)|0)>>2]=d;i=b;return}function sO(a){a=a|0;wO(a);return}function tO(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;uO(b,c,d);i=e;return}function uO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;vO(b|0,c[(uG(g)|0)>>2]|0,f+8|0);i=f;return}function vO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(uG(g)|0)>>2];i=f;return}function wO(a){a=a|0;xO(a|0);return}function xO(a){a=a|0;xG(a|0);return}function yO(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+80|0;a=b|0;d=b+16|0;e=b+32|0;f=b+48|0;g=b+64|0;h=c[426700]|0;if((h|0)==0){j=0}else{k=H0(12)|0;qS(k,h);j=k}if((c[426741]|0)!=0){c[426616]=1}if((j|0)==0){c[426531]=1;c[426532]=1;i=b;return}do{if((US(j,1663280,0)|0)==-1){mS(a,j);kS(d);k=c[4406]|0;h=(k|0)<28;while(1){l=US(a,1676176,0)|0;m=(l|0)!=-1;if(m){SS(e,a,0,l);xS(d,e)|0;wS(e);SS(f,a,l+1|0,-1);xS(a,f)|0;wS(f)}else{xS(d,a)|0}if(h){n=k;o=1}else{break}while(1){qS(g,c[1704760+(n<<2)>>2]|0);l=zO(d,g)|0;wS(g);if(l){c[1706120+(n<<2)>>2]=1;p=0}else{p=o}l=n+1|0;if((l|0)<28){n=l;o=p}else{break}}if((p|0)!=0){break}if(!m){q=39;break}}if((q|0)==39){wS(d);wS(a);break}Hx(1,1,1656552,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;if(h){r=k;do{s=c[1704872+(r<<2)>>2]|0;Hx(1,0,1645376,(l=i,i=i+16|0,c[l>>2]=c[1704760+(r<<2)>>2],c[l+8>>2]=s,l)|0);i=l;r=r+1|0;}while((r|0)<28)}Wd[c[3794]&511](1);r=TS(j)|0;Jx(0,1635408,(l=i,i=i+8|0,c[l>>2]=r,l)|0);i=l}else{r=1;do{c[1706120+(r<<2)>>2]=1;r=r+1|0;}while((r|0)<28)}}while(0);c[426531]=1;c[426532]=1;if((c[426539]|0)!=0){c[426554]=1}if((c[426553]|0)==1){c[426555]=1}if((c[426548]|0)!=0){c[426547]=1}if((c[426550]|0)!=0){c[426547]=1}if((c[426538]|0)!=0){c[426537]=1}if((c[426549]|0)!=0){c[426547]=1}if((c[426536]|0)!=0){c[426535]=1}wS(j);J0(j);i=b;return}function zO(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=uS(b)|0;if((d|0)!=(uS(c)|0)){e=0;return e|0}f=vS(b)|0;g=vS(c)|0;if(nS(b)|0){e=(UH(f,g,d)|0)==0;return e|0}if((d|0)==0){e=1;return e|0}else{h=f;i=g;j=d}while(1){if((a[h]|0)!=(a[i]|0)){e=0;k=7;break}d=j-1|0;if((d|0)==0){e=1;k=7;break}else{h=h+1|0;i=i+1|0;j=d}}if((k|0)==7){return e|0}return 0}function AO(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;b=i;a=c[426702]|0;if((a|0)==0){d=1;i=b;return d|0}e=H0(12)|0;f=e;qS(f,a);if((e|0)==0){d=1;i=b;return d|0}else{g=1}while(1){if((g|0)>=4){h=7;break}if(BO(f,c[1699984+(g<<2)>>2]|0)|0){d=g;h=8;break}else{g=g+1|0}}if((h|0)==7){g=TS(f)|0;Hx(1,1,42792,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f;g=c[425003]|0;Hx(1,0,1645376,(f=i,i=i+16|0,c[f>>2]=c[424997],c[f+8>>2]=g,f)|0);i=f;g=c[425004]|0;Hx(1,0,1645376,(f=i,i=i+16|0,c[f>>2]=c[424998],c[f+8>>2]=g,f)|0);i=f;g=c[425005]|0;Hx(1,0,1645376,(f=i,i=i+16|0,c[f>>2]=c[424999],c[f+8>>2]=g,f)|0);i=f;Wd[c[3794]&511](1);Jx(0,37840,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;return 0}else if((h|0)==8){i=b;return d|0}return 0}function BO(a,b){a=a|0;b=b|0;return(WS(a,b)|0)==0|0}function CO(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;b=i;i=i+32|0;a=b|0;d=b+16|0;e=c[426698]|0;if((e|0)==0){f=1;i=b;return f|0}g=H0(12)|0;h=g;qS(h,e);if((g|0)==0){f=1;i=b;return f|0}qS(a,33032);g=zO(h,a)|0;wS(a);if(g){f=1;i=b;return f|0}qS(d,28832);g=zO(h,d)|0;wS(d);if(g){f=2;i=b;return f|0}else{f=TS(h)|0;Hx(1,1,25128,(h=i,i=i+8|0,c[h>>2]=f,h)|0);i=h;Hx(1,0,1645376,(h=i,i=i+16|0,c[h>>2]=33032,c[h+8>>2]=1682088,h)|0);i=h;Hx(1,0,1645376,(h=i,i=i+16|0,c[h>>2]=28832,c[h+8>>2]=1677928,h)|0);i=h;Wd[c[3794]&511](1);Jx(0,37840,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h;return 0}return 0}function DO(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;FU(e,a);do{if(IU(e)|0){h=aI(b)|0;RO(f,a);j=a;k=a;l=k+(c[(c[j>>2]|0)-12>>2]|0)|0;m=l;if(((WD(m)|0)&176|0)==32){n=b+h|0}else{n=b}UO(g,f,b,n,b+h|0,m,qT(l)|0);if(!(SO(g)|0)){break}kT(k+(c[(c[j>>2]|0)-12>>2]|0)|0,5)}}while(0);GU(e);i=d;return a|0}function EO(a){a=a|0;LU(a,rT(a+(c[(c[a>>2]|0)-12>>2]|0)|0,10)|0)|0;sU(a)|0;return a|0}function FO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=i;i=i+2128|0;g=f|0;h=f+32|0;j=f+48|0;k=f+64|0;l=f+80|0;qS(h,d);fT(k,1670448,h);hH(j,k,1667488);wS(k);k=TS(j)|0;d=b+104|0;do{if((c[d>>2]|0)>0){m=b|0;n=c[m>>2]|0;if(($0(c[n+4>>2]|0,1664960)|0)!=0){break}a[n+104|0]=1;a[(c[m>>2]|0)+((c[d>>2]|0)*112|0)+104|0]=1}}while(0);if(($0(k,1662448)|0)==0){wS(j);wS(h);i=f;return}d=J$(g,k,1)|0;if((d|0)!=0){m=l|0;e1(m|0,0,2048)|0;W$(d,g,m,2048)|0;JU(DO(DO(DO(DO(DO(1733128,1660864)|0,k)|0,1660032)|0,m)|0,1659128)|0,2)|0;wS(j);wS(h);i=f;return}m=b+108|0;k=c[m>>2]|0;if((k|0)>0){d=b|0;l=0;n=k;while(1){k=c[d>>2]|0;if((a[k+(l*112|0)+104|0]|0)==0){o=(X$(g,c[k+(l*112|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(l*112|0)+104|0]=o;p=c[m>>2]|0}else{p=n}o=l+1|0;if((o|0)<(p|0)){l=o;n=p}else{break}}}p=b+208|0;if((c[p>>2]|0)>0){n=b+32|0;l=b|0;m=(e|0)==0;d=b+16|0;o=0;do{k=c[n>>2]|0;q=a[k+(o*52|0)+8|0]|0;do{if((q<<24>>24|0)==1){r=(X$(g,c[k+(o*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(o*52|0)+48|0]=r;r=c[n>>2]|0;if((a[r+(o*52|0)+48|0]|0)!=0|m){break}a[(c[d>>2]|0)+((c[r+(o*52|0)+4>>2]|0)*112|0)+104|0]=0}else if((q<<24>>24|0)==0){r=(X$(g,c[k+(o*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(o*52|0)+48|0]=r;r=c[n>>2]|0;if((a[r+(o*52|0)+48|0]|0)!=0){break}a[(c[l>>2]|0)+((c[r+(o*52|0)+4>>2]|0)*112|0)+104|0]=0}}while(0);o=o+1|0;}while((o|0)<(c[p>>2]|0))}p=b+116|0;o=c[p>>2]|0;if((o|0)>0){l=b+4|0;n=0;d=o;while(1){o=c[l>>2]|0;if((a[o+(n*60|0)+56|0]|0)==0){m=(X$(g,c[o+(n*60|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[l>>2]|0)+(n*60|0)+56|0]=m;s=c[p>>2]|0}else{s=d}m=n+1|0;if((m|0)<(s|0)){n=m;d=s}else{break}}}s=b+212|0;if((c[s>>2]|0)>0){d=b+36|0;n=b+4|0;p=(e|0)==0;l=b+20|0;m=0;do{o=c[d>>2]|0;k=a[o+(m*52|0)+8|0]|0;do{if((k<<24>>24|0)==1){q=(X$(g,c[o+(m*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(m*52|0)+48|0]=q;q=c[d>>2]|0;if((a[q+(m*52|0)+48|0]|0)!=0|p){break}a[(c[l>>2]|0)+((c[q+(m*52|0)+4>>2]|0)*60|0)+56|0]=0}else if((k<<24>>24|0)==0){q=(X$(g,c[o+(m*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(m*52|0)+48|0]=q;q=c[d>>2]|0;if((a[q+(m*52|0)+48|0]|0)!=0){break}a[(c[n>>2]|0)+((c[q+(m*52|0)+4>>2]|0)*60|0)+56|0]=0}}while(0);m=m+1|0;}while((m|0)<(c[s>>2]|0))}s=b+120|0;m=c[s>>2]|0;if((m|0)>0){n=b+8|0;d=0;l=m;while(1){m=c[n>>2]|0;if((a[m+(d*48|0)+44|0]|0)==0){p=(X$(g,c[m+(d*48|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(d*48|0)+44|0]=p;t=c[s>>2]|0}else{t=l}p=d+1|0;if((p|0)<(t|0)){d=p;l=t}else{break}}}t=b+216|0;if((c[t>>2]|0)>0){l=b+40|0;d=b+8|0;s=(e|0)==0;n=b+24|0;p=0;do{m=c[l>>2]|0;o=a[m+(p*52|0)+8|0]|0;do{if((o<<24>>24|0)==1){k=(X$(g,c[m+(p*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[l>>2]|0)+(p*52|0)+48|0]=k;k=c[l>>2]|0;if((a[k+(p*52|0)+48|0]|0)!=0|s){break}a[(c[n>>2]|0)+((c[k+(p*52|0)+4>>2]|0)*48|0)+44|0]=0}else if((o<<24>>24|0)==0){k=(X$(g,c[m+(p*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[l>>2]|0)+(p*52|0)+48|0]=k;k=c[l>>2]|0;if((a[k+(p*52|0)+48|0]|0)!=0){break}a[(c[d>>2]|0)+((c[k+(p*52|0)+4>>2]|0)*48|0)+44|0]=0}}while(0);p=p+1|0;}while((p|0)<(c[t>>2]|0))}t=b+124|0;p=c[t>>2]|0;if((p|0)>0){d=b+12|0;l=0;n=p;while(1){p=c[d>>2]|0;if((a[p+(l*52|0)+48|0]|0)==0){s=(X$(g,c[p+(l*52|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(l*52|0)+48|0]=s;u=c[t>>2]|0}else{u=n}s=l+1|0;if((s|0)<(u|0)){l=s;n=u}else{break}}}u=b+220|0;if((c[u>>2]|0)>0){n=b+44|0;l=b+12|0;t=(e|0)==0;e=b+28|0;b=0;do{d=c[n>>2]|0;s=a[d+(b*52|0)+8|0]|0;do{if((s<<24>>24|0)==0){p=(X$(g,c[d+(b*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(b*52|0)+48|0]=p;p=c[n>>2]|0;if((a[p+(b*52|0)+48|0]|0)!=0){break}a[(c[l>>2]|0)+((c[p+(b*52|0)+4>>2]|0)*52|0)+48|0]=0}else if((s<<24>>24|0)==1){p=(X$(g,c[d+(b*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(b*52|0)+48|0]=p;p=c[n>>2]|0;if((a[p+(b*52|0)+48|0]|0)!=0|t){break}a[(c[e>>2]|0)+((c[p+(b*52|0)+4>>2]|0)*52|0)+48|0]=0}}while(0);b=b+1|0;}while((b|0)<(c[u>>2]|0))}N$(g);wS(j);wS(h);i=f;return}function GO(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0,K=0,L=0;b=i;i=i+320|0;a=b|0;e=b+16|0;f=b+32|0;g=b+48|0;j=b+64|0;k=b+80|0;l=b+96|0;m=b+112|0;n=b+128|0;o=b+144|0;p=b+160|0;q=b+176|0;r=b+192|0;s=b+208|0;t=b+224|0;u=b+240|0;v=b+256|0;w=b+272|0;x=b+288|0;y=b+304|0;z=c[426726]|0;A=c[426696]|0;B=c[428836]|0;if((c[426555]|0)==0){if(!((c[426714]|0)==0|(B|0)!=0)){C=3}}else{C=3}if((C|0)==3){c[428836]=1}C=d+248|0;D=d+240|0;E=~~+wb(+((+h[C>>3]- +h[D>>3])/+h[d+264>>3]));c[d+256>>2]=E;Fx(23,0,1658304,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F;E=c[426683]|0;do{if((E|0)==0){G=0}else{if(($0(E,1657304)|0)==0){G=1;break}if(($0(E,1655600)|0)==0){G=0;break}if(($0(E,1654560)|0)==0){G=2;break}Hx(1,0,1653320,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F;G=0}}while(0);if((oz(G)|0)!=0){Hx(1,0,1652272,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F}if((c[428836]|0)!=0){QP(d+56|0);tz((c[d+64>>2]|0)+13+(c[d+68>>2]|0)+(c[d+72>>2]|0)|0);pz(0);pz(6);qz(3);qz(4);qz(1)}E=(z|0)!=0;if(E){if((A|0)==0){H=+h[D>>3]}else{H=+X0(A)}h[C>>3]=H;Fx(1,0,1651152,(F=i,i=i+8|0,h[F>>3]=H,F)|0);i=F}do{if((c[426740]|0)!=0){C=H0(12)|0;A=C;qS(A,c[426710]|0);if((C|0)==0){break}C=TS(A)|0;c[d+280>>2]=C;Fx(23,0,1649976,(F=i,i=i+8|0,c[F>>2]=C,F)|0);i=F}}while(0);C=c[426709]|0;kS(a);if((C|0)==0){qS(g,c[d+88>>2]|0);qS(j,1649e3);HO(f,g,j);hH(e,f,c[d+284>>2]|0);xS(a,e)|0;wS(e);wS(f);wS(j);wS(g)}else{yS(a,C)|0}qS(k,1729256);qS(l,1729256);qS(m,1729256);qS(n,1729256);qS(o,1729256);qS(p,1729256);C=c[426714]|0;if((c[426718]|0)!=0){yS(k,c[426688]|0)|0}if((c[426722]|0)!=0){yS(l,c[426692]|0)|0}if((c[426717]|0)!=0){yS(m,c[426687]|0)|0}if((c[426719]|0)==0){I=0.0}else{yS(n,c[426689]|0)|0;I=+X0(TS(n)|0)}if((c[426720]|0)==0){J=1}else{yS(o,c[426690]|0)|0;J=Sc(TS(o)|0)|0}if((c[426735]|0)!=0){yS(p,c[426705]|0)|0}mS(q,a);mS(r,k);mS(s,l);mS(t,m);mS(u,p);g=IO(d,q,r,s,t,I,J,u,C)|0;wS(u);wS(t);wS(s);wS(r);wS(q);if((g|0)!=0|E^1){K=g}else{pz(5);g=fP(d)|0;sz(5);Fx(1,0,1647152,(F=i,i=i+1|0,i=i+7&-8,c[F>>2]=0,F)|0);i=F;K=g}c[428836]=B;if(!((K|0)==0&(B|0)!=0)){L=K;wS(p);wS(o);wS(n);wS(m);wS(l);wS(k);wS(a);i=b;return L|0}K=d+88|0;qS(w,c[K>>2]|0);hH(v,w,1646168);wS(w);qS(y,c[K>>2]|0);hH(x,y,1644544);wS(y);sz(0);y=c[426701]|0;K=TS(v)|0;w=TS(x)|0;B=c[d+280>>2]|0;g=c[d+284>>2]|0;EP(d,K,w,(y|0)!=0?y:1643656,B,g,TS(a)|0)|0;wS(x);wS(v);L=0;wS(p);wS(o);wS(n);wS(m);wS(l);wS(k);wS(a);i=b;return L|0}function HO(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=i;i=i+8|0;lS(a,d|0);e=uS(b)|0;f=uS(c)|0;XS(a,vS(b)|0,e,f+e|0);PS(a,vS(c)|0,f)|0;i=d;return}function IO(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;l=i;i=i+48|0;m=l|0;n=l+16|0;o=l+32|0;if((uS(j)|0)==0){p=0}else{p=TS(j)|0}mS(m,b);b=(JO(a,m,k)|0)==0;wS(m);if(!b){q=-1;i=l;return q|0}qS(n,1729256);b=a+280|0;m=BO(n,c[b>>2]|0)|0;wS(n);do{if(m){r=3}else{n=0;k=1;do{qS(o,c[1699696+(k<<2)>>2]|0);j=BO(o,c[b>>2]|0)|0;wS(o);n=j?k:n;k=k+1|0;}while((k|0)<20);if((n|0)!=0){r=n;break}Hx(1,0,1636376,(s=i,i=i+8|0,c[s>>2]=c[b>>2],s)|0);i=s;Hx(1,0,1656552,(s=i,i=i+1|0,i=i+7&-8,c[s>>2]=0,s)|0);i=s;k=1;do{j=c[1699776+(k<<2)>>2]|0;Hx(1,0,1645376,(s=i,i=i+16|0,c[s>>2]=c[1699696+(k<<2)>>2],c[s+8>>2]=j,s)|0);i=s;k=k+1|0;}while((k|0)<20);Jx(c[a+536>>2]|0,37840,(s=i,i=i+1|0,i=i+7&-8,c[s>>2]=0,s)|0);i=s;return 0}}while(0);Fx(23,0,1634496,(s=i,i=i+8|0,c[s>>2]=c[1699696+(r<<2)>>2],s)|0);i=s;s=TS(d)|0;d=TS(e)|0;e=kC(a,s,d,TS(f)|0,g,h,r,p)|0;Xd[c[2007]&127](8e3,a);q=e;i=l;return q|0}function JO(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;f=c[a+256>>2]<<2;c[2e3]=Lc(TS(b)|0)|0;c[2001]=f;c[2002]=d;d=a+284|0;do{if((c[426614]|0)==0){f=c[d>>2]|0;if(($0(1642544,f)|0)==0){g=0;break}if(($0(1641648,f)|0)==0){c[2004]=4;c[2005]=18;c[2007]=22;g=0;break}if(($0(1640776,f)|0)==0){c[2004]=26;c[2005]=114;c[2006]=62;c[2007]=6;g=1;break}if(($0(1639976,f)|0)==0){c[2004]=70;c[2005]=24;c[2006]=50;c[2007]=42;g=1;break}if(($0(1639176,f)|0)==0){c[2004]=92;c[2005]=30;c[2007]=84;g=0;break}f=DO(1733128,1638248)|0;JU(DO(f,c[d>>2]|0)|0,2)|0;h=1;i=e;return h|0}else{g=0}}while(0);FO(a+8|0,c[a+288>>2]|0,g);Xd[c[2004]&127](8e3,a);a=c[2e3]|0;Fx(23,0,1637296,(g=i,i=i+16|0,c[g>>2]=c[d>>2],c[g+8>>2]=a,g)|0);i=g;h=0;i=e;return h|0}function KO(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+32|0;f=e|0;g=e+16|0;wx();do{if((YP(a,b)|0)==0){if((_P(a,b)|0)!=0){break}do{if((c[426727]|0)!=0){h=c[426697]|0;if(($0(h,1328816)|0)==0){Cx(1);break}if(($0(h,45112)|0)==0){Cx(0);break}else{Hx(1,0,44544,(j=i,i=i+8|0,c[j>>2]=h,j)|0);i=j;Ta(0)|0;Ld(0);return 0}}}while(0);if((c[426716]|0)==0){yO(0,0);kB(d);if((d|0)==0){JU(DO(1733128,41432)|0,2)|0}c[d+300>>2]=AO(0,0)|0;c[d+292>>2]=CO(0,0)|0;eH(d+8|0,d+240|0);tB(d)|0;BB(d)|0;KB(d)|0;do{if((c[d+116>>2]|0)==0){if((c[d+124>>2]|0)==0){break}if((c[d+128>>2]|0)==0){break}JU(DO(1733128,40960)|0,2)|0;k=1;i=e;return k|0}}while(0);c[426614]=c[426733];k=0;i=e;return k|0}qS(f,c[426686]|0);h=1;while(1){if((h|0)>=30){l=40;break}m=1705616+(h<<2)|0;qS(g,c[m>>2]|0);n=zO(f,g)|0;wS(g);if(n){break}else{h=h+1|0}}if((l|0)==40){n=TS(f)|0;Hx(1,0,42264,(j=i,i=i+8|0,c[j>>2]=n,j)|0);i=j;Hx(1,0,41880,(j=i,i=i+8|0,c[j>>2]=c[b>>2],j)|0);i=j;Ta(0)|0;Ld(0);return 0}n=c[1705496+(h<<2)>>2]|0;do{if((n|0)==1){o=c[1705744+(h<<2)>>2]|0;Fx(1,1,44e3,(j=i,i=i+16|0,c[j>>2]=c[m>>2],c[j+8>>2]=o,j)|0);i=j}else{o=c[m>>2]|0;if((n|0)==2){p=c[1705744+(h<<2)>>2]|0;Fx(1,1,43440,(j=i,i=i+24|0,c[j>>2]=o,c[j+8>>2]=o,c[j+16>>2]=p,j)|0);i=j;break}else{Hx(1,1,1631584,(j=i,i=i+8|0,c[j>>2]=o,j)|0);i=j;break}}}while(0);do{if((h|0)==6){Fx(1,0,1645376,(j=i,i=i+16|0,c[j>>2]=26568,c[j+8>>2]=27400,j)|0);i=j;Fx(1,0,1645376,(j=i,i=i+16|0,c[j>>2]=26160,c[j+8>>2]=27136,j)|0);i=j;Fx(1,0,1645376,(j=i,i=i+16|0,c[j>>2]=25656,c[j+8>>2]=26832,j)|0);i=j}else if((h|0)==18){n=c[4406]|0;if((n|0)<28){q=n}else{break}do{n=c[1704872+(q<<2)>>2]|0;Fx(1,0,1645376,(j=i,i=i+16|0,c[j>>2]=c[1704760+(q<<2)>>2],c[j+8>>2]=n,j)|0);i=j;q=q+1|0;}while((q|0)<28)}else if((h|0)==10){n=1;do{o=c[1699920+(n<<2)>>2]|0;Fx(1,0,1645376,(j=i,i=i+16|0,c[j>>2]=c[1699856+(n<<2)>>2],c[j+8>>2]=o,j)|0);i=j;n=n+1|0;}while((n|0)<7)}else if((h|0)==28){n=1;do{o=c[1699776+(n<<2)>>2]|0;Fx(1,0,1645376,(j=i,i=i+16|0,c[j>>2]=c[1699696+(n<<2)>>2],c[j+8>>2]=o,j)|0);i=j;n=n+1|0;}while((n|0)<20)}}while(0);Wd[c[3794]&511](1);Ta(0)|0;Ld(0);return 0}}while(0);Fx(1,1,1633672,(j=i,i=i+8|0,c[j>>2]=c[b>>2],j)|0);i=j;b=1;do{q=c[1705496+(b<<2)>>2]|0;do{if((q|0)==1){m=c[1705872+(b<<2)>>2]|0;Fx(1,0,1632808,(j=i,i=i+16|0,c[j>>2]=c[1705616+(b<<2)>>2],c[j+8>>2]=m,j)|0);i=j}else{m=c[1705616+(b<<2)>>2]|0;if((q|0)==2){f=c[1705872+(b<<2)>>2]|0;Fx(1,0,1632248,(j=i,i=i+24|0,c[j>>2]=m,c[j+8>>2]=m,c[j+16>>2]=f,j)|0);i=j;break}else{Hx(1,0,1631584,(j=i,i=i+8|0,c[j>>2]=m,j)|0);i=j;break}}}while(0);b=b+1|0;}while((b|0)<30);Wd[c[3794]&511](1);Ta(0)|0;Ld(0);return 0}function LO(a){a=a|0;var b=0,d=0,e=0;a=i;b=c[433394]|0;Ec(7896)|0;xc(40008,(d=i,i=i+8|0,c[d>>2]=c[b+88>>2],d)|0)|0;i=d;Ec(7976)|0;xc(39176,(d=i,i=i+8|0,h[d>>3]=+h[b+264>>3],d)|0)|0;i=d;e=b+4|0;xc(38896,(d=i,i=i+8|0,h[d>>3]=+h[c[(c[e>>2]|0)+4>>2]>>3],d)|0)|0;i=d;xc(38496,(d=i,i=i+8|0,h[d>>3]=+h[c[(c[e>>2]|0)+8>>2]>>3],d)|0)|0;i=d;b=c[e>>2]|0;xc(37312,(d=i,i=i+8|0,h[d>>3]=+h[c[b+4>>2]>>3]- +h[c[b+8>>2]>>3],d)|0)|0;i=d;xc(36984,(d=i,i=i+8|0,h[d>>3]=+h[c[c[e>>2]>>2]>>3],d)|0)|0;i=d;b=c[e>>2]|0;xc(36312,(d=i,i=i+8|0,h[d>>3]=+h[c[b>>2]>>3]- +h[c[b+4>>2]>>3],d)|0)|0;i=d;Ec(7872)|0;i=a;return}function MO(a,b){a=a|0;b=+b;return}function NO(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;i=i+160|0;f=1;g=0;h=i;i=i+168|0;c[h>>2]=0;while(1)switch(f|0){case 1:j=e|0;k=(c[d+536>>2]|0)+76|0;l=c[k>>2]|0;c[k>>2]=j;m=f1(j|0,f,h)|0;f=6;break;case 6:if((m|0)==0){f=2;break}else{n=-1;f=4;break};case 2:j=ua(8,a|0,b|0,d|0)|0;if((x|0)!=0&(y|0)!=0){g=g1(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;if((j|0)==0){f=3;break}else{o=1;f=5;break};case 3:c[433394]=d;Da(72,10,236)|0;if((x|0)!=0&(y|0)!=0){g=g1(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;j=ua(10,0,0,d|0)|0;if((x|0)!=0&(y|0)!=0){g=g1(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(30,d|0)|0;if((x|0)!=0&(y|0)!=0){g=g1(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(40,d|0)|0;if((x|0)!=0&(y|0)!=0){g=g1(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(104,d|0)|0;if((x|0)!=0&(y|0)!=0){g=g1(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;pa(c[(c[d+540>>2]|0)+8>>2]|0,d|0);if((x|0)!=0&(y|0)!=0){g=g1(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;pa(28,d|0);if((x|0)!=0&(y|0)!=0){g=g1(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(90,0)|0;if((x|0)!=0&(y|0)!=0){g=g1(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;n=j;f=4;break;case 4:c[k>>2]=l;Ia(12);if((x|0)!=0&(y|0)!=0){g=g1(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;o=n;f=5;break;case 5:i=e;return o|0;case-1:if((g|0)==1){m=y;f=6}x=y=0;break}return 0}function OO(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+16|0;g=b;b=i;i=i+24|0;c[b>>2]=c[g>>2];c[b+4>>2]=c[g+4>>2];c[b+8>>2]=c[g+8>>2];c[b+12>>2]=c[g+12>>2];c[b+16>>2]=c[g+16>>2];c[b+20>>2]=c[g+20>>2];g=f|0;if((a|0)==0){h=sd(c[428826]|0)|0}else{h=a}switch(c[h+84>>2]|0){case 4:case 5:{i=f;return};case 2:{if((c[426533]|0)==0){j=h+80|0;k=c[j>>2]|0;l=k|0;Ed(l|0,1)}a=g;c[a>>2]=e;c[a+4>>2]=0;a=c[t>>2]|0;Ya(33568,7,1,a|0)|0;Tc(a|0,d|0,g|0)|0;Wa(10,a|0)|0;Ta(0)|0;j=h+80|0;k=c[j>>2]|0;l=k|0;Ed(l|0,1);break};case 1:{l=g;c[l>>2]=e;c[l+4>>2]=0;l=c[t>>2]|0;Ya(33568,7,1,l|0)|0;Tc(l|0,d|0,g|0)|0;Wa(10,l|0)|0;Ta(0)|0;Ed(c[h+80>>2]|0,1);break};case 3:{if((c[426547]|0)==0){i=f;return}l=g;c[l>>2]=e;c[l+4>>2]=0;l=c[t>>2]|0;Ya(33568,7,1,l|0)|0;Tc(l|0,d|0,g|0)|0;Wa(10,l|0)|0;Ta(0)|0;i=f;return};default:{Jx(h,32736,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h}}}function PO(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+16|0;f=a;a=i;i=i+24|0;c[a>>2]=c[f>>2];c[a+4>>2]=c[f+4>>2];c[a+8>>2]=c[f+8>>2];c[a+12>>2]=c[f+12>>2];c[a+16>>2]=c[f+16>>2];c[a+20>>2]=c[f+20>>2];f=e|0;a=f;c[a>>2]=d;c[a+4>>2]=0;a=c[t>>2]|0;Ya(34392,9,1,a|0)|0;Tc(a|0,b|0,f|0)|0;Wa(10,a|0)|0;Ta(0)|0;i=e;return}function QO(a){a=a|0;var b=0,d=0;b=i;i=i+16|0;XO(34776,b|0);c[433388]=1729256;e1(1733556,-1|0,16)|0;c[433393]=1;if((a|0)==0){d=sd(c[428826]|0)|0}else{d=a}Ed(c[d+76>>2]|0,1)}function RO(a,b){a=a|0;b=b|0;TO(a,b);return}function SO(a){a=a|0;return(c[a>>2]|0)==0|0}function TO(a,b){a=a|0;b=b|0;c[a>>2]=pT(b+(c[(c[b>>2]|0)-12>>2]|0)|0)|0;return}function UO(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i;i=i+48|0;k=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[k>>2];k=j+8|0;l=j+16|0;m=j+32|0;n=j+40|0;o=b|0;b=c[o>>2]|0;SD(j|0);if((b|0)==0){c[a>>2]=0;i=j;return}p=f;f=d;q=p-f|0;r=VO(g)|0;s=(r|0)>(q|0)?r-q|0:0;q=e;r=q-f|0;do{if((r|0)>0){if((BT(b,d,r)|0)==(r|0)){break}SD(k);c[o>>2]=0;c[a>>2]=0;i=j;return}}while(0);do{if((s|0)>0){rS(l,s,h);if((BT(b,vS(l)|0,s)|0)==(s|0)){wS(l);break}SD(m);c[o>>2]=0;c[a>>2]=0;wS(l);i=j;return}}while(0);l=p-q|0;do{if((l|0)>0){if((BT(b,e,l)|0)==(l|0)){break}SD(n);c[o>>2]=0;c[a>>2]=0;i=j;return}}while(0);WO(g,0)|0;c[a>>2]=b;i=j;return}function VO(a){a=a|0;return c[a+12>>2]|0}function WO(a,b){a=a|0;b=b|0;var d=0;d=a+12|0;a=c[d>>2]|0;c[d>>2]=b;return a|0}function XO(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;i=i+16|0;e=d|0;f=d+8|0;g=c[433386]|0;if((g|0)==0){c[e>>2]=(b1(a|0)|0)<<1|1;c[f>>2]=2048;h=c[(bI(e,f)|0)>>2]|0;c[426590]=h;f=B0(h)|0;c[433386]=f;j=f;k=h}else{j=g;k=c[426590]|0}g=hd(j|0,k|0,a|0,b|0)|0;if(g>>>0<(c[426590]|0)>>>0){i=d;return}C0(c[433386]|0);k=g<<1|1;c[426590]=k;g=B0(k)|0;c[433386]=g;hd(g|0,k|0,a|0,b|0)|0;i=d;return}function YO(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;f=i;i=i+136|0;g=f|0;ZO(g,16);_O(g+(c[(c[g>>2]|0)-12>>2]|0)|0,16)|0;if((d|0)>0){j=e-1|0;k=(j|0)>0;l=(e|0)>0;m=g;n=(e|0)==0;e=0;do{if(k){o=0;p=e;while(1){DO(KU(m,+h[b+(p<<3)>>3])|0,1660712)|0;q=p+d|0;r=o+1|0;if((r|0)<(j|0)){o=r;p=q}else{s=q;break}}}else{s=e}if(l){KU(m,+h[b+(s<<3)>>3])|0}e=e+1|0;if(!((e|0)==(d|0)|n)){DO(m,1675688)|0}}while((e|0)<(d|0))}$O(a,g);aP(g);i=f;return}function ZO(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=a+56|0;tT(d);e=a|0;c[e>>2]=1685820;f=d|0;c[f>>2]=1685840;d=a+4|0;AU(a,1687220,d|0);c[e>>2]=1685820;c[f>>2]=1685840;mP(d,b|16);return}function _O(a,b){a=a|0;b=b|0;var d=0;d=a+8|0;a=c[d>>2]|0;c[d>>2]=b;return a|0}function $O(a,b){a=a|0;b=b|0;gP(a,b+4|0);return}function aP(a){a=a|0;qP(a,1687216);oT(a+56|0);return}function bP(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+120>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[426544]|0)!=0){Ec(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];Fx(14,0,1645200,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Zd[c[(c[e>>2]|0)+160>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];Fx(14,0,1635304,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[426544]|0)==0){i=d;return 0}Fx(14,0,42736,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];xc(37664,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}lc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function cP(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+124>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[426544]|0)!=0){Ec(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];Fx(14,0,1645200,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Zd[c[(c[e>>2]|0)+164>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];Fx(14,0,1635304,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[426544]|0)==0){i=d;return 0}Fx(14,0,42736,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];xc(37664,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}lc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function dP(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+128>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[426544]|0)!=0){Ec(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];Fx(14,0,1645200,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Zd[c[(c[e>>2]|0)+168>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];Fx(14,0,1635304,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[426544]|0)==0){i=d;return 0}Fx(14,0,42736,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];xc(37664,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}lc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function eP(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+132>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[426544]|0)!=0){Ec(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];Fx(14,0,1645200,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Zd[c[(c[e>>2]|0)+172>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];Fx(14,0,1635304,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[426544]|0)==0){i=d;return 0}Fx(14,0,42736,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];xc(37664,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}lc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function fP(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;b=i;i=i+256|0;d=b|0;e=b+16|0;f=b+32|0;g=b+48|0;h=b+64|0;j=b+80|0;k=b+96|0;l=b+112|0;m=b+128|0;n=b+144|0;o=b+160|0;p=b+176|0;q=b+192|0;r=b+208|0;s=b+224|0;t=b+240|0;u=c[a+112>>2]|0;v=c[a+152>>2]|0;w=c[a+156>>2]|0;x=D0(ga(u,u)|0,8)|0;y=x;z=D0(ga(v,u)|0,8)|0;A=z;B=D0(ga(w,u)|0,8)|0;C=B;D=D0(ga(w,v)|0,8)|0;E=D;kS(d);kS(e);kS(f);kS(g);kS(h);kS(j);kS(k);F=a+536|0;Ix(c[F>>2]|0,(x|0)!=0|0,28816,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;Ix(c[F>>2]|0,(z|0)!=0|0,28816,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;Ix(c[F>>2]|0,(B|0)!=0|0,28816,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;Ix(c[F>>2]|0,(D|0)!=0|0,28816,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;H=a+540|0;I=a;if((Zd[c[(c[H>>2]|0)+140>>2]&255](I)|0)==0){J=c[F>>2]|0;bP(a,y)|0;Ix(J,1,25096,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}YO(l,y,u,u);xS(d,l)|0;wS(l);if((Zd[c[(c[H>>2]|0)+144>>2]&255](I)|0)==0){l=c[F>>2]|0;cP(a,A)|0;Ix(l,1,1682056,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}YO(m,A,u,v);xS(e,m)|0;wS(m);if((Zd[c[(c[H>>2]|0)+148>>2]&255](I)|0)==0){m=c[F>>2]|0;dP(a,C)|0;Ix(m,1,1677800,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}YO(n,C,w,u);xS(f,n)|0;wS(n);if((Zd[c[(c[H>>2]|0)+152>>2]&255](I)|0)==0){I=c[F>>2]|0;eP(a,E)|0;Ix(I,1,1673856,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}YO(o,E,w,v);xS(g,o)|0;wS(o);if((u|0)==0){yS(h,1670432)|0}else{YO(p,c[(c[c[a+4>>2]>>2]|0)+8>>2]|0,1,u);xS(h,p)|0;wS(p)}if((v|0)==0){yS(j,1670432)|0}else{YO(q,c[a+432>>2]|0,1,v);xS(j,q)|0;wS(q)}C0(x);C0(z);C0(B);C0(D);qS(t,c[a+84>>2]|0);fT(s,1667480,t);hH(r,s,1664952);xS(k,r)|0;wS(r);wS(s);wS(t);t=zc(TS(k)|0,1662440)|0;s=c[F>>2]|0;F=TS(k)|0;Ix(s,(t|0)!=0|0,1660840,(G=i,i=i+8|0,c[G>>2]=F,G)|0);i=G;F=ke[c[(c[H>>2]|0)+176>>2]&15]()|0;s=TS(h)|0;r=TS(j)|0;a=TS(d)|0;D=TS(e)|0;B=TS(f)|0;z=TS(g)|0;od(t|0,F|0,(G=i,i=i+48|0,c[G>>2]=s,c[G+8>>2]=r,c[G+16>>2]=a,c[G+24>>2]=D,c[G+32>>2]=B,c[G+40>>2]=z,G)|0)|0;i=G;if((c[426555]|0)==0){K=Ta(t|0)|0;L=Pa(t|0)|0;wS(k);wS(j);wS(h);wS(g);wS(f);wS(e);wS(d);i=b;return 0}z=ke[c[(c[H>>2]|0)+176>>2]&15]()|0;H=TS(h)|0;B=TS(j)|0;D=TS(d)|0;a=TS(e)|0;r=TS(f)|0;s=TS(g)|0;Fx(25,0,z,(G=i,i=i+48|0,c[G>>2]=H,c[G+8>>2]=B,c[G+16>>2]=D,c[G+24>>2]=a,c[G+32>>2]=r,c[G+40>>2]=s,G)|0);i=G;K=Ta(t|0)|0;L=Pa(t|0)|0;wS(k);wS(j);wS(h);wS(g);wS(f);wS(e);wS(d);i=b;return 0}function gP(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;h=c[b+48>>2]|0;if((h&16|0)!=0){j=b+44|0;k=c[j>>2]|0;l=b|0;m=JT(l)|0;if(k>>>0<m>>>0){c[j>>2]=m;n=m}else{n=k}hP(a,IT(l)|0,n,e);i=d;return}if((h&8|0)==0){lS(a,g);i=d;return}else{g=b|0;b=DT(g)|0;hP(a,b,FT(g)|0,f);i=d;return}}function hP(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;iP(a,b,c,0);return}function iP(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;jP(a,b,c);return}function jP(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=i;i=i+1|0;i=i+7&-8;g=kP(c,d)|0;if(g>>>0>4294967279>>>0){iS(0)}if(g>>>0<11>>>0){CS(b,g);h=BS(b)|0}else{j=JS(g)|0;k=j+1|0;j=ZH(pS(b)|0,k)|0;LS(b,j);KS(b,k);AS(b,g);h=j}if((c|0)==(d|0)){l=h;a[f]=0;_H(l,f);i=e;return}j=d+(-c|0)|0;g=h;b=c;while(1){_H(g,b);c=b+1|0;if((c|0)==(d|0)){break}else{g=g+1|0;b=c}}l=h+j|0;a[f]=0;_H(l,f);i=e;return}function kP(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=lP(a,b,c|0)|0;i=c;return d|0}function lP(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;i=e;return c-b|0}function mP(a,b){a=a|0;b=b|0;CP(a,b);return}function nP(a){a=a|0;aP(a);J0(a);return}function oP(a){a=a|0;aP(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function pP(a){a=a|0;nP(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function qP(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];rP(a+4|0);return}function rP(a){a=a|0;sP(a);return}function sP(a){a=a|0;c[a>>2]=1686024;wS(a+32|0);xT(a|0);return}function tP(a){a=a|0;rP(a);J0(a);return}function uP(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=b+44|0;i=c[h>>2]|0;j=b|0;k=JT(j)|0;if(i>>>0<k>>>0){c[h>>2]=k;l=k}else{l=i}i=g&24;do{if((i|0)==24){if((f|0)==2){m=11;break}else if((f|0)==0){n=0;o=0;break}else if((f|0)!=1){m=12;break}eD(a,-1,-1);return}else if((i|0)==0){eD(a,-1,-1);return}else{if((f|0)==2){m=11;break}else if((f|0)==0){n=0;o=0;break}else if((f|0)!=1){m=12;break}if((g&8|0)==0){k=JT(j)|0;h=k-(IT(j)|0)|0;n=(h|0)<0|0?-1:0;o=h;break}else{h=ET(j)|0;k=h-(DT(j)|0)|0;n=(k|0)<0|0?-1:0;o=k;break}}}while(0);if((m|0)==11){f=l-(vS(b+32|0)|0)|0;n=(f|0)<0|0?-1:0;o=f}else if((m|0)==12){eD(a,-1,-1);return}m=l1(o,n,d,e)|0;e=K;d=0;do{if(!((e|0)<(d|0)|(e|0)==(d|0)&m>>>0<0>>>0)){n=l-(vS(b+32|0)|0)|0;o=(n|0)<0|0?-1:0;if((o|0)<(e|0)|(o|0)==(e|0)&n>>>0<m>>>0){break}n=g&8;do{if(!((m|0)==0&(e|0)==0)){do{if((n|0)!=0){if((ET(j)|0)!=0){break}eD(a,-1,-1);return}}while(0);if((g&16|0)==0){break}if((JT(j)|0)!=0){break}eD(a,-1,-1);return}}while(0);if((n|0)!=0){o=DT(j)|0;HT(j,o,o+m|0,l)}if((g&16|0)!=0){o=IT(j)|0;MT(j,o,KT(j)|0);LT(j,m)}eD(a,m,e);return}}while(0);eD(a,-1,-1);return}function vP(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=d;d=i;i=i+16|0;c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];c[d+8>>2]=c[g+8>>2];c[d+12>>2]=c[g+12>>2];g=c[(c[b>>2]|0)+16>>2]|0;h=sE(d)|0;ce[g&63](a,b,h,K,0,e);i=f;return}function wP(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=b+44|0;e=c[d>>2]|0;f=b|0;g=JT(f)|0;if(e>>>0<g>>>0){c[d>>2]=g;h=g}else{h=e}if((c[b+48>>2]&8|0)==0){i=-1;return i|0}if((FT(f)|0)>>>0<h>>>0){b=DT(f)|0;HT(f,b,ET(f)|0,h)}h=ET(f)|0;if(!(h>>>0<(FT(f)|0)>>>0)){i=-1;return i|0}i=QE(a[h]|0)|0;return i|0}function xP(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=b+44|0;f=c[e>>2]|0;g=b|0;h=JT(g)|0;if(f>>>0<h>>>0){c[e>>2]=h;i=h}else{i=f}f=DT(g)|0;h=ET(g)|0;if(!(f>>>0<h>>>0)){j=-1;return j|0}if(ME(d,-1)|0){HT(g,f,h-1|0,i);j=PE(d)|0;return j|0}f=(c[b+48>>2]&16|0)==0;b=NE(d)|0;do{if(f){if(RE(b,a[h-1|0]|0)|0){break}else{j=-1}return j|0}}while(0);h=DT(g)|0;HT(g,h,(ET(g)|0)-1|0,i);a[ET(g)|0]=b;j=d;return j|0}function yP(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=i;i=i+8|0;e=d|0;if(ME(b,-1)|0){f=PE(b)|0;i=d;return f|0}g=a|0;h=ET(g)|0;j=h-(DT(g)|0)|0;h=JT(g)|0;if((h|0)==(KT(g)|0)){k=a+48|0;if((c[k>>2]&16|0)==0){f=-1;i=d;return f|0}l=IT(g)|0;m=a+44|0;n=(c[m>>2]|0)-l|0;o=a+32|0;OS(o,0);HS(o,ES(o)|0);p=vS(o)|0;MT(g,p,p+(uS(o)|0)|0);LT(g,h-l|0);c[m>>2]=(IT(g)|0)+n;q=m;r=k}else{q=a+44|0;r=a+48|0}c[e>>2]=(JT(g)|0)+1;k=c[(zP(e,q)|0)>>2]|0;c[q>>2]=k;if((c[r>>2]&8|0)!=0){r=vS(a+32|0)|0;HT(g,r,r+j|0,k)}f=AT(g,b&255)|0;i=d;return f|0}function zP(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=AP(a,b,c|0)|0;i=c;return d|0}function AP(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=BP(0,b,c)|0;i=e;return(f?c:b)|0}function BP(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)>>>0<(c[d>>2]|0)>>>0|0}function CP(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d|0;CT(a|0);c[a>>2]=1686024;kS(a+32|0);c[a+44>>2]=0;c[a+48>>2]=b;kS(e);DP(a,e);wS(e);i=d;return}function DP(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=a+32|0;xS(d,b)|0;b=a+44|0;c[b>>2]=0;e=a+48|0;f=c[e>>2]|0;if((f&8|0)==0){g=f}else{f=vS(d)|0;h=f+(uS(d)|0)|0;c[b>>2]=h;f=vS(d)|0;HT(a|0,f,f,h);g=c[e>>2]|0}if((g&16|0)==0){return}g=uS(d)|0;c[b>>2]=(vS(d)|0)+g;HS(d,ES(d)|0);b=a|0;a=vS(d)|0;MT(b,a,a+(uS(d)|0)|0);if((c[e>>2]&3|0)==0){return}LT(b,g);return}function EP(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0;g=i;i=i+8|0;f=g|0;k=zc(b|0,1660448)|0;l=nc(1675520,1660448)|0;m=(l|0)!=0;n=Zc()|0;if(m){o=c[a+536>>2]|0;p=_c(c[n>>2]|0)|0;Ix(o,(k|0)!=0|0,1645176,(q=i,i=i+16|0,c[q>>2]=b,c[q+8>>2]=p,q)|0);i=q;Ya(1635184,17,1,l|0)|0;Ya(42720,10,1,l|0)|0;Ya(37640,18,1,l|0)|0;FP(l,e,32960,c[a+88>>2]|0,(c[a+72>>2]|0)+(c[a+64>>2]|0)|0,-1,999,1729224)}else{p=_c(c[n>>2]|0)|0;Hx(26,0,1656424,(q=i,i=i+8|0,c[q>>2]=p,q)|0);i=q;p=c[a+536>>2]|0;o=_c(c[n>>2]|0)|0;Ix(p,(k|0)!=0|0,1645176,(q=i,i=i+16|0,c[q>>2]=b,c[q+8>>2]=o,q)|0);i=q}Ya(24744,348,1,k|0)|0;if((Rd(f|0)|0)<0){o=_c(c[n>>2]|0)|0;Hx(26,0,1682032,(q=i,i=i+8|0,c[q>>2]=o,q)|0);i=q;Pa(k|0)|0;Db(l|0)|0;r=1;i=g;return r|0}if((tc(1706472,250,1677776,cb(f|0)|0)|0)==0){Hx(26,0,1673832,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;Pa(k|0)|0;r=1;i=g;return r|0}Ya(1670416,13,1,k|0)|0;Ya(1667464,12,1,k|0)|0;GP(k,2);Ya(1664944,6,1,k|0)|0;HP(k,c[a+84>>2]|0);Ya(1662424,8,1,k|0)|0;GP(k,2);Ya(1660824,8,1,k|0)|0;f=a+88|0;HP(k,c[f>>2]|0);Ya(1660016,10,1,k|0)|0;GP(k,2);Ya(1659120,6,1,k|0)|0;HP(k,1706472);Ya(1658288,8,1,k|0)|0;GP(k,2);Ya(1657232,8,1,k|0)|0;HP(k,c[a+280>>2]|0);Ya(1655584,10,1,k|0)|0;GP(k,2);Ya(1654544,14,1,k|0)|0;HP(k,c[a+284>>2]|0);Ya(1653296,16,1,k|0)|0;GP(k,2);Ya(1652248,16,1,k|0)|0;HP(k,j);Ya(1651128,18,1,k|0)|0;GP(k,2);o=IP(j)|0;od(k|0,1649936,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;GP(k,2);s=+kz(7);od(k|0,1648960,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;GP(k,2);s=+kz(6);od(k|0,1648080,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;GP(k,2);s=+kz(1);od(k|0,1647120,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;GP(k,2);s=+kz(4);od(k|0,1646040,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;GP(k,2);s=+kz(3);od(k|0,1644512,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;GP(k,2);s=+kz(5);od(k|0,1643616,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;GP(k,2);s=+kz(0);od(k|0,1642464,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;GP(k,2);s=+nz(2);od(k|0,1641576,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;GP(k,2);o=iz(2)|0;od(k|0,1640704,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;GP(k,2);s=+mz(2);od(k|0,1639920,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;Ya(1639128,13,1,k|0)|0;Ya(1638184,16,1,k|0)|0;GP(k,2);s=+kz(8);od(k|0,1637240,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;GP(k,2);o=fz(8)|0;od(k|0,1636256,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;Ya(1634440,17,1,k|0)|0;Ya(1633608,22,1,k|0)|0;JP(k,a);Ya(1632752,23,1,k|0)|0;Ya(1632192,12,1,k|0)|0;o=a+116|0;if((c[o>>2]|0)>0){j=a+8|0;n=0;do{KP(k,(c[j>>2]|0)+(n*112|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+136|0;if((c[o>>2]|0)>0){n=a+24|0;j=0;do{KP(k,(c[n>>2]|0)+(j*112|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+124|0;if((c[o>>2]|0)>0){j=a+12|0;n=0;do{KP(k,(c[j>>2]|0)+(n*60|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+140|0;if((c[o>>2]|0)>0){n=a+28|0;j=0;do{KP(k,(c[n>>2]|0)+(j*60|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+128|0;if((c[o>>2]|0)>0){j=a+16|0;n=0;do{KP(k,(c[j>>2]|0)+(n*48|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+144|0;if((c[o>>2]|0)>0){n=a+32|0;j=0;do{KP(k,(c[n>>2]|0)+(j*48|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+132|0;if((c[o>>2]|0)>0){j=a+20|0;n=0;do{KP(k,(c[j>>2]|0)+(n*52|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+148|0;if((c[o>>2]|0)>0){n=a+36|0;j=0;do{KP(k,(c[n>>2]|0)+(j*52|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}Ya(1631520,13,1,k|0)|0;Ya(1328744,12,1,k|0)|0;LP(k,l,e,c[f>>2]|0,a);Ya(45096,13,1,k|0)|0;Ya(44528,12,1,k|0)|0;MP(k,c[a+68>>2]|0,a+56|0);Ya(43936,13,1,k|0)|0;Ya(43400,16,1,k|0)|0;NP(k,l,e,a);Ya(42240,17,1,k|0)|0;Ya(41864,14,1,k|0)|0;Pa(k|0)|0;if(!m){r=0;i=g;return r|0}m=c[a+508>>2]|0;a=((b1(d|0)|0)<<1)+230|0;d=(m|0)!=0;if(d){t=(b1(m|0)|0)<<1}else{t=0}k=B0(a+t|0)|0;if((k|0)==0){jd(41424,40936,404,1683224);return 0}if((Db(l|0)|0)!=0){Hx(26,0,40624,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q}if(d){d=c[f>>2]|0;Pb(k|0,39560,(q=i,i=i+32|0,c[q>>2]=39992,c[q+8>>2]=d,c[q+16>>2]=m,c[q+24>>2]=d,q)|0)|0;i=q;if((Jc(k|0)|0)!=0){u=42}}else{d1(k|0,39144,25)|0;u=42}if((u|0)==42){Hx(1,0,38832,(q=i,i=i+8|0,c[q>>2]=k,q)|0);i=q}u=c[f>>2]|0;Fx(1,0,38352,(q=i,i=i+16|0,c[q>>2]=u,c[q+8>>2]=u,q)|0);i=q;C0(k);r=0;i=g;return r|0}function FP(a,b,d,e,f,g,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0,u=0.0,v=0.0,w=0;l=i;if((a|0)==0){i=l;return}m=(g|0)>-1;if(m){n=g+9|0;o=gz(n)|0;p=hz(n)|0;if((o|0)==0){q=-.01}else{q=+(o>>>0>>>0)*.95}if((p|0)==0){r=.01}else{r=+(p>>>0>>>0)*1.05}s=+mz(n)*1.01+1.0e-30;t=o;u=r;v=q;w=p}else{s=0.0;t=0;u=0.0;v=0.0;w=0}Ya(1635184,17,1,a|0)|0;Ya(1680560,12,1,a|0)|0;Ya(1680216,12,1,a|0)|0;Ya(1679848,13,1,a|0)|0;od(a|0,1679576,(p=i,i=i+24|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,p)|0)|0;i=p;Ya(1679256,10,1,a|0)|0;Ya(1678704,11,1,a|0)|0;Ya(1678280,11,1,a|0)|0;Ya(1677608,10,1,a|0)|0;if(m){od(a|0,1677248,(p=i,i=i+8|0,h[p>>3]=s,p)|0)|0;i=p}else{Ya(1676688,17,1,a|0)|0}o=g+3|0;od(a|0,1681312,(p=i,i=i+48|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=o,c[p+32>>2]=o,c[p+40>>2]=4,p)|0)|0;i=p;Ya(1676328,13,1,a|0)|0;if(m){Ya(1680216,12,1,a|0)|0;if((t|0)==(w|0)){od(a|0,1676104,(p=i,i=i+16|0,h[p>>3]=v,h[p+8>>3]=u,p)|0)|0;i=p}else{Ya(1676688,17,1,a|0)|0}od(a|0,1675696,(p=i,i=i+24|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,p)|0)|0;i=p;od(a|0,1680816,(p=i,i=i+40|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=g+1,c[p+32>>2]=4,p)|0)|0;i=p;Ya(1675392,10,1,a|0)|0;Ya(1675016,10,1,a|0)|0;Ya(1675392,10,1,a|0)|0;Ya(1674720,11,1,a|0)|0;od(a|0,1674352,(p=i,i=i+8|0,c[p>>2]=b,p)|0)|0;i=p;od(a|0,1673720,(p=i,i=i+8|0,c[p>>2]=d,p)|0)|0;i=p;Ya(1673304,33,1,a|0)|0;Ya(1672920,32,1,a|0)|0;od(a|0,1672624,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;Ya(1677608,10,1,a|0)|0;od(a|0,1677248,(p=i,i=i+8|0,h[p>>3]=s,p)|0)|0;i=p}else{Ya(1675016,10,1,a|0)|0;Ya(1675392,10,1,a|0)|0;Ya(1674720,11,1,a|0)|0;od(a|0,1674352,(p=i,i=i+8|0,c[p>>2]=b,p)|0)|0;i=p;od(a|0,1673720,(p=i,i=i+8|0,c[p>>2]=d,p)|0)|0;i=p;Ya(1673304,33,1,a|0)|0;Ya(1672920,32,1,a|0)|0;od(a|0,1672624,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;Ya(1677608,10,1,a|0)|0;Ya(1676688,17,1,a|0)|0}od(a|0,1681312,(p=i,i=i+48|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=o,c[p+32>>2]=o,c[p+40>>2]=2,p)|0)|0;i=p;Ya(1676328,13,1,a|0)|0;if(!m){i=l;return}if((t|0)==(w|0)){od(a|0,1676104,(p=i,i=i+16|0,h[p>>3]=v,h[p+8>>3]=u,p)|0)|0;i=p}else{Ya(1676688,17,1,a|0)|0}Ya(1672336,32,1,a|0)|0;Ya(1671896,29,1,a|0)|0;od(a|0,1671680,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;od(a|0,1680816,(p=i,i=i+40|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=g+1,c[p+32>>2]=2,p)|0)|0;i=p;i=l;return}function GP(a,b){a=a|0;b=b|0;var c=0;if((b|0)==0){return}else{c=b}do{c=c-1|0;Wa(32,a|0)|0;}while((c|0)!=0);return}function HP(b,c){b=b|0;c=c|0;var d=0,e=0,f=0;d=a[c]|0;if(d<<24>>24==0){return}else{e=c;f=d}do{d=f<<24>>24;if((d|0)==34){Ya(1681840,6,1,b|0)|0}else if((d|0)==62){Ya(1682928,4,1,b|0)|0}else if((d|0)==60){Ya(22576,4,1,b|0)|0}else if((d|0)==39){Ya(1682568,6,1,b|0)|0}else{Wa(d|0,b|0)|0}e=e+1|0;f=a[e]|0;}while(!(f<<24>>24==0));return}function IP(a){a=a|0;var b=0,c=0;b=zc(a|0,22760)|0;if((b|0)==0){c=-1;return c|0}wd(b|0,0,2)|0;a=Nb(b|0)|0;Pa(b|0)|0;c=a;return c|0}function JP(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=i;i=i+112|0;e=d|0;f=d+32|0;g=d+56|0;h=d+88|0;j=c[b+88>>2]|0;k=B0((b1(j|0)|0)+15|0)|0;Pb(k|0,27824,(l=i,i=i+8|0,c[l>>2]=j,l)|0)|0;i=l;GP(a,2);Ya(27384,10,1,a|0)|0;HP(a,k);Ya(27120,12,1,a|0)|0;GP(a,2);j=IP(k)|0;od(a|0,26800,(l=i,i=i+8|0,c[l>>2]=j,l)|0)|0;i=l;C0(k);GP(a,2);Ya(26552,9,1,a|0)|0;GP(a,4);Ya(26136,22,1,a|0)|0;GP(a,4);Ya(25600,22,1,a|0)|0;GP(a,4);Ya(24512,26,1,a|0)|0;k=b+56|0;l=b+64|0;j=c[l>>2]|0;if((j|0)>0){m=e+4|0;n=0;while(1){PP(e,k,n);o=c[m>>2]|0;GP(a,4);Ya(24296,8,1,a|0)|0;HP(a,o);Ya(23808,18,1,a|0)|0;o=n+1|0;p=c[l>>2]|0;if((o|0)<(p|0)){n=o}else{q=p;break}}}else{q=j}j=b+72|0;b=c[j>>2]|0;if((b|0)>0){n=f+8|0;m=0;do{UP(f,k,m);e=c[n>>2]|0;GP(a,4);Ya(24296,8,1,a|0)|0;HP(a,e);Ya(23808,18,1,a|0)|0;m=m+1|0;r=c[j>>2]|0;}while((m|0)<(r|0));s=c[l>>2]|0;t=r}else{s=q;t=b}if((s|0)>0){s=g+4|0;b=0;do{PP(g,k,b);q=c[s>>2]|0;GP(a,4);Ya(23560,8,1,a|0)|0;HP(a,q);Ya(23352,21,1,a|0)|0;b=b+1|0;}while((b|0)<(c[l>>2]|0));u=c[j>>2]|0}else{u=t}if((u|0)<=0){GP(a,2);v=Ya(23008,10,1,a|0)|0;i=d;return}u=h+8|0;t=0;do{UP(h,k,t);l=c[u>>2]|0;GP(a,4);Ya(23560,8,1,a|0)|0;HP(a,l);Ya(23352,21,1,a|0)|0;t=t+1|0;}while((t|0)<(c[j>>2]|0));GP(a,2);v=Ya(23008,10,1,a|0)|0;i=d;return}function KP(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;GP(a,2);od(a|0,28528,(e=i,i=i+8|0,c[e>>2]=c[b>>2],e)|0)|0;i=e;HP(a,c[b+4>>2]|0);Ya(28256,11,1,a|0)|0;HP(a,c[b+8>>2]|0);Ya(34360,3,1,a|0)|0;OP(a,4,b+12|0);GP(a,2);Ya(28088,12,1,a|0)|0;i=d;return}function LP(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;g=i;i=i+32|0;j=g|0;k=f+64|0;if((c[k>>2]|0)<=0){i=g;return}l=f+56|0;m=j+4|0;n=f+72|0;f=j|0;o=j+8|0;p=0;do{PP(j,l,p);FP(b,d,c[m>>2]|0,e,(c[n>>2]|0)+(c[k>>2]|0)|0,p,c[f>>2]|0,31344);q=p+9|0;qz(q);GP(a,2);od(a|0,30608,(r=i,i=i+8|0,c[r>>2]=c[f>>2],r)|0)|0;i=r;GP(a,4);Ya(1664944,6,1,a|0)|0;HP(a,c[m>>2]|0);Ya(1662424,8,1,a|0)|0;GP(a,4);s=iz(q)|0;od(a|0,35896,(r=i,i=i+8|0,c[r>>2]=s,r)|0)|0;i=r;GP(a,4);t=+nz(q);od(a|0,35448,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;GP(a,4);t=+mz(q);od(a|0,1639920,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;OP(a,6,o);GP(a,2);Ya(30352,12,1,a|0)|0;p=p+1|0;}while((p|0)<(c[k>>2]|0));i=g;return}function MP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0;e=i;i=i+120|0;f=e|0;g=e+24|0;j=e+48|0;k=e+72|0;l=e+96|0;if((b|0)<=0){i=e;return}m=f|0;n=g+8|0;o=j+12|0;p=d+8|0;q=d+16|0;r=k|0;s=l|0;t=0;do{GP(a,2);TP(f,d,t);od(a|0,34744,(u=i,i=i+8|0,c[u>>2]=c[m>>2],u)|0)|0;i=u;TP(g,d,t);HP(a,c[n>>2]|0);Ya(34360,3,1,a|0)|0;GP(a,4);Ya(34064,7,1,a|0)|0;TP(j,d,t);if((c[o>>2]|0)>0){v=0;do{GP(a,6);od(a|0,33536,(u=i,i=i+8|0,c[u>>2]=0,u)|0)|0;i=u;v=v+1|0;TP(j,d,t);}while((v|0)<(c[o>>2]|0))}GP(a,4);Ya(32720,8,1,a|0)|0;GP(a,4);v=(c[p>>2]|0)+9+(c[q>>2]|0)|0;TP(k,d,t);w=+kz(v+(c[r>>2]|0)|0);v=(c[p>>2]|0)+9+(c[q>>2]|0)|0;TP(l,d,t);x=fz(v+(c[s>>2]|0)|0)|0;od(a|0,32416,(u=i,i=i+16|0,h[u>>3]=w,c[u+8>>2]=x,u)|0)|0;i=u;GP(a,2);Ya(31816,12,1,a|0)|0;t=t+1|0;}while((t|0)<(b|0));i=e;return}function NP(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;f=i;i=i+24|0;g=f|0;j=e+56|0;k=e+64|0;l=c[k>>2]|0;m=e+72|0;if((c[m>>2]|0)<=0){i=f;return}n=g+8|0;o=e+88|0;e=g|0;p=l;q=l;do{UP(g,j,p-q|0);FP(b,d,c[n>>2]|0,c[o>>2]|0,(c[m>>2]|0)+(c[k>>2]|0)|0,p,c[e>>2]|0,37304);l=p+9|0;qz(l);GP(a,2);Ya(36968,15,1,a|0)|0;GP(a,4);od(a|0,36288,(r=i,i=i+8|0,c[r>>2]=c[e>>2],r)|0)|0;i=r;GP(a,4);s=iz(l)|0;od(a|0,35896,(r=i,i=i+8|0,c[r>>2]=s,r)|0)|0;i=r;GP(a,4);t=+nz(l);od(a|0,35448,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;GP(a,4);t=+mz(l);od(a|0,1639920,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;GP(a,2);Ya(35128,16,1,a|0)|0;p=p+1|0;q=c[k>>2]|0;}while((p|0)<((c[m>>2]|0)+q|0));i=f;return}function OP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;f=d;d=i;i=i+24|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];c[d+16>>2]=c[f+16>>2];c[d+20>>2]=c[f+20>>2];GP(a,b);Ya(30104,16,1,a|0)|0;HP(a,c[d>>2]|0);b=c[d+8>>2]|0;f=c[d+12>>2]|0;g=c[d+16>>2]|0;h=(c[d+20>>2]|0)!=0?29592:29288;od(a|0,29768,(a=i,i=i+40|0,c[a>>2]=c[d+4>>2],c[a+8>>2]=b,c[a+16>>2]=f,c[a+24>>2]=g,c[a+32>>2]=h,a)|0)|0;i=a;i=e;return}function PP(a,b,d){a=a|0;b=b|0;d=d|0;if((c[b+24>>2]|0)==0){QP(b)}d1(a|0,(c[b+20>>2]|0)+(d<<5)|0,32)|0;return}



function BE(b){b=b|0;var d=0;c[b>>2]=1686528;aE(b)|0;do{if((a[b+96|0]|0)!=0){d=c[b+32>>2]|0;if((d|0)==0){break}K0(d)}}while(0);do{if((a[b+97|0]|0)!=0){d=c[b+56>>2]|0;if((d|0)==0){break}K0(d)}}while(0);xT(b|0);return}function CE(a){a=a|0;AE(a);J0(a);return}function DE(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;Zd[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=dF(d)|0;c[b+68>>2]=e;d=b+98|0;f=a[d]|0;g=eF(e)|0;a[d]=g&1;if((f&255|0)==(g&1|0)){return}g=b|0;HT(g,0,0,0);MT(g,0,0);g=b+96|0;f=(a[g]|0)!=0;if((a[d]|0)!=0){d=b+32|0;do{if(f){e=c[d>>2]|0;if((e|0)==0){break}K0(e)}}while(0);e=b+97|0;a[g]=a[e]|0;h=b+60|0;c[b+52>>2]=c[h>>2];i=b+56|0;c[d>>2]=c[i>>2];c[h>>2]=0;c[i>>2]=0;a[e]=0;return}do{if(!f){e=b+32|0;i=c[e>>2]|0;if((i|0)==(b+44|0)){break}h=c[b+52>>2]|0;c[b+60>>2]=h;c[b+56>>2]=i;a[b+97|0]=0;c[e>>2]=I0(h)|0;a[g]=1;return}}while(0);g=c[b+52>>2]|0;c[b+60>>2]=g;c[b+56>>2]=I0(g)|0;a[b+97|0]=1;return}function EE(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;f=i;i=i+16|0;g=f|0;h=f+8|0;c[g>>2]=e;e=b|0;HT(e,0,0,0);MT(e,0,0);j=b+96|0;do{if((a[j]|0)!=0){k=c[b+32>>2]|0;if((k|0)==0){break}K0(k)}}while(0);k=b+97|0;do{if((a[k]|0)!=0){l=c[b+56>>2]|0;if((l|0)==0){break}K0(l)}}while(0);l=c[g>>2]|0;m=b+52|0;c[m>>2]=l;do{if(l>>>0>8>>>0){n=a[b+98|0]|0;if(n<<24>>24==0|(d|0)==0){c[b+32>>2]=I0(l)|0;a[j]=1;o=n;break}else{c[b+32>>2]=d;a[j]=0;o=n;break}}else{c[b+32>>2]=b+44;c[m>>2]=8;a[j]=0;o=a[b+98|0]|0}}while(0);if(!(o<<24>>24==0)){c[b+60>>2]=0;c[b+56>>2]=0;a[k]=0;i=f;return e|0}c[h>>2]=8;o=c[(aF(g,h)|0)>>2]|0;c[b+60>>2]=o;if((d|0)!=0&o>>>0>7>>>0){c[b+56>>2]=d;a[k]=0;i=f;return e|0}else{c[b+56>>2]=I0(o)|0;a[k]=1;i=f;return e|0}return 0}function FE(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=i;i=i+24|0;h=g|0;j=g+16|0;k=j;l=c[b+68>>2]|0;if((l|0)==0){m=Bd(4)|0;g0(m);vc(m|0,1690592,180)}m=YE(l)|0;l=b+64|0;do{if((c[l>>2]|0)!=0){n=(m|0)>0;if(!(n|(d|0)==0&(e|0)==0)){break}if((Zd[c[(c[b>>2]|0)+24>>2]&255](b)|0)!=0){break}if(!(f>>>0<3>>>0)){eD(a,-1,-1);i=g;return}o=c[l>>2]|0;if(n){n=v1(m,(m|0)<0|0?-1:0,d,e)|0;p=n}else{p=0}if((wd(o|0,p|0,f|0)|0)==0){o=Nb(c[l>>2]|0)|0;eD(h,o,(o|0)<0|0?-1:0);o=b+72|0;n=c[o+4>>2]|0;c[j>>2]=c[o>>2];c[j+4>>2]=n;$E(h,k);n=a;o=h;c[n>>2]=c[o>>2];c[n+4>>2]=c[o+4>>2];c[n+8>>2]=c[o+8>>2];c[n+12>>2]=c[o+12>>2];i=g;return}else{eD(a,-1,-1);i=g;return}}}while(0);eD(a,-1,-1);i=g;return}function GE(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;e=i;i=i+8|0;f=d;d=i;i=i+16|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];f=e|0;g=f;h=b+64|0;do{if((c[h>>2]|0)!=0){if((Zd[c[(c[b>>2]|0)+24>>2]&255](b)|0)!=0){break}j=c[h>>2]|0;k=sE(d)|0;if((wd(j|0,k|0,0)|0)==0){_E(g,d);k=b+72|0;j=c[f+4>>2]|0;c[k>>2]=c[f>>2];c[k+4>>2]=j;j=a;k=d;c[j>>2]=c[k>>2];c[j+4>>2]=c[k+4>>2];c[j+8>>2]=c[k+8>>2];c[j+12>>2]=c[k+12>>2];i=e;return}else{eD(a,-1,-1);i=e;return}}}while(0);eD(a,-1,-1);i=e;return}function HE(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;i=i+16|0;e=d|0;f=d+8|0;g=f;h=b+64|0;if((c[h>>2]|0)==0){j=0;i=d;return j|0}k=b+68|0;l=c[k>>2]|0;if((l|0)==0){m=Bd(4)|0;g0(m);vc(m|0,1690592,180);return 0}m=b+92|0;n=c[m>>2]|0;do{if((n&16|0)==0){if((n&8|0)==0){break}o=b+80|0;p=c[o+4>>2]|0;c[f>>2]=c[o>>2];c[f+4>>2]=p;do{if((a[b+98|0]|0)==0){p=YE(l)|0;o=b+36|0;q=c[o>>2]|0;r=(c[b+40>>2]|0)-q|0;s=b|0;if((p|0)>0){t=FT(s)|0;u=(ga(t-(ET(s)|0)|0,p)|0)+r|0;v=0;break}p=ET(s)|0;if((p|0)==(FT(s)|0)){u=r;v=0;break}t=c[k>>2]|0;w=b+32|0;x=c[w>>2]|0;y=ZE(t,g,x,q,p-(DT(s)|0)|0)|0;u=r-y+(c[o>>2]|0)-(c[w>>2]|0)|0;v=1}else{w=b|0;o=FT(w)|0;u=o-(ET(w)|0)|0;v=0}}while(0);if((wd(c[h>>2]|0,-u|0,1)|0)!=0){j=-1;i=d;return j|0}if(v){w=b+72|0;o=c[f+4>>2]|0;c[w>>2]=c[f>>2];c[w+4>>2]=o}o=c[b+32>>2]|0;c[b+40>>2]=o;c[b+36>>2]=o;HT(b|0,0,0,0);c[m>>2]=0}else{o=b|0;w=JT(o)|0;do{if((w|0)!=(IT(o)|0)){if((ie[c[(c[b>>2]|0)+52>>2]&127](b,-1)|0)==-1){j=-1}else{break}i=d;return j|0}}while(0);o=b+72|0;w=b+32|0;y=b+52|0;while(1){r=c[w>>2]|0;s=XE(c[k>>2]|0,o,r,r+(c[y>>2]|0)|0,e)|0;r=c[w>>2]|0;p=(c[e>>2]|0)-r|0;if((Ya(r|0,1,p|0,c[h>>2]|0)|0)!=(p|0)){j=-1;z=23;break}if((s|0)==2){j=-1;z=23;break}else if((s|0)!=1){z=10;break}}if((z|0)==10){if((Ta(c[h>>2]|0)|0)==0){break}else{j=-1}i=d;return j|0}else if((z|0)==23){i=d;return j|0}}}while(0);j=0;i=d;return j|0}function IE(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;i=i+48|0;e=d|0;f=d+8|0;g=d+16|0;h=d+24|0;j=d+32|0;k=d+40|0;l=b+64|0;if((c[l>>2]|0)==0){m=-1;i=d;return m|0}n=SE(b)|0;o=b|0;if((ET(o)|0)==0){p=e+1|0;HT(o,e,p,p)}if(n){q=0}else{n=FT(o)|0;c[f>>2]=(n-(DT(o)|0)|0)/2|0;c[g>>2]=4;q=c[(TE(f,g)|0)>>2]|0}g=ET(o)|0;do{if((g|0)==(FT(o)|0)){h1(DT(o)|0,g+(-q|0)|0,q|0)|0;if((a[b+98|0]|0)!=0){f=FT(o)|0;n=DT(o)|0;p=kd(n+q|0,1,f-q-n|0,c[l>>2]|0)|0;if((p|0)==0){r=-1;break}n=DT(o)|0;HT(o,n,n+q|0,n+(p+q)|0);r=QE(a[ET(o)|0]|0)|0;break}p=b+32|0;n=b+36|0;f=c[n>>2]|0;s=b+40|0;h1(c[p>>2]|0,f|0,(c[s>>2]|0)-f|0)|0;f=c[p>>2]|0;t=f+((c[s>>2]|0)-(c[n>>2]|0))|0;c[n>>2]=t;if((f|0)==(b+44|0)){u=8}else{u=c[b+52>>2]|0}v=f+u|0;c[s>>2]=v;f=b+60|0;c[h>>2]=(c[f>>2]|0)-q;c[j>>2]=v-t;v=c[(TE(h,j)|0)>>2]|0;w=b+72|0;x=w;y=b+80|0;z=c[x+4>>2]|0;c[y>>2]=c[x>>2];c[y+4>>2]=z;z=kd(t|0,1,v|0,c[l>>2]|0)|0;if((z|0)==0){r=-1;break}v=c[b+68>>2]|0;if((v|0)==0){t=Bd(4)|0;g0(t);vc(t|0,1690592,180);return 0}t=(c[n>>2]|0)+z|0;c[s>>2]=t;z=c[p>>2]|0;y=DT(o)|0;if((UE(v,w,z,t,n,y+q|0,y+(c[f>>2]|0)|0,k)|0)==3){f=c[p>>2]|0;HT(o,f,f,c[s>>2]|0);r=QE(a[ET(o)|0]|0)|0;break}s=c[k>>2]|0;f=DT(o)|0;p=f+q|0;if((s|0)==(p|0)){r=-1;break}HT(o,f,p,s);r=QE(a[ET(o)|0]|0)|0}else{r=QE(a[g]|0)|0}}while(0);if((DT(o)|0)!=(e|0)){m=r;i=d;return m|0}HT(o,0,0,0);m=r;i=d;return m|0}function JE(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;if((c[b+64>>2]|0)==0){e=-1;return e|0}f=b|0;g=DT(f)|0;h=ET(f)|0;if(!(g>>>0<h>>>0)){e=-1;return e|0}if(ME(d,-1)|0){GT(f,-1);e=PE(d)|0;return e|0}g=(c[b+88>>2]&16|0)==0;b=NE(d)|0;do{if(g){if(RE(b,a[h-1|0]|0)|0){break}else{e=-1}return e|0}}while(0);GT(f,-1);a[ET(f)|0]=b;e=d;return e|0}function KE(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=i;i=i+24|0;f=e|0;g=e+8|0;h=e+16|0;j=b+64|0;if((c[j>>2]|0)==0){k=-1;i=e;return k|0}LE(b);l=b|0;m=IT(l)|0;n=KT(l)|0;if(!(ME(d,-1)|0)){if((JT(l)|0)==0){MT(l,f,f+1|0)}f=NE(d)|0;a[JT(l)|0]=f;LT(l,1)}f=JT(l)|0;o=IT(l)|0;if((f|0)!=(o|0)){a:do{if((a[b+98|0]|0)==0){p=b+32|0;q=c[p>>2]|0;c[g>>2]=q;r=b+68|0;s=c[r>>2]|0;if((s|0)==0){t=Bd(4)|0;u=t;g0(u);vc(t|0,1690592,180);return 0}v=b+72|0;w=b+52|0;x=s;s=q;while(1){q=IT(l)|0;y=JT(l)|0;z=OE(x,v,q,y,h,s,s+(c[w>>2]|0)|0,g)|0;y=c[h>>2]|0;A=IT(l)|0;if((y|0)==(A|0)){k=-1;B=22;break}if((z|0)==3){B=14;break}if(!(z>>>0<2>>>0)){k=-1;B=22;break}y=c[p>>2]|0;q=(c[g>>2]|0)-y|0;if((Ya(y|0,1,q|0,c[j>>2]|0)|0)!=(q|0)){k=-1;B=22;break}if((z|0)!=1){break a}z=c[h>>2]|0;MT(l,z,JT(l)|0);z=KT(l)|0;LT(l,z-(IT(l)|0)|0);z=c[r>>2]|0;if((z|0)==0){B=11;break}x=z;s=c[p>>2]|0}if((B|0)==11){t=Bd(4)|0;u=t;g0(u);vc(t|0,1690592,180);return 0}else if((B|0)==14){p=(JT(l)|0)-A|0;if((Ya(A|0,1,p|0,c[j>>2]|0)|0)==(p|0)){break}else{k=-1}i=e;return k|0}else if((B|0)==22){i=e;return k|0}}else{p=f-o|0;if((Ya(o|0,1,p|0,c[j>>2]|0)|0)==(p|0)){break}else{k=-1}i=e;return k|0}}while(0);MT(l,m,n)}k=PE(d)|0;i=e;return k|0}function LE(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+92|0;if((c[d>>2]&16|0)!=0){return}e=b|0;HT(e,0,0,0);f=c[b+52>>2]|0;do{if(f>>>0>8>>>0){if((a[b+98|0]|0)==0){g=c[b+56>>2]|0;MT(e,g,g+((c[b+60>>2]|0)-1)|0);break}else{g=c[b+32>>2]|0;MT(e,g,g+(f-1)|0);break}}else{MT(e,0,0)}}while(0);c[d>>2]=16;return}function ME(a,b){a=a|0;b=b|0;return(a|0)==(b|0)|0}function NE(a){a=a|0;return a&255|0}function OE(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return oe[c[(c[a>>2]|0)+12>>2]&31](a,b,d,e,f,g,h,i)|0}function PE(a){a=a|0;var b=0;b=ME(a,-1)|0;return(b?0:a)|0}function QE(a){a=a|0;return a&255|0}function RE(a,b){a=a|0;b=b|0;return a<<24>>24==b<<24>>24|0}function SE(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+92|0;if((c[d>>2]&8|0)!=0){e=0;return e|0}f=b|0;MT(f,0,0);if((a[b+98|0]|0)==0){g=c[b+56>>2]|0;h=g+(c[b+60>>2]|0)|0;HT(f,g,h,h)}else{h=c[b+32>>2]|0;g=h+(c[b+52>>2]|0)|0;HT(f,h,g,g)}c[d>>2]=8;e=1;return e|0}function TE(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=VE(a,b,c|0)|0;i=c;return d|0}function UE(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return oe[c[(c[a>>2]|0)+16>>2]&31](a,b,d,e,f,g,h,i)|0}function VE(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=WE(0,c,b)|0;i=e;return(f?c:b)|0}function WE(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)>>>0<(c[d>>2]|0)>>>0|0}function XE(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;return _d[c[(c[a>>2]|0)+20>>2]&127](a,b,d,e,f)|0}function YE(a){a=a|0;return Zd[c[(c[a>>2]|0)+24>>2]&255](a)|0}function ZE(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;return _d[c[(c[a>>2]|0)+32>>2]&127](a,b,d,e,f)|0}function _E(a,b){a=a|0;b=b|0;var d=0;d=b;b=a;a=c[d+4>>2]|0;c[b>>2]=c[d>>2];c[b+4>>2]=a;return}function $E(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+8|0;c[b>>2]=c[e>>2];c[b+4>>2]=c[e+4>>2];e=b;b=a;a=c[e+4>>2]|0;c[b>>2]=c[e>>2];c[b+4>>2]=a;i=d;return}function aF(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=bF(a,b,c|0)|0;i=c;return d|0}function bF(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=cF(0,b,c)|0;i=e;return(f?c:b)|0}function cF(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)<(c[d>>2]|0)|0}function dF(a){a=a|0;return gZ(a,1732552)|0}function eF(a){a=a|0;return Zd[c[(c[a>>2]|0)+28>>2]&255](a)|0}function fF(a){a=a|0;gF(a|0);return}function gF(a){a=a|0;hF(a);return}function hF(a){a=a|0;iF(a,LD(a)|0);return}function iF(a,b){a=a|0;b=b|0;var d=0;d=i;i=i+8|0;SD(d|0);if((b|0)==0){i=d;return}iF(a,c[b>>2]|0);iF(a,c[b+4>>2]|0);kF(jF(a)|0,b,1);i=d;return}function jF(a){a=a|0;return mF(a+4|0)|0}function kF(a,b,c){a=a|0;b=b|0;c=c|0;lF(0,b,0);return}function lF(a,b,c){a=a|0;b=b|0;c=c|0;J0(b);return}function mF(a){a=a|0;return nF(a|0)|0}function nF(a){a=a|0;return a|0}function oF(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=pF(a,e,b)|0;k=c[j>>2]|0;SD(d+8|0);if((k|0)!=0){l=k;m=l+20|0;i=d;return m|0}rF(h,a,b);sF(g,h);qF(f,g);tF(h);h=c[e>>2]|0;uF(a|0,h,j,vF(f)|0);j=wF(f)|0;tF(f);l=j;m=l+20|0;i=d;return m|0}function pF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=LD(h)|0;SD(e|0);if((a|0)==0){j=CD(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(PD(0,d,a)|0){m=l|0;j=c[m>>2]|0;SD(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(PD(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;SD(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function qF(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];iG(a,b);i=d;return}function rF(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=jF(c|0)|0;c=TF(k,1)|0;UF(g,k);SF(f,c,g);VF(0,OF((WF(f)|0)+16|0)|0,d);d=XF(f)|0;a[d+4|0]=1;YF(0,NF((WF(f)|0)+20|0)|0);a[d+5|0]=1;ZF(j,f);sF(h,j);qF(b,h);tF(j);tF(f);i=e;return}function sF(a,b){a=a|0;b=b|0;QF(a,b);return}function tF(a){a=a|0;JF(a);return}function uF(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;SD(f|0);c[e>>2]=0;SD(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=BF(a)|0;b=c[c[e>>2]>>2]|0;SD(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(CD(a)|0)>>2]|0;CF(e,c[d>>2]|0);d=DF(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function vF(a){a=a|0;return c[(zF(a|0)|0)>>2]|0}function wF(a){a=a|0;var b=0;b=xF(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function xF(a){a=a|0;return yF(a|0)|0}function yF(a){a=a|0;return a|0}function zF(a){a=a|0;return AF(a|0)|0}function AF(a){a=a|0;return a|0}function BF(a){a=a|0;return a|0}function CF(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=(d|0)==(b|0);a[d+12|0]=h&1;if(h){i=e;return}else{j=d}while(1){k=j+8|0;d=c[k>>2]|0;if((a[d+12|0]|0)!=0){l=17;break}h=GF(d)|0;m=c[d+8>>2]|0;if(h){h=c[m+4>>2]|0;SD(f);if((h|0)==0){l=7;break}d=h+12|0;if((a[d]|0)!=0){l=7;break}h=c[k>>2]|0;a[h+12|0]=1;n=c[h+8>>2]|0;a[n+12|0]=(n|0)==(b|0)|0;a[d]=1;o=n}else{n=c[m>>2]|0;SD(g);if((n|0)==0){l=14;break}m=n+12|0;if((a[m]|0)!=0){l=14;break}n=c[k>>2]|0;a[n+12|0]=1;d=c[n+8>>2]|0;a[d+12|0]=(d|0)==(b|0)|0;a[m]=1;o=d}if((o|0)==(b|0)){l=17;break}else{j=o}}if((l|0)==7){if(GF(j)|0){p=j}else{o=c[k>>2]|0;HF(o);p=o}o=c[p+8>>2]|0;a[o+12|0]=1;p=c[o+8>>2]|0;a[p+12|0]=0;IF(p);i=e;return}else if((l|0)==14){if(GF(j)|0){p=c[k>>2]|0;IF(p);q=p}else{q=j}j=c[q+8>>2]|0;a[j+12|0]=1;q=c[j+8>>2]|0;a[q+12|0]=0;HF(q);i=e;return}else if((l|0)==17){i=e;return}}function DF(a){a=a|0;return EF(a+8|0)|0}function EF(a){a=a|0;return FF(a|0)|0}function FF(a){a=a|0;return a|0}function GF(a){a=a|0;return(c[c[a+8>>2]>>2]|0)==(a|0)|0}function HF(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=a+4|0;e=c[d>>2]|0;f=e|0;g=c[f>>2]|0;c[d>>2]=g;SD(b|0);if((g|0)!=0){c[(c[d>>2]|0)+8>>2]=a}d=a+8|0;c[e+8>>2]=c[d>>2];g=GF(a)|0;h=c[d>>2]|0;if(g){c[h>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}else{c[h+4>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}}function IF(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=a|0;e=c[d>>2]|0;f=e+4|0;g=c[f>>2]|0;c[d>>2]=g;SD(b|0);if((g|0)!=0){c[(c[d>>2]|0)+8>>2]=a}d=a+8|0;c[e+8>>2]=c[d>>2];g=GF(a)|0;h=c[d>>2]|0;if(g){c[h>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}else{c[h+4>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}}function JF(a){a=a|0;KF(a,0);return}function KF(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=xF(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}MF(LF(d)|0,e);return}function LF(a){a=a|0;return PF(a|0)|0}function MF(a,b){a=a|0;b=b|0;if((b|0)==0){return}kF(c[a>>2]|0,b,1);return}function NF(a){a=a|0;return a|0}function OF(a){a=a|0;return a|0}function PF(a){a=a|0;return a+4|0}function QF(a,b){a=a|0;b=b|0;RF(a,b);return}function RF(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function SF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];aG(a,b,d);i=e;return}function TF(a,b){a=a|0;b=b|0;return $F(0,b,0)|0}function UF(a,b){a=a|0;b=b|0;_F(a,b);return}function VF(a,b,d){a=a|0;b=b|0;d=d|0;if((b|0)==0){return}c[b>>2]=c[d>>2];return}function WF(a){a=a|0;return c[(zF(a|0)|0)>>2]|0}function XF(a){a=a|0;return LF(a|0)|0}function YF(a,b){a=a|0;b=b|0;if((b|0)==0){return}c[b>>2]=0;return}function ZF(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;QF(f,b);qF(e,f);sF(d,e);qF(a,d);tF(e);i=c;return}function _F(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function $F(a,b,c){a=a|0;b=b|0;c=c|0;return H0(b*24|0)|0}function aG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(cG(f)|0)>>2]|0;f=dG(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;bG(a|0,b,g);i=e;return}function bG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];eG(a,b,d);i=e;return}function cG(a){a=a|0;return a|0}function dG(a){a=a|0;return a|0}function eG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(gG(f)|0)>>2]|0;f=hG(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;fG(a|0,b,g);i=e;return}function fG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(gG(f)|0)>>2];f=hG(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function gG(a){a=a|0;return a|0}function hG(a){a=a|0;return a|0}function iG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=wF(jG(b)|0)|0;g=hG(XF(jG(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;bG(a|0,f,e);i=d;return}function jG(a){a=a|0;return c[a>>2]|0}function kG(a){a=a|0;var b=0;b=i;i=i+48|0;lG(a|0);eD(a+184|0,0,0);eD(a+200|0,0,0);mG(a+240|0,b|0);mG(a+252|0,b+8|0);mG(a+264|0,b+16|0);mG(a+276|0,b+24|0);mG(a+288|0,b+32|0);mG(a+300|0,b+40|0);i=b;return}function lG(a){a=a|0;var b=0,d=0,e=0;b=a+104|0;tT(b);d=a|0;c[d>>2]=1686244;e=b|0;c[e>>2]=1686264;b=a+4|0;AU(a,1687236,b|0);c[d>>2]=1686244;c[e>>2]=1686264;zG(b);return}function mG(a,b){a=a|0;b=b|0;nG(a,0);return}function nG(a,b){a=a|0;b=b|0;b=i;i=i+8|0;oG(a|0,b|0);i=b;return}function oG(a,b){a=a|0;b=b|0;pG(a,0);return}function pG(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;qG(a+4|0);rG(a+8|0,0,b|0);d=CD(a)|0;c[(BF(a)|0)>>2]=d;i=b;return}function qG(a){a=a|0;vG(a);return}function rG(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;sG(b,c,d);i=e;return}function sG(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;tG(b|0,c[(uG(g)|0)>>2]|0,f+8|0);i=f;return}function tG(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(uG(g)|0)>>2];i=f;return}function uG(a){a=a|0;return a|0}function vG(a){a=a|0;wG(a|0);return}function wG(a){a=a|0;xG(a|0);return}function xG(a){a=a|0;yG(a);return}function yG(a){a=a|0;c[a>>2]=0;return}function zG(a){a=a|0;AG(a);return}function AG(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;i=i+24|0;e=d+8|0;f=d+16|0;g=b|0;CT(g);c[b>>2]=1686528;c[b+32>>2]=0;c[b+36>>2]=0;c[b+40>>2]=0;h=b+68|0;e1(b+52|0,0,16)|0;SD(d|0);e1(h|0,0,31)|0;yT(e,g);j=BG(e)|0;eZ(e);if(j){yT(f,g);c[h>>2]=dF(f)|0;eZ(f);a[b+98|0]=(eF(c[h>>2]|0)|0)&1}$d[c[(c[b>>2]|0)+12>>2]&127](b,0,4096)|0;i=d;return}function BG(a){a=a|0;return fZ(a,1732552)|0}function CG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;e=c[a+12>>2]|0;pz(3);f=e+8|0;g=c[f>>2]|0;h=e+12|0;j=c[h>>2]|0;if((g|0)<(j|0)){DG(a,b,c[e>>2]|0,f);sz(3);i=d;return}k=~~(+(j|0)*1.4+ +(j-g|0)+2.0e3);c[h>>2]=k;g=e;j=e+16|0;e=E0(c[g>>2]|0,ga(k<<3,c[j>>2]|0)|0)|0;k=e;c[g>>2]=k;if((e|0)==0){e=ga(c[j>>2]|0,c[h>>2]|0)|0;Jx(c[b+536>>2]|0,1666888,(h=i,i=i+8|0,c[h>>2]=e,h)|0);i=h}DG(a,b,k,f);sz(3);i=d;return}function DG(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=c[b+12>>2]|0;sz(0);i=+kz(0);pz(0);j=c[c[d+4>>2]>>2]|0;k=j|0;l=+h[k>>3];m=g+4|0;g=c[m>>2]|0;n=g+1|0;c[m>>2]=n;h[e+(g<<3)>>3]=l;if((c[b+8>>2]|0)==0){o=n}else{b=g+2|0;c[m>>2]=b;h[e+(n<<3)>>3]=i;o=b}b=d+116|0;n=c[b>>2]|0;if((n|0)>0){g=c[d+8>>2]|0;p=0;q=o;r=n;while(1){if((a[g+(p*112|0)+104|0]|0)==0){i=+h[(c[j+8>>2]|0)+(p<<3)>>3];n=q+1|0;c[m>>2]=n;h[e+(q<<3)>>3]=i;s=n;t=c[b>>2]|0}else{s=q;t=r}n=p+1|0;if((n|0)<(t|0)){p=n;q=s;r=t}else{u=s;break}}}else{u=o}o=d+124|0;s=c[o>>2]|0;if((s|0)>0){t=c[d+12>>2]|0;r=0;q=u;p=s;while(1){if((a[t+(r*60|0)+56|0]|0)==0){i=+(c[(c[j+12>>2]|0)+(r<<2)>>2]|0);s=q+1|0;c[m>>2]=s;h[e+(q<<3)>>3]=i;v=s;w=c[o>>2]|0}else{v=q;w=p}s=r+1|0;if((s|0)<(w|0)){r=s;q=v;p=w}else{x=v;break}}}else{x=u}u=d+128|0;v=c[u>>2]|0;if((v|0)>0){w=c[d+16>>2]|0;p=0;q=x;r=v;while(1){if((a[w+(p*48|0)+44|0]|0)==0){i=+(a[(c[j+16>>2]|0)+p|0]|0);v=q+1|0;c[m>>2]=v;h[e+(q<<3)>>3]=i;y=v;z=c[u>>2]|0}else{y=q;z=r}v=p+1|0;if((v|0)<(z|0)){p=v;q=y;r=z}else{A=y;break}}}else{A=x}x=d+216|0;if((c[x>>2]|0)>0){y=d+416|0;z=c[d+40>>2]|0;r=0;q=A;while(1){do{if((a[z+(r*52|0)+48|0]|0)==0){p=a[z+(r*52|0)+8|0]|0;do{if(p<<24>>24==2){B=k}else{u=c[z+(r*52|0)+4>>2]|0;if(p<<24>>24==1){B=(c[y>>2]|0)+(u<<3)|0;break}else{B=(c[j+8>>2]|0)+(u<<3)|0;break}}}while(0);i=+h[B>>3];if((c[z+(r*52|0)>>2]|0)==0){p=q+1|0;c[m>>2]=p;h[e+(q<<3)>>3]=i;C=p;break}else{p=q+1|0;c[m>>2]=p;h[e+(q<<3)>>3]=-0.0-i;C=p;break}}else{C=q}}while(0);p=r+1|0;if((p|0)<(c[x>>2]|0)){r=p;q=C}else{D=C;break}}}else{D=A}A=d+220|0;if((c[A>>2]|0)>0){C=d+40|0;q=d+420|0;r=c[d+44>>2]|0;x=0;z=D;while(1){do{if((a[r+(x*52|0)+48|0]|0)==0){B=c[(c[((a[r+(x*52|0)+8|0]|0)==1?q:j+12|0)>>2]|0)+(c[(c[C>>2]|0)+(x*52|0)+4>>2]<<2)>>2]|0;if((c[r+(x*52|0)>>2]|0)==0){y=z+1|0;c[m>>2]=y;h[e+(z<<3)>>3]=+(B|0);E=y;break}else{y=z+1|0;c[m>>2]=y;h[e+(z<<3)>>3]=+(-B|0);E=y;break}}else{E=z}}while(0);y=x+1|0;if((y|0)<(c[A>>2]|0)){x=y;z=E}else{F=E;break}}}else{F=D}D=d+224|0;if((c[D>>2]|0)<=0){G=c[f>>2]|0;H=G+1|0;c[f>>2]=H;return}E=d+44|0;z=d+40|0;x=d+424|0;A=c[d+48>>2]|0;d=0;r=F;while(1){do{if((a[A+(d*52|0)+48|0]|0)==0){F=a[(c[((a[(c[E>>2]|0)+(d*52|0)+8|0]|0)==1?x:j+16|0)>>2]|0)+(c[(c[z>>2]|0)+(d*52|0)+4>>2]|0)|0]|0;if((c[A+(d*52|0)>>2]|0)==0){C=r+1|0;c[m>>2]=C;h[e+(r<<3)>>3]=+(F<<24>>24|0);I=C;break}else{C=r+1|0;c[m>>2]=C;h[e+(r<<3)>>3]=+(F<<24>>24!=1|0);I=C;break}}else{I=r}}while(0);C=d+1|0;if((C|0)<(c[D>>2]|0)){d=C;r=I}else{break}}G=c[f>>2]|0;H=G+1|0;c[f>>2]=H;return}function EG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;e=B0(24)|0;pz(3);f=e;c[f>>2]=0;g=e+4|0;c[g>>2]=0;c[e+8>>2]=0;h=e+16|0;c[h>>2]=0;j=a+4|0;k=c[j>>2]|0;c[e+12>>2]=k;l=b+536|0;Ix(c[l>>2]|0,k>>>31^1,1676608,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+8|0;b=c[a+8>>2]|0;c[e+20>>2]=FG(b,m)|0;n=FG(b,m)|0;c[h>>2]=n;h=c[j>>2]|0;j=B0(ga(n<<3,h)|0)|0;c[f>>2]=j;if((j|0)==0){j=ga(n,h)|0;Jx(c[l>>2]|0,1656616,(k=i,i=i+8|0,c[k>>2]=j,k)|0);i=k}else{c[g>>2]=0;c[a+12>>2]=e;sz(3);i=d;return}}function FG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=(b|0)==0?1:2;b=c[d+108>>2]|0;if((b|0)>0){f=c[d>>2]|0;g=e;h=0;while(1){i=((a[f+(h*112|0)+104|0]|0)==0)+g|0;j=h+1|0;if((j|0)<(b|0)){g=i;h=j}else{k=i;break}}}else{k=e}e=c[d+116>>2]|0;if((e|0)>0){h=c[d+4>>2]|0;g=k;b=0;while(1){f=((a[h+(b*60|0)+56|0]|0)==0)+g|0;i=b+1|0;if((i|0)<(e|0)){g=f;b=i}else{l=f;break}}}else{l=k}k=c[d+120>>2]|0;if((k|0)>0){b=c[d+8>>2]|0;g=l;e=0;while(1){h=((a[b+(e*48|0)+44|0]|0)==0)+g|0;f=e+1|0;if((f|0)<(k|0)){g=h;e=f}else{m=h;break}}}else{m=l}l=c[d+208>>2]|0;if((l|0)>0){e=c[d+32>>2]|0;g=m;k=0;while(1){b=((a[e+(k*52|0)+48|0]|0)==0)+g|0;h=k+1|0;if((h|0)<(l|0)){g=b;k=h}else{n=b;break}}}else{n=m}m=c[d+212>>2]|0;if((m|0)>0){k=c[d+36>>2]|0;g=n;l=0;while(1){e=((a[k+(l*52|0)+48|0]|0)==0)+g|0;b=l+1|0;if((b|0)<(m|0)){g=e;l=b}else{o=e;break}}}else{o=n}n=c[d+216>>2]|0;if((n|0)<=0){p=o;return p|0}l=c[d+40>>2]|0;d=o;o=0;while(1){g=((a[l+(o*52|0)+48|0]|0)==0)+d|0;m=o+1|0;if((m|0)<(n|0)){d=g;o=m}else{p=g;break}}return p|0}function GG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;e=i;f=b+12|0;g=c[f>>2]|0;j=g;pz(3);k=b|0;l=zc(c[k>>2]|0,1645480)|0;if((l|0)==0){HG(j);m=c[d+536>>2]|0;n=c[k>>2]|0;o=_c(c[(Zc()|0)>>2]|0)|0;Jx(m,1635608,(p=i,i=i+16|0,c[p>>2]=n,c[p+8>>2]=o,p)|0);i=p}Ya(42952,46,1,l|0)|0;o=g+20|0;od(l|0,37944,(p=i,i=i+8|0,c[p>>2]=c[o>>2],p)|0)|0;i=p;n=g+8|0;od(l|0,33128,(p=i,i=i+8|0,c[p>>2]=c[n>>2],p)|0)|0;i=p;Ya(28864,40,1,l|0)|0;Ya(25200,11,1,l|0)|0;Ya(1682192,14,1,l|0)|0;if((c[n>>2]|0)>0){m=g;q=0;do{r=ga(c[o>>2]|0,q)|0;s=+h[(c[m>>2]|0)+(r<<3)>>3];IG(l,s,s);q=q+1|0;}while((q|0)<(c[n>>2]|0))}Wa(10,l|0)|0;if((c[b+8>>2]|0)==0){t=1}else{Ya(1673936,18,1,l|0)|0;if((c[n>>2]|0)>0){b=g;q=0;do{m=ga(c[o>>2]|0,q)|0;r=c[b>>2]|0;IG(l,+h[r+(m<<3)>>3],+h[r+(m+1<<3)>>3]);q=q+1|0;}while((q|0)<(c[n>>2]|0))}Wa(10,l|0)|0;t=2}q=d+116|0;b=c[q>>2]|0;if((b|0)>0){m=d+8|0;r=g;u=t;v=0;w=b;while(1){b=c[m>>2]|0;if((a[b+(v*112|0)+104|0]|0)==0){od(l|0,1670584,(p=i,i=i+8|0,c[p>>2]=c[b+(v*112|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){b=0;do{x=ga(c[o>>2]|0,b)|0;y=c[r>>2]|0;IG(l,+h[y+(x<<3)>>3],+h[y+(x+u<<3)>>3]);b=b+1|0;}while((b|0)<(c[n>>2]|0))}Wa(10,l|0)|0;z=u+1|0;A=c[q>>2]|0}else{z=u;A=w}b=v+1|0;if((b|0)<(A|0)){u=z;v=b;w=A}else{B=z;break}}}else{B=t}t=d+124|0;z=c[t>>2]|0;if((z|0)>0){A=d+12|0;w=g;v=B;u=0;q=z;while(1){z=c[A>>2]|0;if((a[z+(u*60|0)+56|0]|0)==0){od(l|0,1670584,(p=i,i=i+8|0,c[p>>2]=c[z+(u*60|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){z=0;do{r=ga(c[o>>2]|0,z)|0;m=c[w>>2]|0;IG(l,+h[m+(r<<3)>>3],+h[m+(r+v<<3)>>3]);z=z+1|0;}while((z|0)<(c[n>>2]|0))}Wa(10,l|0)|0;C=v+1|0;D=c[t>>2]|0}else{C=v;D=q}z=u+1|0;if((z|0)<(D|0)){v=C;u=z;q=D}else{E=C;break}}}else{E=B}B=d+128|0;C=c[B>>2]|0;if((C|0)>0){D=d+16|0;q=g;u=E;v=0;t=C;while(1){C=c[D>>2]|0;if((a[C+(v*48|0)+44|0]|0)==0){od(l|0,1670584,(p=i,i=i+8|0,c[p>>2]=c[C+(v*48|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){C=0;do{w=ga(c[o>>2]|0,C)|0;A=c[q>>2]|0;IG(l,+h[A+(w<<3)>>3],+h[A+(w+u<<3)>>3]);C=C+1|0;}while((C|0)<(c[n>>2]|0))}Wa(10,l|0)|0;F=u+1|0;G=c[B>>2]|0}else{F=u;G=t}C=v+1|0;if((C|0)<(G|0)){u=F;v=C;t=G}else{H=F;break}}}else{H=E}E=d+216|0;F=c[E>>2]|0;if((F|0)>0){G=d+40|0;t=g;v=H;u=0;B=F;while(1){F=c[G>>2]|0;if((a[F+(u*52|0)+48|0]|0)==0){od(l|0,1670584,(p=i,i=i+8|0,c[p>>2]=c[F+(u*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){F=0;do{q=ga(c[o>>2]|0,F)|0;D=c[t>>2]|0;IG(l,+h[D+(q<<3)>>3],+h[D+(q+v<<3)>>3]);F=F+1|0;}while((F|0)<(c[n>>2]|0))}Wa(10,l|0)|0;I=v+1|0;J=c[E>>2]|0}else{I=v;J=B}F=u+1|0;if((F|0)<(J|0)){v=I;u=F;B=J}else{K=I;break}}}else{K=H}H=d+220|0;I=c[H>>2]|0;if((I|0)>0){J=d+44|0;B=g;u=K;v=0;E=I;while(1){I=c[J>>2]|0;if((a[I+(v*52|0)+48|0]|0)==0){od(l|0,1670584,(p=i,i=i+8|0,c[p>>2]=c[I+(v*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){I=0;do{t=ga(c[o>>2]|0,I)|0;G=c[B>>2]|0;IG(l,+h[G+(t<<3)>>3],+h[G+(t+u<<3)>>3]);I=I+1|0;}while((I|0)<(c[n>>2]|0))}Wa(10,l|0)|0;L=u+1|0;M=c[H>>2]|0}else{L=u;M=E}I=v+1|0;if((I|0)<(M|0)){u=L;v=I;E=M}else{N=L;break}}}else{N=K}K=d+224|0;L=c[K>>2]|0;if((L|0)>0){M=d+48|0;E=g;g=N;N=0;v=L;while(1){L=c[M>>2]|0;if((a[L+(N*52|0)+48|0]|0)==0){od(l|0,1670584,(p=i,i=i+8|0,c[p>>2]=c[L+(N*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){L=0;do{u=ga(c[o>>2]|0,L)|0;H=c[E>>2]|0;IG(l,+h[H+(u<<3)>>3],+h[H+(u+g<<3)>>3]);L=L+1|0;}while((L|0)<(c[n>>2]|0))}Wa(10,l|0)|0;O=g+1|0;P=c[K>>2]|0}else{O=g;P=v}L=N+1|0;if((L|0)<(P|0)){g=O;N=L;v=P}else{break}}}HG(j);if((Pa(l|0)|0)==0){C0(c[f>>2]|0);c[f>>2]=0;sz(3);i=e;return}else{Jx(c[d+536>>2]|0,1667584,(p=i,i=i+8|0,c[p>>2]=c[k>>2],p)|0);i=p}}function HG(a){a=a|0;var b=0;b=a|0;a=c[b>>2]|0;if((a|0)==0){return}C0(a);c[b>>2]=0;return}function IG(a,b,c){a=a|0;b=+b;c=+c;var d=0;d=i;od(a|0,1665128,(a=i,i=i+16|0,h[a>>3]=b,h[a+8>>3]=c,a)|0)|0;i=a;i=d;return}function JG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+64|0;e=d|0;f=d+16|0;g=d+32|0;h=d+48|0;j=H0(192)|0;e1(j|0,0,192)|0;KG(j);c[a+12>>2]=j;k=j;l=a|0;fD(k,c[l>>2]|0,36);if(hT(j+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Jx(c[b+536>>2]|0,1666616,(a=i,i=i+8|0,c[a>>2]=c[l>>2],a)|0);i=a}a=j;MU(a,17584,14)|0;NU(e,a);l=sE(e)|0;e=j+184|0;c[e>>2]=l;MU(a,1728872,4)|0;LG(k,b+8|0);NU(f,a);b=sE(f)|0;f=b;b=j+188|0;c[b>>2]=f;j=c[e>>2]|0;eD(g,j,(j|0)<0|0?-1:0);OU(a,g)|0;MG(k,-4-j+f|0);f=c[b>>2]|0;eD(h,f,(f|0)<0|0?-1:0);OU(a,h)|0;sz(3);i=d;return}function KG(a){a=a|0;dH(a);return}function LG(a,b){a=a|0;b=b|0;OG(a,3);PG(a,1652392);OG(a,0);PG(a,1651248);OG(a,2);_G(a,b);$G(a,b);PG(a,1650064);OG(a,0);return}function MG(a,b){a=a|0;b=b|0;c[428910]=id(b|0)|0;MU(a,1715640,4)|0;return}function NG(b,d,e,f){b=b|0;d=+d;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+80|0;j=g|0;k=g+16|0;l=g+32|0;m=g+48|0;n=g+64|0;o=b;NU(j,o);p=sE(j)|0;MG(b,0);NU(k,o);j=sE(k)|0;k=j;OG(b,1);PG(b,1656576);j=e+128|0;q=e+132|0;r=e+136|0;s=e+140|0;QG(b,(c[j>>2]|0)+1+(c[q>>2]|0)+(c[r>>2]|0)+(c[s>>2]|0)|0);RG(b,d);if((c[j>>2]|0)>0){e=f+176|0;t=0;do{RG(b,+h[(c[e>>2]|0)+(t<<3)>>3]);t=t+1|0;}while((t|0)<(c[j>>2]|0))}if((c[q>>2]|0)>0){j=f+180|0;t=0;do{SG(b,c[(c[j>>2]|0)+(t<<2)>>2]|0);t=t+1|0;}while((t|0)<(c[q>>2]|0))}if((c[r>>2]|0)>0){q=f+184|0;t=0;do{TG(b,(a[(c[q>>2]|0)+t|0]|0)!=0);t=t+1|0;}while((t|0)<(c[r>>2]|0))}if((c[s>>2]|0)>0){r=f+188|0;f=0;do{PG(b,c[(c[r>>2]|0)+(f<<2)>>2]|0);f=f+1|0;}while((f|0)<(c[s>>2]|0))}NU(l,o);s=sE(l)|0;l=s;s=p;eD(m,s,(s|0)<0|0?-1:0);OU(o,m)|0;MG(b,l-k|0);eD(n,l,(l|0)<0|0?-1:0);OU(o,n)|0;i=g;return}function OG(b,d){b=b|0;d=d|0;a[1728824]=-33;c[428912]=id(d|0)|0;d=b;MU(d,1728824,1)|0;MU(d,1715648,4)|0;return}function PG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;c[f>>2]=id(b1(d|0)|0)|0;a[1728832]=-37;g=b;MU(g,1728832,1)|0;MU(g,f,4)|0;MU(g,d,b1(d|0)|0)|0;i=e;return}function QG(b,d){b=b|0;d=d|0;a[1728840]=-35;c[428914]=id(d|0)|0;d=b;MU(d,1728840,1)|0;MU(d,1715656,4)|0;return}function RG(b,c){b=b|0;c=+c;var d=0;a[1728848]=-53;ZG(c);d=b;MU(d,1728848,1)|0;MU(d,1728728,8)|0;return}function SG(b,d){b=b|0;d=d|0;a[1728856]=-46;c[428916]=id(d|0)|0;d=b;MU(d,1728856,1)|0;MU(d,1715664,4)|0;return}function TG(b,c){b=b|0;c=c|0;a[1728864]=c?-61:-62;MU(b,1728864,1)|0;return}function UG(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[a+12>>2]|0;a=b+8|0;e=b+240|0;NG(d,+h[e>>3],a,e);NG(d,+h[b+248>>3],a,e);return}function VG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+80|0;f=e|0;g=e+16|0;j=e+32|0;k=e+48|0;l=e+64|0;m=c[b+12>>2]|0;b=m;n=m;NU(f,n);m=sE(f)|0;MG(b,0);NU(g,n);f=sE(g)|0;g=f;OG(b,1);PG(b,1645464);f=d+116|0;o=d+124|0;p=d+128|0;q=d+132|0;QG(b,(c[f>>2]|0)+1+(c[o>>2]|0)+(c[p>>2]|0)+(c[q>>2]|0)|0);r=d+4|0;RG(b,+h[c[c[r>>2]>>2]>>3]);if((c[f>>2]|0)>0){d=0;do{RG(b,+h[(c[(c[c[r>>2]>>2]|0)+8>>2]|0)+(d<<3)>>3]);d=d+1|0;}while((d|0)<(c[f>>2]|0))}if((c[o>>2]|0)>0){f=0;do{SG(b,c[(c[(c[c[r>>2]>>2]|0)+12>>2]|0)+(f<<2)>>2]|0);f=f+1|0;}while((f|0)<(c[o>>2]|0))}if((c[p>>2]|0)>0){o=0;do{TG(b,(a[(c[(c[c[r>>2]>>2]|0)+16>>2]|0)+o|0]|0)!=0);o=o+1|0;}while((o|0)<(c[p>>2]|0))}if((c[q>>2]|0)>0){p=0;do{PG(b,c[(c[(c[c[r>>2]>>2]|0)+20>>2]|0)+(p<<2)>>2]|0);p=p+1|0;}while((p|0)<(c[q>>2]|0))}NU(j,n);q=sE(j)|0;j=q;q=m;eD(k,q,(q|0)<0|0?-1:0);OU(n,k)|0;MG(b,j-g|0);eD(l,j,(j|0)<0|0?-1:0);OU(n,l)|0;i=e;return}function WG(a,b){a=a|0;b=b|0;b=a+12|0;a=c[b>>2]|0;$C(a);pz(3);if((a|0)==0){c[b>>2]=0;sz(3);return}XG(a);J0(a);c[b>>2]=0;sz(3);return}function XG(a){a=a|0;YG(a);return}function YG(a){a=a|0;vE(a|0);return}function ZG(b){b=+b;var d=0,e=0,f=0,g=0,j=0;d=i;i=i+8|0;e=d|0;f=e;h[e>>3]=b;if((id(1)|0)==1){g=e;e=c[g+4>>2]|0;j=1728728;c[j>>2]=c[g>>2];c[j+4>>2]=e;i=d;return}h[k>>3]=b;e=0;j=c[k>>2]&255;while(1){a[1728728+(7-e)|0]=j;g=e+1|0;if((g|0)>=8){break}e=g;j=a[f+g|0]|0}i=d;return}function _G(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+16|0;e=d|0;PG(a,1656576);OG(a,4);PG(a,1649064);OG(a,0);PG(a,1648168);f=b+128|0;g=b+132|0;h=b+136|0;j=b+140|0;QG(a,(c[f>>2]|0)+1+(c[g>>2]|0)+(c[h>>2]|0)+(c[j>>2]|0)|0);PG(a,1647272);if((c[f>>2]|0)>0){k=b+16|0;l=0;do{PG(a,c[(c[k>>2]|0)+(l*112|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[f>>2]|0))}if((c[g>>2]|0)>0){l=b+20|0;k=0;do{PG(a,c[(c[l>>2]|0)+(k*60|0)+4>>2]|0);k=k+1|0;}while((k|0)<(c[g>>2]|0))}if((c[h>>2]|0)>0){k=b+24|0;l=0;do{PG(a,c[(c[k>>2]|0)+(l*48|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[h>>2]|0))}if((c[j>>2]|0)>0){l=b+28|0;k=0;do{PG(a,c[(c[l>>2]|0)+(k*52|0)+4>>2]|0);k=k+1|0;}while((k|0)<(c[j>>2]|0))}k=e;c[k>>2]=c[4376];c[k+4>>2]=c[4377];c[k+8>>2]=c[4378];aH(a,b,e|0);PG(a,1646288);OG(a,(c[f>>2]|0)+1+(c[g>>2]|0)+(c[h>>2]|0)+(c[j>>2]|0)|0);bH(a,1647272,1644664);if((c[f>>2]|0)>0){e=b+16|0;k=0;do{l=c[e>>2]|0;bH(a,c[l+(k*112|0)+4>>2]|0,c[l+(k*112|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[f>>2]|0))}if((c[g>>2]|0)>0){f=b+20|0;k=0;do{e=c[f>>2]|0;bH(a,c[e+(k*60|0)+4>>2]|0,c[e+(k*60|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[g>>2]|0))}if((c[h>>2]|0)>0){g=b+24|0;k=0;do{f=c[g>>2]|0;bH(a,c[f+(k*48|0)+4>>2]|0,c[f+(k*48|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[h>>2]|0))}if((c[j>>2]|0)<=0){i=d;return}h=b+28|0;b=0;do{k=c[h>>2]|0;bH(a,c[k+(b*52|0)+4>>2]|0,c[k+(b*52|0)+8>>2]|0);b=b+1|0;}while((b|0)<(c[j>>2]|0));i=d;return}function $G(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;d=i;i=i+16|0;e=d|0;f=b+108|0;g=c[f>>2]|0;h=b+116|0;j=c[h>>2]|0;k=b+120|0;l=c[k>>2]|0;m=b+124|0;n=c[m>>2]|0;PG(a,1645464);OG(a,4);PG(a,1649064);OG(a,0);PG(a,1648168);o=g+1+j+l+n|0;QG(a,o);PG(a,1647272);if((c[f>>2]|0)>0){n=b|0;l=0;do{PG(a,c[(c[n>>2]|0)+(l*112|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[f>>2]|0))}if((c[h>>2]|0)>0){l=b+4|0;n=0;do{PG(a,c[(c[l>>2]|0)+(n*60|0)+4>>2]|0);n=n+1|0;}while((n|0)<(c[h>>2]|0))}if((c[k>>2]|0)>0){n=b+8|0;l=0;do{PG(a,c[(c[n>>2]|0)+(l*48|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[k>>2]|0))}if((c[m>>2]|0)>0){l=b+12|0;n=0;do{PG(a,c[(c[l>>2]|0)+(n*52|0)+4>>2]|0);n=n+1|0;}while((n|0)<(c[m>>2]|0))}n=e;c[n>>2]=c[4380];c[n+4>>2]=c[4381];c[n+8>>2]=c[4382];aH(a,b,e|0);PG(a,1646288);OG(a,o);bH(a,1647272,1644664);if((c[f>>2]|0)>0){o=b|0;e=0;do{n=c[o>>2]|0;bH(a,c[n+(e*112|0)+4>>2]|0,c[n+(e*112|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[f>>2]|0))}if((c[h>>2]|0)>0){f=b+4|0;e=0;do{o=c[f>>2]|0;bH(a,c[o+(e*60|0)+4>>2]|0,c[o+(e*60|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[h>>2]|0))}if((c[k>>2]|0)>0){h=b+8|0;e=0;do{f=c[h>>2]|0;bH(a,c[f+(e*48|0)+4>>2]|0,c[f+(e*48|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[k>>2]|0))}if((c[m>>2]|0)<=0){i=d;return}k=b+12|0;b=0;do{e=c[k>>2]|0;bH(a,c[e+(b*52|0)+4>>2]|0,c[e+(b*52|0)+8>>2]|0);b=b+1|0;}while((b|0)<(c[m>>2]|0));i=d;return}function aH(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;PG(b,1642608);f=d+208|0;g=c[f>>2]|0;if((g|0)>0){h=c[d+32>>2]|0;i=0;j=0;while(1){k=(c[e+(a[h+(i*52|0)+8|0]<<2)>>2]|0)+j|0;l=i+1|0;if((l|0)<(g|0)){i=l;j=k}else{m=k;break}}}else{m=0}j=d+212|0;i=c[j>>2]|0;if((i|0)>0){g=c[d+36>>2]|0;h=0;k=m;while(1){l=(c[e+(a[g+(h*52|0)+8|0]<<2)>>2]|0)+k|0;n=h+1|0;if((n|0)<(i|0)){h=n;k=l}else{o=l;break}}}else{o=m}m=d+216|0;k=c[m>>2]|0;if((k|0)>0){h=c[d+40>>2]|0;i=0;g=o;while(1){l=(c[e+(a[h+(i*52|0)+8|0]<<2)>>2]|0)+g|0;n=i+1|0;if((n|0)<(k|0)){i=n;g=l}else{p=l;break}}}else{p=o}o=d+220|0;g=c[o>>2]|0;if((g|0)>0){i=c[d+44>>2]|0;k=0;h=p;while(1){l=(c[e+(a[i+(k*52|0)+8|0]<<2)>>2]|0)+h|0;n=k+1|0;if((n|0)<(g|0)){k=n;h=l}else{q=l;break}}}else{q=p}OG(b,q);q=c[f>>2]|0;if((q|0)>0){p=d+32|0;h=d+16|0;k=d|0;g=0;i=0;l=q;while(1){q=c[p>>2]|0;n=a[q+(g*52|0)+8|0]|0;if((c[e+(n<<24>>24<<2)>>2]|0)==0){r=i;s=l}else{t=n<<24>>24==2?1647272:i;if((n<<24>>24|0)==1){u=c[(c[h>>2]|0)+((c[q+(g*52|0)+4>>2]|0)*112|0)+4>>2]|0}else if((n<<24>>24|0)==0){u=c[(c[k>>2]|0)+((c[q+(g*52|0)+4>>2]|0)*112|0)+4>>2]|0}else{u=t}cH(b,c[q+(g*52|0)+16>>2]|0,u,(c[q+(g*52|0)>>2]|0)!=0);r=u;s=c[f>>2]|0}q=g+1|0;if((q|0)<(s|0)){g=q;i=r;l=s}else{v=r;break}}}else{v=0}r=c[j>>2]|0;if((r|0)>0){s=d+36|0;l=d+20|0;i=d+4|0;g=0;f=v;u=r;while(1){r=c[s>>2]|0;k=a[r+(g*52|0)+8|0]|0;if((c[e+(k<<24>>24<<2)>>2]|0)==0){w=f;x=u}else{h=k<<24>>24==2?1647272:f;if((k<<24>>24|0)==1){y=c[(c[l>>2]|0)+((c[r+(g*52|0)+4>>2]|0)*60|0)+4>>2]|0}else if((k<<24>>24|0)==0){y=c[(c[i>>2]|0)+((c[r+(g*52|0)+4>>2]|0)*60|0)+4>>2]|0}else{y=h}cH(b,c[r+(g*52|0)+16>>2]|0,y,(c[r+(g*52|0)>>2]|0)!=0);w=y;x=c[j>>2]|0}r=g+1|0;if((r|0)<(x|0)){g=r;f=w;u=x}else{z=w;break}}}else{z=v}v=c[m>>2]|0;if((v|0)>0){w=d+40|0;x=d+24|0;u=d+8|0;f=0;g=z;j=v;while(1){v=c[w>>2]|0;y=a[v+(f*52|0)+8|0]|0;if((c[e+(y<<24>>24<<2)>>2]|0)==0){A=g;B=j}else{i=y<<24>>24==2?1647272:g;if((y<<24>>24|0)==0){C=c[(c[u>>2]|0)+((c[v+(f*52|0)+4>>2]|0)*48|0)+4>>2]|0}else if((y<<24>>24|0)==1){C=c[(c[x>>2]|0)+((c[v+(f*52|0)+4>>2]|0)*48|0)+4>>2]|0}else{C=i}cH(b,c[v+(f*52|0)+16>>2]|0,C,(c[v+(f*52|0)>>2]|0)!=0);A=C;B=c[m>>2]|0}v=f+1|0;if((v|0)<(B|0)){f=v;g=A;j=B}else{D=A;break}}}else{D=z}z=c[o>>2]|0;if((z|0)<=0){return}A=d+44|0;B=d+28|0;j=d+12|0;d=0;g=D;D=z;while(1){z=c[A>>2]|0;f=a[z+(d*52|0)+8|0]|0;if((c[e+(f<<24>>24<<2)>>2]|0)==0){E=g;F=D}else{m=f<<24>>24==2?1647272:g;if((f<<24>>24|0)==0){G=c[(c[j>>2]|0)+((c[z+(d*52|0)+4>>2]|0)*52|0)+4>>2]|0}else if((f<<24>>24|0)==1){G=c[(c[B>>2]|0)+((c[z+(d*52|0)+4>>2]|0)*52|0)+4>>2]|0}else{G=m}cH(b,c[z+(d*52|0)+16>>2]|0,G,(c[z+(d*52|0)>>2]|0)!=0);E=G;F=c[o>>2]|0}z=d+1|0;if((z|0)<(F|0)){d=z;g=E;D=F}else{break}}return}function bH(a,b,c){a=a|0;b=b|0;c=c|0;PG(a,b);OG(a,1);PG(a,1643776);PG(a,c);return}function cH(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;PG(a,b);OG(a,d?2:1);PG(a,1641784);PG(a,c);if(!d){return}PG(a,1640832);PG(a,1640024);return}function dH(a){a=a|0;lG(a|0);return}function eH(b,d){b=b|0;d=d|0;var e=0,f=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,u=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,C=0;e=i;i=i+12840|0;fH(e|0);kS(e+200|0);gH(e+216|0,e+232|0);gH(e+240|0,e+256|0);do{if((c[(b+92|0)>>2]|0)==0){if((c[426715]|0)==0){qS(e+296|0,c[b+80>>2]|0);hH(e+280|0,e+296|0,1666016);xS(e+200|0,e+280|0)|0;wS(e+280|0);wS(e+296|0)}else{yS(e+200|0,c[426685]|0)|0}f=zc(TS(e+200|0)|0,1635440)|0;if((f|0)!=0){j=f;break}f=TS(e+200|0)|0;Jx(0,42848,(k=i,i=i+8|0,c[k>>2]=f,k)|0);i=k}else{j=0}}while(0);f=xs(0)|0;if((f|0)==0){Pa(j|0)|0;Jx(0,37864,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}Is(f,e|0);Js(f,8,10);l=c[(b+92|0)>>2]|0;do{if((l|0)==0){e1(e+312|0|0|0,0,1024)|0;while(1){m=kd(e+312|0|0|0,1,1024,j|0)|0;if((Ks(f,e+312|0|0,m,m>>>0<1024>>>0&1)|0)==0){break}if(m>>>0<1024>>>0){n=49;break}}if((n|0)==49){Pa(j|0)|0;break}Pa(j|0)|0;m=TS(e+200|0)|0;o=Ss(Ps(f)|0)|0;p=Qs(f)|0;Hx(1,0,33040,(k=i,i=i+24|0,c[k>>2]=m,c[k+8>>2]=o,c[k+16>>2]=p,k)|0);i=k;Es(f);Jx(0,28840,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}else{if((Ks(f,l,b1(l|0)|0,1)|0)!=0){break}p=c[t>>2]|0;o=c[(b+92|0)>>2]|0;m=Ss(Ps(f)|0)|0;q=Qs(f)|0;od(p|0,25184,(k=i,i=i+24|0,c[k>>2]=o,c[k+8>>2]=m,c[k+16>>2]=q,k)|0)|0;i=k;q=c[(b+92|0)>>2]|0;m=Ss(Ps(f)|0)|0;o=Qs(f)|0;Hx(1,0,1682104,(k=i,i=i+24|0,c[k>>2]=q,c[k+8>>2]=m,c[k+16>>2]=o,k)|0);i=k;Es(f);Jx(0,28840,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}}while(0);l=e|0|0;qS(e+1344|0,1677936);lH(e+1336|0,l,e+1344|0);mH(e+1360|0,l);j=kH(e+1336|0,e+1360|0)|0;wS(e+1344|0);n=c[(b+88|0)>>2]|0;do{if(j){o=TS(e+200|0)|0;Hx(1,0,1673888,(k=i,i=i+16|0,c[k>>2]=n,c[k+8>>2]=o,k)|0);i=k}else{qS(e+1368|0,1677936);o=$0(n,TS(nH(l,e+1368|0)|0)|0)|0;wS(e+1368|0);if((o|0)==0){break}Es(f);qS(e+1384|0,1677936);o=TS(nH(l,e+1384|0)|0)|0;m=TS(e+200|0)|0;q=c[(b+88|0)>>2]|0;Hx(1,0,1670456,(k=i,i=i+24|0,c[k>>2]=o,c[k+8>>2]=m,c[k+16>>2]=q,k)|0);i=k;wS(e+1384|0);Jx(0,28840,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}}while(0);oH(e|0,b,c[426706]|0,c[426707]|0);Fx(23,1,1667496,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;qS(e+1416|0,1664968);mS(e+1400|0,nH((e|0)+12|0,e+1416|0)|0);pH(e+1400|0,d|0,0.0);wS(e+1400|0);wS(e+1416|0);Fx(23,0,1662456,(k=i,i=i+8|0,h[k>>3]=+h[(d|0)>>3],k)|0);i=k;qS(e+1448|0,1660904);mS(e+1432|0,nH((e|0)+12|0,e+1448|0)|0);pH(e+1432|0,d+8|0,1.0);wS(e+1432|0);wS(e+1448|0);Fx(23,0,1660048,(k=i,i=i+8|0,h[k>>3]=+h[(d+8|0)>>3],k)|0);i=k;qS(e+1480|0,1659208);mS(e+1464|0,nH((e|0)+12|0,e+1480|0)|0);pH(e+1464|0,d+24|0,(+h[(d+8|0)>>3]- +h[(d|0)>>3])/500.0);wS(e+1464|0);wS(e+1480|0);Fx(23,0,1658344,(k=i,i=i+8|0,h[k>>3]=+h[(d+24|0)>>3],k)|0);i=k;qS(e+1512|0,1657408);mS(e+1496|0,nH((e|0)+12|0,e+1512|0)|0);pH(e+1496|0,d+32|0,1.0e-5);wS(e+1496|0);wS(e+1512|0);Fx(23,0,1655648,(k=i,i=i+8|0,h[k>>3]=+h[(d+32|0)>>3],k)|0);i=k;qS(e+1544|0,1654584);mS(e+1528|0,nH((e|0)+12|0,e+1544|0)|0);qH(e+1528|0,d+40|0);wS(e+1528|0);wS(e+1544|0);Fx(23,0,1653408,(k=i,i=i+8|0,c[k>>2]=c[(d+40|0)>>2],k)|0);i=k;qS(e+1576|0,1652376);mS(e+1560|0,nH((e|0)+12|0,e+1576|0)|0);qH(e+1560|0,d+44|0);wS(e+1560|0);wS(e+1576|0);Fx(23,0,1651224,(k=i,i=i+8|0,c[k>>2]=c[(d+44|0)>>2],k)|0);i=k;qS(e+1608|0,1650048);mS(e+1592|0,nH((e|0)+12|0,e+1608|0)|0);qH(e+1592|0,d+48|0);wS(e+1592|0);wS(e+1608|0);Fx(23,0,1649040,(k=i,i=i+8|0,c[k>>2]=c[(d+48|0)>>2],k)|0);i=k;qS(e+1640|0,1648144);mS(e+1624|0,nH(l,e+1640|0)|0);qH(e+1624|0,d+268|0);wS(e+1624|0);wS(e+1640|0);Fx(23,0,1647248,(k=i,i=i+8|0,c[k>>2]=c[(d+268|0)>>2],k)|0);i=k;if((c[426553]|0)!=0){Wd[c[3794]&511](23)}qS(e+1744|0,1646256);mS(e+1728|0,nH(l,e+1744|0)|0);rH(e+1728|0,e+1656|0,0);wS(e+1728|0);wS(e+1744|0);qS(e+1776|0,1644632);mS(e+1760|0,nH(l,e+1776|0)|0);rH(e+1760|0,e+1664|0,0);wS(e+1760|0);wS(e+1776|0);qS(e+1808|0,1643752);mS(e+1792|0,nH(l,e+1808|0)|0);rH(e+1792|0,e+1672|0,0);wS(e+1792|0);wS(e+1808|0);qS(e+1840|0,1642576);mS(e+1824|0,nH(l,e+1840|0)|0);rH(e+1824|0,e+1688|0,0);wS(e+1824|0);wS(e+1840|0);qS(e+1872|0,1641744);mS(e+1856|0,nH(l,e+1872|0)|0);rH(e+1856|0,e+1680|0,0);wS(e+1856|0);wS(e+1872|0);qS(e+1904|0,1640800);mS(e+1888|0,nH(l,e+1904|0)|0);rH(e+1888|0,e+1704|0,0);wS(e+1888|0);wS(e+1904|0);qS(e+1936|0,1639984);mS(e+1920|0,nH(l,e+1936|0)|0);rH(e+1920|0,e+1696|0,0);wS(e+1920|0);wS(e+1936|0);qS(e+1968|0,1639184);mS(e+1952|0,nH(l,e+1968|0)|0);rH(e+1952|0,e+1720|0,0);wS(e+1952|0);wS(e+1968|0);qS(e+2e3|0,1638296);mS(e+1984|0,nH(l,e+2e3|0)|0);rH(e+1984|0,e+1712|0,0);wS(e+1984|0);wS(e+2e3|0);l=c[(e+1656|0)>>2]|0;do{if((l|0)==(c[(b+104|0)>>2]|0)){if((c[(e+1664|0)>>2]|0)!=((c[(b+108|0)>>2]|0)-(l<<1)|0)){break}if((c[(e+1672|0)>>2]|0)!=(c[(b+128|0)>>2]|0)){break}if((c[(e+1688|0)>>2]|0)!=(c[(b+132|0)>>2]|0)){break}if((c[(e+1680|0)>>2]|0)!=(c[(b+116|0)>>2]|0)){break}if((c[(e+1704|0)>>2]|0)!=(c[(b+136|0)>>2]|0)){break}if((c[(e+1696|0)>>2]|0)!=(c[(b+120|0)>>2]|0)){break}if((c[(e+1720|0)>>2]|0)!=(c[(b+140|0)>>2]|0)){break}if((c[(e+1712|0)>>2]|0)!=(c[(b+124|0)>>2]|0)){break}Fx(4,1,44040,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+104|0)>>2]|0)>0){d=(e|0)+24|0;n=0;do{c[(e+2032|0)>>2]=n;j=sH(d,e+2032|0)|0;qS(e+2040|0,43520);mS(e+2016|0,nH(j,e+2040|0)|0);qH(e+2016|0,(c[(b|0)>>2]|0)+(n*112|0)+4|0);wS(e+2016|0);wS(e+2040|0);c[(e+2072|0)>>2]=n;j=sH(d,e+2072|0)|0;qS(e+2080|0,41936);mS(e+2056|0,nH(j,e+2080|0)|0);tH(e+2056|0,(c[(b|0)>>2]|0)+(n*112|0)|0);wS(e+2056|0);wS(e+2080|0);c[(e+2112|0)>>2]=n;j=sH(d,e+2112|0)|0;qS(e+2120|0,41e3);mS(e+2096|0,nH(j,e+2120|0)|0);qH(e+2096|0,(c[(b|0)>>2]|0)+(n*112|0)+8|0);wS(e+2096|0);wS(e+2120|0);c[(e+2152|0)>>2]=n;j=sH(d,e+2152|0)|0;qS(e+2160|0,40064);mS(e+2136|0,nH(j,e+2160|0)|0);qH(e+2136|0,(c[(b|0)>>2]|0)+(n*112|0)+12|0);wS(e+2136|0);wS(e+2160|0);c[(e+2192|0)>>2]=n;j=sH(d,e+2192|0)|0;qS(e+2200|0,39240);mS(e+2176|0,nH(j,e+2200|0)|0);rH(e+2176|0,(c[(b|0)>>2]|0)+(n*112|0)+16|0,0);wS(e+2176|0);wS(e+2200|0);c[(e+2232|0)>>2]=n;j=sH(d,e+2232|0)|0;qS(e+2240|0,38528);mS(e+2216|0,nH(j,e+2240|0)|0);rH(e+2216|0,(c[(b|0)>>2]|0)+(n*112|0)+20|0,0);wS(e+2216|0);wS(e+2240|0);c[(e+2272|0)>>2]=n;j=sH(d,e+2272|0)|0;qS(e+2280|0,37016);mS(e+2256|0,nH(j,e+2280|0)|0);rH(e+2256|0,(c[(b|0)>>2]|0)+(n*112|0)+24|0,0);wS(e+2256|0);wS(e+2280|0);c[(e+2312|0)>>2]=n;j=sH(d,e+2312|0)|0;qS(e+2320|0,35960);mS(e+2296|0,nH(j,e+2320|0)|0);rH(e+2296|0,(c[(b|0)>>2]|0)+(n*112|0)+28|0,0);wS(e+2296|0);wS(e+2320|0);c[(e+2352|0)>>2]=n;j=sH(d,e+2352|0)|0;qS(e+2360|0,35192);mS(e+2336|0,nH(j,e+2360|0)|0);rH(e+2336|0,(c[(b|0)>>2]|0)+(n*112|0)+32|0,0);wS(e+2336|0);wS(e+2360|0);c[(e+2392|0)>>2]=n;j=sH(d,e+2392|0)|0;qS(e+2400|0,34424);mS(e+2376|0,nH(j,e+2400|0)|0);uH(e+2376|0,(c[(b|0)>>2]|0)+(n*112|0)+88|0);wS(e+2376|0);wS(e+2400|0);c[(e+2432|0)>>2]=n;j=sH(d,e+2432|0)|0;qS(e+2440|0,34088);mS(e+2416|0,nH(j,e+2440|0)|0);pH(e+2416|0,(c[(b|0)>>2]|0)+(n*112|0)+96|0,0.0);wS(e+2416|0);wS(e+2440|0);c[(e+2472|0)>>2]=n;j=sH(d,e+2472|0)|0;qS(e+2480|0,33592);mS(e+2456|0,nH(j,e+2480|0)|0);uH(e+2456|0,(c[(b|0)>>2]|0)+(n*112|0)+72|0);wS(e+2456|0);wS(e+2480|0);c[(e+2512|0)>>2]=n;j=sH(d,e+2512|0)|0;qS(e+2520|0,32816);mS(e+2496|0,nH(j,e+2520|0)|0);uH(e+2496|0,(c[(b|0)>>2]|0)+(n*112|0)+73|0);wS(e+2496|0);wS(e+2520|0);c[(e+2552|0)>>2]=n;j=sH(d,e+2552|0)|0;qS(e+2560|0,32480);mS(e+2536|0,nH(j,e+2560|0)|0);pH(e+2536|0,(c[(b|0)>>2]|0)+(n*112|0)+80|0,1.0);wS(e+2536|0);wS(e+2560|0);c[(e+2592|0)>>2]=n;j=sH(d,e+2592|0)|0;qS(e+2600|0,31872);mS(e+2576|0,nH(j,e+2600|0)|0);pH(e+2576|0,(c[(b|0)>>2]|0)+(n*112|0)+56|0,-1.7976931348623157e+308);wS(e+2576|0);wS(e+2600|0);c[(e+2632|0)>>2]=n;j=sH(d,e+2632|0)|0;qS(e+2640|0,31384);mS(e+2616|0,nH(j,e+2640|0)|0);pH(e+2616|0,(c[(b|0)>>2]|0)+(n*112|0)+64|0,1.7976931348623157e+308);wS(e+2616|0);wS(e+2640|0);j=c[(b|0)>>2]|0;q=(a[j+(n*112|0)+88|0]|0)!=0;r=+h[j+(n*112|0)+96>>3];m=(a[j+(n*112|0)+72|0]|0)!=0?29632:29352;o=(a[j+(n*112|0)+73|0]|0)!=0;s=+h[j+(n*112|0)+80>>3];u=+h[j+(n*112|0)+56>>3];v=+h[j+(n*112|0)+64>>3];Fx(4,0,30720,(k=i,i=i+80|0,c[k>>2]=c[j+(n*112|0)+4>>2],c[k+8>>2]=q?1729232:30176,h[k+16>>3]=r,c[k+24>>2]=q?1729232:29896,c[k+32>>2]=m,c[k+40>>2]=o?1729232:30176,h[k+48>>3]=s,c[k+56>>2]=o?1729232:29896,h[k+64>>3]=u,h[k+72>>3]=v,k)|0);i=k;o=c[(b|0)>>2]|0;m=c[o+(n*112|0)+4>>2]|0;if((a[m]|0)==36){a[o+(n*112|0)+104|0]=1;w=c[(c[(b|0)>>2]|0)+(n*112|0)+4>>2]|0}else{w=m}qS(e+2656|0,w);c[(vH(e+216|0,e+2656|0)|0)>>2]=n;wS(e+2656|0);n=n+1|0;}while((n|0)<(c[(b+104|0)>>2]|0))}if((c[426534]|0)!=0){Wd[c[3794]&511](4)}Fx(4,1,28296,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+104|0)>>2]|0)>0){n=(e|0)+36|0;d=0;do{c[(e+2688|0)>>2]=d;m=sH(n,e+2688|0)|0;qS(e+2696|0,43520);mS(e+2672|0,nH(m,e+2696|0)|0);qH(e+2672|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+4|0);wS(e+2672|0);wS(e+2696|0);c[(e+2728|0)>>2]=d;m=sH(n,e+2728|0)|0;qS(e+2736|0,41936);mS(e+2712|0,nH(m,e+2736|0)|0);tH(e+2712|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)|0);wS(e+2712|0);wS(e+2736|0);c[(e+2768|0)>>2]=d;m=sH(n,e+2768|0)|0;qS(e+2776|0,41e3);mS(e+2752|0,nH(m,e+2776|0)|0);qH(e+2752|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+8|0);wS(e+2752|0);wS(e+2776|0);c[(e+2808|0)>>2]=d;m=sH(n,e+2808|0)|0;qS(e+2816|0,40064);mS(e+2792|0,nH(m,e+2816|0)|0);qH(e+2792|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+12|0);wS(e+2792|0);wS(e+2816|0);c[(e+2848|0)>>2]=d;m=sH(n,e+2848|0)|0;qS(e+2856|0,39240);mS(e+2832|0,nH(m,e+2856|0)|0);rH(e+2832|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+16|0,0);wS(e+2832|0);wS(e+2856|0);c[(e+2888|0)>>2]=d;m=sH(n,e+2888|0)|0;qS(e+2896|0,38528);mS(e+2872|0,nH(m,e+2896|0)|0);rH(e+2872|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+20|0,0);wS(e+2872|0);wS(e+2896|0);c[(e+2928|0)>>2]=d;m=sH(n,e+2928|0)|0;qS(e+2936|0,37016);mS(e+2912|0,nH(m,e+2936|0)|0);rH(e+2912|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+24|0,0);wS(e+2912|0);wS(e+2936|0);c[(e+2968|0)>>2]=d;m=sH(n,e+2968|0)|0;qS(e+2976|0,35960);mS(e+2952|0,nH(m,e+2976|0)|0);rH(e+2952|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+28|0,0);wS(e+2952|0);wS(e+2976|0);c[(e+3008|0)>>2]=d;m=sH(n,e+3008|0)|0;qS(e+3016|0,35192);mS(e+2992|0,nH(m,e+3016|0)|0);rH(e+2992|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+32|0,0);wS(e+2992|0);wS(e+3016|0);c[(e+3048|0)>>2]=d;m=sH(n,e+3048|0)|0;qS(e+3056|0,34424);mS(e+3032|0,nH(m,e+3056|0)|0);uH(e+3032|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+88|0);wS(e+3032|0);wS(e+3056|0);c[(e+3088|0)>>2]=d;m=sH(n,e+3088|0)|0;qS(e+3096|0,34088);mS(e+3072|0,nH(m,e+3096|0)|0);pH(e+3072|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+96|0,0.0);wS(e+3072|0);wS(e+3096|0);c[(e+3128|0)>>2]=d;m=sH(n,e+3128|0)|0;qS(e+3136|0,33592);mS(e+3112|0,nH(m,e+3136|0)|0);uH(e+3112|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+72|0);wS(e+3112|0);wS(e+3136|0);c[(e+3168|0)>>2]=d;m=sH(n,e+3168|0)|0;qS(e+3176|0,32816);mS(e+3152|0,nH(m,e+3176|0)|0);uH(e+3152|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+73|0);wS(e+3152|0);wS(e+3176|0);c[(e+3208|0)>>2]=d;m=sH(n,e+3208|0)|0;qS(e+3216|0,32480);mS(e+3192|0,nH(m,e+3216|0)|0);pH(e+3192|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+80|0,1.0);wS(e+3192|0);wS(e+3216|0);c[(e+3248|0)>>2]=d;m=sH(n,e+3248|0)|0;qS(e+3256|0,31872);mS(e+3232|0,nH(m,e+3256|0)|0);pH(e+3232|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+56|0,-1.7976931348623157e+308);wS(e+3232|0);wS(e+3256|0);c[(e+3288|0)>>2]=d;m=sH(n,e+3288|0)|0;qS(e+3296|0,31384);mS(e+3272|0,nH(m,e+3296|0)|0);pH(e+3272|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+64|0,1.7976931348623157e+308);wS(e+3272|0);wS(e+3296|0);m=(c[(b+104|0)>>2]|0)+d|0;o=c[(b|0)>>2]|0;q=(a[o+(m*112|0)+88|0]|0)!=0;v=+h[o+(m*112|0)+96>>3];j=(a[o+(m*112|0)+72|0]|0)!=0?29632:29352;p=(a[o+(m*112|0)+73|0]|0)!=0;u=+h[o+(m*112|0)+80>>3];s=+h[o+(m*112|0)+56>>3];r=+h[o+(m*112|0)+64>>3];Fx(4,0,30720,(k=i,i=i+80|0,c[k>>2]=c[o+(m*112|0)+4>>2],c[k+8>>2]=q?1729232:30176,h[k+16>>3]=v,c[k+24>>2]=q?1729232:29896,c[k+32>>2]=j,c[k+40>>2]=p?1729232:30176,h[k+48>>3]=u,c[k+56>>2]=p?1729232:29896,h[k+64>>3]=s,h[k+72>>3]=r,k)|0);i=k;p=c[(b+104|0)>>2]|0;j=p+d|0;q=c[(b|0)>>2]|0;if((a[c[q+(j*112|0)+4>>2]|0]|0)==36){a[q+(j*112|0)+104|0]=1;x=c[(b+104|0)>>2]|0;y=c[(b|0)>>2]|0}else{x=p;y=q}q=x+d|0;qS(e+3312|0,c[y+(q*112|0)+4>>2]|0);c[(vH(e+216|0,e+3312|0)|0)>>2]=q;wS(e+3312|0);d=d+1|0;}while((d|0)<(c[(b+104|0)>>2]|0))}if((c[426534]|0)!=0){Wd[c[3794]&511](4)}Fx(4,1,27488,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;d=c[(b+104|0)>>2]<<1;if(((c[(b+108|0)>>2]|0)-d|0)>0){n=(e|0)+48|0;q=0;p=d;do{d=p+q|0;c[(e+3344|0)>>2]=q;j=sH(n,e+3344|0)|0;qS(e+3352|0,43520);mS(e+3328|0,nH(j,e+3352|0)|0);qH(e+3328|0,(c[(b|0)>>2]|0)+(d*112|0)+4|0);wS(e+3328|0);wS(e+3352|0);c[(e+3384|0)>>2]=q;j=sH(n,e+3384|0)|0;qS(e+3392|0,41936);mS(e+3368|0,nH(j,e+3392|0)|0);tH(e+3368|0,(c[(b|0)>>2]|0)+(d*112|0)|0);wS(e+3368|0);wS(e+3392|0);c[(e+3424|0)>>2]=q;j=sH(n,e+3424|0)|0;qS(e+3432|0,41e3);mS(e+3408|0,nH(j,e+3432|0)|0);qH(e+3408|0,(c[(b|0)>>2]|0)+(d*112|0)+8|0);wS(e+3408|0);wS(e+3432|0);c[(e+3464|0)>>2]=q;j=sH(n,e+3464|0)|0;qS(e+3472|0,40064);mS(e+3448|0,nH(j,e+3472|0)|0);qH(e+3448|0,(c[(b|0)>>2]|0)+(d*112|0)+12|0);wS(e+3448|0);wS(e+3472|0);c[(e+3504|0)>>2]=q;j=sH(n,e+3504|0)|0;qS(e+3512|0,39240);mS(e+3488|0,nH(j,e+3512|0)|0);rH(e+3488|0,(c[(b|0)>>2]|0)+(d*112|0)+16|0,0);wS(e+3488|0);wS(e+3512|0);c[(e+3544|0)>>2]=q;j=sH(n,e+3544|0)|0;qS(e+3552|0,38528);mS(e+3528|0,nH(j,e+3552|0)|0);rH(e+3528|0,(c[(b|0)>>2]|0)+(d*112|0)+20|0,0);wS(e+3528|0);wS(e+3552|0);c[(e+3584|0)>>2]=q;j=sH(n,e+3584|0)|0;qS(e+3592|0,37016);mS(e+3568|0,nH(j,e+3592|0)|0);rH(e+3568|0,(c[(b|0)>>2]|0)+(d*112|0)+24|0,0);wS(e+3568|0);wS(e+3592|0);c[(e+3624|0)>>2]=q;j=sH(n,e+3624|0)|0;qS(e+3632|0,35960);mS(e+3608|0,nH(j,e+3632|0)|0);rH(e+3608|0,(c[(b|0)>>2]|0)+(d*112|0)+28|0,0);wS(e+3608|0);wS(e+3632|0);c[(e+3664|0)>>2]=q;j=sH(n,e+3664|0)|0;qS(e+3672|0,35192);mS(e+3648|0,nH(j,e+3672|0)|0);rH(e+3648|0,(c[(b|0)>>2]|0)+(d*112|0)+32|0,0);wS(e+3648|0);wS(e+3672|0);c[(e+3704|0)>>2]=q;j=sH(n,e+3704|0)|0;qS(e+3712|0,34424);mS(e+3688|0,nH(j,e+3712|0)|0);uH(e+3688|0,(c[(b|0)>>2]|0)+(d*112|0)+88|0);wS(e+3688|0);wS(e+3712|0);c[(e+3744|0)>>2]=q;j=sH(n,e+3744|0)|0;qS(e+3752|0,34088);mS(e+3728|0,nH(j,e+3752|0)|0);pH(e+3728|0,(c[(b|0)>>2]|0)+(d*112|0)+96|0,0.0);wS(e+3728|0);wS(e+3752|0);c[(e+3784|0)>>2]=q;j=sH(n,e+3784|0)|0;qS(e+3792|0,33592);mS(e+3768|0,nH(j,e+3792|0)|0);uH(e+3768|0,(c[(b|0)>>2]|0)+(d*112|0)+72|0);wS(e+3768|0);wS(e+3792|0);c[(e+3824|0)>>2]=q;j=sH(n,e+3824|0)|0;qS(e+3832|0,32816);mS(e+3808|0,nH(j,e+3832|0)|0);uH(e+3808|0,(c[(b|0)>>2]|0)+(d*112|0)+73|0);wS(e+3808|0);wS(e+3832|0);c[(e+3864|0)>>2]=q;j=sH(n,e+3864|0)|0;qS(e+3872|0,32480);mS(e+3848|0,nH(j,e+3872|0)|0);pH(e+3848|0,(c[(b|0)>>2]|0)+(d*112|0)+80|0,1.0);wS(e+3848|0);wS(e+3872|0);c[(e+3904|0)>>2]=q;j=sH(n,e+3904|0)|0;qS(e+3912|0,31872);mS(e+3888|0,nH(j,e+3912|0)|0);pH(e+3888|0,(c[(b|0)>>2]|0)+(d*112|0)+56|0,-1.7976931348623157e+308);wS(e+3888|0);wS(e+3912|0);c[(e+3944|0)>>2]=q;j=sH(n,e+3944|0)|0;qS(e+3952|0,31384);mS(e+3928|0,nH(j,e+3952|0)|0);pH(e+3928|0,(c[(b|0)>>2]|0)+(d*112|0)+64|0,1.7976931348623157e+308);wS(e+3928|0);wS(e+3952|0);j=c[(b|0)>>2]|0;m=(a[j+(d*112|0)+88|0]|0)!=0;r=+h[j+(d*112|0)+96>>3];o=(a[j+(d*112|0)+72|0]|0)!=0?29632:29352;z=(a[j+(d*112|0)+73|0]|0)!=0;s=+h[j+(d*112|0)+80>>3];u=+h[j+(d*112|0)+56>>3];v=+h[j+(d*112|0)+64>>3];Fx(4,0,30720,(k=i,i=i+80|0,c[k>>2]=c[j+(d*112|0)+4>>2],c[k+8>>2]=m?1729232:30176,h[k+16>>3]=r,c[k+24>>2]=m?1729232:29896,c[k+32>>2]=o,c[k+40>>2]=z?1729232:30176,h[k+48>>3]=s,c[k+56>>2]=z?1729232:29896,h[k+64>>3]=u,h[k+72>>3]=v,k)|0);i=k;z=c[(b|0)>>2]|0;o=c[z+(d*112|0)+4>>2]|0;if((a[o]|0)==36){a[z+(d*112|0)+104|0]=1;A=c[(c[(b|0)>>2]|0)+(d*112|0)+4>>2]|0}else{A=o}qS(e+3968|0,A);c[(vH(e+216|0,e+3968|0)|0)>>2]=d;wS(e+3968|0);q=q+1|0;p=c[(b+104|0)>>2]<<1;}while((q|0)<((c[(b+108|0)>>2]|0)-p|0))}if((c[426534]|0)!=0){Wd[c[3794]&511](4)}Fx(4,1,26904,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+116|0)>>2]|0)>0){p=(e|0)+84|0;q=0;do{c[(e+4e3|0)>>2]=q;n=sH(p,e+4e3|0)|0;qS(e+4008|0,43520);mS(e+3984|0,nH(n,e+4008|0)|0);qH(e+3984|0,(c[(b+4|0)>>2]|0)+(q*60|0)+4|0);wS(e+3984|0);wS(e+4008|0);c[(e+4040|0)>>2]=q;n=sH(p,e+4040|0)|0;qS(e+4048|0,41936);mS(e+4024|0,nH(n,e+4048|0)|0);tH(e+4024|0,(c[(b+4|0)>>2]|0)+(q*60|0)|0);wS(e+4024|0);wS(e+4048|0);c[(e+4080|0)>>2]=q;n=sH(p,e+4080|0)|0;qS(e+4088|0,41e3);mS(e+4064|0,nH(n,e+4088|0)|0);qH(e+4064|0,(c[(b+4|0)>>2]|0)+(q*60|0)+8|0);wS(e+4064|0);wS(e+4088|0);c[(e+4120|0)>>2]=q;n=sH(p,e+4120|0)|0;qS(e+4128|0,40064);mS(e+4104|0,nH(n,e+4128|0)|0);qH(e+4104|0,(c[(b+4|0)>>2]|0)+(q*60|0)+12|0);wS(e+4104|0);wS(e+4128|0);c[(e+4160|0)>>2]=q;n=sH(p,e+4160|0)|0;qS(e+4168|0,39240);mS(e+4144|0,nH(n,e+4168|0)|0);rH(e+4144|0,(c[(b+4|0)>>2]|0)+(q*60|0)+16|0,0);wS(e+4144|0);wS(e+4168|0);c[(e+4200|0)>>2]=q;n=sH(p,e+4200|0)|0;qS(e+4208|0,38528);mS(e+4184|0,nH(n,e+4208|0)|0);rH(e+4184|0,(c[(b+4|0)>>2]|0)+(q*60|0)+20|0,0);wS(e+4184|0);wS(e+4208|0);c[(e+4240|0)>>2]=q;n=sH(p,e+4240|0)|0;qS(e+4248|0,37016);mS(e+4224|0,nH(n,e+4248|0)|0);rH(e+4224|0,(c[(b+4|0)>>2]|0)+(q*60|0)+24|0,0);wS(e+4224|0);wS(e+4248|0);c[(e+4280|0)>>2]=q;n=sH(p,e+4280|0)|0;qS(e+4288|0,35960);mS(e+4264|0,nH(n,e+4288|0)|0);rH(e+4264|0,(c[(b+4|0)>>2]|0)+(q*60|0)+28|0,0);wS(e+4264|0);wS(e+4288|0);c[(e+4320|0)>>2]=q;n=sH(p,e+4320|0)|0;qS(e+4328|0,35192);mS(e+4304|0,nH(n,e+4328|0)|0);rH(e+4304|0,(c[(b+4|0)>>2]|0)+(q*60|0)+32|0,0);wS(e+4304|0);wS(e+4328|0);c[(e+4360|0)>>2]=q;n=sH(p,e+4360|0)|0;qS(e+4368|0,34424);mS(e+4344|0,nH(n,e+4368|0)|0);uH(e+4344|0,(c[(b+4|0)>>2]|0)+(q*60|0)+49|0);wS(e+4344|0);wS(e+4368|0);c[(e+4400|0)>>2]=q;n=sH(p,e+4400|0)|0;qS(e+4408|0,34088);mS(e+4384|0,nH(n,e+4408|0)|0);rH(e+4384|0,(c[(b+4|0)>>2]|0)+(q*60|0)+52|0,0);wS(e+4384|0);wS(e+4408|0);c[(e+4440|0)>>2]=q;n=sH(p,e+4440|0)|0;qS(e+4448|0,33592);mS(e+4424|0,nH(n,e+4448|0)|0);uH(e+4424|0,(c[(b+4|0)>>2]|0)+(q*60|0)+48|0);wS(e+4424|0);wS(e+4448|0);c[(e+4480|0)>>2]=q;n=sH(p,e+4480|0)|0;qS(e+4488|0,31872);mS(e+4464|0,nH(n,e+4488|0)|0);rH(e+4464|0,(c[(b+4|0)>>2]|0)+(q*60|0)+40|0,-2147483648);wS(e+4464|0);wS(e+4488|0);c[(e+4520|0)>>2]=q;n=sH(p,e+4520|0)|0;qS(e+4528|0,31384);mS(e+4504|0,nH(n,e+4528|0)|0);rH(e+4504|0,(c[(b+4|0)>>2]|0)+(q*60|0)+44|0,2147483647);wS(e+4504|0);wS(e+4528|0);n=c[(b+4|0)>>2]|0;d=(a[n+(q*60|0)+49|0]|0)!=0;o=c[n+(q*60|0)+52>>2]|0;z=(a[n+(q*60|0)+48|0]|0)!=0?29632:29352;m=c[n+(q*60|0)+40>>2]|0;j=c[n+(q*60|0)+44>>2]|0;Fx(4,0,26584,(k=i,i=i+56|0,c[k>>2]=c[n+(q*60|0)+4>>2],c[k+8>>2]=d?1729232:30176,c[k+16>>2]=o,c[k+24>>2]=d?1729232:29896,c[k+32>>2]=z,c[k+40>>2]=m,c[k+48>>2]=j,k)|0);i=k;j=c[(b+4|0)>>2]|0;m=c[j+(q*60|0)+4>>2]|0;if((a[m]|0)==36){a[j+(q*60|0)+56|0]=1;C=c[(c[(b+4|0)>>2]|0)+(q*60|0)+4>>2]|0}else{C=m}qS(e+4544|0,C);c[(vH(e+216|0,e+4544|0)|0)>>2]=q;wS(e+4544|0);q=q+1|0;}while((q|0)<(c[(b+116|0)>>2]|0))}if((c[426534]|0)!=0){Wd[c[3794]&511](4)}Fx(4,1,25680,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;c[e+9720>>2]=b;c[e+9760>>2]=f;c[e+12744>>2]=k;c[e+12760>>2]=0;c[e+12764>>2]=0;_read_input_xml$0(e);k=c[e+12744>>2]|0;I=c[e+12760>>2]|0;B=c[e+12764>>2]|0;J=+g[e+12764>>2];c[e+12760>>2]=0;c[e+12764>>2]=0;if((I|0)==5){return}}}while(0);if((c[426552]|c[426616]|0)!=0){Hx(22,1,1637368,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;C=c[(b+104|0)>>2]|0;Hx(22,0,1636408,(k=i,i=i+16|0,c[k>>2]=l,c[k+8>>2]=C,k)|0);i=k;C=(c[b+108>>2]|0)-(c[(b+104|0)>>2]<<1)|0;Hx(22,0,1634520,(k=i,i=i+16|0,c[k>>2]=c[(e+1664|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+128>>2]|0;Hx(22,0,1633688,(k=i,i=i+16|0,c[k>>2]=c[(e+1672|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+132>>2]|0;Hx(22,0,1632824,(k=i,i=i+16|0,c[k>>2]=c[(e+1688|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+116>>2]|0;Hx(22,0,1632280,(k=i,i=i+16|0,c[k>>2]=c[(e+1680|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+136>>2]|0;Hx(22,0,1631616,(k=i,i=i+16|0,c[k>>2]=c[(e+1704|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+120>>2]|0;Hx(22,0,1328824,(k=i,i=i+16|0,c[k>>2]=c[(e+1696|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+140>>2]|0;Hx(22,0,45120,(k=i,i=i+16|0,c[k>>2]=c[(e+1720|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+124>>2]|0;Hx(22,0,44616,(k=i,i=i+16|0,c[k>>2]=c[(e+1712|0)>>2],c[k+8>>2]=C,k)|0);i=k;Wd[c[3794]&511](22)}Es(f);Ta(0)|0;Ld(-1|0)}function fH(a){a=a|0;nO(a);return}function gH(a,b){a=a|0;b=b|0;UJ(a,0);return}function hH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=i;i=i+8|0;lS(a,d|0);e=uS(b)|0;f=aI(c)|0;XS(a,vS(b)|0,e,f+e|0);PS(a,c,f)|0;i=d;return}function iH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;e=i;i=i+184|0;f=e|0;g=e+16|0;h=e+32|0;j=e+48|0;k=e+56|0;l=e+72|0;m=e+88|0;n=e+104|0;o=e+120|0;p=e+136|0;q=e+152|0;r=e+168|0;if(($0(b,1664768)|0)==0){s=c[d>>2]|0;if((s|0)==0){i=e;return}t=a;u=0;v=s;do{qS(f,v);s=nH(t,f)|0;yS(s,c[d+((u|1)<<2)>>2]|0)|0;wS(f);u=u+2|0;v=c[d+(u<<2)>>2]|0;}while((v|0)!=0);i=e;return}if(($0(b,1664576)|0)==0){v=c[d>>2]|0;if((v|0)==0){i=e;return}u=a+12|0;f=0;t=v;do{qS(g,t);v=nH(u,g)|0;yS(v,c[d+((f|1)<<2)>>2]|0)|0;wS(g);f=f+2|0;t=c[d+(f<<2)>>2]|0;}while((t|0)!=0);i=e;return}if(($0(b,1664272)|0)!=0){do{if(($0(b,1660800)|0)!=0){if(($0(b,1660720)|0)==0){break}if(($0(b,1660696)|0)==0){break}if(($0(b,1660520)|0)==0){break}i=e;return}}while(0);t=(c[d>>2]|0)==0;f=a+196|0;g=a+192|0;u=sH(c[f>>2]|0,g)|0;if(t){w=u}else{t=0;v=d;s=u;while(1){qS(q,c[v>>2]|0);u=nH(s,q)|0;yS(u,c[d+((t|1)<<2)>>2]|0)|0;wS(q);u=t+2|0;x=d+(u<<2)|0;y=(c[x>>2]|0)==0;z=sH(c[f>>2]|0,g)|0;if(y){w=z;break}else{t=u;v=x;s=z}}}qS(r,1660488);yS(nH(w,r)|0,b)|0;wS(r);i=e;return}DH(h,j);kS(k);kS(l);j=a+192|0;c[j>>2]=-1;r=a+196|0;c[r>>2]=0;b=c[d>>2]|0;if((b|0)!=0){w=0;s=b;do{qS(m,s);b=nH(h,m)|0;yS(b,c[d+((w|1)<<2)>>2]|0)|0;wS(m);w=w+2|0;s=c[d+(w<<2)>>2]|0;}while((s|0)!=0)}qS(n,1663920);xS(k,nH(h,n)|0)|0;wS(n);qS(o,1663744);xS(l,nH(h,o)|0)|0;wS(o);c[j>>2]=Sc(TS(k)|0)|0;if((WS(l,1663456)|0)==0){A=a+24|0}else{A=c[r>>2]|0}c[r>>2]=A;if((WS(l,1663288)|0)==0){B=a+36|0}else{B=c[r>>2]|0}c[r>>2]=B;if((WS(l,1663144)|0)==0){C=a+48|0}else{C=c[r>>2]|0}c[r>>2]=C;if((WS(l,1662848)|0)==0){D=a+60|0}else{D=c[r>>2]|0}c[r>>2]=D;if((WS(l,1662664)|0)==0){E=a+72|0}else{E=c[r>>2]|0}c[r>>2]=E;if((WS(l,1662248)|0)==0){F=a+84|0}else{F=c[r>>2]|0}c[r>>2]=F;if((WS(l,1661864)|0)==0){G=a+96|0}else{G=c[r>>2]|0}c[r>>2]=G;if((WS(l,1661848)|0)==0){H=a+108|0}else{H=c[r>>2]|0}c[r>>2]=H;if((WS(l,1661664)|0)==0){I=a+120|0}else{I=c[r>>2]|0}c[r>>2]=I;if((WS(l,1661648)|0)==0){J=a+132|0}else{J=c[r>>2]|0}c[r>>2]=J;if((WS(l,1661616)|0)==0){K=a+144|0}else{K=c[r>>2]|0}c[r>>2]=K;if((WS(l,1661520)|0)==0){L=a+156|0}else{L=c[r>>2]|0}c[r>>2]=L;if((WS(l,1661488)|0)==0){M=a+168|0}else{M=c[r>>2]|0}c[r>>2]=M;if((WS(l,1661304)|0)==0){N=a+180|0}else{N=c[r>>2]|0}c[r>>2]=N;a=TS(l)|0;qS(p,43520);M=TS(nH(h,p)|0)|0;Ix(0,(N|0)!=0|0,1661152,(N=i,i=i+16|0,c[N>>2]=a,c[N+8>>2]=M,N)|0);i=N;wS(p);SM(sH(c[r>>2]|0,j)|0,h)|0;wS(l);wS(k);LH(h);i=e;return}function jH(a,b){a=a|0;b=b|0;return}function kH(a,b){a=a|0;b=b|0;return DJ(a|0,b|0)|0}function lH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;MJ(e,b|0,c);EJ(a,e);i=d;return}function mH(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;FJ(d,b|0);EJ(a,d);i=c;return}function nH(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=mL(a,e,b)|0;k=c[j>>2]|0;SD(d+8|0);if((k|0)!=0){l=k;m=l+28|0;i=d;return m|0}oL(h,a,b);pL(g,h);nL(f,g);qL(h);h=c[e>>2]|0;rL(a|0,h,j,sL(f)|0);j=tL(f)|0;qL(f);l=j;m=l+28|0;i=d;return m|0}function _read_input_xml$0(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0;d=c[b+9720>>2]|0;e=c[b+9760>>2]|0;f=c[b+12744>>2]|0;a:do{if((c[(d+120|0)>>2]|0)>0){g=(b|0)+120|0;j=0;do{c[(b+4576|0)>>2]=j;k=sH(g,b+4576|0)|0;qS(b+4584|0,43520);mS(b+4560|0,nH(k,b+4584|0)|0);qH(b+4560|0,(c[(d+8|0)>>2]|0)+(j*48|0)+4|0);wS(b+4560|0);wS(b+4584|0);c[(b+4616|0)>>2]=j;k=sH(g,b+4616|0)|0;qS(b+4624|0,41936);mS(b+4600|0,nH(k,b+4624|0)|0);tH(b+4600|0,(c[(d+8|0)>>2]|0)+(j*48|0)|0);wS(b+4600|0);wS(b+4624|0);c[(b+4656|0)>>2]=j;k=sH(g,b+4656|0)|0;qS(b+4664|0,41e3);mS(b+4640|0,nH(k,b+4664|0)|0);qH(b+4640|0,(c[(d+8|0)>>2]|0)+(j*48|0)+8|0);wS(b+4640|0);wS(b+4664|0);c[(b+4696|0)>>2]=j;k=sH(g,b+4696|0)|0;qS(b+4704|0,40064);mS(b+4680|0,nH(k,b+4704|0)|0);qH(b+4680|0,(c[(d+8|0)>>2]|0)+(j*48|0)+12|0);wS(b+4680|0);wS(b+4704|0);c[(b+4736|0)>>2]=j;k=sH(g,b+4736|0)|0;qS(b+4744|0,39240);mS(b+4720|0,nH(k,b+4744|0)|0);rH(b+4720|0,(c[(d+8|0)>>2]|0)+(j*48|0)+16|0,0);wS(b+4720|0);wS(b+4744|0);c[(b+4776|0)>>2]=j;k=sH(g,b+4776|0)|0;qS(b+4784|0,38528);mS(b+4760|0,nH(k,b+4784|0)|0);rH(b+4760|0,(c[(d+8|0)>>2]|0)+(j*48|0)+20|0,0);wS(b+4760|0);wS(b+4784|0);c[(b+4816|0)>>2]=j;k=sH(g,b+4816|0)|0;qS(b+4824|0,37016);mS(b+4800|0,nH(k,b+4824|0)|0);rH(b+4800|0,(c[(d+8|0)>>2]|0)+(j*48|0)+24|0,0);wS(b+4800|0);wS(b+4824|0);c[(b+4856|0)>>2]=j;k=sH(g,b+4856|0)|0;qS(b+4864|0,35960);mS(b+4840|0,nH(k,b+4864|0)|0);rH(b+4840|0,(c[(d+8|0)>>2]|0)+(j*48|0)+28|0,0);wS(b+4840|0);wS(b+4864|0);c[(b+4896|0)>>2]=j;k=sH(g,b+4896|0)|0;qS(b+4904|0,35192);mS(b+4880|0,nH(k,b+4904|0)|0);rH(b+4880|0,(c[(d+8|0)>>2]|0)+(j*48|0)+32|0,0);wS(b+4880|0);wS(b+4904|0);c[(b+4936|0)>>2]=j;k=sH(g,b+4936|0)|0;qS(b+4944|0,34424);mS(b+4920|0,nH(k,b+4944|0)|0);uH(b+4920|0,(c[(d+8|0)>>2]|0)+(j*48|0)+41|0);wS(b+4920|0);wS(b+4944|0);c[(b+4976|0)>>2]=j;k=sH(g,b+4976|0)|0;qS(b+4984|0,34088);mS(b+4960|0,nH(k,b+4984|0)|0);uH(b+4960|0,(c[(d+8|0)>>2]|0)+(j*48|0)+42|0);wS(b+4960|0);wS(b+4984|0);c[(b+5016|0)>>2]=j;k=sH(g,b+5016|0)|0;qS(b+5024|0,33592);mS(b+5e3|0,nH(k,b+5024|0)|0);uH(b+5e3|0,(c[(d+8|0)>>2]|0)+(j*48|0)+40|0);wS(b+5e3|0);wS(b+5024|0);k=c[(d+8|0)>>2]|0;l=(a[k+(j*48|0)+41|0]|0)!=0;m=(a[k+(j*48|0)+42|0]|0)!=0?29632:29352;n=(a[k+(j*48|0)+40|0]|0)!=0?29632:29352;Fx(4,0,24568,(f=i,i=i+40|0,c[f>>2]=c[k+(j*48|0)+4>>2],c[f+8>>2]=l?1729232:30176,c[f+16>>2]=m,c[f+24>>2]=l?1729232:29896,c[f+32>>2]=n,f)|0);i=f;n=c[(d+8|0)>>2]|0;l=c[n+(j*48|0)+4>>2]|0;if((a[l]|0)==36){a[n+(j*48|0)+44|0]=1;o=c[(c[(d+8|0)>>2]|0)+(j*48|0)+4>>2]|0}else{o=l}qS(b+5040|0,o);c[(vH(b+216|0,b+5040|0)|0)>>2]=j;wS(b+5040|0);j=j+1|0;}while((j|0)<(c[(d+120|0)>>2]|0))}if((c[426534]|0)!=0){Wd[c[3794]&511](4)}Fx(4,1,23920,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+124|0)>>2]|0)>0){j=(b|0)+156|0;g=0;do{c[(b+5072|0)>>2]=g;l=sH(j,b+5072|0)|0;qS(b+5080|0,43520);mS(b+5056|0,nH(l,b+5080|0)|0);qH(b+5056|0,(c[(d+12|0)>>2]|0)+(g*52|0)+4|0);wS(b+5056|0);wS(b+5080|0);c[(b+5112|0)>>2]=g;l=sH(j,b+5112|0)|0;qS(b+5120|0,41936);mS(b+5096|0,nH(l,b+5120|0)|0);tH(b+5096|0,(c[(d+12|0)>>2]|0)+(g*52|0)|0);wS(b+5096|0);wS(b+5120|0);c[(b+5152|0)>>2]=g;l=sH(j,b+5152|0)|0;qS(b+5160|0,41e3);mS(b+5136|0,nH(l,b+5160|0)|0);qH(b+5136|0,(c[(d+12|0)>>2]|0)+(g*52|0)+8|0);wS(b+5136|0);wS(b+5160|0);c[(b+5192|0)>>2]=g;l=sH(j,b+5192|0)|0;qS(b+5200|0,40064);mS(b+5176|0,nH(l,b+5200|0)|0);qH(b+5176|0,(c[(d+12|0)>>2]|0)+(g*52|0)+12|0);wS(b+5176|0);wS(b+5200|0);c[(b+5232|0)>>2]=g;l=sH(j,b+5232|0)|0;qS(b+5240|0,39240);mS(b+5216|0,nH(l,b+5240|0)|0);rH(b+5216|0,(c[(d+12|0)>>2]|0)+(g*52|0)+16|0,0);wS(b+5216|0);wS(b+5240|0);c[(b+5272|0)>>2]=g;l=sH(j,b+5272|0)|0;qS(b+5280|0,38528);mS(b+5256|0,nH(l,b+5280|0)|0);rH(b+5256|0,(c[(d+12|0)>>2]|0)+(g*52|0)+20|0,0);wS(b+5256|0);wS(b+5280|0);c[(b+5312|0)>>2]=g;l=sH(j,b+5312|0)|0;qS(b+5320|0,37016);mS(b+5296|0,nH(l,b+5320|0)|0);rH(b+5296|0,(c[(d+12|0)>>2]|0)+(g*52|0)+24|0,0);wS(b+5296|0);wS(b+5320|0);c[(b+5352|0)>>2]=g;l=sH(j,b+5352|0)|0;qS(b+5360|0,35960);mS(b+5336|0,nH(l,b+5360|0)|0);rH(b+5336|0,(c[(d+12|0)>>2]|0)+(g*52|0)+28|0,0);wS(b+5336|0);wS(b+5360|0);c[(b+5392|0)>>2]=g;l=sH(j,b+5392|0)|0;qS(b+5400|0,35192);mS(b+5376|0,nH(l,b+5400|0)|0);rH(b+5376|0,(c[(d+12|0)>>2]|0)+(g*52|0)+32|0,0);wS(b+5376|0);wS(b+5400|0);c[(b+5432|0)>>2]=g;l=sH(j,b+5432|0)|0;qS(b+5440|0,34424);mS(b+5416|0,nH(l,b+5440|0)|0);uH(b+5416|0,(c[(d+12|0)>>2]|0)+(g*52|0)+40|0);wS(b+5416|0);wS(b+5440|0);c[(b+5472|0)>>2]=g;l=sH(j,b+5472|0)|0;qS(b+5480|0,34088);mS(b+5456|0,nH(l,b+5480|0)|0);qH(b+5456|0,(c[(d+12|0)>>2]|0)+(g*52|0)+44|0);wS(b+5456|0);wS(b+5480|0);l=c[(d+12|0)>>2]|0;n=(a[l+(g*52|0)+40|0]|0)!=0;m=c[l+(g*52|0)+44>>2]|0;Fx(4,0,23600,(f=i,i=i+32|0,c[f>>2]=c[l+(g*52|0)+4>>2],c[f+8>>2]=n?1729232:30176,c[f+16>>2]=m,c[f+24>>2]=n?1729232:29896,f)|0);i=f;n=c[(d+12|0)>>2]|0;m=c[n+(g*52|0)+4>>2]|0;if((a[m]|0)==36){a[n+(g*52|0)+48|0]=1;p=c[(c[(d+12|0)>>2]|0)+(g*52|0)+4>>2]|0}else{p=m}qS(b+5496|0,p);c[(vH(b+216|0,b+5496|0)|0)>>2]=g;wS(b+5496|0);g=g+1|0;}while((g|0)<(c[(d+124|0)>>2]|0))}if((c[426534]|0)!=0){Wd[c[3794]&511](4)}Fx(4,1,23064,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+128|0)>>2]|0)>0){g=(b|0)+60|0;j=0;do{c[(b+5528|0)>>2]=j;m=sH(g,b+5528|0)|0;qS(b+5536|0,43520);mS(b+5512|0,nH(m,b+5536|0)|0);qH(b+5512|0,(c[(d+16|0)>>2]|0)+(j*112|0)+4|0);wS(b+5512|0);wS(b+5536|0);c[(b+5568|0)>>2]=j;m=sH(g,b+5568|0)|0;qS(b+5576|0,41936);mS(b+5552|0,nH(m,b+5576|0)|0);tH(b+5552|0,(c[(d+16|0)>>2]|0)+(j*112|0)|0);wS(b+5552|0);wS(b+5576|0);c[(b+5608|0)>>2]=j;m=sH(g,b+5608|0)|0;qS(b+5616|0,41e3);mS(b+5592|0,nH(m,b+5616|0)|0);qH(b+5592|0,(c[(d+16|0)>>2]|0)+(j*112|0)+8|0);wS(b+5592|0);wS(b+5616|0);c[(b+5648|0)>>2]=j;m=sH(g,b+5648|0)|0;qS(b+5656|0,40064);mS(b+5632|0,nH(m,b+5656|0)|0);qH(b+5632|0,(c[(d+16|0)>>2]|0)+(j*112|0)+12|0);wS(b+5632|0);wS(b+5656|0);c[(b+5688|0)>>2]=j;m=sH(g,b+5688|0)|0;qS(b+5696|0,39240);mS(b+5672|0,nH(m,b+5696|0)|0);rH(b+5672|0,(c[(d+16|0)>>2]|0)+(j*112|0)+16|0,0);wS(b+5672|0);wS(b+5696|0);c[(b+5728|0)>>2]=j;m=sH(g,b+5728|0)|0;qS(b+5736|0,38528);mS(b+5712|0,nH(m,b+5736|0)|0);rH(b+5712|0,(c[(d+16|0)>>2]|0)+(j*112|0)+20|0,0);wS(b+5712|0);wS(b+5736|0);c[(b+5768|0)>>2]=j;m=sH(g,b+5768|0)|0;qS(b+5776|0,37016);mS(b+5752|0,nH(m,b+5776|0)|0);rH(b+5752|0,(c[(d+16|0)>>2]|0)+(j*112|0)+24|0,0);wS(b+5752|0);wS(b+5776|0);c[(b+5808|0)>>2]=j;m=sH(g,b+5808|0)|0;qS(b+5816|0,35960);mS(b+5792|0,nH(m,b+5816|0)|0);rH(b+5792|0,(c[(d+16|0)>>2]|0)+(j*112|0)+28|0,0);wS(b+5792|0);wS(b+5816|0);c[(b+5848|0)>>2]=j;m=sH(g,b+5848|0)|0;qS(b+5856|0,35192);mS(b+5832|0,nH(m,b+5856|0)|0);rH(b+5832|0,(c[(d+16|0)>>2]|0)+(j*112|0)+32|0,0);wS(b+5832|0);wS(b+5856|0);c[(b+5888|0)>>2]=j;m=sH(g,b+5888|0)|0;qS(b+5896|0,34424);mS(b+5872|0,nH(m,b+5896|0)|0);uH(b+5872|0,(c[(d+16|0)>>2]|0)+(j*112|0)+88|0);wS(b+5872|0);wS(b+5896|0);c[(b+5928|0)>>2]=j;m=sH(g,b+5928|0)|0;qS(b+5936|0,34088);mS(b+5912|0,nH(m,b+5936|0)|0);pH(b+5912|0,(c[(d+16|0)>>2]|0)+(j*112|0)+96|0,0.0);wS(b+5912|0);wS(b+5936|0);c[(b+5968|0)>>2]=j;m=sH(g,b+5968|0)|0;qS(b+5976|0,33592);mS(b+5952|0,nH(m,b+5976|0)|0);uH(b+5952|0,(c[(d+16|0)>>2]|0)+(j*112|0)+72|0);wS(b+5952|0);wS(b+5976|0);c[(b+6008|0)>>2]=j;m=sH(g,b+6008|0)|0;qS(b+6016|0,32816);mS(b+5992|0,nH(m,b+6016|0)|0);uH(b+5992|0,(c[(d+16|0)>>2]|0)+(j*112|0)+73|0);wS(b+5992|0);wS(b+6016|0);c[(b+6048|0)>>2]=j;m=sH(g,b+6048|0)|0;qS(b+6056|0,32480);mS(b+6032|0,nH(m,b+6056|0)|0);pH(b+6032|0,(c[(d+16|0)>>2]|0)+(j*112|0)+80|0,1.0);wS(b+6032|0);wS(b+6056|0);c[(b+6088|0)>>2]=j;m=sH(g,b+6088|0)|0;qS(b+6096|0,31872);mS(b+6072|0,nH(m,b+6096|0)|0);pH(b+6072|0,(c[(d+16|0)>>2]|0)+(j*112|0)+56|0,-1.7976931348623157e+308);wS(b+6072|0);wS(b+6096|0);c[(b+6128|0)>>2]=j;m=sH(g,b+6128|0)|0;qS(b+6136|0,31384);mS(b+6112|0,nH(m,b+6136|0)|0);pH(b+6112|0,(c[(d+16|0)>>2]|0)+(j*112|0)+64|0,1.7976931348623157e+308);wS(b+6112|0);wS(b+6136|0);m=c[(d+16|0)>>2]|0;n=(a[m+(j*112|0)+88|0]|0)!=0;q=+h[m+(j*112|0)+96>>3];l=(a[m+(j*112|0)+72|0]|0)!=0?29632:29352;k=(a[m+(j*112|0)+73|0]|0)!=0;r=+h[m+(j*112|0)+80>>3];s=+h[m+(j*112|0)+56>>3];t=+h[m+(j*112|0)+64>>3];Fx(4,0,22808,(f=i,i=i+80|0,c[f>>2]=c[m+(j*112|0)+4>>2],c[f+8>>2]=n?1729232:30176,h[f+16>>3]=q,c[f+24>>2]=n?1729232:29896,c[f+32>>2]=l,c[f+40>>2]=k?1729232:30176,h[f+48>>3]=r,c[f+56>>2]=k?1729232:29896,h[f+64>>3]=s,h[f+72>>3]=t,f)|0);i=f;k=c[(d+16|0)>>2]|0;l=c[k+(j*112|0)+4>>2]|0;if((a[l]|0)==36){a[k+(j*112|0)+104|0]=1;u=c[(c[(d+16|0)>>2]|0)+(j*112|0)+4>>2]|0}else{u=l}qS(b+6152|0,u);c[(vH(b+240|0,b+6152|0)|0)>>2]=j;wS(b+6152|0);j=j+1|0;}while((j|0)<(c[(d+128|0)>>2]|0))}if((c[426534]|0)!=0){Wd[c[3794]&511](4)}Fx(4,1,1682984,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+132|0)>>2]|0)>0){j=(b|0)+96|0;g=0;do{c[(b+6184|0)>>2]=g;l=sH(j,b+6184|0)|0;qS(b+6192|0,43520);mS(b+6168|0,nH(l,b+6192|0)|0);qH(b+6168|0,(c[(d+20|0)>>2]|0)+(g*60|0)+4|0);wS(b+6168|0);wS(b+6192|0);c[(b+6224|0)>>2]=g;l=sH(j,b+6224|0)|0;qS(b+6232|0,41936);mS(b+6208|0,nH(l,b+6232|0)|0);tH(b+6208|0,(c[(d+20|0)>>2]|0)+(g*60|0)|0);wS(b+6208|0);wS(b+6232|0);c[(b+6264|0)>>2]=g;l=sH(j,b+6264|0)|0;qS(b+6272|0,41e3);mS(b+6248|0,nH(l,b+6272|0)|0);qH(b+6248|0,(c[(d+20|0)>>2]|0)+(g*60|0)+8|0);wS(b+6248|0);wS(b+6272|0);c[(b+6304|0)>>2]=g;l=sH(j,b+6304|0)|0;qS(b+6312|0,40064);mS(b+6288|0,nH(l,b+6312|0)|0);qH(b+6288|0,(c[(d+20|0)>>2]|0)+(g*60|0)+12|0);wS(b+6288|0);wS(b+6312|0);c[(b+6344|0)>>2]=g;l=sH(j,b+6344|0)|0;qS(b+6352|0,39240);mS(b+6328|0,nH(l,b+6352|0)|0);rH(b+6328|0,(c[(d+20|0)>>2]|0)+(g*60|0)+16|0,0);wS(b+6328|0);wS(b+6352|0);c[(b+6384|0)>>2]=g;l=sH(j,b+6384|0)|0;qS(b+6392|0,38528);mS(b+6368|0,nH(l,b+6392|0)|0);rH(b+6368|0,(c[(d+20|0)>>2]|0)+(g*60|0)+20|0,0);wS(b+6368|0);wS(b+6392|0);c[(b+6424|0)>>2]=g;l=sH(j,b+6424|0)|0;qS(b+6432|0,37016);mS(b+6408|0,nH(l,b+6432|0)|0);rH(b+6408|0,(c[(d+20|0)>>2]|0)+(g*60|0)+24|0,0);wS(b+6408|0);wS(b+6432|0);c[(b+6464|0)>>2]=g;l=sH(j,b+6464|0)|0;qS(b+6472|0,35960);mS(b+6448|0,nH(l,b+6472|0)|0);rH(b+6448|0,(c[(d+20|0)>>2]|0)+(g*60|0)+28|0,0);wS(b+6448|0);wS(b+6472|0);c[(b+6504|0)>>2]=g;l=sH(j,b+6504|0)|0;qS(b+6512|0,35192);mS(b+6488|0,nH(l,b+6512|0)|0);rH(b+6488|0,(c[(d+20|0)>>2]|0)+(g*60|0)+32|0,0);wS(b+6488|0);wS(b+6512|0);c[(b+6544|0)>>2]=g;l=sH(j,b+6544|0)|0;qS(b+6552|0,34424);mS(b+6528|0,nH(l,b+6552|0)|0);uH(b+6528|0,(c[(d+20|0)>>2]|0)+(g*60|0)+49|0);wS(b+6528|0);wS(b+6552|0);c[(b+6584|0)>>2]=g;l=sH(j,b+6584|0)|0;qS(b+6592|0,34088);mS(b+6568|0,nH(l,b+6592|0)|0);rH(b+6568|0,(c[(d+20|0)>>2]|0)+(g*60|0)+52|0,0);wS(b+6568|0);wS(b+6592|0);c[(b+6624|0)>>2]=g;l=sH(j,b+6624|0)|0;qS(b+6632|0,33592);mS(b+6608|0,nH(l,b+6632|0)|0);uH(b+6608|0,(c[(d+20|0)>>2]|0)+(g*60|0)+48|0);wS(b+6608|0);wS(b+6632|0);c[(b+6664|0)>>2]=g;l=sH(j,b+6664|0)|0;qS(b+6672|0,31872);mS(b+6648|0,nH(l,b+6672|0)|0);rH(b+6648|0,(c[(d+20|0)>>2]|0)+(g*60|0)+40|0,-2147483648);wS(b+6648|0);wS(b+6672|0);c[(b+6704|0)>>2]=g;l=sH(j,b+6704|0)|0;qS(b+6712|0,31384);mS(b+6688|0,nH(l,b+6712|0)|0);rH(b+6688|0,(c[(d+20|0)>>2]|0)+(g*60|0)+44|0,2147483647);wS(b+6688|0);wS(b+6712|0);l=c[(d+20|0)>>2]|0;k=(a[l+(g*60|0)+49|0]|0)!=0;n=c[l+(g*60|0)+52>>2]|0;m=(a[l+(g*60|0)+48|0]|0)!=0?29632:29352;v=c[l+(g*60|0)+40>>2]|0;w=c[l+(g*60|0)+44>>2]|0;Fx(4,0,1682720,(f=i,i=i+56|0,c[f>>2]=c[l+(g*60|0)+4>>2],c[f+8>>2]=k?1729232:30176,c[f+16>>2]=n,c[f+24>>2]=k?1729232:29896,c[f+32>>2]=m,c[f+40>>2]=v,c[f+48>>2]=w,f)|0);i=f;w=c[(d+20|0)>>2]|0;v=c[w+(g*60|0)+4>>2]|0;if((a[v]|0)==36){a[w+(g*60|0)+56|0]=1;x=c[(c[(d+20|0)>>2]|0)+(g*60|0)+4>>2]|0}else{x=v}qS(b+6728|0,x);c[(vH(b+240|0,b+6728|0)|0)>>2]=g;wS(b+6728|0);g=g+1|0;}while((g|0)<(c[(d+132|0)>>2]|0))}if((c[426534]|0)!=0){Wd[c[3794]&511](4)}Fx(4,1,1681896,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+136|0)>>2]|0)>0){g=(b|0)+132|0;j=0;do{c[(b+6760|0)>>2]=j;v=sH(g,b+6760|0)|0;qS(b+6768|0,43520);mS(b+6744|0,nH(v,b+6768|0)|0);qH(b+6744|0,(c[(d+24|0)>>2]|0)+(j*48|0)+4|0);wS(b+6744|0);wS(b+6768|0);c[(b+6800|0)>>2]=j;v=sH(g,b+6800|0)|0;qS(b+6808|0,41936);mS(b+6784|0,nH(v,b+6808|0)|0);tH(b+6784|0,(c[(d+24|0)>>2]|0)+(j*48|0)|0);wS(b+6784|0);wS(b+6808|0);c[(b+6840|0)>>2]=j;v=sH(g,b+6840|0)|0;qS(b+6848|0,41e3);mS(b+6824|0,nH(v,b+6848|0)|0);qH(b+6824|0,(c[(d+24|0)>>2]|0)+(j*48|0)+8|0);wS(b+6824|0);wS(b+6848|0);c[(b+6880|0)>>2]=j;v=sH(g,b+6880|0)|0;qS(b+6888|0,40064);mS(b+6864|0,nH(v,b+6888|0)|0);qH(b+6864|0,(c[(d+24|0)>>2]|0)+(j*48|0)+12|0);wS(b+6864|0);wS(b+6888|0);c[(b+6920|0)>>2]=j;v=sH(g,b+6920|0)|0;qS(b+6928|0,39240);mS(b+6904|0,nH(v,b+6928|0)|0);rH(b+6904|0,(c[(d+24|0)>>2]|0)+(j*48|0)+16|0,0);wS(b+6904|0);wS(b+6928|0);c[(b+6960|0)>>2]=j;v=sH(g,b+6960|0)|0;qS(b+6968|0,38528);mS(b+6944|0,nH(v,b+6968|0)|0);rH(b+6944|0,(c[(d+24|0)>>2]|0)+(j*48|0)+20|0,0);wS(b+6944|0);wS(b+6968|0);c[(b+7e3|0)>>2]=j;v=sH(g,b+7e3|0)|0;qS(b+7008|0,37016);mS(b+6984|0,nH(v,b+7008|0)|0);rH(b+6984|0,(c[(d+24|0)>>2]|0)+(j*48|0)+24|0,0);wS(b+6984|0);wS(b+7008|0);c[(b+7040|0)>>2]=j;v=sH(g,b+7040|0)|0;qS(b+7048|0,35960);mS(b+7024|0,nH(v,b+7048|0)|0);rH(b+7024|0,(c[(d+24|0)>>2]|0)+(j*48|0)+28|0,0);wS(b+7024|0);wS(b+7048|0);c[(b+7080|0)>>2]=j;v=sH(g,b+7080|0)|0;qS(b+7088|0,35192);mS(b+7064|0,nH(v,b+7088|0)|0);rH(b+7064|0,(c[(d+24|0)>>2]|0)+(j*48|0)+32|0,0);wS(b+7064|0);wS(b+7088|0);c[(b+7120|0)>>2]=j;v=sH(g,b+7120|0)|0;qS(b+7128|0,34424);mS(b+7104|0,nH(v,b+7128|0)|0);uH(b+7104|0,(c[(d+24|0)>>2]|0)+(j*48|0)+41|0);wS(b+7104|0);wS(b+7128|0);c[(b+7160|0)>>2]=j;v=sH(g,b+7160|0)|0;qS(b+7168|0,34088);mS(b+7144|0,nH(v,b+7168|0)|0);uH(b+7144|0,(c[(d+24|0)>>2]|0)+(j*48|0)+42|0);wS(b+7144|0);wS(b+7168|0);c[(b+7200|0)>>2]=j;v=sH(g,b+7200|0)|0;qS(b+7208|0,33592);mS(b+7184|0,nH(v,b+7208|0)|0);uH(b+7184|0,(c[(d+24|0)>>2]|0)+(j*48|0)+40|0);wS(b+7184|0);wS(b+7208|0);v=c[(d+24|0)>>2]|0;w=(a[v+(j*48|0)+41|0]|0)!=0;m=(a[v+(j*48|0)+42|0]|0)!=0?29632:29352;k=(a[v+(j*48|0)+40|0]|0)!=0?29632:29352;Fx(4,0,1681480,(f=i,i=i+40|0,c[f>>2]=c[v+(j*48|0)+4>>2],c[f+8>>2]=w?1729232:30176,c[f+16>>2]=m,c[f+24>>2]=w?1729232:29896,c[f+32>>2]=k,f)|0);i=f;k=c[(d+24|0)>>2]|0;w=c[k+(j*48|0)+4>>2]|0;if((a[w]|0)==36){a[k+(j*48|0)+44|0]=1;y=c[(c[(d+24|0)>>2]|0)+(j*48|0)+4>>2]|0}else{y=w}qS(b+7224|0,y);c[(vH(b+240|0,b+7224|0)|0)>>2]=j;wS(b+7224|0);j=j+1|0;}while((j|0)<(c[(d+136|0)>>2]|0))}if((c[426534]|0)!=0){Wd[c[3794]&511](4)}Fx(4,1,1680952,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+140|0)>>2]|0)>0){j=(b|0)+168|0;g=0;do{c[(b+7256|0)>>2]=g;w=sH(j,b+7256|0)|0;qS(b+7264|0,43520);mS(b+7240|0,nH(w,b+7264|0)|0);qH(b+7240|0,(c[(d+28|0)>>2]|0)+(g*52|0)+4|0);wS(b+7240|0);wS(b+7264|0);c[(b+7296|0)>>2]=g;w=sH(j,b+7296|0)|0;qS(b+7304|0,41936);mS(b+7280|0,nH(w,b+7304|0)|0);tH(b+7280|0,(c[(d+28|0)>>2]|0)+(g*52|0)|0);wS(b+7280|0);wS(b+7304|0);c[(b+7336|0)>>2]=g;w=sH(j,b+7336|0)|0;qS(b+7344|0,41e3);mS(b+7320|0,nH(w,b+7344|0)|0);qH(b+7320|0,(c[(d+28|0)>>2]|0)+(g*52|0)+8|0);wS(b+7320|0);wS(b+7344|0);c[(b+7376|0)>>2]=g;w=sH(j,b+7376|0)|0;qS(b+7384|0,40064);mS(b+7360|0,nH(w,b+7384|0)|0);qH(b+7360|0,(c[(d+28|0)>>2]|0)+(g*52|0)+12|0);wS(b+7360|0);wS(b+7384|0);c[(b+7416|0)>>2]=g;w=sH(j,b+7416|0)|0;qS(b+7424|0,39240);mS(b+7400|0,nH(w,b+7424|0)|0);rH(b+7400|0,(c[(d+28|0)>>2]|0)+(g*52|0)+16|0,0);wS(b+7400|0);wS(b+7424|0);c[(b+7456|0)>>2]=g;w=sH(j,b+7456|0)|0;qS(b+7464|0,38528);mS(b+7440|0,nH(w,b+7464|0)|0);rH(b+7440|0,(c[(d+28|0)>>2]|0)+(g*52|0)+20|0,0);wS(b+7440|0);wS(b+7464|0);c[(b+7496|0)>>2]=g;w=sH(j,b+7496|0)|0;qS(b+7504|0,37016);mS(b+7480|0,nH(w,b+7504|0)|0);rH(b+7480|0,(c[(d+28|0)>>2]|0)+(g*52|0)+24|0,0);wS(b+7480|0);wS(b+7504|0);c[(b+7536|0)>>2]=g;w=sH(j,b+7536|0)|0;qS(b+7544|0,35960);mS(b+7520|0,nH(w,b+7544|0)|0);rH(b+7520|0,(c[(d+28|0)>>2]|0)+(g*52|0)+28|0,0);wS(b+7520|0);wS(b+7544|0);c[(b+7576|0)>>2]=g;w=sH(j,b+7576|0)|0;qS(b+7584|0,35192);mS(b+7560|0,nH(w,b+7584|0)|0);rH(b+7560|0,(c[(d+28|0)>>2]|0)+(g*52|0)+32|0,0);wS(b+7560|0);wS(b+7584|0);c[(b+7616|0)>>2]=g;w=sH(j,b+7616|0)|0;qS(b+7624|0,34424);mS(b+7600|0,nH(w,b+7624|0)|0);uH(b+7600|0,(c[(d+28|0)>>2]|0)+(g*52|0)+40|0);wS(b+7600|0);wS(b+7624|0);c[(b+7656|0)>>2]=g;w=sH(j,b+7656|0)|0;qS(b+7664|0,34088);mS(b+7640|0,nH(w,b+7664|0)|0);qH(b+7640|0,(c[(d+28|0)>>2]|0)+(g*52|0)+44|0);wS(b+7640|0);wS(b+7664|0);w=c[(d+28|0)>>2]|0;k=(a[w+(g*52|0)+40|0]|0)!=0;m=c[w+(g*52|0)+44>>2]|0;Fx(4,0,1680608,(f=i,i=i+32|0,c[f>>2]=c[w+(g*52|0)+4>>2],c[f+8>>2]=k?1729232:30176,c[f+16>>2]=m,c[f+24>>2]=k?1729232:29896,f)|0);i=f;k=c[(d+28|0)>>2]|0;m=c[k+(g*52|0)+4>>2]|0;if((a[m]|0)==36){a[k+(g*52|0)+48|0]=1;z=c[(c[(d+28|0)>>2]|0)+(g*52|0)+4>>2]|0}else{z=m}qS(b+7680|0,z);c[(vH(b+240|0,b+7680|0)|0)>>2]=g;wS(b+7680|0);g=g+1|0;}while((g|0)<(c[(d+140|0)>>2]|0))}if((c[426534]|0)!=0){Wd[c[3794]&511](4)}Fx(4,1,1680296,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;b:do{if((c[(d+208|0)>>2]|0)>0){g=(b|0)+72|0;j=0;c:while(1){c[(b+7712|0)>>2]=j;m=sH(g,b+7712|0)|0;qS(b+7720|0,43520);mS(b+7696|0,nH(m,b+7720|0)|0);qH(b+7696|0,(c[(d+32|0)>>2]|0)+(j*52|0)+16|0);wS(b+7696|0);wS(b+7720|0);c[(b+7752|0)>>2]=j;m=sH(g,b+7752|0)|0;qS(b+7760|0,41936);mS(b+7736|0,nH(m,b+7760|0)|0);tH(b+7736|0,(c[(d+32|0)>>2]|0)+(j*52|0)+12|0);wS(b+7736|0);wS(b+7760|0);c[(b+7792|0)>>2]=j;m=sH(g,b+7792|0)|0;qS(b+7800|0,41e3);mS(b+7776|0,nH(m,b+7800|0)|0);qH(b+7776|0,(c[(d+32|0)>>2]|0)+(j*52|0)+20|0);wS(b+7776|0);wS(b+7800|0);c[(b+7832|0)>>2]=j;m=sH(g,b+7832|0)|0;qS(b+7840|0,40064);mS(b+7816|0,nH(m,b+7840|0)|0);qH(b+7816|0,(c[(d+32|0)>>2]|0)+(j*52|0)+24|0);wS(b+7816|0);wS(b+7840|0);c[(b+7872|0)>>2]=j;m=sH(g,b+7872|0)|0;qS(b+7880|0,39240);mS(b+7856|0,nH(m,b+7880|0)|0);rH(b+7856|0,(c[(d+32|0)>>2]|0)+(j*52|0)+28|0,0);wS(b+7856|0);wS(b+7880|0);c[(b+7912|0)>>2]=j;m=sH(g,b+7912|0)|0;qS(b+7920|0,38528);mS(b+7896|0,nH(m,b+7920|0)|0);rH(b+7896|0,(c[(d+32|0)>>2]|0)+(j*52|0)+32|0,0);wS(b+7896|0);wS(b+7920|0);c[(b+7952|0)>>2]=j;m=sH(g,b+7952|0)|0;qS(b+7960|0,37016);mS(b+7936|0,nH(m,b+7960|0)|0);rH(b+7936|0,(c[(d+32|0)>>2]|0)+(j*52|0)+36|0,0);wS(b+7936|0);wS(b+7960|0);c[(b+7992|0)>>2]=j;m=sH(g,b+7992|0)|0;qS(b+8e3|0,35960);mS(b+7976|0,nH(m,b+8e3|0)|0);rH(b+7976|0,(c[(d+32|0)>>2]|0)+(j*52|0)+40|0,0);wS(b+7976|0);wS(b+8e3|0);c[(b+8032|0)>>2]=j;m=sH(g,b+8032|0)|0;qS(b+8040|0,35192);mS(b+8016|0,nH(m,b+8040|0)|0);rH(b+8016|0,(c[(d+32|0)>>2]|0)+(j*52|0)+44|0,0);wS(b+8016|0);wS(b+8040|0);kS(b+8056|0);c[(b+8088|0)>>2]=j;m=sH(g,b+8088|0)|0;qS(b+8096|0,1679936);mS(b+8072|0,nH(m,b+8096|0)|0);wH(b+8072|0,b+8056|0);wS(b+8072|0);wS(b+8096|0);m=(WS(b+8056|0,1679656)|0)==0;c[(c[(d+32|0)>>2]|0)+(j*52|0)>>2]=m&1;m=c[(d+32|0)>>2]|0;k=c[m+(j*52|0)>>2]|0;Fx(4,0,1679360,(f=i,i=i+16|0,c[f>>2]=c[m+(j*52|0)+16>>2],c[f+8>>2]=k,f)|0);i=f;k=c[(d+32|0)>>2]|0;if((a[c[k+(j*52|0)+16>>2]|0]|0)==36){a[k+(j*52|0)+48|0]=1}c[(b+8128|0)>>2]=j;k=sH(g,b+8128|0)|0;qS(b+8136|0,1678768);mS(b+8112|0,nH(k,b+8136|0)|0);wH(b+8112|0,b+8056|0);wS(b+8112|0);wS(b+8136|0);xH(b+264|0,b+216|0,b+8056|0);xH(b+272|0,b+240|0,b+8056|0);zH(b+8152|0,b+216|0);do{if(yH(b+264|0,b+8152|0)|0){k=c[(AH(b+264|0)|0)+12>>2]|0;m=c[(d+32|0)>>2]|0;c[m+(j*52|0)+4>>2]=k;a[m+(j*52|0)+8|0]=0}else{zH(b+8160|0,b+240|0);if(yH(b+272|0,b+8160|0)|0){m=c[(AH(b+272|0)|0)+12>>2]|0;k=c[(d+32|0)>>2]|0;c[k+(j*52|0)+4>>2]=m;a[k+(j*52|0)+8|0]=1;break}if((WS(b+8056|0,1678416)|0)!=0){break c}a[(c[(d+32|0)>>2]|0)+(j*52|0)+8|0]=2}}while(0);wS(b+8056|0);j=j+1|0;if((j|0)>=(c[(d+208|0)>>2]|0)){break b}}fT(b+8184|0,1677712,b+8056|0);hH(b+8168|0,b+8184|0,1677296);wS(b+8184|0);j=TS(b+8168|0)|0;Jx(0,1676736,(f=i,i=i+8|0,c[f>>2]=j,f)|0);i=f}}while(0);if((c[426534]|0)!=0){Wd[c[3794]&511](4)}Fx(4,1,1675440,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;d:do{if((c[(d+212|0)>>2]|0)>0){j=(b|0)+108|0;g=0;while(1){c[(b+8216|0)>>2]=g;k=sH(j,b+8216|0)|0;qS(b+8224|0,43520);mS(b+8200|0,nH(k,b+8224|0)|0);qH(b+8200|0,(c[(d+36|0)>>2]|0)+(g*52|0)+16|0);wS(b+8200|0);wS(b+8224|0);c[(b+8256|0)>>2]=g;k=sH(j,b+8256|0)|0;qS(b+8264|0,41936);mS(b+8240|0,nH(k,b+8264|0)|0);tH(b+8240|0,(c[(d+36|0)>>2]|0)+(g*52|0)+12|0);wS(b+8240|0);wS(b+8264|0);c[(b+8296|0)>>2]=g;k=sH(j,b+8296|0)|0;qS(b+8304|0,41e3);mS(b+8280|0,nH(k,b+8304|0)|0);qH(b+8280|0,(c[(d+36|0)>>2]|0)+(g*52|0)+20|0);wS(b+8280|0);wS(b+8304|0);c[(b+8336|0)>>2]=g;k=sH(j,b+8336|0)|0;qS(b+8344|0,40064);mS(b+8320|0,nH(k,b+8344|0)|0);qH(b+8320|0,(c[(d+36|0)>>2]|0)+(g*52|0)+24|0);wS(b+8320|0);wS(b+8344|0);c[(b+8376|0)>>2]=g;k=sH(j,b+8376|0)|0;qS(b+8384|0,39240);mS(b+8360|0,nH(k,b+8384|0)|0);rH(b+8360|0,(c[(d+36|0)>>2]|0)+(g*52|0)+28|0,0);wS(b+8360|0);wS(b+8384|0);c[(b+8416|0)>>2]=g;k=sH(j,b+8416|0)|0;qS(b+8424|0,38528);mS(b+8400|0,nH(k,b+8424|0)|0);rH(b+8400|0,(c[(d+36|0)>>2]|0)+(g*52|0)+32|0,0);wS(b+8400|0);wS(b+8424|0);c[(b+8456|0)>>2]=g;k=sH(j,b+8456|0)|0;qS(b+8464|0,37016);mS(b+8440|0,nH(k,b+8464|0)|0);rH(b+8440|0,(c[(d+36|0)>>2]|0)+(g*52|0)+36|0,0);wS(b+8440|0);wS(b+8464|0);c[(b+8496|0)>>2]=g;k=sH(j,b+8496|0)|0;qS(b+8504|0,35960);mS(b+8480|0,nH(k,b+8504|0)|0);rH(b+8480|0,(c[(d+36|0)>>2]|0)+(g*52|0)+40|0,0);wS(b+8480|0);wS(b+8504|0);c[(b+8536|0)>>2]=g;k=sH(j,b+8536|0)|0;qS(b+8544|0,35192);mS(b+8520|0,nH(k,b+8544|0)|0);rH(b+8520|0,(c[(d+36|0)>>2]|0)+(g*52|0)+44|0,0);wS(b+8520|0);wS(b+8544|0);kS(b+8560|0);c[(b+8592|0)>>2]=g;k=sH(j,b+8592|0)|0;qS(b+8600|0,1679936);mS(b+8576|0,nH(k,b+8600|0)|0);wH(b+8576|0,b+8560|0);wS(b+8576|0);wS(b+8600|0);k=(WS(b+8560|0,1679656)|0)==0;c[(c[(d+36|0)>>2]|0)+(g*52|0)>>2]=k&1;k=c[(d+36|0)>>2]|0;m=c[k+(g*52|0)>>2]|0;Fx(4,0,1679360,(f=i,i=i+16|0,c[f>>2]=c[k+(g*52|0)+16>>2],c[f+8>>2]=m,f)|0);i=f;m=c[(d+36|0)>>2]|0;if((a[c[m+(g*52|0)+16>>2]|0]|0)==36){a[m+(g*52|0)+48|0]=1}c[(b+8632|0)>>2]=g;m=sH(j,b+8632|0)|0;qS(b+8640|0,1678768);mS(b+8616|0,nH(m,b+8640|0)|0);wH(b+8616|0,b+8560|0);wS(b+8616|0);wS(b+8640|0);xH(b+264|0,b+216|0,b+8560|0);xH(b+272|0,b+240|0,b+8560|0);zH(b+8656|0,b+216|0);if(yH(b+264|0,b+8656|0)|0){m=c[(AH(b+264|0)|0)+12>>2]|0;k=c[(d+36|0)>>2]|0;c[k+(g*52|0)+4>>2]=m;a[k+(g*52|0)+8|0]=0}else{zH(b+8664|0,b+240|0);if(!(yH(b+272|0,b+8664|0)|0)){break}k=c[(AH(b+272|0)|0)+12>>2]|0;m=c[(d+36|0)>>2]|0;c[m+(g*52|0)+4>>2]=k;a[m+(g*52|0)+8|0]=1}wS(b+8560|0);g=g+1|0;if((g|0)>=(c[(d+212|0)>>2]|0)){break d}}fT(b+8688|0,1675104,b+8560|0);hH(b+8672|0,b+8688|0,1677296);wS(b+8688|0);g=TS(b+8672|0)|0;Jx(0,1676736,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f}}while(0);if((c[426534]|0)!=0){Wd[c[3794]&511](4)}Fx(4,1,1673768,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;e:do{if((c[(d+216|0)>>2]|0)>0){g=(b|0)+144|0;j=0;while(1){c[(b+8720|0)>>2]=j;m=sH(g,b+8720|0)|0;qS(b+8728|0,43520);mS(b+8704|0,nH(m,b+8728|0)|0);qH(b+8704|0,(c[(d+40|0)>>2]|0)+(j*52|0)+16|0);wS(b+8704|0);wS(b+8728|0);c[(b+8760|0)>>2]=j;m=sH(g,b+8760|0)|0;qS(b+8768|0,41936);mS(b+8744|0,nH(m,b+8768|0)|0);tH(b+8744|0,(c[(d+40|0)>>2]|0)+(j*52|0)+12|0);wS(b+8744|0);wS(b+8768|0);c[(b+8800|0)>>2]=j;m=sH(g,b+8800|0)|0;qS(b+8808|0,41e3);mS(b+8784|0,nH(m,b+8808|0)|0);qH(b+8784|0,(c[(d+40|0)>>2]|0)+(j*52|0)+20|0);wS(b+8784|0);wS(b+8808|0);c[(b+8840|0)>>2]=j;m=sH(g,b+8840|0)|0;qS(b+8848|0,40064);mS(b+8824|0,nH(m,b+8848|0)|0);qH(b+8824|0,(c[(d+40|0)>>2]|0)+(j*52|0)+24|0);wS(b+8824|0);wS(b+8848|0);c[(b+8880|0)>>2]=j;m=sH(g,b+8880|0)|0;qS(b+8888|0,39240);mS(b+8864|0,nH(m,b+8888|0)|0);uH(b+8864|0,(c[(d+40|0)>>2]|0)+(j*52|0)+28|0);wS(b+8864|0);wS(b+8888|0);c[(b+8920|0)>>2]=j;m=sH(g,b+8920|0)|0;qS(b+8928|0,38528);mS(b+8904|0,nH(m,b+8928|0)|0);uH(b+8904|0,(c[(d+40|0)>>2]|0)+(j*52|0)+32|0);wS(b+8904|0);wS(b+8928|0);c[(b+8960|0)>>2]=j;m=sH(g,b+8960|0)|0;qS(b+8968|0,37016);mS(b+8944|0,nH(m,b+8968|0)|0);uH(b+8944|0,(c[(d+40|0)>>2]|0)+(j*52|0)+36|0);wS(b+8944|0);wS(b+8968|0);c[(b+9e3|0)>>2]=j;m=sH(g,b+9e3|0)|0;qS(b+9008|0,35960);mS(b+8984|0,nH(m,b+9008|0)|0);uH(b+8984|0,(c[(d+40|0)>>2]|0)+(j*52|0)+40|0);wS(b+8984|0);wS(b+9008|0);c[(b+9040|0)>>2]=j;m=sH(g,b+9040|0)|0;qS(b+9048|0,35192);mS(b+9024|0,nH(m,b+9048|0)|0);uH(b+9024|0,(c[(d+40|0)>>2]|0)+(j*52|0)+44|0);wS(b+9024|0);wS(b+9048|0);kS(b+9064|0);c[(b+9096|0)>>2]=j;m=sH(g,b+9096|0)|0;qS(b+9104|0,1679936);mS(b+9080|0,nH(m,b+9104|0)|0);wH(b+9080|0,b+9064|0);wS(b+9080|0);wS(b+9104|0);m=(WS(b+9064|0,1679656)|0)==0;c[(c[(d+40|0)>>2]|0)+(j*52|0)>>2]=m&1;m=c[(d+40|0)>>2]|0;k=c[m+(j*52|0)>>2]|0;Fx(4,0,1679360,(f=i,i=i+16|0,c[f>>2]=c[m+(j*52|0)+16>>2],c[f+8>>2]=k,f)|0);i=f;k=c[(d+40|0)>>2]|0;if((a[c[k+(j*52|0)+16>>2]|0]|0)==36){a[k+(j*52|0)+48|0]=1}c[(b+9136|0)>>2]=j;k=sH(g,b+9136|0)|0;qS(b+9144|0,1678768);mS(b+9120|0,nH(k,b+9144|0)|0);wH(b+9120|0,b+9064|0);wS(b+9120|0);wS(b+9144|0);xH(b+264|0,b+216|0,b+9064|0);xH(b+272|0,b+240|0,b+9064|0);zH(b+9160|0,b+216|0);if(yH(b+264|0,b+9160|0)|0){k=c[(AH(b+264|0)|0)+12>>2]|0;m=c[(d+40|0)>>2]|0;c[m+(j*52|0)+4>>2]=k;a[m+(j*52|0)+8|0]=0}else{zH(b+9168|0,b+240|0);if(!(yH(b+272|0,b+9168|0)|0)){break}m=c[(AH(b+272|0)|0)+12>>2]|0;k=c[(d+40|0)>>2]|0;c[k+(j*52|0)+4>>2]=m;a[k+(j*52|0)+8|0]=1}wS(b+9064|0);j=j+1|0;if((j|0)>=(c[(d+216|0)>>2]|0)){break e}}fT(b+9192|0,1673416,b+9064|0);hH(b+9176|0,b+9192|0,1677296);wS(b+9192|0);j=TS(b+9176|0)|0;Jx(0,1676736,(f=i,i=i+8|0,c[f>>2]=j,f)|0);i=f}}while(0);if((c[426534]|0)!=0){Wd[c[3794]&511](4)}Fx(4,1,1672376,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;f:do{if((c[(d+220|0)>>2]|0)>0){j=(b|0)+180|0;g=0;while(1){c[(b+9224|0)>>2]=g;k=sH(j,b+9224|0)|0;qS(b+9232|0,43520);mS(b+9208|0,nH(k,b+9232|0)|0);qH(b+9208|0,(c[(d+44|0)>>2]|0)+(g*52|0)+16|0);wS(b+9208|0);wS(b+9232|0);c[(b+9264|0)>>2]=g;k=sH(j,b+9264|0)|0;qS(b+9272|0,41936);mS(b+9248|0,nH(k,b+9272|0)|0);tH(b+9248|0,(c[(d+44|0)>>2]|0)+(g*52|0)+12|0);wS(b+9248|0);wS(b+9272|0);c[(b+9304|0)>>2]=g;k=sH(j,b+9304|0)|0;qS(b+9312|0,41e3);mS(b+9288|0,nH(k,b+9312|0)|0);qH(b+9288|0,(c[(d+44|0)>>2]|0)+(g*52|0)+20|0);wS(b+9288|0);wS(b+9312|0);c[(b+9344|0)>>2]=g;k=sH(j,b+9344|0)|0;qS(b+9352|0,40064);mS(b+9328|0,nH(k,b+9352|0)|0);qH(b+9328|0,(c[(d+44|0)>>2]|0)+(g*52|0)+24|0);wS(b+9328|0);wS(b+9352|0);c[(b+9384|0)>>2]=g;k=sH(j,b+9384|0)|0;qS(b+9392|0,39240);mS(b+9368|0,nH(k,b+9392|0)|0);qH(b+9368|0,(c[(d+44|0)>>2]|0)+(g*52|0)+28|0);wS(b+9368|0);wS(b+9392|0);c[(b+9424|0)>>2]=g;k=sH(j,b+9424|0)|0;qS(b+9432|0,38528);mS(b+9408|0,nH(k,b+9432|0)|0);qH(b+9408|0,(c[(d+44|0)>>2]|0)+(g*52|0)+32|0);wS(b+9408|0);wS(b+9432|0);c[(b+9464|0)>>2]=g;k=sH(j,b+9464|0)|0;qS(b+9472|0,37016);mS(b+9448|0,nH(k,b+9472|0)|0);qH(b+9448|0,(c[(d+44|0)>>2]|0)+(g*52|0)+36|0);wS(b+9448|0);wS(b+9472|0);c[(b+9504|0)>>2]=g;k=sH(j,b+9504|0)|0;qS(b+9512|0,35960);mS(b+9488|0,nH(k,b+9512|0)|0);qH(b+9488|0,(c[(d+44|0)>>2]|0)+(g*52|0)+40|0);wS(b+9488|0);wS(b+9512|0);c[(b+9544|0)>>2]=g;k=sH(j,b+9544|0)|0;qS(b+9552|0,35192);mS(b+9528|0,nH(k,b+9552|0)|0);qH(b+9528|0,(c[(d+44|0)>>2]|0)+(g*52|0)+44|0);wS(b+9528|0);wS(b+9552|0);kS(b+9568|0);c[(b+9600|0)>>2]=g;k=sH(j,b+9600|0)|0;qS(b+9608|0,1679936);mS(b+9584|0,nH(k,b+9608|0)|0);wH(b+9584|0,b+9568|0);wS(b+9584|0);wS(b+9608|0);k=(WS(b+9568|0,1679656)|0)==0;c[(c[(d+44|0)>>2]|0)+(g*52|0)>>2]=k&1;k=c[(d+44|0)>>2]|0;m=c[k+(g*52|0)>>2]|0;Fx(4,0,1679360,(f=i,i=i+16|0,c[f>>2]=c[k+(g*52|0)+16>>2],c[f+8>>2]=m,f)|0);i=f;m=c[(d+44|0)>>2]|0;if((a[c[m+(g*52|0)+16>>2]|0]|0)==36){a[m+(g*52|0)+48|0]=1}c[(b+9640|0)>>2]=g;m=sH(j,b+9640|0)|0;qS(b+9648|0,1678768);mS(b+9624|0,nH(m,b+9648|0)|0);wH(b+9624|0,b+9568|0);wS(b+9624|0);wS(b+9648|0);xH(b+264|0,b+216|0,b+9568|0);xH(b+272|0,b+240|0,b+9568|0);zH(b+9664|0,b+216|0);if(yH(b+264|0,b+9664|0)|0){m=c[(AH(b+264|0)|0)+12>>2]|0;k=c[(d+44|0)>>2]|0;c[k+(g*52|0)+4>>2]=m;a[k+(g*52|0)+8|0]=0}else{zH(b+9672|0,b+240|0);if(!(yH(b+272|0,b+9672|0)|0)){break}k=c[(AH(b+272|0)|0)+12>>2]|0;m=c[(d+44|0)>>2]|0;c[m+(g*52|0)+4>>2]=k;a[m+(g*52|0)+8|0]=1}wS(b+9568|0);g=g+1|0;if((g|0)>=(c[(d+220|0)>>2]|0)){break f}}fT(b+9696|0,1671944,b+9568|0);hH(b+9680|0,b+9696|0,1677296);wS(b+9696|0);g=TS(b+9680|0)|0;Jx(0,1676736,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f}}while(0);if((c[426534]|0)!=0){Wd[c[3794]&511](4)}Es(e);BH(b+240|0);BH(b+216|0);wS(b+200|0);CH(b|0);i=b;c[b+12760>>2]=5;break a}while(0);c[b+12744>>2]=f}



function P0(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0,ma=0.0,na=0,oa=0.0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0.0,ya=0,za=0.0,Aa=0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0,Ha=0.0,Ia=0.0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0.0,zc=0,Ac=0,Bc=0.0,Cc=0.0,Dc=0.0,Ec=0.0,Fc=0.0,Gc=0.0,Hc=0.0,Ic=0,Jc=0,Kc=0.0,Lc=0,Mc=0;g=i;i=i+512|0;h=g|0;if((e|0)==1){j=-1074;k=53}else if((e|0)==2){j=-1074;k=53}else if((e|0)==0){j=-149;k=24}else{l=0.0;i=g;return+l}e=b+4|0;m=b+100|0;do{n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;o=d[n]|0}else{o=S0(b)|0}}while((bb(o|0)|0)!=0);do{if((o|0)==45|(o|0)==43){n=1-(((o|0)==45)<<1)|0;p=c[e>>2]|0;if(p>>>0<(c[m>>2]|0)>>>0){c[e>>2]=p+1;q=d[p]|0;r=n;break}else{q=S0(b)|0;r=n;break}}else{q=o;r=1}}while(0);o=0;n=q;while(1){if((n|32|0)!=(a[37288+o|0]|0)){s=o;t=n;break}do{if(o>>>0<7>>>0){q=c[e>>2]|0;if(q>>>0<(c[m>>2]|0)>>>0){c[e>>2]=q+1;u=d[q]|0;break}else{u=S0(b)|0;break}}else{u=n}}while(0);q=o+1|0;if(q>>>0<8>>>0){o=q;n=u}else{s=q;t=u;break}}do{if((s|0)==3){x=23}else if((s|0)!=8){u=(f|0)==0;if(!(s>>>0<4>>>0|u)){if((s|0)==8){break}else{x=23;break}}do{if((s|0)==0){if((t|32|0)==110){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;y=d[n]|0}else{y=S0(b)|0}if((y|32|0)!=97){break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;z=d[n]|0}else{z=S0(b)|0}if((z|32|0)!=110){break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;A=d[n]|0}else{A=S0(b)|0}if((A|0)==40){B=1}else{if((c[m>>2]|0)==0){l=+v;i=g;return+l}c[e>>2]=(c[e>>2]|0)-1;l=+v;i=g;return+l}while(1){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;C=d[n]|0}else{C=S0(b)|0}if(!((C-48|0)>>>0<10>>>0|(C-65|0)>>>0<26>>>0)){if(!((C-97|0)>>>0<26>>>0|(C|0)==95)){break}}B=B+1|0}if((C|0)==41){l=+v;i=g;return+l}n=(c[m>>2]|0)==0;if(!n){c[e>>2]=(c[e>>2]|0)-1}if(u){c[(Zc()|0)>>2]=22;R0(b,0);l=0.0;i=g;return+l}if((B|0)==0|n){l=+v;i=g;return+l}else{D=B}while(1){n=D-1|0;c[e>>2]=(c[e>>2]|0)-1;if((n|0)==0){l=+v;break}else{D=n}}i=g;return+l}do{if((t|0)==48){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;E=d[n]|0}else{E=S0(b)|0}if((E|32|0)!=120){if((c[m>>2]|0)==0){F=48;break}c[e>>2]=(c[e>>2]|0)-1;F=48;break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;G=d[n]|0;H=0}else{G=S0(b)|0;H=0}while(1){if((G|0)==46){x=68;break}else if((G|0)!=48){I=G;J=0;L=0;M=0;N=0;O=H;P=0;Q=0;R=1.0;S=0.0;T=0;break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;G=d[n]|0;H=1;continue}else{G=S0(b)|0;H=1;continue}}a:do{if((x|0)==68){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;U=d[n]|0}else{U=S0(b)|0}if((U|0)==48){W=-1;X=-1}else{I=U;J=0;L=0;M=0;N=0;O=H;P=1;Q=0;R=1.0;S=0.0;T=0;break}while(1){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;Y=d[n]|0}else{Y=S0(b)|0}if((Y|0)!=48){I=Y;J=0;L=0;M=W;N=X;O=1;P=1;Q=0;R=1.0;S=0.0;T=0;break a}n=l1(X,W,-1,-1)|0;W=K;X=n}}}while(0);b:while(1){n=I-48|0;do{if(n>>>0<10>>>0){Z=n;x=82}else{o=I|32;q=(I|0)==46;if(!((o-97|0)>>>0<6>>>0|q)){_=I;break b}if(q){if((P|0)==0){$=J;aa=L;ba=J;ca=L;da=O;ea=1;fa=Q;ha=R;ia=S;ja=T;break}else{_=46;break b}}else{Z=(I|0)>57?o-87|0:n;x=82;break}}}while(0);if((x|0)==82){x=0;n=0;do{if((J|0)<(n|0)|(J|0)==(n|0)&L>>>0<8>>>0){ka=Q;la=R;ma=S;na=Z+(T<<4)|0}else{o=0;if((J|0)<(o|0)|(J|0)==(o|0)&L>>>0<14>>>0){oa=R*.0625;ka=Q;la=oa;ma=S+oa*+(Z|0);na=T;break}if(!((Z|0)!=0&(Q|0)==0)){ka=Q;la=R;ma=S;na=T;break}ka=1;la=R;ma=S+R*.5;na=T}}while(0);n=l1(L,J,1,0)|0;$=K;aa=n;ba=M;ca=N;da=1;ea=P;fa=ka;ha=la;ia=ma;ja=na}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;I=d[n]|0;J=$;L=aa;M=ba;N=ca;O=da;P=ea;Q=fa;R=ha;S=ia;T=ja;continue}else{I=S0(b)|0;J=$;L=aa;M=ba;N=ca;O=da;P=ea;Q=fa;R=ha;S=ia;T=ja;continue}}if((O|0)==0){n=(c[m>>2]|0)==0;if(!n){c[e>>2]=(c[e>>2]|0)-1}do{if(u){R0(b,0)}else{if(n){break}o=c[e>>2]|0;c[e>>2]=o-1;if((P|0)==0){break}c[e>>2]=o-2}}while(0);l=+(r|0)*0.0;i=g;return+l}n=(P|0)==0;o=n?L:N;q=n?J:M;n=0;if((J|0)<(n|0)|(J|0)==(n|0)&L>>>0<8>>>0){n=T;p=J;pa=L;while(1){qa=n<<4;ra=l1(pa,p,1,0)|0;sa=K;ta=0;if((sa|0)<(ta|0)|(sa|0)==(ta|0)&ra>>>0<8>>>0){n=qa;p=sa;pa=ra}else{ua=qa;break}}}else{ua=T}do{if((_|32|0)==112){pa=Q0(b,f)|0;p=K;if(!((pa|0)==0&(p|0)==(-2147483648|0))){va=p;wa=pa;break}if(u){R0(b,0);l=0.0;i=g;return+l}else{if((c[m>>2]|0)==0){va=0;wa=0;break}c[e>>2]=(c[e>>2]|0)-1;va=0;wa=0;break}}else{if((c[m>>2]|0)==0){va=0;wa=0;break}c[e>>2]=(c[e>>2]|0)-1;va=0;wa=0}}while(0);pa=l1(o<<2|0>>>30,q<<2|o>>>30,-32,-1)|0;p=l1(pa,K,wa,va)|0;pa=K;if((ua|0)==0){l=+(r|0)*0.0;i=g;return+l}n=0;if((pa|0)>(n|0)|(pa|0)==(n|0)&p>>>0>(-j|0)>>>0){c[(Zc()|0)>>2]=34;l=+(r|0)*1.7976931348623157e+308*1.7976931348623157e+308;i=g;return+l}n=j-106|0;qa=(n|0)<0|0?-1:0;if((pa|0)<(qa|0)|(pa|0)==(qa|0)&p>>>0<n>>>0){c[(Zc()|0)>>2]=34;l=+(r|0)*2.2250738585072014e-308*2.2250738585072014e-308;i=g;return+l}if((ua|0)>-1){n=ua;oa=S;qa=pa;ra=p;while(1){sa=n<<1;if(oa<.5){xa=oa;ya=sa}else{xa=oa+-1.0;ya=sa|1}za=oa+xa;sa=l1(ra,qa,-1,-1)|0;ta=K;if((ya|0)>-1){n=ya;oa=za;qa=ta;ra=sa}else{Aa=ya;Ba=za;Ca=ta;Da=sa;break}}}else{Aa=ua;Ba=S;Ca=pa;Da=p}ra=0;qa=m1(32,0,j,(j|0)<0|0?-1:0)|0;n=l1(Da,Ca,qa,K)|0;qa=K;if((ra|0)>(qa|0)|(ra|0)==(qa|0)&k>>>0>n>>>0){qa=n;Ea=(qa|0)<0?0:qa}else{Ea=k}do{if((Ea|0)<53){oa=+(r|0);za=+pc(+(+T0(1.0,84-Ea|0)),+oa);if(!((Ea|0)<32&Ba!=0.0)){Fa=Ba;Ga=Aa;Ha=za;Ia=oa;break}qa=Aa&1;Fa=(qa|0)==0?0.0:Ba;Ga=(qa^1)+Aa|0;Ha=za;Ia=oa}else{Fa=Ba;Ga=Aa;Ha=0.0;Ia=+(r|0)}}while(0);oa=Ia*Fa+(Ha+Ia*+(Ga>>>0>>>0))-Ha;if(!(oa!=0.0)){c[(Zc()|0)>>2]=34}l=+U0(oa,Da);i=g;return+l}else{F=t}}while(0);p=j+k|0;pa=3-p|0;qa=F;n=0;while(1){if((qa|0)==46){x=137;break}else if((qa|0)!=48){Ja=qa;Ka=0;La=n;Ma=0;Na=0;break}ra=c[e>>2]|0;if(ra>>>0<(c[m>>2]|0)>>>0){c[e>>2]=ra+1;qa=d[ra]|0;n=1;continue}else{qa=S0(b)|0;n=1;continue}}c:do{if((x|0)==137){qa=c[e>>2]|0;if(qa>>>0<(c[m>>2]|0)>>>0){c[e>>2]=qa+1;Oa=d[qa]|0}else{Oa=S0(b)|0}if((Oa|0)==48){Pa=-1;Qa=-1}else{Ja=Oa;Ka=1;La=n;Ma=0;Na=0;break}while(1){qa=c[e>>2]|0;if(qa>>>0<(c[m>>2]|0)>>>0){c[e>>2]=qa+1;Ra=d[qa]|0}else{Ra=S0(b)|0}if((Ra|0)!=48){Ja=Ra;Ka=1;La=1;Ma=Pa;Na=Qa;break c}qa=l1(Qa,Pa,-1,-1)|0;Pa=K;Qa=qa}}}while(0);n=h|0;c[n>>2]=0;qa=Ja-48|0;ra=(Ja|0)==46;d:do{if(qa>>>0<10>>>0|ra){o=h+496|0;q=Ma;sa=Na;ta=0;Sa=0;Ta=0;Ua=La;Va=Ka;Wa=0;Xa=0;Ya=Ja;Za=qa;_a=ra;while(1){do{if(_a){if((Va|0)==0){$a=Xa;ab=Wa;cb=1;db=Ua;eb=Ta;fb=ta;gb=Sa;hb=ta;ib=Sa}else{jb=q;kb=sa;lb=ta;mb=Sa;nb=Ta;ob=Ua;pb=Wa;qb=Xa;rb=Ya;break d}}else{sb=l1(Sa,ta,1,0)|0;tb=K;ub=(Ya|0)!=48;if((Wa|0)>=125){if(!ub){$a=Xa;ab=Wa;cb=Va;db=Ua;eb=Ta;fb=tb;gb=sb;hb=q;ib=sa;break}c[o>>2]=c[o>>2]|1;$a=Xa;ab=Wa;cb=Va;db=Ua;eb=Ta;fb=tb;gb=sb;hb=q;ib=sa;break}vb=h+(Wa<<2)|0;if((Xa|0)==0){wb=Za}else{wb=Ya-48+((c[vb>>2]|0)*10|0)|0}c[vb>>2]=wb;vb=Xa+1|0;xb=(vb|0)==9;$a=xb?0:vb;ab=(xb&1)+Wa|0;cb=Va;db=1;eb=ub?sb:Ta;fb=tb;gb=sb;hb=q;ib=sa}}while(0);sb=c[e>>2]|0;if(sb>>>0<(c[m>>2]|0)>>>0){c[e>>2]=sb+1;yb=d[sb]|0}else{yb=S0(b)|0}sb=yb-48|0;tb=(yb|0)==46;if(sb>>>0<10>>>0|tb){q=hb;sa=ib;ta=fb;Sa=gb;Ta=eb;Ua=db;Va=cb;Wa=ab;Xa=$a;Ya=yb;Za=sb;_a=tb}else{zb=hb;Ab=ib;Bb=fb;Cb=gb;Db=eb;Eb=db;Fb=cb;Gb=ab;Hb=$a;Ib=yb;x=160;break}}}else{zb=Ma;Ab=Na;Bb=0;Cb=0;Db=0;Eb=La;Fb=Ka;Gb=0;Hb=0;Ib=Ja;x=160}}while(0);if((x|0)==160){ra=(Fb|0)==0;jb=ra?Bb:zb;kb=ra?Cb:Ab;lb=Bb;mb=Cb;nb=Db;ob=Eb;pb=Gb;qb=Hb;rb=Ib}ra=(ob|0)!=0;do{if(ra){if((rb|32|0)!=101){x=169;break}qa=Q0(b,f)|0;_a=K;do{if((qa|0)==0&(_a|0)==(-2147483648|0)){if(u){R0(b,0);l=0.0;i=g;return+l}else{if((c[m>>2]|0)==0){Jb=0;Kb=0;break}c[e>>2]=(c[e>>2]|0)-1;Jb=0;Kb=0;break}}else{Jb=_a;Kb=qa}}while(0);qa=l1(Kb,Jb,kb,jb)|0;Lb=K;Mb=qa}else{x=169}}while(0);do{if((x|0)==169){if(!((rb|0)>-1)){Lb=jb;Mb=kb;break}if((c[m>>2]|0)==0){Lb=jb;Mb=kb;break}c[e>>2]=(c[e>>2]|0)-1;Lb=jb;Mb=kb}}while(0);if(!ra){c[(Zc()|0)>>2]=22;R0(b,0);l=0.0;i=g;return+l}qa=c[n>>2]|0;if((qa|0)==0){l=+(r|0)*0.0;i=g;return+l}_a=0;do{if((Mb|0)==(mb|0)&(Lb|0)==(lb|0)&((lb|0)<(_a|0)|(lb|0)==(_a|0)&mb>>>0<10>>>0)){if(!(k>>>0>30>>>0)){if((qa>>>(k>>>0)|0)!=0){break}}l=+(r|0)*+(qa>>>0>>>0);i=g;return+l}}while(0);qa=(j|0)/-2|0;_a=(qa|0)<0|0?-1:0;if((Lb|0)>(_a|0)|(Lb|0)==(_a|0)&Mb>>>0>qa>>>0){c[(Zc()|0)>>2]=34;l=+(r|0)*1.7976931348623157e+308*1.7976931348623157e+308;i=g;return+l}qa=j-106|0;_a=(qa|0)<0|0?-1:0;if((Lb|0)<(_a|0)|(Lb|0)==(_a|0)&Mb>>>0<qa>>>0){c[(Zc()|0)>>2]=34;l=+(r|0)*2.2250738585072014e-308*2.2250738585072014e-308;i=g;return+l}if((qb|0)==0){Nb=pb}else{if((qb|0)<9){qa=h+(pb<<2)|0;_a=qb;ra=c[qa>>2]|0;do{ra=ra*10|0;_a=_a+1|0;}while((_a|0)<9);c[qa>>2]=ra}Nb=pb+1|0}_a=Mb;do{if((nb|0)<9){if(!((nb|0)<=(_a|0)&(_a|0)<18)){break}if((_a|0)==9){l=+(r|0)*+((c[n>>2]|0)>>>0>>>0);i=g;return+l}if((_a|0)<9){l=+(r|0)*+((c[n>>2]|0)>>>0>>>0)/+(c[18744+(8-_a<<2)>>2]|0);i=g;return+l}Za=k+27+(_a*-3|0)|0;Ya=c[n>>2]|0;if((Za|0)<=30){if((Ya>>>(Za>>>0)|0)!=0){break}}l=+(r|0)*+(Ya>>>0>>>0)*+(c[18744+(_a-10<<2)>>2]|0);i=g;return+l}}while(0);n=(_a|0)%9|0;if((n|0)==0){Ob=0;Pb=Nb;Qb=0;Rb=_a}else{ra=(_a|0)>-1?n:n+9|0;n=c[18744+(8-ra<<2)>>2]|0;do{if((Nb|0)==0){Sb=0;Tb=0;Ub=_a}else{qa=1e9/(n|0)|0;Ya=_a;Za=0;Xa=0;Wa=0;while(1){Va=h+(Xa<<2)|0;Ua=c[Va>>2]|0;Ta=((Ua>>>0)/(n>>>0)|0)+Wa|0;c[Va>>2]=Ta;Vb=ga((Ua>>>0)%(n>>>0)|0,qa)|0;Ua=Xa+1|0;if((Xa|0)==(Za|0)&(Ta|0)==0){Xb=Ua&127;Yb=Ya-9|0}else{Xb=Za;Yb=Ya}if((Ua|0)==(Nb|0)){break}else{Ya=Yb;Za=Xb;Xa=Ua;Wa=Vb}}if((Vb|0)==0){Sb=Nb;Tb=Xb;Ub=Yb;break}c[h+(Nb<<2)>>2]=Vb;Sb=Nb+1|0;Tb=Xb;Ub=Yb}}while(0);Ob=Tb;Pb=Sb;Qb=0;Rb=9-ra+Ub|0}e:while(1){n=h+(Ob<<2)|0;if((Rb|0)<18){_a=Pb;Wa=Qb;while(1){Xa=0;Za=_a+127|0;Ya=_a;while(1){qa=Za&127;Ua=h+(qa<<2)|0;Ta=c[Ua>>2]|0;Va=l1(Ta<<29|0>>>3,0<<29|Ta>>>3,Xa,0)|0;Ta=K;Sa=0;if(Ta>>>0>Sa>>>0|Ta>>>0==Sa>>>0&Va>>>0>1e9>>>0){Sa=w1(Va,Ta,1e9,0)|0;ta=x1(Va,Ta,1e9,0)|0;Zb=Sa;_b=ta}else{Zb=0;_b=Va}c[Ua>>2]=_b;Ua=(qa|0)==(Ob|0);if((qa|0)!=(Ya+127&127|0)|Ua){$b=Ya}else{$b=(_b|0)==0?qa:Ya}if(Ua){break}else{Xa=Zb;Za=qa-1|0;Ya=$b}}Ya=Wa-29|0;if((Zb|0)==0){_a=$b;Wa=Ya}else{ac=Ya;bc=$b;cc=Zb;break}}}else{if((Rb|0)==18){dc=Pb;ec=Qb}else{fc=Ob;gc=Pb;hc=Qb;ic=Rb;break}while(1){if(!((c[n>>2]|0)>>>0<9007199>>>0)){fc=Ob;gc=dc;hc=ec;ic=18;break e}Wa=0;_a=dc+127|0;Ya=dc;while(1){Za=_a&127;Xa=h+(Za<<2)|0;qa=c[Xa>>2]|0;Ua=l1(qa<<29|0>>>3,0<<29|qa>>>3,Wa,0)|0;qa=K;Va=0;if(qa>>>0>Va>>>0|qa>>>0==Va>>>0&Ua>>>0>1e9>>>0){Va=w1(Ua,qa,1e9,0)|0;ta=x1(Ua,qa,1e9,0)|0;jc=Va;kc=ta}else{jc=0;kc=Ua}c[Xa>>2]=kc;Xa=(Za|0)==(Ob|0);if((Za|0)!=(Ya+127&127|0)|Xa){lc=Ya}else{lc=(kc|0)==0?Za:Ya}if(Xa){break}else{Wa=jc;_a=Za-1|0;Ya=lc}}Ya=ec-29|0;if((jc|0)==0){dc=lc;ec=Ya}else{ac=Ya;bc=lc;cc=jc;break}}}n=Ob+127&127;if((n|0)==(bc|0)){Ya=bc+127&127;_a=h+((bc+126&127)<<2)|0;c[_a>>2]=c[_a>>2]|c[h+(Ya<<2)>>2];mc=Ya}else{mc=bc}c[h+(n<<2)>>2]=cc;Ob=n;Pb=mc;Qb=ac;Rb=Rb+9|0}f:while(1){nc=gc+1&127;ra=h+((gc+127&127)<<2)|0;n=fc;Ya=hc;_a=ic;while(1){Wa=(_a|0)==18;Za=(_a|0)>27?9:1;oc=n;qc=Ya;while(1){Xa=0;while(1){if((Xa|0)>=2){rc=Xa;break}Ua=Xa+oc&127;if((Ua|0)==(gc|0)){rc=2;break}ta=c[h+(Ua<<2)>>2]|0;Ua=c[18736+(Xa<<2)>>2]|0;if(ta>>>0<Ua>>>0){rc=2;break}if(ta>>>0>Ua>>>0){rc=Xa;break}else{Xa=Xa+1|0}}if((rc|0)==2&Wa){break f}sc=Za+qc|0;if((oc|0)==(gc|0)){oc=gc;qc=sc}else{break}}Wa=(1<<Za)-1|0;Xa=1e9>>>(Za>>>0);tc=_a;uc=oc;Ua=oc;vc=0;do{ta=h+(Ua<<2)|0;Va=c[ta>>2]|0;qa=(Va>>>(Za>>>0))+vc|0;c[ta>>2]=qa;vc=ga(Va&Wa,Xa)|0;Va=(Ua|0)==(uc|0)&(qa|0)==0;Ua=Ua+1&127;tc=Va?tc-9|0:tc;uc=Va?Ua:uc;}while((Ua|0)!=(gc|0));if((vc|0)==0){n=uc;Ya=sc;_a=tc;continue}if((nc|0)!=(uc|0)){break}c[ra>>2]=c[ra>>2]|1;n=uc;Ya=sc;_a=tc}c[h+(gc<<2)>>2]=vc;fc=uc;gc=nc;hc=sc;ic=tc}_a=oc&127;if((_a|0)==(gc|0)){c[h+(nc-1<<2)>>2]=0;wc=nc}else{wc=gc}oa=+((c[h+(_a<<2)>>2]|0)>>>0>>>0);_a=oc+1&127;if((_a|0)==(wc|0)){Ya=wc+1&127;c[h+(Ya-1<<2)>>2]=0;xc=Ya}else{xc=wc}za=+(r|0);yc=za*(oa*1.0e9+ +((c[h+(_a<<2)>>2]|0)>>>0>>>0));_a=qc+53|0;Ya=_a-j|0;if((Ya|0)<(k|0)){zc=(Ya|0)<0?0:Ya;Ac=1}else{zc=k;Ac=0}if((zc|0)<53){oa=+pc(+(+T0(1.0,105-zc|0)),+yc);Bc=+Wb(+yc,+(+T0(1.0,53-zc|0)));Cc=oa;Dc=Bc;Ec=oa+(yc-Bc)}else{Cc=0.0;Dc=0.0;Ec=yc}n=oc+2&127;do{if((n|0)==(xc|0)){Fc=Dc}else{ra=c[h+(n<<2)>>2]|0;do{if(ra>>>0<5e8>>>0){if((ra|0)==0){if((oc+3&127|0)==(xc|0)){Gc=Dc;break}}Gc=za*.25+Dc}else{if(ra>>>0>5e8>>>0){Gc=za*.75+Dc;break}if((oc+3&127|0)==(xc|0)){Gc=za*.5+Dc;break}else{Gc=za*.75+Dc;break}}}while(0);if((53-zc|0)<=1){Fc=Gc;break}if(+Wb(+Gc,+1.0)!=0.0){Fc=Gc;break}Fc=Gc+1.0}}while(0);za=Ec+Fc-Cc;do{if((_a&2147483647|0)>(-2-p|0)){if(+V(+za)<9007199254740992.0){Hc=za;Ic=Ac;Jc=qc}else{Hc=za*.5;Ic=(Ac|0)!=0&(zc|0)==(Ya|0)?0:Ac;Jc=qc+1|0}if((Jc+53|0)<=(pa|0)){if(!((Ic|0)!=0&Fc!=0.0)){Kc=Hc;Lc=Jc;break}}c[(Zc()|0)>>2]=34;Kc=Hc;Lc=Jc}else{Kc=za;Lc=qc}}while(0);l=+U0(Kc,Lc);i=g;return+l}}while(0);if((c[m>>2]|0)!=0){c[e>>2]=(c[e>>2]|0)-1}c[(Zc()|0)>>2]=22;R0(b,0);l=0.0;i=g;return+l}}while(0);do{if((x|0)==23){b=(c[m>>2]|0)==0;if(!b){c[e>>2]=(c[e>>2]|0)-1}if(s>>>0<4>>>0|(f|0)==0|b){break}else{Mc=s}do{c[e>>2]=(c[e>>2]|0)-1;Mc=Mc-1|0;}while(Mc>>>0>3>>>0)}}while(0);l=+(r|0)*w;i=g;return+l}function Q0(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=a+4|0;f=c[e>>2]|0;g=a+100|0;if(f>>>0<(c[g>>2]|0)>>>0){c[e>>2]=f+1;h=d[f]|0}else{h=S0(a)|0}do{if((h|0)==45|(h|0)==43){f=(h|0)==45|0;i=c[e>>2]|0;if(i>>>0<(c[g>>2]|0)>>>0){c[e>>2]=i+1;j=d[i]|0}else{j=S0(a)|0}if((j-48|0)>>>0<10>>>0|(b|0)==0){k=f;l=j;break}if((c[g>>2]|0)==0){k=f;l=j;break}c[e>>2]=(c[e>>2]|0)-1;k=f;l=j}else{k=0;l=h}}while(0);if((l-48|0)>>>0>9>>>0){if((c[g>>2]|0)==0){m=-2147483648;n=0;return(K=m,n)|0}c[e>>2]=(c[e>>2]|0)-1;m=-2147483648;n=0;return(K=m,n)|0}else{o=l;p=0}while(1){q=o-48+p|0;l=c[e>>2]|0;if(l>>>0<(c[g>>2]|0)>>>0){c[e>>2]=l+1;r=d[l]|0}else{r=S0(a)|0}if(!((r-48|0)>>>0<10>>>0&(q|0)<214748364)){break}o=r;p=q*10|0}p=q;o=(q|0)<0|0?-1:0;if((r-48|0)>>>0<10>>>0){q=r;l=o;h=p;while(1){j=v1(h,l,10,0)|0;b=K;f=l1(q,(q|0)<0|0?-1:0,-48,-1)|0;i=l1(f,K,j,b)|0;b=K;j=c[e>>2]|0;if(j>>>0<(c[g>>2]|0)>>>0){c[e>>2]=j+1;s=d[j]|0}else{s=S0(a)|0}j=21474836;if((s-48|0)>>>0<10>>>0&((b|0)<(j|0)|(b|0)==(j|0)&i>>>0<2061584302>>>0)){q=s;l=b;h=i}else{t=s;u=b;v=i;break}}}else{t=r;u=o;v=p}if((t-48|0)>>>0<10>>>0){do{t=c[e>>2]|0;if(t>>>0<(c[g>>2]|0)>>>0){c[e>>2]=t+1;w=d[t]|0}else{w=S0(a)|0}}while((w-48|0)>>>0<10>>>0)}if((c[g>>2]|0)!=0){c[e>>2]=(c[e>>2]|0)-1}e=(k|0)!=0;k=m1(0,0,v,u)|0;m=e?K:u;n=e?k:v;return(K=m,n)|0}function R0(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a+104>>2]=b;d=c[a+8>>2]|0;e=c[a+4>>2]|0;f=d-e|0;c[a+108>>2]=f;if((b|0)!=0&(f|0)>(b|0)){c[a+100>>2]=e+b;return}else{c[a+100>>2]=d;return}}function S0(b){b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=b+104|0;f=c[e>>2]|0;if((f|0)==0){g=3}else{if((c[b+108>>2]|0)<(f|0)){g=3}}do{if((g|0)==3){f=W0(b)|0;if((f|0)<0){break}h=c[e>>2]|0;i=c[b+8>>2]|0;do{if((h|0)==0){g=8}else{j=c[b+4>>2]|0;k=h-(c[b+108>>2]|0)-1|0;if((i-j|0)<=(k|0)){g=8;break}c[b+100>>2]=j+k}}while(0);if((g|0)==8){c[b+100>>2]=i}h=c[b+4>>2]|0;if((i|0)!=0){k=b+108|0;c[k>>2]=i+1-h+(c[k>>2]|0)}k=h-1|0;if((d[k]|0|0)==(f|0)){l=f;return l|0}a[k]=f;l=f;return l|0}}while(0);c[b+100>>2]=0;l=-1;return l|0}function T0(a,b){a=+a;b=b|0;var d=0.0,e=0,f=0.0,g=0;do{if((b|0)>1023){d=a*8.98846567431158e+307;e=b-1023|0;if((e|0)<=1023){f=d;g=e;break}e=b-2046|0;f=d*8.98846567431158e+307;g=(e|0)>1023?1023:e}else{if(!((b|0)<-1022)){f=a;g=b;break}d=a*2.2250738585072014e-308;e=b+1022|0;if(!((e|0)<-1022)){f=d;g=e;break}e=b+2044|0;f=d*2.2250738585072014e-308;g=(e|0)<-1022?-1022:e}}while(0);return+(f*(c[k>>2]=0<<20|0>>>12,c[k+4>>2]=g+1023<<20|0>>>12,+h[k>>3]))}function U0(a,b){a=+a;b=b|0;return+(+T0(a,b))}function V0(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+74|0;e=a[d]|0;a[d]=e-1&255|e;e=b+20|0;d=b+44|0;if((c[e>>2]|0)>>>0>(c[d>>2]|0)>>>0){$d[c[b+36>>2]&127](b,0,0)|0}c[b+16>>2]=0;c[b+28>>2]=0;c[e>>2]=0;e=b|0;f=c[e>>2]|0;if((f&20|0)==0){g=c[d>>2]|0;c[b+8>>2]=g;c[b+4>>2]=g;h=0;return h|0}if((f&4|0)==0){h=-1;return h|0}c[e>>2]=f|32;h=-1;return h|0}function W0(a){a=a|0;var b=0,e=0,f=0,g=0;b=i;i=i+8|0;e=b|0;if((c[a+8>>2]|0)==0){if((V0(a)|0)==0){f=3}else{g=-1}}else{f=3}do{if((f|0)==3){if(($d[c[a+32>>2]&127](a,e,1)|0)!=1){g=-1;break}g=d[e]|0}}while(0);i=b;return g|0}function X0(a){a=a|0;return+(+Y0(a,0))}function Y0(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0.0,j=0,k=0,l=0,m=0;d=i;i=i+112|0;e=d|0;e1(e|0,0,112)|0;f=e+4|0;c[f>>2]=a;g=e+8|0;c[g>>2]=-1;c[e+44>>2]=a;c[e+76>>2]=-1;R0(e,0);h=+P0(e,1,1);j=(c[f>>2]|0)-(c[g>>2]|0)+(c[e+108>>2]|0)|0;if((b|0)==0){k=112;l=0;i=d;return+h}if((j|0)==0){m=a}else{m=a+j|0}c[b>>2]=m;k=112;l=0;i=d;return+h}function Z0(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0.0,j=0,k=0,l=0,m=0;d=i;i=i+112|0;e=d|0;e1(e|0,0,112)|0;f=e+4|0;c[f>>2]=a;g=e+8|0;c[g>>2]=-1;c[e+44>>2]=a;c[e+76>>2]=-1;R0(e,0);h=+P0(e,2,1);j=(c[f>>2]|0)-(c[g>>2]|0)+(c[e+108>>2]|0)|0;if((b|0)==0){k=112;l=0;i=d;return+h}if((j|0)==0){m=a}else{m=a+j|0}c[b>>2]=m;k=112;l=0;i=d;return+h}function _0(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((d|0)==0){e=0;return e|0}else{f=d;g=b;h=c}while(1){i=a[g]|0;j=a[h]|0;if(!(i<<24>>24==j<<24>>24)){break}c=f-1|0;if((c|0)==0){e=0;k=5;break}else{f=c;g=g+1|0;h=h+1|0}}if((k|0)==5){return e|0}e=(i&255)-(j&255)|0;return e|0}function $0(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a[b]|0;e=a[c]|0;if(d<<24>>24!=e<<24>>24|d<<24>>24==0|e<<24>>24==0){f=d;g=e;h=f&255;i=g&255;j=h-i|0;return j|0}else{k=b;l=c}while(1){c=k+1|0;b=l+1|0;e=a[c]|0;d=a[b]|0;if(e<<24>>24!=d<<24>>24|e<<24>>24==0|d<<24>>24==0){f=e;g=d;break}else{k=c;l=b}}h=f&255;i=g&255;j=h-i|0;return j|0}function a1(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((e|0)==0){f=0;return f|0}g=a[b]|0;a:do{if(g<<24>>24==0){h=c;i=0}else{j=b;k=c;l=e;m=g;while(1){n=l-1|0;o=a[k]|0;if(!((n|0)!=0&o<<24>>24!=0&m<<24>>24==o<<24>>24)){h=k;i=m;break a}o=j+1|0;p=k+1|0;q=a[o]|0;if(q<<24>>24==0){h=p;i=0;break}else{j=o;k=p;l=n;m=q}}}}while(0);f=(i&255)-(d[h]|0)|0;return f|0}function b1(b){b=b|0;var c=0;c=b;while(a[c]|0){c=c+1|0}return c-b|0}function c1(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;while((e|0)<(d|0)){a[b+e|0]=f?0:a[c+e|0]|0;f=f?1:(a[c+e|0]|0)==0;e=e+1|0}return b|0}function d1(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((e|0)>=4096)return ec(b|0,d|0,e|0)|0;f=b|0;if((b&3)==(d&3)){while(b&3){if((e|0)==0)return f|0;a[b]=a[d]|0;b=b+1|0;d=d+1|0;e=e-1|0}while((e|0)>=4){c[b>>2]=c[d>>2];b=b+4|0;d=d+4|0;e=e-4|0}}while((e|0)>0){a[b]=a[d]|0;b=b+1|0;d=d+1|0;e=e-1|0}return f|0}function e1(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=b+e|0;if((e|0)>=20){d=d&255;g=b&3;h=d|d<<8|d<<16|d<<24;i=f&~3;if(g){g=b+4-g|0;while((b|0)<(g|0)){a[b]=d;b=b+1|0}}while((b|0)<(i|0)){c[b>>2]=h;b=b+4|0}}while((b|0)<(f|0)){a[b]=d;b=b+1|0}return b-e|0}function f1(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;z=z+1|0;c[a>>2]=z;while((e|0)<40){if((c[d+(e<<2)>>2]|0)==0){c[d+(e<<2)>>2]=z;c[d+((e<<2)+4)>>2]=b;c[d+((e<<2)+8)>>2]=0;return 0}e=e+2|0}lc(116);lc(111);lc(111);lc(32);lc(109);lc(97);lc(110);lc(121);lc(32);lc(115);lc(101);lc(116);lc(106);lc(109);lc(112);lc(115);lc(32);lc(105);lc(110);lc(32);lc(97);lc(32);lc(102);lc(117);lc(110);lc(99);lc(116);lc(105);lc(111);lc(110);lc(32);lc(99);lc(97);lc(108);lc(108);lc(44);lc(32);lc(98);lc(117);lc(105);lc(108);lc(100);lc(32);lc(119);lc(105);lc(116);lc(104);lc(32);lc(97);lc(32);lc(104);lc(105);lc(103);lc(104);lc(101);lc(114);lc(32);lc(118);lc(97);lc(108);lc(117);lc(101);lc(32);lc(102);lc(111);lc(114);lc(32);lc(77);lc(65);lc(88);lc(95);lc(83);lc(69);lc(84);lc(74);lc(77);lc(80);lc(83);lc(10);ha(0);return 0}function g1(a,b){a=a|0;b=b|0;var d=0,e=0;while((d|0)<20){e=c[b+(d<<2)>>2]|0;if((e|0)==0)break;if((e|0)==(a|0)){return c[b+((d<<2)+4)>>2]|0}d=d+2|0}return 0}function h1(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;if((c|0)<(b|0)&(b|0)<(c+d|0)){e=b;c=c+d|0;b=b+d|0;while((d|0)>0){b=b-1|0;c=c-1|0;d=d-1|0;a[b]=a[c]|0}b=e}else{d1(b,c,d)|0}return b|0}function i1(a){a=a|0;var b=0;b=(ga(c[a>>2]|0,31010991)|0)+1735287159&2147483647;c[a>>2]=b;return b|0}function j1(){return i1(o)|0}function k1(b,c){b=b|0;c=c|0;var d=0;do{a[b+d|0]=a[c+d|0];d=d+1|0}while(a[c+(d-1)|0]|0);return b|0}function l1(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=a+c>>>0;return(K=b+d+(e>>>0<a>>>0|0)>>>0,e|0)|0}function m1(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=b-d>>>0;e=b-d-(c>>>0>a>>>0|0)>>>0;return(K=e,a-c>>>0|0)|0}function n1(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b<<c|(a&(1<<c)-1<<32-c)>>>32-c;return a<<c}K=a<<c-32;return 0}function o1(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b>>>c;return a>>>c|(b&(1<<c)-1)<<32-c}K=0;return b>>>c-32|0}function p1(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b>>c;return a>>>c|(b&(1<<c)-1)<<32-c}K=(b|0)<0?-1:0;return b>>c-32|0}function q1(b){b=b|0;var c=0;c=a[n+(b>>>24)|0]|0;if((c|0)<8)return c|0;c=a[n+(b>>16&255)|0]|0;if((c|0)<8)return c+8|0;c=a[n+(b>>8&255)|0]|0;if((c|0)<8)return c+16|0;return(a[n+(b&255)|0]|0)+24|0}function r1(b){b=b|0;var c=0;c=a[m+(b&255)|0]|0;if((c|0)<8)return c|0;c=a[m+(b>>8&255)|0]|0;if((c|0)<8)return c+8|0;c=a[m+(b>>16&255)|0]|0;if((c|0)<8)return c+16|0;return(a[m+(b>>>24)|0]|0)+24|0}function s1(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=a&65535;d=b&65535;e=ga(d,c)|0;f=a>>>16;a=(e>>>16)+(ga(d,f)|0)|0;d=b>>>16;b=ga(d,c)|0;return(K=(a>>>16)+(ga(d,f)|0)+(((a&65535)+b|0)>>>16)|0,a+b<<16|e&65535|0)|0}function t1(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=b>>31|((b|0)<0?-1:0)<<1;f=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;g=d>>31|((d|0)<0?-1:0)<<1;h=((d|0)<0?-1:0)>>31|((d|0)<0?-1:0)<<1;i=m1(e^a,f^b,e,f)|0;b=K;a=g^e;e=h^f;f=m1((y1(i,b,m1(g^c,h^d,g,h)|0,K,0)|0)^a,K^e,a,e)|0;return(K=K,f)|0}function u1(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+8|0;g=f|0;h=b>>31|((b|0)<0?-1:0)<<1;j=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;k=e>>31|((e|0)<0?-1:0)<<1;l=((e|0)<0?-1:0)>>31|((e|0)<0?-1:0)<<1;m=m1(h^a,j^b,h,j)|0;b=K;y1(m,b,m1(k^d,l^e,k,l)|0,K,g)|0;l=m1(c[g>>2]^h,c[g+4>>2]^j,h,j)|0;j=K;i=f;return(K=j,l)|0}function v1(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=a;a=c;c=s1(e,a)|0;f=K;return(K=(ga(b,a)|0)+(ga(d,e)|0)+f|f&0,c|0|0)|0}function w1(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=y1(a,b,c,d,0)|0;return(K=K,e)|0}function x1(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=f|0;y1(a,b,d,e,g)|0;i=f;return(K=c[g+4>>2]|0,c[g>>2]|0)|0}function y1(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0;g=a;h=b;i=h;j=d;k=e;l=k;if((i|0)==0){m=(f|0)!=0;if((l|0)==0){if(m){c[f>>2]=(g>>>0)%(j>>>0);c[f+4>>2]=0}n=0;o=(g>>>0)/(j>>>0)>>>0;return(K=n,o)|0}else{if(!m){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=b&0;n=0;o=0;return(K=n,o)|0}}m=(l|0)==0;do{if((j|0)==0){if(m){if((f|0)!=0){c[f>>2]=(i>>>0)%(j>>>0);c[f+4>>2]=0}n=0;o=(i>>>0)/(j>>>0)>>>0;return(K=n,o)|0}if((g|0)==0){if((f|0)!=0){c[f>>2]=0;c[f+4>>2]=(i>>>0)%(l>>>0)}n=0;o=(i>>>0)/(l>>>0)>>>0;return(K=n,o)|0}p=l-1|0;if((p&l|0)==0){if((f|0)!=0){c[f>>2]=a|0;c[f+4>>2]=p&i|b&0}n=0;o=i>>>((r1(l|0)|0)>>>0);return(K=n,o)|0}p=(q1(l|0)|0)-(q1(i|0)|0)|0;if(p>>>0<=30){q=p+1|0;r=31-p|0;s=q;t=i<<r|g>>>(q>>>0);u=i>>>(q>>>0);v=0;w=g<<r;break}if((f|0)==0){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=h|b&0;n=0;o=0;return(K=n,o)|0}else{if(!m){r=(q1(l|0)|0)-(q1(i|0)|0)|0;if(r>>>0<=31){q=r+1|0;p=31-r|0;x=r-31>>31;s=q;t=g>>>(q>>>0)&x|i<<p;u=i>>>(q>>>0)&x;v=0;w=g<<p;break}if((f|0)==0){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=h|b&0;n=0;o=0;return(K=n,o)|0}p=j-1|0;if((p&j|0)!=0){x=(q1(j|0)|0)+33-(q1(i|0)|0)|0;q=64-x|0;r=32-x|0;y=r>>31;z=x-32|0;A=z>>31;s=x;t=r-1>>31&i>>>(z>>>0)|(i<<r|g>>>(x>>>0))&A;u=A&i>>>(x>>>0);v=g<<q&y;w=(i<<q|g>>>(z>>>0))&y|g<<r&x-33>>31;break}if((f|0)!=0){c[f>>2]=p&g;c[f+4>>2]=0}if((j|0)==1){n=h|b&0;o=a|0|0;return(K=n,o)|0}else{p=r1(j|0)|0;n=i>>>(p>>>0)|0;o=i<<32-p|g>>>(p>>>0)|0;return(K=n,o)|0}}}while(0);if((s|0)==0){B=w;C=v;D=u;E=t;F=0;G=0}else{g=d|0|0;d=k|e&0;e=l1(g,d,-1,-1)|0;k=K;i=w;w=v;v=u;u=t;t=s;s=0;while(1){H=w>>>31|i<<1;I=s|w<<1;j=u<<1|i>>>31|0;a=u>>>31|v<<1|0;m1(e,k,j,a)|0;b=K;h=b>>31|((b|0)<0?-1:0)<<1;J=h&1;L=m1(j,a,h&g,(((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1)&d)|0;M=K;b=t-1|0;if((b|0)==0){break}else{i=H;w=I;v=M;u=L;t=b;s=J}}B=H;C=I;D=M;E=L;F=0;G=J}J=C;C=0;if((f|0)!=0){c[f>>2]=E;c[f+4>>2]=D}n=(J|0)>>>31|(B|C)<<1|(C<<1|J>>>31)&0|F;o=(J<<1|0>>>31)&-2|G;return(K=n,o)|0}function z1(a){a=a|0;Ld(a|0)}function A1(a){a=a|0;return Sb(a|0)|0}function B1(a){a=a|0;return _b(a|0)|0}function C1(a){a=a|0;return Ta(a|0)|0}function D1(a){a=a|0;return Lc(a|0)|0}function E1(a){a=a|0;return Pa(a|0)|0}function F1(a){a=a|0;return sd(a|0)|0}function G1(a){a=a|0;return hb(a|0)|0}function H1(a,b){a=a|0;b=b|0;return Qb(a|0,b|0)|0}function I1(a,b){a=a|0;b=b|0;return pb(a|0,b|0)|0}function J1(){return ud()|0}function K1(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Ya(a|0,b|0,c|0,d|0)|0}function L1(){eb()}function M1(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;return Td[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0)|0}function N1(a,b){a=a|0;b=+b;Ud[a&3](+b)}function O1(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;Vd[a&31](b|0,c|0,d|0,e|0,f|0)}function P1(a,b){a=a|0;b=b|0;Wd[a&511](b|0)}function Q1(a,b,c){a=a|0;b=b|0;c=c|0;Xd[a&127](b|0,c|0)}function R1(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;return Yd[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0)|0}function S1(a,b){a=a|0;b=b|0;return Zd[a&255](b|0)|0}function T1(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return _d[a&127](b|0,c|0,d|0,e|0,f|0)|0}function U1(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return $d[a&127](b|0,c|0,d|0)|0}function V1(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;ae[a&15](b|0,c|0,d|0,e|0,f|0,+g)}function W1(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;be[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)}function X1(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ce[a&63](b|0,c|0,d|0,e|0,f|0,g|0)}function Y1(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;de[a&7](b|0,c|0,+d,e|0,f|0)}function Z1(a,b,c){a=a|0;b=b|0;c=+c;return ee[a&3](b|0,+c)|0}function _1(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;fe[a&127](b|0,c|0,d|0,e|0,f|0,g|0,h|0)}function $1(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;ge[a&7](b|0,c|0,d|0,e|0,f|0,g|0,+h)}function a2(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;he[a&7](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0)}function b2(a,b,c){a=a|0;b=b|0;c=c|0;return ie[a&127](b|0,c|0)|0}function c2(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;return je[a&3](b|0,c|0,d|0,e|0,+f,g|0)|0}function d2(a){a=a|0;return ke[a&15]()|0}function e2(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return le[a&127](b|0,c|0,d|0,e|0)|0}function f2(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;me[a&15](b|0,c|0,d|0)}function g2(a){a=a|0;ne[a&15]()}function h2(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return oe[a&31](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)|0}function i2(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;pe[a&63](b|0,c|0,d|0,e|0)}function j2(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ha(0);return 0}function k2(a){a=+a;ha(1)}function l2(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ha(2)}function m2(a){a=a|0;ha(3)}function n2(a,b){a=a|0;b=b|0;ha(4)}function o2(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;ha(5);return 0}function p2(a){a=a|0;ha(6);return 0}function q2(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ha(7);return 0}function r2(a,b,c){a=a|0;b=b|0;c=c|0;ha(8);return 0}function s2(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;ha(9)}function t2(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ha(10)}function u2(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ha(11)}function v2(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;ha(12)}function w2(a,b){a=a|0;b=+b;ha(13);return 0}function x2(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ha(14)}function y2(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;ha(15)}function z2(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;ha(16)}function A2(a,b){a=a|0;b=b|0;ha(17);return 0}function B2(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;ha(18);return 0}function C2(){ha(19);return 0}function D2(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ha(20);return 0}function E2(a,b,c){a=a|0;b=b|0;c=c|0;ha(21)}function F2(){ha(22)}function G2(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ha(23);return 0}function H2(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ha(24)}




// EMSCRIPTEN_END_FUNCS
var Td=[j2,j2,hs,j2,AA,j2,CA,j2,HA,j2,j2,j2,j2,j2,j2,j2];var Ud=[k2,k2,mB,k2];var Vd=[l2,l2,ev,l2,x0,l2,Au,l2,fw,l2,w0,l2,Ut,l2,Vt,l2,Jv,l2,Bu,l2,gw,l2,hw,l2,Kv,l2,v0,l2,fv,l2,l2,l2];var Wd=[m2,m2,SY,m2,kV,m2,NY,m2,RR,m2,AW,m2,YR,m2,wT,m2,XY,m2,jZ,m2,ER,m2,rR,m2,eZ,m2,lW,m2,lB,m2,QR,m2,XZ,m2,WR,m2,JV,m2,ZR,m2,Bi,m2,aV,m2,YU,m2,hI,m2,zi,m2,oP,m2,RR,m2,hZ,m2,xZ,m2,aX,m2,KV,m2,QU,m2,cB,m2,OY,m2,iZ,m2,rP,m2,oU,m2,lV,m2,PX,m2,aZ,m2,lC,m2,l0,m2,CE,m2,t_,m2,_S,m2,QO,m2,WR,m2,zh,m2,gV,m2,uX,m2,w_,m2,kZ,m2,C0,m2,HY,m2,s_,m2,_U,m2,xE,m2,wU,m2,qR,m2,fV,m2,pX,m2,i$,m2,RR,m2,c$,m2,mW,m2,u_,m2,g_,m2,pP,m2,yE,m2,gI,m2,Dx,m2,QX,m2,nU,m2,EU,m2,mX,m2,$W,m2,EX,m2,L0,m2,vE,m2,vT,m2,z1,m2,mT,m2,g$,m2,WU,m2,JH,m2,RU,m2,_T,m2,o0,m2,HZ,m2,yi,m2,i0,m2,pU,m2,XU,m2,jY,m2,iR,m2,_X,m2,SU,m2,Bx,m2,Nf,m2,M0,m2,m0,m2,xR,m2,$Y,m2,nX,m2,uY,m2,h0,m2,r_,m2,mY,m2,IY,m2,h$,m2,tX,m2,zW,m2,$U,m2,fI,m2,zE,m2,ZU,m2,bV,m2,yU,m2,LO,m2,PZ,m2,BY,m2,tY,m2,v_,m2,OW,m2,g0,m2,nP,m2,i0,m2,p0,m2,DU,m2,JQ,m2,gS,m2,yh,m2,mU,m2,aP,m2,yR,m2,nT,m2,Ul,m2,PU,m2,AE,m2,f$,m2,tP,m2,lT,m2,CU,m2,fS,m2,FR,m2,cZ,m2,$X,m2,NW,m2,FX,m2,kR,m2,xU,m2,ZT,m2,BU,m2,e$,m2,n0,m2,TY,m2,sz,m2,jR,m2,k0,m2,qX,m2,CY,m2,kY,m2,wS,m2,yZ,m2,VR,m2,vU,m2,j$,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2,m2];var Xd=[n2,n2,F_,n2,WC,n2,kD,n2,eY,n2,jH,n2,IX,n2,SP,n2,C_,n2,VC,n2,ZX,n2,XC,n2,VG,n2,aD,n2,UC,n2,CG,n2,Ai,n2,B_,n2,OX,n2,lR,n2,RY,n2,WG,n2,$T,n2,AX,n2,hY,n2,UG,n2,WX,n2,zX,n2,xX,n2,fY,n2,dZ,n2,YC,n2,zR,n2,wi,n2,iY,n2,JG,n2,E_,n2,DE,n2,JX,n2,UR,n2,cY,n2,Yh,n2,GG,n2,G_,n2,YX,n2,LX,n2,EG,n2,D_,n2,NX,n2,sR,n2,NT,n2,WY,n2,GR,n2,TX,n2,DX,n2,CX,n2,yX,n2,mD,n2,UX,n2,VX,n2,dY,n2,KX,n2,n2,n2,n2,n2];var Yd=[o2,o2,GA,o2,au,o2,hu,o2,BA,o2,DA,o2,EA,o2,FA,o2];var Zd=[p2,p2,EO,p2,U_,p2,UT,p2,MZ,p2,K_,p2,VT,p2,n_,p2,S_,p2,GX,p2,A1,p2,PW,p2,I_,p2,Le,p2,IR,p2,uB,p2,hU,p2,B0,p2,Vl,p2,gU,p2,EB,p2,m_,p2,bs,p2,O_,p2,ds,p2,M_,p2,j0,p2,Tl,p2,XR,p2,x_,p2,Je,p2,N_,p2,Gi,p2,HE,p2,y_,p2,cs,p2,RT,p2,LZ,p2,gY,p2,P_,p2,mR,p2,B1,p2,HX,p2,ey,p2,c_,p2,C1,p2,D1,p2,UZ,p2,aY,p2,Ei,p2,H_,p2,tR,p2,LB,p2,Kf,p2,UU,p2,BX,p2,_r,p2,Yr,p2,Xr,p2,$r,p2,Zr,p2,eU,p2,uR,p2,E1,p2,es,p2,z_,p2,ST,p2,kr,p2,dU,p2,AR,p2,IE,p2,OZ,p2,MX,p2,T_,p2,HR,p2,b_,p2,N0,p2,vX,p2,J_,p2,wX,p2,SR,p2,Ke,p2,RX,p2,WZ,p2,XX,p2,SX,p2,L_,p2,bY,p2,TZ,p2,bX,p2,A_,p2,as,p2,wP,p2,Hi,p2,R_,p2,aR,p2,jr,p2,Q_,p2,gm,p2,f_,p2,Wr,p2,F1,p2,q_,p2,Jf,p2,G1,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2,p2];var _d=[q2,q2,yw,q2,nw,q2,zw,q2,ww,q2,Aw,q2,Bw,q2,Cw,q2,Hw,q2,Rw,q2,Gw,q2,_w,q2,wZ,q2,pw,q2,cx,q2,dx,q2,a_,q2,ow,q2,ax,q2,$w,q2,Vw,q2,Xw,q2,tw,q2,Uw,q2,Zw,q2,bx,q2,GZ,q2,hV,q2,o_,q2,Dw,q2,d_,q2,Jw,q2,Fw,q2,Ew,q2,Iw,q2,Kw,q2,vw,q2,Yw,q2,ex,q2,Tw,q2,Nw,q2,Ow,q2,Qw,q2,Sw,q2,Lw,q2,uw,q2,Pw,q2,Mw,q2,fx,q2,cV,q2,ix,q2,KZ,q2,NZ,q2,qw,q2,SZ,q2,sw,q2,Ww,q2,l_,q2,VZ,q2,jx,q2,xw,q2,gx,q2,hx,q2,q2,q2];var $d=[r2,r2,Xt,r2,eV,r2,sZ,r2,KO,r2,GO,r2,q0,r2,cu,r2,AZ,r2,vZ,r2,ru,r2,UQ,r2,Xu,r2,jV,r2,PY,r2,xu,r2,aS,r2,Av,r2,XT,r2,Di,r2,TT,r2,lZ,r2,aU,r2,UY,r2,eu,r2,FZ,r2,iu,r2,EE,r2,qZ,r2,nR,r2,fU,r2,bS,r2,CZ,r2,bv,r2,OT,r2,Gv,r2,BR,r2,NO,r2,jU,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2,r2];var ae=[s2,s2,KW,s2,IW,s2,xW,s2,uW,s2,s2,s2,s2,s2,s2,s2];var be=[t2,t2,rX,t2,oX,t2,lY,t2,vY,t2,pY,t2,xY,t2,t2,t2];var ce=[u2,u2,y0,u2,GW,u2,CW,u2,BW,u2,z0,u2,zx,u2,LW,u2,FE,u2,QY,u2,bU,u2,yW,u2,nW,u2,sW,u2,oW,u2,uP,u2,A0,u2,PT,u2,yx,u2,VY,u2,u2,u2,u2,u2,u2,u2,u2,u2,u2,u2,u2,u2,u2,u2,u2,u2,u2,u2,u2,u2,u2,u2,u2,u2];var de=[v2,v2,CB,v2,DB,v2,v2,v2];var ee=[w2,w2,Mf,w2];var fe=[x2,x2,UW,x2,cX,x2,eX,x2,MY,x2,HW,x2,FW,x2,GY,x2,QW,x2,TW,x2,fX,x2,ZV,x2,dW,x2,qV,x2,SW,x2,TV,x2,wV,x2,dX,x2,tW,x2,rW,x2,XV,x2,PV,x2,RV,x2,GV,x2,VV,x2,NV,x2,LV,x2,bW,x2,$V,x2,gX,x2,uV,x2,RW,x2,yV,x2,sV,x2,oV,x2,EV,x2,CV,x2,AV,x2,mV,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2,x2];var ge=[y2,y2,JY,y2,DY,y2,y2,y2];var he=[z2,z2,hX,z2,VW,z2,z2,z2];var ie=[A2,A2,Qv,A2,JR,A2,Ov,A2,Pv,A2,Rt,A2,tZ,A2,iU,A2,Ci,A2,DZ,A2,Dv,A2,zZ,A2,vR,A2,CR,A2,pZ,A2,Zu,A2,Ii,A2,St,A2,yP,A2,Sv,A2,Ie,A2,Rv,A2,Nv,A2,JE,A2,V$,A2,Fi,A2,BZ,A2,Fv,A2,_u,A2,Tt,A2,YT,A2,vy,A2,kU,A2,rZ,A2,H1,A2,av,A2,I1,A2,Cv,A2,fs,A2,xP,A2,wu,A2,KE,A2,WT,A2,oR,A2,gs,A2,tu,A2,Mv,A2,Lv,A2,uu,A2,E0,A2,A2,A2,A2,A2,A2,A2,A2,A2,A2,A2,A2,A2,A2,A2,A2,A2,A2,A2,A2,A2,A2,A2,A2,A2,A2,A2,A2,A2];var je=[B2,B2,zC,B2];var ke=[C2,C2,fR,C2,fy,C2,is,C2,gR,C2,dR,C2,J1,C2,C2,C2];var le=[D2,D2,Ms,D2,ft,D2,zu,D2,Su,D2,Jt,D2,dv,D2,fu,D2,Ev,D2,su,D2,xv,D2,Bv,D2,mu,D2,vu,D2,Tu,D2,mZ,D2,wv,D2,uv,D2,ju,D2,K1,D2,Zt,D2,Uu,D2,lu,D2,nZ,D2,Vu,D2,qu,D2,ou,D2,zv,D2,EZ,D2,Iv,D2,nu,D2,xt,D2,At,D2,Yu,D2,pu,D2,Pt,D2,Ct,D2,at,D2,vv,D2,yv,D2,_t,D2,Dt,D2,Wu,D2,uZ,D2,$u,D2,ot,D2,gu,D2,oZ,D2,Ru,D2,D2,D2,D2,D2,D2,D2,D2,D2,D2,D2,D2,D2,D2,D2,D2,D2,D2,D2,D2,D2,D2,D2,D2,D2,D2,D2,D2,D2,D2,D2];var me=[E2,E2,PO,E2,PC,E2,RC,E2,iH,E2,$R,E2,VU,E2,RP,E2];var ne=[F2,F2,Pf,F2,kx,F2,L1,F2,dy,F2,mx,F2,cQ,F2,F2,F2];var oe=[G2,G2,QZ,G2,_Z,G2,YZ,G2,j_,G2,RZ,G2,h_,G2,SB,G2,IZ,G2,JZ,G2,G2,G2,G2,G2,G2,G2,G2,G2,G2,G2,G2,G2];var pe=[H2,H2,xi,H2,OO,H2,vP,H2,s0,H2,$t,H2,Zh,H2,yu,H2,r0,H2,Hx,H2,Hv,H2,GE,H2,QT,H2,iV,H2,cU,H2,t0,H2,dV,H2,Fx,H2,cv,H2,H2,H2,H2,H2,H2,H2,H2,H2,H2,H2,H2,H2,H2,H2,H2,H2,H2,H2,H2,H2,H2,H2,H2,H2,H2,H2];return{_testSetjmp:g1,_strlen:b1,_free:C0,_main:Of,_rand_r:i1,_realloc:E0,_strncpy:c1,_memmove:h1,__GLOBAL__I_a:LR,_saveSetjmp:f1,_memset:e1,_malloc:B0,_memcpy:d1,_strcpy:k1,_calloc:D0,_rand:j1,runPostSets:Ge,stackAlloc:qe,stackSave:re,stackRestore:se,setThrew:te,setTempRet0:we,setTempRet1:xe,setTempRet2:ye,setTempRet3:ze,setTempRet4:Ae,setTempRet5:Be,setTempRet6:Ce,setTempRet7:De,setTempRet8:Ee,setTempRet9:Fe,dynCall_iiiiiiii:M1,dynCall_vd:N1,dynCall_viiiii:O1,dynCall_vi:P1,dynCall_vii:Q1,dynCall_iiiiiiiiiii:R1,dynCall_ii:S1,dynCall_iiiiii:T1,dynCall_iiii:U1,dynCall_viiiiid:V1,dynCall_viiiiiiii:W1,dynCall_viiiiii:X1,dynCall_viidii:Y1,dynCall_iid:Z1,dynCall_viiiiiii:_1,dynCall_viiiiiid:$1,dynCall_viiiiiiiii:a2,dynCall_iii:b2,dynCall_iiiiidi:c2,dynCall_i:d2,dynCall_iiiii:e2,dynCall_viii:f2,dynCall_v:g2,dynCall_iiiiiiiii:h2,dynCall_viiii:i2}})


// EMSCRIPTEN_END_ASM
({ "Math": Math, "Int8Array": Int8Array, "Int16Array": Int16Array, "Int32Array": Int32Array, "Uint8Array": Uint8Array, "Uint16Array": Uint16Array, "Uint32Array": Uint32Array, "Float32Array": Float32Array, "Float64Array": Float64Array }, { "abort": abort, "assert": assert, "asmPrintInt": asmPrintInt, "asmPrintFloat": asmPrintFloat, "min": Math_min, "invoke_iiiiiiii": invoke_iiiiiiii, "invoke_vd": invoke_vd, "invoke_viiiii": invoke_viiiii, "invoke_vi": invoke_vi, "invoke_vii": invoke_vii, "invoke_iiiiiiiiiii": invoke_iiiiiiiiiii, "invoke_ii": invoke_ii, "invoke_iiiiii": invoke_iiiiii, "invoke_iiii": invoke_iiii, "invoke_viiiiid": invoke_viiiiid, "invoke_viiiiiiii": invoke_viiiiiiii, "invoke_viiiiii": invoke_viiiiii, "invoke_viidii": invoke_viidii, "invoke_iid": invoke_iid, "invoke_viiiiiii": invoke_viiiiiii, "invoke_viiiiiid": invoke_viiiiiid, "invoke_viiiiiiiii": invoke_viiiiiiiii, "invoke_iii": invoke_iii, "invoke_iiiiidi": invoke_iiiiidi, "invoke_i": invoke_i, "invoke_iiiii": invoke_iiiii, "invoke_viii": invoke_viii, "invoke_v": invoke_v, "invoke_iiiiiiiii": invoke_iiiiiiiii, "invoke_viiii": invoke_viiii, "_llvm_lifetime_end": _llvm_lifetime_end, "_lseek": _lseek, "_sysconf": _sysconf, "__scanString": __scanString, "_fclose": _fclose, "_pthread_mutex_lock": _pthread_mutex_lock, "___cxa_end_catch": ___cxa_end_catch, "_strtoull": _strtoull, "_fflush": _fflush, "_lis_solver_create": _lis_solver_create, "_strtol": _strtol, "_fputc": _fputc, "_strtok": _strtok, "_fwrite": _fwrite, "_send": _send, "_fputs": _fputs, "_emscripten_get_now": _emscripten_get_now, "_tmpnam": _tmpnam, "_isspace": _isspace, "_localtime": _localtime, "_read": _read, "_GC_init": _GC_init, "_ceil": _ceil, "___ctype_b_loc": ___ctype_b_loc, "_GC_malloc_atomic": _GC_malloc_atomic, "_isxdigit_l": _isxdigit_l, "_strstr": _strstr, "_fileno": _fileno, "_perror": _perror, "_fsync": _fsync, "___cxa_guard_abort": ___cxa_guard_abort, "_newlocale": _newlocale, "_signal": _signal, "___gxx_personality_v0": ___gxx_personality_v0, "_pthread_cond_wait": _pthread_cond_wait, "___cxa_rethrow": ___cxa_rethrow, "_freopen": _freopen, "___resumeException": ___resumeException, "_sscanf": _sscanf, "_round": _round, "_llvm_va_end": _llvm_va_end, "_clock_gettime": _clock_gettime, "_tmpfile": _tmpfile, "_vsscanf": _vsscanf, "_snprintf": _snprintf, "_fgetc": _fgetc, "_pclose": _pclose, "__getFloat": __getFloat, "_atexit": _atexit, "___cxa_free_exception": ___cxa_free_exception, "_close": _close, "_isdigit_l": _isdigit_l, "_vasprintf": _vasprintf, "___setErrNo": ___setErrNo, "_isxdigit": _isxdigit, "_access": _access, "_ftell": _ftell, "_exit": _exit, "_sprintf": _sprintf, "_pthread_setspecific": _pthread_setspecific, "_asprintf": _asprintf, "_GC_strdup": _GC_strdup, "_strrchr": _strrchr, "_freelocale": _freelocale, "_catgets": _catgets, "_fmod": _fmod, "__isLeapYear": __isLeapYear, "_fmax": _fmax, "___cxa_is_number_type": ___cxa_is_number_type, "_GC_malloc": _GC_malloc, "___cxa_does_inherit": ___cxa_does_inherit, "___cxa_guard_acquire": ___cxa_guard_acquire, "_lis_vector_destroy": _lis_vector_destroy, "_localtime_r": _localtime_r, "___cxa_begin_catch": ___cxa_begin_catch, "_emscripten_memcpy_big": _emscripten_memcpy_big, "__ZNSt9exceptionD2Ev": __ZNSt9exceptionD2Ev, "_recv": _recv, "__parseInt64": __parseInt64, "__ZSt18uncaught_exceptionv": __ZSt18uncaught_exceptionv, "_cos": _cos, "_lis_matrix_set_value": _lis_matrix_set_value, "_putchar": _putchar, "___cxa_call_unexpected": ___cxa_call_unexpected, "_popen": _popen, "_isblank": _isblank, "_copysign": _copysign, "_bsearch": _bsearch, "_fmin": _fmin, "_acos": _acos, "_strftime": _strftime, "_tzset": _tzset, "___cxa_throw": ___cxa_throw, "_lis_vector_create": _lis_vector_create, "_printf": _printf, "_pread": _pread, "_fopen": _fopen, "_open": _open, "_strtoull_l": _strtoull_l, "__arraySum": __arraySum, "_log": _log, "_puts": _puts, "_xerbla_": _xerbla_, "_pthread_key_create": _pthread_key_create, "_strtoll_l": _strtoll_l, "_qsort": _qsort, "_system": _system, "___cxa_find_matching_catch": ___cxa_find_matching_catch, "_strdup": _strdup, "_log10": _log10, "_srand": _srand, "_isatty": _isatty, "__formatString": __formatString, "_pthread_cond_broadcast": _pthread_cond_broadcast, "__ZSt9terminatev": __ZSt9terminatev, "_atoi": _atoi, "_vfprintf": _vfprintf, "_pthread_mutex_unlock": _pthread_mutex_unlock, "_llvm_pow_f64": _llvm_pow_f64, "_sbrk": _sbrk, "_fscanf": _fscanf, "_lis_solver_destroy": _lis_solver_destroy, "___errno_location": ___errno_location, "_strerror": _strerror, "_fstat": _fstat, "_catclose": _catclose, "_llvm_lifetime_start": _llvm_lifetime_start, "__parseInt": __parseInt, "___cxa_guard_release": ___cxa_guard_release, "_ungetc": _ungetc, "_ftruncate": _ftruncate, "_uselocale": _uselocale, "_vsnprintf": _vsnprintf, "_htonl": _htonl, "___assert_fail": ___assert_fail, "_fread": _fread, "_strtok_r": _strtok_r, "_strftime_l": _strftime_l, "_abort": _abort, "_fprintf": _fprintf, "_isdigit": _isdigit, "_strtoll": _strtoll, "__addDays": __addDays, "_pthread_getspecific": _pthread_getspecific, "_fabs": _fabs, "_GC_collect_a_little": _GC_collect_a_little, "__reallyNegative": __reallyNegative, "_fseek": _fseek, "_sqrt": _sqrt, "_write": _write, "_mkport": _mkport, "_rewind": _rewind, "___cxa_allocate_exception": ___cxa_allocate_exception, "_sin": _sin, "_stat": _stat, "_longjmp": _longjmp, "_truncate": _truncate, "_catopen": _catopen, "___ctype_toupper_loc": ___ctype_toupper_loc, "___ctype_tolower_loc": ___ctype_tolower_loc, "_lis_vector_set_size": _lis_vector_set_size, "_unlink": _unlink, "__exit": __exit, "_pwrite": _pwrite, "_strerror_r": _strerror_r, "_floor": _floor, "_lis_solver_set_option": _lis_solver_set_option, "_exp": _exp, "_time": _time, "STACKTOP": STACKTOP, "STACK_MAX": STACK_MAX, "tempDoublePtr": tempDoublePtr, "ABORT": ABORT, "cttz_i8": cttz_i8, "ctlz_i8": ctlz_i8, "___rand_seed": ___rand_seed, "NaN": NaN, "Infinity": Infinity, "_stdin": _stdin, "__ZTVN10__cxxabiv117__class_type_infoE": __ZTVN10__cxxabiv117__class_type_infoE, "_stdout": _stdout, "___dso_handle": ___dso_handle, "_stderr": _stderr, "__ZTVN10__cxxabiv120__si_class_type_infoE": __ZTVN10__cxxabiv120__si_class_type_infoE }, buffer);
var _testSetjmp = Module["_testSetjmp"] = asm["_testSetjmp"];
var _strlen = Module["_strlen"] = asm["_strlen"];
var _free = Module["_free"] = asm["_free"];
var _main = Module["_main"] = asm["_main"];
var _rand_r = Module["_rand_r"] = asm["_rand_r"];
var _realloc = Module["_realloc"] = asm["_realloc"];
var _strncpy = Module["_strncpy"] = asm["_strncpy"];
var _memmove = Module["_memmove"] = asm["_memmove"];
var __GLOBAL__I_a = Module["__GLOBAL__I_a"] = asm["__GLOBAL__I_a"];
var _saveSetjmp = Module["_saveSetjmp"] = asm["_saveSetjmp"];
var _memset = Module["_memset"] = asm["_memset"];
var _malloc = Module["_malloc"] = asm["_malloc"];
var _memcpy = Module["_memcpy"] = asm["_memcpy"];
var _strcpy = Module["_strcpy"] = asm["_strcpy"];
var _calloc = Module["_calloc"] = asm["_calloc"];
var _rand = Module["_rand"] = asm["_rand"];
var runPostSets = Module["runPostSets"] = asm["runPostSets"];
var dynCall_iiiiiiii = Module["dynCall_iiiiiiii"] = asm["dynCall_iiiiiiii"];
var dynCall_vd = Module["dynCall_vd"] = asm["dynCall_vd"];
var dynCall_viiiii = Module["dynCall_viiiii"] = asm["dynCall_viiiii"];
var dynCall_vi = Module["dynCall_vi"] = asm["dynCall_vi"];
var dynCall_vii = Module["dynCall_vii"] = asm["dynCall_vii"];
var dynCall_iiiiiiiiiii = Module["dynCall_iiiiiiiiiii"] = asm["dynCall_iiiiiiiiiii"];
var dynCall_ii = Module["dynCall_ii"] = asm["dynCall_ii"];
var dynCall_iiiiii = Module["dynCall_iiiiii"] = asm["dynCall_iiiiii"];
var dynCall_iiii = Module["dynCall_iiii"] = asm["dynCall_iiii"];
var dynCall_viiiiid = Module["dynCall_viiiiid"] = asm["dynCall_viiiiid"];
var dynCall_viiiiiiii = Module["dynCall_viiiiiiii"] = asm["dynCall_viiiiiiii"];
var dynCall_viiiiii = Module["dynCall_viiiiii"] = asm["dynCall_viiiiii"];
var dynCall_viidii = Module["dynCall_viidii"] = asm["dynCall_viidii"];
var dynCall_iid = Module["dynCall_iid"] = asm["dynCall_iid"];
var dynCall_viiiiiii = Module["dynCall_viiiiiii"] = asm["dynCall_viiiiiii"];
var dynCall_viiiiiid = Module["dynCall_viiiiiid"] = asm["dynCall_viiiiiid"];
var dynCall_viiiiiiiii = Module["dynCall_viiiiiiiii"] = asm["dynCall_viiiiiiiii"];
var dynCall_iii = Module["dynCall_iii"] = asm["dynCall_iii"];
var dynCall_iiiiidi = Module["dynCall_iiiiidi"] = asm["dynCall_iiiiidi"];
var dynCall_i = Module["dynCall_i"] = asm["dynCall_i"];
var dynCall_iiiii = Module["dynCall_iiiii"] = asm["dynCall_iiiii"];
var dynCall_viii = Module["dynCall_viii"] = asm["dynCall_viii"];
var dynCall_v = Module["dynCall_v"] = asm["dynCall_v"];
var dynCall_iiiiiiiii = Module["dynCall_iiiiiiiii"] = asm["dynCall_iiiiiiiii"];
var dynCall_viiii = Module["dynCall_viiii"] = asm["dynCall_viiii"];

Runtime.stackAlloc = function(size) { return asm['stackAlloc'](size) };
Runtime.stackSave = function() { return asm['stackSave']() };
Runtime.stackRestore = function(top) { asm['stackRestore'](top) };

// TODO: strip out parts of this we do not need

//======= begin closure i64 code =======

// Copyright 2009 The Closure Library Authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS-IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * @fileoverview Defines a Long class for representing a 64-bit two's-complement
 * integer value, which faithfully simulates the behavior of a Java "long". This
 * implementation is derived from LongLib in GWT.
 *
 */

var i64Math = (function() { // Emscripten wrapper
  var goog = { math: {} };


  /**
   * Constructs a 64-bit two's-complement integer, given its low and high 32-bit
   * values as *signed* integers.  See the from* functions below for more
   * convenient ways of constructing Longs.
   *
   * The internal representation of a long is the two given signed, 32-bit values.
   * We use 32-bit pieces because these are the size of integers on which
   * Javascript performs bit-operations.  For operations like addition and
   * multiplication, we split each number into 16-bit pieces, which can easily be
   * multiplied within Javascript's floating-point representation without overflow
   * or change in sign.
   *
   * In the algorithms below, we frequently reduce the negative case to the
   * positive case by negating the input(s) and then post-processing the result.
   * Note that we must ALWAYS check specially whether those values are MIN_VALUE
   * (-2^63) because -MIN_VALUE == MIN_VALUE (since 2^63 cannot be represented as
   * a positive number, it overflows back into a negative).  Not handling this
   * case would often result in infinite recursion.
   *
   * @param {number} low  The low (signed) 32 bits of the long.
   * @param {number} high  The high (signed) 32 bits of the long.
   * @constructor
   */
  goog.math.Long = function(low, high) {
    /**
     * @type {number}
     * @private
     */
    this.low_ = low | 0;  // force into 32 signed bits.

    /**
     * @type {number}
     * @private
     */
    this.high_ = high | 0;  // force into 32 signed bits.
  };


  // NOTE: Common constant values ZERO, ONE, NEG_ONE, etc. are defined below the
  // from* methods on which they depend.


  /**
   * A cache of the Long representations of small integer values.
   * @type {!Object}
   * @private
   */
  goog.math.Long.IntCache_ = {};


  /**
   * Returns a Long representing the given (32-bit) integer value.
   * @param {number} value The 32-bit integer in question.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromInt = function(value) {
    if (-128 <= value && value < 128) {
      var cachedObj = goog.math.Long.IntCache_[value];
      if (cachedObj) {
        return cachedObj;
      }
    }

    var obj = new goog.math.Long(value | 0, value < 0 ? -1 : 0);
    if (-128 <= value && value < 128) {
      goog.math.Long.IntCache_[value] = obj;
    }
    return obj;
  };


  /**
   * Returns a Long representing the given value, provided that it is a finite
   * number.  Otherwise, zero is returned.
   * @param {number} value The number in question.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromNumber = function(value) {
    if (isNaN(value) || !isFinite(value)) {
      return goog.math.Long.ZERO;
    } else if (value <= -goog.math.Long.TWO_PWR_63_DBL_) {
      return goog.math.Long.MIN_VALUE;
    } else if (value + 1 >= goog.math.Long.TWO_PWR_63_DBL_) {
      return goog.math.Long.MAX_VALUE;
    } else if (value < 0) {
      return goog.math.Long.fromNumber(-value).negate();
    } else {
      return new goog.math.Long(
          (value % goog.math.Long.TWO_PWR_32_DBL_) | 0,
          (value / goog.math.Long.TWO_PWR_32_DBL_) | 0);
    }
  };


  /**
   * Returns a Long representing the 64-bit integer that comes by concatenating
   * the given high and low bits.  Each is assumed to use 32 bits.
   * @param {number} lowBits The low 32-bits.
   * @param {number} highBits The high 32-bits.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromBits = function(lowBits, highBits) {
    return new goog.math.Long(lowBits, highBits);
  };


  /**
   * Returns a Long representation of the given string, written using the given
   * radix.
   * @param {string} str The textual representation of the Long.
   * @param {number=} opt_radix The radix in which the text is written.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromString = function(str, opt_radix) {
    if (str.length == 0) {
      throw Error('number format error: empty string');
    }

    var radix = opt_radix || 10;
    if (radix < 2 || 36 < radix) {
      throw Error('radix out of range: ' + radix);
    }

    if (str.charAt(0) == '-') {
      return goog.math.Long.fromString(str.substring(1), radix).negate();
    } else if (str.indexOf('-') >= 0) {
      throw Error('number format error: interior "-" character: ' + str);
    }

    // Do several (8) digits each time through the loop, so as to
    // minimize the calls to the very expensive emulated div.
    var radixToPower = goog.math.Long.fromNumber(Math.pow(radix, 8));

    var result = goog.math.Long.ZERO;
    for (var i = 0; i < str.length; i += 8) {
      var size = Math.min(8, str.length - i);
      var value = parseInt(str.substring(i, i + size), radix);
      if (size < 8) {
        var power = goog.math.Long.fromNumber(Math.pow(radix, size));
        result = result.multiply(power).add(goog.math.Long.fromNumber(value));
      } else {
        result = result.multiply(radixToPower);
        result = result.add(goog.math.Long.fromNumber(value));
      }
    }
    return result;
  };


  // NOTE: the compiler should inline these constant values below and then remove
  // these variables, so there should be no runtime penalty for these.


  /**
   * Number used repeated below in calculations.  This must appear before the
   * first call to any from* function below.
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_16_DBL_ = 1 << 16;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_24_DBL_ = 1 << 24;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_32_DBL_ =
      goog.math.Long.TWO_PWR_16_DBL_ * goog.math.Long.TWO_PWR_16_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_31_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ / 2;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_48_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ * goog.math.Long.TWO_PWR_16_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_64_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ * goog.math.Long.TWO_PWR_32_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_63_DBL_ =
      goog.math.Long.TWO_PWR_64_DBL_ / 2;


  /** @type {!goog.math.Long} */
  goog.math.Long.ZERO = goog.math.Long.fromInt(0);


  /** @type {!goog.math.Long} */
  goog.math.Long.ONE = goog.math.Long.fromInt(1);


  /** @type {!goog.math.Long} */
  goog.math.Long.NEG_ONE = goog.math.Long.fromInt(-1);


  /** @type {!goog.math.Long} */
  goog.math.Long.MAX_VALUE =
      goog.math.Long.fromBits(0xFFFFFFFF | 0, 0x7FFFFFFF | 0);


  /** @type {!goog.math.Long} */
  goog.math.Long.MIN_VALUE = goog.math.Long.fromBits(0, 0x80000000 | 0);


  /**
   * @type {!goog.math.Long}
   * @private
   */
  goog.math.Long.TWO_PWR_24_ = goog.math.Long.fromInt(1 << 24);


  /** @return {number} The value, assuming it is a 32-bit integer. */
  goog.math.Long.prototype.toInt = function() {
    return this.low_;
  };


  /** @return {number} The closest floating-point representation to this value. */
  goog.math.Long.prototype.toNumber = function() {
    return this.high_ * goog.math.Long.TWO_PWR_32_DBL_ +
           this.getLowBitsUnsigned();
  };


  /**
   * @param {number=} opt_radix The radix in which the text should be written.
   * @return {string} The textual representation of this value.
   */
  goog.math.Long.prototype.toString = function(opt_radix) {
    var radix = opt_radix || 10;
    if (radix < 2 || 36 < radix) {
      throw Error('radix out of range: ' + radix);
    }

    if (this.isZero()) {
      return '0';
    }

    if (this.isNegative()) {
      if (this.equals(goog.math.Long.MIN_VALUE)) {
        // We need to change the Long value before it can be negated, so we remove
        // the bottom-most digit in this base and then recurse to do the rest.
        var radixLong = goog.math.Long.fromNumber(radix);
        var div = this.div(radixLong);
        var rem = div.multiply(radixLong).subtract(this);
        return div.toString(radix) + rem.toInt().toString(radix);
      } else {
        return '-' + this.negate().toString(radix);
      }
    }

    // Do several (6) digits each time through the loop, so as to
    // minimize the calls to the very expensive emulated div.
    var radixToPower = goog.math.Long.fromNumber(Math.pow(radix, 6));

    var rem = this;
    var result = '';
    while (true) {
      var remDiv = rem.div(radixToPower);
      var intval = rem.subtract(remDiv.multiply(radixToPower)).toInt();
      var digits = intval.toString(radix);

      rem = remDiv;
      if (rem.isZero()) {
        return digits + result;
      } else {
        while (digits.length < 6) {
          digits = '0' + digits;
        }
        result = '' + digits + result;
      }
    }
  };


  /** @return {number} The high 32-bits as a signed value. */
  goog.math.Long.prototype.getHighBits = function() {
    return this.high_;
  };


  /** @return {number} The low 32-bits as a signed value. */
  goog.math.Long.prototype.getLowBits = function() {
    return this.low_;
  };


  /** @return {number} The low 32-bits as an unsigned value. */
  goog.math.Long.prototype.getLowBitsUnsigned = function() {
    return (this.low_ >= 0) ?
        this.low_ : goog.math.Long.TWO_PWR_32_DBL_ + this.low_;
  };


  /**
   * @return {number} Returns the number of bits needed to represent the absolute
   *     value of this Long.
   */
  goog.math.Long.prototype.getNumBitsAbs = function() {
    if (this.isNegative()) {
      if (this.equals(goog.math.Long.MIN_VALUE)) {
        return 64;
      } else {
        return this.negate().getNumBitsAbs();
      }
    } else {
      var val = this.high_ != 0 ? this.high_ : this.low_;
      for (var bit = 31; bit > 0; bit--) {
        if ((val & (1 << bit)) != 0) {
          break;
        }
      }
      return this.high_ != 0 ? bit + 33 : bit + 1;
    }
  };


  /** @return {boolean} Whether this value is zero. */
  goog.math.Long.prototype.isZero = function() {
    return this.high_ == 0 && this.low_ == 0;
  };


  /** @return {boolean} Whether this value is negative. */
  goog.math.Long.prototype.isNegative = function() {
    return this.high_ < 0;
  };


  /** @return {boolean} Whether this value is odd. */
  goog.math.Long.prototype.isOdd = function() {
    return (this.low_ & 1) == 1;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long equals the other.
   */
  goog.math.Long.prototype.equals = function(other) {
    return (this.high_ == other.high_) && (this.low_ == other.low_);
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long does not equal the other.
   */
  goog.math.Long.prototype.notEquals = function(other) {
    return (this.high_ != other.high_) || (this.low_ != other.low_);
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is less than the other.
   */
  goog.math.Long.prototype.lessThan = function(other) {
    return this.compare(other) < 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is less than or equal to the other.
   */
  goog.math.Long.prototype.lessThanOrEqual = function(other) {
    return this.compare(other) <= 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is greater than the other.
   */
  goog.math.Long.prototype.greaterThan = function(other) {
    return this.compare(other) > 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is greater than or equal to the other.
   */
  goog.math.Long.prototype.greaterThanOrEqual = function(other) {
    return this.compare(other) >= 0;
  };


  /**
   * Compares this Long with the given one.
   * @param {goog.math.Long} other Long to compare against.
   * @return {number} 0 if they are the same, 1 if the this is greater, and -1
   *     if the given one is greater.
   */
  goog.math.Long.prototype.compare = function(other) {
    if (this.equals(other)) {
      return 0;
    }

    var thisNeg = this.isNegative();
    var otherNeg = other.isNegative();
    if (thisNeg && !otherNeg) {
      return -1;
    }
    if (!thisNeg && otherNeg) {
      return 1;
    }

    // at this point, the signs are the same, so subtraction will not overflow
    if (this.subtract(other).isNegative()) {
      return -1;
    } else {
      return 1;
    }
  };


  /** @return {!goog.math.Long} The negation of this value. */
  goog.math.Long.prototype.negate = function() {
    if (this.equals(goog.math.Long.MIN_VALUE)) {
      return goog.math.Long.MIN_VALUE;
    } else {
      return this.not().add(goog.math.Long.ONE);
    }
  };


  /**
   * Returns the sum of this and the given Long.
   * @param {goog.math.Long} other Long to add to this one.
   * @return {!goog.math.Long} The sum of this and the given Long.
   */
  goog.math.Long.prototype.add = function(other) {
    // Divide each number into 4 chunks of 16 bits, and then sum the chunks.

    var a48 = this.high_ >>> 16;
    var a32 = this.high_ & 0xFFFF;
    var a16 = this.low_ >>> 16;
    var a00 = this.low_ & 0xFFFF;

    var b48 = other.high_ >>> 16;
    var b32 = other.high_ & 0xFFFF;
    var b16 = other.low_ >>> 16;
    var b00 = other.low_ & 0xFFFF;

    var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
    c00 += a00 + b00;
    c16 += c00 >>> 16;
    c00 &= 0xFFFF;
    c16 += a16 + b16;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c32 += a32 + b32;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c48 += a48 + b48;
    c48 &= 0xFFFF;
    return goog.math.Long.fromBits((c16 << 16) | c00, (c48 << 16) | c32);
  };


  /**
   * Returns the difference of this and the given Long.
   * @param {goog.math.Long} other Long to subtract from this.
   * @return {!goog.math.Long} The difference of this and the given Long.
   */
  goog.math.Long.prototype.subtract = function(other) {
    return this.add(other.negate());
  };


  /**
   * Returns the product of this and the given long.
   * @param {goog.math.Long} other Long to multiply with this.
   * @return {!goog.math.Long} The product of this and the other.
   */
  goog.math.Long.prototype.multiply = function(other) {
    if (this.isZero()) {
      return goog.math.Long.ZERO;
    } else if (other.isZero()) {
      return goog.math.Long.ZERO;
    }

    if (this.equals(goog.math.Long.MIN_VALUE)) {
      return other.isOdd() ? goog.math.Long.MIN_VALUE : goog.math.Long.ZERO;
    } else if (other.equals(goog.math.Long.MIN_VALUE)) {
      return this.isOdd() ? goog.math.Long.MIN_VALUE : goog.math.Long.ZERO;
    }

    if (this.isNegative()) {
      if (other.isNegative()) {
        return this.negate().multiply(other.negate());
      } else {
        return this.negate().multiply(other).negate();
      }
    } else if (other.isNegative()) {
      return this.multiply(other.negate()).negate();
    }

    // If both longs are small, use float multiplication
    if (this.lessThan(goog.math.Long.TWO_PWR_24_) &&
        other.lessThan(goog.math.Long.TWO_PWR_24_)) {
      return goog.math.Long.fromNumber(this.toNumber() * other.toNumber());
    }

    // Divide each long into 4 chunks of 16 bits, and then add up 4x4 products.
    // We can skip products that would overflow.

    var a48 = this.high_ >>> 16;
    var a32 = this.high_ & 0xFFFF;
    var a16 = this.low_ >>> 16;
    var a00 = this.low_ & 0xFFFF;

    var b48 = other.high_ >>> 16;
    var b32 = other.high_ & 0xFFFF;
    var b16 = other.low_ >>> 16;
    var b00 = other.low_ & 0xFFFF;

    var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
    c00 += a00 * b00;
    c16 += c00 >>> 16;
    c00 &= 0xFFFF;
    c16 += a16 * b00;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c16 += a00 * b16;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c32 += a32 * b00;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c32 += a16 * b16;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c32 += a00 * b32;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c48 += a48 * b00 + a32 * b16 + a16 * b32 + a00 * b48;
    c48 &= 0xFFFF;
    return goog.math.Long.fromBits((c16 << 16) | c00, (c48 << 16) | c32);
  };


  /**
   * Returns this Long divided by the given one.
   * @param {goog.math.Long} other Long by which to divide.
   * @return {!goog.math.Long} This Long divided by the given one.
   */
  goog.math.Long.prototype.div = function(other) {
    if (other.isZero()) {
      throw Error('division by zero');
    } else if (this.isZero()) {
      return goog.math.Long.ZERO;
    }

    if (this.equals(goog.math.Long.MIN_VALUE)) {
      if (other.equals(goog.math.Long.ONE) ||
          other.equals(goog.math.Long.NEG_ONE)) {
        return goog.math.Long.MIN_VALUE;  // recall that -MIN_VALUE == MIN_VALUE
      } else if (other.equals(goog.math.Long.MIN_VALUE)) {
        return goog.math.Long.ONE;
      } else {
        // At this point, we have |other| >= 2, so |this/other| < |MIN_VALUE|.
        var halfThis = this.shiftRight(1);
        var approx = halfThis.div(other).shiftLeft(1);
        if (approx.equals(goog.math.Long.ZERO)) {
          return other.isNegative() ? goog.math.Long.ONE : goog.math.Long.NEG_ONE;
        } else {
          var rem = this.subtract(other.multiply(approx));
          var result = approx.add(rem.div(other));
          return result;
        }
      }
    } else if (other.equals(goog.math.Long.MIN_VALUE)) {
      return goog.math.Long.ZERO;
    }

    if (this.isNegative()) {
      if (other.isNegative()) {
        return this.negate().div(other.negate());
      } else {
        return this.negate().div(other).negate();
      }
    } else if (other.isNegative()) {
      return this.div(other.negate()).negate();
    }

    // Repeat the following until the remainder is less than other:  find a
    // floating-point that approximates remainder / other *from below*, add this
    // into the result, and subtract it from the remainder.  It is critical that
    // the approximate value is less than or equal to the real value so that the
    // remainder never becomes negative.
    var res = goog.math.Long.ZERO;
    var rem = this;
    while (rem.greaterThanOrEqual(other)) {
      // Approximate the result of division. This may be a little greater or
      // smaller than the actual value.
      var approx = Math.max(1, Math.floor(rem.toNumber() / other.toNumber()));

      // We will tweak the approximate result by changing it in the 48-th digit or
      // the smallest non-fractional digit, whichever is larger.
      var log2 = Math.ceil(Math.log(approx) / Math.LN2);
      var delta = (log2 <= 48) ? 1 : Math.pow(2, log2 - 48);

      // Decrease the approximation until it is smaller than the remainder.  Note
      // that if it is too large, the product overflows and is negative.
      var approxRes = goog.math.Long.fromNumber(approx);
      var approxRem = approxRes.multiply(other);
      while (approxRem.isNegative() || approxRem.greaterThan(rem)) {
        approx -= delta;
        approxRes = goog.math.Long.fromNumber(approx);
        approxRem = approxRes.multiply(other);
      }

      // We know the answer can't be zero... and actually, zero would cause
      // infinite recursion since we would make no progress.
      if (approxRes.isZero()) {
        approxRes = goog.math.Long.ONE;
      }

      res = res.add(approxRes);
      rem = rem.subtract(approxRem);
    }
    return res;
  };


  /**
   * Returns this Long modulo the given one.
   * @param {goog.math.Long} other Long by which to mod.
   * @return {!goog.math.Long} This Long modulo the given one.
   */
  goog.math.Long.prototype.modulo = function(other) {
    return this.subtract(this.div(other).multiply(other));
  };


  /** @return {!goog.math.Long} The bitwise-NOT of this value. */
  goog.math.Long.prototype.not = function() {
    return goog.math.Long.fromBits(~this.low_, ~this.high_);
  };


  /**
   * Returns the bitwise-AND of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to AND.
   * @return {!goog.math.Long} The bitwise-AND of this and the other.
   */
  goog.math.Long.prototype.and = function(other) {
    return goog.math.Long.fromBits(this.low_ & other.low_,
                                   this.high_ & other.high_);
  };


  /**
   * Returns the bitwise-OR of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to OR.
   * @return {!goog.math.Long} The bitwise-OR of this and the other.
   */
  goog.math.Long.prototype.or = function(other) {
    return goog.math.Long.fromBits(this.low_ | other.low_,
                                   this.high_ | other.high_);
  };


  /**
   * Returns the bitwise-XOR of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to XOR.
   * @return {!goog.math.Long} The bitwise-XOR of this and the other.
   */
  goog.math.Long.prototype.xor = function(other) {
    return goog.math.Long.fromBits(this.low_ ^ other.low_,
                                   this.high_ ^ other.high_);
  };


  /**
   * Returns this Long with bits shifted to the left by the given amount.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the left by the given amount.
   */
  goog.math.Long.prototype.shiftLeft = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var low = this.low_;
      if (numBits < 32) {
        var high = this.high_;
        return goog.math.Long.fromBits(
            low << numBits,
            (high << numBits) | (low >>> (32 - numBits)));
      } else {
        return goog.math.Long.fromBits(0, low << (numBits - 32));
      }
    }
  };


  /**
   * Returns this Long with bits shifted to the right by the given amount.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the right by the given amount.
   */
  goog.math.Long.prototype.shiftRight = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var high = this.high_;
      if (numBits < 32) {
        var low = this.low_;
        return goog.math.Long.fromBits(
            (low >>> numBits) | (high << (32 - numBits)),
            high >> numBits);
      } else {
        return goog.math.Long.fromBits(
            high >> (numBits - 32),
            high >= 0 ? 0 : -1);
      }
    }
  };


  /**
   * Returns this Long with bits shifted to the right by the given amount, with
   * the new top bits matching the current sign bit.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the right by the given amount, with
   *     zeros placed into the new leading bits.
   */
  goog.math.Long.prototype.shiftRightUnsigned = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var high = this.high_;
      if (numBits < 32) {
        var low = this.low_;
        return goog.math.Long.fromBits(
            (low >>> numBits) | (high << (32 - numBits)),
            high >>> numBits);
      } else if (numBits == 32) {
        return goog.math.Long.fromBits(high, 0);
      } else {
        return goog.math.Long.fromBits(high >>> (numBits - 32), 0);
      }
    }
  };

  //======= begin jsbn =======

  var navigator = { appName: 'Modern Browser' }; // polyfill a little

  // Copyright (c) 2005  Tom Wu
  // All Rights Reserved.
  // http://www-cs-students.stanford.edu/~tjw/jsbn/

  /*
   * Copyright (c) 2003-2005  Tom Wu
   * All Rights Reserved.
   *
   * Permission is hereby granted, free of charge, to any person obtaining
   * a copy of this software and associated documentation files (the
   * "Software"), to deal in the Software without restriction, including
   * without limitation the rights to use, copy, modify, merge, publish,
   * distribute, sublicense, and/or sell copies of the Software, and to
   * permit persons to whom the Software is furnished to do so, subject to
   * the following conditions:
   *
   * The above copyright notice and this permission notice shall be
   * included in all copies or substantial portions of the Software.
   *
   * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
   * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
   * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
   *
   * IN NO EVENT SHALL TOM WU BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
   * INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER
   * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF
   * THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT
   * OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
   *
   * In addition, the following condition applies:
   *
   * All redistributions must retain an intact copy of this copyright notice
   * and disclaimer.
   */

  // Basic JavaScript BN library - subset useful for RSA encryption.

  // Bits per digit
  var dbits;

  // JavaScript engine analysis
  var canary = 0xdeadbeefcafe;
  var j_lm = ((canary&0xffffff)==0xefcafe);

  // (public) Constructor
  function BigInteger(a,b,c) {
    if(a != null)
      if("number" == typeof a) this.fromNumber(a,b,c);
      else if(b == null && "string" != typeof a) this.fromString(a,256);
      else this.fromString(a,b);
  }

  // return new, unset BigInteger
  function nbi() { return new BigInteger(null); }

  // am: Compute w_j += (x*this_i), propagate carries,
  // c is initial carry, returns final carry.
  // c < 3*dvalue, x < 2*dvalue, this_i < dvalue
  // We need to select the fastest one that works in this environment.

  // am1: use a single mult and divide to get the high bits,
  // max digit bits should be 26 because
  // max internal value = 2*dvalue^2-2*dvalue (< 2^53)
  function am1(i,x,w,j,c,n) {
    while(--n >= 0) {
      var v = x*this[i++]+w[j]+c;
      c = Math.floor(v/0x4000000);
      w[j++] = v&0x3ffffff;
    }
    return c;
  }
  // am2 avoids a big mult-and-extract completely.
  // Max digit bits should be <= 30 because we do bitwise ops
  // on values up to 2*hdvalue^2-hdvalue-1 (< 2^31)
  function am2(i,x,w,j,c,n) {
    var xl = x&0x7fff, xh = x>>15;
    while(--n >= 0) {
      var l = this[i]&0x7fff;
      var h = this[i++]>>15;
      var m = xh*l+h*xl;
      l = xl*l+((m&0x7fff)<<15)+w[j]+(c&0x3fffffff);
      c = (l>>>30)+(m>>>15)+xh*h+(c>>>30);
      w[j++] = l&0x3fffffff;
    }
    return c;
  }
  // Alternately, set max digit bits to 28 since some
  // browsers slow down when dealing with 32-bit numbers.
  function am3(i,x,w,j,c,n) {
    var xl = x&0x3fff, xh = x>>14;
    while(--n >= 0) {
      var l = this[i]&0x3fff;
      var h = this[i++]>>14;
      var m = xh*l+h*xl;
      l = xl*l+((m&0x3fff)<<14)+w[j]+c;
      c = (l>>28)+(m>>14)+xh*h;
      w[j++] = l&0xfffffff;
    }
    return c;
  }
  if(j_lm && (navigator.appName == "Microsoft Internet Explorer")) {
    BigInteger.prototype.am = am2;
    dbits = 30;
  }
  else if(j_lm && (navigator.appName != "Netscape")) {
    BigInteger.prototype.am = am1;
    dbits = 26;
  }
  else { // Mozilla/Netscape seems to prefer am3
    BigInteger.prototype.am = am3;
    dbits = 28;
  }

  BigInteger.prototype.DB = dbits;
  BigInteger.prototype.DM = ((1<<dbits)-1);
  BigInteger.prototype.DV = (1<<dbits);

  var BI_FP = 52;
  BigInteger.prototype.FV = Math.pow(2,BI_FP);
  BigInteger.prototype.F1 = BI_FP-dbits;
  BigInteger.prototype.F2 = 2*dbits-BI_FP;

  // Digit conversions
  var BI_RM = "0123456789abcdefghijklmnopqrstuvwxyz";
  var BI_RC = new Array();
  var rr,vv;
  rr = "0".charCodeAt(0);
  for(vv = 0; vv <= 9; ++vv) BI_RC[rr++] = vv;
  rr = "a".charCodeAt(0);
  for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;
  rr = "A".charCodeAt(0);
  for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;

  function int2char(n) { return BI_RM.charAt(n); }
  function intAt(s,i) {
    var c = BI_RC[s.charCodeAt(i)];
    return (c==null)?-1:c;
  }

  // (protected) copy this to r
  function bnpCopyTo(r) {
    for(var i = this.t-1; i >= 0; --i) r[i] = this[i];
    r.t = this.t;
    r.s = this.s;
  }

  // (protected) set from integer value x, -DV <= x < DV
  function bnpFromInt(x) {
    this.t = 1;
    this.s = (x<0)?-1:0;
    if(x > 0) this[0] = x;
    else if(x < -1) this[0] = x+DV;
    else this.t = 0;
  }

  // return bigint initialized to value
  function nbv(i) { var r = nbi(); r.fromInt(i); return r; }

  // (protected) set from string and radix
  function bnpFromString(s,b) {
    var k;
    if(b == 16) k = 4;
    else if(b == 8) k = 3;
    else if(b == 256) k = 8; // byte array
    else if(b == 2) k = 1;
    else if(b == 32) k = 5;
    else if(b == 4) k = 2;
    else { this.fromRadix(s,b); return; }
    this.t = 0;
    this.s = 0;
    var i = s.length, mi = false, sh = 0;
    while(--i >= 0) {
      var x = (k==8)?s[i]&0xff:intAt(s,i);
      if(x < 0) {
        if(s.charAt(i) == "-") mi = true;
        continue;
      }
      mi = false;
      if(sh == 0)
        this[this.t++] = x;
      else if(sh+k > this.DB) {
        this[this.t-1] |= (x&((1<<(this.DB-sh))-1))<<sh;
        this[this.t++] = (x>>(this.DB-sh));
      }
      else
        this[this.t-1] |= x<<sh;
      sh += k;
      if(sh >= this.DB) sh -= this.DB;
    }
    if(k == 8 && (s[0]&0x80) != 0) {
      this.s = -1;
      if(sh > 0) this[this.t-1] |= ((1<<(this.DB-sh))-1)<<sh;
    }
    this.clamp();
    if(mi) BigInteger.ZERO.subTo(this,this);
  }

  // (protected) clamp off excess high words
  function bnpClamp() {
    var c = this.s&this.DM;
    while(this.t > 0 && this[this.t-1] == c) --this.t;
  }

  // (public) return string representation in given radix
  function bnToString(b) {
    if(this.s < 0) return "-"+this.negate().toString(b);
    var k;
    if(b == 16) k = 4;
    else if(b == 8) k = 3;
    else if(b == 2) k = 1;
    else if(b == 32) k = 5;
    else if(b == 4) k = 2;
    else return this.toRadix(b);
    var km = (1<<k)-1, d, m = false, r = "", i = this.t;
    var p = this.DB-(i*this.DB)%k;
    if(i-- > 0) {
      if(p < this.DB && (d = this[i]>>p) > 0) { m = true; r = int2char(d); }
      while(i >= 0) {
        if(p < k) {
          d = (this[i]&((1<<p)-1))<<(k-p);
          d |= this[--i]>>(p+=this.DB-k);
        }
        else {
          d = (this[i]>>(p-=k))&km;
          if(p <= 0) { p += this.DB; --i; }
        }
        if(d > 0) m = true;
        if(m) r += int2char(d);
      }
    }
    return m?r:"0";
  }

  // (public) -this
  function bnNegate() { var r = nbi(); BigInteger.ZERO.subTo(this,r); return r; }

  // (public) |this|
  function bnAbs() { return (this.s<0)?this.negate():this; }

  // (public) return + if this > a, - if this < a, 0 if equal
  function bnCompareTo(a) {
    var r = this.s-a.s;
    if(r != 0) return r;
    var i = this.t;
    r = i-a.t;
    if(r != 0) return (this.s<0)?-r:r;
    while(--i >= 0) if((r=this[i]-a[i]) != 0) return r;
    return 0;
  }

  // returns bit length of the integer x
  function nbits(x) {
    var r = 1, t;
    if((t=x>>>16) != 0) { x = t; r += 16; }
    if((t=x>>8) != 0) { x = t; r += 8; }
    if((t=x>>4) != 0) { x = t; r += 4; }
    if((t=x>>2) != 0) { x = t; r += 2; }
    if((t=x>>1) != 0) { x = t; r += 1; }
    return r;
  }

  // (public) return the number of bits in "this"
  function bnBitLength() {
    if(this.t <= 0) return 0;
    return this.DB*(this.t-1)+nbits(this[this.t-1]^(this.s&this.DM));
  }

  // (protected) r = this << n*DB
  function bnpDLShiftTo(n,r) {
    var i;
    for(i = this.t-1; i >= 0; --i) r[i+n] = this[i];
    for(i = n-1; i >= 0; --i) r[i] = 0;
    r.t = this.t+n;
    r.s = this.s;
  }

  // (protected) r = this >> n*DB
  function bnpDRShiftTo(n,r) {
    for(var i = n; i < this.t; ++i) r[i-n] = this[i];
    r.t = Math.max(this.t-n,0);
    r.s = this.s;
  }

  // (protected) r = this << n
  function bnpLShiftTo(n,r) {
    var bs = n%this.DB;
    var cbs = this.DB-bs;
    var bm = (1<<cbs)-1;
    var ds = Math.floor(n/this.DB), c = (this.s<<bs)&this.DM, i;
    for(i = this.t-1; i >= 0; --i) {
      r[i+ds+1] = (this[i]>>cbs)|c;
      c = (this[i]&bm)<<bs;
    }
    for(i = ds-1; i >= 0; --i) r[i] = 0;
    r[ds] = c;
    r.t = this.t+ds+1;
    r.s = this.s;
    r.clamp();
  }

  // (protected) r = this >> n
  function bnpRShiftTo(n,r) {
    r.s = this.s;
    var ds = Math.floor(n/this.DB);
    if(ds >= this.t) { r.t = 0; return; }
    var bs = n%this.DB;
    var cbs = this.DB-bs;
    var bm = (1<<bs)-1;
    r[0] = this[ds]>>bs;
    for(var i = ds+1; i < this.t; ++i) {
      r[i-ds-1] |= (this[i]&bm)<<cbs;
      r[i-ds] = this[i]>>bs;
    }
    if(bs > 0) r[this.t-ds-1] |= (this.s&bm)<<cbs;
    r.t = this.t-ds;
    r.clamp();
  }

  // (protected) r = this - a
  function bnpSubTo(a,r) {
    var i = 0, c = 0, m = Math.min(a.t,this.t);
    while(i < m) {
      c += this[i]-a[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    if(a.t < this.t) {
      c -= a.s;
      while(i < this.t) {
        c += this[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += this.s;
    }
    else {
      c += this.s;
      while(i < a.t) {
        c -= a[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c -= a.s;
    }
    r.s = (c<0)?-1:0;
    if(c < -1) r[i++] = this.DV+c;
    else if(c > 0) r[i++] = c;
    r.t = i;
    r.clamp();
  }

  // (protected) r = this * a, r != this,a (HAC 14.12)
  // "this" should be the larger one if appropriate.
  function bnpMultiplyTo(a,r) {
    var x = this.abs(), y = a.abs();
    var i = x.t;
    r.t = i+y.t;
    while(--i >= 0) r[i] = 0;
    for(i = 0; i < y.t; ++i) r[i+x.t] = x.am(0,y[i],r,i,0,x.t);
    r.s = 0;
    r.clamp();
    if(this.s != a.s) BigInteger.ZERO.subTo(r,r);
  }

  // (protected) r = this^2, r != this (HAC 14.16)
  function bnpSquareTo(r) {
    var x = this.abs();
    var i = r.t = 2*x.t;
    while(--i >= 0) r[i] = 0;
    for(i = 0; i < x.t-1; ++i) {
      var c = x.am(i,x[i],r,2*i,0,1);
      if((r[i+x.t]+=x.am(i+1,2*x[i],r,2*i+1,c,x.t-i-1)) >= x.DV) {
        r[i+x.t] -= x.DV;
        r[i+x.t+1] = 1;
      }
    }
    if(r.t > 0) r[r.t-1] += x.am(i,x[i],r,2*i,0,1);
    r.s = 0;
    r.clamp();
  }

  // (protected) divide this by m, quotient and remainder to q, r (HAC 14.20)
  // r != q, this != m.  q or r may be null.
  function bnpDivRemTo(m,q,r) {
    var pm = m.abs();
    if(pm.t <= 0) return;
    var pt = this.abs();
    if(pt.t < pm.t) {
      if(q != null) q.fromInt(0);
      if(r != null) this.copyTo(r);
      return;
    }
    if(r == null) r = nbi();
    var y = nbi(), ts = this.s, ms = m.s;
    var nsh = this.DB-nbits(pm[pm.t-1]);	// normalize modulus
    if(nsh > 0) { pm.lShiftTo(nsh,y); pt.lShiftTo(nsh,r); }
    else { pm.copyTo(y); pt.copyTo(r); }
    var ys = y.t;
    var y0 = y[ys-1];
    if(y0 == 0) return;
    var yt = y0*(1<<this.F1)+((ys>1)?y[ys-2]>>this.F2:0);
    var d1 = this.FV/yt, d2 = (1<<this.F1)/yt, e = 1<<this.F2;
    var i = r.t, j = i-ys, t = (q==null)?nbi():q;
    y.dlShiftTo(j,t);
    if(r.compareTo(t) >= 0) {
      r[r.t++] = 1;
      r.subTo(t,r);
    }
    BigInteger.ONE.dlShiftTo(ys,t);
    t.subTo(y,y);	// "negative" y so we can replace sub with am later
    while(y.t < ys) y[y.t++] = 0;
    while(--j >= 0) {
      // Estimate quotient digit
      var qd = (r[--i]==y0)?this.DM:Math.floor(r[i]*d1+(r[i-1]+e)*d2);
      if((r[i]+=y.am(0,qd,r,j,0,ys)) < qd) {	// Try it out
        y.dlShiftTo(j,t);
        r.subTo(t,r);
        while(r[i] < --qd) r.subTo(t,r);
      }
    }
    if(q != null) {
      r.drShiftTo(ys,q);
      if(ts != ms) BigInteger.ZERO.subTo(q,q);
    }
    r.t = ys;
    r.clamp();
    if(nsh > 0) r.rShiftTo(nsh,r);	// Denormalize remainder
    if(ts < 0) BigInteger.ZERO.subTo(r,r);
  }

  // (public) this mod a
  function bnMod(a) {
    var r = nbi();
    this.abs().divRemTo(a,null,r);
    if(this.s < 0 && r.compareTo(BigInteger.ZERO) > 0) a.subTo(r,r);
    return r;
  }

  // Modular reduction using "classic" algorithm
  function Classic(m) { this.m = m; }
  function cConvert(x) {
    if(x.s < 0 || x.compareTo(this.m) >= 0) return x.mod(this.m);
    else return x;
  }
  function cRevert(x) { return x; }
  function cReduce(x) { x.divRemTo(this.m,null,x); }
  function cMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }
  function cSqrTo(x,r) { x.squareTo(r); this.reduce(r); }

  Classic.prototype.convert = cConvert;
  Classic.prototype.revert = cRevert;
  Classic.prototype.reduce = cReduce;
  Classic.prototype.mulTo = cMulTo;
  Classic.prototype.sqrTo = cSqrTo;

  // (protected) return "-1/this % 2^DB"; useful for Mont. reduction
  // justification:
  //         xy == 1 (mod m)
  //         xy =  1+km
  //   xy(2-xy) = (1+km)(1-km)
  // x[y(2-xy)] = 1-k^2m^2
  // x[y(2-xy)] == 1 (mod m^2)
  // if y is 1/x mod m, then y(2-xy) is 1/x mod m^2
  // should reduce x and y(2-xy) by m^2 at each step to keep size bounded.
  // JS multiply "overflows" differently from C/C++, so care is needed here.
  function bnpInvDigit() {
    if(this.t < 1) return 0;
    var x = this[0];
    if((x&1) == 0) return 0;
    var y = x&3;		// y == 1/x mod 2^2
    y = (y*(2-(x&0xf)*y))&0xf;	// y == 1/x mod 2^4
    y = (y*(2-(x&0xff)*y))&0xff;	// y == 1/x mod 2^8
    y = (y*(2-(((x&0xffff)*y)&0xffff)))&0xffff;	// y == 1/x mod 2^16
    // last step - calculate inverse mod DV directly;
    // assumes 16 < DB <= 32 and assumes ability to handle 48-bit ints
    y = (y*(2-x*y%this.DV))%this.DV;		// y == 1/x mod 2^dbits
    // we really want the negative inverse, and -DV < y < DV
    return (y>0)?this.DV-y:-y;
  }

  // Montgomery reduction
  function Montgomery(m) {
    this.m = m;
    this.mp = m.invDigit();
    this.mpl = this.mp&0x7fff;
    this.mph = this.mp>>15;
    this.um = (1<<(m.DB-15))-1;
    this.mt2 = 2*m.t;
  }

  // xR mod m
  function montConvert(x) {
    var r = nbi();
    x.abs().dlShiftTo(this.m.t,r);
    r.divRemTo(this.m,null,r);
    if(x.s < 0 && r.compareTo(BigInteger.ZERO) > 0) this.m.subTo(r,r);
    return r;
  }

  // x/R mod m
  function montRevert(x) {
    var r = nbi();
    x.copyTo(r);
    this.reduce(r);
    return r;
  }

  // x = x/R mod m (HAC 14.32)
  function montReduce(x) {
    while(x.t <= this.mt2)	// pad x so am has enough room later
      x[x.t++] = 0;
    for(var i = 0; i < this.m.t; ++i) {
      // faster way of calculating u0 = x[i]*mp mod DV
      var j = x[i]&0x7fff;
      var u0 = (j*this.mpl+(((j*this.mph+(x[i]>>15)*this.mpl)&this.um)<<15))&x.DM;
      // use am to combine the multiply-shift-add into one call
      j = i+this.m.t;
      x[j] += this.m.am(0,u0,x,i,0,this.m.t);
      // propagate carry
      while(x[j] >= x.DV) { x[j] -= x.DV; x[++j]++; }
    }
    x.clamp();
    x.drShiftTo(this.m.t,x);
    if(x.compareTo(this.m) >= 0) x.subTo(this.m,x);
  }

  // r = "x^2/R mod m"; x != r
  function montSqrTo(x,r) { x.squareTo(r); this.reduce(r); }

  // r = "xy/R mod m"; x,y != r
  function montMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }

  Montgomery.prototype.convert = montConvert;
  Montgomery.prototype.revert = montRevert;
  Montgomery.prototype.reduce = montReduce;
  Montgomery.prototype.mulTo = montMulTo;
  Montgomery.prototype.sqrTo = montSqrTo;

  // (protected) true iff this is even
  function bnpIsEven() { return ((this.t>0)?(this[0]&1):this.s) == 0; }

  // (protected) this^e, e < 2^32, doing sqr and mul with "r" (HAC 14.79)
  function bnpExp(e,z) {
    if(e > 0xffffffff || e < 1) return BigInteger.ONE;
    var r = nbi(), r2 = nbi(), g = z.convert(this), i = nbits(e)-1;
    g.copyTo(r);
    while(--i >= 0) {
      z.sqrTo(r,r2);
      if((e&(1<<i)) > 0) z.mulTo(r2,g,r);
      else { var t = r; r = r2; r2 = t; }
    }
    return z.revert(r);
  }

  // (public) this^e % m, 0 <= e < 2^32
  function bnModPowInt(e,m) {
    var z;
    if(e < 256 || m.isEven()) z = new Classic(m); else z = new Montgomery(m);
    return this.exp(e,z);
  }

  // protected
  BigInteger.prototype.copyTo = bnpCopyTo;
  BigInteger.prototype.fromInt = bnpFromInt;
  BigInteger.prototype.fromString = bnpFromString;
  BigInteger.prototype.clamp = bnpClamp;
  BigInteger.prototype.dlShiftTo = bnpDLShiftTo;
  BigInteger.prototype.drShiftTo = bnpDRShiftTo;
  BigInteger.prototype.lShiftTo = bnpLShiftTo;
  BigInteger.prototype.rShiftTo = bnpRShiftTo;
  BigInteger.prototype.subTo = bnpSubTo;
  BigInteger.prototype.multiplyTo = bnpMultiplyTo;
  BigInteger.prototype.squareTo = bnpSquareTo;
  BigInteger.prototype.divRemTo = bnpDivRemTo;
  BigInteger.prototype.invDigit = bnpInvDigit;
  BigInteger.prototype.isEven = bnpIsEven;
  BigInteger.prototype.exp = bnpExp;

  // public
  BigInteger.prototype.toString = bnToString;
  BigInteger.prototype.negate = bnNegate;
  BigInteger.prototype.abs = bnAbs;
  BigInteger.prototype.compareTo = bnCompareTo;
  BigInteger.prototype.bitLength = bnBitLength;
  BigInteger.prototype.mod = bnMod;
  BigInteger.prototype.modPowInt = bnModPowInt;

  // "constants"
  BigInteger.ZERO = nbv(0);
  BigInteger.ONE = nbv(1);

  // jsbn2 stuff

  // (protected) convert from radix string
  function bnpFromRadix(s,b) {
    this.fromInt(0);
    if(b == null) b = 10;
    var cs = this.chunkSize(b);
    var d = Math.pow(b,cs), mi = false, j = 0, w = 0;
    for(var i = 0; i < s.length; ++i) {
      var x = intAt(s,i);
      if(x < 0) {
        if(s.charAt(i) == "-" && this.signum() == 0) mi = true;
        continue;
      }
      w = b*w+x;
      if(++j >= cs) {
        this.dMultiply(d);
        this.dAddOffset(w,0);
        j = 0;
        w = 0;
      }
    }
    if(j > 0) {
      this.dMultiply(Math.pow(b,j));
      this.dAddOffset(w,0);
    }
    if(mi) BigInteger.ZERO.subTo(this,this);
  }

  // (protected) return x s.t. r^x < DV
  function bnpChunkSize(r) { return Math.floor(Math.LN2*this.DB/Math.log(r)); }

  // (public) 0 if this == 0, 1 if this > 0
  function bnSigNum() {
    if(this.s < 0) return -1;
    else if(this.t <= 0 || (this.t == 1 && this[0] <= 0)) return 0;
    else return 1;
  }

  // (protected) this *= n, this >= 0, 1 < n < DV
  function bnpDMultiply(n) {
    this[this.t] = this.am(0,n-1,this,0,0,this.t);
    ++this.t;
    this.clamp();
  }

  // (protected) this += n << w words, this >= 0
  function bnpDAddOffset(n,w) {
    if(n == 0) return;
    while(this.t <= w) this[this.t++] = 0;
    this[w] += n;
    while(this[w] >= this.DV) {
      this[w] -= this.DV;
      if(++w >= this.t) this[this.t++] = 0;
      ++this[w];
    }
  }

  // (protected) convert to radix string
  function bnpToRadix(b) {
    if(b == null) b = 10;
    if(this.signum() == 0 || b < 2 || b > 36) return "0";
    var cs = this.chunkSize(b);
    var a = Math.pow(b,cs);
    var d = nbv(a), y = nbi(), z = nbi(), r = "";
    this.divRemTo(d,y,z);
    while(y.signum() > 0) {
      r = (a+z.intValue()).toString(b).substr(1) + r;
      y.divRemTo(d,y,z);
    }
    return z.intValue().toString(b) + r;
  }

  // (public) return value as integer
  function bnIntValue() {
    if(this.s < 0) {
      if(this.t == 1) return this[0]-this.DV;
      else if(this.t == 0) return -1;
    }
    else if(this.t == 1) return this[0];
    else if(this.t == 0) return 0;
    // assumes 16 < DB < 32
    return ((this[1]&((1<<(32-this.DB))-1))<<this.DB)|this[0];
  }

  // (protected) r = this + a
  function bnpAddTo(a,r) {
    var i = 0, c = 0, m = Math.min(a.t,this.t);
    while(i < m) {
      c += this[i]+a[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    if(a.t < this.t) {
      c += a.s;
      while(i < this.t) {
        c += this[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += this.s;
    }
    else {
      c += this.s;
      while(i < a.t) {
        c += a[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += a.s;
    }
    r.s = (c<0)?-1:0;
    if(c > 0) r[i++] = c;
    else if(c < -1) r[i++] = this.DV+c;
    r.t = i;
    r.clamp();
  }

  BigInteger.prototype.fromRadix = bnpFromRadix;
  BigInteger.prototype.chunkSize = bnpChunkSize;
  BigInteger.prototype.signum = bnSigNum;
  BigInteger.prototype.dMultiply = bnpDMultiply;
  BigInteger.prototype.dAddOffset = bnpDAddOffset;
  BigInteger.prototype.toRadix = bnpToRadix;
  BigInteger.prototype.intValue = bnIntValue;
  BigInteger.prototype.addTo = bnpAddTo;

  //======= end jsbn =======

  // Emscripten wrapper
  var Wrapper = {
    abs: function(l, h) {
      var x = new goog.math.Long(l, h);
      var ret;
      if (x.isNegative()) {
        ret = x.negate();
      } else {
        ret = x;
      }
      HEAP32[tempDoublePtr>>2] = ret.low_;
      HEAP32[tempDoublePtr+4>>2] = ret.high_;
    },
    ensureTemps: function() {
      if (Wrapper.ensuredTemps) return;
      Wrapper.ensuredTemps = true;
      Wrapper.two32 = new BigInteger();
      Wrapper.two32.fromString('4294967296', 10);
      Wrapper.two64 = new BigInteger();
      Wrapper.two64.fromString('18446744073709551616', 10);
      Wrapper.temp1 = new BigInteger();
      Wrapper.temp2 = new BigInteger();
    },
    lh2bignum: function(l, h) {
      var a = new BigInteger();
      a.fromString(h.toString(), 10);
      var b = new BigInteger();
      a.multiplyTo(Wrapper.two32, b);
      var c = new BigInteger();
      c.fromString(l.toString(), 10);
      var d = new BigInteger();
      c.addTo(b, d);
      return d;
    },
    stringify: function(l, h, unsigned) {
      var ret = new goog.math.Long(l, h).toString();
      if (unsigned && ret[0] == '-') {
        // unsign slowly using jsbn bignums
        Wrapper.ensureTemps();
        var bignum = new BigInteger();
        bignum.fromString(ret, 10);
        ret = new BigInteger();
        Wrapper.two64.addTo(bignum, ret);
        ret = ret.toString(10);
      }
      return ret;
    },
    fromString: function(str, base, min, max, unsigned) {
      Wrapper.ensureTemps();
      var bignum = new BigInteger();
      bignum.fromString(str, base);
      var bigmin = new BigInteger();
      bigmin.fromString(min, 10);
      var bigmax = new BigInteger();
      bigmax.fromString(max, 10);
      if (unsigned && bignum.compareTo(BigInteger.ZERO) < 0) {
        var temp = new BigInteger();
        bignum.addTo(Wrapper.two64, temp);
        bignum = temp;
      }
      var error = false;
      if (bignum.compareTo(bigmin) < 0) {
        bignum = bigmin;
        error = true;
      } else if (bignum.compareTo(bigmax) > 0) {
        bignum = bigmax;
        error = true;
      }
      var ret = goog.math.Long.fromString(bignum.toString()); // min-max checks should have clamped this to a range goog.math.Long can handle well
      HEAP32[tempDoublePtr>>2] = ret.low_;
      HEAP32[tempDoublePtr+4>>2] = ret.high_;
      if (error) throw 'range error';
    }
  };
  return Wrapper;
})();

//======= end closure i64 code =======



// === Auto-generated postamble setup entry stuff ===

if (memoryInitializer) {
  function applyData(data) {
    HEAPU8.set(data, STATIC_BASE);
  }
  if (ENVIRONMENT_IS_NODE || ENVIRONMENT_IS_SHELL) {
    applyData(Module['readBinary'](memoryInitializer));
  } else {
    addRunDependency('memory initializer');
    Browser.asyncLoad(memoryInitializer, function(data) {
      applyData(data);
      removeRunDependency('memory initializer');
    }, function(data) {
      throw 'could not load memory initializer ' + memoryInitializer;
    });
  }
}

function ExitStatus(status) {
  this.name = "ExitStatus";
  this.message = "Program terminated with exit(" + status + ")";
  this.status = status;
};
ExitStatus.prototype = new Error();
ExitStatus.prototype.constructor = ExitStatus;

var initialStackTop;
var preloadStartTime = null;
var calledMain = false;

dependenciesFulfilled = function runCaller() {
  // If run has never been called, and we should call run (INVOKE_RUN is true, and Module.noInitialRun is not false)
  if (!Module['calledRun'] && shouldRunNow) run();
  if (!Module['calledRun']) dependenciesFulfilled = runCaller; // try this again later, after new deps are fulfilled
}

Module['callMain'] = Module.callMain = function callMain(args) {
  assert(runDependencies == 0, 'cannot call main when async dependencies remain! (listen on __ATMAIN__)');
  assert(__ATPRERUN__.length == 0, 'cannot call main when preRun functions remain to be called');

  args = args || [];

  if (ENVIRONMENT_IS_WEB && preloadStartTime !== null) {
    Module.printErr('preload time: ' + (Date.now() - preloadStartTime) + ' ms');
  }

  ensureInitRuntime();

  var argc = args.length+1;
  function pad() {
    for (var i = 0; i < 4-1; i++) {
      argv.push(0);
    }
  }
  var argv = [allocate(intArrayFromString("/bin/this.program"), 'i8', ALLOC_NORMAL) ];
  pad();
  for (var i = 0; i < argc-1; i = i + 1) {
    argv.push(allocate(intArrayFromString(args[i]), 'i8', ALLOC_NORMAL));
    pad();
  }
  argv.push(0);
  argv = allocate(argv, 'i32', ALLOC_NORMAL);

  initialStackTop = STACKTOP;

  try {

    var ret = Module['_main'](argc, argv, 0);


    // if we're not running an evented main loop, it's time to exit
    if (!Module['noExitRuntime']) {
      exit(ret);
    }
  }
  catch(e) {
    if (e instanceof ExitStatus) {
      // exit() throws this once it's done to make sure execution
      // has been stopped completely
      return;
    } else if (e == 'SimulateInfiniteLoop') {
      // running an evented main loop, don't immediately exit
      Module['noExitRuntime'] = true;
      return;
    } else {
      if (e && typeof e === 'object' && e.stack) Module.printErr('exception thrown: ' + [e, e.stack]);
      throw e;
    }
  } finally {
    calledMain = true;
  }
}




function run(args) {
  args = args || Module['arguments'];

  if (preloadStartTime === null) preloadStartTime = Date.now();

  if (runDependencies > 0) {
    Module.printErr('run() called, but dependencies remain, so not running');
    return;
  }

  preRun();

  if (runDependencies > 0) return; // a preRun added a dependency, run will be called later
  if (Module['calledRun']) return; // run may have just been called through dependencies being fulfilled just in this very frame

  function doRun() {
    if (Module['calledRun']) return; // run may have just been called while the async setStatus time below was happening
    Module['calledRun'] = true;

    ensureInitRuntime();

    preMain();

    if (Module['_main'] && shouldRunNow) {
      Module['callMain'](args);
    }

    postRun();
  }

  if (Module['setStatus']) {
    Module['setStatus']('Running...');
    setTimeout(function() {
      setTimeout(function() {
        Module['setStatus']('');
      }, 1);
      if (!ABORT) doRun();
    }, 1);
  } else {
    doRun();
  }
}
Module['run'] = Module.run = run;

function exit(status) {
  ABORT = true;
  EXITSTATUS = status;
  STACKTOP = initialStackTop;

  // exit the runtime
  exitRuntime();

  // TODO We should handle this differently based on environment.
  // In the browser, the best we can do is throw an exception
  // to halt execution, but in node we could process.exit and
  // I'd imagine SM shell would have something equivalent.
  // This would let us set a proper exit status (which
  // would be great for checking test exit statuses).
  // https://github.com/kripken/emscripten/issues/1371

  // throw an exception to halt the current execution
  throw new ExitStatus(status);
}
Module['exit'] = Module.exit = exit;

function abort(text) {
  if (text) {
    Module.print(text);
    Module.printErr(text);
  }

  ABORT = true;
  EXITSTATUS = 1;

  throw 'abort() at ' + stackTrace();
}
Module['abort'] = Module.abort = abort;

// {{PRE_RUN_ADDITIONS}}

if (Module['preInit']) {
  if (typeof Module['preInit'] == 'function') Module['preInit'] = [Module['preInit']];
  while (Module['preInit'].length > 0) {
    Module['preInit'].pop()();
  }
}

// shouldRunNow refers to calling main(), not run().
var shouldRunNow = true;
if (Module['noInitialRun']) {
  shouldRunNow = false;
}


run();

// {{POST_RUN_ADDITIONS}}






// {{MODULE_ADDITIONS}}






